#SelfRegulationSCP1.
#
#from
#http://bbci.de/competition/ii/tuebingen_desc_i.html
#
#Data set Ia: Self-regulation of Slow Cortical Potentials
#
#Datasets provided by University of Tuebingen.
#Correspondence to Thilo Hinterberger <thilo.Hinterberger@uni-tuebingen.de>
#
#Description of Experiments:
#The datasets were taken from a healthy subject.
#The subject was asked to move a cursor up and down on a computer screen, while his cortical potentials were taken. During the recording, the subject received visual feedback of his slow cortical potentials (Cz-Mastoids).  Cortical positivity lead to a downward movement of the cursor on the screen.  Cortical negativity lead to an upward movement of the cursor.  Each trial lasted 6s.
#During every trial, the task was visually presented by a highlighted goal at either the top or bottom of the screen to indicate negativity or positivity from second 0.5 until the end of the trial. The visual feedback was presented from second 2 to second 5.5. Only this 3.5 second interval of every trial is provided for training and testing. The sampling rate of 256 Hz and the recording length of 3.5s results in 896 samples per channel for every trial.
#Trial structure overview:
#Duration: 6 s, no inter trial intervals
#Task presentation: from 0.5 s to 6.0 s
#Feedback period: from 2.0 s to 5.5 s
#
#
#Data:
#Amplifier: PsyLab EEG8
#A/D-converter: Computer Boards PCIM-DAS1602/16 bit
#Amplitude range: +/-1000 �V
#Sampling rate: 256 S/s
#EEG data was taken from the following positions:
#Channel 1: A1-Cz (10/20 system) (A1 = left mastoid)
#Channel 2: A2-Cz
#Channel 3: 2 cm frontal of C3
#Channel 4: 2 cm parietal of C3
#Channel 5: 2 cm frontal of C4
#Channel 6: 2 cm parietal of C4
#All values are in �Volt.
#
#The train data consists of 268 trials recorded on two different days and mixed randomly. 168 of the overall 268 trials origin from day 1, the remaining 100 trials from day 2.
#The data is derived from the two train files Traindata_0.txt and Traindata_1.txt.
#Each instance has six dimensions (EEG channels above) of length 896. Class labels are negativity or positivity. There are 293 test data, the labels of which were released after the competition.
#Results are here
#http://bbci.de/competition/ii/results/index.html
#best has an error rate of 11.3% on the test data (presumably 33 incorrect).
#Reference:
#Birbaumer, N., Flor, H., Ghanayim, N., Hinterberger, T., Iverson, I., Taub, E., Kotchoubey, B., K�bler, A., & Perelmouter, J, A Brain-Controlled Spelling Device for the Completely Paralyzed, Nature, 398, 297-298.
#
#
@problemName SelfRegulationSCP1
@timeStamps false
@missing false
@univariate false
@dimensions 6
@equalLength true
@seriesLength 896
@classLabel true negativity positivity
@data
23.0,21.66,20.84,20.41,19.94,19.44,19.03,19.19,21.5,22.25,25.0,28.31,32.19,36.81,40.16,43.38,43.78,44.84,43.66,41.22,39.69,37.44,34.97,33.0,30.72,31.81,31.69,34.94,35.81,36.94,39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5:19.03,19.19,21.5,22.25,25.0,28.31,32.19,36.81,40.16,43.38,43.78,44.84,43.66,41.22,39.69,37.44,34.97,33.0,30.72,31.81,31.69,34.94,35.81,36.94,39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5,23.69,24.53,25.78,27.03,26.78,28.94:32.19,36.81,40.16,43.38,43.78,44.84,43.66,41.22,39.69,37.44,34.97,33.0,30.72,31.81,31.69,34.94,35.81,36.94,39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5,23.69,24.53,25.78,27.03,26.78,28.94,29.41,30.72,31.44,32.5,34.53,37.12:43.66,41.22,39.69,37.44,34.97,33.0,30.72,31.81,31.69,34.94,35.81,36.94,39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5,23.69,24.53,25.78,27.03,26.78,28.94,29.41,30.72,31.44,32.5,34.53,37.12,41.06,43.78,47.69,50.06,50.84,50.75:30.72,31.81,31.69,34.94,35.81,36.94,39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5,23.69,24.53,25.78,27.03,26.78,28.94,29.41,30.72,31.44,32.5,34.53,37.12,41.06,43.78,47.69,50.06,50.84,50.75,50.53,48.44,46.81,44.69,43.69,41.88:39.09,39.53,40.59,41.0,41.44,42.78,42.69,42.88,43.44,43.81,44.44,45.5,46.34,45.69,48.16,48.56,48.28,48.47,48.0,47.34,47.19,45.84,45.41,43.41,43.94,42.56,42.0,39.06,41.66,40.47,41.06,41.75,41.03,40.88,39.12,36.0,34.62,32.44,32.0,30.84,28.78,27.84,24.0,21.88,19.78,19.41,20.78,23.06,25.53,28.19,29.75,31.38,32.41,32.16,31.91,31.22,30.16,27.88,26.44,24.62,23.03,21.59,21.72,22.81,25.0,24.94,27.09,26.53,25.38,24.41,22.62,23.16,22.28,21.25,21.09,18.22,15.94,16.19,15.44,19.25,21.62,24.41,25.09,25.28,23.94,23.44,21.91,21.06,20.22,18.5,17.5,17.16,16.19,16.62,18.34,20.12,21.34,23.75,26.44,28.38,30.38,32.72,32.75,31.16,29.28,28.56,25.16,24.66,24.81,24.75,26.22,26.41,26.41,25.5,23.44,23.25,21.72,20.59,22.72,22.19,25.16,27.31,29.25,32.78,32.84,34.19,33.62,31.66,30.44,26.72,25.75,23.19,21.16,19.91,18.28,18.78,18.75,19.78,20.25,21.38,18.62,20.59,22.31,26.03,30.38,35.25,37.12,37.31,35.44,31.56,29.44,28.19,27.22,26.81,26.41,25.69,23.53,22.06,21.81,21.88,21.97,23.09,24.56,25.16,26.44,27.06,29.34,31.0,32.06,32.16,32.19,28.56,28.06,26.03,24.88,25.84,26.5,26.97,26.34,22.78,21.5,18.94,16.59,17.06,16.88,17.44,18.78,19.53,21.59,22.06,23.91,25.56,25.94,27.78,26.81,27.16,28.5,28.88,29.94,32.5,36.5,38.19,41.16,42.12,40.66,36.12,34.12,31.09,29.28,30.34,33.56,36.53,37.5,38.94,39.91,38.03,36.66,34.25,34.44,33.81,33.41,32.56,31.88,29.91,27.97,25.53,25.69,24.41,24.38,23.28,22.72,22.47,22.0,23.19,24.09,25.78,26.84,26.16,26.69,26.0,25.41,24.97,25.5,27.0,27.12,28.38,29.06,30.53,29.19,31.38,33.41,34.06,36.0,36.38,37.66,39.62,41.25,43.44,44.0,44.75,44.44,41.75,40.62,37.59,36.56,36.41,35.31,38.06,39.78,40.25,40.44,39.31,38.34,35.72,32.94,30.31,27.25,25.81,25.97,27.56,29.41,32.94,34.31,35.0,35.44,34.41,34.69,35.16,34.56,34.62,34.75,34.19,33.84,31.91,29.94,27.94,25.03,22.19,20.41,19.06,18.56,18.59,19.41,21.03,23.69,26.38,28.16,29.44,30.0,28.56,25.62,23.88,21.03,17.44,15.03,13.41,11.81,12.44,13.56,16.03,18.03,20.84,25.41,27.16,29.81,33.47,34.56,35.62,37.38,37.59,39.0,40.25,41.16,41.44,41.72,42.22,42.62,42.16,42.56,42.62,41.81,40.56,39.12,37.69,36.91,37.06,36.88,39.25,38.25,38.5,37.81,34.75,33.06,31.56,29.72,28.56,26.41,26.41,25.41,24.84,25.34,25.47,25.56,25.5,26.5,28.09,29.12,31.62,32.12,33.97,34.03,35.78,34.59,32.94,32.59,30.12,28.91,29.28,29.0,30.31,31.75,32.81,32.31,31.25,29.66,27.66,27.03,26.72,28.16,30.03,31.66,34.19,35.44,35.53,35.91,36.31,33.88,33.53,31.19,27.59,25.47,23.06,19.84,22.59,22.09,23.69,26.0,26.75,27.62,27.81,27.0,26.84,25.28,24.78,24.81,25.0,25.47,27.62,27.78,29.09,31.34,33.0,34.72,38.31,41.0,41.78,41.91,42.5,39.91,36.91,34.78,33.38,33.59,33.0,34.0,33.81,33.16,33.22,32.41,32.84,32.69,35.62,36.84,38.69,41.19,42.31,42.94,41.44,40.0,37.47,34.31,31.81,31.0,30.31,30.75,31.19,30.94,30.94,31.56,32.12,31.72,32.69,32.16,32.06,31.47,31.62,32.53,32.69,34.44,37.22,38.0,40.31,41.5,40.94,41.56,40.75,41.66,40.31,40.31,39.75,38.22,37.38,37.0,35.81,34.56,34.66,32.72,30.59,28.81,28.09,28.12,30.09,33.34,36.0,37.78,38.88,39.34,39.41,38.38,38.84,36.84,37.06,36.31,35.06,35.94,34.84,33.72,33.66,32.16,30.69,29.66,30.28,30.06,30.94,31.06,32.0,32.41,31.94,32.06,31.0,30.19,29.03,26.91,25.22,25.03,22.81,23.12,23.31,24.88,25.0,25.5,25.88,27.09,27.56,28.12,29.22,31.66,32.41,34.62,34.06,34.34,32.44,30.62,29.16,25.38,24.75,24.81,25.16,27.69,30.94,32.66,34.69,35.0,34.94,34.28,33.88,32.72,31.06,31.81,33.31,32.69,34.69,36.47,37.72,38.41,39.72,40.66,39.47,37.94,37.19,35.62,35.75,34.09,34.78,34.88,34.25,34.0,33.69,33.06,33.28,33.16,33.06,32.41,32.31,31.91,30.72,30.66,30.69,30.97,31.34,32.09,32.38,32.31,32.31,28.69,30.84,28.12,27.5,27.53,26.5,26.28,25.66,24.97,23.59,23.66,23.59,22.31,23.28,23.28,24.12,26.41,26.62,27.34,28.41,27.31,27.12,26.28,27.84,29.44,31.12,35.44,37.44,39.97,40.06,41.22,40.28,41.56,40.31,40.84,41.41,43.62,42.12,42.56,41.62,39.03,37.44,36.06,35.0,34.06,34.16,33.03,32.94,31.84,30.72,30.19,29.19,28.0,26.94,27.72,27.5,29.81,30.34,30.44,31.44,30.31,30.12,29.84,29.5,28.22,28.31,26.69,27.53,26.41,28.62,29.41,31.09,32.59,33.53,32.81,33.09,33.16,34.72,35.31,35.38,34.78,37.91,38.31,39.12,40.62,39.62,37.78,35.56,33.19,31.81,31.12,30.28,30.16,29.31,28.41,28.03,28.81,29.94,31.09,34.0,36.84,39.25,39.38,41.25,40.31,38.44,39.41,38.16,37.69,38.88,37.44,37.56,36.25,35.62,34.53,31.91,29.75,27.31,26.06,25.12,26.03,25.69,26.19,24.31,25.53,24.25,24.78,26.75,27.56,29.44,31.81,32.5,34.75,37.38,38.0,38.5,38.19,37.56,36.12,34.97,33.16,29.62,26.94,23.25,21.62,19.66,18.66,18.47,19.28,18.66,18.0,18.5,17.69,15.75,15.72,15.94,15.38,16.81,18.19,19.28,20.38,19.81,19.97,20.19,19.16,19.72,18.91,19.19,19.38,19.22,19.81,19.81,19.94,20.34,19.69,20.06,20.59,20.88,21.53,22.06,22.19,21.56,23.03,22.03,21.53,22.12,23.12,23.19,24.75,25.25,24.81,25.0,23.56,23.09,22.31,25.03,25.25,25.56,25.06,23.22,20.59,18.16,16.69,14.41,14.38,13.72,13.34,14.53,15.31,16.84,18.41,18.16,18.66,17.06,16.62,15.06,13.69,10.66,9.34,6.81,4.5,2.91,3.31,5.31,8.59,13.12,18.12,23.0,25.19,27.81,29.97,28.81,29.72,29.69,30.5,29.41,31.28,30.25,29.19,27.31,24.5,21.47,16.62,16.22,15.59,15.31,18.72,20.75,22.56,23.53,23.56,23.53,21.66,19.75,17.66,17.97,16.84,17.44,17.97,19.19,19.94,20.62,21.78,21.53,22.62,23.78,24.31,23.94,22.84,21.84,22.62,21.5,23.69,24.53,25.78,27.03,26.78,28.94,29.41,30.72,31.44,32.5,34.53,37.12,41.06,43.78,47.69,50.06,50.84,50.75,50.53,48.44,46.81,44.69,43.69,41.88,40.91,41.19,40.69,44.03,44.75,46.19:negativity
29.62,29.0,28.66,28.5,27.62,27.12,27.19,27.56,27.91,28.94,29.59,29.56,27.94,26.19,23.94,20.66,19.62,19.28,19.38,20.66,22.78,25.56,27.94,32.75,35.44,38.81,40.41,40.25,38.5,35.66,32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97:27.19,27.56,27.91,28.94,29.59,29.56,27.94,26.19,23.94,20.66,19.62,19.28,19.38,20.66,22.78,25.56,27.94,32.75,35.44,38.81,40.41,40.25,38.5,35.66,32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97,-9.53,-10.81,-10.66,-10.78,-10.28,-9.03:27.94,26.19,23.94,20.66,19.62,19.28,19.38,20.66,22.78,25.56,27.94,32.75,35.44,38.81,40.41,40.25,38.5,35.66,32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97,-9.53,-10.81,-10.66,-10.78,-10.28,-9.03,-7.72,-6.84,-6.22,-3.97,-2.66,-2.38:19.38,20.66,22.78,25.56,27.94,32.75,35.44,38.81,40.41,40.25,38.5,35.66,32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97,-9.53,-10.81,-10.66,-10.78,-10.28,-9.03,-7.72,-6.84,-6.22,-3.97,-2.66,-2.38,-1.47,-2.22,-3.41,-4.84,-5.47,-5.78:35.44,38.81,40.41,40.25,38.5,35.66,32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97,-9.53,-10.81,-10.66,-10.78,-10.28,-9.03,-7.72,-6.84,-6.22,-3.97,-2.66,-2.38,-1.47,-2.22,-3.41,-4.84,-5.47,-5.78,-5.53,-5.34,-4.72,-3.66,-1.84,1.62:32.25,30.16,29.44,29.81,31.62,34.16,33.97,34.03,33.0,31.19,30.5,29.16,29.47,29.78,30.53,31.03,31.97,32.81,34.5,35.31,36.0,35.38,35.31,34.06,32.72,32.44,30.59,29.97,30.19,30.16,29.22,28.91,28.25,27.66,26.97,26.62,27.56,26.47,26.81,26.69,25.75,25.28,23.72,22.75,19.28,16.78,14.06,13.22,13.56,16.31,19.94,24.81,28.75,32.12,35.34,36.84,38.12,38.81,39.28,39.09,39.91,39.97,40.94,42.03,43.12,44.25,44.03,45.12,43.56,43.84,43.16,42.59,41.06,40.09,39.03,37.88,37.53,36.53,37.12,36.94,36.53,35.22,34.19,31.97,30.88,29.97,28.88,29.03,29.94,29.97,30.84,31.03,30.19,30.25,28.62,29.41,29.81,30.5,33.66,34.53,35.47,36.59,36.5,35.97,35.5,35.19,34.44,33.78,33.62,32.25,31.91,31.56,32.31,32.16,33.56,34.09,35.62,35.12,36.84,36.97,38.44,40.06,40.66,42.34,41.97,42.69,42.91,41.66,41.66,40.75,40.62,39.75,39.88,39.16,39.19,38.38,38.94,39.06,39.03,39.38,39.66,39.5,38.56,37.88,36.97,34.5,33.34,32.0,30.5,29.41,28.5,27.66,26.97,27.81,28.94,29.44,31.06,31.41,31.12,30.38,28.97,28.09,28.12,28.12,28.88,29.91,31.44,33.75,34.94,36.22,37.0,38.0,37.19,37.31,38.59,38.81,39.03,40.75,40.72,41.19,40.94,40.34,38.75,36.91,35.06,34.47,34.03,36.41,38.12,41.22,43.09,45.31,45.16,43.53,42.12,38.06,34.97,32.09,30.44,28.75,29.03,28.62,30.16,29.81,29.78,29.28,27.91,26.62,25.53,25.0,25.28,26.19,28.34,30.75,31.19,31.19,31.88,30.38,29.41,28.0,26.19,24.72,24.09,24.19,26.94,30.59,35.31,39.09,44.12,45.12,44.72,44.19,41.19,39.19,37.94,37.12,37.28,37.47,38.28,36.75,37.59,37.16,36.88,36.78,36.56,36.25,36.69,36.88,38.41,39.59,39.5,39.69,38.94,39.41,39.53,39.81,40.78,40.56,40.78,41.34,41.09,41.62,42.66,41.12,41.41,40.25,38.44,39.03,38.84,38.84,38.94,38.66,38.47,38.0,38.56,40.25,41.25,41.66,42.5,42.22,41.12,39.44,39.66,38.84,39.5,39.66,40.66,41.06,40.62,40.31,40.81,39.44,39.16,39.16,39.25,39.44,40.06,42.5,44.47,46.28,47.78,48.94,49.66,49.75,50.28,49.19,47.47,44.81,42.19,38.22,35.81,32.19,30.03,28.44,26.88,27.16,28.09,28.62,30.75,31.34,32.53,32.69,34.72,35.0,36.66,38.88,40.06,41.81,41.56,40.72,40.06,39.0,36.34,35.84,34.28,33.09,31.88,31.41,30.19,30.5,30.53,30.56,30.97,31.03,31.16,32.06,34.91,37.25,39.91,43.31,43.44,43.31,40.75,38.25,34.09,31.06,28.53,26.31,24.84,24.0,22.28,22.47,21.53,21.62,22.88,24.28,25.91,27.84,29.28,30.31,31.69,33.94,34.91,36.88,39.06,38.25,38.84,38.19,36.84,36.16,34.5,33.38,32.5,31.41,31.0,30.53,31.47,32.03,32.66,32.66,33.28,33.25,32.59,32.06,33.19,33.56,34.06,35.56,35.41,35.12,34.44,32.75,33.19,32.56,33.44,33.84,34.25,34.34,33.81,33.38,32.81,31.12,30.88,29.44,28.25,27.41,26.25,26.66,27.72,29.84,31.81,34.81,37.16,38.34,38.31,38.25,38.25,37.19,38.84,40.16,41.81,43.84,44.84,45.44,45.31,44.06,42.66,42.09,40.16,40.06,40.0,39.62,39.84,40.56,39.78,39.41,38.5,38.31,38.94,39.5,40.28,40.25,40.56,39.34,37.12,35.81,33.75,32.19,31.56,31.78,31.94,33.81,35.19,37.62,39.94,41.31,41.28,41.94,42.31,41.56,40.53,41.06,39.84,38.5,37.88,38.06,38.12,38.66,39.69,40.91,41.72,42.91,42.19,41.5,42.41,40.41,40.03,41.28,39.59,41.12,40.78,40.31,40.69,40.38,40.94,42.16,42.59,44.5,45.19,45.62,46.59,46.84,47.31,46.75,47.56,46.81,46.41,44.5,41.81,39.25,36.41,34.53,32.94,32.94,34.47,35.12,36.38,39.56,41.41,43.94,46.16,46.22,47.03,44.03,40.94,38.91,34.56,32.53,31.56,31.25,32.12,32.78,35.44,36.62,37.03,39.03,39.06,39.25,38.5,37.44,37.12,34.22,34.75,34.75,35.25,36.81,39.5,40.41,40.84,41.5,40.19,39.56,38.81,37.44,36.25,36.34,35.31,34.5,34.06,33.56,32.38,31.41,30.62,29.81,28.31,28.56,28.25,26.81,26.25,25.28,23.97,24.22,23.78,24.94,26.78,28.41,29.78,30.81,31.25,32.31,31.53,32.19,32.62,32.62,32.53,31.5,31.56,30.0,28.88,28.94,28.34,28.5,29.31,30.44,32.19,33.34,34.62,35.81,35.5,35.38,34.59,35.06,35.78,36.12,36.31,36.75,35.31,35.03,34.03,34.19,33.22,33.44,35.12,33.31,34.09,32.31,31.62,30.56,30.84,31.22,31.97,33.19,34.78,34.69,35.66,36.22,36.69,36.56,37.31,39.25,41.75,42.69,45.31,47.34,48.25,47.94,47.12,45.72,42.97,38.94,36.56,34.03,31.5,31.38,29.41,29.69,29.44,27.78,28.56,27.72,27.69,27.91,28.91,29.56,30.19,30.16,29.84,28.91,27.59,26.84,25.91,26.84,26.66,27.47,27.78,27.56,28.06,28.0,28.06,28.56,28.44,28.72,29.0,29.19,29.25,29.47,29.19,30.38,31.59,32.84,32.84,32.03,30.56,28.88,27.03,26.94,27.81,28.94,31.72,34.69,36.66,39.0,39.81,38.75,37.47,35.81,32.09,31.31,29.97,28.97,31.03,32.25,34.09,36.5,38.81,40.69,42.12,43.66,44.88,45.16,46.16,46.72,46.78,44.44,41.81,37.78,32.0,27.78,24.06,22.81,23.06,24.75,26.94,29.53,31.19,32.94,34.72,35.88,36.5,39.25,39.66,40.47,40.44,39.47,37.84,36.31,34.53,33.53,32.31,31.44,30.25,29.88,27.97,27.91,27.25,27.25,28.28,28.41,29.38,29.16,29.16,28.66,27.69,27.75,27.81,28.19,28.88,29.5,29.81,30.62,32.25,33.38,33.91,33.84,33.47,32.38,31.03,30.56,29.5,29.81,30.31,30.69,31.0,31.41,32.09,31.22,31.62,32.66,33.59,34.38,36.03,36.28,35.16,34.56,32.75,30.31,28.88,27.72,27.47,26.31,27.16,28.62,28.78,30.78,32.03,33.31,35.62,35.88,36.94,37.0,35.62,34.94,34.12,32.06,30.44,28.47,27.38,24.94,24.44,24.72,24.47,23.59,25.12,25.5,25.81,27.91,29.25,31.19,31.69,32.31,32.16,32.25,32.28,31.41,30.31,29.41,26.88,25.59,23.81,22.56,24.06,24.94,27.06,28.88,30.59,32.0,33.44,34.16,34.47,34.5,33.91,32.66,31.5,30.66,29.44,28.16,26.28,25.72,25.44,25.16,25.75,25.91,27.44,28.16,27.84,29.69,31.38,34.41,38.34,42.38,44.81,45.56,44.69,42.09,38.0,34.97,-9.53,-10.81,-10.66,-10.78,-10.28,-9.03,-7.72,-6.84,-6.22,-3.97,-2.66,-2.38,-1.47,-2.22,-3.41,-4.84,-5.47,-5.78,-5.53,-5.34,-4.72,-3.66,-1.84,1.62,5.25,8.62,11.38,12.88,11.81,9.75:negativity
24.41,25.12,26.06,27.31,28.31,28.91,29.41,30.31,30.53,31.62,31.72,29.69,28.69,24.62,21.72,18.56,15.75,14.34,15.31,15.41,17.44,19.19,20.62,20.53,20.5,20.66,21.38,22.31,25.06,26.19,28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03:29.41,30.31,30.53,31.62,31.72,29.69,28.69,24.62,21.72,18.56,15.75,14.34,15.31,15.41,17.44,19.19,20.62,20.53,20.5,20.66,21.38,22.31,25.06,26.19,28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03,-19.88,-18.06,-15.31,-14.19,-12.78,-12.38:28.69,24.62,21.72,18.56,15.75,14.34,15.31,15.41,17.44,19.19,20.62,20.53,20.5,20.66,21.38,22.31,25.06,26.19,28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03,-19.88,-18.06,-15.31,-14.19,-12.78,-12.38,-11.66,-10.47,-9.97,-8.16,-8.06,-9.22:15.31,15.41,17.44,19.19,20.62,20.53,20.5,20.66,21.38,22.31,25.06,26.19,28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03,-19.88,-18.06,-15.31,-14.19,-12.78,-12.38,-11.66,-10.47,-9.97,-8.16,-8.06,-9.22,-11.75,-15.47,-19.09,-21.78,-24.78,-25.66:20.5,20.66,21.38,22.31,25.06,26.19,28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03,-19.88,-18.06,-15.31,-14.19,-12.78,-12.38,-11.66,-10.47,-9.97,-8.16,-8.06,-9.22,-11.75,-15.47,-19.09,-21.78,-24.78,-25.66,-25.09,-24.19,-23.78,-22.72,-22.66,-22.84:28.06,29.91,31.09,32.34,34.72,36.75,39.78,42.94,46.19,47.47,49.28,49.0,48.06,48.09,48.53,48.62,48.38,47.59,46.53,43.62,41.62,40.16,39.12,37.97,36.94,36.19,34.66,33.41,32.72,30.69,29.88,29.0,27.69,27.72,28.28,29.19,30.53,30.81,29.41,27.81,24.97,22.38,20.0,17.81,17.22,18.62,20.91,22.78,26.31,28.69,30.12,31.28,31.44,30.19,29.22,27.94,26.94,27.19,28.31,30.81,32.81,35.72,38.72,40.25,41.66,41.84,41.91,39.19,37.12,34.41,32.31,31.12,31.25,31.72,34.66,37.22,40.84,44.06,47.22,46.59,46.41,44.06,41.91,38.84,36.81,37.09,36.0,37.0,37.5,38.25,37.81,37.16,37.12,35.0,33.81,32.53,31.78,31.56,32.53,36.81,38.09,40.5,41.09,39.78,37.03,34.12,31.62,29.25,27.41,26.44,25.06,24.06,24.25,24.03,23.91,24.41,24.5,25.31,25.81,25.53,25.78,26.09,26.0,26.72,27.31,28.06,29.59,29.88,30.62,30.78,30.09,30.31,30.62,31.25,32.03,33.81,33.19,33.38,32.66,32.81,31.84,33.59,33.34,35.09,36.62,36.38,37.44,39.44,41.25,44.0,46.41,48.34,48.66,47.78,48.06,46.19,44.94,44.44,43.44,43.0,42.28,41.91,42.28,43.56,44.69,45.28,47.28,48.06,48.09,48.78,49.25,49.09,48.84,48.31,47.44,46.5,44.16,41.84,39.19,36.5,33.84,31.06,28.84,27.38,27.16,25.88,26.5,26.94,27.03,28.5,29.0,30.88,32.66,34.41,35.75,36.41,38.0,39.16,39.81,40.66,40.0,37.84,35.16,31.16,28.94,26.25,24.19,22.53,21.44,20.38,20.94,21.06,22.34,24.41,27.16,29.56,31.25,33.34,35.16,35.66,37.25,38.84,42.5,46.03,49.25,51.94,52.44,50.88,47.47,45.19,42.31,40.66,38.66,38.31,37.97,38.06,38.0,37.41,38.59,36.84,37.88,37.88,38.84,39.19,40.34,40.62,41.47,42.41,42.78,42.91,42.66,41.56,39.03,36.31,32.44,29.47,26.84,25.31,23.62,24.0,25.53,26.72,29.28,33.0,35.34,38.09,40.25,41.78,42.66,43.84,44.78,45.88,46.84,47.78,47.41,46.75,46.03,44.38,41.94,39.38,38.12,37.78,38.47,40.31,42.69,46.16,48.62,50.47,52.12,53.34,53.5,53.28,52.56,51.09,50.5,48.25,47.41,46.97,46.91,48.19,47.94,47.81,47.88,47.66,45.34,44.53,43.66,42.31,41.81,41.12,41.5,42.0,41.84,41.12,41.56,41.0,40.25,40.0,39.34,38.88,38.19,36.75,36.31,35.09,33.59,32.56,32.12,32.44,34.91,35.84,39.12,41.47,43.69,44.47,45.69,45.25,44.06,43.88,42.81,41.94,41.66,41.44,41.5,40.44,39.38,39.19,37.62,37.16,36.62,36.19,35.91,36.12,36.78,38.06,39.81,41.81,44.12,46.91,48.47,49.84,48.53,46.06,42.06,37.66,33.69,29.78,27.56,26.5,27.03,29.0,32.31,35.62,39.03,41.5,43.41,44.62,45.41,45.94,45.78,46.31,46.12,45.28,43.34,42.22,40.28,38.53,37.91,36.34,35.78,35.28,34.41,34.06,34.38,35.03,37.81,39.16,40.06,42.34,41.22,41.06,40.31,40.0,39.38,39.09,39.25,39.75,39.41,39.44,38.31,36.59,35.41,31.72,29.31,28.44,27.47,28.34,29.72,31.5,34.81,36.78,39.34,41.81,43.0,44.03,45.59,45.84,47.62,47.16,47.03,46.97,45.94,44.94,45.62,45.84,46.25,46.0,45.66,44.53,42.88,41.84,42.06,41.78,42.25,43.25,45.38,48.16,51.12,55.03,57.56,59.94,60.62,59.25,57.28,55.12,52.28,50.53,49.53,48.81,48.88,47.69,46.72,45.91,43.66,41.47,39.03,36.97,36.06,34.22,34.22,33.69,34.62,34.31,34.81,35.06,34.75,34.28,35.06,35.06,36.25,37.44,39.44,41.28,42.62,43.81,44.62,44.94,45.19,45.22,44.03,44.25,43.69,42.53,43.34,42.44,43.31,42.78,42.38,43.25,43.5,44.56,45.44,46.59,47.38,47.12,46.94,45.81,45.25,44.66,44.12,43.31,43.12,43.56,43.19,43.97,43.31,44.56,45.56,46.5,48.19,49.84,50.31,51.31,51.75,52.44,53.06,50.75,49.56,46.88,44.06,40.25,38.72,36.25,36.12,34.91,34.91,34.5,34.78,35.5,35.34,35.62,35.59,34.06,33.38,32.31,32.22,33.06,33.47,34.59,34.81,33.16,32.03,30.22,28.56,28.19,28.16,27.5,27.06,27.0,26.91,26.69,27.31,28.34,30.03,31.34,32.66,34.41,35.09,37.12,39.19,41.12,44.12,44.94,46.81,47.38,46.19,45.47,45.53,45.25,45.66,47.75,47.81,49.81,49.31,49.31,49.81,47.81,47.12,44.94,41.97,39.16,36.88,34.38,35.28,36.53,38.72,40.44,41.66,41.38,40.78,39.34,37.44,36.28,34.22,33.94,33.06,32.97,32.34,32.34,32.84,32.81,33.31,34.69,35.12,36.25,35.78,35.72,35.62,34.91,34.53,34.31,34.41,33.72,34.0,33.22,32.0,31.59,31.06,30.28,30.34,30.31,30.62,30.91,33.25,33.31,35.06,36.19,36.44,36.81,37.25,36.62,39.22,38.16,39.69,40.66,39.78,40.66,39.66,37.41,36.53,34.78,32.97,32.44,31.41,31.19,30.5,30.41,31.12,30.53,29.69,28.88,27.28,24.84,22.38,20.72,17.44,17.28,17.34,18.31,20.72,23.31,25.25,26.91,27.41,28.0,28.31,30.69,32.0,34.69,36.25,36.84,36.94,34.75,33.53,30.78,29.59,28.94,30.03,29.31,30.94,31.19,31.09,31.03,31.66,31.75,32.22,31.94,32.66,33.03,32.06,32.84,32.88,33.03,33.59,33.53,33.41,34.56,34.66,34.41,34.19,34.06,33.16,31.44,29.94,29.12,28.25,28.19,28.88,29.81,30.75,31.97,34.22,37.09,38.94,41.88,42.34,42.19,42.66,42.91,42.0,43.03,43.38,41.91,41.84,40.09,38.09,36.06,33.69,32.59,31.5,30.38,31.56,32.03,33.94,35.66,36.62,38.41,40.06,41.25,40.16,39.91,38.59,36.0,34.25,32.84,31.16,30.03,29.5,29.34,30.81,30.41,31.06,31.19,30.38,29.5,28.84,28.84,28.75,30.0,31.12,32.44,32.41,33.78,34.09,34.41,34.66,34.28,33.44,32.62,31.0,29.12,27.72,26.38,25.31,25.19,26.44,27.56,29.75,31.12,32.41,33.66,34.31,36.09,36.53,37.47,37.88,37.81,37.12,37.44,37.62,38.06,38.25,39.06,39.56,39.97,40.0,40.59,39.72,39.81,39.06,38.16,38.41,38.69,38.97,40.62,41.75,42.06,42.25,40.25,40.12,38.69,36.66,36.66,36.22,35.66,36.41,36.66,36.75,37.31,37.47,36.5,35.28,34.53,33.28,31.31,30.34,28.72,27.81,27.44,26.31,26.5,26.47,25.88,25.0,25.81,26.91,28.44,30.19,32.44,34.09,34.84,35.66,35.44,34.88,33.91,33.06,31.12,31.12,30.34,29.62,29.03,27.69,26.5,25.19,23.88,23.94,24.03,-19.88,-18.06,-15.31,-14.19,-12.78,-12.38,-11.66,-10.47,-9.97,-8.16,-8.06,-9.22,-11.75,-15.47,-19.09,-21.78,-24.78,-25.66,-25.09,-24.19,-23.78,-22.72,-22.66,-22.84,-23.19,-22.59,-21.22,-19.59,-16.66,-13.31:negativity
26.81,28.94,28.84,26.81,25.06,23.62,22.22,22.75,23.31,24.38,24.94,24.88,23.44,21.62,20.28,18.44,16.06,15.38,14.34,13.28,13.41,13.81,14.31,16.44,15.44,16.16,17.0,17.12,19.62,23.75,27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94:22.22,22.75,23.31,24.38,24.94,24.88,23.44,21.62,20.28,18.44,16.06,15.38,14.34,13.28,13.41,13.81,14.31,16.44,15.44,16.16,17.0,17.12,19.62,23.75,27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94,-24.97,-23.81,-25.16,-24.0,-21.53,-18.91:23.44,21.62,20.28,18.44,16.06,15.38,14.34,13.28,13.41,13.81,14.31,16.44,15.44,16.16,17.0,17.12,19.62,23.75,27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94,-24.97,-23.81,-25.16,-24.0,-21.53,-18.91,-16.06,-12.84,-9.41,-8.06,-6.88,-6.97:14.34,13.28,13.41,13.81,14.31,16.44,15.44,16.16,17.0,17.12,19.62,23.75,27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94,-24.97,-23.81,-25.16,-24.0,-21.53,-18.91,-16.06,-12.84,-9.41,-8.06,-6.88,-6.97,-8.09,-10.97,-12.59,-15.28,-18.47,-19.75:15.44,16.16,17.0,17.12,19.62,23.75,27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94,-24.97,-23.81,-25.16,-24.0,-21.53,-18.91,-16.06,-12.84,-9.41,-8.06,-6.88,-6.97,-8.09,-10.97,-12.59,-15.28,-18.47,-19.75,-21.34,-22.66,-22.5,-23.16,-21.78,-21.41:27.56,31.44,33.53,34.03,35.12,35.31,34.16,33.0,30.81,28.09,25.75,23.44,22.66,23.25,22.91,23.81,24.56,24.34,25.91,27.19,28.47,29.53,30.75,31.91,32.5,33.94,35.78,36.34,37.19,37.72,36.41,35.22,32.31,28.91,25.47,21.81,19.28,16.19,14.56,12.5,11.62,9.94,8.72,7.91,6.28,4.56,3.28,2.91,3.94,5.66,9.53,11.81,15.16,16.5,17.28,17.59,19.31,19.31,18.5,17.69,15.97,13.03,10.88,10.16,8.66,8.94,8.72,8.53,6.28,4.94,4.03,3.19,2.5,4.19,5.84,8.56,12.66,16.56,20.78,24.0,26.41,28.94,29.94,29.28,27.91,25.97,23.62,20.81,19.34,18.38,17.56,16.66,17.16,17.12,18.03,18.03,18.53,18.88,19.41,19.88,21.34,21.47,22.16,22.19,22.53,23.22,24.38,26.0,26.28,26.34,25.03,23.72,22.03,20.56,19.25,20.59,20.31,20.0,20.56,20.06,18.25,17.56,16.91,15.78,15.28,15.56,16.72,16.78,18.91,19.81,18.94,21.38,21.75,22.44,21.62,20.62,20.94,19.84,20.97,23.0,24.66,26.81,27.06,27.25,25.88,24.28,23.44,22.44,22.47,20.91,21.25,21.16,20.16,21.62,22.44,23.88,24.41,24.59,25.28,23.5,21.53,19.81,16.66,15.78,13.5,12.59,11.09,10.5,9.34,8.94,8.16,7.69,7.59,7.06,7.94,9.0,8.31,9.94,10.88,12.25,13.31,14.19,15.41,16.22,17.0,18.66,19.34,20.06,18.94,17.0,14.44,11.56,9.41,9.69,10.06,10.94,13.16,15.69,16.53,18.66,20.78,22.34,22.56,23.84,22.91,21.88,19.75,18.91,17.25,16.22,17.06,17.56,18.59,18.88,19.19,21.12,20.12,22.19,24.44,27.0,29.69,31.72,30.44,30.0,27.16,24.53,22.19,20.72,20.22,19.72,19.41,16.31,13.78,12.0,8.34,7.91,7.5,7.69,9.44,10.34,11.47,11.72,11.75,12.06,10.94,11.06,12.91,12.66,14.5,16.81,18.84,21.44,23.22,24.44,24.75,24.66,23.91,23.03,22.62,20.78,18.94,19.06,18.22,16.66,17.72,17.47,18.91,19.03,19.41,19.41,18.66,18.16,18.25,19.16,21.06,23.19,23.69,25.75,25.69,25.22,24.81,24.31,22.16,21.34,20.94,19.53,19.22,19.94,19.16,19.31,19.19,19.19,17.94,16.84,15.88,15.66,15.0,14.75,13.47,13.66,12.62,13.34,15.03,17.47,17.91,19.91,19.62,20.34,19.25,19.47,19.38,19.91,20.75,21.12,21.38,21.56,20.94,21.16,21.41,20.44,21.19,20.19,20.72,20.0,21.47,19.31,18.84,17.22,14.28,11.84,9.91,9.06,10.78,11.59,13.53,15.41,15.78,15.72,15.75,14.62,13.06,12.81,10.62,10.75,9.66,9.84,10.69,11.16,10.59,12.16,11.75,11.03,11.19,10.34,8.91,8.41,8.78,8.97,10.75,11.09,12.28,12.44,11.34,11.97,11.22,11.41,11.72,12.44,14.34,14.88,17.41,17.31,19.06,19.56,21.28,23.22,24.38,24.81,24.09,22.31,20.38,17.69,16.06,15.62,15.56,16.44,17.78,18.03,18.47,16.38,13.31,10.09,8.12,6.62,8.06,9.69,11.69,15.72,17.69,20.47,21.56,22.38,23.44,22.59,21.69,21.59,19.88,19.12,17.41,16.78,16.66,14.94,15.0,15.0,14.75,15.53,15.53,16.53,18.06,19.81,22.19,23.81,25.06,26.0,26.66,26.25,25.81,25.84,25.06,23.94,23.72,23.81,22.62,21.47,19.91,17.72,15.94,13.03,12.06,11.56,12.88,14.5,18.56,22.69,26.88,29.97,33.03,35.12,35.72,35.53,36.09,35.5,35.12,35.41,37.75,39.03,39.78,41.94,42.91,41.47,41.38,39.31,36.28,33.28,30.0,27.56,27.25,27.88,30.69,34.5,38.59,41.88,45.56,48.91,51.69,54.75,57.88,59.25,59.12,59.03,56.94,55.16,52.03,48.88,43.91,40.72,37.31,33.84,32.31,30.19,29.09,28.12,26.69,27.66,28.59,30.25,33.06,35.94,39.25,43.06,45.44,46.94,48.31,47.31,46.5,45.06,44.0,41.78,39.91,38.09,35.09,32.31,30.78,28.84,27.5,28.03,29.34,31.66,32.41,35.12,36.56,36.94,38.44,39.78,40.72,41.12,41.84,42.84,42.28,43.03,42.16,40.69,39.09,37.44,34.84,31.84,31.09,27.84,26.66,25.47,25.88,25.62,26.94,28.69,29.94,30.81,31.69,32.31,34.16,35.41,37.84,40.69,42.0,43.91,43.62,41.53,37.66,34.06,29.41,24.94,21.5,19.84,19.59,20.06,22.75,26.0,29.19,31.78,34.38,35.66,35.88,35.31,36.16,35.69,35.78,36.59,37.31,37.31,36.94,36.44,36.03,35.56,34.88,34.16,33.53,32.66,32.25,31.03,32.38,33.44,34.0,37.16,39.34,40.62,41.88,42.22,41.25,40.66,39.81,38.19,37.47,35.38,34.25,32.06,32.12,31.66,32.41,33.28,34.31,35.91,36.66,35.88,37.09,36.12,36.53,37.12,38.06,39.06,39.97,40.44,39.88,39.72,38.34,37.38,36.94,34.53,33.22,32.03,30.94,30.94,32.25,34.03,37.09,38.66,42.12,43.16,45.41,47.19,47.59,48.0,47.97,46.69,45.03,44.91,44.72,45.47,44.66,46.09,44.41,44.31,44.56,43.78,44.78,45.25,45.44,46.06,46.44,46.56,47.66,47.25,48.06,48.0,47.25,45.97,45.16,44.31,42.81,42.0,41.25,39.81,38.06,36.44,34.09,34.25,33.12,32.41,32.94,32.59,30.84,29.94,30.16,28.81,28.31,28.38,29.62,30.81,34.06,37.66,41.28,45.0,48.22,52.72,53.47,54.44,54.91,52.66,50.75,46.44,42.91,39.38,35.38,34.09,32.16,31.5,31.44,30.81,33.12,34.31,36.25,38.03,38.88,41.09,41.81,42.75,43.97,43.62,42.81,40.66,38.41,34.66,31.09,28.56,27.0,25.94,26.31,27.97,28.53,30.62,32.91,35.16,36.84,39.34,40.0,39.88,38.81,38.16,36.44,35.12,33.56,32.97,32.62,32.44,33.22,32.66,34.06,33.69,33.56,34.69,33.47,33.56,33.44,32.53,32.78,33.38,35.41,37.06,40.78,43.91,46.31,46.88,47.25,48.41,46.53,46.47,44.91,44.22,42.56,42.19,40.97,40.78,41.0,41.0,41.72,42.56,41.97,41.06,39.12,38.44,36.31,35.88,36.31,36.56,37.0,38.44,37.62,37.75,38.31,38.31,38.62,38.97,38.41,38.41,37.31,37.28,36.94,35.91,35.97,34.5,34.81,35.06,34.62,35.84,35.19,35.44,33.62,32.81,31.41,30.25,28.28,25.34,24.44,22.34,21.75,21.62,21.66,21.12,21.66,21.41,21.72,22.31,22.56,23.06,23.75,24.19,25.12,25.94,27.69,29.66,31.91,33.12,34.84,35.56,35.12,34.78,33.5,32.25,32.62,32.31,31.91,32.09,32.16,32.41,32.12,31.97,32.22,33.59,32.56,32.31,33.0,33.72,34.53,35.78,36.81,37.12,36.44,34.84,31.47,29.16,27.5,26.28,26.5,26.19,27.19,25.62,25.81,25.94,-24.97,-23.81,-25.16,-24.0,-21.53,-18.91,-16.06,-12.84,-9.41,-8.06,-6.88,-6.97,-8.09,-10.97,-12.59,-15.28,-18.47,-19.75,-21.34,-22.66,-22.5,-23.16,-21.78,-21.41,-21.09,-19.12,-17.78,-15.34,-11.84,-7.09:negativity
21.56,24.09,23.44,20.44,17.03,12.75,11.0,9.19,9.88,10.91,12.91,14.97,15.78,17.78,18.78,20.5,20.25,20.16,19.97,18.91,17.47,17.31,17.66,18.22,20.12,20.69,21.62,22.06,22.19,22.0,23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66:11.0,9.19,9.88,10.91,12.91,14.97,15.78,17.78,18.78,20.5,20.25,20.16,19.97,18.91,17.47,17.31,17.66,18.22,20.12,20.69,21.62,22.06,22.19,22.0,23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66,-22.06,-18.22,-17.47,-18.06,-20.22,-22.81:15.78,17.78,18.78,20.5,20.25,20.16,19.97,18.91,17.47,17.31,17.66,18.22,20.12,20.69,21.62,22.06,22.19,22.0,23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66,-22.06,-18.22,-17.47,-18.06,-20.22,-22.81,-24.78,-25.69,-26.47,-26.59,-26.59,-26.28:19.97,18.91,17.47,17.31,17.66,18.22,20.12,20.69,21.62,22.06,22.19,22.0,23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66,-22.06,-18.22,-17.47,-18.06,-20.22,-22.81,-24.78,-25.69,-26.47,-26.59,-26.59,-26.28,-24.84,-24.44,-23.78,-22.84,-22.66,-23.19:20.12,20.69,21.62,22.06,22.19,22.0,23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66,-22.06,-18.22,-17.47,-18.06,-20.22,-22.81,-24.78,-25.69,-26.47,-26.59,-26.59,-26.28,-24.84,-24.44,-23.78,-22.84,-22.66,-23.19,-23.22,-24.53,-25.22,-25.72,-24.84,-24.25:23.03,24.44,26.84,28.47,30.44,32.19,33.44,33.38,33.47,33.06,32.94,33.28,33.81,34.44,34.94,36.62,35.28,35.81,35.91,34.81,33.47,31.16,29.38,26.91,25.12,24.06,23.34,22.75,23.38,23.75,24.16,24.66,24.97,24.16,22.19,19.34,15.5,12.66,9.62,7.19,6.31,5.81,6.81,10.25,13.53,16.5,19.47,19.19,17.91,15.44,12.88,10.09,10.03,9.91,9.88,10.78,9.44,9.59,10.72,10.0,11.75,12.66,13.94,15.91,18.09,20.31,22.88,25.84,28.56,32.03,34.34,35.16,35.69,33.91,29.75,26.56,22.81,18.31,15.38,12.41,9.0,6.62,5.28,3.69,3.81,3.09,2.94,3.22,3.78,3.88,6.25,7.75,9.88,12.44,15.62,18.38,21.06,22.44,22.94,22.41,23.19,20.81,21.34,22.25,22.03,22.53,23.19,23.78,24.69,26.0,27.69,27.81,29.12,28.09,27.66,28.25,28.31,28.38,29.25,30.56,31.34,32.56,33.69,34.5,35.12,35.34,35.41,34.56,33.94,33.06,32.75,31.78,30.91,29.44,28.59,27.16,25.91,26.66,26.56,28.66,30.75,30.94,30.88,30.09,29.0,27.97,27.53,28.12,27.62,28.06,28.06,26.44,25.56,24.31,24.03,23.81,25.31,25.94,25.25,25.66,25.97,26.75,28.44,31.75,35.06,36.91,39.12,39.84,39.41,38.5,36.53,36.03,33.97,33.25,32.12,31.31,30.56,30.69,29.44,29.28,29.69,28.12,28.41,27.59,26.66,27.75,27.97,29.53,30.12,30.5,31.03,30.56,30.0,30.31,30.06,28.22,27.75,26.78,26.34,27.25,28.38,30.12,32.66,31.75,32.69,32.44,32.47,32.53,33.5,34.91,36.44,37.91,38.06,37.28,35.91,33.56,32.06,29.25,28.78,26.94,25.19,23.44,23.19,22.41,22.06,22.09,22.41,21.09,20.66,20.03,18.91,18.31,18.16,18.28,17.72,17.56,17.47,16.56,15.91,14.62,13.38,12.56,12.41,13.56,13.41,12.06,11.41,9.53,6.19,3.78,2.0,0.66,1.0,1.0,1.59,3.44,4.44,4.16,5.09,5.91,7.19,8.56,12.41,15.62,18.06,20.12,20.5,20.41,18.62,16.59,13.0,10.19,7.28,4.94,4.09,4.41,4.59,5.38,6.62,8.5,9.41,11.28,11.31,12.44,13.12,13.41,15.28,17.22,18.44,18.47,17.34,15.56,12.06,10.75,8.88,7.94,8.69,7.41,7.19,6.81,6.53,6.94,6.19,5.97,6.06,3.53,2.56,0.94,-0.53,0.25,1.12,2.88,4.97,6.12,7.19,8.5,8.06,8.25,9.81,10.59,12.12,12.81,13.34,12.75,12.06,9.97,8.41,5.41,4.25,1.97,1.03,0.53,1.12,1.38,3.12,4.84,6.25,7.81,9.09,9.28,10.88,10.69,11.44,13.31,15.47,18.5,20.53,22.56,22.88,23.19,23.47,23.25,24.94,24.62,25.81,25.16,24.28,22.81,22.38,21.38,21.38,22.16,22.0,20.78,18.91,16.53,13.59,10.81,8.91,8.06,6.41,7.97,8.09,7.94,8.06,7.06,6.16,4.59,2.03,1.06,0.19,0.34,0.75,2.91,5.03,6.19,8.16,9.62,9.38,10.06,9.81,9.66,10.5,10.81,12.19,14.41,15.94,17.47,17.0,18.91,17.12,16.78,15.09,13.19,11.44,9.88,8.66,8.5,9.47,10.94,12.19,14.25,14.56,15.19,15.91,16.34,17.5,18.0,19.78,18.94,21.56,21.25,22.88,23.78,24.25,23.88,22.97,21.53,21.47,21.44,18.28,22.44,23.53,27.25,29.0,31.19,30.62,27.25,23.66,19.94,16.03,14.03,13.16,13.12,14.16,15.78,16.5,17.72,18.34,18.28,17.75,17.72,18.59,18.84,20.56,21.09,22.69,22.72,23.34,24.19,24.88,25.0,25.34,23.69,21.5,17.5,13.94,11.12,9.69,9.31,10.31,12.31,14.16,17.66,19.56,19.66,21.41,20.5,19.09,18.66,18.81,18.09,19.19,20.19,19.97,20.31,20.28,19.34,19.25,18.97,19.38,19.16,19.84,19.38,18.09,20.03,19.28,21.5,23.97,26.94,27.66,29.12,26.88,29.25,25.28,26.5,25.59,24.16,22.53,21.25,18.44,17.56,17.38,18.38,20.0,24.25,25.91,27.84,27.62,26.0,25.06,21.31,20.41,18.53,17.75,18.62,17.28,17.94,16.78,16.91,17.03,15.06,14.5,12.53,10.47,8.03,6.94,6.94,8.75,10.62,13.09,16.31,19.53,21.81,24.16,25.34,25.56,23.72,21.38,19.94,18.66,18.62,19.72,21.25,21.97,22.41,22.44,21.72,20.19,19.81,18.38,17.94,17.97,19.12,20.16,22.56,25.09,26.38,28.91,29.78,30.66,32.66,32.5,31.62,31.69,30.5,28.59,28.03,26.59,25.84,24.44,24.09,23.72,23.94,24.75,25.62,27.22,27.31,28.19,27.78,28.38,28.0,27.75,26.28,25.81,24.69,22.06,21.19,19.16,17.19,15.0,14.53,14.12,15.31,17.66,20.12,22.94,26.09,27.22,27.56,27.56,26.5,24.78,22.56,19.81,17.94,16.22,14.47,13.69,13.16,14.0,13.06,14.09,14.34,15.06,15.66,16.91,17.5,17.91,18.25,18.56,18.81,21.31,21.84,23.06,24.56,24.56,23.66,25.25,25.94,25.94,27.5,27.5,27.12,26.22,24.94,23.81,23.41,21.0,18.56,16.81,14.19,12.16,12.31,12.78,13.16,13.34,14.12,13.88,14.38,15.41,16.41,18.81,18.91,19.28,17.12,16.38,13.0,11.59,9.62,7.94,6.88,5.47,4.69,3.81,4.38,5.09,5.09,5.88,5.78,4.97,5.69,5.41,6.06,7.0,7.06,6.56,6.75,4.75,3.94,2.5,0.91,-0.78,-1.38,-2.03,-2.59,-4.0,-3.66,-3.22,-3.34,-1.69,0.31,2.53,6.12,8.06,10.62,13.09,14.69,16.44,18.16,17.78,15.91,13.5,8.44,4.66,0.88,-2.34,-4.56,-7.06,-9.91,-12.75,-14.66,-15.44,-15.94,-12.78,-9.44,-6.34,-2.62,0.28,3.56,4.81,6.19,7.31,8.19,8.0,7.38,7.47,7.34,6.62,6.25,6.12,6.06,5.69,6.16,8.16,9.5,10.81,10.94,8.75,5.47,0.53,-4.94,-9.59,-13.81,-16.72,-18.19,-18.09,-17.0,-16.19,-15.28,-14.66,-16.03,-17.16,-19.53,-21.22,-23.59,-25.97,-27.84,-30.5,-32.03,-31.72,-30.38,-27.84,-25.03,-22.91,-20.72,-21.5,-22.19,-22.84,-22.72,-21.28,-18.84,-16.34,-13.69,-11.72,-10.47,-9.81,-7.91,-6.09,-4.75,-2.47,-0.72,-1.09,-0.97,-1.5,-2.84,-3.97,-4.0,-5.28,-6.09,-6.47,-7.06,-7.22,-6.66,-6.03,-4.81,-2.72,-1.78,-0.28,1.03,2.53,3.44,5.16,7.66,9.0,8.91,9.69,7.72,5.41,2.56,0.06,-1.16,-1.84,-2.97,-1.84,-2.0,-0.28,0.44,3.59,5.0,6.91,7.66,7.19,5.62,3.94,1.34,-0.38,-2.03,-3.22,-3.38,-3.66,-2.47,-1.94,-0.53,-0.06,1.03,1.38,1.31,0.28,-0.72,-1.72,-3.22,-3.16,-2.03,-0.72,1.44,3.62,6.12,7.31,6.66,7.59,7.28,6.53,6.88,7.41,7.66,-22.06,-18.22,-17.47,-18.06,-20.22,-22.81,-24.78,-25.69,-26.47,-26.59,-26.59,-26.28,-24.84,-24.44,-23.78,-22.84,-22.66,-23.19,-23.22,-24.53,-25.22,-25.72,-24.84,-24.25,-22.31,-19.44,-18.09,-16.66,-15.09,-14.81:negativity
7.16,7.72,8.41,9.66,14.53,17.53,20.62,26.03,26.75,30.38,29.53,28.16,25.59,22.06,19.19,16.19,12.62,13.28,13.56,14.56,16.97,15.72,16.5,12.09,12.47,13.91,15.62,20.5,23.31,25.44,26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94:20.62,26.03,26.75,30.38,29.53,28.16,25.59,22.06,19.19,16.19,12.62,13.28,13.56,14.56,16.97,15.72,16.5,12.09,12.47,13.91,15.62,20.5,23.31,25.44,26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94,-58.59,-59.34,-58.44,-56.66,-56.59,-50.09:25.59,22.06,19.19,16.19,12.62,13.28,13.56,14.56,16.97,15.72,16.5,12.09,12.47,13.91,15.62,20.5,23.31,25.44,26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94,-58.59,-59.34,-58.44,-56.66,-56.59,-50.09,-45.16,-39.41,-32.44,-27.62,-27.19,-29.22:13.56,14.56,16.97,15.72,16.5,12.09,12.47,13.91,15.62,20.5,23.31,25.44,26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94,-58.59,-59.34,-58.44,-56.66,-56.59,-50.09,-45.16,-39.41,-32.44,-27.62,-27.19,-29.22,-30.09,-34.53,-38.12,-40.84,-41.44,-44.22:12.47,13.91,15.62,20.5,23.31,25.44,26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94,-58.59,-59.34,-58.44,-56.66,-56.59,-50.09,-45.16,-39.41,-32.44,-27.62,-27.19,-29.22,-30.09,-34.53,-38.12,-40.84,-41.44,-44.22,-45.47,-46.66,-46.94,-48.53,-48.88,-48.91:26.41,24.47,22.72,21.16,19.16,17.31,15.28,16.38,15.94,16.5,18.25,20.22,22.31,24.53,26.06,29.84,28.09,31.81,31.72,27.53,29.72,27.06,24.03,24.97,23.31,22.03,19.97,17.25,17.09,16.22,16.16,17.06,15.62,16.31,14.75,14.47,14.94,13.59,14.5,13.12,13.91,13.47,14.0,10.78,12.16,9.5,9.5,8.97,9.53,10.81,11.38,12.06,13.88,12.28,14.97,14.53,15.69,16.84,18.41,18.88,21.03,23.59,25.62,27.56,25.28,27.62,23.56,20.12,22.16,21.78,23.72,26.69,29.81,31.66,32.75,29.94,32.12,29.44,29.66,28.94,28.12,26.44,24.09,23.19,22.56,21.72,25.56,25.81,28.66,29.44,31.28,30.81,31.0,31.19,31.66,34.28,33.62,37.88,38.31,38.09,40.16,38.47,37.97,37.84,37.31,37.06,36.91,34.25,38.44,38.09,39.66,41.44,41.25,38.56,36.69,35.28,32.62,30.81,33.28,31.47,32.81,33.94,33.41,32.66,32.06,30.06,29.03,27.06,27.16,27.12,27.06,26.12,29.72,30.66,31.62,33.84,34.12,34.22,32.25,31.0,29.06,28.12,30.62,30.09,34.31,37.16,40.09,42.84,42.91,41.22,36.81,33.16,28.56,24.03,25.47,24.75,27.84,33.06,35.69,37.81,39.03,38.56,36.41,34.06,32.19,29.56,28.19,29.5,26.81,28.34,27.06,23.41,27.94,25.56,27.03,30.44,30.62,31.03,30.88,30.94,28.88,31.5,30.94,34.97,36.5,37.72,40.03,39.72,37.09,37.25,36.03,35.75,37.38,38.59,36.38,38.5,37.41,37.19,38.44,37.72,37.03,37.12,36.06,35.78,34.06,33.41,30.78,29.56,31.44,30.56,32.84,33.28,33.5,35.66,37.69,39.59,43.59,47.12,48.0,48.81,48.25,47.16,47.56,43.94,45.78,44.28,41.75,42.38,43.25,43.31,43.84,46.88,46.28,46.22,46.28,45.66,43.72,44.44,40.94,40.91,37.56,35.81,35.69,31.56,34.41,34.03,34.19,33.81,35.97,34.78,36.72,38.22,38.62,39.47,36.81,37.59,36.19,35.56,35.91,37.06,35.41,34.47,36.41,37.38,38.19,40.09,41.16,40.22,39.0,37.94,34.06,32.91,29.66,25.94,28.03,25.97,27.97,29.44,31.5,32.78,33.66,35.62,33.0,34.81,34.09,34.56,34.44,36.19,35.53,33.84,33.38,31.22,30.19,26.91,29.16,29.0,28.06,32.53,34.88,37.47,41.5,42.62,41.34,39.81,38.56,35.72,35.09,35.06,35.09,35.34,34.12,34.38,35.53,36.19,38.44,41.19,39.16,40.81,38.53,37.22,37.44,35.97,35.06,34.84,32.03,25.16,26.0,21.56,21.91,23.91,26.94,31.0,33.78,32.25,32.62,32.06,30.81,26.06,28.84,27.94,26.56,28.0,29.16,30.19,27.78,28.47,28.19,27.34,27.25,28.72,28.06,26.09,25.16,23.72,23.56,25.94,26.91,27.94,27.78,26.53,26.88,25.94,25.06,26.44,24.81,22.44,24.88,25.5,28.66,31.81,33.47,37.12,37.47,38.16,39.09,38.62,35.84,33.91,33.38,32.06,31.75,34.69,36.41,36.59,37.09,38.09,37.25,40.06,41.59,44.09,43.0,44.09,41.97,38.16,34.78,32.69,29.94,28.12,27.31,30.06,30.91,32.72,36.03,38.19,36.28,39.19,39.16,38.12,39.69,36.69,34.25,33.12,27.44,27.72,26.5,26.41,23.94,27.44,26.38,28.59,31.47,34.69,39.03,42.41,42.62,46.56,47.91,48.81,50.75,50.31,49.75,47.81,44.03,41.12,38.47,31.09,31.53,28.31,30.66,32.97,36.38,40.31,41.41,43.31,44.56,45.91,46.66,46.41,46.03,39.31,44.03,42.62,47.09,51.81,56.22,57.5,58.12,55.88,52.16,50.88,48.09,45.25,43.72,43.09,38.62,37.81,34.34,30.97,31.31,28.34,26.34,21.78,23.44,22.78,25.88,30.5,37.19,40.78,41.84,39.28,37.59,36.19,33.25,34.12,35.44,35.12,32.62,32.03,26.66,27.75,26.53,26.38,25.69,25.97,27.16,26.62,28.91,31.75,33.09,32.66,35.72,37.31,39.19,42.91,45.84,46.06,47.94,43.69,45.47,46.56,48.25,47.78,51.62,50.78,49.56,48.56,47.16,46.16,44.47,42.31,40.34,37.88,36.97,35.28,36.44,38.06,38.94,40.66,41.28,42.72,41.62,43.56,43.31,44.03,43.62,41.34,40.12,33.56,32.66,29.16,27.0,26.81,27.06,24.38,26.59,25.91,27.44,28.06,28.62,32.56,33.97,33.78,37.06,38.69,38.16,36.59,37.38,34.56,31.19,32.62,31.25,29.94,30.72,32.44,32.91,32.88,35.44,35.41,35.0,33.03,33.31,34.84,33.78,38.31,39.62,42.97,44.16,45.28,43.25,44.34,41.81,40.53,43.25,45.03,48.75,52.19,54.72,53.91,52.06,50.97,48.91,45.34,46.38,46.81,46.19,47.88,48.91,50.44,49.94,49.81,48.44,46.5,46.41,46.19,45.34,47.31,48.62,51.19,52.81,53.81,54.69,52.03,50.56,46.66,45.81,45.44,45.03,45.81,44.88,44.53,41.62,39.56,35.91,39.06,38.12,40.5,41.28,40.19,39.69,38.19,36.41,33.66,35.5,34.19,30.16,31.66,31.75,30.78,31.62,34.84,34.84,36.03,37.94,39.31,40.44,38.31,35.78,39.31,36.75,37.84,39.28,40.81,41.47,40.75,40.0,39.66,37.53,30.59,34.28,31.47,32.0,35.34,35.12,36.69,35.09,35.16,36.06,36.62,38.41,37.53,40.31,39.03,37.78,35.53,35.16,32.5,30.91,29.47,27.28,23.97,25.66,23.31,26.69,29.06,33.81,36.88,37.94,38.06,36.5,34.28,31.69,31.66,27.31,29.94,30.03,30.44,29.81,30.06,31.5,29.78,29.19,30.16,28.34,27.31,24.25,27.31,26.53,27.16,31.94,34.66,37.81,40.44,43.19,42.28,42.56,39.84,37.81,33.53,30.66,29.62,28.72,29.62,30.19,31.31,35.44,35.38,38.25,39.38,41.38,41.06,40.5,35.19,35.41,31.62,27.28,27.06,25.94,26.94,27.62,30.56,32.0,31.88,32.31,34.19,31.91,34.75,33.28,32.25,32.81,30.69,30.94,29.72,29.22,29.03,29.06,29.81,31.06,33.69,33.41,35.12,35.94,36.03,37.34,37.06,38.31,36.69,34.88,33.94,32.72,28.94,30.72,29.88,30.31,32.31,33.81,32.88,32.56,31.06,29.56,27.66,26.88,27.12,27.69,27.44,27.41,28.38,26.09,28.62,29.56,29.94,32.38,35.62,36.53,39.53,40.53,39.62,41.28,38.44,34.94,37.19,32.16,32.41,32.56,31.53,30.44,30.62,29.59,29.59,28.66,25.44,28.94,28.06,30.44,33.53,36.53,36.94,35.44,32.31,28.81,25.75,25.31,25.91,29.28,32.09,34.34,34.91,32.59,34.41,31.44,29.78,28.0,24.0,23.94,22.16,22.38,24.0,26.12,27.19,28.59,29.53,31.62,30.25,32.5,33.53,32.62,33.53,33.09,31.91,31.0,31.25,30.0,30.16,29.69,29.97,29.59,30.84,29.44,29.94,30.12,27.97,28.22,28.19,27.91,29.44,28.69,29.94,-58.59,-59.34,-58.44,-56.66,-56.59,-50.09,-45.16,-39.41,-32.44,-27.62,-27.19,-29.22,-30.09,-34.53,-38.12,-40.84,-41.44,-44.22,-45.47,-46.66,-46.94,-48.53,-48.88,-48.91,-50.94,-49.59,-48.34,-47.16,-44.69,-41.75:negativity
26.62,28.34,30.56,33.62,36.62,37.28,38.94,38.19,36.53,36.19,33.12,32.19,30.16,29.78,30.5,31.31,33.34,34.59,36.66,39.03,38.81,40.66,42.62,42.59,42.69,42.5,42.78,43.0,43.94,44.84,46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78:38.94,38.19,36.53,36.19,33.12,32.19,30.16,29.78,30.5,31.31,33.34,34.59,36.66,39.03,38.81,40.66,42.62,42.59,42.69,42.5,42.78,43.0,43.94,44.84,46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78,-12.5,-10.53,-8.41,-4.62,-1.12,1.06:30.16,29.78,30.5,31.31,33.34,34.59,36.66,39.03,38.81,40.66,42.62,42.59,42.69,42.5,42.78,43.0,43.94,44.84,46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78,-12.5,-10.53,-8.41,-4.62,-1.12,1.06,4.62,4.84,5.62,4.78,2.69,1.81:36.66,39.03,38.81,40.66,42.62,42.59,42.69,42.5,42.78,43.0,43.94,44.84,46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78,-12.5,-10.53,-8.41,-4.62,-1.12,1.06,4.62,4.84,5.62,4.78,2.69,1.81,-0.22,0.81,1.16,1.41,3.81,4.5:42.69,42.5,42.78,43.0,43.94,44.84,46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78,-12.5,-10.53,-8.41,-4.62,-1.12,1.06,4.62,4.84,5.62,4.78,2.69,1.81,-0.22,0.81,1.16,1.41,3.81,4.5,5.34,7.31,8.53,9.97,13.03,14.25:46.38,45.69,48.5,49.22,50.81,52.78,54.25,55.06,54.44,53.69,51.66,49.34,46.97,44.31,43.06,42.94,41.62,45.06,46.41,48.66,51.47,54.88,56.44,59.28,59.59,60.56,60.28,58.41,55.88,54.25,50.12,48.75,44.84,43.66,45.59,45.44,48.81,51.41,52.5,54.66,53.56,52.91,52.12,51.25,48.09,46.53,44.62,44.81,44.16,44.22,45.31,46.28,45.09,46.5,47.97,48.25,50.53,51.81,53.75,55.31,57.31,57.06,56.06,56.69,54.88,54.22,53.84,53.62,54.0,55.53,55.62,56.41,56.56,55.5,54.38,52.59,51.44,52.25,53.19,53.31,54.78,54.25,53.84,52.47,52.75,51.66,50.78,50.41,48.97,47.56,47.53,47.66,49.25,50.69,50.91,52.56,52.5,53.41,53.28,54.78,55.09,55.31,54.84,54.91,54.06,52.19,51.62,49.88,48.56,48.19,47.47,48.38,50.06,52.62,53.78,55.25,54.97,55.44,55.66,56.25,56.56,57.06,56.69,55.81,53.41,51.72,49.81,48.72,47.5,49.06,51.53,54.41,58.94,62.41,64.84,64.69,64.78,60.84,57.22,51.94,47.25,43.75,41.69,41.03,40.94,42.81,44.03,46.41,48.34,49.91,52.38,54.0,54.06,54.16,52.56,50.25,49.5,47.66,47.56,48.59,47.44,46.81,47.97,46.12,46.34,47.34,48.03,49.12,50.81,52.66,54.25,55.59,58.0,58.53,58.84,57.53,57.16,55.88,54.88,56.72,57.44,58.66,58.62,57.53,56.19,53.25,53.34,53.84,54.41,55.06,57.31,57.41,57.25,59.06,58.16,57.31,56.91,55.53,55.84,56.59,58.56,59.66,60.66,60.19,57.81,54.47,51.19,47.47,43.81,44.0,43.41,44.94,45.81,47.06,48.25,47.91,47.38,46.25,45.44,44.69,43.97,43.69,42.69,42.06,40.88,40.97,41.53,42.06,44.19,45.59,46.66,48.0,47.69,48.56,48.78,49.19,48.56,47.84,46.03,43.97,42.25,40.91,40.5,39.5,39.22,38.66,37.91,38.97,41.56,44.06,48.62,51.31,51.81,52.16,50.69,48.69,47.44,46.62,46.91,47.84,49.16,50.66,52.12,52.81,53.19,54.88,54.59,55.16,54.12,51.81,47.25,44.25,43.16,41.84,43.12,46.22,49.38,53.81,57.0,59.72,60.56,62.19,61.59,61.59,60.53,61.06,60.12,60.0,60.41,59.25,61.03,61.06,60.5,60.78,60.91,61.19,60.97,59.25,59.94,57.34,55.41,55.38,54.12,55.31,55.5,54.03,54.44,54.38,52.88,52.75,51.06,49.19,47.34,45.84,45.31,44.53,43.66,46.41,46.44,48.59,50.53,51.28,53.16,53.81,54.72,56.03,56.78,56.88,56.06,54.19,51.34,50.59,49.44,49.16,50.28,51.44,52.28,53.75,54.12,54.06,52.62,49.56,47.31,45.62,43.16,40.72,40.97,40.38,38.94,39.91,40.19,41.81,43.25,45.53,46.12,46.19,46.28,45.12,42.97,43.34,43.31,44.81,47.25,50.06,53.53,56.0,59.19,60.66,60.91,60.66,57.88,56.94,54.84,53.5,53.91,52.56,52.31,52.03,50.94,49.16,49.44,48.5,49.44,50.25,50.69,51.56,51.25,51.0,50.06,49.62,47.97,47.94,47.66,48.12,48.09,48.31,47.59,47.34,46.06,47.28,46.97,47.22,47.69,47.69,45.81,45.66,43.97,43.88,44.41,44.84,47.03,48.62,51.28,51.81,51.91,54.0,53.03,52.59,53.28,51.78,50.41,49.78,48.38,47.53,47.53,47.34,48.75,49.41,49.5,52.03,51.62,51.12,50.34,49.62,47.78,46.19,45.59,45.12,44.81,45.5,47.06,48.28,49.47,49.88,48.44,46.91,45.84,43.78,42.38,42.12,42.84,43.34,45.22,45.09,45.56,45.62,43.94,44.56,43.47,43.09,43.97,44.19,45.34,46.25,46.81,46.72,46.16,44.38,43.59,42.12,41.94,44.28,45.09,47.88,50.03,50.5,52.34,50.88,49.34,49.47,48.69,49.81,49.81,50.44,49.78,49.25,47.69,46.62,45.16,44.38,42.62,43.5,43.81,44.62,45.12,47.5,48.5,49.56,48.62,47.91,48.19,47.31,47.91,48.56,49.25,49.56,49.84,50.72,51.62,51.72,53.62,51.53,53.25,51.28,51.34,51.5,51.94,54.12,55.38,58.56,60.47,61.0,60.34,60.91,60.0,59.16,58.97,58.0,57.09,57.5,58.25,59.56,61.56,62.28,62.0,61.38,60.78,58.16,58.53,58.06,55.72,56.06,55.38,53.81,53.94,53.25,52.88,52.09,50.16,49.34,48.84,48.66,49.56,51.31,53.28,54.53,56.09,56.75,58.22,59.66,60.59,61.59,63.06,63.06,62.5,62.06,60.56,59.81,56.81,56.19,53.81,53.56,52.56,53.12,52.94,53.16,52.53,53.25,53.19,53.03,51.72,49.72,47.78,46.78,45.97,47.53,48.31,48.59,50.66,50.34,50.38,49.88,49.12,48.94,47.06,47.62,47.62,50.19,54.0,57.41,57.56,61.09,59.06,57.81,56.53,55.5,53.94,52.41,52.53,52.44,53.44,52.97,53.34,53.12,51.94,50.5,51.03,49.5,48.94,48.12,46.03,45.62,44.78,44.72,43.72,44.0,44.06,43.12,43.41,43.31,43.84,44.69,45.84,47.91,49.47,51.03,52.0,52.88,52.97,52.03,50.81,49.5,48.88,48.34,49.38,50.75,51.72,52.84,53.56,55.22,55.06,56.25,56.66,55.53,54.75,55.25,54.38,53.94,54.56,54.81,54.0,54.16,54.31,53.94,55.28,55.28,54.78,55.28,55.19,54.38,55.81,56.66,56.91,57.28,57.44,57.69,56.81,57.94,58.41,58.56,57.91,58.09,57.69,55.81,56.06,56.09,54.12,54.03,53.31,51.81,52.53,51.44,51.34,52.28,51.72,53.28,54.53,55.25,57.09,57.16,55.88,54.78,52.91,54.03,53.0,53.06,53.44,52.34,51.41,52.16,52.72,53.78,56.25,57.88,58.31,58.5,58.22,58.38,57.38,58.25,57.69,58.25,58.38,58.25,57.06,58.56,57.16,56.84,57.22,57.34,56.41,56.06,54.91,54.06,53.0,51.94,51.16,53.06,53.69,55.47,55.69,55.56,53.88,52.06,50.31,49.53,48.31,49.16,49.53,49.66,49.59,47.81,48.38,48.66,49.47,51.59,53.5,55.25,55.75,56.66,54.97,54.44,53.88,53.16,52.75,52.09,51.66,51.19,49.88,49.81,50.59,51.03,51.62,51.28,53.06,53.06,53.0,53.09,54.25,53.84,52.88,51.88,51.12,49.59,49.5,51.75,53.66,51.0,54.44,53.16,50.81,52.19,52.78,54.19,55.0,54.53,52.97,49.5,49.31,49.19,49.84,51.16,53.41,52.56,51.72,50.5,49.03,47.41,46.69,45.38,44.34,42.62,41.62,40.69,38.75,38.06,38.12,38.06,38.94,39.31,40.06,40.28,40.72,41.41,42.41,41.69,42.0,41.69,40.66,40.91,40.78,39.91,39.69,39.81,40.12,41.97,45.19,49.25,53.12,55.59,56.53,56.81,53.09,51.5,48.38,46.69,45.94,46.56,48.03,47.84,48.81,49.12,49.84,49.62,50.62,51.5,51.41,52.44,52.28,51.56,51.16,50.91,50.25,49.97,48.16,48.78,-12.5,-10.53,-8.41,-4.62,-1.12,1.06,4.62,4.84,5.62,4.78,2.69,1.81,-0.22,0.81,1.16,1.41,3.81,4.5,5.34,7.31,8.53,9.97,13.03,14.25,15.25,16.41,17.31,17.81,19.56,20.38:negativity
25.0,26.94,28.03,28.69,28.56,27.16,27.34,26.91,24.69,25.19,27.56,30.06,33.78,38.19,40.94,41.59,40.69,37.44,35.0,31.94,29.72,28.41,27.22,26.53,27.84,29.28,31.06,33.28,34.56,36.0,36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16:27.34,26.91,24.69,25.19,27.56,30.06,33.78,38.19,40.94,41.59,40.69,37.44,35.0,31.94,29.72,28.41,27.22,26.53,27.84,29.28,31.06,33.28,34.56,36.0,36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16,-5.81,-4.03,-2.78,-1.5,-1.22,-2.0:33.78,38.19,40.94,41.59,40.69,37.44,35.0,31.94,29.72,28.41,27.22,26.53,27.84,29.28,31.06,33.28,34.56,36.0,36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16,-5.81,-4.03,-2.78,-1.5,-1.22,-2.0,-2.19,-4.84,-7.66,-10.66,-12.03,-14.56:35.0,31.94,29.72,28.41,27.22,26.53,27.84,29.28,31.06,33.28,34.56,36.0,36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16,-5.81,-4.03,-2.78,-1.5,-1.22,-2.0,-2.19,-4.84,-7.66,-10.66,-12.03,-14.56,-12.88,-10.66,-6.22,-3.03,1.53,3.34:27.84,29.28,31.06,33.28,34.56,36.0,36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16,-5.81,-4.03,-2.78,-1.5,-1.22,-2.0,-2.19,-4.84,-7.66,-10.66,-12.03,-14.56,-12.88,-10.66,-6.22,-3.03,1.53,3.34,1.69,1.09,-1.84,-5.28,-7.47,-7.94:36.81,38.06,38.88,38.34,39.66,40.41,40.69,41.03,41.5,41.56,41.25,41.69,40.62,39.62,37.16,34.81,31.75,30.06,28.19,28.22,29.34,28.44,29.62,29.94,30.38,30.0,29.97,30.0,29.28,28.59,28.31,27.69,27.56,25.94,25.84,24.56,23.06,20.56,17.91,15.56,13.31,11.03,10.19,9.0,7.56,8.19,8.62,10.0,11.75,15.12,17.72,21.59,26.09,31.34,36.12,38.06,41.44,41.19,40.22,39.25,37.78,37.62,35.53,33.91,32.12,29.16,27.0,24.41,22.94,21.81,20.06,19.56,19.16,18.06,19.06,18.72,20.56,23.38,23.88,25.53,26.09,25.56,25.88,24.94,24.56,23.75,23.12,24.44,25.06,26.34,27.16,27.66,27.44,26.91,25.94,25.91,26.56,26.84,27.97,30.31,31.47,32.94,34.59,35.5,36.25,37.56,38.44,38.28,38.28,36.81,35.62,33.53,32.06,31.12,30.53,29.38,28.66,28.03,28.56,28.41,29.28,30.38,30.75,30.62,30.47,31.06,31.34,32.62,32.53,31.94,31.66,30.84,30.5,31.31,32.75,32.25,33.44,33.91,34.91,34.66,34.38,35.75,35.75,36.69,37.97,38.44,38.88,39.03,37.84,37.97,38.12,37.91,37.78,39.53,39.19,38.75,36.53,35.38,31.78,29.19,28.34,28.06,27.19,28.66,29.38,29.81,30.31,30.62,31.91,32.38,32.28,32.41,32.16,31.72,31.53,30.75,30.97,30.22,29.12,28.03,25.34,21.78,18.75,16.31,13.5,11.97,12.91,13.19,15.53,17.06,19.94,21.78,24.5,25.12,25.88,26.31,25.28,23.97,22.94,24.19,25.19,26.53,30.12,31.78,33.5,34.28,33.03,31.44,30.38,28.25,27.47,27.38,28.56,28.41,28.31,29.72,28.09,28.62,27.34,29.03,30.56,32.72,34.0,33.75,34.25,32.28,30.31,29.53,27.69,26.53,24.78,23.44,22.44,22.03,21.41,21.56,22.16,22.0,22.66,22.59,22.19,22.22,20.62,21.06,20.5,19.88,20.53,20.66,20.22,20.84,21.09,22.72,23.94,26.34,28.56,30.38,31.72,31.09,31.0,30.09,29.62,30.06,31.0,32.75,35.12,36.53,38.72,39.59,38.5,37.62,35.91,35.06,34.91,35.66,36.28,37.25,37.88,39.0,36.72,38.16,38.06,37.12,37.06,36.34,36.59,34.62,34.41,33.94,33.62,33.38,32.56,33.38,34.25,34.44,35.94,36.72,37.41,36.56,34.97,33.94,32.06,30.56,28.0,26.16,25.56,23.34,22.91,23.91,24.69,25.91,27.72,28.91,30.28,29.34,28.75,26.81,25.38,24.75,23.88,24.22,26.19,27.94,29.0,32.28,32.69,33.56,33.62,33.78,32.31,32.56,31.78,31.56,31.25,32.28,32.56,32.88,33.12,33.0,33.44,32.5,33.78,31.94,32.16,32.56,31.19,31.78,32.5,32.44,33.75,33.78,33.78,33.31,31.84,31.5,31.16,30.16,30.69,30.56,31.28,30.28,29.78,29.56,27.62,26.94,24.88,24.62,24.44,25.38,26.62,27.97,28.5,29.69,30.03,30.22,29.94,30.0,29.19,28.88,29.06,28.81,29.31,28.28,28.5,27.34,26.97,26.72,26.09,26.09,26.72,25.41,25.22,23.81,21.88,20.06,19.78,18.88,19.12,19.78,21.5,23.16,25.16,29.25,30.94,32.75,34.75,35.12,33.91,33.19,30.78,28.28,26.53,23.5,23.41,23.03,24.03,25.19,25.56,26.81,27.47,28.16,28.5,29.25,29.5,29.47,29.25,30.38,29.53,29.5,30.25,31.38,33.75,35.06,36.78,39.41,39.91,39.66,39.72,39.56,37.25,37.16,37.28,37.22,38.5,38.38,38.72,38.28,36.5,34.59,32.25,31.34,31.16,30.84,31.56,32.16,31.28,29.84,27.72,26.56,25.62,24.34,24.22,24.81,25.38,25.53,25.94,26.19,28.09,26.19,26.81,25.91,24.62,23.91,22.78,22.78,21.81,21.0,20.28,20.16,20.19,21.78,23.62,25.53,27.56,28.06,29.69,29.91,31.22,30.56,31.12,30.03,27.56,28.31,26.59,27.31,28.72,30.94,32.62,35.47,36.25,37.56,38.03,38.03,37.94,37.62,37.06,35.59,34.09,33.22,32.5,31.59,31.19,30.94,30.5,29.31,29.5,28.66,28.5,27.84,27.44,26.03,25.81,24.78,23.81,23.12,21.25,20.47,20.03,19.66,19.78,20.41,19.75,19.19,20.62,19.41,21.81,23.25,25.12,26.53,27.75,29.28,28.69,28.97,29.91,30.06,29.03,29.06,28.78,27.97,28.03,27.53,28.19,27.59,29.28,29.19,30.0,30.69,30.5,30.0,30.31,31.28,31.38,31.59,31.81,30.66,28.66,25.81,25.06,21.53,20.66,19.22,20.28,20.94,22.5,25.97,26.56,28.88,30.5,30.94,32.19,32.09,31.31,30.22,29.84,28.16,28.16,29.19,28.84,29.0,29.28,28.31,28.25,28.44,28.81,29.53,30.16,29.38,29.5,28.75,26.88,27.44,26.84,27.25,27.75,29.19,30.88,31.34,32.5,32.81,32.03,32.75,32.16,31.81,29.88,28.34,25.69,23.91,22.5,22.03,24.12,26.03,29.28,31.53,34.41,35.75,37.09,37.59,38.22,38.91,39.78,39.78,39.41,37.06,36.19,32.72,31.41,30.06,29.66,28.88,29.16,28.44,28.47,26.75,26.31,26.16,24.69,25.31,24.94,24.5,23.97,24.19,25.41,26.34,29.31,30.94,31.75,34.16,35.16,35.56,37.28,38.22,39.31,39.31,39.06,38.03,35.41,32.31,30.28,28.31,27.91,28.03,28.22,28.53,28.06,26.53,25.53,24.62,24.03,22.31,23.75,21.91,22.16,21.91,20.81,20.5,21.25,20.19,21.72,21.44,21.16,20.75,21.09,20.72,22.16,21.94,23.34,23.34,21.88,23.16,21.62,20.31,19.94,18.66,17.72,16.97,17.66,16.22,18.19,19.28,21.25,22.97,26.56,27.25,28.44,29.09,29.66,30.47,30.06,31.81,29.94,29.56,27.62,26.69,24.16,22.94,21.56,20.25,18.91,19.53,18.84,18.72,19.66,20.75,21.66,22.94,24.62,25.84,25.41,25.75,24.41,23.66,22.28,20.56,19.72,18.38,16.94,16.5,15.44,13.94,13.5,11.81,9.91,8.78,7.25,6.19,5.94,6.59,7.94,11.38,13.97,16.5,17.81,19.09,18.94,18.0,15.28,13.62,11.41,10.81,9.53,10.03,10.81,11.5,11.88,12.09,11.72,11.94,11.56,10.59,11.31,10.78,11.84,12.84,14.69,16.03,16.31,16.81,15.69,14.69,12.44,12.19,11.03,11.41,12.09,12.38,13.91,15.28,13.88,13.94,13.03,11.81,11.75,11.16,10.81,11.5,11.66,12.5,12.34,15.22,15.75,15.84,15.41,14.12,10.84,8.53,6.31,4.53,3.97,4.31,5.12,7.94,9.69,10.94,12.06,13.19,12.53,12.22,11.62,12.94,12.12,13.0,14.5,15.66,17.66,19.78,20.44,22.97,22.62,23.12,22.72,22.69,21.56,21.0,19.16,17.88,15.81,14.75,12.19,10.97,9.34,9.75,8.94,8.81,10.09,10.97,10.81,11.69,13.56,15.69,18.22,21.38,22.22,23.56,22.56,19.72,18.34,16.16,-5.81,-4.03,-2.78,-1.5,-1.22,-2.0,-2.19,-4.84,-7.66,-10.66,-12.03,-14.56,-12.88,-10.66,-6.22,-3.03,1.53,3.34,1.69,1.09,-1.84,-5.28,-7.47,-7.94,-8.16,-6.16,-4.16,-1.88,0.06,2.5:negativity
-1.25,-3.66,-6.34,-7.47,-7.97,-6.5,-4.38,-2.59,0.22,0.78,2.56,1.72,2.28,3.06,3.81,4.28,4.75,5.25,5.66,3.72,2.28,0.69,-1.5,-3.28,-3.66,-3.59,-3.28,-1.03,-0.09,1.47,2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97:-4.38,-2.59,0.22,0.78,2.56,1.72,2.28,3.06,3.81,4.28,4.75,5.25,5.66,3.72,2.28,0.69,-1.5,-3.28,-3.66,-3.59,-3.28,-1.03,-0.09,1.47,2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97,-50.12,-51.91,-53.12,-53.22,-51.84,-50.47:2.28,3.06,3.81,4.28,4.75,5.25,5.66,3.72,2.28,0.69,-1.5,-3.28,-3.66,-3.59,-3.28,-1.03,-0.09,1.47,2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97,-50.12,-51.91,-53.12,-53.22,-51.84,-50.47,-48.34,-45.16,-43.03,-42.09,-41.34,-40.91:5.66,3.72,2.28,0.69,-1.5,-3.28,-3.66,-3.59,-3.28,-1.03,-0.09,1.47,2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97,-50.12,-51.91,-53.12,-53.22,-51.84,-50.47,-48.34,-45.16,-43.03,-42.09,-41.34,-40.91,-40.12,-40.12,-38.94,-38.5,-38.72,-38.84:-3.66,-3.59,-3.28,-1.03,-0.09,1.47,2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97,-50.12,-51.91,-53.12,-53.22,-51.84,-50.47,-48.34,-45.16,-43.03,-42.09,-41.34,-40.91,-40.12,-40.12,-38.94,-38.5,-38.72,-38.84,-40.31,-41.72,-43.78,-44.81,-46.78,-46.31:2.69,4.12,3.03,2.56,2.62,1.5,3.41,4.19,5.66,6.16,4.72,6.0,4.91,3.28,5.19,3.0,2.12,1.06,-0.41,-0.72,-0.12,1.66,1.94,2.31,3.28,3.56,4.28,4.06,4.97,6.28,4.72,4.94,4.31,1.28,0.03,-2.47,-6.34,-10.5,-12.53,-16.28,-19.69,-21.47,-23.59,-24.94,-25.41,-24.69,-23.47,-20.06,-17.66,-14.75,-11.09,-8.84,-4.91,-1.72,1.38,3.69,4.44,3.62,3.81,2.0,2.25,3.0,3.06,2.5,2.44,2.5,1.25,0.53,0.69,-0.34,-0.47,-2.28,-1.94,-2.53,-1.69,-0.66,1.12,1.31,2.75,2.72,1.69,1.38,-0.69,-2.75,-4.31,-6.25,-8.03,-8.59,-8.72,-8.47,-6.84,-6.75,-5.16,-4.66,-3.69,-3.16,-3.19,-2.81,-2.75,-3.84,-4.59,-3.41,-3.97,-2.91,-3.28,-0.66,0.12,2.0,6.22,8.94,10.88,13.81,14.19,12.56,11.12,8.81,7.62,5.81,4.28,2.03,2.28,1.44,1.41,1.91,1.66,0.31,0.47,-1.34,-2.91,-2.47,-3.38,-4.03,-2.97,-1.78,-0.97,0.16,0.09,-0.41,-0.06,-0.47,0.0,1.75,2.62,3.62,4.22,3.81,4.09,6.25,6.22,6.12,5.94,5.47,6.66,6.56,8.31,10.09,11.56,11.44,9.41,8.88,6.31,4.88,3.03,2.66,2.84,3.31,3.41,4.78,5.41,5.94,6.03,7.47,6.88,6.34,5.28,5.94,3.94,4.0,3.94,3.09,2.47,1.94,1.31,1.44,-0.88,-1.84,-2.31,-3.88,-4.84,-4.53,-4.88,-3.69,-2.56,-1.78,-0.47,-0.97,-1.28,-3.12,-4.34,-6.28,-6.94,-7.16,-6.31,-5.22,-3.47,-2.72,-3.06,-3.28,-3.22,-5.19,-5.34,-5.03,-4.53,-4.25,-2.34,-1.06,-2.22,-0.5,-1.22,-1.31,-1.47,-2.22,-3.31,-3.94,-4.97,-5.84,-6.97,-6.97,-7.16,-7.34,-7.34,-8.06,-8.44,-8.16,-8.56,-8.66,-8.97,-11.47,-12.69,-14.34,-17.06,-17.12,-16.81,-17.84,-17.09,-17.47,-17.78,-18.62,-19.19,-19.09,-19.16,-18.44,-18.84,-17.81,-16.28,-15.84,-14.19,-11.47,-9.03,-6.34,-3.41,-1.22,-0.34,-0.66,-0.84,-2.66,-4.44,-5.41,-7.56,-8.78,-6.53,-5.81,-3.22,-0.72,2.78,2.88,3.16,2.38,0.72,-0.59,-0.75,-0.97,0.47,1.97,4.75,6.91,10.66,12.66,14.38,15.34,16.41,14.09,12.78,11.56,9.0,8.38,8.03,8.47,9.5,9.22,9.97,10.03,11.31,11.06,12.28,12.75,12.75,13.81,12.44,12.34,11.78,10.22,8.34,7.28,5.78,4.19,3.16,2.72,1.41,0.28,-0.12,-0.16,-1.28,-2.62,-3.06,-4.03,-3.38,-3.03,-0.97,-0.81,0.75,-0.09,-0.47,-1.47,-2.09,-1.91,-1.06,0.06,1.03,1.28,2.06,3.97,4.59,5.94,7.25,8.03,7.47,7.03,7.06,5.31,5.44,5.12,5.53,6.44,6.5,5.44,5.66,2.75,1.53,2.19,2.12,3.47,5.62,7.06,8.0,8.09,9.06,10.03,12.0,12.88,13.28,12.28,10.5,7.5,5.41,1.84,-0.56,-0.72,-1.81,-3.03,-2.94,-2.62,-1.41,-1.47,-1.28,-1.72,-2.22,-3.88,-7.28,-8.62,-9.62,-10.5,-9.34,-7.16,-4.47,-0.12,2.34,5.28,6.94,6.91,6.41,5.19,4.66,3.56,1.88,0.41,-0.34,-2.16,-2.38,-2.91,-2.19,-1.97,0.78,1.81,3.25,5.06,5.38,6.94,7.34,6.69,8.12,9.25,11.12,13.72,16.28,19.0,21.31,21.62,22.38,22.41,20.91,19.78,18.19,16.12,14.88,13.88,13.56,13.56,13.41,14.41,15.38,15.66,16.75,18.69,18.34,18.78,18.5,17.12,16.25,16.31,14.56,13.16,12.41,10.91,8.41,6.25,3.88,1.31,0.12,-0.88,-1.47,-0.69,0.34,0.44,1.91,1.94,2.44,2.06,2.38,2.41,2.47,3.72,4.53,5.25,7.62,9.19,11.09,13.66,14.56,16.44,15.81,15.06,14.09,11.88,10.38,8.44,6.38,5.53,4.03,2.94,3.19,3.38,3.25,2.56,3.69,3.41,4.44,5.16,6.84,8.75,9.41,10.75,11.28,11.06,10.12,10.0,7.66,4.59,3.59,2.41,1.72,2.41,3.41,4.0,4.44,3.41,2.78,1.88,0.66,0.62,-0.34,-0.69,-0.94,0.44,-0.09,0.81,2.47,3.69,6.12,7.41,9.75,10.41,10.25,10.94,10.31,9.41,10.44,8.44,6.62,4.06,1.88,-0.09,-0.5,-2.44,-1.47,-0.72,-0.34,1.91,3.19,4.09,6.22,6.03,6.03,4.53,3.78,-0.09,0.03,-2.28,-3.06,-3.72,-4.31,-4.16,-5.66,-7.94,-7.59,-8.44,-8.81,-7.97,-7.66,-7.72,-9.09,-9.09,-8.0,-8.34,-5.59,-4.78,-2.94,-0.59,0.09,1.31,2.69,2.28,2.97,2.03,-0.22,-1.75,-3.34,-5.34,-4.97,-4.78,-4.19,-1.16,1.22,2.31,5.06,4.06,3.53,2.78,0.28,-1.22,-3.31,-5.94,-7.69,-9.31,-10.0,-10.16,-8.03,-5.16,-2.91,-0.03,2.81,3.53,3.91,3.41,2.78,0.56,0.0,-0.53,-3.06,-4.97,-3.09,-2.09,0.44,3.78,7.97,8.91,8.12,8.16,7.25,4.91,4.19,-0.06,-1.44,-6.19,-6.31,-7.19,-5.47,-3.09,-1.03,-0.06,-0.34,-0.19,-0.62,-1.66,-0.91,-4.72,-4.84,-6.88,-8.16,-9.44,-9.59,-10.34,-11.03,-9.47,-8.69,-7.34,-5.56,-4.28,-2.91,-3.12,-1.66,-1.69,-0.75,-0.34,-0.75,-0.09,-1.91,-4.25,-6.16,-8.62,-10.53,-11.03,-10.44,-9.03,-7.62,-7.03,-5.25,-4.38,-4.09,-4.03,-3.62,-3.19,-2.91,-2.66,-1.22,-1.97,-0.84,-4.28,-4.72,-6.59,-8.22,-9.53,-10.56,-10.97,-12.97,-14.28,-15.06,-15.56,-15.22,-13.75,-14.22,-13.66,-13.59,-14.59,-14.78,-15.03,-15.25,-16.0,-16.72,-19.41,-21.47,-23.22,-23.66,-25.19,-23.66,-23.0,-21.97,-20.44,-19.66,-19.72,-18.94,-19.59,-19.59,-22.19,-23.91,-24.88,-27.28,-28.47,-26.59,-26.97,-24.94,-23.94,-21.31,-20.81,-19.47,-16.59,-13.84,-12.03,-8.88,-6.34,-4.44,-2.81,-1.28,0.06,0.81,1.88,2.28,2.78,2.34,2.5,1.75,0.06,-1.03,-3.56,-5.16,-4.59,-4.69,-4.47,-3.25,-2.22,-1.09,-0.69,1.09,2.66,3.31,2.56,1.84,0.31,-1.88,-2.72,-4.56,-5.06,-4.97,-5.0,-4.41,-4.03,-3.06,-1.09,-1.81,-1.16,-0.91,-1.91,-2.0,-1.97,-2.44,-2.09,-0.81,-0.69,-1.47,-1.34,-1.34,-1.44,-1.5,-0.34,-0.16,-1.25,-1.41,-2.0,-3.91,-4.59,-5.97,-6.47,-7.56,-8.41,-8.19,-7.94,-8.72,-6.97,-6.56,-5.47,-5.19,-4.25,-3.84,-3.72,-3.34,-2.5,-2.69,-1.91,-3.03,-1.97,-3.94,-4.84,-4.69,-6.41,-6.88,-6.56,-7.28,-5.81,-6.0,-6.41,-6.66,-7.78,-7.09,-7.69,-9.72,-9.03,-10.62,-11.69,-11.22,-11.53,-10.16,-10.72,-9.59,-9.91,-10.03,-8.16,-8.09,-6.78,-6.44,-7.38,-7.81,-9.25,-10.72,-10.78,-10.84,-9.78,-7.0,-5.47,-4.44,-3.31,-3.97,-5.91,-9.75,-12.09,-15.22,-18.97,-50.12,-51.91,-53.12,-53.22,-51.84,-50.47,-48.34,-45.16,-43.03,-42.09,-41.34,-40.91,-40.12,-40.12,-38.94,-38.5,-38.72,-38.84,-40.31,-41.72,-43.78,-44.81,-46.78,-46.31,-46.47,-45.69,-44.34,-42.62,-40.09,-38.31:negativity
19.41,17.56,17.84,18.09,14.88,16.5,14.56,14.53,14.47,15.06,16.44,17.88,19.38,20.81,20.41,23.31,21.69,23.47,24.38,24.94,26.16,26.16,25.47,23.84,19.25,19.31,16.81,14.16,17.03,17.69,18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56:14.56,14.53,14.47,15.06,16.44,17.88,19.38,20.81,20.41,23.31,21.69,23.47,24.38,24.94,26.16,26.16,25.47,23.84,19.25,19.31,16.81,14.16,17.03,17.69,18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56,-24.91,-25.56,-26.03,-24.38,-24.47,-24.88:19.38,20.81,20.41,23.31,21.69,23.47,24.38,24.94,26.16,26.16,25.47,23.84,19.25,19.31,16.81,14.16,17.03,17.69,18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56,-24.91,-25.56,-26.03,-24.38,-24.47,-24.88,-24.09,-23.84,-24.84,-24.44,-23.69,-22.81:24.38,24.94,26.16,26.16,25.47,23.84,19.25,19.31,16.81,14.16,17.03,17.69,18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56,-24.91,-25.56,-26.03,-24.38,-24.47,-24.88,-24.09,-23.84,-24.84,-24.44,-23.69,-22.81,-22.22,-20.03,-20.91,-19.94,-17.59,-16.38:19.25,19.31,16.81,14.16,17.03,17.69,18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56,-24.91,-25.56,-26.03,-24.38,-24.47,-24.88,-24.09,-23.84,-24.84,-24.44,-23.69,-22.81,-22.22,-20.03,-20.91,-19.94,-17.59,-16.38,-16.09,-15.59,-15.34,-17.97,-21.75,-20.91:18.84,21.28,20.88,21.66,21.53,21.03,21.31,21.44,22.5,23.06,23.75,25.06,25.88,27.56,26.0,25.97,23.34,21.97,17.0,17.78,17.06,18.56,19.25,21.91,23.0,23.25,20.81,24.12,24.94,27.12,29.12,30.44,30.56,27.12,25.22,17.03,18.31,14.34,14.41,15.56,15.19,16.03,14.03,14.31,14.66,15.19,15.31,16.62,16.31,20.09,18.94,21.03,20.41,20.38,21.12,19.53,19.34,19.66,18.31,17.44,20.78,22.53,25.47,29.16,31.84,33.09,33.09,34.75,33.16,31.66,26.81,24.84,23.47,21.38,24.72,24.41,27.22,28.19,30.38,31.38,30.69,30.62,29.34,25.84,27.19,27.66,27.72,28.94,28.19,28.34,28.28,26.0,25.97,29.56,30.53,33.91,36.78,38.16,38.03,36.91,35.5,34.06,32.44,33.38,32.31,33.28,34.78,35.31,35.47,35.34,33.38,31.28,31.94,30.12,31.06,33.41,34.72,35.97,35.72,36.69,35.22,35.44,37.19,35.66,39.97,40.81,44.81,46.44,47.91,47.56,44.88,45.25,41.81,40.22,40.78,39.5,35.44,36.19,32.62,31.56,30.81,31.34,33.31,34.84,37.25,39.62,39.0,40.25,38.19,34.62,33.41,31.16,27.56,26.5,24.5,23.25,21.78,22.06,19.88,22.41,23.5,24.34,25.34,26.62,25.41,25.16,27.31,29.41,32.16,35.81,37.69,40.41,40.06,39.91,41.06,41.34,40.5,40.94,40.78,38.22,38.75,39.56,40.81,41.47,43.47,47.31,48.0,47.25,50.69,49.69,49.53,47.94,45.75,43.94,39.88,37.94,36.25,34.53,31.78,32.53,34.25,35.72,38.53,41.72,43.34,44.81,44.62,40.66,41.25,39.53,37.31,36.66,37.16,37.28,36.0,36.56,35.81,38.06,39.75,41.88,44.84,46.56,48.56,50.25,50.25,49.66,50.5,47.5,45.28,43.44,43.19,42.66,39.69,40.44,37.38,34.31,32.78,28.28,26.56,27.5,27.34,30.5,32.97,35.84,37.03,37.53,36.94,37.69,40.47,40.41,40.59,42.91,43.28,41.56,38.31,40.88,38.81,38.53,38.12,38.28,33.94,33.72,32.97,33.94,36.5,41.0,43.28,45.53,47.56,47.72,46.0,46.25,43.72,42.19,41.28,41.66,39.19,37.25,36.0,35.78,35.75,37.66,42.0,44.06,47.06,48.62,48.94,48.56,46.94,43.53,46.09,44.16,44.78,46.31,45.41,44.19,41.66,39.5,36.59,36.56,36.28,38.28,40.72,44.12,45.44,46.53,46.88,45.12,42.56,44.44,42.97,43.66,43.88,44.31,42.59,41.41,40.44,38.59,36.09,36.56,35.78,37.03,40.34,42.66,45.28,49.62,47.81,50.56,49.59,49.44,49.53,47.44,48.09,47.81,44.81,42.69,40.53,35.5,31.62,28.62,25.0,24.12,21.69,22.0,24.97,28.38,33.88,39.78,43.22,47.12,47.94,46.03,45.94,45.66,42.06,41.06,38.91,35.78,32.72,28.75,27.88,28.19,24.56,30.69,32.19,35.88,38.09,42.44,40.66,43.62,43.81,45.53,47.12,45.47,48.72,47.31,47.25,47.78,49.44,49.91,48.56,49.81,47.91,41.69,42.94,36.0,37.19,35.97,36.94,36.69,35.47,35.81,34.66,34.12,33.34,34.5,34.09,33.38,34.44,35.62,33.78,33.72,31.81,26.81,21.94,19.38,14.91,13.16,11.78,13.91,16.66,19.78,22.22,25.94,27.66,29.72,27.19,30.19,29.31,27.19,28.81,29.06,32.28,34.66,35.62,38.91,40.94,41.31,40.38,40.31,37.94,34.62,32.06,29.75,27.62,23.59,24.41,22.81,21.56,22.88,22.72,21.84,22.06,20.75,19.5,17.12,19.25,19.22,23.75,28.53,32.94,34.5,36.38,35.69,32.56,27.91,27.53,25.56,24.0,24.5,21.59,21.06,19.47,15.66,15.69,15.34,16.66,18.06,19.25,23.75,25.78,25.84,25.91,26.81,27.62,27.34,29.12,30.19,28.25,27.12,24.47,22.12,22.69,22.25,22.59,24.41,26.47,26.59,26.69,24.56,24.69,22.44,22.59,24.31,28.78,32.12,33.75,40.69,43.94,48.31,51.19,53.28,51.31,47.97,42.25,33.91,29.91,24.41,20.31,23.03,23.44,27.31,29.91,30.62,31.53,32.59,30.31,28.62,32.03,29.81,31.06,31.31,33.06,32.81,32.56,31.62,32.31,29.56,30.34,29.34,29.47,30.75,31.44,31.03,31.94,31.56,31.12,30.53,27.38,26.5,26.28,24.31,25.59,26.19,25.06,25.72,26.22,27.53,31.06,32.94,34.62,32.53,32.28,32.62,31.44,30.69,33.34,33.12,31.19,30.88,30.69,30.0,31.75,32.56,34.03,34.53,35.12,33.91,33.47,33.78,32.66,33.09,31.53,35.03,35.72,37.78,40.25,41.41,41.66,41.03,39.59,36.5,36.16,35.28,33.84,31.38,33.16,30.59,29.56,28.59,27.84,28.31,28.81,30.22,32.62,34.5,34.09,38.72,36.81,36.38,36.88,35.88,33.09,32.22,28.81,28.81,29.25,30.34,33.5,35.66,36.12,34.31,33.38,31.5,29.78,28.34,30.16,27.56,30.94,30.28,31.09,31.56,30.62,29.12,26.09,24.44,19.97,21.72,23.56,24.06,28.31,29.16,30.81,31.09,27.81,28.0,27.28,26.0,25.78,26.06,27.41,28.06,28.78,31.31,33.78,34.56,38.03,39.06,39.66,39.81,37.81,38.09,35.44,34.91,34.91,33.44,34.72,36.16,35.69,34.47,32.69,30.31,27.91,26.5,23.38,25.09,23.75,25.47,29.81,31.62,34.06,37.47,38.81,40.0,41.66,42.25,42.69,41.84,40.56,44.0,43.06,45.12,47.56,47.31,46.94,46.66,44.31,42.75,40.41,39.03,39.56,39.31,41.0,42.31,42.53,39.97,38.0,35.44,32.97,31.25,26.03,27.84,25.25,25.69,25.69,26.31,27.31,25.47,25.72,26.62,27.16,26.75,30.91,31.94,34.97,36.34,37.34,36.88,35.56,34.81,34.25,32.28,33.69,33.81,31.19,35.75,34.53,35.38,37.25,36.22,36.22,34.5,34.56,34.72,34.62,36.16,37.19,36.84,33.72,36.22,35.12,34.56,34.38,33.78,32.16,30.5,28.72,27.62,28.12,28.81,27.62,31.16,33.22,34.78,38.34,40.47,41.44,43.16,44.84,46.91,49.09,51.03,53.0,51.56,48.69,43.38,40.94,36.88,33.81,32.5,30.66,30.94,29.25,30.81,31.91,32.41,31.19,32.5,31.84,29.12,31.34,32.41,33.12,32.66,34.34,35.38,34.81,35.72,35.47,33.06,30.12,31.62,29.47,30.22,30.84,29.72,29.19,28.25,26.44,26.44,24.94,27.22,25.5,27.38,27.22,28.91,30.16,32.19,33.38,34.28,34.06,32.25,30.5,28.28,27.22,27.31,28.88,30.62,32.62,33.81,33.91,33.41,33.34,32.38,30.12,28.84,25.06,25.16,23.53,22.59,22.66,24.69,25.75,26.81,27.44,29.56,29.41,29.44,28.53,28.44,28.88,26.72,28.88,27.69,26.31,26.53,25.0,22.81,22.31,21.19,20.0,19.97,18.91,16.81,16.66,15.78,17.0,16.81,18.59,18.41,18.5,17.56,15.53,15.53,14.81,14.56,-24.91,-25.56,-26.03,-24.38,-24.47,-24.88,-24.09,-23.84,-24.84,-24.44,-23.69,-22.81,-22.22,-20.03,-20.91,-19.94,-17.59,-16.38,-16.09,-15.59,-15.34,-17.97,-21.75,-20.91,-22.97,-23.84,-22.72,-21.84,-20.84,-20.94:negativity
98.06,96.66,97.81,99.25,99.62,101.56,104.0,105.06,107.88,110.91,111.94,114.75,114.0,113.44,111.28,110.66,108.31,107.5,106.19,105.56,104.19,103.06,101.56,101.75,103.62,105.06,107.31,108.75,107.19,103.06,102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56:104.0,105.06,107.88,110.91,111.94,114.75,114.0,113.44,111.28,110.66,108.31,107.5,106.19,105.56,104.19,103.06,101.56,101.75,103.62,105.06,107.31,108.75,107.19,103.06,102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56,62.41,61.16,62.03,62.75,64.0,65.94:114.0,113.44,111.28,110.66,108.31,107.5,106.19,105.56,104.19,103.06,101.56,101.75,103.62,105.06,107.31,108.75,107.19,103.06,102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56,62.41,61.16,62.03,62.75,64.0,65.94,67.72,70.56,72.25,74.34,74.66,77.41:106.19,105.56,104.19,103.06,101.56,101.75,103.62,105.06,107.31,108.75,107.19,103.06,102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56,62.41,61.16,62.03,62.75,64.0,65.94,67.72,70.56,72.25,74.34,74.66,77.41,76.88,77.66,76.25,75.91,75.22,73.19:103.62,105.06,107.31,108.75,107.19,103.06,102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56,62.41,61.16,62.03,62.75,64.0,65.94,67.72,70.56,72.25,74.34,74.66,77.41,76.88,77.66,76.25,75.91,75.22,73.19,72.56,70.44,67.75,65.59,64.59,64.41:102.06,98.44,97.31,99.31,101.81,105.0,108.22,109.12,112.06,112.81,113.75,115.69,118.06,119.28,119.56,118.31,117.03,112.34,111.5,110.0,109.06,110.5,111.56,111.69,113.06,113.69,113.88,113.5,113.59,112.25,111.75,110.38,108.75,106.5,104.28,102.31,101.03,99.19,97.81,95.69,94.19,91.69,89.84,88.66,89.09,88.78,89.69,91.12,92.5,92.91,93.66,93.81,94.62,94.56,97.56,97.81,99.28,98.91,99.5,99.81,100.12,100.88,101.75,101.38,100.66,99.75,100.66,99.56,98.75,97.28,97.44,96.38,96.03,96.94,98.12,98.19,99.5,100.44,100.56,98.94,101.31,101.22,103.0,106.03,110.5,113.81,116.5,116.62,117.12,115.06,112.75,110.12,106.69,104.78,103.0,100.38,99.81,98.12,96.88,95.28,95.94,96.06,98.12,99.0,99.66,99.62,98.94,98.19,96.56,96.88,98.75,98.06,97.44,100.81,98.56,98.31,99.12,99.12,101.12,102.31,104.41,106.41,106.69,107.03,107.19,105.0,105.25,104.06,103.06,103.25,103.12,102.81,104.38,104.12,104.38,103.69,103.5,102.62,101.72,101.81,103.69,104.88,106.56,107.94,107.19,107.12,106.81,107.69,107.44,109.91,111.31,110.88,111.88,110.81,109.41,110.0,108.31,107.34,106.22,105.56,103.62,102.5,101.5,99.94,98.81,97.88,100.03,101.0,102.16,102.81,103.91,104.5,102.69,103.97,104.06,103.69,104.47,104.91,106.5,105.06,103.94,101.81,100.0,96.5,95.06,95.94,95.19,95.69,96.66,95.34,96.19,94.81,93.62,93.31,92.06,92.62,91.5,93.5,93.56,92.31,92.12,91.69,91.06,91.56,93.5,95.69,98.06,99.19,101.72,102.31,102.44,101.31,101.53,100.25,98.0,97.44,96.34,94.56,96.91,97.19,98.94,101.44,102.62,101.25,103.0,101.94,100.88,101.69,100.69,99.12,98.5,95.44,93.62,93.0,93.06,94.06,96.75,99.0,101.31,102.38,102.94,101.44,99.94,97.09,94.31,92.25,90.56,89.94,90.0,89.34,91.44,92.62,94.81,95.38,96.28,96.5,97.16,96.94,99.0,100.88,101.62,102.0,102.12,101.0,100.0,101.25,100.88,101.56,101.62,103.25,102.56,102.0,100.25,97.28,94.06,92.62,92.0,92.47,93.62,95.62,96.81,97.44,97.94,99.38,98.03,98.28,96.66,96.44,95.78,95.0,95.12,94.16,95.5,96.25,97.62,100.94,102.62,105.56,110.62,112.88,116.81,120.31,121.25,120.28,119.25,117.78,114.62,113.66,112.94,112.56,109.75,109.81,108.44,107.62,107.53,108.66,109.69,111.25,112.34,112.72,113.94,113.0,112.56,113.12,113.5,114.0,116.06,115.5,113.81,111.44,109.31,106.75,105.12,103.81,103.31,101.94,102.0,102.0,104.31,106.03,108.25,109.53,110.56,110.41,109.62,108.94,108.94,108.25,107.31,106.5,106.75,107.66,108.91,110.31,112.62,113.81,115.62,114.31,114.16,114.38,112.41,111.69,112.12,110.69,111.97,111.59,112.0,111.06,110.94,110.19,109.94,109.0,108.56,109.12,108.94,109.44,108.84,109.69,106.81,105.44,101.47,99.06,98.78,97.25,97.19,96.91,94.84,92.97,90.16,88.12,87.19,86.94,88.91,90.44,91.81,91.81,92.81,91.19,91.69,92.12,93.5,95.59,96.84,98.31,98.56,98.25,97.94,98.31,97.47,97.56,97.16,97.84,96.78,97.62,97.25,98.78,97.81,99.56,100.06,101.47,101.62,101.06,102.25,102.56,101.41,102.44,104.09,104.19,104.5,105.88,105.72,104.5,103.25,101.44,100.59,99.75,99.38,99.19,98.91,97.75,96.62,95.16,95.12,93.12,91.03,89.88,87.44,85.31,85.09,84.31,84.56,86.19,88.0,88.5,89.81,92.12,92.28,94.06,97.25,98.12,98.62,96.28,95.62,92.94,90.41,90.81,90.38,90.0,89.84,88.91,90.25,90.19,91.12,92.25,93.0,94.38,95.19,95.84,95.31,97.81,97.12,98.34,97.66,98.19,97.06,97.44,95.88,97.62,98.19,99.41,101.62,102.75,103.56,104.81,104.12,103.06,103.66,100.28,100.66,100.03,98.31,98.41,98.34,100.5,101.47,103.28,105.75,108.34,110.38,110.81,111.59,110.53,108.06,105.75,102.56,100.41,101.19,99.0,98.41,98.56,96.75,95.16,93.97,93.25,92.0,90.38,90.38,89.94,89.38,90.25,92.0,93.62,95.06,97.34,98.53,99.28,99.84,97.91,99.06,95.0,94.31,94.25,92.06,90.81,91.53,90.75,91.0,91.06,91.88,92.94,93.53,95.03,95.66,95.81,95.97,96.0,96.19,96.69,97.81,97.56,99.25,98.88,98.88,100.06,100.38,100.16,100.0,100.88,100.5,99.06,99.94,101.19,102.75,105.03,108.5,110.03,110.41,110.56,109.06,109.38,107.12,106.94,105.5,104.56,103.44,102.94,103.97,104.56,105.31,105.81,105.88,104.69,104.19,103.06,104.06,101.69,102.0,100.56,99.31,97.25,94.62,93.44,92.69,90.81,92.31,93.0,93.06,95.19,95.69,98.06,97.94,97.56,96.03,94.41,90.81,89.47,89.12,88.16,88.75,89.56,88.19,86.25,84.94,83.16,81.94,82.81,83.91,86.25,86.16,87.69,89.56,90.44,90.75,93.44,94.53,95.72,95.94,96.69,96.94,97.41,97.62,98.22,97.66,97.62,97.19,97.78,98.06,99.75,99.88,99.38,99.31,96.75,97.31,96.69,96.12,97.12,97.41,98.56,97.5,97.72,98.12,97.81,97.81,97.16,98.16,98.44,96.62,97.75,97.56,98.56,98.19,99.94,100.0,99.75,99.66,96.59,95.75,94.25,92.62,93.47,93.25,94.62,95.31,96.16,96.5,97.47,98.31,99.56,100.19,100.78,102.88,103.0,104.31,105.06,104.94,105.72,104.12,103.44,103.41,102.94,101.88,102.31,100.12,100.69,99.94,98.38,99.75,99.59,98.28,98.16,97.38,97.75,97.0,99.31,101.56,103.12,106.78,108.06,108.16,105.5,103.44,99.38,96.12,93.5,91.03,88.25,84.88,79.88,73.81,67.25,61.0,55.81,50.91,47.0,45.06,42.69,42.25,41.78,44.09,46.78,49.81,52.84,56.19,58.09,60.56,61.44,62.94,64.5,65.44,66.41,67.25,66.88,66.34,65.06,64.0,63.44,66.19,69.25,72.97,76.69,79.75,80.25,78.81,79.44,77.88,78.03,78.69,79.56,80.81,82.0,82.38,84.56,86.16,88.25,89.94,93.56,96.0,98.94,100.38,101.78,103.78,103.44,105.25,104.56,106.12,105.31,105.31,105.62,104.75,105.12,105.25,105.12,104.25,103.25,100.94,100.19,98.91,98.28,98.44,96.0,95.69,93.16,91.12,89.56,88.12,87.5,87.06,88.31,90.94,92.09,94.47,95.69,95.19,95.88,95.38,95.81,95.12,95.31,95.56,94.88,94.19,93.06,90.69,87.88,85.56,81.81,80.94,80.69,79.44,80.44,81.62,81.88,82.5,83.06,83.81,82.97,82.59,81.56,82.12,80.94,81.81,83.66,84.69,86.0,85.44,86.69,86.0,86.12,86.94,87.09,87.91,87.56,87.0,86.41,84.81,84.16,84.69,84.5,84.94,86.19,86.88,87.06,88.56,89.81,90.06,90.56,62.41,61.16,62.03,62.75,64.0,65.94,67.72,70.56,72.25,74.34,74.66,77.41,76.88,77.66,76.25,75.91,75.22,73.19,72.56,70.44,67.75,65.59,64.59,64.41,66.44,69.66,71.72,72.53,72.81,69.31:negativity
36.53,40.06,42.09,44.12,44.66,44.66,42.44,40.78,39.28,37.31,39.03,40.12,40.81,42.28,43.06,42.72,42.94,44.0,43.38,44.25,43.69,42.56,41.19,38.31,35.84,34.09,31.31,30.09,29.91,30.72,31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06:42.44,40.78,39.28,37.31,39.03,40.12,40.81,42.28,43.06,42.72,42.94,44.0,43.38,44.25,43.69,42.56,41.19,38.31,35.84,34.09,31.31,30.09,29.91,30.72,31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06,31.44,35.5,37.62,39.16,40.69,40.28:40.81,42.28,43.06,42.72,42.94,44.0,43.38,44.25,43.69,42.56,41.19,38.31,35.84,34.09,31.31,30.09,29.91,30.72,31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06,31.44,35.5,37.62,39.16,40.69,40.28,39.62,37.81,36.22,36.22,36.25,36.59:43.38,44.25,43.69,42.56,41.19,38.31,35.84,34.09,31.31,30.09,29.91,30.72,31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06,31.44,35.5,37.62,39.16,40.69,40.28,39.62,37.81,36.22,36.22,36.25,36.59,37.44,37.09,36.66,36.66,36.12,37.56:35.84,34.09,31.31,30.09,29.91,30.72,31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06,31.44,35.5,37.62,39.16,40.69,40.28,39.62,37.81,36.22,36.22,36.25,36.59,37.44,37.09,36.66,36.66,36.12,37.56,37.19,38.09,38.03,37.34,36.81,34.34:31.44,33.16,35.69,37.41,38.06,38.53,38.5,37.38,36.59,35.0,36.09,36.88,36.84,38.47,37.91,37.44,38.78,39.69,39.69,40.5,40.81,39.5,37.94,37.56,35.75,35.31,34.56,34.16,32.62,32.16,31.03,29.59,27.78,26.44,24.03,21.69,21.03,20.5,20.91,22.38,22.53,23.38,23.94,25.34,25.81,27.12,27.47,28.78,30.28,30.44,31.59,32.56,33.12,32.66,34.06,34.62,34.81,34.5,35.41,35.12,34.62,35.03,35.12,34.84,34.72,34.16,33.16,32.03,33.25,33.09,33.84,34.53,34.78,35.31,36.31,35.84,35.78,36.12,36.66,36.38,37.38,38.12,38.81,40.25,42.19,44.31,47.72,50.5,54.16,56.56,58.16,59.06,57.47,55.0,52.91,50.06,48.28,47.5,46.12,45.69,44.66,43.12,41.97,40.56,40.44,39.31,40.34,41.19,41.69,42.66,43.44,43.41,42.62,41.56,40.47,40.53,41.0,42.06,42.34,42.56,43.81,43.19,43.03,43.5,42.91,41.75,42.31,42.03,42.97,43.56,45.03,47.12,49.03,51.69,53.81,56.06,55.88,55.69,55.88,55.0,54.62,55.47,57.34,58.47,60.84,63.34,62.81,63.41,62.38,60.44,59.28,58.47,57.44,58.38,58.06,57.66,58.0,58.25,58.38,58.25,58.66,57.88,56.97,56.59,54.41,52.56,51.25,49.78,48.88,48.16,47.34,46.94,46.31,46.28,45.31,45.19,44.44,43.22,41.81,41.19,42.25,42.06,43.31,44.5,45.06,45.72,46.25,46.81,46.53,46.72,46.78,45.5,47.41,47.91,48.59,51.53,51.28,50.38,49.31,47.66,46.81,45.59,44.56,44.88,42.34,40.19,36.47,33.81,30.22,28.22,27.91,27.81,29.09,29.81,30.53,31.19,29.03,27.47,26.69,25.94,27.25,28.59,31.03,34.5,37.09,39.62,41.25,42.88,42.91,41.47,40.12,38.31,36.31,35.62,35.34,34.41,35.19,34.66,36.12,37.31,37.59,40.0,40.44,39.66,39.97,39.72,39.44,40.62,42.03,41.66,42.91,41.88,41.62,41.25,39.81,39.28,38.75,36.09,35.31,35.12,34.31,33.66,33.56,32.78,31.59,31.0,29.88,29.28,28.41,28.81,29.5,30.38,30.94,32.16,34.09,34.12,34.91,35.28,34.5,32.56,33.78,31.88,32.34,33.47,34.25,34.28,33.44,34.53,33.44,34.5,35.06,35.16,36.41,35.94,35.25,35.41,35.22,34.12,33.81,34.28,33.53,32.81,31.94,30.91,28.0,26.62,25.16,24.28,24.19,25.06,27.16,28.5,31.06,34.94,37.84,41.56,45.97,48.75,49.69,48.53,47.66,44.03,40.22,36.84,34.53,32.78,30.5,29.66,30.25,28.62,29.81,29.94,29.53,30.5,30.56,30.81,30.25,31.03,31.31,30.81,31.72,32.28,32.25,32.16,31.06,31.0,30.12,28.81,27.94,27.41,28.0,28.06,28.69,30.66,30.78,30.41,30.69,30.78,29.91,31.72,32.28,34.66,34.88,35.72,35.38,35.75,36.28,37.81,40.66,41.94,45.25,46.28,46.91,47.28,48.03,48.94,48.75,49.31,51.0,50.47,50.38,51.38,52.5,53.28,53.62,53.31,53.03,51.78,51.25,49.5,49.09,47.34,45.69,43.12,42.94,41.06,40.47,40.78,40.12,38.06,37.97,36.81,36.03,35.47,33.66,34.94,32.91,32.62,33.19,33.31,33.28,33.91,35.31,34.06,34.56,33.0,31.06,31.97,30.53,30.0,30.0,29.88,29.81,30.62,32.16,34.38,35.88,38.66,39.91,39.41,39.03,37.69,36.81,36.25,36.06,35.56,34.5,32.81,29.5,29.69,27.12,26.69,26.06,26.66,25.88,26.75,26.06,25.69,27.66,26.91,28.19,27.84,28.28,27.81,27.75,27.75,26.88,26.31,25.41,26.75,26.16,27.41,28.97,29.47,32.0,32.22,33.94,33.12,31.03,27.75,25.22,21.75,20.47,19.53,20.22,19.56,19.69,21.06,21.62,23.81,26.09,27.69,29.97,29.75,30.84,30.31,30.81,30.81,31.31,31.88,31.78,32.28,32.62,33.06,34.78,35.75,37.12,36.44,36.56,37.12,36.44,36.03,36.38,36.78,36.56,34.44,34.62,34.06,32.75,32.78,32.06,32.28,32.66,33.5,34.25,35.28,35.69,35.75,36.12,35.91,35.44,35.16,34.75,33.62,31.97,31.75,30.84,30.41,31.06,30.94,30.19,28.91,26.84,25.25,22.06,20.56,20.75,20.06,23.09,26.31,30.16,33.56,35.75,35.81,35.34,32.78,30.94,29.03,27.78,27.62,27.91,28.81,29.06,30.5,31.41,31.06,32.78,31.56,31.25,31.78,30.97,31.5,31.09,30.91,29.78,28.69,28.09,26.31,27.25,27.41,28.22,30.72,33.28,35.12,36.12,39.25,40.12,40.84,39.94,38.62,37.34,35.44,34.62,33.34,32.66,32.84,31.06,30.84,29.25,27.34,25.66,24.28,22.5,23.06,24.0,24.56,24.62,26.88,26.56,27.5,28.22,27.25,30.06,30.88,33.12,36.38,37.88,40.03,40.69,41.66,42.62,43.44,43.38,43.62,43.31,41.69,41.12,41.0,41.47,42.19,42.97,43.34,43.28,42.38,41.16,41.12,40.16,37.0,35.81,34.66,32.72,31.44,32.16,31.47,30.28,29.25,27.78,25.56,24.03,23.91,23.34,22.53,23.47,23.44,22.78,24.44,25.62,26.53,27.38,28.03,27.94,27.62,27.19,28.53,29.81,32.19,35.06,35.03,36.16,34.69,33.12,33.31,33.41,34.78,35.28,36.28,36.56,36.72,35.53,35.66,35.12,33.94,33.75,33.75,34.0,34.31,36.88,38.69,41.16,43.03,45.5,46.72,47.09,47.31,47.09,46.34,45.81,43.91,42.88,40.03,38.72,38.44,39.06,39.94,40.84,41.66,41.94,40.81,40.19,38.91,36.81,36.09,35.41,35.5,37.31,38.62,39.84,41.12,41.53,41.78,40.81,41.41,41.06,38.81,38.75,38.97,38.91,39.03,41.12,42.62,43.31,45.31,44.56,45.03,44.31,43.5,43.12,42.41,42.62,43.12,42.94,43.62,42.03,41.66,39.88,38.5,39.41,39.81,41.91,43.62,45.12,44.88,44.34,43.44,41.16,39.91,38.19,36.88,37.19,35.31,35.19,34.44,34.5,33.53,32.47,32.69,31.5,31.72,31.59,30.41,29.28,27.06,26.81,24.19,24.16,24.03,25.38,27.0,29.62,33.03,35.19,36.5,36.53,35.81,34.41,32.94,34.28,33.56,33.06,32.44,31.31,30.16,28.19,28.19,27.78,27.84,28.25,29.81,31.38,32.91,34.47,35.5,34.44,32.94,31.41,28.94,27.34,25.78,25.31,24.94,24.69,24.03,26.53,26.19,27.31,28.69,29.62,30.25,30.94,31.53,32.31,31.81,33.31,33.81,34.28,33.78,33.62,33.22,31.88,31.97,32.25,32.31,32.75,33.31,32.5,32.34,30.88,29.56,26.91,24.97,21.94,18.09,15.5,12.69,11.34,8.81,8.94,9.16,8.91,10.62,12.06,14.03,15.16,15.94,15.81,14.12,12.94,11.69,11.0,11.16,11.31,11.59,12.31,13.38,11.66,11.16,9.91,8.53,6.84,5.31,4.66,4.31,3.94,4.91,4.94,6.06,31.44,35.5,37.62,39.16,40.69,40.28,39.62,37.81,36.22,36.22,36.25,36.59,37.44,37.09,36.66,36.66,36.12,37.56,37.19,38.09,38.03,37.34,36.81,34.34,32.47,30.5,27.91,25.44,24.97,24.84:negativity
26.94,28.44,30.78,31.94,34.34,36.19,37.81,39.5,38.22,37.66,35.47,32.53,29.47,26.97,27.16,26.44,28.03,29.03,30.41,31.81,32.41,31.91,31.34,29.91,28.44,27.44,26.31,25.69,25.91,26.72,27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5:37.81,39.5,38.22,37.66,35.47,32.53,29.47,26.97,27.16,26.44,28.03,29.03,30.41,31.81,32.41,31.91,31.34,29.91,28.44,27.44,26.31,25.69,25.91,26.72,27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5,-2.25,-0.47,2.44,4.41,6.97,9.41:29.47,26.97,27.16,26.44,28.03,29.03,30.41,31.81,32.41,31.91,31.34,29.91,28.44,27.44,26.31,25.69,25.91,26.72,27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5,-2.25,-0.47,2.44,4.41,6.97,9.41,10.81,12.03,13.34,12.53,11.81,9.53:30.41,31.81,32.41,31.91,31.34,29.91,28.44,27.44,26.31,25.69,25.91,26.72,27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5,-2.25,-0.47,2.44,4.41,6.97,9.41,10.81,12.03,13.34,12.53,11.81,9.53,7.19,4.69,3.41,3.59,5.44,5.5:28.44,27.44,26.31,25.69,25.91,26.72,27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5,-2.25,-0.47,2.44,4.41,6.97,9.41,10.81,12.03,13.34,12.53,11.81,9.53,7.19,4.69,3.41,3.59,5.44,5.5,6.47,6.84,6.38,5.22,4.88,3.69:27.44,29.19,28.88,29.69,29.31,28.69,28.41,29.97,31.31,32.53,35.16,35.56,36.22,36.19,36.09,36.5,36.34,37.06,35.75,34.91,33.12,33.75,32.81,34.41,35.53,37.62,38.25,38.5,37.69,36.09,34.66,33.91,31.88,29.03,27.0,24.06,21.34,18.56,17.81,16.84,16.59,18.31,19.06,21.16,23.97,24.5,24.31,24.53,24.31,24.16,26.06,28.19,30.12,31.81,32.12,32.5,31.03,29.31,27.75,26.19,24.19,23.0,23.53,23.78,24.5,25.66,28.31,28.94,32.03,33.28,33.06,34.0,33.41,33.16,32.91,34.44,35.06,35.28,34.03,33.44,32.19,31.59,30.75,30.88,29.53,28.06,25.0,23.81,22.34,21.97,22.69,24.25,27.03,29.78,32.59,35.62,36.62,37.41,38.44,38.56,38.03,37.84,38.19,37.03,36.34,36.53,37.06,36.38,37.25,38.62,39.06,40.56,42.69,44.16,44.09,44.0,43.34,43.09,42.19,42.94,43.88,46.0,45.28,45.72,44.09,42.59,38.97,37.25,36.88,37.56,39.38,41.84,44.75,46.28,46.94,46.62,45.12,44.28,42.53,41.75,41.25,39.84,39.94,41.12,42.66,43.5,45.06,44.5,42.84,41.81,39.19,37.94,36.97,36.19,36.31,35.59,35.5,37.03,37.44,39.34,41.03,42.06,43.56,43.16,41.94,40.91,38.19,35.47,34.25,30.81,30.44,29.78,29.88,31.25,33.75,35.81,37.69,39.81,40.69,41.03,38.84,38.56,36.25,34.0,32.19,29.84,27.56,26.88,26.16,26.53,28.16,28.53,29.34,30.25,29.06,29.53,28.34,27.16,26.12,26.81,27.0,29.62,30.5,32.06,34.19,34.53,34.66,35.06,34.19,33.38,32.34,31.19,29.06,27.53,26.81,26.09,25.94,26.41,26.78,27.91,28.19,27.69,28.28,26.19,25.91,24.94,24.19,22.97,23.56,24.41,25.16,29.12,31.34,35.78,38.84,40.31,41.31,42.06,41.31,40.81,40.06,39.41,37.53,37.16,36.0,35.03,34.94,33.72,32.28,32.25,31.31,32.44,33.34,34.88,36.16,36.16,36.38,36.56,35.81,36.44,34.0,33.62,32.97,31.09,31.62,31.28,35.31,37.03,38.81,40.72,40.91,42.06,42.09,41.0,42.06,39.53,39.56,38.22,36.81,36.5,36.78,34.84,35.88,35.16,35.91,36.84,38.66,40.34,43.03,45.97,49.72,50.69,53.16,51.44,51.0,49.28,48.09,48.41,47.53,46.94,46.41,44.31,43.06,42.16,43.97,42.47,44.28,46.34,46.19,46.59,47.0,47.94,49.56,49.59,49.75,51.72,50.0,49.97,49.03,47.22,45.53,43.53,41.53,41.28,40.41,41.5,41.41,42.59,43.84,44.44,44.78,45.75,46.03,46.88,47.62,50.94,52.5,54.81,56.31,53.97,53.31,50.66,47.06,45.59,44.5,41.59,41.0,39.62,39.31,38.66,38.66,38.81,39.78,38.03,37.19,35.31,32.81,29.66,28.78,27.56,26.41,26.94,27.25,27.75,27.94,27.5,24.84,23.06,20.69,19.72,20.06,22.09,24.97,28.5,30.88,33.0,33.62,34.16,34.31,34.62,34.41,33.81,33.31,32.06,30.84,31.81,33.56,33.56,35.19,37.09,35.38,35.44,34.78,33.16,32.41,31.34,30.69,29.91,29.03,28.41,28.91,28.28,29.12,30.12,31.44,31.81,32.72,32.91,34.12,36.34,38.19,39.5,40.88,41.38,40.31,39.5,37.41,35.44,33.53,32.81,31.53,31.25,32.66,32.75,32.66,33.5,33.31,31.69,31.31,29.53,29.0,28.72,29.47,29.78,31.31,33.56,35.34,37.38,39.28,40.44,40.41,39.31,37.47,36.59,33.31,31.25,30.0,28.81,29.16,30.12,31.56,33.34,34.84,35.38,35.62,35.47,35.56,34.16,33.41,32.25,33.06,32.0,31.53,33.53,33.97,34.91,37.12,38.31,39.31,39.88,39.78,39.56,39.31,38.31,37.72,37.0,37.81,38.28,39.69,40.31,40.88,42.5,42.97,44.5,46.22,45.94,45.84,44.31,42.69,40.69,39.69,39.47,40.59,43.03,46.22,49.53,51.16,51.91,49.66,46.81,44.28,42.31,39.72,39.22,37.56,37.84,37.19,36.66,38.28,37.94,38.66,38.62,37.25,35.56,32.78,29.88,27.91,25.72,26.06,25.28,25.75,25.38,25.16,24.91,25.03,26.31,27.88,30.59,31.28,33.81,34.59,36.56,38.28,40.03,39.59,39.41,38.41,35.28,32.91,31.16,29.53,28.44,29.25,30.09,32.31,33.88,34.66,35.72,35.47,34.19,32.69,31.0,29.75,27.5,26.78,26.28,26.75,27.12,27.94,28.5,30.25,31.16,32.22,34.69,34.78,36.62,36.81,35.84,35.41,34.44,32.5,30.31,29.25,29.0,27.94,27.91,27.12,27.62,26.41,27.59,27.88,30.59,31.62,33.12,34.56,35.22,34.19,34.06,34.34,33.72,34.44,35.16,35.41,37.66,37.56,34.91,37.0,35.12,33.91,33.69,34.06,33.44,34.31,34.81,35.72,38.0,37.66,38.78,40.53,40.19,40.56,42.28,41.03,40.16,40.41,38.94,38.53,38.62,37.53,37.56,36.38,35.31,34.09,32.5,31.0,27.34,26.81,25.56,23.56,23.72,24.72,26.03,27.44,30.03,31.44,33.81,31.84,32.03,31.41,30.56,32.03,31.84,33.22,34.31,33.78,33.84,32.62,32.41,31.47,30.44,30.53,30.78,31.06,32.66,33.19,35.25,36.69,37.91,39.41,38.81,40.19,38.28,36.53,37.22,35.06,34.94,35.97,36.25,36.25,36.25,35.81,34.41,33.72,32.0,31.25,30.25,31.09,31.97,33.53,36.41,37.44,39.62,40.03,39.88,38.22,37.44,35.22,33.53,33.5,33.84,34.44,34.5,34.78,34.84,33.84,33.0,34.12,34.88,35.81,36.97,38.0,40.19,40.56,41.78,42.78,43.69,42.28,41.53,39.19,37.34,34.0,31.72,30.56,29.72,29.31,29.06,30.31,31.47,31.88,32.31,32.31,33.06,33.19,33.62,32.56,33.25,33.72,34.06,34.47,36.78,37.78,37.88,38.25,36.16,35.03,33.53,32.03,32.41,33.97,35.06,37.81,39.0,39.47,38.06,35.53,33.84,31.06,30.91,31.84,31.66,33.59,34.03,33.69,33.28,33.16,31.81,31.19,28.91,27.38,25.81,24.59,23.91,24.06,26.5,26.91,27.47,28.16,28.09,28.66,29.41,29.81,31.75,31.59,31.12,31.56,30.75,30.16,29.69,29.97,29.81,29.75,29.97,29.5,29.09,29.56,28.84,28.56,29.5,29.78,29.25,28.94,28.31,26.41,25.72,26.59,26.94,27.28,28.69,29.06,29.38,29.56,31.03,32.66,35.34,37.84,38.91,41.03,41.12,41.5,41.12,39.09,38.38,36.5,34.34,34.34,34.06,34.41,35.75,36.94,38.81,40.38,40.56,40.53,40.03,38.69,37.78,37.78,37.81,36.38,35.56,35.06,33.56,33.38,33.34,33.56,34.88,34.62,35.72,36.06,37.06,37.59,37.38,37.81,37.69,36.97,35.47,34.72,31.41,29.56,28.06,26.31,25.06,24.66,25.31,26.0,27.69,29.47,30.19,30.81,31.12,29.44,27.97,25.81,23.31,21.97,20.5,-2.25,-0.47,2.44,4.41,6.97,9.41,10.81,12.03,13.34,12.53,11.81,9.53,7.19,4.69,3.41,3.59,5.44,5.5,6.47,6.84,6.38,5.22,4.88,3.69,3.72,3.09,1.38,0.28,-0.66,-1.06:negativity
12.16,11.0,10.47,11.06,13.12,15.56,17.69,20.28,22.56,24.56,25.75,24.41,24.56,23.25,20.69,18.94,16.16,13.69,12.19,10.56,10.84,12.84,14.56,17.16,19.81,22.44,24.66,26.91,28.38,30.19,31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56:17.69,20.28,22.56,24.56,25.75,24.41,24.56,23.25,20.69,18.94,16.16,13.69,12.19,10.56,10.84,12.84,14.56,17.16,19.81,22.44,24.66,26.91,28.38,30.19,31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56,-30.78,-32.78,-32.09,-30.78,-28.0,-23.97:24.56,23.25,20.69,18.94,16.16,13.69,12.19,10.56,10.84,12.84,14.56,17.16,19.81,22.44,24.66,26.91,28.38,30.19,31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56,-30.78,-32.78,-32.09,-30.78,-28.0,-23.97,-19.47,-15.53,-11.47,-7.66,-5.66,-6.53:12.19,10.56,10.84,12.84,14.56,17.16,19.81,22.44,24.66,26.91,28.38,30.19,31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56,-30.78,-32.78,-32.09,-30.78,-28.0,-23.97,-19.47,-15.53,-11.47,-7.66,-5.66,-6.53,-6.84,-8.47,-12.06,-14.78,-19.19,-22.38:19.81,22.44,24.66,26.91,28.38,30.19,31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56,-30.78,-32.78,-32.09,-30.78,-28.0,-23.97,-19.47,-15.53,-11.47,-7.66,-5.66,-6.53,-6.84,-8.47,-12.06,-14.78,-19.19,-22.38,-24.72,-26.78,-26.03,-24.19,-21.53,-17.12:31.19,31.38,31.34,31.06,30.59,29.78,28.84,28.06,28.06,28.06,28.28,30.19,31.66,33.31,33.81,33.19,32.81,31.0,29.62,29.12,30.38,31.19,32.09,32.59,32.66,31.91,31.84,30.81,30.47,30.16,29.56,28.69,28.81,28.03,28.94,28.25,27.94,27.5,26.03,24.5,22.06,20.84,19.0,17.88,17.34,17.03,17.72,18.62,18.72,20.31,21.06,22.12,23.0,23.81,23.75,25.03,25.25,26.34,26.16,25.41,23.97,22.28,20.81,19.56,19.69,19.88,20.97,22.47,24.81,26.31,27.69,28.94,28.69,26.41,24.16,20.28,16.03,13.03,10.0,7.38,5.5,2.53,1.56,-0.91,-1.97,-2.22,-1.72,-1.22,-0.28,0.75,2.62,3.22,5.28,7.03,7.56,8.75,8.72,9.53,10.31,10.38,11.16,12.34,15.03,17.47,19.72,22.53,23.69,23.47,23.47,22.03,20.34,19.91,19.81,20.72,21.41,22.38,21.5,20.75,19.03,15.84,13.19,11.09,9.03,6.94,5.69,5.81,6.16,7.44,9.31,10.28,11.19,10.5,8.31,6.78,5.31,4.91,5.69,7.91,10.88,12.88,15.03,17.78,18.06,18.97,19.16,17.91,16.31,13.44,12.0,11.16,10.44,11.09,12.38,13.06,13.75,13.59,12.56,10.62,9.25,7.16,6.53,5.72,6.16,6.44,7.38,7.25,8.12,8.5,8.31,8.72,8.88,8.62,8.94,8.41,9.41,10.62,12.0,12.84,13.34,13.25,12.16,11.75,10.94,10.66,11.56,12.72,13.81,14.94,15.56,16.5,17.34,17.31,19.62,21.19,22.78,25.25,26.84,28.94,31.34,33.12,35.34,36.38,37.09,35.62,34.72,32.81,30.66,28.34,26.47,25.78,26.06,25.66,25.69,26.34,26.03,26.53,25.56,25.56,24.59,22.31,20.06,18.0,16.06,14.31,13.38,12.78,13.31,14.19,14.53,15.06,16.84,17.56,17.38,17.66,18.38,19.34,18.88,19.25,19.06,18.81,18.16,17.91,17.34,16.5,14.75,13.75,12.0,9.81,9.81,9.72,10.28,11.06,12.22,12.84,12.94,13.0,13.03,13.91,14.22,15.44,15.06,16.03,15.06,14.06,12.41,10.72,10.44,9.91,10.91,12.94,15.03,17.72,20.94,23.56,26.0,26.62,25.59,25.25,22.12,20.91,19.91,19.09,19.62,19.12,18.34,18.25,17.22,16.19,15.06,15.06,13.5,11.94,11.28,10.28,10.59,12.16,15.81,19.62,23.56,27.06,28.84,29.62,29.47,28.41,26.53,25.41,24.06,23.0,22.91,22.5,21.72,20.47,18.44,16.44,13.97,13.12,14.59,16.19,19.34,22.72,25.66,27.5,29.19,29.25,29.09,28.81,27.53,27.0,27.31,27.38,27.94,28.09,29.31,30.0,30.41,30.56,29.88,28.06,26.16,22.78,20.28,18.94,18.59,19.91,21.94,24.59,27.25,28.84,29.56,29.94,29.91,28.97,28.84,28.69,28.81,28.25,26.62,24.88,22.19,19.84,17.16,15.03,14.5,14.28,14.56,15.19,15.53,15.78,17.31,18.25,20.19,22.09,24.25,24.84,25.0,23.78,23.56,22.12,19.84,19.25,18.69,18.78,19.91,21.66,24.69,25.28,25.31,24.03,21.22,18.03,15.06,13.44,11.62,10.94,10.31,10.5,9.88,10.19,9.88,9.78,9.81,9.66,8.94,8.75,8.81,8.78,9.19,9.84,10.16,11.78,12.34,13.56,14.34,15.47,16.19,16.34,16.38,17.62,17.41,17.91,18.22,18.22,17.81,17.66,17.5,18.34,19.91,21.25,22.16,22.84,22.69,22.28,20.75,18.0,15.38,13.44,11.06,9.75,9.31,10.5,11.12,12.56,13.88,15.69,17.66,18.69,19.12,19.81,19.31,19.19,18.5,19.06,17.81,18.0,17.44,17.72,19.03,20.16,21.47,22.03,23.09,23.03,22.0,21.0,20.75,18.91,18.06,16.59,15.06,13.97,11.66,11.03,10.75,11.0,12.75,13.31,15.25,16.31,17.75,18.22,18.34,17.59,16.62,14.28,11.91,10.75,10.28,10.81,10.78,12.31,13.06,14.06,13.97,14.5,14.28,14.44,14.53,14.19,14.19,13.69,13.44,11.75,12.0,12.19,12.19,12.41,12.69,13.75,13.97,14.5,14.41,14.34,14.59,14.12,14.94,16.47,17.5,19.12,19.69,19.69,18.72,16.81,15.06,14.41,12.81,13.16,13.06,13.75,15.03,16.16,16.75,17.56,17.5,17.88,17.72,17.78,18.59,19.34,20.06,20.56,20.62,20.16,20.12,19.94,20.59,21.62,22.28,22.25,22.22,21.38,20.53,19.53,19.31,19.16,19.56,18.75,18.78,17.81,17.06,16.94,16.41,16.47,16.38,15.53,14.81,13.72,12.81,12.41,13.0,13.84,14.06,15.12,14.75,14.44,14.0,14.0,13.75,14.22,15.03,16.12,16.06,16.66,16.12,16.06,15.94,15.47,15.59,14.88,14.38,13.44,11.84,11.0,9.81,8.31,8.03,6.94,6.81,6.5,7.0,8.22,9.06,10.16,11.38,11.25,11.47,11.72,11.47,12.03,12.75,13.38,14.69,14.53,15.03,15.84,15.62,15.94,16.34,15.72,14.28,13.81,12.09,10.41,9.19,7.66,6.53,6.03,4.75,5.81,6.47,8.75,12.0,14.91,18.44,21.19,23.81,24.84,25.69,26.44,26.38,24.62,24.22,22.56,20.72,19.19,17.25,17.38,17.88,18.81,20.16,23.16,26.03,27.06,27.41,27.09,25.31,22.94,21.19,19.25,18.81,18.16,18.88,18.78,20.31,21.31,22.06,22.62,22.78,21.12,19.88,16.66,14.78,13.03,11.53,10.72,11.56,11.62,12.84,13.47,14.5,14.66,14.81,14.59,14.53,14.16,14.69,13.84,13.75,13.44,13.69,12.91,11.81,11.62,10.25,8.94,8.16,6.81,6.44,6.03,4.44,4.34,4.97,6.41,8.78,9.72,10.75,11.44,11.25,10.5,11.12,12.44,14.12,15.28,16.84,17.94,18.47,19.59,20.56,22.06,23.62,24.38,24.81,24.22,22.91,22.25,21.03,21.06,21.25,22.5,23.5,23.53,24.12,23.44,23.12,21.72,20.66,20.38,19.59,17.38,16.94,14.56,12.0,9.5,7.41,6.25,5.03,5.28,6.31,6.94,9.47,10.56,11.44,11.59,11.06,8.81,6.38,1.62,-1.16,-4.16,-6.12,-6.16,-4.16,-2.59,0.19,2.81,4.62,5.53,6.31,6.72,6.91,7.56,8.44,8.59,8.69,8.38,7.59,6.5,6.41,6.22,5.69,6.03,5.78,6.5,6.66,7.28,8.31,9.16,10.44,12.69,14.72,17.06,19.06,19.62,19.41,18.25,17.09,15.5,13.81,12.34,11.12,9.75,8.31,6.91,6.53,5.0,5.03,4.75,5.41,5.34,5.53,6.38,7.06,8.0,9.84,12.06,14.69,15.84,16.69,16.88,16.22,15.09,13.16,10.94,8.41,5.56,4.03,3.16,2.69,3.34,4.22,4.81,6.25,8.06,10.41,13.38,16.44,18.78,21.31,21.78,21.5,20.34,19.59,17.19,15.41,14.31,14.16,14.69,15.12,15.97,16.12,15.0,13.44,12.0,11.16,10.72,11.16,12.81,14.06,14.78,16.12,16.81,16.81,17.5,17.5,16.78,15.81,14.56,-30.78,-32.78,-32.09,-30.78,-28.0,-23.97,-19.47,-15.53,-11.47,-7.66,-5.66,-6.53,-6.84,-8.47,-12.06,-14.78,-19.19,-22.38,-24.72,-26.78,-26.03,-24.19,-21.53,-17.12,-13.22,-9.47,-6.0,-2.84,-0.97,1.12:negativity
12.19,15.62,18.19,21.31,23.38,24.41,24.28,23.66,22.62,21.69,21.06,20.47,19.78,18.22,16.66,14.97,12.88,11.81,11.84,10.84,11.06,10.28,9.84,8.19,7.62,7.25,8.62,9.41,12.16,15.84,19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5:24.28,23.66,22.62,21.69,21.06,20.47,19.78,18.22,16.66,14.97,12.88,11.81,11.84,10.84,11.06,10.28,9.84,8.19,7.62,7.25,8.62,9.41,12.16,15.84,19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5,-25.03,-23.25,-22.28,-20.59,-20.47,-19.88:19.78,18.22,16.66,14.97,12.88,11.81,11.84,10.84,11.06,10.28,9.84,8.19,7.62,7.25,8.62,9.41,12.16,15.84,19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5,-25.03,-23.25,-22.28,-20.59,-20.47,-19.88,-19.25,-19.47,-18.75,-16.75,-15.66,-13.47:11.84,10.84,11.06,10.28,9.84,8.19,7.62,7.25,8.62,9.41,12.16,15.84,19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5,-25.03,-23.25,-22.28,-20.59,-20.47,-19.88,-19.25,-19.47,-18.75,-16.75,-15.66,-13.47,-12.84,-14.03,-15.84,-18.28,-21.16,-23.16:7.62,7.25,8.62,9.41,12.16,15.84,19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5,-25.03,-23.25,-22.28,-20.59,-20.47,-19.88,-19.25,-19.47,-18.75,-16.75,-15.66,-13.47,-12.84,-14.03,-15.84,-18.28,-21.16,-23.16,-24.31,-25.66,-26.22,-26.34,-27.62,-28.66:19.31,23.41,28.12,32.06,35.94,38.44,40.91,40.53,40.69,39.5,38.72,38.0,38.31,38.88,38.41,37.44,35.19,32.97,29.44,26.5,25.44,24.53,24.88,26.19,29.03,32.19,36.31,40.44,44.38,47.03,47.16,46.72,43.69,38.78,33.41,28.72,23.66,20.12,17.41,14.28,11.41,8.06,5.03,2.5,-0.53,-0.88,-0.84,0.72,3.44,7.34,11.41,15.06,18.28,21.31,23.41,23.47,23.62,22.25,21.38,20.31,20.31,21.22,23.22,26.0,28.81,31.47,33.41,34.47,33.22,29.69,25.34,20.81,17.16,14.66,13.72,14.84,15.78,17.09,18.91,20.0,20.91,21.94,22.06,22.19,21.69,21.56,21.19,21.16,21.72,21.47,22.78,22.0,20.5,18.91,16.34,13.5,11.41,10.16,9.88,10.62,11.66,14.16,15.53,17.81,19.75,21.28,22.19,23.03,23.81,23.66,24.53,25.19,24.47,24.38,24.53,22.59,20.72,18.62,16.78,15.25,14.22,14.53,14.81,15.03,16.44,17.16,18.19,19.28,20.78,22.44,23.72,25.31,27.12,28.25,30.0,31.06,32.62,34.16,34.25,34.34,33.41,30.28,28.28,24.0,20.5,17.56,14.38,12.16,11.09,10.72,12.03,14.81,17.31,20.53,22.84,24.38,24.91,25.28,24.25,23.31,22.19,21.28,18.62,17.06,16.06,15.62,15.78,15.62,16.84,16.62,16.44,16.34,16.12,16.44,15.78,16.81,18.06,19.34,20.78,23.16,24.94,27.0,28.94,30.91,32.12,32.91,33.91,33.03,31.72,29.97,28.31,26.72,25.34,24.47,23.25,22.38,21.94,20.91,20.19,19.84,18.78,18.38,17.09,15.91,14.25,13.41,12.97,13.31,14.47,16.56,19.38,22.31,25.5,28.5,30.78,31.94,32.28,31.62,30.38,28.0,25.0,23.56,21.81,20.5,21.0,20.44,20.38,19.53,17.75,15.62,13.41,11.81,11.19,11.12,10.81,11.75,11.81,12.81,13.41,14.34,15.38,15.84,16.0,15.62,14.69,14.69,15.31,16.81,18.28,20.12,21.91,23.28,23.25,23.41,23.03,22.03,20.75,20.56,18.91,19.28,18.78,18.06,17.12,16.44,15.12,14.06,13.25,12.66,13.31,13.81,14.94,16.28,17.81,19.44,19.47,20.78,21.16,22.03,22.91,22.28,22.12,20.91,19.81,19.31,18.56,18.12,18.62,16.91,18.09,17.94,18.38,18.97,19.0,19.56,18.19,17.81,16.91,15.81,14.81,14.0,12.78,12.5,11.41,10.66,11.62,12.56,13.44,15.19,17.25,18.12,18.09,18.41,18.09,17.91,18.75,19.16,19.53,20.06,20.53,19.88,19.09,19.53,21.03,22.06,24.12,25.94,27.28,26.34,25.28,23.62,21.44,19.25,17.41,16.81,17.47,18.62,20.31,21.91,23.62,25.59,27.34,29.53,31.31,32.69,32.81,31.84,30.53,30.25,28.56,29.59,29.78,29.31,28.59,26.38,24.91,23.56,21.28,20.81,20.84,20.03,19.78,19.59,19.03,18.62,19.0,20.44,21.66,24.0,25.81,27.25,28.12,28.69,28.34,27.31,26.62,26.5,25.47,25.47,25.44,24.81,24.5,22.44,21.78,20.94,20.0,20.66,21.31,21.0,21.91,22.0,22.16,21.94,22.06,21.47,21.62,22.84,23.59,24.5,24.91,24.84,23.81,22.91,20.81,20.06,19.12,18.34,18.0,18.19,18.06,18.78,19.25,19.31,18.69,17.91,16.81,15.78,16.19,17.22,19.19,21.31,24.5,27.91,29.88,32.5,33.88,33.75,33.06,30.53,27.94,24.41,21.41,19.78,18.72,18.5,19.06,19.0,18.59,18.5,17.25,17.06,17.41,17.75,19.06,21.0,21.72,22.0,22.16,22.06,20.41,19.56,20.19,21.38,22.81,24.88,26.44,26.41,25.66,23.59,20.19,17.16,15.56,12.5,11.91,11.44,10.94,10.5,10.94,12.06,13.0,14.59,16.59,18.5,20.41,21.66,22.94,24.81,25.5,25.91,26.06,24.94,24.28,22.53,22.81,23.5,23.62,23.88,24.16,23.94,23.09,22.44,21.81,20.84,21.06,19.84,19.91,19.34,19.78,19.5,18.56,18.31,18.06,16.31,15.44,15.31,13.94,13.31,12.62,12.28,11.91,11.81,12.06,11.66,10.5,9.38,6.88,4.25,2.94,1.03,1.66,2.69,4.84,8.91,12.53,17.19,21.28,23.09,23.38,22.56,19.06,15.81,12.09,8.69,5.88,3.56,2.31,1.12,0.69,0.19,0.22,1.19,1.19,2.19,3.44,5.75,8.06,11.03,13.56,15.91,17.06,17.56,16.78,16.31,14.91,14.09,13.34,12.84,12.84,13.06,13.5,14.12,14.28,13.66,12.19,10.62,8.38,6.06,4.88,3.19,2.28,1.38,1.16,1.94,3.41,5.88,7.88,11.56,14.06,16.06,17.84,19.25,19.69,19.06,17.91,15.53,13.34,11.03,8.25,6.78,5.53,4.44,4.22,4.41,5.16,6.31,6.47,7.31,7.28,6.47,5.69,3.31,1.62,-0.03,-1.38,-2.16,-1.94,0.62,3.16,5.09,7.38,8.25,9.25,8.16,6.62,6.44,4.91,4.72,6.44,8.06,10.62,13.28,16.25,18.44,19.19,19.78,18.94,17.44,16.09,14.56,13.69,13.72,13.81,14.84,14.78,14.78,14.16,12.31,9.84,7.0,4.69,2.47,1.56,1.72,1.94,2.22,2.84,3.19,4.03,4.94,5.34,6.44,5.78,4.03,2.47,0.09,-1.09,-1.75,-0.69,1.25,2.75,4.25,4.81,5.03,5.19,5.31,4.59,4.81,4.28,4.38,4.03,4.0,4.97,5.81,7.53,8.91,10.75,12.72,14.22,15.84,16.09,16.31,15.0,12.81,10.84,7.94,5.41,2.94,0.62,-1.09,-2.59,-3.34,-2.59,-1.38,0.12,2.84,5.97,8.0,9.88,11.66,12.56,12.25,11.44,10.56,8.62,7.0,5.25,2.97,0.75,0.28,-0.03,-0.59,0.75,1.75,2.59,3.94,3.91,5.0,4.66,4.81,4.53,4.75,4.59,4.66,5.06,5.56,4.56,4.06,2.91,2.62,2.53,4.69,6.38,9.0,10.56,12.06,12.88,12.44,12.81,12.94,13.0,12.34,13.66,14.0,14.53,15.0,15.66,15.34,14.91,13.84,12.09,11.38,9.81,8.81,8.81,8.56,9.34,9.59,9.16,8.88,8.56,8.09,7.03,6.62,5.62,4.44,4.19,3.34,3.94,5.16,6.84,8.78,9.97,11.12,11.38,10.75,9.56,9.0,8.44,7.56,7.69,7.94,8.28,9.25,9.69,10.44,9.94,9.56,8.84,7.53,6.06,5.38,4.44,4.25,4.81,6.72,9.75,12.06,14.69,17.56,19.25,20.91,22.47,21.88,21.34,19.31,16.12,13.25,11.19,9.81,10.12,10.12,10.75,10.88,10.53,9.69,9.81,10.66,12.22,14.94,17.97,20.81,23.34,25.12,24.94,24.53,23.62,22.0,20.81,18.62,17.38,15.19,13.41,12.44,11.25,11.31,11.28,12.28,12.62,12.16,11.53,9.81,7.94,6.62,5.75,6.44,7.78,9.41,11.56,13.25,13.91,14.06,14.62,15.03,15.72,16.53,16.56,16.16,15.31,14.44,12.66,12.66,12.16,11.62,11.28,10.84,9.97,9.5,-25.03,-23.25,-22.28,-20.59,-20.47,-19.88,-19.25,-19.47,-18.75,-16.75,-15.66,-13.47,-12.84,-14.03,-15.84,-18.28,-21.16,-23.16,-24.31,-25.66,-26.22,-26.34,-27.62,-28.66,-28.91,-29.12,-27.56,-26.16,-23.72,-20.09:negativity
120.53,118.31,116.31,115.28,115.75,113.59,114.69,112.41,112.06,112.16,111.62,112.69,112.62,113.19,111.75,112.91,111.72,112.81,112.12,111.94,112.78,111.66,111.03,113.28,114.41,115.72,117.91,119.53,119.94,118.28,117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38:114.69,112.41,112.06,112.16,111.62,112.69,112.62,113.19,111.75,112.91,111.72,112.81,112.12,111.94,112.78,111.66,111.03,113.28,114.41,115.72,117.91,119.53,119.94,118.28,117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38,64.72,62.66,60.25,59.25,57.47,55.84:112.62,113.19,111.75,112.91,111.72,112.81,112.12,111.94,112.78,111.66,111.03,113.28,114.41,115.72,117.91,119.53,119.94,118.28,117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38,64.72,62.66,60.25,59.25,57.47,55.84,55.81,54.91,54.06,53.06,53.03,52.5:112.12,111.94,112.78,111.66,111.03,113.28,114.41,115.72,117.91,119.53,119.94,118.28,117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38,64.72,62.66,60.25,59.25,57.47,55.84,55.81,54.91,54.06,53.06,53.03,52.5,51.81,51.88,51.53,52.34,53.03,53.66:114.41,115.72,117.91,119.53,119.94,118.28,117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38,64.72,62.66,60.25,59.25,57.47,55.84,55.81,54.91,54.06,53.06,53.03,52.5,51.81,51.88,51.53,52.34,53.03,53.66,54.44,54.66,55.12,55.31,55.25,56.25:117.5,114.81,114.25,111.56,112.12,112.06,111.09,112.94,114.09,115.62,119.06,121.03,123.53,125.78,125.84,125.25,124.19,121.03,118.62,115.56,114.94,113.81,114.38,116.34,118.91,120.78,123.75,124.66,125.59,123.59,120.53,117.88,114.91,113.56,114.47,117.25,120.19,122.53,122.25,121.34,117.5,114.34,109.78,106.12,103.5,100.75,98.59,98.16,97.94,97.97,100.16,101.88,104.38,106.62,107.22,110.09,112.0,111.81,113.88,113.44,112.94,113.66,113.03,114.12,114.16,114.84,115.44,115.25,114.78,114.66,113.88,113.38,112.53,110.94,110.62,109.41,109.16,108.22,107.62,106.5,106.03,104.5,103.5,103.84,104.31,105.66,107.47,110.81,112.94,114.56,116.25,116.12,116.0,114.5,113.06,111.34,108.88,107.78,106.56,104.75,104.41,105.16,105.69,106.66,108.31,108.78,109.75,111.75,112.22,114.0,115.94,116.53,116.34,117.03,115.72,116.38,115.31,115.5,115.19,115.03,115.19,115.0,115.0,116.06,117.84,118.66,121.22,123.06,122.62,121.69,118.25,115.06,110.81,107.19,104.12,103.38,103.19,104.0,105.94,107.31,109.53,108.59,107.94,106.88,105.41,104.56,105.19,106.94,108.03,108.88,108.56,108.56,108.22,106.91,106.34,106.0,107.06,107.25,108.03,109.66,110.56,111.88,112.19,111.44,112.84,111.81,110.56,111.94,111.75,112.62,112.62,113.62,112.97,110.44,110.66,110.28,110.19,111.5,111.94,114.38,114.84,116.91,118.03,119.94,122.22,122.62,122.59,121.84,119.56,115.81,111.81,108.94,107.19,104.94,107.12,110.0,111.06,114.38,116.81,118.09,117.44,119.53,119.47,120.91,122.19,122.31,122.5,122.81,120.31,120.38,119.34,119.41,119.19,118.69,118.56,118.56,117.34,116.81,117.12,116.25,114.88,113.56,112.81,111.06,112.0,112.88,114.94,119.44,122.19,124.16,124.56,122.53,118.25,113.0,109.31,105.81,105.19,105.41,106.06,108.0,109.59,110.75,112.59,115.66,116.88,118.22,118.41,116.72,117.19,114.06,114.12,115.19,113.12,114.12,114.84,113.72,114.75,115.0,112.44,114.31,115.34,113.81,115.91,115.94,114.16,111.81,107.97,103.94,100.62,98.06,97.28,96.62,97.31,98.31,99.44,98.0,100.09,102.41,103.03,105.81,108.16,107.69,108.94,108.38,107.28,109.56,109.88,111.78,112.69,113.62,115.44,115.78,115.56,116.38,115.56,115.53,116.56,116.88,118.19,119.5,120.19,121.78,122.28,123.19,124.19,124.12,123.84,123.25,123.66,123.62,123.62,125.16,124.62,124.88,123.94,122.22,121.06,118.69,117.12,115.81,113.41,112.78,111.88,111.12,110.25,108.81,107.25,105.91,104.03,103.06,101.91,99.91,97.91,95.94,94.41,94.16,94.47,95.75,97.47,97.97,97.16,97.5,95.47,95.0,95.0,96.78,97.81,99.41,100.66,100.56,101.94,101.69,102.5,104.0,103.12,103.12,103.62,103.59,102.69,104.41,103.09,102.75,102.47,101.56,100.94,99.56,98.91,98.03,97.19,97.56,97.94,96.97,96.75,95.56,95.62,93.88,95.69,95.28,95.22,95.25,95.12,94.97,95.84,96.56,98.0,98.44,99.22,100.25,100.25,100.88,102.56,101.75,101.69,100.59,99.25,98.06,95.59,94.62,95.31,95.94,97.41,99.66,102.0,101.81,104.75,107.28,107.41,109.03,110.06,109.38,109.06,106.44,105.81,104.19,101.88,102.03,103.81,105.69,109.34,111.66,114.53,114.09,114.41,114.69,114.25,114.56,113.66,114.44,112.62,111.59,111.62,110.19,110.59,111.09,110.44,110.69,109.31,107.72,106.94,106.72,105.44,107.03,107.84,109.06,109.72,110.03,112.06,110.66,111.84,112.81,115.06,117.09,119.03,121.16,121.03,122.19,121.12,120.81,119.81,116.69,116.97,115.69,114.72,112.81,112.5,109.53,107.66,105.25,105.06,104.72,105.41,106.91,107.69,107.84,111.59,112.75,115.62,116.78,118.44,118.31,117.69,117.5,115.62,115.88,113.31,111.94,110.81,109.09,109.06,108.91,109.97,110.81,111.38,111.5,114.28,115.16,116.91,117.59,117.09,114.22,111.41,107.19,105.94,105.34,106.91,108.97,112.34,114.62,115.06,114.88,114.34,112.84,112.06,109.91,108.38,106.06,104.31,102.34,101.38,100.41,98.44,99.19,97.47,97.69,98.34,100.31,101.38,104.97,104.53,108.03,109.91,111.28,114.69,114.28,114.09,112.03,109.56,107.91,106.75,106.34,105.06,103.66,103.41,102.69,102.28,104.03,105.0,105.81,106.34,105.53,103.56,103.5,101.22,101.5,101.41,101.47,101.44,102.5,103.12,103.19,104.53,103.66,103.72,103.84,104.28,104.94,106.22,107.5,107.75,108.31,109.41,108.66,107.56,107.22,106.12,105.56,104.5,103.41,102.75,102.5,102.12,102.66,104.94,105.31,106.59,105.44,105.06,105.62,104.56,104.88,105.62,106.28,105.91,106.22,106.59,106.16,106.84,107.38,106.66,106.28,109.19,107.38,109.81,110.94,109.41,110.0,110.31,108.91,107.78,107.91,107.28,105.19,105.97,105.53,107.38,108.16,108.94,109.41,111.25,111.31,111.88,112.09,113.0,113.75,113.28,112.5,113.44,114.0,115.34,116.97,119.06,121.31,122.16,121.62,119.44,118.56,114.59,112.0,110.84,108.44,106.12,103.25,101.72,98.56,96.94,97.81,97.38,97.53,98.69,98.84,100.06,102.06,102.25,102.81,102.88,103.28,103.84,105.38,105.56,105.81,104.5,103.41,103.28,101.16,101.56,102.28,102.78,103.88,106.59,108.25,110.25,111.0,112.12,111.5,111.44,111.91,112.69,113.78,114.75,116.38,117.25,118.06,117.66,117.16,116.69,115.12,113.91,113.12,111.34,108.56,109.12,107.16,107.38,108.56,111.56,111.94,115.41,116.41,117.41,117.22,116.41,115.97,114.0,114.38,113.66,112.56,112.19,110.88,109.16,106.03,104.19,102.78,101.03,99.41,98.94,98.31,98.16,98.03,96.56,98.06,97.56,98.91,100.19,102.06,102.69,100.94,101.88,100.62,100.06,99.75,100.28,99.88,97.72,97.94,97.88,97.69,97.94,99.41,99.97,99.94,102.19,101.88,103.38,102.59,103.06,102.81,102.31,102.16,101.97,101.59,101.53,101.34,100.66,101.53,101.78,101.97,101.97,102.69,102.34,101.97,102.25,102.16,101.66,102.25,102.62,102.22,102.56,101.69,102.78,103.16,103.94,105.56,105.84,107.31,108.28,110.41,111.62,110.91,112.84,111.16,108.34,105.34,104.0,102.0,103.12,104.88,107.75,110.28,113.0,113.44,113.53,114.41,113.03,113.59,113.81,113.78,113.25,112.25,111.88,110.19,111.81,111.12,113.75,115.09,117.0,118.12,117.81,118.75,118.84,117.81,117.44,115.62,112.41,108.34,107.19,104.94,102.72,103.84,104.19,104.31,104.66,106.94,107.44,107.69,109.97,110.56,111.56,112.62,111.94,110.28,108.44,104.53,101.56,100.31,97.06,96.5,95.56,93.62,91.31,89.41,87.62,85.09,83.28,81.84,80.25,76.69,74.44,72.53,70.31,68.69,68.28,68.47,68.69,69.56,70.56,72.5,73.72,74.5,73.62,72.75,71.56,68.91,67.88,66.91,66.53,66.38,64.72,62.66,60.25,59.25,57.47,55.84,55.81,54.91,54.06,53.06,53.03,52.5,51.81,51.88,51.53,52.34,53.03,53.66,54.44,54.66,55.12,55.31,55.25,56.25,57.75,58.5,59.94,60.19,60.59,59.81:negativity
34.72,35.47,35.41,36.41,37.44,38.94,37.31,40.91,40.59,41.41,43.25,44.97,44.31,43.84,42.38,40.03,39.44,38.81,39.72,37.38,39.94,38.81,39.06,38.41,38.66,36.09,35.0,32.31,33.59,32.84,33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19:37.31,40.91,40.59,41.41,43.25,44.97,44.31,43.84,42.38,40.03,39.44,38.81,39.72,37.38,39.94,38.81,39.06,38.41,38.66,36.09,35.0,32.31,33.59,32.84,33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19,-9.56,-8.34,-8.03,-6.53,-4.69,-2.91:44.31,43.84,42.38,40.03,39.44,38.81,39.72,37.38,39.94,38.81,39.06,38.41,38.66,36.09,35.0,32.31,33.59,32.84,33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19,-9.56,-8.34,-8.03,-6.53,-4.69,-2.91,-2.0,1.44,2.91,5.19,6.81,9.09:39.72,37.38,39.94,38.81,39.06,38.41,38.66,36.09,35.0,32.31,33.59,32.84,33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19,-9.56,-8.34,-8.03,-6.53,-4.69,-2.91,-2.0,1.44,2.91,5.19,6.81,9.09,9.78,9.56,10.03,8.94,8.97,8.84:38.66,36.09,35.0,32.31,33.59,32.84,33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19,-9.56,-8.34,-8.03,-6.53,-4.69,-2.91,-2.0,1.44,2.91,5.19,6.81,9.09,9.78,9.56,10.03,8.94,8.97,8.84,7.84,8.81,8.88,8.41,8.0,7.91:33.81,37.03,38.66,40.84,40.5,42.0,42.81,41.62,42.19,41.25,40.38,39.78,39.5,39.38,38.69,38.56,36.25,36.06,34.12,33.44,33.09,33.56,33.53,33.16,32.81,32.06,33.84,35.28,37.41,39.97,43.75,44.5,44.34,44.0,42.44,38.25,35.41,32.84,28.78,22.69,21.56,16.69,13.44,12.0,10.38,8.94,8.5,9.91,11.94,14.59,17.41,20.38,23.66,24.25,29.56,31.72,35.69,38.62,41.66,44.44,44.62,44.66,43.62,42.72,39.84,37.72,37.81,36.41,38.19,39.56,40.62,43.12,43.75,45.25,45.19,45.0,43.75,42.38,38.19,39.0,38.28,39.62,42.16,44.5,43.81,40.78,40.16,37.12,35.19,35.62,34.12,33.0,31.16,29.34,28.75,28.5,29.88,31.53,32.0,35.69,37.81,39.88,43.56,46.28,50.19,53.0,54.81,57.59,58.25,61.41,62.5,63.22,63.72,61.62,59.25,55.44,50.44,46.41,43.81,39.19,36.28,34.91,34.31,33.94,36.75,39.94,43.62,45.53,46.09,48.38,47.72,46.06,43.44,44.88,43.0,44.53,46.22,47.41,49.31,49.09,48.56,44.94,46.22,42.56,42.5,42.53,43.44,44.19,44.81,46.38,45.94,45.12,42.5,40.56,35.12,37.66,36.94,38.62,42.19,45.16,48.28,50.0,51.38,52.94,52.5,49.06,47.94,44.5,39.69,36.16,33.94,31.38,30.56,30.91,32.44,31.44,36.09,37.25,39.31,43.38,45.53,46.84,47.88,47.91,48.03,45.38,46.84,45.47,43.5,43.31,41.06,38.59,36.38,34.56,33.25,34.0,34.16,34.44,38.06,38.28,40.88,44.34,46.53,48.94,51.72,51.25,55.28,56.28,56.44,58.22,58.12,57.41,55.12,53.81,52.31,50.06,49.03,47.19,48.31,48.31,49.78,53.12,57.19,60.22,61.81,63.41,63.03,60.91,59.31,54.53,53.69,52.66,51.06,52.44,54.31,54.41,55.44,56.03,54.31,57.34,56.31,58.28,58.91,60.0,59.56,59.03,57.97,58.31,55.94,58.66,58.31,57.84,56.97,55.47,52.28,49.38,44.53,46.19,45.78,47.94,50.59,52.06,52.5,53.0,52.62,52.38,52.94,51.84,50.81,53.03,52.91,56.09,59.16,61.31,61.5,61.62,59.78,59.53,59.88,58.66,62.53,62.91,64.44,65.94,66.09,64.78,61.59,59.38,58.25,55.47,52.53,55.12,54.91,57.19,59.62,63.94,67.06,67.78,68.41,68.5,66.62,63.25,60.12,60.44,58.03,59.88,62.06,62.31,63.69,63.81,62.81,62.03,58.81,60.47,60.12,60.88,61.53,63.56,62.66,63.72,64.19,64.16,63.5,63.59,61.78,60.62,58.56,57.0,54.94,51.84,53.47,52.28,51.81,52.41,52.88,51.97,51.56,51.34,52.12,54.06,56.81,59.31,60.88,60.94,60.94,60.28,59.5,58.62,59.31,58.41,57.06,54.91,53.44,51.81,50.38,50.31,46.53,48.81,46.72,45.81,46.44,47.12,47.31,47.53,47.66,49.56,50.62,52.69,53.28,52.81,52.75,50.31,47.31,45.06,42.31,41.41,40.38,40.06,41.56,42.78,45.84,50.0,52.91,54.16,58.19,57.78,57.78,57.38,56.72,56.06,54.97,54.91,54.0,54.5,53.16,51.81,49.38,47.06,43.25,40.44,37.12,34.44,33.59,30.91,31.59,33.31,34.28,37.75,41.53,44.62,47.16,48.22,47.66,50.25,50.31,49.94,50.69,50.75,49.25,46.56,44.69,40.56,36.84,35.72,33.38,31.81,33.09,34.03,33.72,34.69,36.66,38.03,39.69,40.72,40.81,42.81,41.59,43.41,43.84,45.03,44.75,42.28,44.44,43.03,43.66,45.56,46.41,47.0,47.62,47.22,47.56,45.62,44.75,45.31,44.88,45.69,46.88,46.72,46.62,45.19,41.19,41.22,39.91,39.16,41.16,42.78,44.38,45.28,45.78,45.31,43.03,42.72,40.81,42.47,43.97,45.41,49.25,52.31,54.56,54.41,56.09,52.91,55.44,54.12,54.81,57.12,58.16,58.5,58.62,59.38,58.34,58.03,57.91,55.66,52.88,51.12,48.41,46.47,45.75,44.66,43.44,41.88,40.16,39.69,39.59,37.97,40.06,41.47,42.56,45.25,46.91,46.75,47.12,45.66,41.84,44.62,42.5,44.0,45.62,46.53,47.69,46.28,45.66,41.88,40.31,37.03,34.56,35.03,35.25,37.31,38.72,39.81,40.38,40.16,40.12,36.38,39.69,38.31,40.28,43.41,45.94,48.53,48.16,49.22,47.62,44.0,44.41,41.84,40.34,39.44,39.53,38.56,37.41,35.94,33.47,35.66,33.84,34.16,34.41,34.19,33.53,33.16,34.56,34.78,39.91,42.19,45.31,48.25,49.19,48.88,48.16,45.19,43.72,41.31,38.0,37.94,37.66,35.81,37.72,38.53,39.34,40.41,42.0,43.25,43.81,45.06,45.38,43.75,46.91,47.62,50.69,54.28,56.06,57.31,57.41,56.91,56.53,53.06,52.44,49.47,45.72,44.28,42.66,42.88,42.25,43.94,46.38,48.78,50.59,52.28,51.84,48.66,49.56,47.59,46.78,48.44,49.34,50.16,48.97,48.44,48.34,43.91,46.84,44.88,44.69,45.06,45.34,43.88,42.06,39.66,37.5,36.22,35.69,34.47,37.19,39.81,42.66,46.84,49.97,51.66,52.16,51.53,46.06,47.69,44.25,43.03,44.12,44.06,44.0,44.66,45.47,46.19,46.06,46.81,46.56,45.66,42.34,45.16,43.41,44.41,46.44,46.88,48.66,49.81,50.25,50.84,49.12,52.78,51.97,53.78,55.0,54.62,54.72,51.53,48.97,47.03,43.0,41.84,40.75,37.34,37.81,37.34,37.47,39.34,41.78,42.41,43.19,43.41,42.25,42.81,41.53,39.94,40.34,39.81,39.16,38.88,39.16,37.66,38.41,37.34,38.0,39.25,40.75,40.19,44.31,44.38,44.88,46.81,46.62,47.81,47.88,46.66,47.72,47.5,46.31,46.62,46.56,45.75,45.12,42.19,43.66,41.69,40.78,40.59,41.16,41.31,40.84,43.06,44.28,44.94,46.5,46.69,47.38,48.12,45.75,49.94,48.03,47.78,47.81,45.75,43.66,41.16,38.56,34.38,32.72,30.91,29.09,30.34,32.0,33.16,35.38,36.84,37.94,38.09,39.28,40.5,40.0,41.25,43.62,44.81,47.12,48.0,50.22,50.38,50.38,51.0,50.59,49.91,49.0,48.06,46.03,46.59,46.06,46.81,48.56,49.78,50.12,49.84,49.38,48.75,48.78,48.28,50.09,51.69,52.03,54.03,54.31,53.25,52.47,51.44,51.28,51.88,52.81,53.47,53.75,55.66,54.81,55.03,52.94,50.78,47.81,45.41,43.53,41.94,42.34,43.34,43.75,42.12,46.19,44.88,44.09,44.78,43.31,41.81,41.28,40.5,41.16,42.03,44.66,45.84,47.5,49.44,48.78,46.5,43.91,40.5,37.41,33.62,32.41,32.47,29.06,34.25,36.12,39.81,45.03,48.47,52.56,53.91,53.31,52.5,50.0,46.72,45.5,43.75,43.19,43.44,43.47,42.62,44.81,44.0,44.31,46.94,47.41,48.59,46.41,50.06,49.22,49.12,49.16,47.69,45.78,41.75,39.69,36.12,35.0,33.19,-9.56,-8.34,-8.03,-6.53,-4.69,-2.91,-2.0,1.44,2.91,5.19,6.81,9.09,9.78,9.56,10.03,8.94,8.97,8.84,7.84,8.81,8.88,8.41,8.0,7.91,6.09,5.19,4.5,3.31,2.78,3.16:negativity
70.81,70.94,70.03,68.41,66.66,65.41,65.62,66.44,68.44,71.06,73.12,73.94,74.62,72.66,71.25,68.56,66.44,64.25,64.06,62.5,65.38,65.94,67.75,69.56,69.56,69.62,69.06,67.62,65.88,65.09,64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94:65.62,66.44,68.44,71.06,73.12,73.94,74.62,72.66,71.25,68.56,66.44,64.25,64.06,62.5,65.38,65.94,67.75,69.56,69.56,69.62,69.06,67.62,65.88,65.09,64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94,32.31,30.94,28.5,26.5,23.84,21.72:74.62,72.66,71.25,68.56,66.44,64.25,64.06,62.5,65.38,65.94,67.75,69.56,69.56,69.62,69.06,67.62,65.88,65.09,64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94,32.31,30.94,28.5,26.5,23.84,21.72,22.31,24.25,27.0,29.66,33.09,35.09:64.06,62.5,65.38,65.94,67.75,69.56,69.56,69.62,69.06,67.62,65.88,65.09,64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94,32.31,30.94,28.5,26.5,23.84,21.72,22.31,24.25,27.0,29.66,33.09,35.09,36.53,35.19,33.78,31.28,28.75,25.75:69.56,69.62,69.06,67.62,65.88,65.09,64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94,32.31,30.94,28.5,26.5,23.84,21.72,22.31,24.25,27.0,29.66,33.09,35.09,36.53,35.19,33.78,31.28,28.75,25.75,24.84,22.44,22.47,22.59,24.38,24.72:64.06,64.94,65.31,67.66,69.06,70.19,70.94,72.34,71.12,73.0,73.41,73.28,71.25,70.25,66.5,64.16,63.5,63.28,66.0,68.84,72.94,78.0,81.38,84.81,88.38,89.88,92.31,92.88,91.69,89.69,87.25,81.16,77.25,73.5,70.69,67.31,66.0,66.0,65.19,64.75,65.56,64.78,63.66,63.16,62.38,62.0,61.5,62.41,62.62,62.56,64.44,66.0,66.44,68.12,67.91,68.81,68.19,68.19,66.75,65.06,64.28,63.28,62.94,64.5,66.81,69.62,72.69,75.19,77.56,77.75,77.88,76.62,74.81,73.56,71.66,69.69,67.31,63.44,60.88,58.06,55.81,54.91,55.25,55.31,57.06,59.31,61.31,64.81,69.19,72.19,74.81,76.38,75.75,73.81,70.5,67.19,65.56,63.41,62.88,63.06,62.62,62.53,64.88,65.94,68.06,70.41,71.62,70.81,70.84,68.34,67.31,66.84,67.94,68.94,71.25,71.75,72.38,72.12,72.0,71.75,73.19,73.38,73.69,72.75,71.47,70.0,68.66,67.56,65.75,64.62,64.56,63.56,65.44,66.75,69.44,72.0,73.62,74.62,76.0,76.88,75.88,76.0,74.81,73.06,71.38,68.94,66.56,65.94,64.62,64.0,65.25,65.25,65.5,65.88,65.88,66.56,65.75,67.31,68.19,67.25,67.69,65.44,63.34,61.91,59.75,59.62,57.56,59.31,58.53,58.25,60.25,61.19,61.75,63.91,64.44,65.62,65.25,64.56,64.28,61.38,61.62,60.31,59.38,59.62,61.34,63.19,65.5,67.06,68.88,70.81,70.25,70.31,70.31,68.81,66.44,65.25,62.81,60.41,57.56,56.19,54.34,52.25,52.5,53.19,54.62,56.06,57.5,58.06,58.06,57.44,56.25,56.12,54.47,53.44,52.25,50.94,49.25,48.12,48.94,48.94,50.38,51.53,52.94,53.19,54.5,54.41,55.25,56.41,56.22,56.31,55.94,54.69,53.25,50.94,50.0,48.69,48.0,47.88,47.0,48.25,49.12,50.16,51.12,52.41,53.38,53.75,54.12,54.44,54.19,54.69,55.0,56.34,56.81,57.81,60.81,59.81,61.06,62.41,62.06,62.97,62.25,63.16,62.69,63.31,64.72,65.31,66.62,67.06,67.31,67.31,66.19,65.75,65.81,65.38,66.69,67.06,68.75,69.94,69.38,69.0,68.88,67.12,65.81,65.44,62.59,60.12,59.12,57.62,56.12,55.44,54.38,53.41,51.38,49.38,49.47,48.88,50.06,49.53,51.44,52.69,53.81,56.31,58.66,60.5,61.62,62.38,61.19,60.88,59.25,58.75,57.69,56.31,54.84,53.25,52.12,52.62,52.56,53.75,55.81,55.5,56.81,56.5,56.34,55.88,56.0,57.69,58.66,60.62,63.44,64.25,65.66,66.25,67.06,67.62,67.38,67.69,68.19,68.5,68.31,66.88,65.88,65.06,64.62,65.12,67.0,67.75,67.62,66.12,65.88,63.25,63.62,63.56,64.19,65.62,68.19,70.44,71.59,73.81,75.12,76.62,77.94,79.06,79.12,79.44,78.0,78.78,77.72,78.12,78.47,78.5,78.69,78.62,77.38,76.56,75.69,74.62,72.91,73.38,72.62,72.81,73.12,73.94,73.31,73.53,72.12,71.44,70.44,72.0,72.88,74.75,76.06,76.0,76.12,74.16,72.56,71.25,69.59,66.62,66.94,66.5,67.16,69.19,70.81,72.38,72.91,73.81,73.56,73.38,73.44,73.88,72.25,71.81,71.94,70.88,69.5,69.25,67.75,67.44,69.19,70.53,71.47,73.5,73.31,72.47,71.38,70.31,68.0,67.97,66.0,66.62,67.19,68.81,69.44,71.78,74.81,74.25,75.62,77.31,76.88,77.0,75.44,75.41,76.12,75.62,77.75,77.75,78.03,79.97,79.12,79.88,81.34,81.75,82.25,81.84,81.81,81.72,80.69,80.72,80.25,79.75,79.56,79.38,78.31,76.78,76.12,75.66,75.62,76.25,79.31,80.19,80.0,80.31,78.69,76.62,73.88,73.44,70.56,69.12,68.62,67.47,67.75,67.66,67.28,68.31,68.06,67.75,67.91,66.75,68.31,68.12,68.88,68.31,68.56,64.5,64.72,62.56,62.69,64.81,66.0,66.88,67.62,68.31,67.69,67.25,66.25,64.16,62.56,60.88,59.12,60.19,62.31,65.56,69.56,71.81,73.94,73.47,72.38,70.38,66.69,63.94,61.56,58.91,57.25,55.91,54.66,54.44,53.5,54.62,54.94,54.97,56.69,56.88,56.94,56.94,57.75,58.38,58.75,60.78,61.44,62.78,63.41,63.19,63.12,60.75,60.5,59.75,59.0,58.56,59.88,59.19,60.0,60.97,61.12,61.31,62.19,61.41,61.06,60.62,60.56,59.31,59.53,58.62,57.0,55.62,54.38,53.62,52.06,53.66,53.94,55.38,57.25,57.56,58.44,56.69,57.41,56.25,56.31,57.5,57.78,58.25,59.12,60.56,59.81,62.94,64.06,65.31,66.28,66.12,64.75,62.38,60.56,58.94,58.94,60.88,62.88,64.91,65.19,65.31,63.69,62.44,60.75,57.94,57.81,56.12,55.03,55.25,54.81,54.25,52.56,53.69,53.78,54.25,57.69,58.75,60.31,60.34,59.75,59.47,57.91,57.25,56.81,56.03,54.44,54.0,54.34,54.0,54.81,56.44,56.0,55.75,54.81,54.12,52.94,52.62,53.06,54.0,54.06,54.56,53.62,53.75,52.12,51.19,52.19,51.03,51.91,51.66,52.5,51.38,52.31,53.75,54.56,55.69,56.94,56.62,57.03,57.75,58.25,58.81,59.12,58.81,57.66,56.94,57.06,55.66,57.0,56.12,57.91,58.12,58.5,57.25,56.75,56.38,55.31,56.03,59.12,60.0,61.0,62.88,61.94,60.03,60.22,58.62,58.5,58.38,58.69,59.44,59.0,59.97,60.5,61.19,63.19,64.12,66.06,68.19,69.59,69.5,69.47,69.19,69.19,69.06,70.31,71.56,71.97,70.56,70.75,69.78,69.44,70.56,71.81,71.59,71.44,70.62,70.31,70.69,71.44,73.47,74.06,74.91,75.31,74.06,73.12,72.22,70.81,69.12,69.12,68.31,67.88,69.0,69.81,70.19,68.62,68.81,66.06,62.88,60.91,59.19,58.75,56.72,56.75,56.94,55.88,55.62,56.75,57.91,58.91,59.81,59.0,59.69,59.12,58.56,59.12,59.66,60.31,60.69,60.56,61.66,59.19,59.88,56.81,55.81,54.97,55.06,55.81,56.03,56.75,56.59,56.22,57.31,57.44,58.38,59.12,60.5,61.06,62.69,63.44,64.62,65.88,65.38,66.19,65.12,66.5,65.69,65.88,66.44,64.69,65.66,64.19,64.97,66.0,66.56,67.62,68.03,67.62,66.38,65.62,63.88,62.72,60.81,59.69,58.94,56.62,55.06,53.94,54.41,54.38,55.0,55.28,55.38,55.88,56.25,56.62,59.81,61.5,63.5,64.62,66.0,66.56,67.03,67.81,67.94,67.31,67.5,67.5,66.19,65.34,65.75,64.19,63.94,63.69,64.69,64.88,65.5,64.5,62.81,60.25,57.56,55.41,53.94,54.12,53.59,54.38,54.53,54.06,54.72,54.31,53.69,54.19,53.97,54.19,53.75,53.25,54.62,53.25,53.78,53.72,53.5,54.06,53.06,52.75,53.25,51.94,51.81,49.88,48.88,45.81,42.94,32.31,30.94,28.5,26.5,23.84,21.72,22.31,24.25,27.0,29.66,33.09,35.09,36.53,35.19,33.78,31.28,28.75,25.75,24.84,22.44,22.47,22.59,24.38,24.72,26.41,27.34,27.88,26.59,25.19,24.75:negativity
23.12,21.31,22.81,23.88,25.53,27.56,28.5,28.56,27.81,25.44,25.94,24.5,23.84,24.62,23.44,21.38,20.75,17.25,18.62,17.62,19.41,20.22,22.22,23.53,24.56,25.81,26.28,28.06,28.38,29.12,30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94:28.5,28.56,27.81,25.44,25.94,24.5,23.84,24.62,23.44,21.38,20.75,17.25,18.62,17.62,19.41,20.22,22.22,23.53,24.56,25.81,26.28,28.06,28.38,29.12,30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94,-14.03,-13.28,-10.62,-8.75,-7.47,-5.84:23.84,24.62,23.44,21.38,20.75,17.25,18.62,17.62,19.41,20.22,22.22,23.53,24.56,25.81,26.28,28.06,28.38,29.12,30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94,-14.03,-13.28,-10.62,-8.75,-7.47,-5.84,-5.47,-5.34,-5.78,-7.38,-6.78,-7.16:18.62,17.62,19.41,20.22,22.22,23.53,24.56,25.81,26.28,28.06,28.38,29.12,30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94,-14.03,-13.28,-10.62,-8.75,-7.47,-5.84,-5.47,-5.34,-5.78,-7.38,-6.78,-7.16,-7.81,-7.72,-8.84,-11.25,-12.59,-16.34:24.56,25.81,26.28,28.06,28.38,29.12,30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94,-14.03,-13.28,-10.62,-8.75,-7.47,-5.84,-5.47,-5.34,-5.78,-7.38,-6.78,-7.16,-7.81,-7.72,-8.84,-11.25,-12.59,-16.34,-15.44,-15.78,-14.53,-12.34,-11.41,-9.22:30.62,29.75,28.62,28.59,26.94,25.25,23.12,22.5,23.16,23.66,26.78,31.03,34.81,38.56,41.62,41.03,43.56,42.94,43.0,43.81,44.62,46.31,46.94,48.16,48.06,47.41,48.97,46.78,46.31,44.19,40.56,36.75,33.12,31.19,28.59,29.16,28.34,28.38,28.28,27.69,28.09,27.25,26.03,26.28,24.62,23.59,23.53,25.66,27.41,31.06,33.72,35.75,36.41,35.69,34.41,32.5,30.25,30.69,29.09,29.38,30.56,29.25,31.41,32.94,35.41,37.91,40.59,42.62,42.28,42.0,39.12,37.31,35.06,32.25,31.28,30.31,28.44,27.0,25.56,24.31,23.03,22.97,21.91,24.19,26.59,27.53,31.69,33.0,32.94,33.25,31.94,31.25,30.88,30.19,30.97,30.56,29.88,29.66,30.06,29.06,30.72,31.72,31.28,31.66,31.62,29.41,28.5,26.78,24.34,24.31,22.81,23.56,20.91,23.44,25.25,26.31,30.41,32.56,32.78,34.34,32.53,32.72,33.16,33.03,33.91,32.91,32.69,32.12,32.19,31.28,31.84,31.94,32.03,31.28,29.38,27.66,26.28,24.94,26.09,26.28,27.25,26.5,28.81,28.59,28.56,28.28,28.09,24.44,21.22,21.03,18.56,18.91,20.25,21.75,22.34,23.69,23.06,22.34,22.66,22.38,23.22,25.31,27.53,29.41,32.16,32.41,31.09,30.75,29.62,27.75,27.72,28.75,28.47,25.66,27.78,24.75,26.09,28.25,29.25,30.75,32.88,32.19,31.06,31.34,27.34,26.62,24.66,24.16,26.53,28.91,31.41,35.06,36.69,36.81,37.06,36.31,35.69,34.94,35.25,33.78,33.34,31.94,29.56,29.56,26.91,28.53,27.44,28.81,31.53,34.03,38.66,44.12,49.31,53.19,53.31,52.78,48.94,43.38,38.88,33.41,29.66,28.88,26.84,27.94,28.47,29.28,30.31,28.81,27.16,29.88,27.78,28.44,31.62,33.0,35.41,37.62,38.53,39.28,37.78,36.22,33.62,31.94,29.69,31.12,30.03,32.56,33.84,33.91,35.72,35.31,35.78,33.88,34.38,32.31,30.62,30.34,30.44,32.78,34.62,36.56,38.25,39.91,39.81,40.09,40.69,39.62,40.28,39.28,39.28,37.72,37.16,35.31,34.69,33.91,34.31,35.81,37.78,40.0,43.38,44.88,44.81,45.91,45.78,43.59,41.78,39.66,38.06,34.62,32.59,32.22,30.91,31.22,28.94,27.28,27.03,25.38,24.06,24.28,24.53,23.16,22.72,22.66,22.09,21.88,25.31,27.94,31.41,33.19,34.66,33.09,31.69,30.69,28.88,28.56,29.75,30.03,31.53,30.84,32.16,30.84,31.91,32.34,33.12,33.91,33.34,30.81,28.34,28.75,27.66,29.62,31.34,33.0,34.22,34.72,34.47,32.56,33.69,33.44,31.97,31.34,31.91,29.19,30.09,29.41,29.16,30.44,30.16,32.41,33.81,34.66,36.22,37.34,37.91,37.69,39.0,39.97,38.69,38.91,38.38,37.19,34.81,35.16,34.62,33.19,32.38,31.78,29.09,29.94,30.78,30.91,31.81,31.03,30.62,30.62,30.34,30.09,30.66,33.31,32.12,33.59,31.97,32.31,30.56,28.47,27.19,27.53,27.78,28.06,28.84,30.0,29.97,29.69,28.31,26.75,25.59,26.12,26.38,26.94,29.28,30.53,30.34,30.34,32.31,31.56,31.22,29.56,31.12,29.38,29.81,28.84,29.66,29.31,27.25,26.78,28.38,26.75,28.31,29.78,30.91,32.53,33.19,32.94,33.62,33.59,32.41,32.19,31.12,30.19,26.25,25.75,22.72,21.12,20.53,20.03,20.16,19.25,19.16,16.97,16.41,20.28,21.84,26.91,34.69,38.38,42.19,45.91,45.44,45.19,44.28,43.56,41.81,41.66,38.97,36.56,34.28,31.06,29.69,29.69,29.72,30.72,31.69,34.0,34.94,34.69,37.06,38.0,38.69,39.0,39.66,38.41,35.44,34.62,31.19,29.5,26.88,26.81,25.62,25.69,26.06,27.41,27.12,28.88,28.91,27.25,27.62,25.19,23.19,22.56,22.5,23.19,25.31,27.69,30.53,34.0,36.44,38.53,38.66,38.38,37.25,36.06,33.25,33.0,34.28,33.59,34.06,35.94,36.41,34.88,32.56,31.84,28.5,27.44,25.53,24.06,24.0,22.66,22.62,23.16,25.06,25.72,27.34,27.0,27.56,26.19,23.81,22.41,22.16,19.06,17.78,16.66,15.44,13.81,15.47,14.69,16.31,17.31,18.47,17.88,13.81,16.81,15.88,17.28,19.38,22.59,21.97,21.41,18.94,17.38,15.56,13.78,13.66,14.62,13.44,14.03,13.53,13.16,8.91,10.41,11.0,12.06,13.56,17.41,17.56,17.62,19.81,19.62,20.0,20.84,19.94,20.31,20.81,21.34,22.06,24.97,25.81,27.06,28.62,28.69,28.53,28.41,28.5,29.16,30.31,31.81,33.84,36.66,35.53,35.5,35.31,33.09,31.0,29.91,27.88,27.44,26.12,24.72,25.06,24.75,24.75,25.66,28.69,29.78,31.75,34.81,35.31,36.53,36.47,34.78,33.69,31.91,30.53,30.69,30.31,31.25,30.22,27.22,26.16,21.91,20.28,19.12,18.06,18.28,17.06,17.19,17.81,15.38,14.34,15.16,12.44,13.44,12.12,14.38,15.72,18.69,20.81,24.16,24.94,26.16,25.97,24.53,24.44,24.78,23.25,26.41,27.81,30.12,33.12,36.5,35.75,34.69,33.25,29.06,23.62,17.94,19.12,16.72,19.47,24.78,28.03,31.69,33.44,34.06,35.06,34.0,32.72,31.25,30.53,27.62,27.41,26.5,27.16,24.12,26.03,26.19,26.91,30.0,29.62,32.28,32.47,33.03,32.09,32.84,32.62,32.62,30.19,30.88,30.0,30.31,30.59,30.69,31.25,30.88,29.5,30.06,29.5,31.53,31.31,33.38,32.38,33.28,33.41,33.75,35.56,36.41,37.53,37.97,39.91,39.25,39.66,40.94,40.44,39.94,38.19,36.78,35.22,33.88,30.94,29.44,26.56,24.94,23.44,22.81,21.72,22.34,23.25,24.19,24.72,27.88,29.31,31.25,30.75,29.44,28.38,25.66,23.62,22.59,22.16,19.94,18.56,18.56,17.53,18.28,18.56,19.44,20.66,19.81,17.78,19.81,19.69,19.88,19.78,19.91,18.06,16.25,15.12,13.25,13.78,13.62,13.41,15.44,18.0,18.81,22.38,24.41,25.94,27.53,29.78,30.88,31.91,33.38,33.41,32.94,31.44,30.56,28.81,27.28,26.44,25.75,23.62,22.69,21.47,20.47,22.62,23.16,23.78,29.56,27.91,30.34,29.28,29.16,27.47,26.16,24.5,22.56,23.38,21.84,23.72,24.97,26.03,29.69,29.94,29.72,30.16,28.0,25.66,23.53,22.44,20.16,18.94,18.62,18.06,18.91,20.06,20.88,22.38,22.47,22.06,21.94,21.66,22.12,21.62,23.34,24.09,24.03,25.47,25.19,25.06,24.91,23.38,21.28,20.44,18.31,16.69,16.59,14.59,15.12,14.81,16.16,17.91,20.19,21.09,23.78,24.06,26.59,26.34,28.09,30.56,31.47,34.0,35.91,36.25,35.94,33.31,30.56,28.5,25.16,24.81,24.03,24.0,24.34,25.91,24.84,24.97,26.56,25.69,25.94,-14.03,-13.28,-10.62,-8.75,-7.47,-5.84,-5.47,-5.34,-5.78,-7.38,-6.78,-7.16,-7.81,-7.72,-8.84,-11.25,-12.59,-16.34,-15.44,-15.78,-14.53,-12.34,-11.41,-9.22,-9.34,-9.34,-9.53,-8.12,-8.44,-7.16:negativity
27.81,27.5,26.06,25.78,26.25,27.19,28.88,29.38,30.44,29.84,27.88,24.72,23.06,19.44,16.94,15.88,15.41,15.25,16.12,18.56,21.31,23.69,25.69,26.56,26.38,25.78,23.94,23.97,24.88,26.16,27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97:28.88,29.38,30.44,29.84,27.88,24.72,23.06,19.44,16.94,15.88,15.41,15.25,16.12,18.56,21.31,23.69,25.69,26.56,26.38,25.78,23.94,23.97,24.88,26.16,27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97,-21.03,-20.16,-21.22,-21.47,-21.44,-21.22:23.06,19.44,16.94,15.88,15.41,15.25,16.12,18.56,21.31,23.69,25.69,26.56,26.38,25.78,23.94,23.97,24.88,26.16,27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97,-21.03,-20.16,-21.22,-21.47,-21.44,-21.22,-20.97,-19.94,-20.19,-20.56,-23.0,-25.25:16.12,18.56,21.31,23.69,25.69,26.56,26.38,25.78,23.94,23.97,24.88,26.16,27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97,-21.03,-20.16,-21.22,-21.47,-21.44,-21.22,-20.97,-19.94,-20.19,-20.56,-23.0,-25.25,-26.84,-28.78,-29.03,-29.25,-28.28,-28.78:26.38,25.78,23.94,23.97,24.88,26.16,27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97,-21.03,-20.16,-21.22,-21.47,-21.44,-21.22,-20.97,-19.94,-20.19,-20.56,-23.0,-25.25,-26.84,-28.78,-29.03,-29.25,-28.28,-28.78,-29.09,-29.28,-31.44,-33.03,-34.22,-35.62:27.94,30.0,31.53,32.28,32.84,32.28,31.72,31.69,29.97,28.66,27.41,26.22,25.06,24.38,24.06,22.12,22.53,21.69,23.59,24.41,27.69,30.72,33.69,35.41,37.22,38.34,36.91,37.06,37.25,35.34,34.19,32.34,30.81,27.56,25.78,23.12,21.03,19.19,16.12,13.31,11.03,6.94,5.5,4.69,3.62,3.22,3.25,3.34,4.34,5.31,6.31,8.41,11.47,14.31,17.28,20.31,24.53,25.84,28.06,30.34,31.5,30.94,32.5,33.78,35.16,36.12,38.44,40.34,39.75,40.25,38.69,37.28,35.44,32.62,31.25,29.78,29.12,28.78,28.44,28.59,28.12,27.5,26.56,25.12,24.38,23.44,21.44,22.41,22.34,23.19,23.22,23.44,23.06,22.03,21.28,19.69,18.12,17.84,16.38,17.62,15.94,15.25,14.91,13.38,12.94,12.66,14.22,14.44,14.91,16.16,15.62,15.31,15.53,15.41,16.16,17.09,17.12,16.44,15.34,13.69,10.66,9.31,7.44,7.75,6.84,7.47,8.34,10.62,12.03,14.38,17.78,19.84,20.91,22.91,24.44,25.81,27.34,29.06,29.66,27.19,25.47,23.34,19.31,18.03,16.0,15.56,15.34,15.25,15.44,17.06,19.81,22.41,25.94,29.81,30.56,31.72,29.31,27.5,24.56,21.44,18.94,18.19,19.06,20.31,21.53,23.06,25.34,25.69,26.31,27.12,26.31,26.19,23.03,23.5,21.97,20.56,20.62,19.41,17.5,16.03,14.84,14.81,14.22,14.44,15.53,16.12,17.38,18.78,21.25,22.44,24.44,26.69,27.31,25.94,26.62,25.81,25.0,24.91,23.34,22.5,22.56,22.16,22.81,23.0,26.31,26.25,26.94,28.16,27.88,25.06,24.19,22.75,21.12,21.31,22.09,23.81,26.81,29.5,31.81,33.25,33.03,31.91,29.12,26.91,25.19,23.56,23.38,23.66,23.62,23.81,22.72,22.28,22.12,20.06,20.03,18.91,18.12,18.22,18.84,19.94,23.03,23.06,25.97,26.81,27.94,28.66,29.03,27.38,24.69,22.16,17.56,15.03,11.97,10.94,10.38,9.06,9.47,9.84,10.66,11.09,12.03,13.44,14.88,17.34,17.81,21.28,23.34,25.47,27.97,29.38,31.62,29.94,28.19,27.0,25.53,25.03,25.38,27.78,29.56,30.22,30.78,30.69,30.53,31.28,31.78,31.91,32.69,33.47,34.72,35.25,36.91,37.06,36.69,37.09,35.66,34.75,34.16,35.19,34.94,36.06,38.5,39.97,40.78,42.25,41.44,41.28,40.41,38.91,37.84,36.16,33.72,32.62,31.62,30.44,31.75,31.81,31.34,32.19,31.53,30.81,30.94,29.91,29.81,28.47,27.41,26.03,24.97,23.28,22.44,22.41,21.78,21.91,23.31,24.16,25.78,28.81,29.78,32.22,34.44,36.0,36.56,36.25,34.94,31.31,27.47,22.81,18.78,15.53,13.19,13.44,13.34,14.62,15.5,17.0,15.72,16.69,16.09,16.16,16.09,18.16,18.19,17.34,18.03,17.03,15.66,16.12,14.91,14.5,14.38,14.12,14.25,13.53,13.12,12.84,11.38,10.25,9.72,8.16,7.34,4.81,4.69,5.81,7.34,10.31,13.81,15.66,16.94,15.78,14.84,13.19,12.5,12.09,12.25,12.84,13.62,13.75,14.41,14.16,14.75,16.44,16.31,20.31,21.47,23.41,23.34,20.0,22.12,19.31,20.81,22.06,23.0,23.41,21.84,19.91,17.69,15.75,14.16,13.19,13.12,13.16,13.31,14.03,13.47,14.84,14.62,15.75,17.5,20.75,19.31,23.81,24.25,24.81,25.12,24.91,23.16,20.53,18.19,16.16,13.38,12.84,11.28,11.44,11.38,12.06,12.69,13.5,12.72,13.94,13.34,13.12,12.25,12.12,11.72,9.66,10.47,10.59,11.06,12.56,13.75,13.47,15.12,16.16,18.16,21.03,21.81,25.0,25.16,26.25,26.56,27.06,26.81,25.91,24.09,21.59,19.22,17.5,16.44,15.69,15.06,18.12,19.31,22.16,25.06,26.91,26.91,26.53,23.0,21.5,19.94,17.94,19.0,19.19,19.12,20.78,19.19,17.75,15.72,13.41,11.03,10.69,10.81,13.06,14.91,18.06,20.72,23.56,23.84,24.44,25.16,22.97,20.94,19.06,18.56,16.56,16.78,15.88,14.91,13.19,9.44,7.19,6.5,4.62,5.88,7.44,9.19,10.91,13.28,14.81,15.94,15.72,15.81,15.19,12.38,11.16,9.97,8.41,7.66,7.88,7.31,6.12,5.41,5.12,3.31,3.44,3.59,4.5,5.34,5.56,5.75,6.0,4.91,6.16,6.41,7.09,8.62,8.84,9.06,10.53,10.38,12.06,13.16,14.28,16.06,16.5,13.75,14.12,11.56,9.38,8.94,9.12,9.91,8.41,9.84,8.31,8.72,8.47,6.78,6.62,7.28,7.16,10.09,8.94,13.69,15.03,15.19,17.12,17.0,15.66,14.81,14.06,12.59,13.03,12.72,13.38,14.06,16.09,17.34,17.34,18.72,16.53,15.78,15.03,14.03,14.0,14.53,14.28,13.19,13.31,11.38,8.38,8.34,3.44,4.41,2.75,4.94,6.62,10.16,13.34,15.16,18.5,18.25,18.0,17.5,15.94,15.25,14.94,15.81,17.09,17.84,16.94,16.75,14.31,13.78,10.41,13.91,15.12,18.34,20.91,23.75,24.19,23.19,22.5,20.94,21.41,21.59,22.12,22.94,24.28,23.84,21.66,22.31,19.25,19.16,17.31,15.97,11.91,11.69,9.84,9.78,11.25,13.28,14.34,14.34,15.22,14.81,15.72,14.5,16.81,16.12,14.53,14.56,12.41,11.78,11.19,10.25,9.62,5.66,7.59,6.41,6.69,9.0,10.41,9.56,11.41,9.25,10.0,11.16,12.91,15.16,17.34,20.31,20.59,20.25,19.25,15.78,12.25,8.72,6.91,6.25,6.22,7.81,7.88,10.06,10.03,10.94,12.06,11.66,11.25,10.5,9.72,9.44,9.62,9.16,11.59,12.72,13.22,14.94,15.0,15.84,13.78,13.38,12.0,10.44,10.28,11.12,12.06,14.19,15.5,17.62,17.41,17.44,17.62,16.38,16.12,14.88,14.69,14.06,13.97,15.56,17.66,19.84,22.56,22.44,22.28,21.69,20.88,20.38,20.78,20.84,21.69,21.69,21.41,21.16,20.12,18.28,15.88,12.88,12.06,11.16,10.81,12.66,15.19,16.66,20.69,23.59,26.0,28.0,28.47,27.19,25.25,22.03,18.25,15.78,13.06,11.62,10.62,9.31,8.06,6.69,6.06,7.03,8.53,11.28,14.25,16.72,18.94,20.28,21.12,21.25,20.5,19.72,18.09,16.09,14.97,13.66,13.53,12.81,13.03,13.97,14.47,15.16,15.53,15.69,14.19,12.5,12.06,10.72,10.06,10.59,11.0,11.06,11.78,10.91,10.66,8.53,7.72,6.5,5.81,5.25,5.06,6.19,6.88,8.56,10.06,12.09,12.56,12.47,12.31,10.69,9.94,10.03,9.56,9.72,11.12,12.72,13.75,16.16,17.5,17.75,18.62,18.41,18.69,19.41,20.84,21.84,22.12,22.28,20.16,18.59,15.94,13.97,12.12,10.44,9.66,8.62,8.31,5.81,6.12,5.62,5.28,5.88,7.12,8.31,7.03,5.25,3.97,-21.03,-20.16,-21.22,-21.47,-21.44,-21.22,-20.97,-19.94,-20.19,-20.56,-23.0,-25.25,-26.84,-28.78,-29.03,-29.25,-28.28,-28.78,-29.09,-29.28,-31.44,-33.03,-34.22,-35.62,-36.19,-35.5,-34.19,-32.31,-29.97,-27.91:negativity
31.44,33.38,35.28,38.19,39.53,39.28,40.22,38.38,38.25,37.28,35.75,35.12,35.88,36.44,36.31,37.28,37.75,37.69,40.25,43.75,46.19,50.53,53.53,53.84,54.03,50.09,47.28,42.84,38.62,38.0,36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94:40.22,38.38,38.25,37.28,35.75,35.12,35.88,36.44,36.31,37.28,37.75,37.69,40.25,43.75,46.19,50.53,53.53,53.84,54.03,50.09,47.28,42.84,38.62,38.0,36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94,-10.22,-7.91,-6.66,-4.28,-3.28,-4.03:35.88,36.44,36.31,37.28,37.75,37.69,40.25,43.75,46.19,50.53,53.53,53.84,54.03,50.09,47.28,42.84,38.62,38.0,36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94,-10.22,-7.91,-6.66,-4.28,-3.28,-4.03,-3.5,-4.31,-4.09,-3.44,-4.22,-3.38:40.25,43.75,46.19,50.53,53.53,53.84,54.03,50.09,47.28,42.84,38.62,38.0,36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94,-10.22,-7.91,-6.66,-4.28,-3.28,-4.03,-3.5,-4.31,-4.09,-3.44,-4.22,-3.38,-3.94,-4.22,-3.38,-3.06,-2.22,-0.47:54.03,50.09,47.28,42.84,38.62,38.0,36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94,-10.22,-7.91,-6.66,-4.28,-3.28,-4.03,-3.5,-4.31,-4.09,-3.44,-4.22,-3.38,-3.94,-4.22,-3.38,-3.06,-2.22,-0.47,0.12,2.56,5.06,9.31,11.78,13.69:36.81,39.06,40.31,42.88,44.62,46.91,48.66,48.81,50.56,51.34,49.81,52.0,51.09,50.5,49.09,48.03,42.31,38.69,37.44,33.91,32.03,31.62,31.66,31.78,33.62,35.12,39.66,41.56,45.25,46.78,49.66,51.69,50.72,54.56,55.19,56.44,57.47,57.28,53.97,53.56,48.25,44.03,42.56,42.03,40.5,42.53,45.84,45.16,47.12,47.41,47.66,48.22,49.47,50.53,51.69,52.03,52.06,52.75,51.28,51.62,53.06,54.53,54.5,57.28,59.62,60.0,58.78,60.06,58.53,56.66,57.5,58.22,57.94,57.31,58.16,58.81,55.34,55.53,55.72,53.34,53.62,52.97,53.44,54.16,53.84,54.31,53.94,54.66,54.91,54.56,55.91,55.56,55.56,56.53,54.53,55.06,55.06,54.12,54.78,53.41,54.5,52.53,50.91,51.25,49.81,48.44,48.0,46.44,45.81,42.81,42.91,41.31,39.81,37.06,36.19,35.06,32.69,31.0,31.25,29.41,29.03,30.5,30.69,33.38,34.81,39.31,43.66,47.0,50.75,51.81,52.66,50.72,48.12,47.56,46.16,45.44,44.69,44.56,43.66,42.75,41.88,43.19,43.12,44.38,46.0,44.81,46.16,45.38,46.22,46.84,49.47,50.38,53.59,55.31,56.94,58.25,58.56,57.56,57.38,58.25,57.03,58.66,58.91,58.56,59.0,58.56,56.12,54.34,53.09,51.56,51.34,52.41,55.41,57.59,57.62,62.0,60.88,61.34,63.34,64.12,64.16,64.66,64.5,64.31,63.34,63.94,63.34,62.53,62.62,60.59,58.75,60.06,58.38,58.78,59.06,59.31,58.31,58.25,58.34,58.44,57.06,57.44,56.75,55.03,55.44,55.16,54.91,53.34,54.06,53.69,55.19,58.81,60.16,64.09,65.56,63.88,62.75,62.19,60.5,61.44,60.0,56.84,56.5,55.91,56.06,56.94,59.53,61.53,62.16,63.34,65.22,63.88,65.69,66.66,65.34,66.88,67.25,66.72,67.94,69.25,70.31,70.81,70.44,70.69,69.75,70.81,68.94,68.38,67.44,66.66,66.03,65.69,65.19,67.25,66.78,65.66,67.75,69.72,71.94,72.03,73.09,72.81,71.31,68.94,67.09,67.28,67.12,66.75,68.53,70.34,71.69,72.81,73.19,72.97,72.16,71.06,66.97,65.88,64.97,62.5,64.56,64.31,64.28,65.44,63.94,61.5,59.09,58.16,57.09,57.19,58.25,60.06,61.66,61.31,61.62,62.66,59.97,58.62,57.62,55.53,54.44,53.25,53.88,54.84,56.16,58.28,61.41,62.69,64.62,63.81,63.12,60.09,58.94,56.75,55.84,57.72,58.78,61.84,64.78,66.5,67.06,64.34,60.41,57.06,53.25,51.41,49.62,49.94,50.56,50.62,50.06,51.84,53.16,49.81,48.91,49.5,48.34,49.38,52.31,55.09,55.72,57.03,58.34,58.94,61.25,61.25,62.91,62.06,60.75,57.78,58.88,57.19,55.88,56.41,57.91,55.34,56.94,58.0,58.53,61.34,61.28,64.41,64.69,64.5,63.53,64.06,62.62,62.06,62.19,63.09,63.5,65.88,66.41,66.53,65.16,62.56,60.16,57.69,55.53,57.0,57.66,57.69,59.81,62.22,61.16,61.97,60.94,60.81,60.59,59.91,58.78,61.0,60.22,60.66,63.06,62.44,61.97,62.53,61.12,59.28,59.12,58.91,56.66,57.47,55.16,54.5,55.06,56.03,55.78,58.62,58.84,59.44,59.94,58.47,57.34,56.22,54.56,53.84,52.31,52.66,51.47,52.5,52.16,55.38,56.19,57.53,58.62,61.06,61.16,63.69,64.31,66.16,66.16,66.91,64.5,63.91,62.62,61.94,62.06,61.22,62.56,62.78,63.69,63.41,64.69,64.19,64.5,65.34,64.53,68.0,64.75,65.28,63.94,61.81,58.38,57.0,55.94,55.5,56.0,58.03,57.88,59.41,58.66,57.56,58.19,57.84,57.72,57.66,58.0,57.78,57.62,58.16,58.0,58.5,58.66,57.09,57.19,56.97,54.28,55.19,53.88,53.31,54.0,54.88,55.56,57.25,58.06,58.78,59.62,58.59,58.56,60.5,61.03,62.47,65.25,66.47,66.66,64.78,65.12,64.44,61.09,61.53,61.41,60.09,60.72,61.66,61.97,64.59,63.75,65.84,66.94,67.94,68.28,69.31,68.41,68.09,67.69,67.09,66.31,65.31,63.56,62.69,61.12,62.5,64.12,65.5,65.19,67.41,66.56,64.53,66.03,65.66,68.06,71.28,75.62,80.16,83.41,83.62,82.5,78.94,74.56,72.19,68.66,65.53,65.75,65.78,67.06,66.91,67.94,66.5,66.91,64.31,62.25,61.81,59.75,58.84,58.34,58.16,60.69,62.19,64.44,65.34,67.88,66.72,67.5,66.5,67.75,67.47,67.31,67.25,66.84,65.66,64.12,63.72,61.91,60.78,58.09,58.62,57.28,56.78,57.62,56.75,55.94,55.56,54.88,56.12,58.41,60.47,63.34,65.81,68.03,67.47,68.31,68.56,69.19,67.97,67.41,68.31,67.41,67.53,70.06,71.28,72.25,72.5,73.88,73.06,73.44,73.31,72.34,70.69,68.56,66.31,64.22,61.75,61.03,60.62,59.31,59.12,58.84,58.44,56.56,55.06,52.97,51.19,47.47,47.28,47.0,47.97,49.03,49.97,50.34,49.41,49.5,48.0,49.56,50.69,50.25,51.97,53.34,54.75,56.28,57.28,59.06,59.59,59.81,60.59,62.06,61.75,62.66,62.88,64.03,64.0,66.41,67.28,66.81,68.31,67.56,68.5,70.0,71.16,72.44,74.25,74.62,74.25,73.28,71.19,69.62,66.5,63.91,62.19,59.69,58.5,56.41,55.41,53.66,52.53,53.44,54.31,56.56,57.81,60.22,60.66,60.28,59.12,58.47,57.28,57.84,57.78,59.25,59.19,58.69,57.66,57.41,57.81,58.28,59.97,62.0,62.78,62.69,62.25,61.34,59.94,57.66,56.62,55.91,54.66,53.81,53.41,53.28,52.84,53.5,53.91,54.81,56.31,56.81,59.09,60.09,62.12,64.69,67.06,69.28,70.28,70.78,70.09,69.81,69.53,68.41,67.94,67.62,68.03,68.53,68.75,69.0,68.19,67.44,66.72,65.81,67.94,68.56,69.53,70.09,70.47,70.0,71.06,70.94,70.62,72.09,72.38,72.12,72.03,72.56,71.19,69.88,68.03,67.31,66.16,65.91,66.69,67.19,68.41,70.22,70.62,72.12,71.84,73.0,73.31,74.66,75.75,77.34,76.62,76.34,75.62,75.31,75.28,75.12,75.72,77.22,76.09,76.47,76.69,77.53,78.09,79.94,81.69,80.69,79.19,76.97,74.41,70.94,68.28,67.47,65.69,64.5,65.31,64.56,64.69,64.56,63.34,62.5,61.62,60.75,60.41,60.0,60.69,61.0,62.31,65.06,68.38,69.41,71.06,71.59,69.69,67.78,66.31,62.69,62.69,61.97,62.69,62.81,64.69,63.91,63.72,62.44,62.28,62.66,63.0,63.56,63.66,62.34,59.97,58.78,56.78,56.06,55.53,56.69,57.25,57.38,58.47,58.75,59.41,58.0,57.28,57.28,55.81,55.69,55.97,57.12,58.06,57.91,57.53,57.34,57.09,57.53,58.56,58.44,58.66,57.66,55.78,54.97,54.16,53.69,54.28,55.03,55.91,57.78,57.94,-10.22,-7.91,-6.66,-4.28,-3.28,-4.03,-3.5,-4.31,-4.09,-3.44,-4.22,-3.38,-3.94,-4.22,-3.38,-3.06,-2.22,-0.47,0.12,2.56,5.06,9.31,11.78,13.69,14.0,11.16,7.25,2.06,-1.47,-4.22:negativity
6.38,6.44,5.03,3.84,7.22,8.38,7.5,9.56,8.78,8.91,9.62,10.31,10.0,11.66,9.94,8.75,9.31,8.03,7.16,7.78,7.44,8.75,9.62,8.03,12.16,8.62,12.31,13.44,13.09,14.44,13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28:7.5,9.56,8.78,8.91,9.62,10.31,10.0,11.66,9.94,8.75,9.31,8.03,7.16,7.78,7.44,8.75,9.62,8.03,12.16,8.62,12.31,13.44,13.09,14.44,13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28,-40.38,-40.84,-41.16,-43.41,-38.38,-36.19:10.0,11.66,9.94,8.75,9.31,8.03,7.16,7.78,7.44,8.75,9.62,8.03,12.16,8.62,12.31,13.44,13.09,14.44,13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28,-40.38,-40.84,-41.16,-43.41,-38.38,-36.19,-35.28,-35.22,-32.72,-34.03,-31.59,-29.69:7.16,7.78,7.44,8.75,9.62,8.03,12.16,8.62,12.31,13.44,13.09,14.44,13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28,-40.38,-40.84,-41.16,-43.41,-38.38,-36.19,-35.28,-35.22,-32.72,-34.03,-31.59,-29.69,-27.94,-26.78,-28.5,-29.09,-28.97,-30.44:12.16,8.62,12.31,13.44,13.09,14.44,13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28,-40.38,-40.84,-41.16,-43.41,-38.38,-36.19,-35.28,-35.22,-32.72,-34.03,-31.59,-29.69,-27.94,-26.78,-28.5,-29.09,-28.97,-30.44,-30.47,-29.19,-28.53,-27.84,-29.19,-28.19:13.22,12.53,9.56,9.16,6.97,7.31,3.75,5.97,6.75,8.06,10.56,11.56,11.09,8.69,5.34,5.19,4.44,5.19,7.56,7.81,8.19,8.12,7.38,10.59,11.56,13.81,15.66,15.12,14.66,8.62,6.75,2.0,-3.09,-4.03,-4.28,-6.22,-6.97,-5.78,-4.81,-4.66,-4.44,3.09,4.5,8.88,14.25,13.25,12.38,9.19,4.59,1.5,-1.53,-2.09,-4.22,-6.03,-5.41,-6.47,-4.66,-1.84,-0.41,2.69,6.0,8.28,8.94,8.44,14.53,14.06,18.41,20.44,20.69,21.28,11.56,10.31,8.28,6.62,6.94,9.0,11.72,10.81,11.94,11.06,8.84,6.19,6.31,6.53,8.22,12.56,15.84,19.03,18.09,20.91,19.06,22.5,21.41,21.44,20.5,18.88,17.66,15.28,14.16,13.06,12.34,9.94,10.72,10.12,9.62,12.38,15.84,18.41,16.62,20.72,24.0,23.41,26.28,27.44,22.94,21.56,18.91,15.56,12.88,12.12,9.78,7.19,5.28,4.19,4.0,5.94,6.97,7.91,7.66,5.41,4.72,4.19,4.66,8.22,5.03,11.47,9.88,12.44,14.5,16.62,15.06,16.53,14.59,12.75,11.19,7.03,3.56,3.44,0.09,2.38,5.19,9.47,12.03,15.28,18.97,19.09,23.34,20.91,22.0,23.25,22.47,22.06,23.12,21.84,20.41,21.66,17.84,21.56,21.94,23.47,23.19,27.56,28.25,29.66,30.09,32.0,31.56,29.66,28.56,28.47,25.84,25.69,25.06,24.41,25.0,25.19,23.56,28.81,25.53,30.09,29.31,32.44,33.84,34.84,37.47,38.25,37.0,35.97,34.94,32.03,31.44,31.28,31.03,30.91,30.62,29.75,28.59,27.72,25.28,27.19,25.94,28.09,28.66,30.31,29.66,29.06,30.62,30.16,31.69,26.31,29.25,29.66,28.34,31.34,35.06,37.41,38.0,37.91,33.94,33.66,29.06,28.25,26.5,26.91,26.94,27.06,27.94,28.69,29.44,24.53,31.62,29.25,30.53,34.69,35.91,33.03,33.12,32.25,27.59,27.59,28.72,26.25,28.19,31.69,32.66,35.75,37.16,37.53,36.88,36.56,33.16,30.44,28.81,25.41,28.56,31.44,35.78,41.19,43.91,44.75,46.38,41.88,41.88,37.84,36.72,36.16,35.81,31.5,32.62,28.91,28.0,29.59,28.72,30.66,32.41,32.31,31.69,32.0,28.19,27.78,23.84,24.53,29.0,33.41,37.41,43.06,49.06,49.75,54.88,53.25,52.59,50.56,48.25,47.34,46.19,45.62,44.09,38.84,36.97,34.59,32.41,30.78,32.03,31.41,31.22,31.34,26.0,27.97,25.12,25.03,26.34,33.94,35.12,39.88,43.25,45.12,46.59,45.06,43.38,41.16,37.25,37.69,37.88,37.75,34.5,35.19,30.69,28.72,25.91,27.69,26.03,27.16,27.41,26.69,25.88,28.41,31.5,32.16,35.47,34.91,35.66,35.28,35.91,36.16,36.94,37.88,41.53,41.94,42.16,41.66,39.19,34.19,32.69,30.03,28.03,27.97,26.19,26.75,25.47,27.09,26.28,26.25,22.38,25.75,23.09,21.28,25.0,25.62,24.5,26.59,27.81,29.44,29.38,32.5,31.47,31.5,30.41,26.66,21.31,20.81,16.19,14.59,19.03,19.56,22.88,23.5,24.03,23.06,21.72,21.81,19.34,17.88,19.41,20.34,18.34,24.75,24.84,25.53,28.94,29.31,26.25,27.53,28.81,25.12,28.31,29.28,29.53,29.81,27.47,24.94,19.94,19.91,16.06,16.84,17.53,17.84,15.34,14.31,14.06,10.25,14.09,16.03,17.25,20.56,18.09,18.81,17.81,18.03,18.06,22.75,21.72,23.56,23.81,23.19,21.94,24.5,22.19,18.94,22.19,22.56,21.78,22.28,21.31,18.78,17.59,16.19,16.31,17.31,22.78,24.56,30.41,34.59,34.78,38.47,41.16,39.41,39.06,37.94,35.84,34.06,29.53,29.91,30.59,28.25,28.22,27.62,27.34,24.56,22.19,23.66,22.44,24.34,25.97,28.5,31.62,30.62,31.34,34.44,34.03,34.78,34.28,34.38,33.72,31.22,30.25,33.34,31.16,31.12,28.78,29.28,28.44,25.78,25.88,21.25,22.81,19.62,22.66,26.06,26.53,26.94,27.41,25.12,25.88,25.78,26.16,24.22,30.66,30.03,32.03,32.28,32.66,28.69,30.75,28.62,28.06,27.72,24.94,23.91,21.09,23.06,25.22,29.44,35.44,36.5,43.44,44.38,46.22,44.31,42.81,38.91,35.94,33.69,30.38,31.31,29.44,29.44,31.38,32.53,31.81,36.06,35.25,32.5,35.28,34.0,33.16,35.66,39.12,41.22,39.59,46.44,45.03,48.03,46.44,44.91,40.91,34.19,29.91,27.53,25.78,24.31,23.91,23.5,24.41,25.53,26.41,30.53,31.38,34.12,36.19,39.41,39.81,42.91,42.62,43.72,44.25,43.09,43.41,39.53,36.66,32.31,29.03,27.34,25.66,25.5,24.44,24.84,20.88,20.12,20.84,18.91,21.25,23.62,25.19,26.84,27.12,27.0,24.03,29.5,29.16,30.06,33.5,32.66,32.06,30.72,26.69,24.12,21.78,22.5,21.19,23.44,25.06,24.72,24.62,21.38,20.28,17.69,16.69,14.81,14.41,12.41,12.25,14.66,17.84,20.38,26.03,28.66,30.41,31.69,33.47,32.97,34.03,34.66,34.69,34.62,34.69,32.5,34.41,32.75,30.19,27.56,24.16,24.19,21.28,21.06,23.28,24.25,24.38,24.81,26.97,25.78,28.78,30.28,32.22,35.84,37.59,39.12,36.69,34.25,28.19,27.69,23.81,19.78,20.75,20.75,20.25,20.25,22.12,24.53,25.41,27.66,28.34,29.44,29.03,26.47,30.31,29.44,30.78,29.25,31.16,29.25,24.78,25.75,23.81,21.94,20.44,19.03,19.03,15.72,13.94,15.62,14.81,15.31,15.91,17.78,17.88,19.91,20.47,20.53,20.28,17.5,19.0,19.41,23.72,28.38,31.66,35.06,34.81,32.81,31.12,28.94,29.06,28.78,30.0,32.62,31.44,30.09,32.12,32.28,29.53,31.38,31.25,29.31,27.38,24.19,22.72,19.81,17.56,19.03,19.0,16.28,21.38,21.66,23.47,23.97,25.31,24.0,23.0,22.44,23.12,25.38,27.25,31.38,32.56,34.97,33.56,34.25,33.62,32.38,31.06,27.97,28.09,25.62,25.5,26.0,28.41,29.06,27.97,27.31,23.78,20.25,19.53,17.88,19.47,19.72,21.59,22.91,20.09,22.41,20.66,20.16,21.09,22.81,21.12,21.25,22.25,21.59,23.69,26.56,30.53,34.56,34.38,38.44,40.44,40.88,41.72,42.47,42.53,42.31,38.47,39.5,37.66,37.66,37.66,36.5,37.41,33.47,30.69,28.81,24.34,23.34,23.62,26.41,25.53,32.19,32.94,35.56,37.16,37.75,36.81,36.31,34.78,31.31,30.0,27.94,27.25,27.62,28.44,28.75,27.22,26.88,26.28,22.91,25.56,27.31,27.0,26.44,28.81,28.62,27.66,31.56,31.25,31.94,31.59,31.78,30.94,30.97,30.62,31.12,30.88,29.81,28.78,28.09,26.09,25.78,25.94,26.25,24.41,23.28,20.25,18.03,16.94,15.91,14.72,14.62,12.5,9.28,-40.38,-40.84,-41.16,-43.41,-38.38,-36.19,-35.28,-35.22,-32.72,-34.03,-31.59,-29.69,-27.94,-26.78,-28.5,-29.09,-28.97,-30.44,-30.47,-29.19,-28.53,-27.84,-29.19,-28.19,-27.75,-28.5,-26.84,-26.84,-28.72,-31.53:negativity
14.94,17.0,18.28,21.28,24.16,27.44,28.91,29.41,28.12,25.69,24.28,22.06,20.53,20.19,19.78,19.16,17.22,16.28,14.97,13.38,12.25,10.41,10.5,8.84,8.56,9.97,11.62,13.47,17.47,20.44,22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72:28.91,29.41,28.12,25.69,24.28,22.06,20.53,20.19,19.78,19.16,17.22,16.28,14.97,13.38,12.25,10.41,10.5,8.84,8.56,9.97,11.62,13.47,17.47,20.44,22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72,6.41,8.28,9.44,12.19,13.62,16.41:20.53,20.19,19.78,19.16,17.22,16.28,14.97,13.38,12.25,10.41,10.5,8.84,8.56,9.97,11.62,13.47,17.47,20.44,22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72,6.41,8.28,9.44,12.19,13.62,16.41,16.91,17.19,16.03,14.66,12.91,12.22:14.97,13.38,12.25,10.41,10.5,8.84,8.56,9.97,11.62,13.47,17.47,20.44,22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72,6.41,8.28,9.44,12.19,13.62,16.41,16.91,17.19,16.03,14.66,12.91,12.22,10.81,11.41,10.88,10.41,8.59,6.88:8.56,9.97,11.62,13.47,17.47,20.44,22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72,6.41,8.28,9.44,12.19,13.62,16.41,16.91,17.19,16.03,14.66,12.91,12.22,10.81,11.41,10.88,10.41,8.59,6.88,6.34,3.81,2.03,0.94,-0.25,-1.28:22.34,24.81,26.5,28.09,29.38,30.91,32.22,32.88,33.88,32.94,33.66,33.41,34.41,34.62,36.47,37.03,36.69,37.84,38.28,37.94,39.16,41.12,40.69,41.19,40.56,39.56,38.31,37.75,37.25,36.66,37.28,36.69,36.78,36.91,35.88,33.88,31.44,25.72,23.59,18.78,16.88,15.5,15.53,15.94,15.41,15.78,15.25,15.16,16.31,18.22,19.91,21.66,24.31,25.03,23.91,25.44,25.88,24.84,22.81,24.12,23.12,23.94,26.34,27.16,31.12,32.75,33.97,34.38,35.38,34.94,32.66,30.66,28.81,27.38,26.69,26.16,26.66,26.5,27.12,24.5,24.75,24.03,23.5,23.44,24.31,25.44,25.94,26.78,28.12,27.41,29.94,32.66,32.53,35.16,34.88,33.25,29.81,27.88,23.97,20.62,19.16,18.22,18.22,19.78,21.0,21.84,21.34,21.25,19.94,20.72,19.72,20.0,21.72,21.91,23.75,24.41,25.84,25.22,25.53,26.0,26.41,27.66,28.0,29.75,29.62,29.19,29.0,27.44,25.56,23.69,22.09,20.62,20.44,21.56,23.47,24.06,26.75,27.66,28.75,29.53,29.16,29.06,27.31,27.06,25.75,25.38,26.19,26.44,26.0,25.75,26.62,26.22,26.81,28.56,27.84,27.53,27.16,25.31,25.88,25.31,26.31,25.19,25.91,26.56,27.94,28.69,29.44,31.19,30.69,31.5,31.44,31.72,31.44,32.41,30.38,31.69,32.31,32.75,33.56,35.53,36.31,35.38,36.5,35.75,34.69,33.47,32.16,30.56,29.53,28.69,27.44,27.69,26.94,26.75,25.84,23.62,21.31,19.16,16.28,15.56,18.06,20.69,24.31,29.19,32.03,34.12,32.94,32.38,30.0,28.34,27.16,27.78,28.47,28.38,28.44,28.66,26.25,24.91,24.16,24.38,24.41,24.97,26.66,27.66,29.25,30.56,32.59,33.66,31.06,31.31,30.12,27.44,27.03,27.19,27.66,28.19,28.53,28.78,26.94,25.69,22.12,20.0,18.72,18.25,18.06,19.44,21.19,22.69,24.28,24.72,25.62,25.06,25.12,25.31,24.38,25.75,27.38,28.25,30.31,33.25,34.91,37.0,38.09,39.44,40.09,41.91,42.38,42.34,43.31,42.94,41.84,42.0,41.78,41.59,41.47,40.59,39.5,37.44,35.66,33.44,32.09,31.53,31.78,31.84,33.0,32.38,32.12,29.75,27.91,24.62,22.5,20.91,20.56,22.44,23.97,25.44,26.72,27.19,25.97,25.5,24.72,24.25,24.59,23.78,24.19,24.81,24.56,25.0,24.44,23.38,22.44,21.28,21.06,19.78,18.88,18.94,17.72,18.41,19.41,20.78,21.34,21.88,21.78,21.56,19.78,19.12,17.12,15.62,14.19,12.69,12.81,13.03,13.81,15.06,16.16,17.59,16.84,16.94,16.62,14.53,14.66,14.16,13.88,14.56,13.31,13.72,13.84,13.03,12.0,12.94,13.38,12.88,14.38,14.41,14.94,13.19,12.94,11.56,9.41,8.31,7.94,7.56,6.84,8.0,8.78,7.16,6.78,8.06,8.16,9.69,10.59,12.69,12.06,11.72,12.31,12.94,12.81,13.56,13.28,12.12,9.66,9.53,7.84,8.09,10.16,10.78,13.25,16.53,18.06,21.56,23.31,24.41,25.91,24.41,23.12,22.03,19.31,17.69,14.88,14.78,14.28,14.94,15.56,17.16,17.94,16.72,16.94,16.69,15.94,17.16,17.84,18.66,19.91,18.62,18.56,16.44,14.81,14.53,13.62,14.19,14.81,15.19,14.62,14.28,12.06,11.34,10.66,9.97,9.72,10.53,8.81,7.62,6.44,4.66,4.06,4.41,3.78,4.69,4.19,4.03,4.22,4.31,4.19,3.31,3.41,3.16,2.41,3.0,3.06,3.22,3.53,2.62,4.0,5.16,8.66,14.09,18.75,23.97,25.56,25.34,23.16,19.25,15.03,13.53,11.56,11.56,12.56,12.28,14.66,15.06,15.5,15.12,15.03,14.22,12.94,13.19,13.84,13.59,15.5,15.81,16.62,18.84,19.91,20.12,20.56,20.31,18.62,17.34,16.5,16.28,16.25,16.28,16.22,17.5,16.84,16.62,17.25,16.19,16.41,14.72,14.56,14.59,15.19,16.88,18.81,22.0,23.62,25.41,28.03,27.28,28.19,28.84,27.91,27.44,25.69,23.44,21.97,20.56,18.56,17.66,17.5,15.06,13.75,13.16,11.56,11.06,10.91,11.5,11.94,13.19,13.22,13.41,13.31,13.0,12.41,12.31,11.44,10.16,10.25,9.25,9.78,8.59,10.91,10.5,11.34,13.34,13.56,14.56,15.19,15.62,15.94,16.25,16.19,17.28,16.38,16.38,16.16,15.34,14.41,13.47,12.91,12.44,13.62,14.38,14.94,16.88,16.91,16.31,16.0,15.31,13.25,12.44,11.84,11.75,11.78,13.22,13.06,14.19,14.25,13.72,13.44,12.28,12.5,14.19,15.28,17.69,19.19,20.19,19.81,19.72,18.69,18.09,17.41,16.28,16.28,15.41,14.41,15.62,16.53,17.09,16.62,17.41,16.5,16.22,15.72,16.19,15.31,14.59,13.72,12.44,12.0,10.56,9.16,9.34,9.16,8.31,9.69,10.59,10.66,11.81,13.56,14.06,15.44,15.69,16.59,16.47,16.94,17.44,17.69,19.06,18.81,20.31,21.22,20.5,21.44,20.72,20.88,20.75,20.09,20.12,19.75,19.31,17.69,17.19,16.03,15.28,14.06,14.19,13.16,12.56,11.09,9.97,8.91,7.12,7.81,7.44,7.56,8.91,9.56,10.06,11.28,11.91,12.5,13.16,13.69,14.22,13.59,13.56,13.19,12.75,12.47,12.44,12.44,11.66,11.16,9.38,7.56,7.44,6.53,7.16,7.62,8.5,8.25,6.81,5.19,2.06,-0.06,-2.56,-5.41,-6.19,-7.03,-6.59,-5.84,-4.28,-2.41,-0.94,0.84,3.69,6.56,11.03,14.66,16.5,17.25,16.5,13.94,11.66,9.69,7.22,7.38,7.5,8.38,10.59,12.56,14.16,14.69,13.72,14.94,14.19,13.53,13.28,11.41,9.31,8.25,6.16,5.62,4.62,6.91,7.31,8.88,11.19,11.94,11.69,13.81,12.5,12.31,12.78,12.59,12.78,13.38,12.66,11.56,11.69,10.75,9.91,9.5,9.03,9.69,9.59,11.56,12.12,13.41,14.5,14.09,13.5,15.78,15.09,16.59,17.19,17.47,16.72,15.25,14.88,13.06,13.41,13.31,13.06,14.66,15.31,16.25,16.31,16.12,16.34,15.28,15.16,14.06,12.25,11.28,11.12,10.56,11.12,11.56,12.44,11.88,12.97,14.06,15.41,16.66,17.06,17.03,15.75,14.03,12.81,11.0,10.75,10.06,9.22,9.56,8.69,8.09,8.94,9.69,10.78,11.41,13.62,15.47,17.25,20.19,21.06,22.69,21.53,20.69,18.16,15.97,13.66,12.19,11.41,11.41,10.25,10.22,10.0,10.12,9.06,9.16,10.09,9.91,10.78,10.88,10.84,10.75,11.41,9.78,10.0,10.06,9.06,9.28,9.75,9.84,11.25,10.81,13.12,12.88,13.94,14.81,14.66,14.41,14.28,13.16,11.06,10.28,9.0,7.78,6.47,4.69,3.25,1.03,-0.53,-1.19,-1.72,-1.62,-1.91,-2.59,-4.47,-7.22,-11.72,-14.47,-18.72,6.41,8.28,9.44,12.19,13.62,16.41,16.91,17.19,16.03,14.66,12.91,12.22,10.81,11.41,10.88,10.41,8.59,6.88,6.34,3.81,2.03,0.94,-0.25,-1.28,-0.94,-0.53,0.88,3.28,5.66,8.0:negativity
70.47,72.56,73.84,74.59,76.84,78.25,79.62,81.38,81.22,82.22,80.53,78.53,76.19,74.69,72.94,70.41,69.25,68.56,70.44,71.47,74.75,75.62,78.41,79.22,79.16,80.56,82.38,83.28,83.28,83.91,83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81:79.62,81.38,81.22,82.22,80.53,78.53,76.19,74.69,72.94,70.41,69.25,68.56,70.44,71.47,74.75,75.62,78.41,79.22,79.16,80.56,82.38,83.28,83.28,83.91,83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81,24.88,26.22,26.97,28.56,30.91,32.94:76.19,74.69,72.94,70.41,69.25,68.56,70.44,71.47,74.75,75.62,78.41,79.22,79.16,80.56,82.38,83.28,83.28,83.91,83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81,24.88,26.22,26.97,28.56,30.91,32.94,36.22,39.0,40.56,41.66,40.94,39.41:70.44,71.47,74.75,75.62,78.41,79.22,79.16,80.56,82.38,83.28,83.28,83.91,83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81,24.88,26.22,26.97,28.56,30.91,32.94,36.22,39.0,40.56,41.66,40.94,39.41,36.84,34.0,31.97,28.66,25.62,24.31:79.16,80.56,82.38,83.28,83.28,83.91,83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81,24.88,26.22,26.97,28.56,30.91,32.94,36.22,39.0,40.56,41.66,40.94,39.41,36.84,34.0,31.97,28.66,25.62,24.31,25.72,24.75,27.41,29.06,32.62,33.75:83.0,80.91,78.12,75.06,72.06,70.56,68.5,68.5,68.69,71.0,74.28,77.88,83.69,88.44,90.62,93.09,91.81,90.28,89.84,87.94,87.12,86.44,87.16,84.94,84.28,83.28,84.19,84.56,85.94,87.31,86.94,86.06,82.94,79.28,75.72,72.66,68.59,66.28,64.28,62.12,60.62,61.03,62.91,65.19,64.88,68.5,69.34,69.38,70.53,70.78,71.31,70.75,69.44,68.56,67.94,67.62,66.88,67.31,67.31,67.25,67.97,68.03,68.31,70.5,72.06,74.41,78.69,82.12,84.97,86.97,89.91,90.31,90.0,89.72,88.28,86.0,83.44,81.44,80.44,79.97,80.62,80.53,80.16,80.22,76.44,76.62,75.84,75.44,76.56,79.09,81.09,82.88,86.38,89.06,90.41,91.75,91.41,89.94,86.91,84.53,81.41,77.66,75.66,75.06,74.0,75.88,77.62,79.03,79.44,77.81,76.31,75.06,73.91,72.72,72.31,72.22,71.25,70.19,69.56,68.16,68.19,66.41,68.09,66.59,68.53,70.34,71.5,71.31,71.69,73.91,73.0,72.44,75.53,76.16,77.41,77.81,77.5,75.03,74.81,73.94,73.78,75.31,75.5,76.31,76.31,77.16,78.12,78.94,80.03,78.44,81.41,80.47,82.03,84.12,85.84,88.03,88.78,88.44,88.16,86.94,85.53,83.94,84.12,82.75,83.94,83.41,83.69,83.56,83.66,83.16,82.12,82.09,80.28,79.81,79.88,78.72,79.0,77.97,78.62,77.88,79.53,80.06,80.91,81.62,81.72,81.81,82.09,82.38,83.53,83.25,83.78,84.44,84.94,85.56,87.19,86.19,86.12,86.84,87.16,87.0,86.88,87.12,85.09,82.56,80.78,78.22,75.94,74.88,73.53,72.84,72.97,73.66,73.88,73.31,73.38,73.56,70.66,72.47,72.44,72.03,73.88,73.34,72.66,73.09,73.16,72.06,73.12,73.56,72.84,75.09,76.56,78.25,79.47,79.38,78.84,76.56,75.59,75.09,74.56,74.0,74.31,72.12,71.12,71.56,70.78,69.19,69.75,68.06,67.22,66.06,65.06,64.78,62.81,60.56,58.28,57.34,57.72,58.91,61.41,63.75,67.19,69.12,71.25,72.19,74.22,74.62,75.38,76.09,76.06,74.81,73.62,74.28,75.06,76.66,78.88,80.97,81.28,81.47,80.19,80.75,81.22,80.0,81.88,80.28,79.94,80.5,79.09,78.69,79.28,76.47,75.16,75.38,72.31,72.56,74.19,73.12,72.44,70.62,70.22,70.62,69.62,70.75,73.41,74.31,74.78,78.19,81.75,84.53,87.62,90.16,90.62,89.53,88.06,85.28,81.34,81.0,79.34,77.06,77.28,76.66,75.59,74.44,73.97,74.75,75.25,76.31,76.09,77.62,77.72,76.41,77.56,76.31,75.47,71.75,72.12,70.72,70.44,70.12,71.31,71.56,71.91,71.75,74.0,74.69,75.91,78.66,79.19,80.16,79.84,78.62,77.22,76.38,74.88,75.12,73.31,72.31,72.5,70.16,68.91,68.81,65.62,65.41,64.0,63.06,60.66,61.69,60.09,58.94,60.0,61.94,63.5,66.12,66.53,68.16,69.28,69.41,69.75,70.69,71.56,71.94,74.06,77.62,79.09,81.19,80.91,81.0,79.78,78.62,79.56,78.66,79.53,79.38,78.19,74.16,73.16,70.69,67.66,66.22,65.94,64.47,64.75,64.69,65.53,67.03,69.78,71.81,72.97,75.94,76.81,78.28,78.56,79.0,77.84,77.66,76.81,77.16,78.69,78.94,79.25,79.56,80.53,80.25,81.78,82.41,83.91,83.72,83.12,84.56,84.66,83.75,84.44,83.44,80.78,80.28,80.41,78.78,79.12,79.31,78.06,77.34,74.66,73.16,71.19,71.56,70.94,70.62,71.34,70.44,70.66,70.0,70.75,70.81,71.62,69.94,69.28,68.84,66.75,65.03,64.91,64.22,64.28,66.06,64.62,65.56,65.31,64.69,62.16,63.28,61.94,60.69,60.78,60.0,60.88,62.28,63.09,64.31,64.09,64.94,65.72,64.09,64.16,64.0,61.56,61.19,60.19,59.0,58.91,59.38,61.53,61.84,65.03,66.62,67.16,67.47,68.44,69.0,67.81,67.72,66.34,67.31,66.44,66.78,66.53,65.5,63.12,62.25,63.69,65.25,67.03,69.5,71.5,71.66,70.75,69.12,70.06,66.69,69.0,71.03,72.78,76.44,76.78,77.81,75.41,74.03,70.34,68.16,66.66,63.81,63.88,62.03,63.09,64.91,65.91,69.53,71.69,75.25,76.16,77.44,78.59,76.81,76.66,75.94,74.12,73.84,70.59,69.25,66.41,63.16,62.5,62.72,63.16,63.62,64.75,65.53,66.22,68.62,68.78,72.31,73.72,74.91,75.88,76.0,77.06,77.0,77.28,77.88,77.0,77.25,74.31,74.53,74.84,74.59,75.5,76.44,76.59,75.09,75.44,75.38,74.34,75.0,75.19,74.5,75.78,76.75,76.53,77.0,77.81,78.41,79.94,80.94,81.94,82.88,81.44,80.62,78.28,76.94,74.66,74.81,73.62,73.62,74.88,74.5,75.94,75.78,75.44,76.06,74.91,75.66,75.94,75.78,74.19,72.81,70.88,67.16,64.69,63.12,60.31,58.72,57.62,57.97,57.97,59.28,62.38,63.41,65.59,67.25,68.38,70.06,68.88,68.88,67.69,66.31,64.12,62.56,61.28,58.91,58.88,57.56,54.19,56.25,55.06,53.53,55.72,55.34,55.78,58.12,59.03,59.75,61.25,61.41,60.38,58.09,56.94,56.66,56.28,57.84,58.06,59.59,60.31,59.91,61.88,61.28,61.78,62.0,63.53,63.41,64.22,66.31,68.0,67.53,69.91,70.47,70.78,70.34,69.38,66.69,66.19,63.94,63.0,61.44,61.41,61.44,60.56,62.69,63.25,62.88,62.91,61.94,62.0,56.84,57.31,57.12,57.56,59.44,63.78,66.28,68.06,69.84,69.19,69.47,68.38,69.44,69.38,69.12,68.81,67.34,65.53,62.84,62.5,60.34,61.81,62.22,64.53,65.72,67.97,69.19,69.53,69.47,68.91,66.88,64.78,63.69,61.78,60.47,62.16,61.09,61.88,63.06,62.84,62.91,63.0,60.72,60.59,60.22,60.59,61.53,64.06,67.84,70.0,74.16,77.91,80.44,81.59,81.62,79.31,77.0,73.56,72.16,70.38,68.81,67.81,66.19,64.91,63.94,63.94,64.94,65.66,66.69,67.62,67.28,68.44,68.22,67.91,66.88,64.88,63.81,60.56,58.66,56.34,54.31,52.19,51.34,52.38,53.44,54.16,56.78,57.81,58.31,58.0,58.03,57.41,57.81,57.88,58.69,58.84,60.28,59.91,61.78,62.06,63.75,65.69,65.44,67.25,67.38,67.19,68.78,69.56,70.75,72.22,72.78,73.44,72.91,71.31,69.66,67.47,66.19,65.91,65.69,65.91,66.28,66.06,64.31,61.78,59.97,58.38,56.47,55.69,55.84,54.91,55.81,54.31,54.28,54.0,53.44,52.19,52.31,52.84,52.69,53.66,53.62,53.62,52.75,50.97,50.56,49.84,50.16,50.81,50.59,50.25,48.66,46.09,45.97,43.38,43.44,46.56,47.31,49.31,52.12,52.84,53.47,52.72,52.25,49.88,48.47,46.81,44.41,42.59,41.12,39.62,37.56,37.12,34.94,35.97,36.72,37.34,38.81,24.88,26.22,26.97,28.56,30.91,32.94,36.22,39.0,40.56,41.66,40.94,39.41,36.84,34.0,31.97,28.66,25.62,24.31,25.72,24.75,27.41,29.06,32.62,33.75,35.19,37.16,39.44,39.56,40.03,41.25:negativity
35.56,37.91,38.66,41.12,42.56,41.81,41.62,38.91,38.19,38.19,37.62,38.62,39.22,39.41,39.16,40.03,42.03,42.31,45.06,46.53,46.59,47.53,45.75,44.25,42.62,39.44,37.72,36.34,34.28,34.06,33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34:41.62,38.91,38.19,38.19,37.62,38.62,39.22,39.41,39.16,40.03,42.03,42.31,45.06,46.53,46.59,47.53,45.75,44.25,42.62,39.44,37.72,36.34,34.28,34.06,33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34,-10.69,-9.78,-8.78,-5.97,-6.91,-6.59:39.22,39.41,39.16,40.03,42.03,42.31,45.06,46.53,46.59,47.53,45.75,44.25,42.62,39.44,37.72,36.34,34.28,34.06,33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34,-10.69,-9.78,-8.78,-5.97,-6.91,-6.59,-7.5,-9.19,-10.31,-10.91,-11.25,-10.38:45.06,46.53,46.59,47.53,45.75,44.25,42.62,39.44,37.72,36.34,34.28,34.06,33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34,-10.69,-9.78,-8.78,-5.97,-6.91,-6.59,-7.5,-9.19,-10.31,-10.91,-11.25,-10.38,-11.03,-10.12,-10.66,-10.44,-9.28,-9.59:42.62,39.44,37.72,36.34,34.28,34.06,33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34,-10.69,-9.78,-8.78,-5.97,-6.91,-6.59,-7.5,-9.19,-10.31,-10.91,-11.25,-10.38,-11.03,-10.12,-10.66,-10.44,-9.28,-9.59,-8.03,-6.22,-4.72,-4.06,-4.84,-5.16:33.81,34.59,36.38,39.0,43.44,45.62,46.91,48.0,47.16,46.19,47.81,47.31,48.31,47.47,48.62,48.09,47.75,47.88,48.88,50.66,52.94,53.62,54.81,54.53,53.47,51.0,48.97,46.06,44.56,43.03,41.44,41.16,39.75,39.16,38.69,36.66,35.12,32.53,28.75,25.81,24.78,24.0,25.59,28.34,29.81,31.41,32.22,32.97,34.62,35.31,37.09,38.97,40.88,41.06,40.66,39.19,38.44,35.72,34.56,34.22,33.62,33.88,33.25,32.84,33.94,34.38,36.38,37.66,40.72,42.31,44.0,46.19,48.16,48.44,49.53,50.03,49.03,48.38,47.75,46.69,45.66,44.5,44.03,41.91,41.41,40.25,39.12,38.44,36.78,36.0,34.69,34.56,34.59,32.72,32.97,31.72,30.88,30.41,32.34,34.03,35.78,37.81,39.44,40.03,40.91,41.06,40.66,40.34,38.69,38.56,38.34,38.41,40.78,41.94,41.94,43.12,41.69,41.03,37.56,34.19,32.53,30.0,30.38,33.41,36.34,39.69,44.31,46.66,49.25,50.12,48.91,47.44,43.72,40.31,36.34,33.16,31.03,29.66,28.97,28.19,28.91,28.28,28.69,28.56,28.28,28.34,28.5,28.91,30.78,30.44,31.75,32.16,33.34,34.31,34.25,34.56,36.91,36.22,39.72,41.16,43.56,46.16,48.0,49.31,49.78,50.56,49.81,47.97,47.19,44.66,43.69,42.31,41.34,39.91,38.94,39.16,38.66,39.88,40.72,40.84,43.62,44.25,43.97,45.81,46.53,46.03,46.75,46.62,46.62,46.41,47.0,47.44,46.78,48.94,48.75,47.41,45.62,43.62,41.84,40.25,39.34,39.19,39.78,39.75,41.34,40.88,40.47,41.16,40.84,42.16,44.06,46.91,49.91,52.09,54.09,55.28,55.81,55.66,54.62,52.34,49.19,45.75,43.03,38.84,37.19,36.81,36.72,37.94,39.31,41.78,43.81,45.41,47.31,47.19,48.03,47.47,46.62,46.38,46.25,46.56,46.12,44.38,42.5,38.91,36.56,34.12,31.66,31.5,31.81,32.56,34.66,38.44,42.31,45.72,47.69,49.69,49.19,47.78,45.94,44.56,43.84,43.09,42.22,41.78,39.84,37.69,36.81,34.81,33.28,32.84,31.16,32.31,31.78,32.56,33.66,34.53,34.31,32.38,32.16,31.09,30.5,31.06,30.75,31.19,31.34,31.62,33.78,34.38,35.88,37.06,38.06,38.22,38.16,38.44,39.16,39.81,41.41,42.31,42.94,44.22,44.62,44.5,46.16,47.47,48.41,49.22,50.41,50.78,49.94,50.06,48.53,47.38,46.81,44.66,44.91,44.94,45.34,45.44,46.75,47.34,48.97,50.34,53.06,54.81,54.66,55.62,52.78,51.22,48.0,45.47,44.31,42.94,42.91,41.84,40.5,39.44,37.09,35.81,34.28,34.53,34.62,33.66,35.0,34.06,34.91,35.0,35.31,36.59,37.75,39.81,41.44,43.88,45.75,47.59,49.16,49.0,51.06,52.56,53.94,57.12,57.69,58.97,59.12,58.31,57.09,55.84,54.12,53.38,52.25,51.5,49.84,49.16,49.25,48.78,47.28,47.72,48.72,47.31,47.62,46.94,45.38,44.91,43.28,42.0,42.06,40.84,40.19,40.53,41.19,40.56,41.44,42.56,42.91,43.69,44.41,43.38,42.78,40.88,38.94,38.25,39.06,39.25,40.44,41.72,41.41,40.72,40.78,39.88,41.03,41.94,41.59,43.53,43.28,42.91,42.97,44.19,44.62,45.25,46.62,48.16,48.22,48.5,49.25,49.28,48.09,49.41,49.34,49.53,50.31,50.41,50.31,50.03,49.84,49.66,49.34,49.28,48.31,46.25,43.19,42.44,41.16,40.31,40.5,41.09,40.66,40.78,40.47,39.38,38.75,38.19,37.56,36.06,35.53,36.06,35.19,37.16,38.09,37.91,38.97,39.84,39.41,38.69,37.91,35.78,33.16,32.34,30.31,28.81,28.44,27.81,27.66,27.16,26.84,26.38,25.91,27.47,28.72,30.69,34.56,35.94,37.94,38.38,37.47,35.12,33.56,31.12,30.34,27.81,28.62,27.91,29.09,30.34,31.44,31.91,33.09,34.5,33.88,33.84,35.16,34.34,33.91,34.16,34.59,35.19,36.91,37.59,39.72,39.16,39.97,39.31,38.5,39.16,39.0,39.81,40.0,38.53,37.81,36.44,36.19,35.75,36.78,38.19,39.41,41.25,42.31,43.34,45.56,45.81,46.03,47.47,47.12,47.06,48.81,49.19,48.34,48.66,49.06,49.56,49.62,50.62,50.62,49.56,50.56,50.38,51.25,50.66,50.19,49.94,48.69,47.09,48.78,46.41,46.5,46.16,45.53,44.19,43.94,42.56,40.56,39.31,37.34,37.19,37.34,36.94,38.75,37.75,38.38,38.31,37.16,36.5,34.56,33.25,30.66,30.81,31.31,32.91,34.94,38.56,40.12,40.5,40.0,37.72,35.19,31.88,31.03,29.53,30.22,30.91,32.56,33.12,34.06,33.12,32.09,32.28,32.53,33.06,33.53,34.78,34.94,35.56,36.06,36.12,36.72,37.66,36.72,37.06,36.56,36.5,37.5,37.03,37.53,37.81,37.31,37.69,36.94,36.47,36.53,35.59,37.34,38.44,38.53,40.81,41.81,42.66,42.62,42.75,43.97,44.16,43.59,45.12,44.25,42.91,41.34,39.06,37.09,35.44,34.03,32.12,30.62,30.81,28.69,28.66,29.81,29.94,29.91,31.12,31.28,32.16,34.0,35.59,37.28,39.28,41.31,43.16,44.09,45.16,43.91,43.31,42.53,41.91,40.22,39.38,38.09,34.66,31.81,31.06,29.81,29.69,30.75,32.09,33.56,34.44,36.44,37.84,39.0,40.16,40.75,39.38,37.84,36.97,36.56,36.91,37.28,38.78,37.34,37.56,35.59,33.16,30.31,26.69,23.97,22.38,20.09,21.12,22.44,24.81,29.44,32.75,36.62,41.0,40.91,41.91,41.06,38.19,36.75,34.94,32.28,30.88,30.25,30.53,31.0,32.66,33.72,34.59,34.91,34.69,33.0,32.09,30.72,31.69,32.31,34.72,36.28,37.81,38.38,37.41,35.94,34.91,32.16,30.78,28.28,27.72,26.88,26.94,26.5,26.12,26.31,26.12,26.41,26.38,27.28,28.38,30.25,31.22,32.81,34.0,35.06,35.75,36.88,35.5,35.12,34.06,32.81,31.84,31.16,31.41,31.81,33.91,35.53,37.31,39.41,40.66,41.81,41.16,40.44,40.16,39.47,38.56,38.66,39.78,41.09,42.06,42.75,43.44,42.91,41.88,39.91,38.25,35.97,33.69,31.91,30.19,29.0,29.0,28.0,28.03,28.0,28.28,29.78,30.38,32.38,33.16,33.59,32.5,31.38,29.0,27.12,25.12,25.81,26.16,26.75,28.88,29.69,30.62,31.38,31.28,31.06,30.81,31.53,31.75,32.25,33.34,35.31,36.88,37.78,39.25,38.66,39.19,39.38,38.81,38.44,38.03,36.72,36.94,35.31,34.12,33.16,31.72,31.5,30.03,28.84,29.0,28.0,27.5,28.66,29.16,31.25,33.19,34.75,35.84,36.22,35.94,35.28,33.25,34.16,34.69,34.62,36.5,37.25,36.91,37.22,37.38,36.31,35.84,35.59,35.31,35.28,35.75,35.56,36.22,37.34,38.25,39.41,40.56,42.81,43.34,-10.69,-9.78,-8.78,-5.97,-6.91,-6.59,-7.5,-9.19,-10.31,-10.91,-11.25,-10.38,-11.03,-10.12,-10.66,-10.44,-9.28,-9.59,-8.03,-6.22,-4.72,-4.06,-4.84,-5.16,-7.09,-9.16,-10.5,-12.16,-14.06,-14.12:negativity
23.84,25.78,25.38,25.88,25.72,24.84,24.03,22.81,21.88,20.59,19.53,18.88,19.03,19.53,20.75,24.03,26.19,29.81,31.53,32.5,34.56,33.84,33.12,30.59,29.38,29.03,27.97,28.47,28.94,28.91,28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06:24.03,22.81,21.88,20.59,19.53,18.88,19.03,19.53,20.75,24.03,26.19,29.81,31.53,32.5,34.56,33.84,33.12,30.59,29.38,29.03,27.97,28.47,28.94,28.91,28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06,-16.19,-13.25,-11.53,-10.72,-8.66,-8.59:19.03,19.53,20.75,24.03,26.19,29.81,31.53,32.5,34.56,33.84,33.12,30.59,29.38,29.03,27.97,28.47,28.94,28.91,28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06,-16.19,-13.25,-11.53,-10.72,-8.66,-8.59,-8.53,-7.69,-8.91,-9.09,-9.59,-10.53:31.53,32.5,34.56,33.84,33.12,30.59,29.38,29.03,27.97,28.47,28.94,28.91,28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06,-16.19,-13.25,-11.53,-10.72,-8.66,-8.59,-8.53,-7.69,-8.91,-9.09,-9.59,-10.53,-11.66,-12.78,-14.0,-12.91,-12.72,-10.53:29.38,29.03,27.97,28.47,28.94,28.91,28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06,-16.19,-13.25,-11.53,-10.72,-8.66,-8.59,-8.53,-7.69,-8.91,-9.09,-9.59,-10.53,-11.66,-12.78,-14.0,-12.91,-12.72,-10.53,-8.38,-6.81,-5.03,-3.84,-4.31,-4.66:28.66,28.34,28.69,27.19,27.94,27.38,26.41,26.56,26.72,28.25,28.72,31.12,32.72,33.44,34.56,34.97,33.53,33.41,33.03,32.44,30.81,31.22,30.41,29.59,28.56,27.31,26.91,24.81,23.97,24.31,23.53,22.94,22.81,22.75,20.16,19.94,18.28,17.81,17.81,17.44,16.5,15.06,13.66,12.31,11.03,9.56,10.31,9.91,9.94,9.88,7.03,8.28,6.59,7.56,9.03,8.41,10.47,10.31,10.53,11.59,13.19,14.66,15.34,17.22,17.94,19.16,20.94,23.44,25.97,28.53,30.41,31.47,30.03,28.38,26.16,22.59,20.5,18.41,17.12,15.0,10.59,11.12,7.75,5.94,5.25,4.19,4.72,5.16,5.06,8.03,9.19,11.03,13.72,13.12,12.94,12.25,9.94,8.88,7.44,7.88,6.88,6.31,6.88,7.31,7.97,9.12,10.75,10.81,10.44,10.41,10.56,8.81,9.62,9.56,9.66,9.62,9.19,11.16,12.25,13.69,15.41,18.09,18.69,20.88,22.38,21.94,23.25,22.38,22.09,20.97,21.19,19.62,19.09,18.38,16.19,16.69,16.53,16.66,17.38,17.94,19.19,19.25,18.28,19.25,18.62,18.62,17.56,15.5,15.34,14.25,11.09,8.5,7.91,4.22,2.66,2.75,1.25,4.28,4.88,7.41,8.59,11.66,12.34,13.06,13.31,12.88,12.56,11.5,8.78,8.62,7.16,6.91,6.31,5.72,5.31,4.44,4.31,4.97,5.19,7.38,8.56,10.56,10.5,10.53,11.31,10.56,9.28,10.84,12.0,13.66,14.53,15.16,14.56,13.12,11.66,10.5,8.81,7.44,6.16,5.84,5.31,6.69,6.97,9.12,9.72,9.78,10.28,10.81,10.81,11.94,11.84,13.53,14.28,13.94,13.25,8.53,9.66,7.62,7.31,9.94,11.66,13.25,15.41,14.56,14.66,15.06,13.31,12.56,11.38,8.0,6.53,2.78,1.22,0.19,-0.22,1.09,1.28,2.72,5.0,5.06,7.69,8.84,8.69,9.5,9.03,10.81,12.53,14.31,17.34,19.41,18.53,18.84,15.19,13.91,8.06,7.94,6.44,4.62,5.78,7.03,6.53,8.41,10.53,13.25,15.12,16.94,18.69,17.81,18.47,17.31,16.28,15.44,14.53,13.81,13.03,11.09,9.94,6.28,7.25,5.41,6.56,8.84,11.5,14.16,17.41,19.03,21.09,21.19,20.56,20.91,20.12,19.78,15.81,16.69,13.03,9.44,7.97,4.31,3.28,0.53,0.34,0.31,1.97,4.56,6.44,10.41,12.91,14.88,17.47,17.12,18.66,17.44,16.72,16.53,15.62,13.19,11.75,9.41,8.94,8.28,10.62,10.94,12.91,12.81,14.09,13.53,14.41,15.97,17.59,18.28,20.06,20.25,19.06,17.25,12.91,10.91,7.66,5.75,4.94,5.09,6.31,7.53,9.75,12.5,12.16,16.44,15.44,17.0,14.94,13.66,11.12,7.66,4.72,3.56,1.09,1.66,-0.12,-2.72,1.25,1.47,5.53,10.06,13.44,15.84,18.0,16.94,18.25,19.75,21.09,20.06,21.06,18.06,13.12,7.12,4.16,1.97,0.84,2.19,3.41,5.12,5.28,6.03,7.78,9.03,10.5,13.25,15.69,19.41,22.12,24.59,24.44,22.78,20.5,18.38,17.47,18.5,20.5,23.16,24.84,24.81,22.66,22.19,20.44,18.44,16.81,15.44,13.88,11.91,10.78,9.69,8.53,8.12,8.81,9.09,10.03,9.28,12.69,10.62,9.84,8.5,6.88,4.28,3.0,2.34,5.38,6.47,10.53,12.41,13.59,14.44,13.56,13.62,11.56,11.81,10.03,8.91,8.94,8.88,9.69,9.66,9.62,11.16,12.25,11.41,14.59,15.25,16.78,20.0,21.31,22.53,23.12,22.03,20.53,18.75,15.47,13.69,10.94,9.75,10.81,11.66,13.03,16.44,18.53,21.31,22.06,22.03,22.19,21.28,21.66,21.62,21.78,21.34,19.31,18.03,13.0,13.38,9.88,8.81,8.19,6.56,8.19,9.19,10.66,14.75,17.62,21.0,24.38,25.06,29.28,29.81,28.5,25.66,24.19,19.47,15.16,11.69,9.06,6.91,5.84,6.72,6.97,7.31,7.44,10.41,10.03,11.38,13.69,14.5,14.72,14.97,14.66,14.56,15.5,14.12,14.62,13.5,12.81,9.91,11.94,10.28,11.66,12.34,12.88,13.88,15.47,15.0,15.91,15.81,14.88,16.41,16.72,15.56,18.16,16.75,17.84,16.5,15.31,14.69,12.66,12.06,11.06,8.75,8.97,7.69,5.47,2.88,5.28,2.91,3.25,5.31,4.53,5.5,5.41,4.75,3.81,4.38,3.78,2.03,2.25,3.12,4.38,4.06,7.44,8.41,9.34,11.91,13.41,13.75,14.56,15.34,15.81,16.88,17.19,16.56,15.12,13.25,9.75,6.62,3.81,4.72,3.34,5.25,7.16,8.41,9.47,9.84,10.69,10.66,10.5,10.88,9.88,10.0,9.41,8.19,8.28,5.91,8.53,7.66,7.94,9.5,9.91,10.91,10.66,11.72,11.69,12.88,13.84,14.5,12.94,16.34,16.31,18.19,20.12,21.12,21.12,18.34,16.09,13.28,11.22,10.19,11.16,8.78,12.22,10.91,11.25,12.5,12.78,13.0,13.53,14.44,14.75,16.34,16.34,16.81,16.5,16.56,17.81,18.66,18.81,22.28,22.5,22.66,22.97,19.66,19.62,17.56,15.19,16.19,15.78,15.16,14.94,14.41,14.12,13.12,13.69,12.25,11.94,12.0,11.0,13.41,14.88,15.31,18.81,18.72,21.84,23.53,23.91,25.28,24.38,22.91,20.38,18.94,17.25,16.66,17.19,15.56,15.22,12.81,15.56,12.78,14.72,14.97,14.53,14.28,14.06,14.03,14.25,15.44,17.34,17.31,17.88,17.97,17.53,15.09,13.69,11.78,9.03,7.03,5.19,4.62,3.28,4.66,5.62,5.06,9.97,10.06,11.16,12.94,13.38,12.19,12.91,12.0,10.62,11.03,10.25,9.84,8.31,11.16,10.28,13.06,13.81,14.5,13.94,11.0,10.22,9.09,7.66,9.03,9.44,11.41,12.91,14.25,15.5,15.56,17.47,16.78,15.72,15.44,13.94,13.06,12.06,11.44,11.69,12.22,12.88,13.12,13.62,11.06,12.84,10.03,11.16,11.66,12.91,14.91,17.38,20.0,21.47,22.94,23.06,22.5,21.81,20.5,19.06,18.12,16.72,15.94,13.06,14.19,12.5,13.03,14.0,13.69,13.78,13.5,12.22,12.0,10.53,8.69,6.91,4.69,1.78,0.34,-0.56,-0.84,0.41,2.31,4.94,7.44,8.56,13.81,16.62,19.56,23.72,25.53,25.81,25.41,22.88,19.66,17.25,14.16,12.69,11.94,11.72,11.47,13.16,14.91,16.12,17.19,21.06,20.91,21.69,21.28,18.81,16.88,14.94,13.91,13.31,12.78,12.88,11.69,9.75,9.38,7.12,5.78,4.91,4.28,3.59,2.56,2.19,4.66,5.16,8.34,11.12,11.25,11.53,10.88,10.12,10.12,10.06,10.16,8.5,8.31,6.81,5.25,4.53,4.69,4.75,5.47,5.94,6.72,5.91,5.41,6.0,5.47,6.41,8.81,10.88,12.69,14.56,15.62,15.06,15.25,15.94,16.56,17.12,18.06,-16.19,-13.25,-11.53,-10.72,-8.66,-8.59,-8.53,-7.69,-8.91,-9.09,-9.59,-10.53,-11.66,-12.78,-14.0,-12.91,-12.72,-10.53,-8.38,-6.81,-5.03,-3.84,-4.31,-4.66,-5.19,-5.12,-4.09,-3.88,-4.03,-3.91:negativity
25.5,26.06,28.19,27.75,27.25,25.62,24.56,22.56,21.56,20.88,19.25,16.47,14.72,11.47,9.81,6.62,6.75,7.62,7.84,9.03,9.91,11.0,10.84,10.25,8.5,6.81,3.94,2.12,1.56,1.34,1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62:24.56,22.56,21.56,20.88,19.25,16.47,14.72,11.47,9.81,6.62,6.75,7.62,7.84,9.03,9.91,11.0,10.84,10.25,8.5,6.81,3.94,2.12,1.56,1.34,1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62,7.31,7.38,7.72,8.44,7.78,6.5:14.72,11.47,9.81,6.62,6.75,7.62,7.84,9.03,9.91,11.0,10.84,10.25,8.5,6.81,3.94,2.12,1.56,1.34,1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62,7.31,7.38,7.72,8.44,7.78,6.5,5.28,3.94,3.28,2.34,0.56,-0.66:7.84,9.03,9.91,11.0,10.84,10.25,8.5,6.81,3.94,2.12,1.56,1.34,1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62,7.31,7.38,7.72,8.44,7.78,6.5,5.28,3.94,3.28,2.34,0.56,-0.66,-1.97,-3.28,-3.94,-5.34,-5.44,-4.97:8.5,6.81,3.94,2.12,1.56,1.34,1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62,7.31,7.38,7.72,8.44,7.78,6.5,5.28,3.94,3.28,2.34,0.56,-0.66,-1.97,-3.28,-3.94,-5.34,-5.44,-4.97,-5.38,-3.94,-2.38,-1.06,0.75,1.88:1.12,1.91,1.72,3.06,2.62,5.59,7.09,9.66,10.81,11.88,10.0,10.47,8.5,7.53,8.25,7.88,7.62,6.88,7.44,7.44,6.44,6.44,7.69,5.94,5.47,2.94,2.38,-0.06,-0.09,0.0,-0.34,-1.66,-2.78,-4.34,-5.59,-7.22,-6.25,-6.72,-6.94,-8.97,-9.78,-12.12,-13.38,-13.34,-13.72,-11.69,-12.34,-10.66,-9.31,-6.72,-5.16,-2.47,-2.09,-1.34,-1.97,-1.91,-1.19,-0.19,-0.09,2.66,4.0,5.47,7.06,9.72,10.91,12.03,13.28,13.16,14.84,13.88,14.56,14.0,13.88,14.31,15.34,16.38,18.66,20.78,21.38,23.56,24.12,21.12,23.12,23.97,23.31,23.69,23.78,23.19,20.31,18.56,17.81,15.56,15.44,15.97,15.06,13.94,15.81,16.03,16.12,17.12,17.91,18.25,18.12,17.97,20.41,23.09,26.25,29.69,29.44,28.91,26.25,23.34,22.53,21.16,20.09,21.69,19.59,17.0,14.75,12.31,10.09,9.12,7.88,7.12,9.31,8.38,8.75,10.19,12.19,13.22,16.72,20.53,22.28,21.75,22.53,22.16,20.47,20.38,20.94,20.31,20.03,20.75,20.44,19.31,16.78,17.38,16.16,15.94,15.78,15.62,16.16,15.66,15.0,15.31,15.47,12.62,11.94,11.25,14.22,16.97,18.94,22.38,23.0,21.12,21.88,22.25,22.06,22.34,23.28,23.03,24.41,24.66,25.66,24.59,26.94,24.41,24.44,24.41,24.94,24.12,23.75,20.53,22.0,18.19,20.5,20.91,19.53,19.84,17.31,15.5,14.38,12.69,12.75,13.84,15.31,15.69,15.25,14.5,14.09,14.34,14.5,16.91,20.44,22.78,23.72,24.84,24.44,23.94,23.66,21.78,22.19,21.75,20.69,20.16,20.16,20.09,19.28,18.56,19.31,18.56,17.44,19.69,19.56,22.12,25.53,28.47,30.53,32.28,34.38,31.69,32.31,30.78,28.28,27.59,25.69,23.0,21.47,18.75,15.66,14.84,12.59,12.22,15.44,16.94,19.72,23.31,24.91,25.19,22.59,19.66,20.0,17.0,15.94,17.0,15.59,15.34,13.62,13.47,10.69,10.41,10.12,8.91,9.38,10.5,12.53,12.5,15.66,17.94,18.78,18.25,22.25,21.72,23.06,25.19,26.44,27.16,27.84,28.44,27.62,27.03,22.81,21.84,20.34,16.12,16.81,15.81,14.28,14.41,15.0,16.06,19.31,20.81,23.25,25.12,26.44,25.66,24.09,20.97,21.66,18.88,18.47,18.16,15.72,11.81,13.09,12.19,15.22,21.38,24.5,25.69,25.44,23.44,20.38,17.38,16.69,17.03,16.5,14.84,16.75,14.62,14.94,13.66,14.78,14.22,15.44,17.12,16.31,17.25,18.84,18.06,16.59,19.66,18.38,18.41,19.84,19.81,21.5,22.38,24.25,26.12,30.06,32.66,33.41,35.97,37.38,35.38,33.81,33.03,28.56,27.56,25.09,22.75,22.06,21.0,19.91,18.28,18.06,17.34,16.41,18.16,19.12,19.69,20.19,20.66,17.19,17.16,15.53,16.97,17.78,21.59,21.78,22.56,22.91,23.0,23.56,22.97,24.28,24.44,24.31,26.81,27.09,28.22,28.25,28.0,25.28,23.19,22.38,20.19,20.25,19.56,17.66,18.22,19.06,20.06,23.06,25.03,25.72,25.81,27.03,26.69,25.31,26.16,25.81,25.19,23.72,21.78,19.84,19.12,17.09,16.25,16.12,16.31,14.38,18.91,17.34,20.25,22.5,22.56,22.53,22.09,20.97,18.34,17.34,18.44,16.62,16.06,16.06,11.81,11.06,11.44,10.25,15.19,17.69,22.53,25.78,26.94,27.66,28.78,28.62,27.78,28.16,28.16,26.0,24.41,22.94,19.97,18.44,17.94,16.03,18.88,19.5,21.06,22.41,24.66,24.75,25.25,24.91,25.97,23.5,22.59,22.81,23.69,24.53,24.75,25.78,24.62,24.53,24.19,22.38,23.0,22.06,20.81,18.75,16.75,16.44,16.03,14.69,15.69,15.19,16.12,16.03,16.78,18.06,17.16,18.5,18.06,18.38,19.28,19.03,18.81,18.81,17.53,17.88,15.91,15.81,14.91,13.66,14.0,13.16,14.03,14.78,15.0,19.41,18.09,19.5,19.66,18.03,13.0,14.88,13.16,13.16,14.94,17.12,17.31,18.69,19.56,19.5,20.97,22.25,23.72,25.56,28.56,29.88,31.88,33.5,32.31,31.44,28.41,26.69,23.78,22.25,21.72,22.19,22.25,22.38,23.56,26.09,26.12,27.06,28.59,28.84,29.06,28.03,27.06,27.31,24.47,23.75,25.12,23.25,22.81,23.25,23.06,21.47,19.44,17.81,14.44,11.88,11.53,10.69,10.44,10.69,8.75,10.44,8.44,10.31,10.34,12.69,13.97,14.31,16.25,14.81,16.06,16.31,15.0,14.28,16.69,16.94,17.78,19.41,21.19,22.81,25.5,26.62,27.84,28.06,27.94,28.31,28.75,29.38,27.56,28.78,26.47,26.5,25.31,24.78,23.84,22.44,19.91,17.75,16.56,15.72,16.03,17.81,18.25,17.44,17.44,18.03,15.81,16.62,16.5,14.72,14.09,14.0,13.03,13.88,14.66,14.81,16.31,15.53,16.12,13.91,14.16,12.06,12.12,11.38,11.91,12.5,13.19,13.78,16.75,18.31,21.28,24.19,25.28,26.53,26.56,26.94,25.81,25.94,24.84,24.22,22.69,21.91,20.88,21.56,21.34,23.47,23.72,24.53,24.91,26.12,26.0,26.47,26.59,25.44,25.88,24.19,24.56,23.5,22.66,25.56,27.25,29.16,31.25,33.31,34.0,32.31,31.81,27.75,26.75,23.69,20.56,19.69,17.41,17.47,16.03,15.81,14.69,15.94,15.44,15.5,15.81,14.16,9.94,8.53,7.31,6.03,5.06,6.31,4.16,3.19,0.81,-1.06,-3.16,-2.66,-4.44,-4.47,-6.16,-4.06,-3.94,-1.97,-0.16,1.94,3.44,5.25,7.34,7.72,9.81,10.78,9.47,9.09,8.53,7.88,8.62,9.69,10.84,11.38,11.25,12.94,13.16,14.19,15.41,16.16,16.19,17.34,15.59,17.66,18.16,18.25,19.56,19.69,19.81,18.84,19.72,20.12,22.09,23.53,24.91,25.44,26.0,25.62,26.12,24.94,25.94,25.47,26.19,27.28,27.06,28.69,30.09,31.12,30.72,31.03,31.31,31.0,30.56,31.34,30.38,29.16,28.16,27.19,26.28,25.59,26.72,26.62,26.34,26.94,25.97,24.72,24.84,23.12,22.56,19.78,18.06,17.41,16.97,16.09,18.28,21.94,25.09,29.78,31.56,33.59,32.59,29.81,25.66,22.62,20.16,18.12,18.34,18.16,19.0,18.75,18.0,17.62,16.84,16.69,16.19,17.06,17.12,17.16,17.31,16.44,16.44,16.62,16.0,15.88,17.34,18.81,20.84,22.38,24.56,25.31,26.62,26.03,26.44,25.44,24.38,24.31,22.97,23.78,24.31,25.41,27.09,27.84,29.41,30.0,31.41,32.81,33.97,33.06,33.28,32.28,31.66,32.09,33.16,34.34,36.16,37.66,37.22,39.22,39.12,39.41,39.47,39.31,39.06,37.81,36.28,35.81,34.44,33.69,33.94,34.16,34.12,33.22,32.78,31.69,30.91,28.34,26.06,23.38,19.75,16.38,13.53,11.62,10.62,7.31,7.38,7.72,8.44,7.78,6.5,5.28,3.94,3.28,2.34,0.56,-0.66,-1.97,-3.28,-3.94,-5.34,-5.44,-4.97,-5.38,-3.94,-2.38,-1.06,0.75,1.88,2.16,1.25,0.28,-2.94,-3.28,-4.09:negativity
36.12,36.66,36.47,34.0,32.72,29.03,29.28,27.81,27.16,28.12,31.25,33.19,35.81,38.81,42.5,43.75,43.69,43.59,41.12,38.91,37.28,34.84,33.78,30.97,32.0,29.94,30.0,30.59,30.97,29.97,30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5:29.28,27.81,27.16,28.12,31.25,33.19,35.81,38.81,42.5,43.75,43.69,43.59,41.12,38.91,37.28,34.84,33.78,30.97,32.0,29.94,30.0,30.59,30.97,29.97,30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5,3.12,3.97,2.94,0.0,-2.06,-4.0:35.81,38.81,42.5,43.75,43.69,43.59,41.12,38.91,37.28,34.84,33.78,30.97,32.0,29.94,30.0,30.59,30.97,29.97,30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5,3.12,3.97,2.94,0.0,-2.06,-4.0,-6.34,-8.16,-9.19,-10.12,-11.44,-12.69:41.12,38.91,37.28,34.84,33.78,30.97,32.0,29.94,30.0,30.59,30.97,29.97,30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5,3.12,3.97,2.94,0.0,-2.06,-4.0,-6.34,-8.16,-9.19,-10.12,-11.44,-12.69,-13.56,-14.91,-16.22,-16.84,-16.78,-16.5:32.0,29.94,30.0,30.59,30.97,29.97,30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5,3.12,3.97,2.94,0.0,-2.06,-4.0,-6.34,-8.16,-9.19,-10.12,-11.44,-12.69,-13.56,-14.91,-16.22,-16.84,-16.78,-16.5,-15.06,-12.66,-11.72,-9.88,-8.69,-8.03:30.44,29.81,28.19,27.81,27.38,27.84,28.94,31.5,33.34,35.12,35.91,35.09,33.28,30.78,28.88,24.62,26.34,25.91,27.34,29.59,31.0,31.56,32.28,33.12,32.31,32.22,31.22,29.78,29.84,29.12,29.03,28.44,26.94,28.22,25.72,24.81,25.97,23.94,24.5,22.44,21.44,21.56,20.66,20.5,20.66,21.06,21.31,19.66,23.69,24.47,28.34,33.03,36.94,40.62,43.38,43.53,43.53,42.38,42.09,42.16,41.19,39.28,40.09,37.16,38.31,38.16,39.12,41.28,41.91,42.34,41.03,40.03,39.56,38.25,39.34,40.19,40.88,42.56,43.31,45.69,46.06,47.03,47.19,46.81,45.66,44.53,42.5,40.66,38.75,37.28,38.09,39.53,41.72,44.5,47.06,49.31,50.66,51.06,50.94,48.69,47.28,43.0,42.94,42.03,39.81,41.16,41.41,39.5,37.66,35.56,34.03,31.47,30.0,28.81,26.94,26.5,26.12,22.84,26.81,25.94,27.22,28.94,29.12,29.38,28.44,25.03,24.38,23.09,22.62,20.44,25.0,25.44,26.56,29.19,28.62,28.09,25.12,19.69,19.28,14.41,12.84,12.78,13.66,14.62,16.84,18.28,21.44,21.97,22.34,23.19,22.91,19.91,22.0,21.5,21.69,22.47,23.75,26.0,27.75,29.75,31.62,30.59,30.53,28.84,27.31,27.94,29.81,30.09,30.94,32.03,32.25,32.84,32.84,33.56,34.44,30.75,32.94,31.75,31.34,33.12,33.78,34.5,35.34,33.69,32.19,30.75,29.0,26.0,26.5,25.91,27.12,30.44,33.12,33.84,33.88,32.53,30.47,26.56,24.66,24.97,23.28,24.94,28.03,28.97,29.94,31.31,30.28,31.94,31.72,31.97,30.12,32.38,30.41,31.0,32.41,33.91,35.34,36.69,37.75,33.5,35.0,32.41,30.53,30.41,29.06,27.84,24.56,23.56,23.31,24.38,28.28,28.44,35.56,37.12,37.91,37.84,36.44,33.56,30.53,28.25,26.75,25.69,24.75,23.47,23.09,24.5,24.53,27.81,28.81,29.28,29.22,27.53,27.16,27.16,28.84,28.78,32.0,33.78,35.31,36.69,38.0,37.66,37.34,36.5,35.16,32.56,33.5,31.78,30.0,28.84,25.31,22.12,18.97,16.91,16.84,18.06,21.06,23.56,24.19,30.12,31.19,35.09,38.59,41.38,43.0,43.28,43.88,42.78,40.94,40.28,37.97,36.03,35.19,32.03,30.19,30.25,27.78,27.28,27.66,28.41,28.75,29.44,31.06,32.44,33.03,31.78,34.31,32.25,33.72,33.53,34.62,35.25,33.91,31.91,29.69,28.38,26.81,26.94,27.38,29.06,31.38,30.12,32.06,31.88,31.91,33.44,35.34,36.88,37.84,37.53,37.03,33.19,33.66,31.62,32.03,32.94,33.72,35.66,35.66,35.28,34.34,31.22,31.75,29.12,28.81,29.59,30.34,29.44,31.0,30.53,31.66,32.09,31.41,32.91,29.78,33.12,32.34,33.16,34.91,34.44,33.78,32.91,31.53,31.22,30.0,33.78,34.66,36.06,40.0,40.84,41.53,41.69,39.91,38.97,34.0,35.94,34.81,35.5,37.03,39.0,39.72,40.31,39.03,38.5,37.66,36.03,34.81,31.72,33.66,32.44,34.09,37.31,40.94,43.56,46.84,49.06,50.62,50.19,48.41,41.88,40.91,37.91,36.44,37.56,39.75,40.44,40.25,40.31,40.25,39.25,40.28,40.62,38.03,39.31,37.53,37.91,38.06,38.81,38.25,37.53,36.66,36.06,35.5,34.31,36.56,36.44,38.53,40.06,41.75,42.5,43.66,43.25,43.47,42.84,42.19,41.31,41.28,41.28,37.94,40.0,38.5,37.66,38.69,37.31,37.28,35.53,33.25,31.88,32.34,30.06,32.88,33.47,35.09,37.88,39.44,40.06,39.44,37.78,37.06,34.12,30.5,30.41,29.41,29.72,32.06,35.09,39.31,41.03,41.66,42.75,41.25,39.56,38.34,37.16,35.44,36.03,35.84,35.41,36.38,35.94,35.12,33.69,32.69,31.66,30.41,27.56,29.31,28.62,29.5,32.25,34.34,36.28,38.5,41.62,44.56,47.06,48.69,48.78,49.31,47.31,45.06,43.66,40.5,37.09,34.5,30.81,28.31,26.16,24.97,23.88,26.16,26.69,30.34,32.34,33.84,35.34,34.0,31.81,29.41,25.66,23.44,22.06,21.16,21.56,23.0,25.0,27.03,29.03,30.88,32.53,30.69,27.5,26.53,23.41,23.0,25.28,26.28,28.0,29.97,31.75,33.81,36.03,36.91,34.56,36.62,33.75,32.31,31.78,30.5,27.84,28.06,26.44,26.06,26.97,27.5,28.31,29.06,29.34,28.56,28.94,30.41,29.97,30.09,34.88,34.69,36.44,38.56,38.59,38.06,37.31,35.59,34.38,32.28,30.53,28.31,27.56,25.06,29.69,28.97,31.69,33.38,34.03,34.16,33.94,34.0,31.97,34.12,33.47,32.81,32.91,33.16,33.19,33.12,33.56,34.72,35.38,35.81,35.44,36.06,35.56,35.47,32.62,34.59,33.19,34.53,34.81,37.56,39.03,39.97,41.28,40.69,40.94,39.81,36.59,35.97,33.47,30.94,30.38,28.69,28.66,26.91,25.41,24.72,23.31,22.56,22.06,23.25,25.12,26.06,30.19,32.19,33.31,33.53,32.81,30.62,28.25,25.53,24.0,22.16,20.69,20.41,20.28,17.78,22.06,21.16,22.5,25.25,26.47,27.62,27.12,28.5,27.16,27.12,23.94,24.91,25.16,24.94,27.19,27.62,27.5,27.47,25.44,26.0,27.03,27.31,29.5,31.25,32.69,32.38,29.91,30.66,26.62,26.09,25.31,24.78,24.19,23.81,23.88,22.91,25.78,26.09,28.69,30.31,32.91,32.78,33.41,32.81,32.09,33.16,32.69,33.0,32.84,31.69,31.53,30.66,29.56,26.62,26.66,23.94,24.25,24.06,25.72,27.81,29.28,31.5,31.53,32.25,31.03,29.75,28.81,27.41,22.38,23.88,20.62,19.34,19.53,19.06,19.84,21.12,21.88,22.59,24.0,23.47,24.25,23.53,22.78,26.62,28.66,31.28,35.38,38.03,38.91,38.0,35.81,34.19,32.25,30.88,31.91,32.03,33.28,31.34,34.38,34.0,33.94,34.94,34.28,30.81,28.06,25.28,23.91,23.16,23.5,24.5,22.41,25.34,25.41,26.09,28.38,29.62,29.78,29.91,30.19,28.78,30.03,30.25,30.31,31.06,31.16,29.81,28.41,26.56,25.56,24.97,25.22,25.06,28.28,31.16,33.16,36.03,38.22,38.16,37.25,34.31,31.94,27.66,25.19,25.78,24.06,25.03,27.47,27.69,29.38,30.22,31.81,32.62,33.72,34.47,34.22,34.75,35.41,33.72,38.19,38.91,40.25,43.0,42.19,42.03,39.75,38.19,36.69,35.75,34.72,34.75,33.41,32.94,29.06,30.03,29.06,27.12,29.19,29.66,29.44,29.41,29.0,28.59,27.56,27.41,28.31,28.56,28.88,30.84,29.34,30.06,30.56,30.0,30.5,31.19,30.53,29.06,27.81,26.25,25.41,25.44,25.66,25.56,26.09,27.0,28.28,28.66,27.81,31.0,31.25,31.94,33.75,33.28,33.12,31.66,29.72,29.09,28.38,28.56,28.28,28.94,29.47,28.81,29.5,3.12,3.97,2.94,0.0,-2.06,-4.0,-6.34,-8.16,-9.19,-10.12,-11.44,-12.69,-13.56,-14.91,-16.22,-16.84,-16.78,-16.5,-15.06,-12.66,-11.72,-9.88,-8.69,-8.03,-9.94,-8.91,-8.69,-8.16,-6.69,-5.22:negativity
29.0,28.81,32.16,32.12,35.38,37.28,38.91,39.28,42.25,43.97,43.78,47.75,47.06,49.0,47.31,46.06,45.66,43.56,41.94,42.19,40.66,40.94,41.84,43.19,40.91,41.5,41.84,39.59,40.78,40.19,40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16:38.91,39.28,42.25,43.97,43.78,47.75,47.06,49.0,47.31,46.06,45.66,43.56,41.94,42.19,40.66,40.94,41.84,43.19,40.91,41.5,41.84,39.59,40.78,40.19,40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16,-17.94,-17.72,-16.16,-15.41,-10.53,-7.03:47.06,49.0,47.31,46.06,45.66,43.56,41.94,42.19,40.66,40.94,41.84,43.19,40.91,41.5,41.84,39.59,40.78,40.19,40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16,-17.94,-17.72,-16.16,-15.41,-10.53,-7.03,-5.97,-3.84,-1.72,1.12,2.25,5.66:41.94,42.19,40.66,40.94,41.84,43.19,40.91,41.5,41.84,39.59,40.78,40.19,40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16,-17.94,-17.72,-16.16,-15.41,-10.53,-7.03,-5.97,-3.84,-1.72,1.12,2.25,5.66,7.53,7.78,6.31,5.41,3.88,1.97:40.91,41.5,41.84,39.59,40.78,40.19,40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16,-17.94,-17.72,-16.16,-15.41,-10.53,-7.03,-5.97,-3.84,-1.72,1.12,2.25,5.66,7.53,7.78,6.31,5.41,3.88,1.97,1.41,-0.47,-0.94,-2.59,-0.66,-1.81:40.44,40.62,39.62,40.25,40.28,41.69,42.78,43.69,44.44,49.94,51.78,55.94,59.47,61.34,60.66,59.03,55.53,54.69,54.31,53.16,52.69,55.19,54.66,53.06,53.72,51.94,49.53,47.38,45.09,40.53,39.53,38.88,39.41,38.06,42.12,41.16,41.25,38.94,35.94,34.59,31.97,29.47,31.47,27.69,31.81,33.03,36.16,38.69,41.34,42.22,41.81,42.06,40.91,39.72,39.88,39.5,38.62,39.06,41.84,42.5,44.22,46.81,48.25,48.16,44.59,44.28,40.81,37.38,35.78,33.59,32.0,34.16,34.19,37.03,39.19,40.06,38.53,36.16,33.16,30.5,26.56,23.69,25.19,23.84,25.31,26.41,27.44,27.94,28.38,25.94,23.06,22.56,21.03,20.44,24.47,28.84,32.06,33.28,34.34,33.81,33.59,31.16,28.69,28.28,27.88,28.62,32.53,35.62,38.19,41.31,42.66,44.12,44.84,45.62,49.31,47.94,49.78,50.16,47.75,43.81,42.34,37.19,37.25,37.16,38.0,40.66,42.84,43.28,45.41,45.81,46.62,47.72,48.03,44.94,48.09,45.59,48.19,50.88,51.47,52.91,50.31,48.28,46.25,41.5,42.38,41.75,43.12,45.06,43.59,45.41,41.91,43.09,43.84,44.97,47.28,47.62,49.38,50.47,50.62,50.88,49.06,50.38,45.34,39.12,41.56,36.5,34.78,35.66,35.44,35.22,34.94,32.44,33.47,31.16,30.84,31.59,32.12,32.47,34.41,32.31,32.5,32.62,32.59,33.22,34.16,36.94,37.31,40.75,42.12,43.56,42.53,40.84,38.5,36.94,34.62,34.31,33.41,32.56,33.88,34.53,36.0,38.62,40.12,43.06,40.59,45.0,43.88,47.62,48.5,50.16,49.56,46.91,44.81,39.91,39.19,36.19,34.5,33.56,33.38,30.84,28.19,28.28,25.28,26.59,27.81,29.28,30.41,34.5,35.56,38.25,41.41,41.91,45.19,43.47,43.38,39.25,37.28,31.0,28.94,26.56,23.88,25.03,24.5,24.91,22.41,25.41,25.41,26.28,31.41,32.09,33.25,34.34,32.88,32.25,32.56,33.44,35.78,40.88,45.41,49.28,50.19,50.84,45.5,43.31,39.56,36.78,34.78,33.09,30.47,30.28,28.66,26.62,25.81,22.28,20.72,16.56,15.12,14.44,14.94,18.44,22.0,25.28,29.91,31.59,33.62,30.56,31.38,28.84,26.59,24.75,24.88,22.44,19.66,20.09,19.06,19.34,17.56,19.41,17.94,20.94,23.88,28.09,32.94,37.31,40.31,37.53,42.41,39.78,38.41,36.22,36.44,33.66,32.34,30.78,30.66,30.06,31.88,33.19,34.62,36.81,38.53,38.56,36.06,38.0,36.47,36.94,37.28,37.62,36.31,31.41,31.84,29.12,29.94,30.81,33.62,37.59,37.88,40.31,41.81,41.94,42.25,42.59,44.91,45.03,45.69,45.75,44.03,41.81,37.47,35.31,31.84,29.31,29.25,27.66,27.06,29.25,30.5,31.69,33.19,34.16,34.66,37.38,36.88,37.09,40.44,39.78,41.72,42.75,39.81,40.06,36.81,34.22,31.09,26.69,24.0,23.66,22.22,25.78,27.44,28.56,28.06,27.28,27.09,25.66,28.5,28.56,30.16,31.94,33.03,31.97,34.66,32.81,34.25,34.91,36.78,35.56,35.78,33.12,29.5,25.81,23.69,22.44,23.19,23.66,24.69,24.16,22.62,21.88,20.44,19.88,18.97,22.38,24.22,25.97,29.12,32.75,32.88,34.28,34.66,35.72,35.91,35.69,34.69,31.5,31.19,28.62,27.31,28.84,31.31,30.75,31.19,32.28,31.09,31.88,30.69,31.62,29.16,24.59,25.25,26.5,26.84,32.5,38.09,41.19,44.69,47.12,48.53,49.0,49.69,50.75,47.91,45.16,46.78,43.94,45.34,45.25,46.16,44.41,44.22,44.0,44.0,42.31,40.59,37.91,35.03,30.5,33.03,31.53,33.97,34.69,34.78,33.78,33.34,31.69,30.31,31.56,31.47,29.84,30.03,29.06,28.81,29.16,30.28,32.31,33.66,33.88,35.56,33.66,32.47,32.69,31.28,31.47,30.53,33.97,35.59,37.94,42.47,46.31,48.38,50.44,53.16,53.78,53.25,53.88,54.28,51.25,50.53,48.62,46.97,44.78,44.44,44.47,41.88,42.19,39.69,38.53,37.16,34.25,34.41,33.69,33.06,34.03,34.94,34.5,35.69,36.06,36.53,37.72,39.59,39.31,38.72,39.34,41.22,43.72,47.53,50.81,54.94,54.94,54.66,52.84,46.03,45.31,40.12,35.56,36.31,35.56,35.56,35.5,35.97,36.28,37.06,36.56,39.12,41.16,44.31,48.47,53.41,56.56,58.28,57.38,56.72,54.88,51.0,47.28,42.69,40.25,37.03,36.75,38.38,39.81,42.78,46.38,48.66,50.91,53.66,53.88,54.94,53.25,55.72,53.41,51.91,49.41,49.59,48.5,47.44,49.66,51.06,52.34,54.16,55.03,55.06,53.44,51.53,48.03,42.94,40.28,37.34,35.09,35.53,31.78,33.03,31.69,32.56,32.44,32.78,34.16,34.03,33.91,34.5,32.72,32.06,30.59,29.19,28.0,24.12,25.66,25.25,25.16,27.66,30.19,31.06,31.12,31.72,31.81,32.03,34.97,32.81,37.41,37.09,37.94,39.56,40.25,40.47,41.62,40.34,38.69,38.31,38.34,37.84,38.56,38.91,40.31,38.53,38.0,37.56,37.16,36.31,37.78,38.09,36.22,40.38,40.31,41.66,44.06,45.91,47.22,47.03,46.22,46.84,45.72,43.62,41.16,38.0,38.0,36.16,37.0,39.0,37.69,36.25,33.16,33.41,33.78,36.72,39.69,43.34,45.19,43.16,44.38,42.69,43.56,43.75,43.06,44.59,44.53,43.22,41.88,39.44,37.34,35.56,33.09,32.62,30.28,32.0,30.5,30.97,32.34,31.28,31.88,30.41,27.47,29.69,28.41,30.09,31.16,35.38,36.06,36.59,36.94,34.5,36.62,37.03,40.38,42.78,43.91,42.03,41.75,39.03,37.72,39.06,40.09,39.66,39.19,39.03,39.91,38.72,40.97,41.91,45.16,45.53,46.53,47.38,47.06,45.28,42.19,42.69,39.62,41.28,41.59,42.38,41.91,42.72,43.47,42.53,42.91,44.69,45.41,44.44,42.91,44.62,42.81,41.56,40.12,40.62,37.47,37.16,37.16,38.28,40.34,41.12,42.19,40.41,40.5,39.0,38.22,35.88,36.16,35.19,33.0,34.56,33.06,33.44,32.22,34.41,34.19,34.56,37.25,39.06,37.16,37.25,35.62,32.78,33.06,30.72,30.0,29.0,29.56,32.31,34.81,37.66,38.06,40.44,38.34,38.59,39.47,39.56,38.69,39.34,35.53,37.62,35.66,38.19,39.81,41.81,42.03,42.41,40.28,39.0,35.94,33.91,30.75,29.81,30.78,29.56,31.31,30.69,30.25,26.34,28.56,26.53,28.44,31.44,33.34,35.91,37.78,39.56,39.69,40.19,40.25,37.47,39.0,37.72,36.53,38.34,40.78,40.78,42.12,41.47,40.19,38.31,37.03,34.75,32.88,33.81,33.5,33.88,35.66,36.19,37.56,37.91,35.19,38.06,34.12,33.91,34.91,33.78,35.25,35.5,35.97,36.41,36.62,35.53,34.31,33.19,32.5,30.69,31.16,-17.94,-17.72,-16.16,-15.41,-10.53,-7.03,-5.97,-3.84,-1.72,1.12,2.25,5.66,7.53,7.78,6.31,5.41,3.88,1.97,1.41,-0.47,-0.94,-2.59,-0.66,-1.81,-0.16,-1.09,-1.47,-0.72,-1.34,-1.88:negativity
42.56,44.66,45.44,44.38,44.34,43.12,40.56,37.97,36.62,34.81,32.69,32.94,32.44,32.91,35.12,36.28,36.0,34.62,35.09,32.03,31.31,30.91,31.44,31.28,29.66,29.91,31.62,34.78,37.44,41.69,43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19:40.56,37.97,36.62,34.81,32.69,32.94,32.44,32.91,35.12,36.28,36.0,34.62,35.09,32.03,31.31,30.91,31.44,31.28,29.66,29.91,31.62,34.78,37.44,41.69,43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19,29.06,30.5,32.28,33.06,33.59,32.91:32.44,32.91,35.12,36.28,36.0,34.62,35.09,32.03,31.31,30.91,31.44,31.28,29.66,29.91,31.62,34.78,37.44,41.69,43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19,29.06,30.5,32.28,33.06,33.59,32.91,31.91,30.66,29.25,27.91,27.19,26.88:35.09,32.03,31.31,30.91,31.44,31.28,29.66,29.91,31.62,34.78,37.44,41.69,43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19,29.06,30.5,32.28,33.06,33.59,32.91,31.91,30.66,29.25,27.91,27.19,26.88,26.28,26.09,27.31,26.78,26.0,23.66:29.66,29.91,31.62,34.78,37.44,41.69,43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19,29.06,30.5,32.28,33.06,33.59,32.91,31.91,30.66,29.25,27.91,27.19,26.88,26.28,26.09,27.31,26.78,26.0,23.66,23.16,21.03,19.44,19.78,19.44,20.44:43.59,43.28,42.62,42.06,39.97,40.0,39.91,38.25,39.0,39.69,41.28,43.06,44.03,45.06,44.5,44.31,44.62,46.0,47.16,49.88,50.28,51.91,49.12,47.75,41.84,38.09,37.06,32.69,33.25,33.72,35.19,35.69,36.28,37.25,35.12,33.16,33.88,32.53,32.41,33.31,34.66,34.56,35.19,34.91,33.75,32.44,29.34,27.19,25.03,23.91,23.44,24.75,28.06,29.44,30.75,30.62,30.66,30.31,30.34,32.22,34.59,36.5,38.06,36.66,38.53,38.41,39.19,41.19,41.31,44.53,44.44,44.78,43.56,42.69,40.34,38.06,35.31,32.19,29.5,25.75,24.03,22.81,21.06,20.16,19.91,20.81,20.97,23.56,26.47,28.69,32.19,34.0,35.72,35.81,37.5,35.94,35.0,33.44,31.81,31.84,28.94,30.16,27.25,27.09,27.16,25.31,24.06,23.44,19.53,20.31,19.31,20.81,22.12,26.19,26.91,28.81,29.16,27.81,27.06,24.81,23.56,21.44,19.66,19.34,18.56,17.12,17.31,16.34,17.25,18.16,19.66,23.06,25.66,26.91,29.19,30.94,32.97,37.25,41.41,43.84,44.81,47.06,43.81,43.16,41.34,40.0,39.25,39.12,37.78,37.72,36.69,38.81,40.12,39.56,41.31,43.19,41.78,42.28,41.19,40.03,38.97,37.16,36.94,38.38,39.69,37.97,40.94,39.47,40.31,38.72,39.5,40.0,38.03,38.12,38.56,37.94,38.12,40.28,40.72,43.22,43.78,45.66,45.62,43.66,42.5,38.72,36.81,37.31,36.22,38.44,39.72,40.72,41.59,40.12,42.12,41.88,40.66,44.09,45.88,46.78,49.75,52.88,54.38,54.56,53.62,51.84,43.84,44.94,42.19,41.56,43.69,44.94,45.12,43.56,40.38,37.47,34.28,30.5,26.5,25.31,24.69,25.06,27.81,30.19,31.62,33.81,35.56,35.06,36.22,35.53,31.44,28.94,24.06,21.12,19.78,20.0,21.78,22.06,22.09,21.59,19.03,18.62,17.0,20.06,22.31,24.84,29.12,31.53,34.78,38.03,39.34,42.22,43.34,42.41,42.31,38.97,37.66,33.94,32.88,32.5,31.84,29.75,31.69,30.38,30.81,32.31,33.75,35.53,35.84,36.19,37.56,39.78,41.12,43.03,45.56,44.09,41.53,41.62,36.38,33.72,32.09,28.94,30.5,30.41,32.62,34.75,35.72,37.69,38.38,39.88,43.03,44.84,46.88,49.12,49.69,50.56,50.06,49.09,47.62,46.62,45.09,43.97,45.06,45.31,46.44,47.75,47.91,47.5,46.84,45.53,43.47,44.19,42.75,44.03,43.38,46.41,48.31,49.84,52.12,54.22,54.66,53.69,52.56,49.66,44.94,43.47,42.28,40.53,40.53,43.69,44.53,45.34,47.09,46.31,46.09,45.56,45.69,46.09,47.25,46.5,47.59,47.12,48.0,49.81,50.5,51.0,51.91,49.66,49.41,48.44,47.81,46.56,46.94,44.66,45.69,46.62,47.16,47.75,49.97,48.56,49.03,49.56,49.41,48.44,49.22,47.62,46.91,46.12,45.03,43.91,42.81,43.16,43.44,44.22,46.44,45.03,42.94,43.66,39.41,39.09,38.56,40.31,40.03,39.97,42.16,40.75,41.44,40.62,41.03,40.69,41.25,40.78,40.19,41.19,40.62,39.25,40.56,38.53,37.31,36.62,35.5,33.53,36.31,37.0,38.34,40.53,42.81,44.25,44.75,45.84,49.41,50.34,50.53,49.81,47.69,43.38,39.62,34.66,32.72,30.16,28.19,28.16,28.38,27.59,26.72,26.66,27.75,26.28,29.03,30.34,31.47,33.28,36.59,38.41,39.97,41.56,44.59,42.53,43.56,43.31,41.06,41.31,39.78,39.38,37.31,37.28,35.94,38.25,38.47,39.56,41.03,43.0,42.19,43.5,44.5,43.25,42.38,42.09,42.75,42.47,42.25,41.47,40.56,39.31,38.06,37.91,35.31,36.0,35.31,34.91,35.62,34.84,35.06,35.16,32.31,33.12,33.41,32.5,34.78,35.75,37.69,39.5,40.53,40.66,41.06,40.12,38.94,38.16,36.94,39.66,40.53,42.44,45.41,48.5,48.53,51.19,50.44,50.03,49.34,46.62,45.81,44.53,42.53,40.5,37.09,31.94,29.12,25.03,22.19,21.59,22.97,23.62,25.16,27.28,29.25,30.75,31.56,30.5,29.44,27.09,24.75,22.88,23.97,23.94,24.31,31.19,33.31,36.69,41.94,42.75,43.94,43.62,42.31,42.12,40.25,38.5,38.09,38.56,40.66,41.06,43.41,44.16,44.19,43.16,42.69,41.0,40.69,40.69,40.31,41.72,42.38,39.41,39.0,35.84,32.81,34.09,34.91,34.59,37.66,39.25,39.81,41.12,40.31,40.12,39.0,37.41,36.88,35.03,31.94,32.94,31.97,30.31,33.19,34.16,32.47,35.19,34.38,35.03,35.75,36.06,36.56,35.12,34.16,34.66,33.31,35.16,37.84,37.88,41.56,39.34,40.09,40.22,39.12,40.56,40.59,42.12,41.5,42.12,42.38,43.94,43.78,44.69,43.31,42.56,40.22,39.16,37.62,38.62,38.03,39.75,38.12,40.97,42.03,43.34,44.28,45.5,45.19,44.09,41.94,41.22,40.47,37.31,35.72,33.81,32.72,32.81,34.78,36.94,40.81,43.12,43.06,44.78,45.53,44.75,45.56,47.19,45.91,46.28,43.59,45.81,44.06,44.5,45.19,47.44,46.78,48.41,49.59,49.0,50.19,50.16,50.56,47.94,49.41,46.59,46.34,45.75,44.25,47.09,47.5,49.03,51.12,51.12,50.03,49.81,47.06,44.69,44.44,43.81,44.5,45.59,46.62,49.06,49.44,49.66,48.91,50.81,48.53,49.94,51.47,52.31,54.0,54.41,54.75,53.5,51.81,51.78,49.12,47.34,47.88,44.94,43.41,42.5,42.44,41.72,43.12,43.41,45.28,44.69,42.38,42.84,39.31,39.72,35.88,35.03,33.62,32.09,30.25,31.06,31.84,33.25,33.28,36.44,35.38,35.88,34.78,34.31,34.75,33.56,34.31,33.75,34.34,35.16,34.81,34.69,34.81,34.22,33.75,31.47,33.59,32.28,33.28,35.56,39.25,40.38,40.69,38.91,39.25,37.62,38.28,40.5,40.34,42.62,42.84,42.5,43.88,44.78,46.78,47.0,47.34,48.25,45.78,43.41,43.53,41.84,41.53,42.44,41.0,39.69,38.31,37.0,35.38,35.62,34.19,33.84,34.38,34.75,34.22,36.16,37.0,36.88,38.56,39.28,38.56,37.59,34.53,32.91,33.22,34.0,36.62,38.84,41.81,39.69,39.81,37.97,37.69,37.03,37.97,38.5,39.81,40.91,39.69,40.94,40.31,38.31,40.31,39.0,39.75,41.72,41.0,36.75,39.56,37.91,39.31,42.88,44.31,45.25,46.12,46.03,47.44,48.69,51.5,54.03,54.56,53.81,53.19,50.47,45.81,43.28,39.5,33.88,32.06,30.81,30.28,32.0,32.41,33.22,32.88,30.84,29.31,29.09,28.91,30.56,32.69,34.81,35.94,37.34,37.78,39.5,39.06,40.19,36.69,37.72,35.91,33.66,34.69,34.72,33.91,36.12,36.06,37.75,40.69,43.41,44.56,42.97,45.12,42.97,43.06,43.34,42.25,42.03,40.22,38.47,39.34,38.16,36.31,37.19,29.06,30.5,32.28,33.06,33.59,32.91,31.91,30.66,29.25,27.91,27.19,26.88,26.28,26.09,27.31,26.78,26.0,23.66,23.16,21.03,19.44,19.78,19.44,20.44,19.16,19.91,21.06,23.88,25.97,28.62:negativity
6.66,8.0,9.03,9.41,10.16,9.53,8.66,7.62,7.0,4.44,3.94,3.22,2.31,3.22,4.0,5.31,7.19,7.41,8.28,9.19,8.59,8.16,7.38,7.84,7.09,5.78,5.19,4.38,3.28,2.69,2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78:8.66,7.62,7.0,4.44,3.94,3.22,2.31,3.22,4.0,5.31,7.19,7.41,8.28,9.19,8.59,8.16,7.38,7.84,7.09,5.78,5.19,4.38,3.28,2.69,2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78,-7.06,-6.53,-6.31,-5.31,-4.81,-4.66:2.31,3.22,4.0,5.31,7.19,7.41,8.28,9.19,8.59,8.16,7.38,7.84,7.09,5.78,5.19,4.38,3.28,2.69,2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78,-7.06,-6.53,-6.31,-5.31,-4.81,-4.66,-5.22,-6.16,-6.69,-8.28,-9.0,-9.0:8.28,9.19,8.59,8.16,7.38,7.84,7.09,5.78,5.19,4.38,3.28,2.69,2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78,-7.06,-6.53,-6.31,-5.31,-4.81,-4.66,-5.22,-6.16,-6.69,-8.28,-9.0,-9.0,-8.62,-7.47,-5.06,-2.22,-0.28,1.28:7.09,5.78,5.19,4.38,3.28,2.69,2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78,-7.06,-6.53,-6.31,-5.31,-4.81,-4.66,-5.22,-6.16,-6.69,-8.28,-9.0,-9.0,-8.62,-7.47,-5.06,-2.22,-0.28,1.28,2.06,2.12,1.25,0.47,-0.31,0.0:2.28,1.91,1.09,0.25,-0.19,-0.31,0.16,1.31,2.66,4.41,5.94,7.66,8.72,9.28,10.19,10.94,11.41,12.16,12.5,14.19,13.88,13.94,14.72,13.31,11.66,10.34,6.78,5.12,3.03,0.94,0.03,-1.97,-1.56,-2.41,-1.84,-1.03,-1.47,-1.53,-2.59,-4.34,-5.09,-6.19,-6.66,-6.59,-5.56,-5.62,-5.38,-5.59,-6.09,-7.19,-7.56,-7.97,-7.34,-6.19,-6.0,-5.78,-4.97,-4.78,-3.16,-1.66,0.12,1.53,1.88,1.94,1.03,0.47,0.0,-1.19,-2.09,-2.72,-4.06,-4.12,-3.81,-2.66,-1.91,-2.03,-1.28,-2.09,-3.97,-5.66,-7.06,-7.09,-7.19,-5.84,-4.88,-2.81,-2.03,-2.03,-1.81,-0.72,-1.22,0.88,1.56,4.53,5.97,7.03,8.06,8.22,7.38,8.31,7.47,8.09,7.66,6.28,6.19,5.69,5.88,6.88,7.91,9.75,11.78,12.91,14.72,16.69,17.5,17.94,18.12,19.56,18.97,18.31,18.19,16.69,15.12,12.72,11.31,10.0,9.47,9.38,9.41,11.22,10.5,11.19,12.47,13.62,15.34,17.19,18.38,19.19,18.19,18.66,18.25,18.94,19.66,20.38,20.84,21.03,19.81,19.06,17.47,16.78,16.19,16.81,17.06,16.72,17.91,17.88,17.75,17.16,17.0,15.19,13.0,10.56,9.25,8.47,8.34,10.44,12.62,14.34,17.47,20.03,21.12,21.44,22.28,20.91,18.81,16.44,14.66,12.91,12.06,11.69,13.12,14.81,16.31,18.66,21.12,21.38,21.12,20.16,17.06,14.06,10.91,8.38,8.56,9.12,12.78,16.28,20.19,24.44,26.62,28.25,28.31,27.94,25.97,24.59,23.28,21.88,20.69,19.94,19.16,17.84,16.53,14.16,14.0,14.12,14.88,16.03,17.44,18.31,18.19,17.94,18.31,18.56,18.88,18.72,18.91,18.91,18.81,19.62,19.88,20.59,20.41,19.88,17.69,16.44,14.25,12.47,11.38,10.5,10.22,11.31,11.66,12.62,14.88,15.56,16.78,18.12,19.5,20.44,21.62,23.31,23.31,23.69,22.75,22.69,22.31,22.31,22.53,23.84,24.0,23.66,24.47,24.09,24.31,23.75,22.91,21.38,19.44,18.19,18.47,18.47,18.25,19.0,19.28,18.56,18.25,18.06,17.38,17.31,16.94,17.19,16.66,16.56,15.81,15.91,14.62,14.69,14.56,14.34,15.75,16.31,17.94,19.53,19.69,19.75,19.47,18.62,17.34,16.53,15.25,14.31,13.97,13.28,13.94,13.47,14.19,13.97,14.44,13.88,14.12,13.94,13.88,13.19,13.47,14.22,14.62,15.78,18.47,19.78,22.06,22.41,22.38,21.84,21.22,19.5,17.78,16.41,13.59,10.62,7.69,4.91,1.5,-0.44,-1.5,-2.66,-1.91,-0.06,2.09,5.0,6.66,9.66,10.88,12.72,14.75,15.53,16.38,16.75,15.88,16.25,15.31,14.16,14.91,13.75,13.91,15.06,16.22,18.06,20.56,21.81,21.19,20.56,17.94,15.75,13.59,13.03,11.56,12.25,12.69,13.44,14.56,14.94,15.56,14.97,14.12,13.69,12.75,12.53,12.06,12.19,13.47,13.53,14.53,16.84,18.19,17.91,18.31,17.97,16.72,15.88,16.09,16.75,18.16,19.69,21.47,23.12,24.44,24.78,25.12,23.91,24.19,23.62,23.66,24.59,24.94,26.44,26.69,27.41,27.31,27.06,27.44,25.88,25.69,24.53,23.0,21.28,19.97,19.34,19.34,19.25,21.16,22.53,22.97,22.78,22.16,20.59,19.31,17.56,17.25,17.81,17.81,19.41,20.69,23.25,23.97,25.25,26.62,26.69,26.88,26.0,25.34,24.34,22.41,21.75,21.06,19.97,19.31,19.53,19.22,19.44,20.0,20.41,20.75,20.81,20.31,19.66,19.31,17.59,15.62,14.62,13.38,11.94,11.06,11.41,12.62,13.06,14.38,17.81,19.25,21.41,23.84,25.16,26.38,26.53,25.81,25.22,24.69,23.19,22.59,21.97,20.56,18.91,19.16,19.12,19.12,20.38,20.88,22.09,22.19,22.25,22.41,21.0,20.03,17.59,15.38,14.75,12.56,12.06,11.25,10.34,9.06,9.06,7.94,8.59,8.06,8.25,9.47,11.41,13.47,16.59,19.28,19.81,21.06,20.78,20.19,20.34,20.19,19.19,19.03,18.56,18.75,19.56,19.94,19.41,20.09,19.12,19.41,19.03,19.84,20.16,19.47,18.81,16.91,16.56,15.03,14.75,15.38,15.66,15.81,17.19,16.28,15.72,15.06,14.06,13.94,13.56,14.31,14.56,14.44,14.56,14.38,14.0,14.22,13.75,14.28,14.59,15.09,15.31,15.56,14.44,14.0,14.38,15.19,16.38,18.09,19.06,19.97,20.19,19.59,19.31,18.94,18.69,17.91,18.16,18.31,19.25,18.78,20.34,22.06,23.38,24.12,25.66,25.91,24.06,23.53,21.53,20.44,21.0,21.28,22.78,23.34,23.56,23.12,21.47,20.81,20.44,19.56,19.19,19.31,19.66,19.69,19.59,20.47,20.53,19.72,19.19,17.69,14.94,12.44,10.62,8.88,8.59,8.34,8.75,9.69,11.81,13.78,15.12,17.16,18.81,20.19,22.0,23.81,26.12,27.16,26.62,26.69,26.62,26.28,26.72,26.75,27.34,28.06,28.5,30.34,31.94,34.34,35.81,36.66,37.34,37.09,36.03,34.41,32.91,32.25,31.62,31.56,32.75,33.22,32.69,32.41,31.16,29.53,27.38,25.91,23.59,21.75,19.88,19.06,17.78,17.12,17.06,16.94,17.19,17.62,18.62,20.5,21.78,23.19,23.75,23.31,21.88,20.38,18.34,16.69,15.62,14.06,13.44,11.84,10.44,10.62,10.09,10.09,10.66,10.34,9.56,9.41,8.72,9.66,10.66,12.47,12.75,14.59,15.78,15.81,17.75,18.69,19.38,20.62,20.16,19.06,17.28,15.75,13.62,11.44,10.41,8.81,7.81,6.94,6.88,6.31,6.16,6.47,7.31,7.41,9.41,9.75,10.44,10.5,10.12,9.84,9.41,8.84,8.56,8.91,8.94,9.56,9.31,8.94,8.44,7.12,6.12,5.12,5.31,4.72,4.59,4.31,3.59,3.09,3.22,3.75,4.19,4.88,5.78,6.78,7.16,7.56,7.78,7.25,6.84,5.97,5.69,6.0,6.12,6.84,8.0,9.62,9.97,11.62,13.16,14.03,14.81,16.44,16.94,16.97,16.09,14.34,12.59,10.66,9.16,7.78,8.12,7.19,7.12,7.16,6.66,5.03,4.09,3.41,2.59,2.91,3.03,4.62,5.16,6.44,7.16,8.0,9.12,8.81,8.97,8.06,7.12,5.91,4.41,4.56,4.19,4.03,4.31,5.34,5.19,6.44,7.41,9.56,9.72,9.0,8.06,5.91,3.03,1.91,0.78,-0.12,-0.56,-0.97,-1.66,-2.19,-3.12,-3.69,-3.72,-3.06,-2.44,-0.03,1.66,3.0,3.91,4.5,5.25,5.84,5.62,5.56,5.44,4.44,2.81,2.03,1.09,0.53,0.47,1.41,1.94,3.62,4.72,6.09,7.38,7.56,6.84,5.94,5.09,4.38,4.41,5.28,5.88,7.41,8.94,9.84,11.31,12.91,13.03,13.81,14.03,14.06,13.91,14.16,14.72,14.69,15.0,15.31,13.81,14.41,14.78,-7.06,-6.53,-6.31,-5.31,-4.81,-4.66,-5.22,-6.16,-6.69,-8.28,-9.0,-9.0,-8.62,-7.47,-5.06,-2.22,-0.28,1.28,2.06,2.12,1.25,0.47,-0.31,0.0,-0.03,-1.56,-1.78,-1.84,-2.72,-2.62:negativity
26.22,23.91,23.16,22.19,20.91,21.41,20.0,19.62,20.5,21.5,22.22,22.91,23.62,23.62,23.72,25.03,25.28,26.31,28.81,28.78,30.5,29.31,28.75,27.81,27.72,26.94,26.72,26.91,26.69,26.12,25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31:20.0,19.62,20.5,21.5,22.22,22.91,23.62,23.62,23.72,25.03,25.28,26.31,28.81,28.78,30.5,29.31,28.75,27.81,27.72,26.94,26.72,26.91,26.69,26.12,25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31,-2.62,-4.97,-7.0,-9.53,-11.91,-12.84:23.62,23.62,23.72,25.03,25.28,26.31,28.81,28.78,30.5,29.31,28.75,27.81,27.72,26.94,26.72,26.91,26.69,26.12,25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31,-2.62,-4.97,-7.0,-9.53,-11.91,-12.84,-13.72,-13.69,-12.59,-11.94,-10.06,-9.62:28.81,28.78,30.5,29.31,28.75,27.81,27.72,26.94,26.72,26.91,26.69,26.12,25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31,-2.62,-4.97,-7.0,-9.53,-11.91,-12.84,-13.72,-13.69,-12.59,-11.94,-10.06,-9.62,-10.88,-9.94,-11.09,-10.62,-10.41,-9.53:27.72,26.94,26.72,26.91,26.69,26.12,25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31,-2.62,-4.97,-7.0,-9.53,-11.91,-12.84,-13.72,-13.69,-12.59,-11.94,-10.06,-9.62,-10.88,-9.94,-11.09,-10.62,-10.41,-9.53,-8.88,-8.72,-8.78,-8.94,-8.97,-8.88:25.5,25.72,25.5,25.94,26.53,28.06,29.88,31.66,33.66,35.84,37.44,38.38,37.94,37.91,36.09,35.44,34.31,35.34,35.97,37.22,39.03,39.28,39.28,36.88,34.06,31.12,28.25,26.0,23.41,23.16,21.62,21.81,19.66,19.25,17.34,16.09,14.88,14.16,12.81,11.28,11.53,11.66,11.88,13.59,13.56,15.0,14.88,13.81,12.69,11.09,10.19,10.75,11.78,14.41,17.97,19.66,22.81,25.09,25.94,26.53,27.31,27.41,26.28,25.34,25.78,24.38,24.81,26.91,27.75,28.78,30.03,31.31,30.91,28.81,28.31,25.16,23.06,21.22,17.53,16.78,15.91,15.06,16.84,18.78,19.97,22.0,21.66,20.69,20.53,19.97,20.75,21.0,21.84,23.25,22.69,21.97,23.09,22.81,24.28,26.0,26.66,26.88,26.84,27.41,25.84,26.81,27.59,28.06,28.91,30.03,28.94,28.19,26.25,25.09,24.03,24.38,23.81,24.66,25.47,24.62,26.0,25.5,27.53,28.66,30.16,30.5,31.47,29.41,27.91,24.84,22.84,20.81,19.75,19.97,19.25,19.94,21.53,22.25,24.38,27.44,27.62,27.5,27.12,25.34,23.41,21.41,19.62,18.91,16.59,16.34,16.53,17.62,19.28,20.88,23.81,23.94,26.09,25.84,27.06,28.5,29.03,30.5,31.94,32.91,34.88,36.94,38.81,39.5,41.0,40.69,40.62,37.91,36.91,35.78,34.25,34.38,33.62,34.69,34.81,34.0,33.25,32.28,31.12,30.28,29.19,28.94,28.38,27.97,26.94,26.06,25.38,26.44,27.41,28.47,31.66,34.31,35.09,35.12,34.62,31.53,29.5,27.16,23.53,22.44,21.31,19.31,19.69,19.06,18.84,19.38,21.69,23.31,25.88,29.28,31.78,33.53,33.28,33.31,31.88,29.56,28.84,28.53,27.53,27.97,26.78,25.69,26.34,24.59,24.81,24.66,24.62,24.53,23.16,22.53,22.44,22.22,20.81,21.81,24.16,25.34,29.38,32.53,34.28,35.94,35.72,35.19,33.69,32.28,30.88,30.0,28.69,27.53,27.0,26.69,25.06,25.84,25.69,25.94,26.97,30.0,29.44,31.84,32.22,32.78,32.56,33.19,33.91,35.25,36.53,37.66,38.19,38.12,37.12,36.62,35.62,34.81,35.34,34.41,32.0,30.19,28.84,27.47,27.06,27.06,27.59,27.25,27.09,28.53,29.38,29.84,30.22,30.91,31.0,29.94,30.12,30.16,29.56,28.56,28.81,27.75,27.59,26.34,26.25,25.75,24.97,25.66,26.0,27.03,27.5,26.03,24.59,24.22,22.5,21.62,21.69,22.66,22.0,22.09,22.03,22.62,23.91,25.38,26.53,28.59,29.31,28.94,29.62,30.69,31.91,33.34,34.69,35.56,33.62,33.41,30.59,29.28,26.19,25.06,25.25,24.5,24.5,24.22,24.34,23.72,23.03,23.66,25.19,25.16,26.81,28.75,29.56,32.16,34.28,35.38,36.97,36.28,34.31,31.84,30.5,29.62,29.41,30.62,31.66,32.22,32.28,33.41,33.62,33.72,33.88,34.66,33.16,31.66,33.09,32.03,32.5,34.72,36.75,38.44,39.88,40.62,41.94,39.81,37.25,35.06,31.78,29.88,29.12,28.66,30.31,31.91,33.91,36.25,36.78,37.06,36.94,35.56,33.03,32.94,33.25,33.12,34.66,35.75,34.84,34.59,33.5,32.09,30.84,29.78,28.81,26.66,27.34,26.22,27.09,27.44,28.28,29.66,32.16,33.41,35.84,37.09,37.28,36.06,35.16,33.41,30.34,27.47,25.31,22.78,21.84,23.0,24.84,27.72,29.97,32.56,33.28,33.03,32.97,30.69,28.94,27.44,27.66,26.53,27.19,27.59,27.5,28.12,28.31,27.66,28.28,26.41,25.84,24.81,23.03,23.53,24.53,26.22,27.56,30.06,31.97,34.16,35.25,36.16,36.62,36.53,35.66,34.16,32.88,33.0,32.5,31.44,30.62,30.19,29.69,29.34,29.66,29.81,29.06,28.59,25.53,25.12,24.28,25.16,26.56,26.94,28.16,27.66,26.47,25.75,24.81,23.78,24.81,25.06,27.47,29.59,31.81,34.0,35.88,36.09,37.19,36.66,35.81,34.47,34.12,32.38,33.06,33.34,32.94,34.16,35.38,35.84,37.44,37.19,38.19,37.59,35.75,33.94,32.91,30.62,30.03,28.59,27.84,27.38,27.41,28.69,29.28,30.88,31.16,33.31,33.75,35.59,36.41,35.84,37.19,35.5,35.03,34.25,33.81,34.25,34.06,34.41,33.53,34.28,33.31,33.34,34.59,35.34,36.16,37.12,38.72,38.38,37.91,37.38,36.28,36.41,36.91,37.66,38.78,39.81,40.12,41.0,40.34,39.97,38.66,36.59,34.88,32.75,31.59,31.19,30.09,31.06,30.53,30.22,29.81,29.78,29.56,26.78,27.31,26.91,27.06,28.0,28.81,30.06,30.12,29.56,29.19,28.03,27.84,27.06,25.97,25.38,24.59,23.84,23.56,23.34,24.44,25.09,23.88,23.91,22.03,20.78,20.19,21.06,23.12,25.25,28.53,31.28,32.75,33.81,33.94,32.91,32.5,31.06,29.72,28.94,27.69,27.03,26.94,25.81,25.31,23.84,21.38,19.5,18.25,16.81,17.16,19.12,20.44,21.91,22.94,25.59,27.06,29.44,32.66,35.03,36.06,36.53,36.34,35.0,33.06,32.56,31.88,30.81,29.81,28.66,27.25,25.03,24.97,24.62,24.94,26.91,27.97,28.28,30.56,30.44,31.72,33.06,34.59,35.03,35.75,36.56,35.31,35.41,34.16,33.78,33.25,33.69,34.66,34.59,34.62,33.47,32.03,30.12,28.69,27.78,28.88,29.56,30.03,33.16,32.56,33.78,34.44,34.97,37.31,38.28,39.41,41.38,41.06,40.62,38.12,37.31,34.66,33.06,31.88,29.78,29.25,29.12,29.0,29.19,29.88,31.94,31.41,33.0,33.19,33.88,33.41,31.84,31.06,30.81,28.84,27.88,27.47,25.31,24.25,24.28,23.53,23.44,24.06,24.03,22.75,23.31,22.34,20.59,20.62,20.25,18.78,19.38,19.12,20.28,21.47,22.84,23.72,25.94,25.81,26.09,25.31,24.62,23.44,23.66,24.12,26.06,27.12,27.72,27.81,27.94,25.97,24.66,22.91,21.91,19.81,18.5,16.56,16.72,17.22,17.75,17.66,19.66,20.66,21.72,23.41,24.97,26.16,26.91,27.84,27.78,28.66,29.53,30.0,29.56,30.31,31.03,29.91,29.75,29.44,29.06,30.19,28.47,28.97,28.84,27.62,26.47,25.44,23.66,22.62,20.84,19.91,19.53,18.16,16.59,16.94,14.97,13.44,14.78,14.12,12.94,13.47,13.16,12.44,12.56,12.12,13.19,13.06,13.47,14.19,14.28,14.5,15.0,15.44,17.47,19.25,22.41,25.03,27.91,29.47,31.62,32.72,32.44,32.56,31.88,31.16,31.09,30.94,30.5,30.59,29.47,29.25,27.19,25.34,23.84,22.53,20.72,19.56,20.31,19.19,19.28,19.5,18.59,17.88,17.03,16.41,15.91,15.88,15.69,14.59,14.59,14.94,16.41,17.31,19.81,20.91,21.62,20.84,20.12,19.94,19.16,19.47,21.31,22.62,24.72,25.72,28.56,29.66,30.06,31.12,30.59,30.09,29.31,-2.62,-4.97,-7.0,-9.53,-11.91,-12.84,-13.72,-13.69,-12.59,-11.94,-10.06,-9.62,-10.88,-9.94,-11.09,-10.62,-10.41,-9.53,-8.88,-8.72,-8.78,-8.94,-8.97,-8.88,-8.75,-8.41,-8.66,-9.06,-9.94,-10.16:negativity
23.44,22.09,22.31,21.25,21.62,21.44,22.88,24.72,24.75,26.19,27.0,26.56,26.97,28.5,27.91,29.44,29.69,29.41,29.16,27.91,26.44,25.41,23.69,23.06,21.34,21.12,20.22,19.31,19.69,17.81,18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66:22.88,24.72,24.75,26.19,27.0,26.56,26.97,28.5,27.91,29.44,29.69,29.41,29.16,27.91,26.44,25.41,23.69,23.06,21.34,21.12,20.22,19.31,19.69,17.81,18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66,18.5,16.44,15.44,14.0,13.41,14.06:26.97,28.5,27.91,29.44,29.69,29.41,29.16,27.91,26.44,25.41,23.69,23.06,21.34,21.12,20.22,19.31,19.69,17.81,18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66,18.5,16.44,15.44,14.0,13.41,14.06,14.53,16.19,15.28,16.44,15.34,16.41:29.16,27.91,26.44,25.41,23.69,23.06,21.34,21.12,20.22,19.31,19.69,17.81,18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66,18.5,16.44,15.44,14.0,13.41,14.06,14.53,16.19,15.28,16.44,15.34,16.41,16.88,19.5,22.0,25.44,26.81,28.38:21.34,21.12,20.22,19.31,19.69,17.81,18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66,18.5,16.44,15.44,14.0,13.41,14.06,14.53,16.19,15.28,16.44,15.34,16.41,16.88,19.5,22.0,25.44,26.81,28.38,27.69,26.19,23.72,21.28,19.22,18.03:18.66,18.41,16.41,17.62,17.56,18.75,21.88,24.47,27.66,28.94,29.25,27.97,25.91,24.28,21.75,19.81,19.41,18.91,20.81,23.16,26.69,30.16,33.44,35.09,36.5,36.28,34.91,32.66,29.12,26.22,22.91,21.03,19.97,18.69,18.5,17.41,17.25,16.75,15.25,15.38,14.31,14.41,13.0,11.38,10.56,8.91,6.81,5.94,5.16,4.34,4.94,4.03,4.78,6.12,7.38,8.03,9.22,11.62,13.56,13.97,16.75,18.09,19.69,20.31,20.75,21.28,20.16,18.81,19.47,17.88,18.06,20.0,20.56,20.66,21.25,21.78,21.69,21.59,21.5,22.34,22.94,22.84,23.59,24.75,25.5,27.22,27.66,28.19,28.34,27.62,27.56,26.56,25.72,24.19,22.25,21.0,18.75,17.34,17.34,16.41,17.81,20.56,22.31,25.19,28.06,30.12,31.97,33.81,34.91,34.56,35.12,33.56,31.69,30.5,30.06,30.06,30.56,30.09,31.06,31.31,29.94,32.06,34.16,36.12,39.28,40.88,43.03,42.28,43.44,42.06,41.22,39.56,36.62,35.0,31.66,29.66,28.41,27.78,27.41,26.62,26.0,25.44,24.5,23.31,23.06,22.38,22.12,20.69,19.81,19.25,19.75,18.66,17.78,17.56,17.75,16.75,17.34,17.5,16.91,17.69,18.84,21.12,23.88,27.94,31.38,32.56,34.03,32.5,29.03,27.38,23.16,21.47,20.31,20.53,20.69,20.78,23.12,23.62,24.62,25.88,25.91,26.0,24.69,23.62,22.91,24.16,24.22,25.38,27.19,28.25,29.81,30.78,30.25,30.69,29.0,26.94,24.31,21.28,18.44,16.62,14.56,13.56,13.28,11.84,11.12,9.16,9.22,7.34,7.66,7.44,8.75,8.56,10.25,11.88,13.16,14.34,15.66,16.19,17.28,16.16,17.19,17.66,18.66,21.88,23.06,26.62,29.69,32.88,35.25,38.5,41.34,43.31,44.06,44.12,43.44,41.5,39.88,39.0,37.34,36.25,35.84,34.53,34.81,35.12,36.5,37.28,37.41,40.03,39.66,39.59,39.69,40.16,37.91,37.19,35.06,33.62,31.28,29.09,27.31,25.44,23.34,22.06,19.59,19.53,18.03,18.66,19.47,20.16,21.84,22.97,25.03,26.44,28.91,30.47,30.84,32.88,33.44,33.62,34.34,33.62,33.72,34.28,34.03,35.25,35.38,35.0,35.06,34.69,34.72,34.81,35.84,35.5,35.81,36.19,35.28,35.44,35.69,34.69,34.12,33.75,34.09,34.28,33.38,33.56,32.5,32.25,31.19,30.88,31.34,31.59,32.22,32.59,33.41,35.0,36.22,37.91,38.66,38.0,37.0,35.91,34.94,34.28,34.34,34.72,34.41,34.25,34.94,34.66,35.78,36.53,37.69,38.5,38.72,39.56,39.81,39.56,38.88,38.41,37.69,36.28,35.62,35.62,36.5,36.06,37.0,38.38,39.09,40.78,41.81,42.59,42.78,43.12,41.66,40.06,38.5,37.25,35.72,34.25,34.66,33.31,32.94,33.12,32.84,32.53,32.25,31.97,31.28,31.38,32.12,33.56,34.59,36.5,37.31,38.16,37.59,36.78,34.34,33.06,29.44,26.28,24.78,23.88,23.72,24.34,25.94,26.41,28.16,28.12,29.62,30.38,31.5,33.25,35.16,35.5,35.25,34.56,31.34,29.97,28.66,27.31,28.31,29.03,29.09,30.41,30.19,30.5,30.44,30.69,30.12,28.75,28.16,26.5,25.94,25.03,24.22,23.34,23.16,23.56,23.88,23.69,23.75,22.91,21.94,22.22,21.28,20.62,20.81,20.66,19.91,20.53,21.81,23.59,25.44,27.41,27.94,29.16,29.94,30.69,30.94,30.16,30.0,29.47,28.56,28.25,28.5,29.88,31.19,32.56,34.06,34.88,35.84,36.91,37.66,37.03,37.38,36.5,35.03,34.0,33.16,30.31,28.78,26.78,24.44,24.81,23.56,23.88,23.75,22.91,21.5,19.69,18.19,16.91,16.03,16.31,17.56,18.66,19.66,21.5,21.28,20.59,19.88,20.19,20.75,21.25,23.06,24.81,25.28,26.59,27.56,27.5,27.53,27.78,26.56,25.69,25.16,23.53,23.81,24.56,24.53,24.91,26.72,25.78,26.09,24.62,23.97,23.91,24.44,25.34,25.06,26.53,26.78,23.81,23.06,21.66,20.66,19.91,19.66,18.75,18.66,17.81,17.91,17.25,16.69,17.88,17.66,18.84,19.81,21.38,23.22,24.41,26.09,27.34,27.38,28.09,26.94,25.84,24.09,22.44,22.41,20.62,20.56,21.69,21.56,22.19,22.19,22.31,20.75,17.81,18.34,14.5,13.66,12.25,11.53,11.12,10.91,11.31,11.66,12.44,12.53,13.62,13.84,15.06,16.81,17.56,18.22,18.62,17.81,16.75,14.75,14.0,13.16,12.75,13.25,13.94,15.78,16.41,18.0,18.25,20.5,21.28,19.72,19.44,17.91,16.38,14.69,13.66,12.97,11.69,9.94,8.56,8.38,9.03,9.56,12.03,13.56,13.97,14.19,13.94,11.84,10.25,9.69,10.22,9.25,10.44,13.69,14.12,18.19,21.78,24.72,27.81,29.34,28.5,26.81,21.75,19.0,15.44,12.66,13.06,12.75,14.53,16.72,16.41,17.56,17.53,17.22,16.5,17.38,17.34,17.59,17.97,17.59,16.56,16.62,16.03,16.66,17.84,18.31,19.72,21.12,21.31,22.69,22.97,23.16,22.16,20.41,19.5,18.19,17.19,15.97,17.06,16.53,18.22,19.0,20.25,21.44,21.66,21.97,22.16,22.47,23.78,25.56,26.81,28.12,28.38,27.31,27.16,25.31,24.16,23.69,23.19,23.62,24.19,25.69,26.81,28.03,27.94,27.38,26.91,25.19,23.81,23.94,23.16,23.31,25.12,25.5,27.44,27.69,29.12,29.19,28.5,26.88,26.78,25.41,23.56,22.81,22.34,22.19,23.25,23.62,24.78,26.66,27.12,28.78,29.12,29.81,30.84,31.0,31.06,31.78,32.12,33.06,33.12,32.88,33.03,31.75,30.69,28.31,27.19,25.69,24.12,23.06,21.38,20.56,16.5,15.25,12.78,8.47,6.22,3.88,0.75,-1.72,-4.44,-6.53,-9.28,-10.25,-11.47,-11.34,-9.75,-7.62,-5.56,-4.41,-2.47,-3.22,-4.06,-6.5,-10.31,-13.28,-15.69,-17.56,-19.5,-17.16,-14.53,-12.34,-8.38,-4.97,-2.75,-1.81,-1.19,-0.88,-0.91,-0.78,-1.34,-1.16,-0.69,-0.75,-1.5,-0.72,-0.56,-1.22,-0.06,-0.19,0.69,2.06,3.97,5.78,8.69,11.16,13.38,14.78,16.34,16.38,17.22,16.47,16.03,15.69,14.56,14.91,13.44,13.03,13.81,13.59,14.12,15.56,15.94,17.34,18.97,18.88,19.81,18.78,17.47,15.47,13.12,11.38,9.25,8.28,6.88,5.69,5.62,6.5,8.09,9.59,12.84,16.16,18.56,20.88,21.03,21.66,20.38,18.09,15.97,15.25,14.0,14.56,16.69,19.06,21.28,22.19,22.88,20.5,17.34,14.69,11.22,9.91,8.09,7.34,8.34,8.5,8.09,9.62,9.53,10.16,10.56,12.03,13.72,16.78,18.53,21.06,21.97,22.53,21.81,21.09,19.94,18.5,18.5,16.94,15.16,15.09,14.97,15.06,16.69,18.16,20.16,21.56,21.84,22.25,21.66,18.5,16.44,15.44,14.0,13.41,14.06,14.53,16.19,15.28,16.44,15.34,16.41,16.88,19.5,22.0,25.44,26.81,28.38,27.69,26.19,23.72,21.28,19.22,18.03,16.5,15.75,15.5,14.5,15.94,15.78:negativity
16.5,16.59,14.75,15.19,13.44,12.62,11.38,10.31,10.19,8.72,10.0,10.5,11.16,13.78,15.16,18.09,20.19,21.25,21.91,22.03,22.62,21.75,22.12,22.5,22.44,21.47,20.78,19.09,18.31,17.12,17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66:11.38,10.31,10.19,8.72,10.0,10.5,11.16,13.78,15.16,18.09,20.19,21.25,21.91,22.03,22.62,21.75,22.12,22.5,22.44,21.47,20.78,19.09,18.31,17.12,17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66,-0.16,-0.06,-0.69,-0.78,-0.66,-1.94:11.16,13.78,15.16,18.09,20.19,21.25,21.91,22.03,22.62,21.75,22.12,22.5,22.44,21.47,20.78,19.09,18.31,17.12,17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66,-0.16,-0.06,-0.69,-0.78,-0.66,-1.94,-2.03,-2.59,-3.38,-4.88,-5.22,-4.97:21.91,22.03,22.62,21.75,22.12,22.5,22.44,21.47,20.78,19.09,18.31,17.12,17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66,-0.16,-0.06,-0.69,-0.78,-0.66,-1.94,-2.03,-2.59,-3.38,-4.88,-5.22,-4.97,-4.44,-3.09,-2.19,-0.47,0.97,2.88:22.44,21.47,20.78,19.09,18.31,17.12,17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66,-0.16,-0.06,-0.69,-0.78,-0.66,-1.94,-2.03,-2.59,-3.38,-4.88,-5.22,-4.97,-4.44,-3.09,-2.19,-0.47,0.97,2.88,3.94,4.88,6.22,6.31,6.38,7.06:17.16,18.41,17.91,18.66,18.34,18.03,17.56,17.41,18.06,19.41,21.31,22.97,24.5,25.91,26.44,28.22,27.5,29.06,29.69,29.75,29.41,29.88,29.16,28.19,28.0,27.66,26.59,24.34,22.5,18.28,14.28,11.34,8.22,6.31,5.81,6.16,6.88,6.78,6.66,6.34,5.44,5.19,4.44,5.44,5.0,4.53,4.69,4.22,4.06,4.12,5.47,7.88,10.0,14.78,20.06,23.81,27.31,29.06,28.22,26.31,24.0,23.0,21.03,21.0,21.16,20.59,21.94,23.44,23.09,25.56,24.53,25.19,24.75,23.41,22.56,21.75,21.03,21.19,22.44,23.41,26.38,28.56,29.5,30.81,29.31,27.19,23.88,20.94,18.5,17.34,17.19,16.81,18.06,18.31,18.53,18.47,19.38,19.56,20.09,20.38,20.69,21.28,22.5,24.59,26.31,27.69,29.47,29.0,28.31,27.84,27.78,27.12,27.09,28.72,28.09,30.88,31.34,32.69,34.75,34.53,34.78,33.81,32.62,31.88,31.53,32.03,33.28,34.19,36.09,38.0,38.44,38.06,36.94,35.81,35.44,34.12,34.25,34.0,32.88,32.0,29.44,26.88,23.19,19.81,17.97,16.34,17.41,18.31,19.62,22.03,23.56,25.06,26.56,28.19,28.75,28.69,27.78,27.5,25.44,24.69,25.81,25.38,25.06,24.53,23.0,20.69,17.81,17.19,16.25,16.16,17.53,17.47,17.06,16.69,15.84,16.97,17.53,18.88,20.41,20.62,22.16,22.31,22.31,24.5,25.28,25.75,27.56,27.75,27.19,26.56,25.16,24.5,23.53,23.06,21.06,22.19,20.94,21.81,20.53,20.81,19.25,18.75,16.56,15.19,14.44,13.66,14.5,16.97,18.66,20.47,21.5,22.62,22.66,22.5,22.56,21.19,21.5,20.59,22.19,23.03,25.06,25.56,25.53,24.28,23.78,20.44,20.28,20.16,20.97,22.19,23.81,26.31,27.38,28.16,29.06,28.88,28.62,28.59,27.88,28.22,27.94,27.19,27.97,27.78,27.06,24.69,22.81,19.12,16.09,13.0,10.25,9.19,8.31,8.81,8.75,8.78,7.88,5.44,4.22,2.5,1.41,2.81,4.31,7.97,12.56,17.06,21.91,25.28,28.53,28.81,29.91,28.06,26.75,26.5,26.88,26.31,26.19,26.38,24.47,23.84,23.06,22.72,24.66,26.75,30.0,31.88,33.59,35.0,35.25,35.06,35.44,35.59,35.56,35.12,34.0,33.78,31.38,29.16,29.0,28.75,28.69,28.81,28.31,24.84,21.16,19.97,17.56,16.72,16.97,18.34,19.44,22.22,25.25,27.56,29.56,28.84,30.06,27.5,25.94,24.56,22.66,21.28,20.38,19.12,17.41,17.09,16.47,15.81,17.41,17.5,18.62,20.0,20.62,21.62,22.12,23.59,23.53,25.09,25.84,26.41,25.69,26.06,25.62,24.47,23.75,23.22,23.41,22.12,21.56,20.5,18.41,16.62,15.16,14.31,14.06,14.66,16.56,17.81,18.0,18.78,17.97,16.69,16.88,15.12,14.69,13.94,13.62,13.28,13.22,13.94,14.06,12.41,14.16,13.41,14.31,15.41,16.03,17.09,16.78,18.62,18.81,19.56,20.53,22.0,22.84,22.44,21.5,21.34,20.69,18.16,17.12,16.47,15.56,13.69,14.91,14.94,13.81,15.59,14.81,16.88,17.38,18.69,18.88,19.91,19.88,20.44,21.16,21.31,22.34,23.28,24.16,24.12,23.75,22.97,21.69,20.5,18.78,17.94,16.72,16.0,15.62,15.25,15.34,14.69,14.31,14.69,15.41,15.94,16.66,17.06,16.5,15.28,13.5,13.19,11.41,11.88,13.5,15.09,17.81,19.94,21.72,24.03,22.59,21.56,18.88,15.56,12.69,9.94,8.09,7.69,8.34,10.38,11.62,13.25,13.78,13.03,12.0,8.88,7.16,4.78,3.16,3.84,4.25,5.97,6.94,8.53,9.72,9.91,9.44,8.97,7.75,7.19,5.41,4.38,3.47,2.16,-0.34,-0.44,-1.06,-2.09,-3.19,-3.34,-3.16,-4.16,-4.94,-4.06,-3.97,-4.41,-2.94,-3.16,-3.38,-4.03,-3.78,-3.22,-3.28,-2.53,-0.59,-0.91,0.53,1.66,3.59,4.56,7.16,9.97,12.25,12.5,10.12,8.06,2.53,-4.69,-6.75,-11.28,-11.59,-11.41,-9.84,-8.38,-8.47,-7.41,-6.94,-6.56,-4.94,-3.84,-1.81,-0.19,2.0,3.12,4.62,5.5,6.5,7.25,8.31,8.81,8.91,8.97,10.19,10.28,11.34,11.91,12.53,13.53,13.97,14.06,13.19,13.12,12.19,11.84,11.66,11.62,11.5,11.62,11.56,11.03,10.28,8.56,6.91,6.19,5.28,4.03,3.25,3.31,4.03,5.62,7.47,9.28,10.5,11.28,13.06,14.31,16.91,19.41,22.53,23.44,23.56,21.78,19.44,16.88,14.0,12.75,11.66,11.12,12.25,11.0,10.91,11.44,10.31,10.0,10.31,10.69,10.66,11.94,11.53,12.91,12.59,13.09,13.31,12.75,12.44,11.94,11.31,10.66,9.44,9.06,8.81,8.72,7.91,7.66,7.25,7.12,5.94,6.16,5.03,4.5,4.94,4.78,5.5,5.94,6.94,7.38,8.0,8.97,8.78,9.81,10.78,12.41,13.19,14.72,15.44,14.91,13.97,13.5,11.78,10.88,9.94,9.5,9.69,8.84,8.84,7.56,6.91,4.91,2.78,1.56,-0.91,0.38,0.34,2.84,6.16,8.66,10.94,12.53,12.53,11.16,10.16,8.91,7.16,6.44,7.62,7.19,8.12,8.5,9.28,8.41,7.91,6.97,5.56,4.12,3.09,2.0,1.06,0.31,1.41,0.88,1.25,0.47,1.03,0.19,-0.03,0.91,1.94,2.09,3.34,4.75,4.94,5.53,6.34,7.34,7.53,7.56,8.5,7.72,8.09,7.38,7.03,7.31,6.56,6.5,6.12,6.62,5.66,4.91,4.28,3.41,2.12,2.66,2.81,3.06,3.94,5.62,5.62,6.19,7.03,7.34,6.69,6.41,5.84,4.25,3.53,2.16,1.31,0.53,-0.84,0.5,1.31,3.94,7.41,11.53,13.78,15.81,16.16,14.25,11.69,7.31,5.03,1.78,1.28,1.09,0.69,1.72,1.28,0.69,-0.12,-0.84,-0.91,-0.84,0.38,1.66,3.16,5.19,7.09,9.81,12.31,13.44,14.31,13.41,12.28,11.25,10.59,9.69,9.06,8.66,8.38,8.28,7.91,8.62,8.72,10.12,11.03,11.19,10.69,10.88,11.38,12.06,12.94,14.19,14.5,15.16,14.34,14.84,14.41,13.06,13.69,13.81,14.62,15.78,18.16,19.56,21.25,21.72,23.0,22.69,21.34,20.56,20.0,19.53,19.78,21.16,22.56,22.75,23.0,22.72,22.38,22.03,21.19,19.75,19.19,17.38,16.16,16.84,16.25,16.19,16.12,15.59,15.41,15.41,15.84,16.16,16.59,16.38,16.69,16.59,16.81,16.28,16.06,15.66,15.16,14.31,13.88,13.66,13.53,13.56,14.53,14.16,14.16,13.31,12.34,10.62,8.41,7.59,5.28,4.0,2.94,1.72,1.56,1.81,3.69,4.81,5.91,6.84,7.31,7.66,6.31,5.88,3.84,2.41,1.25,1.56,2.41,2.44,2.69,2.16,0.56,1.19,1.56,2.12,3.34,4.66,-0.16,-0.06,-0.69,-0.78,-0.66,-1.94,-2.03,-2.59,-3.38,-4.88,-5.22,-4.97,-4.44,-3.09,-2.19,-0.47,0.97,2.88,3.94,4.88,6.22,6.31,6.38,7.06,6.56,6.69,6.31,6.78,7.12,7.31:negativity
53.34,52.41,51.44,51.91,51.44,52.19,53.88,56.03,59.0,62.16,63.81,65.75,66.72,67.69,66.94,67.72,66.91,65.53,63.84,63.31,63.06,63.03,62.81,64.31,65.03,65.66,66.81,67.47,67.06,66.75,65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66:53.88,56.03,59.0,62.16,63.81,65.75,66.72,67.69,66.94,67.72,66.91,65.53,63.84,63.31,63.06,63.03,62.81,64.31,65.03,65.66,66.81,67.47,67.06,66.75,65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66,-2.91,-4.25,-5.19,-6.16,-6.16,-5.47:66.72,67.69,66.94,67.72,66.91,65.53,63.84,63.31,63.06,63.03,62.81,64.31,65.03,65.66,66.81,67.47,67.06,66.75,65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66,-2.91,-4.25,-5.19,-6.16,-6.16,-5.47,-4.31,-1.59,1.88,5.56,8.0,11.12:63.84,63.31,63.06,63.03,62.81,64.31,65.03,65.66,66.81,67.47,67.06,66.75,65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66,-2.91,-4.25,-5.19,-6.16,-6.16,-5.47,-4.31,-1.59,1.88,5.56,8.0,11.12,13.44,14.12,15.69,15.16,14.88,12.81:65.03,65.66,66.81,67.47,67.06,66.75,65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66,-2.91,-4.25,-5.19,-6.16,-6.16,-5.47,-4.31,-1.59,1.88,5.56,8.0,11.12,13.44,14.12,15.69,15.16,14.88,12.81,11.25,10.16,9.25,9.25,8.66,10.0:65.69,65.59,65.72,66.62,68.91,69.44,70.78,71.03,71.25,70.88,69.56,68.88,68.28,68.88,68.75,68.94,69.66,69.91,68.38,67.75,67.12,66.34,66.41,66.25,66.41,67.25,67.06,68.47,68.88,71.19,72.19,72.66,73.28,71.38,69.19,68.06,65.66,64.0,62.69,61.44,58.44,56.62,53.81,51.56,50.22,49.59,49.0,49.44,50.75,52.06,53.84,56.25,58.25,60.44,61.84,61.91,61.66,59.78,59.03,57.78,56.44,55.38,54.91,54.22,53.12,52.44,51.28,51.31,50.41,49.94,50.06,48.91,50.62,52.34,53.81,55.72,56.53,56.22,56.5,55.25,54.53,53.97,55.25,56.03,59.16,62.91,66.19,68.94,69.94,67.47,64.75,59.69,56.66,52.06,50.88,51.06,51.0,52.75,54.69,56.0,58.5,60.0,61.69,61.81,62.84,63.16,64.16,64.94,66.69,68.53,68.41,67.69,67.28,64.94,63.22,62.41,62.31,60.94,62.5,63.25,64.06,65.06,64.84,64.5,62.91,61.84,61.0,62.44,62.75,63.53,66.0,65.06,67.34,69.12,70.69,71.78,73.97,75.0,74.28,74.94,73.44,72.66,72.62,73.0,73.25,74.81,75.16,75.44,76.38,76.06,76.34,76.69,77.31,77.78,79.28,80.94,82.53,83.72,84.19,84.03,82.41,81.03,79.69,76.47,75.81,73.91,72.31,72.75,72.94,73.91,73.72,74.5,73.84,72.81,72.56,70.0,70.94,69.47,69.56,71.88,73.62,75.09,74.12,73.72,73.5,71.31,70.5,70.44,70.06,69.84,71.41,72.78,76.25,79.0,81.69,83.81,83.47,83.06,82.0,81.31,80.81,81.31,80.84,80.28,78.59,78.62,78.06,78.47,78.28,80.47,82.59,84.94,86.28,88.81,90.19,89.41,87.84,86.81,84.88,84.81,85.06,84.59,84.34,84.19,83.25,82.0,81.41,80.31,79.97,78.84,78.34,78.12,78.28,79.22,80.75,81.53,83.81,86.53,88.31,88.12,89.0,88.69,87.44,87.19,87.44,88.69,88.31,87.53,87.56,85.03,84.5,82.66,81.94,81.94,81.06,80.62,82.06,81.81,82.88,84.09,82.31,82.06,80.97,80.31,79.91,78.31,77.25,75.72,72.75,72.69,73.44,75.28,77.34,80.5,81.62,82.06,82.28,81.66,80.72,79.56,78.28,75.56,72.19,69.59,66.0,63.41,62.88,64.59,65.53,68.03,70.12,71.44,74.06,73.97,75.94,76.5,75.44,77.0,76.25,77.5,78.0,79.97,81.75,84.19,86.81,90.19,92.56,93.97,94.53,93.44,92.12,89.47,87.94,85.25,82.5,81.34,79.47,78.97,79.72,80.28,79.78,81.09,80.88,77.78,77.91,77.88,76.75,76.75,77.62,76.97,76.78,76.44,75.28,74.75,76.16,73.16,74.88,75.62,76.34,78.47,79.69,80.41,80.94,80.56,79.69,81.06,81.81,82.31,80.88,81.88,81.31,81.78,82.16,82.66,84.38,83.16,84.53,83.66,82.72,83.34,82.97,81.31,84.5,85.28,86.59,89.69,92.12,92.03,93.09,93.12,92.94,93.5,92.69,92.19,91.34,90.25,89.41,90.19,89.91,90.75,90.62,88.69,88.44,86.25,84.78,84.5,82.16,81.34,80.88,79.22,80.09,79.12,79.69,79.75,79.56,78.47,77.62,77.28,74.19,73.66,74.66,74.69,76.81,79.28,79.66,80.59,79.03,78.25,76.5,78.06,77.22,78.56,81.31,82.31,83.5,83.69,83.09,82.44,81.84,83.03,84.19,86.34,88.59,89.97,91.47,90.75,90.16,89.0,85.59,84.0,80.91,79.62,78.31,76.62,77.16,76.0,78.38,79.41,79.47,80.28,79.31,78.38,79.09,78.53,78.56,79.72,80.06,80.31,82.12,83.81,84.28,85.31,85.31,84.34,83.28,81.97,82.19,82.0,81.28,80.75,80.38,80.31,79.59,79.0,78.62,79.44,79.03,78.75,79.28,79.31,78.75,77.72,78.19,76.59,76.53,77.34,77.78,78.78,78.44,80.28,79.47,80.59,81.31,83.25,83.31,82.84,82.81,79.16,77.66,73.91,70.56,69.94,67.69,67.03,67.59,67.38,68.31,68.81,69.47,69.88,68.94,69.0,67.44,67.16,67.72,68.69,69.72,70.31,72.91,71.56,71.44,73.03,72.16,73.34,74.31,75.94,77.56,78.44,82.22,85.72,87.56,88.0,88.31,86.19,84.06,81.38,80.06,79.53,78.41,78.44,79.41,81.0,81.31,82.75,83.03,81.38,82.81,81.66,81.47,83.91,84.25,83.47,82.06,80.22,77.72,76.69,76.19,75.53,77.81,78.41,78.91,79.53,78.5,76.94,73.41,73.75,70.62,70.44,71.25,71.16,71.97,72.69,74.53,75.97,75.81,77.84,78.59,79.12,79.31,79.94,79.56,78.12,77.78,78.75,77.81,78.84,77.84,75.72,75.88,74.28,74.84,75.28,77.19,77.81,79.38,80.5,81.78,81.81,82.16,79.44,78.31,74.91,71.06,70.97,68.91,68.97,68.94,69.91,69.03,69.88,70.22,69.97,72.47,74.75,76.81,79.56,80.31,80.88,79.12,78.03,75.25,73.62,72.69,71.62,69.59,68.44,67.31,65.75,64.91,64.91,65.66,66.44,68.12,69.97,72.28,75.12,76.72,78.38,78.12,75.81,74.69,73.19,71.56,69.84,68.19,67.91,66.16,66.03,67.56,69.66,70.56,73.09,74.44,74.06,75.16,74.91,75.66,74.78,75.47,75.16,73.94,72.5,70.69,69.06,66.16,66.06,65.41,64.56,66.81,69.0,70.72,73.38,76.0,76.44,79.09,80.03,80.91,82.69,83.12,81.66,78.84,75.81,73.66,71.09,69.69,70.59,71.41,72.22,73.56,74.69,76.81,78.53,79.28,80.22,78.38,78.81,77.16,77.06,77.06,76.66,76.44,75.75,75.44,75.19,75.06,74.53,71.94,69.34,66.88,62.84,59.12,56.28,52.31,49.19,46.25,42.53,40.81,38.75,38.94,38.59,38.53,39.22,39.5,39.03,38.31,37.78,37.31,36.72,37.41,37.44,39.47,40.53,43.44,46.25,46.91,48.56,49.84,50.12,51.88,55.31,58.0,61.56,65.59,66.91,67.38,66.5,64.97,61.31,59.69,57.62,55.62,56.06,57.44,58.41,61.41,62.94,64.5,64.56,65.12,64.91,66.16,66.59,68.81,70.28,71.75,72.25,73.19,74.5,73.97,75.03,75.47,74.38,74.31,73.03,72.34,72.09,70.78,71.41,70.06,70.78,70.59,70.91,71.12,71.44,70.97,70.41,68.03,67.47,66.0,65.66,66.72,67.47,69.19,70.44,71.75,73.03,72.69,73.47,73.69,72.53,71.59,71.78,72.22,70.31,70.16,69.75,67.56,67.53,67.03,66.03,66.16,64.16,64.19,63.44,63.88,64.62,65.84,64.97,64.75,64.78,63.94,64.88,64.5,64.38,65.19,66.62,66.25,67.81,68.69,68.34,67.94,67.59,66.25,64.56,63.38,62.31,61.25,60.88,61.16,61.06,61.03,61.56,61.47,61.12,61.66,61.38,61.56,61.53,61.44,61.62,61.81,62.84,63.91,64.41,64.31,64.41,62.72,61.53,61.31,59.88,60.34,60.91,61.06,62.16,63.06,62.72,63.59,62.12,59.97,58.12,55.19,53.69,52.91,53.34,54.31,56.66,-2.91,-4.25,-5.19,-6.16,-6.16,-5.47,-4.31,-1.59,1.88,5.56,8.0,11.12,13.44,14.12,15.69,15.16,14.88,12.81,11.25,10.16,9.25,9.25,8.66,10.0,9.94,10.38,10.56,10.44,10.0,9.81:negativity
37.31,36.81,34.94,34.44,36.44,37.69,40.16,44.69,48.5,51.47,53.84,54.31,51.03,48.03,43.66,40.03,38.06,34.69,36.44,34.78,34.62,36.22,36.78,36.53,36.34,35.69,35.09,36.19,35.81,36.88,36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44:40.16,44.69,48.5,51.47,53.84,54.31,51.03,48.03,43.66,40.03,38.06,34.69,36.44,34.78,34.62,36.22,36.78,36.53,36.34,35.69,35.09,36.19,35.81,36.88,36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44,2.81,1.19,-1.41,-1.75,-0.78,0.56:51.03,48.03,43.66,40.03,38.06,34.69,36.44,34.78,34.62,36.22,36.78,36.53,36.34,35.69,35.09,36.19,35.81,36.88,36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44,2.81,1.19,-1.41,-1.75,-0.78,0.56,4.31,8.78,13.59,17.97,19.81,19.59:36.44,34.78,34.62,36.22,36.78,36.53,36.34,35.69,35.09,36.19,35.81,36.88,36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44,2.81,1.19,-1.41,-1.75,-0.78,0.56,4.31,8.78,13.59,17.97,19.81,19.59,18.75,14.19,11.28,8.25,4.84,3.41:36.34,35.69,35.09,36.19,35.81,36.88,36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44,2.81,1.19,-1.41,-1.75,-0.78,0.56,4.31,8.78,13.59,17.97,19.81,19.59,18.75,14.19,11.28,8.25,4.84,3.41,1.97,0.06,-0.72,-1.66,-3.22,-4.59:36.19,40.0,41.03,43.44,46.16,47.88,48.41,48.06,47.34,46.97,44.59,43.53,42.22,39.97,38.81,37.47,34.78,36.44,35.88,37.19,40.06,41.66,44.53,45.31,46.5,47.53,45.12,48.66,47.25,47.0,46.72,45.06,44.78,41.44,39.69,37.72,34.56,35.19,33.38,34.19,34.91,34.06,33.34,32.16,29.91,27.31,27.34,23.25,25.66,25.59,27.47,29.78,31.72,31.25,31.06,29.31,27.69,27.75,29.66,30.81,31.78,37.16,38.03,40.41,40.19,40.38,38.0,36.38,34.75,34.16,30.5,31.56,29.56,28.66,29.06,30.31,30.19,30.44,30.03,28.16,27.53,26.81,26.28,28.59,30.38,33.56,36.03,38.12,39.53,41.16,41.53,37.91,39.94,37.66,36.84,35.59,35.44,33.53,31.81,33.09,33.38,34.5,35.22,38.16,38.31,38.22,38.28,38.09,37.31,36.94,36.12,36.12,36.22,35.84,35.84,37.69,37.56,39.59,40.0,39.53,36.19,36.56,34.94,35.09,38.44,40.0,42.5,43.75,44.06,44.81,45.03,45.56,45.44,44.25,43.19,44.66,43.38,43.38,43.56,44.03,43.12,42.06,41.69,40.44,40.09,40.81,39.22,41.56,42.16,42.66,44.31,43.97,43.75,42.28,42.19,42.06,42.16,40.94,45.19,44.06,45.0,46.81,47.66,47.75,46.31,45.84,45.66,44.5,44.28,45.22,45.16,44.94,48.06,48.28,49.12,50.62,50.22,49.81,47.81,46.38,44.34,43.09,41.66,39.06,42.75,42.81,44.31,45.72,47.97,49.03,48.78,49.44,48.69,48.06,48.62,47.5,49.25,50.31,50.75,51.34,52.62,52.09,51.19,51.84,51.47,51.44,54.56,54.28,54.62,54.09,52.47,50.56,48.53,45.69,45.0,44.84,43.78,44.81,46.12,46.34,49.62,51.09,53.06,55.66,56.06,56.16,56.03,55.28,54.41,49.81,51.53,48.09,47.12,47.84,47.41,47.06,46.38,45.62,43.59,43.12,42.44,40.78,44.0,45.28,47.56,51.47,54.19,55.56,55.81,54.88,53.56,50.47,45.81,45.56,43.91,43.56,45.53,48.22,50.81,51.78,52.62,52.47,49.56,49.72,47.41,45.47,43.84,42.69,42.59,42.25,44.25,46.62,48.94,49.94,49.72,50.38,48.84,48.88,50.31,51.03,51.44,52.56,52.31,51.69,51.94,48.28,49.84,46.91,45.97,44.38,43.03,40.84,39.38,36.28,37.12,35.06,35.31,35.81,36.31,37.62,37.91,39.81,40.19,40.88,41.22,40.72,39.16,42.19,42.28,44.22,47.25,48.5,48.91,49.31,47.09,48.97,49.03,49.16,49.34,49.06,46.19,42.78,39.06,36.12,33.94,32.06,31.75,30.31,26.72,27.69,25.66,24.75,25.88,25.56,26.59,28.81,29.81,33.62,37.41,41.0,43.19,47.03,48.16,48.66,49.12,49.03,47.62,46.38,44.84,43.41,39.41,40.38,38.31,37.16,37.84,35.78,34.94,32.88,31.12,30.38,30.41,30.5,32.19,31.97,35.91,38.31,41.22,44.72,47.47,48.53,48.16,47.22,45.69,44.06,42.78,39.5,40.16,37.44,36.34,35.5,36.44,37.03,37.38,36.53,36.53,35.78,35.97,36.59,35.75,36.19,37.47,35.94,36.84,37.31,37.91,37.06,37.41,36.19,36.41,35.25,38.81,39.25,41.41,43.44,43.38,43.0,42.72,41.69,42.34,43.5,44.28,46.66,46.12,43.06,43.91,40.69,38.81,38.0,37.19,35.56,33.84,32.5,31.62,31.34,31.75,32.91,32.94,36.19,36.97,39.03,41.25,43.31,44.75,45.88,47.78,48.69,48.19,47.31,44.12,39.69,38.03,34.31,33.97,34.31,33.78,33.94,33.56,32.91,31.06,26.91,26.44,25.47,25.31,27.56,29.56,31.56,31.47,33.12,34.0,34.84,36.0,36.44,36.88,33.38,34.25,32.56,31.25,29.97,30.41,29.25,28.56,28.91,27.84,28.19,27.59,27.44,27.81,26.66,30.91,30.72,32.31,33.38,34.81,33.84,33.28,34.34,34.0,35.22,36.97,36.75,36.19,38.62,37.41,38.41,37.81,37.53,36.06,35.12,34.56,34.88,35.53,35.56,36.28,35.69,34.16,33.06,32.41,31.28,32.53,33.56,34.31,35.44,35.38,35.41,36.41,36.94,38.81,39.12,37.25,41.12,39.53,40.72,42.34,41.69,40.94,38.91,36.31,34.03,33.78,33.06,32.56,34.31,33.78,35.12,36.62,36.41,35.28,35.31,34.28,33.56,33.44,34.06,34.56,37.16,38.66,41.19,42.81,44.38,41.41,43.69,43.66,43.81,45.28,46.66,45.47,44.69,42.53,41.19,39.12,38.06,37.31,36.75,36.31,36.72,34.66,37.5,36.31,37.19,38.28,39.25,39.84,39.75,39.09,37.44,36.41,32.72,33.91,34.06,34.91,35.81,37.22,36.81,36.09,35.81,35.25,33.75,33.44,34.5,34.03,34.94,37.97,39.97,40.22,42.31,42.66,42.84,42.44,41.56,39.31,38.72,36.97,36.88,38.25,38.72,40.22,42.31,42.97,42.47,42.44,42.12,42.56,43.41,40.69,44.5,44.44,45.97,47.84,48.12,48.28,47.31,44.12,42.56,40.78,39.16,37.78,38.06,38.31,35.38,37.5,36.59,35.34,35.03,34.16,33.38,32.72,32.72,33.69,32.66,37.78,38.12,40.56,43.19,45.81,46.34,46.91,45.91,46.31,44.81,42.94,40.0,37.94,36.44,33.0,31.69,32.88,32.06,35.34,39.81,41.66,44.12,44.72,42.75,41.44,39.47,38.91,38.78,39.81,41.88,42.41,42.38,41.44,42.5,41.47,42.81,44.12,45.56,45.16,42.0,43.91,41.16,40.72,39.88,41.19,40.19,40.03,39.56,38.38,38.12,38.28,38.38,38.81,39.62,41.72,41.72,41.47,45.12,44.75,46.69,49.09,50.62,49.72,47.97,45.97,43.5,42.22,38.31,41.75,41.81,41.75,43.53,44.38,43.25,42.62,41.62,41.81,42.41,44.28,45.5,47.12,45.44,49.0,48.44,49.53,51.75,53.28,53.12,53.53,50.84,49.31,47.97,46.09,45.72,45.41,42.19,42.88,41.97,39.84,41.38,43.41,44.94,46.88,48.06,48.44,48.81,49.44,49.28,46.66,48.5,47.03,46.31,44.62,45.22,43.28,42.03,40.5,38.94,37.62,36.84,35.44,36.28,36.5,36.69,35.06,38.38,37.31,39.19,41.0,43.09,44.12,44.19,44.38,42.12,41.09,40.03,39.31,39.22,39.84,37.47,39.16,38.53,38.06,38.91,40.0,41.09,41.78,42.62,43.56,42.81,43.47,41.44,41.75,41.28,39.56,38.62,37.06,35.78,35.16,34.56,34.84,35.22,34.94,36.16,36.31,36.81,37.06,37.22,34.12,35.56,33.69,33.03,33.66,33.97,35.38,36.41,36.56,37.81,37.31,36.84,33.75,35.81,35.06,36.12,37.12,38.09,38.59,37.97,38.94,39.56,41.22,41.5,42.31,40.75,39.16,37.34,33.75,33.59,31.12,30.44,31.72,31.53,31.84,32.75,32.09,32.0,32.88,33.12,32.44,33.34,28.81,28.81,25.91,25.31,26.0,27.03,27.41,28.69,29.69,28.5,30.94,32.38,33.41,35.03,37.31,38.16,38.44,38.44,2.81,1.19,-1.41,-1.75,-0.78,0.56,4.31,8.78,13.59,17.97,19.81,19.59,18.75,14.19,11.28,8.25,4.84,3.41,1.97,0.06,-0.72,-1.66,-3.22,-4.59,-5.59,-8.28,-8.84,-9.91,-9.53,-7.78:negativity
24.44,25.66,25.72,25.94,24.69,24.16,22.31,23.62,24.16,26.09,26.44,28.75,29.72,29.19,28.81,29.12,28.38,26.66,26.56,25.91,25.0,24.16,24.69,24.12,23.19,21.94,20.41,18.94,18.03,17.44,18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19:22.31,23.62,24.16,26.09,26.44,28.75,29.72,29.19,28.81,29.12,28.38,26.66,26.56,25.91,25.0,24.16,24.69,24.12,23.19,21.94,20.41,18.94,18.03,17.44,18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19,-2.41,-1.03,-2.19,-3.03,-4.53,-5.75:29.72,29.19,28.81,29.12,28.38,26.66,26.56,25.91,25.0,24.16,24.69,24.12,23.19,21.94,20.41,18.94,18.03,17.44,18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19,-2.41,-1.03,-2.19,-3.03,-4.53,-5.75,-5.97,-6.0,-5.41,-5.03,-5.03,-4.78:26.56,25.91,25.0,24.16,24.69,24.12,23.19,21.94,20.41,18.94,18.03,17.44,18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19,-2.41,-1.03,-2.19,-3.03,-4.53,-5.75,-5.97,-6.0,-5.41,-5.03,-5.03,-4.78,-5.72,-7.38,-7.97,-9.03,-8.97,-8.44:23.19,21.94,20.41,18.94,18.03,17.44,18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19,-2.41,-1.03,-2.19,-3.03,-4.53,-5.75,-5.97,-6.0,-5.41,-5.03,-5.03,-4.78,-5.72,-7.38,-7.97,-9.03,-8.97,-8.44,-7.94,-6.53,-5.12,-4.47,-3.25,-3.41:18.12,19.62,21.44,23.69,26.41,28.81,30.66,32.44,33.25,32.53,33.12,33.38,35.03,36.22,37.25,37.41,36.81,35.69,34.25,33.5,33.34,34.69,34.91,37.25,38.81,40.91,42.94,43.88,44.69,45.25,44.16,43.62,42.91,42.06,40.47,38.56,36.88,33.97,32.03,28.12,24.72,20.91,17.59,15.41,15.16,14.09,16.44,18.53,22.19,25.66,29.47,30.59,31.31,30.75,28.69,26.53,25.16,23.47,22.56,23.47,23.88,27.47,29.06,29.97,32.56,33.78,34.72,36.03,38.16,38.72,37.75,39.06,38.66,37.78,37.12,35.25,31.75,29.44,27.56,27.16,27.41,30.31,33.16,34.78,37.03,37.97,36.72,35.22,34.84,32.22,31.41,31.06,29.0,27.38,25.81,24.34,23.31,24.0,24.44,25.5,26.78,27.81,28.69,30.06,31.62,32.91,34.0,35.75,36.97,37.44,40.34,41.31,42.44,42.94,42.66,42.09,40.91,38.81,38.69,37.03,37.28,36.34,36.06,35.28,35.31,36.56,36.75,37.69,39.25,39.66,40.91,41.69,42.44,44.09,43.22,43.09,42.69,41.47,40.88,40.44,40.41,41.31,41.66,41.53,41.28,39.44,38.44,36.44,35.31,33.72,34.38,34.91,35.94,38.31,39.59,40.03,42.06,41.5,40.91,39.69,37.94,35.69,32.81,32.16,29.53,29.41,29.28,28.41,28.44,27.75,28.66,30.12,32.16,33.56,37.31,38.81,39.22,38.94,38.81,36.69,34.53,33.25,31.75,30.69,29.66,29.28,29.88,30.28,31.06,32.88,34.09,34.5,34.66,33.41,31.44,30.31,27.78,27.25,25.56,24.25,23.78,22.31,22.28,23.31,23.34,25.16,25.47,27.12,26.88,28.09,28.91,30.0,33.34,35.06,37.56,39.22,37.53,36.91,35.81,33.56,34.41,33.28,34.81,35.34,35.44,35.81,35.62,35.56,35.66,35.62,35.75,35.41,35.31,35.28,34.72,34.81,34.38,34.28,35.16,35.66,36.44,37.28,37.0,36.69,35.12,32.59,32.72,32.5,32.28,32.62,31.56,30.22,27.84,26.38,26.22,23.16,24.75,24.69,24.38,24.09,24.38,23.31,21.81,22.44,22.72,21.59,23.41,22.81,20.0,20.31,19.69,18.56,20.25,22.5,25.25,26.88,28.28,28.94,29.69,29.53,29.62,30.5,31.0,27.66,31.06,28.53,28.56,29.25,28.16,28.28,26.75,25.12,25.75,25.44,28.5,31.28,33.16,35.31,36.0,35.56,34.84,32.84,30.44,28.41,27.16,27.69,27.81,29.03,30.16,29.06,29.09,29.47,29.09,31.78,34.62,37.56,38.53,39.12,39.53,39.66,39.44,40.34,39.97,39.44,37.81,37.69,35.16,34.16,35.5,32.78,36.31,37.41,39.06,39.94,40.16,38.81,37.62,35.38,34.0,32.28,31.62,31.53,30.91,31.97,33.53,35.5,36.56,34.94,36.88,35.19,33.66,33.12,30.56,29.31,27.88,26.25,25.59,26.12,23.22,22.56,21.16,19.56,19.5,20.12,21.41,22.81,24.84,26.19,27.41,29.78,30.44,31.03,31.44,30.84,29.88,28.56,27.81,28.38,29.84,31.16,34.0,36.06,37.44,39.62,36.0,38.16,36.78,36.44,36.66,35.81,34.62,33.12,31.47,30.78,31.38,32.16,30.62,34.06,34.16,33.66,34.5,34.28,33.0,31.91,30.69,29.0,26.53,24.72,21.69,20.28,18.91,17.81,18.94,19.12,18.75,21.47,21.91,24.88,24.91,29.75,29.84,31.81,33.06,31.62,30.88,27.66,23.88,21.81,20.06,18.53,17.69,16.66,16.78,15.41,14.56,13.62,15.06,13.75,15.34,15.62,16.38,16.31,15.44,15.94,14.44,14.75,17.06,18.56,20.69,21.12,22.0,20.72,18.88,16.38,14.56,13.62,11.56,11.16,13.69,13.62,13.69,16.41,16.28,16.72,18.56,19.94,20.06,20.5,21.12,21.12,21.56,20.66,20.91,21.94,22.12,22.34,20.5,22.03,19.94,21.09,22.66,23.75,26.78,27.03,27.5,26.94,26.12,25.06,23.81,22.56,23.81,23.31,24.56,24.44,29.44,30.03,32.47,34.91,34.28,34.41,32.41,29.41,27.53,25.41,25.0,26.0,27.62,29.16,30.47,30.03,29.97,28.22,26.44,25.91,25.44,24.25,24.25,25.16,24.28,24.22,24.97,22.94,21.75,18.31,15.94,13.38,8.06,9.38,6.69,9.28,10.31,13.19,14.5,15.91,17.28,18.28,19.25,20.03,20.19,19.84,19.88,19.91,21.66,24.31,26.19,27.88,31.38,30.75,30.28,28.06,23.56,18.62,15.69,11.88,10.84,11.12,12.0,10.5,12.19,10.81,9.94,10.94,11.06,10.69,11.78,13.62,14.5,16.25,17.84,18.0,19.5,19.25,16.66,19.31,17.56,17.91,19.69,19.59,19.03,18.81,17.75,16.75,14.91,12.47,13.69,14.25,16.28,19.62,23.09,25.22,26.22,27.25,26.28,27.69,27.47,26.09,25.19,25.31,22.94,23.25,22.0,19.44,23.41,23.31,24.5,27.72,29.62,31.06,31.22,31.19,30.16,30.12,29.53,29.91,30.25,31.12,32.41,31.38,35.31,35.25,36.47,35.25,34.91,32.22,30.03,29.03,29.12,30.0,30.94,31.66,31.69,31.72,32.25,30.88,29.25,29.47,26.94,25.06,23.41,22.59,23.06,23.31,24.28,25.69,27.66,28.72,28.91,30.34,31.81,31.28,30.69,30.59,29.56,28.16,25.94,27.0,25.78,25.62,26.31,27.41,26.97,28.31,28.31,28.03,28.75,28.66,27.41,25.19,23.66,21.41,19.09,15.72,18.31,16.09,15.69,17.28,16.78,17.66,17.84,18.84,20.06,21.44,24.56,27.66,29.81,32.5,34.91,35.5,35.94,35.84,34.88,32.75,29.06,26.53,21.84,21.03,19.31,18.31,21.53,23.78,25.31,27.25,27.72,27.53,25.94,23.53,20.5,18.19,15.44,14.47,13.91,15.06,17.62,19.19,22.53,24.03,24.28,25.06,24.53,23.44,22.59,21.94,21.59,21.12,21.0,22.84,22.06,23.69,24.09,23.66,24.19,25.78,25.81,26.19,28.75,30.19,30.78,33.66,35.16,35.44,36.06,34.59,32.75,31.34,30.34,29.47,28.5,25.72,25.47,23.16,22.56,23.44,23.19,23.66,23.53,23.34,22.06,21.62,23.34,21.66,23.19,24.16,24.91,23.25,22.81,21.47,19.81,18.5,17.19,16.12,15.44,14.16,14.78,14.34,14.91,16.19,16.62,17.16,17.59,19.09,18.66,19.88,21.38,22.38,24.91,26.31,31.62,33.97,36.47,37.88,37.41,35.31,32.28,30.0,27.62,26.16,26.66,26.22,26.31,26.56,24.81,24.5,23.94,24.31,25.31,25.78,27.62,29.0,29.62,31.03,30.72,30.38,29.56,27.66,26.56,25.16,25.09,24.41,24.0,23.09,22.28,21.53,20.62,17.25,18.97,17.41,17.78,21.53,23.94,26.31,28.59,29.56,29.94,28.69,29.78,28.44,28.5,29.19,28.91,29.56,29.38,29.22,29.97,29.47,29.59,29.88,30.47,31.5,30.44,31.28,30.94,30.31,30.19,30.62,31.31,30.72,31.25,31.53,31.28,31.53,32.03,32.81,34.06,34.81,36.31,35.19,-2.41,-1.03,-2.19,-3.03,-4.53,-5.75,-5.97,-6.0,-5.41,-5.03,-5.03,-4.78,-5.72,-7.38,-7.97,-9.03,-8.97,-8.44,-7.94,-6.53,-5.12,-4.47,-3.25,-3.41,-3.34,-4.56,-6.12,-7.53,-9.34,-10.66:negativity
19.41,19.25,18.06,17.03,14.16,12.41,10.88,9.81,10.5,10.81,11.31,12.06,13.88,13.75,13.66,13.84,13.78,13.12,13.34,14.62,16.16,18.31,20.75,22.19,21.56,20.81,18.38,15.91,13.53,12.16,11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56:10.88,9.81,10.5,10.81,11.31,12.06,13.88,13.75,13.66,13.84,13.78,13.12,13.34,14.62,16.16,18.31,20.75,22.19,21.56,20.81,18.38,15.91,13.53,12.16,11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56,8.28,7.56,5.69,3.81,1.59,0.66:13.88,13.75,13.66,13.84,13.78,13.12,13.34,14.62,16.16,18.31,20.75,22.19,21.56,20.81,18.38,15.91,13.53,12.16,11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56,8.28,7.56,5.69,3.81,1.59,0.66,0.47,0.06,1.38,1.41,2.28,2.53:13.34,14.62,16.16,18.31,20.75,22.19,21.56,20.81,18.38,15.91,13.53,12.16,11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56,8.28,7.56,5.69,3.81,1.59,0.66,0.47,0.06,1.38,1.41,2.28,2.53,3.81,3.12,4.31,4.06,3.78,3.34:21.56,20.81,18.38,15.91,13.53,12.16,11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56,8.28,7.56,5.69,3.81,1.59,0.66,0.47,0.06,1.38,1.41,2.28,2.53,3.81,3.12,4.31,4.06,3.78,3.34,3.5,4.47,5.84,8.0,10.5,11.84:11.53,11.69,13.19,14.81,17.28,20.62,23.5,26.06,28.62,29.12,29.12,29.44,27.88,27.31,26.91,27.31,25.69,27.06,26.47,25.66,26.62,26.66,27.81,28.88,30.12,30.44,30.22,29.19,27.62,24.88,23.28,19.38,16.91,15.38,13.28,11.62,12.0,11.62,11.53,11.5,10.19,10.28,7.53,6.59,6.69,7.56,9.56,11.66,14.16,15.31,18.44,18.66,19.56,20.69,21.84,22.06,23.16,24.78,25.66,27.91,27.91,27.66,26.75,24.5,22.19,19.59,17.84,14.31,12.41,10.81,9.56,10.19,10.16,11.16,11.88,11.25,10.69,9.06,8.16,8.5,6.72,7.53,8.78,8.25,7.78,7.69,5.66,3.25,1.78,0.94,0.44,0.78,3.59,5.84,8.62,11.72,15.16,18.84,20.81,25.66,29.62,33.69,39.69,43.47,46.22,46.75,44.78,41.28,36.31,31.53,27.06,24.0,20.91,19.56,18.56,18.28,17.81,17.88,17.69,17.38,15.84,14.91,14.25,14.03,14.56,14.75,17.06,17.5,17.66,17.31,15.22,13.69,10.22,7.0,4.78,3.41,2.28,1.56,2.28,4.31,5.91,8.31,10.88,12.78,14.78,16.66,19.56,22.69,25.84,30.56,32.72,35.03,36.53,36.03,34.34,34.19,33.97,34.16,35.03,36.66,38.44,40.53,41.38,41.97,41.16,38.78,36.25,32.78,29.53,26.69,24.81,24.22,23.38,24.31,25.38,25.91,25.28,23.06,22.0,20.28,18.97,19.06,18.88,19.91,20.44,21.75,22.19,23.03,23.78,23.84,23.41,23.38,23.66,24.31,25.62,27.94,30.31,33.31,36.16,38.62,40.03,40.53,40.0,38.38,36.19,35.53,34.16,34.06,34.62,34.25,33.56,33.62,32.25,31.66,29.91,30.12,28.69,28.41,28.75,28.16,28.91,29.94,31.59,32.25,32.91,31.94,31.88,29.47,27.56,26.31,26.19,24.31,24.72,24.25,22.88,22.31,21.84,20.97,21.69,22.81,23.06,24.38,25.06,26.12,29.62,31.0,33.59,35.59,35.34,34.09,33.19,30.91,29.69,29.31,27.94,27.72,26.44,26.66,26.47,26.16,26.97,28.06,29.47,31.66,33.72,36.12,38.81,41.09,43.78,45.25,45.56,45.44,43.81,41.59,38.72,36.25,35.66,34.16,31.66,31.62,29.66,28.72,25.66,23.84,21.59,20.28,18.75,19.09,20.56,22.94,25.34,29.5,32.69,34.81,36.53,36.16,34.19,32.06,29.75,26.97,24.41,22.75,21.81,20.0,20.19,21.41,22.34,23.31,24.47,25.06,25.34,26.81,28.47,30.5,34.06,35.53,37.72,38.38,37.81,37.03,36.09,34.25,34.78,36.47,38.69,43.81,46.25,48.22,48.06,45.12,40.5,36.31,31.78,27.91,25.0,23.03,22.56,22.0,23.09,24.53,27.0,28.41,29.16,28.66,27.5,25.44,22.94,21.38,18.75,18.34,18.25,19.09,19.41,21.12,20.88,21.41,20.41,18.88,18.38,17.62,17.62,18.62,19.81,22.19,24.44,26.16,27.62,29.44,30.0,29.97,30.81,31.28,30.94,30.62,30.44,30.41,29.44,29.94,30.78,30.84,30.62,31.78,32.16,32.47,33.06,35.06,36.09,37.56,38.28,38.69,38.56,38.19,36.38,36.34,34.66,32.94,31.94,29.59,28.75,26.0,24.34,23.19,22.53,20.91,20.31,21.44,20.19,21.12,21.38,22.38,23.78,24.16,26.03,25.81,26.94,26.97,27.06,26.16,25.94,26.56,27.09,28.16,28.84,28.44,28.16,25.47,23.22,21.44,18.88,17.69,17.19,17.0,17.56,18.75,22.09,24.56,26.81,29.06,30.31,30.41,29.53,27.81,28.75,27.03,25.34,24.34,21.41,19.62,16.75,16.31,15.62,15.62,16.94,17.84,17.75,17.91,18.84,20.72,21.72,23.38,25.88,26.22,26.38,26.31,25.66,25.41,26.0,26.69,27.81,28.44,28.5,27.28,25.97,25.19,24.06,24.31,26.03,26.62,29.5,31.72,33.62,34.41,35.66,35.28,35.06,34.41,32.41,31.16,31.0,29.97,30.53,31.0,30.94,31.62,32.28,32.41,32.44,33.25,33.62,33.09,32.69,31.91,31.91,31.84,33.91,34.16,34.62,34.84,32.84,29.62,26.22,22.62,20.09,17.62,16.72,17.66,19.03,20.06,23.5,25.56,26.44,26.59,27.19,26.31,26.97,27.25,27.78,28.06,29.03,27.94,28.41,27.81,27.41,26.16,26.06,25.31,25.31,25.16,27.88,30.16,34.06,35.62,36.94,35.44,31.56,27.5,23.56,19.66,17.94,16.56,16.56,17.81,18.72,19.94,21.06,21.25,21.62,20.47,20.06,18.84,17.41,16.88,16.78,18.0,19.66,21.94,23.59,24.78,25.47,26.25,26.69,26.94,27.91,29.19,30.38,29.78,31.12,31.03,30.25,29.72,30.66,31.94,32.47,35.0,36.62,35.94,36.78,35.69,34.91,34.06,32.41,32.59,32.53,32.97,35.12,37.59,39.66,41.81,42.53,42.31,41.66,41.41,40.5,39.38,38.16,37.62,36.22,35.16,33.69,32.09,30.03,28.09,26.56,25.16,25.75,26.53,26.94,27.16,28.31,28.69,28.38,28.0,29.16,29.0,28.53,29.88,29.44,28.97,30.06,30.28,31.62,32.12,32.84,33.53,32.91,31.91,30.62,29.06,28.66,27.25,27.44,27.12,26.31,25.41,25.31,23.56,21.66,21.97,21.19,20.56,20.09,19.72,18.44,18.0,15.62,15.97,16.88,16.75,18.0,18.97,18.81,19.28,19.66,19.97,19.66,20.5,20.09,21.47,22.31,23.94,25.44,26.81,27.66,26.53,25.06,24.81,22.91,21.59,20.5,20.62,22.12,23.78,25.34,26.88,26.25,24.84,22.88,20.62,18.53,17.69,17.78,17.84,18.06,19.84,20.91,23.78,25.41,27.25,28.5,29.81,29.22,29.53,30.31,31.0,31.94,31.72,31.38,29.97,27.97,26.91,25.78,24.25,24.5,24.28,23.53,23.84,23.53,23.44,23.12,22.12,22.28,23.06,24.28,26.44,28.94,30.84,33.28,34.47,35.53,36.66,36.44,36.38,35.75,34.97,34.59,33.06,32.22,30.66,28.66,26.06,23.91,23.81,23.78,26.25,28.72,34.0,37.81,40.69,40.84,39.53,37.09,32.66,30.06,27.66,26.94,25.78,25.62,24.78,24.12,23.78,22.78,22.72,22.88,22.94,23.06,22.41,21.56,20.31,19.0,19.34,20.16,19.09,18.41,18.28,16.06,13.94,13.16,12.66,12.22,13.03,13.84,14.41,15.5,15.94,17.16,17.66,18.66,19.91,20.09,22.12,22.34,22.62,22.44,21.84,20.59,19.16,18.44,18.28,17.66,16.72,16.31,16.75,16.81,17.12,18.38,18.97,20.41,21.88,23.41,25.19,27.0,27.28,27.69,26.44,24.16,21.66,18.81,16.41,13.66,12.72,12.59,12.94,12.91,13.47,14.72,14.91,15.88,16.84,17.06,18.34,18.75,20.5,21.0,21.31,22.12,22.03,20.5,19.72,18.44,16.94,15.97,14.75,14.16,13.94,13.81,13.31,12.25,11.25,9.28,8.56,6.66,6.69,7.53,8.41,10.53,12.69,14.09,15.22,14.81,14.94,14.0,13.25,13.56,13.75,12.66,11.56,8.28,7.56,5.69,3.81,1.59,0.66,0.47,0.06,1.38,1.41,2.28,2.53,3.81,3.12,4.31,4.06,3.78,3.34,3.5,4.47,5.84,8.0,10.5,11.84,11.44,10.62,6.22,3.38,0.38,-2.34:negativity
64.53,68.0,69.88,71.06,71.47,71.12,70.12,67.88,67.62,66.78,65.28,64.03,62.66,61.62,59.22,58.22,57.75,56.34,55.31,54.91,56.28,57.19,59.31,62.03,62.19,63.41,62.78,62.41,62.25,61.94,62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81:70.12,67.88,67.62,66.78,65.28,64.03,62.66,61.62,59.22,58.22,57.75,56.34,55.31,54.91,56.28,57.19,59.31,62.03,62.19,63.41,62.78,62.41,62.25,61.94,62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81,16.06,19.66,22.84,25.06,25.41,26.59:62.66,61.62,59.22,58.22,57.75,56.34,55.31,54.91,56.28,57.19,59.31,62.03,62.19,63.41,62.78,62.41,62.25,61.94,62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81,16.06,19.66,22.84,25.06,25.41,26.59,27.34,26.69,27.81,29.25,28.16,27.59:55.31,54.91,56.28,57.19,59.31,62.03,62.19,63.41,62.78,62.41,62.25,61.94,62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81,16.06,19.66,22.84,25.06,25.41,26.59,27.34,26.69,27.81,29.25,28.16,27.59,25.78,24.34,21.16,18.38,17.41,15.91:62.19,63.41,62.78,62.41,62.25,61.94,62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81,16.06,19.66,22.84,25.06,25.41,26.59,27.34,26.69,27.81,29.25,28.16,27.59,25.78,24.34,21.16,18.38,17.41,15.91,15.78,16.75,18.66,21.19,24.88,27.44:62.41,62.03,62.47,61.5,61.62,63.06,63.31,65.81,68.53,70.81,74.28,75.25,78.25,79.0,78.69,78.53,75.91,73.25,73.28,73.56,72.56,75.16,76.78,78.56,78.62,79.25,79.12,78.41,77.84,75.84,74.88,74.94,73.12,70.66,68.94,66.66,62.94,60.78,58.62,57.0,56.56,56.69,55.38,57.44,56.53,54.5,56.25,54.41,55.34,53.56,55.22,55.44,54.19,55.69,55.06,54.22,54.5,54.22,54.41,55.94,56.78,57.84,58.34,59.31,58.91,58.84,58.34,57.62,58.34,58.66,60.53,61.97,64.0,65.5,64.28,65.16,64.31,61.69,60.34,60.22,58.22,58.5,59.97,59.66,62.06,61.84,63.31,64.44,65.09,65.38,67.34,68.66,68.66,70.84,71.72,72.41,72.53,73.47,73.72,74.53,73.41,73.31,72.16,70.53,70.31,68.5,67.66,66.53,65.19,64.78,65.25,65.78,67.88,71.81,71.88,73.25,74.03,71.31,68.34,65.16,61.38,58.16,57.53,56.31,56.31,57.19,57.28,57.09,57.56,57.12,56.66,54.88,55.66,55.69,54.88,57.38,59.06,59.62,60.69,60.06,62.09,61.16,61.94,64.66,64.84,66.78,68.41,68.91,69.69,69.41,67.72,67.59,64.56,62.91,62.72,61.53,60.25,62.66,63.81,64.75,67.59,68.5,69.03,67.12,67.06,65.25,64.53,64.41,65.22,65.84,65.31,67.16,69.06,69.06,69.91,70.59,69.31,67.47,67.38,64.94,63.41,62.72,62.06,59.25,59.88,60.0,60.28,60.62,61.25,63.31,64.59,66.0,67.84,68.78,69.88,67.34,65.91,66.44,64.78,66.0,66.81,68.56,69.69,70.06,68.69,67.84,67.84,67.44,67.66,69.19,68.69,69.81,69.06,68.41,68.19,67.72,67.03,66.16,64.03,62.62,59.94,57.5,56.91,56.06,55.47,57.03,57.94,59.66,60.78,62.06,62.06,63.34,62.69,62.72,63.44,60.5,59.69,59.19,57.22,56.5,57.5,56.59,56.41,54.06,54.91,53.56,53.75,54.94,55.56,57.19,57.47,58.59,58.81,58.53,57.0,55.75,53.56,51.72,51.59,51.25,51.59,54.31,57.09,57.53,59.97,61.53,60.81,62.94,64.69,65.28,67.09,67.81,67.81,68.34,69.0,67.19,67.34,64.97,63.38,61.09,57.38,57.22,54.78,53.56,54.75,55.53,58.31,60.12,61.72,66.38,67.66,68.47,70.09,68.69,67.66,66.16,65.19,64.41,63.12,62.16,60.72,59.53,58.81,58.91,59.81,60.75,61.31,62.72,63.72,63.75,65.91,65.41,65.19,64.66,64.12,62.0,60.94,59.56,60.03,62.22,66.34,69.06,72.34,73.28,70.41,67.94,65.25,62.12,61.16,59.88,61.19,61.34,61.19,60.53,60.44,58.84,57.91,56.34,55.94,56.19,55.28,54.81,55.66,55.97,57.16,60.12,62.56,65.41,67.38,67.62,67.44,67.31,65.84,64.91,65.38,66.03,67.25,67.47,68.78,68.25,67.5,67.22,67.59,67.25,67.16,67.19,68.06,67.66,68.0,68.69,67.5,66.16,63.44,60.09,58.84,58.44,60.56,62.19,65.66,67.25,67.06,64.78,62.03,60.94,59.28,58.81,60.06,61.41,61.47,61.78,60.47,60.56,60.28,59.12,60.06,58.69,57.81,57.41,56.5,55.41,55.88,56.31,57.78,59.28,61.56,62.06,64.25,63.81,64.12,61.62,61.09,59.78,56.97,57.0,57.5,57.56,57.28,57.66,58.72,57.38,57.31,57.47,56.81,56.75,57.47,57.31,58.75,60.56,61.66,62.62,63.91,63.34,62.94,62.41,61.94,60.12,59.28,57.69,57.44,56.91,58.88,61.41,63.56,65.19,65.81,65.31,64.0,62.5,61.53,60.0,59.19,60.31,59.47,60.56,63.12,64.81,66.56,67.25,67.84,66.81,65.81,64.62,63.69,62.75,62.53,61.41,61.41,63.06,63.91,65.25,67.97,69.94,71.69,72.44,72.88,71.28,68.59,65.28,63.5,60.31,57.16,54.44,51.88,51.25,50.44,52.09,54.25,56.62,59.69,60.16,60.69,60.41,59.56,58.81,57.41,56.25,57.78,58.06,57.81,60.69,61.81,62.25,62.25,61.44,61.31,60.03,61.12,61.06,62.0,61.56,61.72,61.12,61.34,61.44,59.91,61.19,60.94,59.66,58.66,61.12,60.5,62.44,63.16,64.09,65.53,65.59,66.91,68.53,69.81,72.56,72.41,72.0,73.0,70.94,68.75,69.88,69.5,69.19,69.28,69.81,67.97,67.5,65.12,63.91,62.81,59.66,58.94,54.5,53.81,50.59,49.47,51.34,52.34,54.34,55.88,56.56,58.06,57.25,55.66,55.25,53.03,51.47,50.66,50.41,50.12,51.69,53.16,54.94,57.03,58.66,59.22,59.28,57.53,57.91,56.84,56.88,57.62,57.66,55.66,55.97,56.75,56.91,57.34,59.19,60.12,60.56,61.16,61.41,61.62,62.19,60.84,62.0,62.41,62.69,63.34,62.75,62.5,61.06,61.06,61.84,60.72,59.94,58.66,57.59,54.72,53.56,52.19,51.03,50.0,49.88,51.28,51.94,53.19,54.06,54.94,52.34,52.56,50.88,49.78,50.19,49.81,51.28,50.25,50.94,50.44,51.81,50.38,51.09,51.84,52.03,52.41,53.25,53.84,54.16,52.81,52.59,51.81,52.56,51.94,51.53,52.09,51.22,51.66,52.0,53.22,54.5,54.72,54.38,54.69,52.19,50.34,49.88,48.16,47.53,47.25,45.81,45.84,48.03,49.84,53.94,57.16,57.66,59.0,57.31,54.25,52.44,50.69,50.69,51.38,51.91,53.69,55.91,56.81,56.91,56.31,57.16,56.81,56.97,58.25,59.06,59.31,59.69,58.69,57.28,56.75,55.75,54.84,55.5,55.56,55.25,55.25,54.88,53.66,52.62,50.25,50.22,47.66,47.31,48.44,49.62,51.41,53.44,54.06,54.81,57.97,59.84,61.69,64.16,66.81,65.72,66.28,65.72,62.69,60.38,58.0,54.84,51.78,51.22,50.44,50.25,50.53,52.03,52.75,53.62,55.62,56.0,58.31,61.25,62.78,63.44,63.94,62.22,59.78,56.62,53.56,52.66,50.06,49.12,48.84,49.16,49.84,51.31,53.38,56.19,58.19,64.06,66.81,71.62,74.25,75.56,74.66,71.69,68.94,65.38,62.28,59.94,58.66,58.69,58.0,58.28,57.78,57.0,56.12,55.12,54.59,54.03,54.59,52.72,53.19,52.5,52.84,53.69,54.28,54.28,54.31,54.25,54.03,53.59,53.0,52.66,51.91,51.91,51.53,52.78,53.0,54.12,54.56,54.91,54.19,53.0,53.16,51.91,51.03,50.97,50.69,49.84,49.91,50.78,51.88,54.66,56.91,60.41,63.28,63.97,64.22,63.47,62.06,59.44,58.28,57.44,56.56,56.56,56.81,56.5,55.25,54.91,53.81,53.44,53.66,54.31,55.0,56.19,56.19,56.91,56.19,55.53,55.19,54.31,52.94,51.62,49.81,48.59,46.44,47.19,47.03,47.28,46.75,47.31,46.56,46.0,45.81,44.91,44.59,42.81,42.5,40.41,39.16,39.31,37.19,37.16,37.31,37.44,37.25,37.31,36.72,34.84,33.94,32.69,32.22,31.78,31.34,30.0,28.81,27.44,26.44,24.81,16.06,19.66,22.84,25.06,25.41,26.59,27.34,26.69,27.81,29.25,28.16,27.59,25.78,24.34,21.16,18.38,17.41,15.91,15.78,16.75,18.66,21.19,24.88,27.44,29.53,31.91,32.38,31.34,30.25,28.94:negativity
21.81,21.94,21.94,21.81,21.72,20.56,20.03,17.81,16.06,14.25,11.84,11.0,9.12,10.06,12.56,15.06,18.94,23.44,26.03,28.25,28.91,25.47,24.28,20.44,15.94,14.12,11.59,11.66,11.31,12.75,14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12:20.03,17.81,16.06,14.25,11.84,11.0,9.12,10.06,12.56,15.06,18.94,23.44,26.03,28.25,28.91,25.47,24.28,20.44,15.94,14.12,11.59,11.66,11.31,12.75,14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12,-9.25,-8.97,-9.28,-10.28,-10.53,-11.84:9.12,10.06,12.56,15.06,18.94,23.44,26.03,28.25,28.91,25.47,24.28,20.44,15.94,14.12,11.59,11.66,11.31,12.75,14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12,-9.25,-8.97,-9.28,-10.28,-10.53,-11.84,-13.44,-17.09,-20.09,-23.16,-26.84,-29.97:26.03,28.25,28.91,25.47,24.28,20.44,15.94,14.12,11.59,11.66,11.31,12.75,14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12,-9.25,-8.97,-9.28,-10.28,-10.53,-11.84,-13.44,-17.09,-20.09,-23.16,-26.84,-29.97,-30.53,-30.16,-27.97,-24.75,-19.47,-14.16:15.94,14.12,11.59,11.66,11.31,12.75,14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12,-9.25,-8.97,-9.28,-10.28,-10.53,-11.84,-13.44,-17.09,-20.09,-23.16,-26.84,-29.97,-30.53,-30.16,-27.97,-24.75,-19.47,-14.16,-9.62,-5.53,-3.09,-3.84,-5.38,-7.47:14.69,15.66,16.25,16.16,14.81,14.38,13.28,12.94,14.81,17.56,21.16,27.38,33.66,39.53,45.09,50.25,52.0,52.12,50.62,47.16,42.69,36.91,32.31,28.94,25.25,22.62,22.0,20.31,20.84,21.34,22.06,23.59,23.09,23.91,23.0,22.06,20.5,19.09,16.84,13.81,12.19,11.5,11.47,12.84,14.84,17.69,17.62,19.75,20.19,20.12,21.75,22.5,24.03,24.56,25.59,26.94,27.62,28.56,29.78,31.28,31.34,31.66,31.94,31.38,31.06,31.03,33.03,32.44,33.75,33.62,32.5,32.28,30.69,30.53,30.78,29.75,30.38,31.34,32.38,33.81,36.0,37.31,38.66,39.31,38.69,37.0,34.5,31.66,27.81,25.16,23.94,22.19,21.5,22.0,22.75,23.75,26.16,27.78,29.97,31.0,32.81,33.19,32.75,32.5,32.38,30.31,30.12,30.84,31.12,32.0,31.62,31.16,30.44,30.0,27.59,27.44,26.16,23.66,22.31,22.66,22.91,25.91,28.19,30.62,33.0,32.81,31.84,31.75,30.0,28.34,27.31,27.12,27.25,28.66,29.88,30.41,30.38,29.69,28.53,26.94,25.94,24.16,22.88,21.88,21.84,23.28,25.84,29.25,33.81,36.81,38.78,38.91,38.62,36.97,35.06,32.75,31.16,28.94,26.72,24.56,23.25,22.78,21.19,20.56,19.47,16.72,14.16,11.5,10.91,11.31,13.0,15.81,17.84,20.53,21.62,22.22,24.22,24.12,25.91,26.25,25.88,25.5,23.34,21.0,18.34,16.75,14.97,15.75,16.12,18.69,19.66,22.28,25.16,27.81,30.88,32.81,32.91,32.25,30.31,28.12,28.12,26.03,26.16,25.06,23.84,24.09,24.31,25.06,27.41,29.0,31.38,30.53,30.16,28.38,26.66,25.81,25.91,25.16,25.25,24.44,23.31,19.94,17.69,14.84,12.31,10.44,10.12,10.28,11.03,12.53,14.16,15.5,16.75,16.34,15.12,15.06,12.97,12.72,13.81,14.53,15.78,16.69,18.84,19.75,21.03,22.31,22.66,22.88,21.75,21.41,21.88,22.03,23.47,25.0,26.38,27.56,28.19,27.91,27.78,29.0,28.44,28.47,27.03,26.53,25.03,24.53,23.84,23.56,22.5,20.91,19.84,17.41,16.53,14.5,14.19,13.16,12.5,11.47,10.88,10.78,8.62,9.16,9.72,10.25,11.0,11.78,13.91,16.59,18.66,22.31,23.91,25.47,24.88,21.84,19.81,16.66,14.44,13.75,13.47,13.5,12.75,12.88,12.53,12.88,11.94,13.03,12.62,13.12,12.91,12.84,13.28,12.97,11.72,12.0,11.41,11.31,11.56,11.41,10.62,9.56,8.19,5.81,4.31,3.31,1.97,1.59,1.81,1.0,0.41,0.34,0.5,0.81,1.94,3.09,2.88,3.5,3.53,4.44,5.31,7.22,9.56,10.75,12.03,14.09,13.69,12.91,11.5,11.47,10.94,11.03,13.0,15.47,16.94,18.91,20.94,21.56,21.88,22.0,23.44,22.91,23.91,24.09,24.91,24.94,25.28,25.75,25.78,25.12,25.53,24.62,23.91,23.12,19.72,19.19,17.28,15.97,16.0,15.16,15.41,15.84,16.44,17.72,20.09,21.41,22.66,22.97,23.56,23.91,23.81,24.28,25.59,25.34,25.56,24.78,23.84,21.31,18.16,15.41,14.03,11.5,9.34,9.84,8.84,8.91,11.28,11.56,12.12,13.28,13.53,13.09,14.06,14.97,14.72,15.03,14.56,13.75,12.19,10.66,9.41,9.31,9.31,9.69,10.78,10.59,10.78,12.44,13.47,14.12,16.28,16.78,16.91,15.03,11.62,8.59,5.53,3.91,3.62,4.19,6.84,8.19,9.91,10.81,13.06,14.88,16.22,18.53,19.53,19.06,20.41,21.0,21.38,22.31,22.06,20.53,18.56,16.03,14.44,12.84,11.81,12.16,13.69,14.69,16.06,18.12,18.97,18.69,17.88,15.66,14.44,11.75,9.81,8.75,7.12,8.25,8.66,10.09,12.34,13.31,14.34,15.0,16.28,15.94,15.66,16.44,15.88,15.75,15.81,14.56,13.56,12.78,12.16,11.66,11.06,12.56,14.69,16.16,19.53,22.84,25.41,27.03,29.56,29.88,30.75,29.47,26.78,23.22,20.56,18.41,16.94,16.44,16.22,17.16,17.69,17.78,19.38,19.03,20.12,21.12,21.56,23.44,25.47,25.91,26.41,26.81,26.16,25.47,23.91,22.88,21.06,18.91,17.41,16.19,16.0,16.81,18.69,20.34,25.06,26.72,29.25,30.19,28.69,27.0,25.66,23.69,22.5,23.16,23.97,25.31,26.25,26.34,25.44,23.25,20.66,18.06,16.06,13.53,13.22,12.69,15.12,17.06,18.5,21.53,23.97,26.06,28.16,30.47,31.66,31.34,32.28,32.16,32.56,34.06,35.62,37.34,37.5,38.25,37.31,35.41,34.0,31.88,30.56,30.53,29.25,29.78,31.19,31.97,33.38,35.44,37.53,39.09,39.78,40.81,40.56,39.88,38.94,37.53,35.41,32.31,30.5,29.31,29.47,30.53,31.47,32.06,32.31,30.69,29.31,28.69,27.81,27.56,27.09,25.94,25.72,24.75,25.25,25.41,26.16,28.16,29.69,33.06,35.88,37.31,38.47,36.94,34.91,32.5,28.81,26.81,25.62,23.69,21.97,21.03,19.91,18.25,16.34,16.25,15.78,15.81,16.5,17.06,18.22,18.53,19.66,20.19,21.25,24.25,25.56,28.66,30.28,32.06,33.19,33.84,33.78,34.09,32.91,31.25,28.84,26.97,25.06,23.94,22.66,21.88,21.09,19.81,19.41,18.47,19.66,19.66,21.28,22.69,25.31,26.56,27.75,28.59,27.91,28.25,26.59,24.47,22.62,20.72,19.0,17.34,17.0,15.81,15.19,14.16,13.25,12.41,12.81,13.31,16.38,18.5,21.41,23.44,24.78,25.47,25.16,24.12,23.25,21.12,20.03,18.53,17.81,16.34,17.25,16.75,18.38,19.53,20.19,21.12,22.19,22.62,22.34,23.28,24.06,24.5,24.53,24.66,25.22,26.56,25.06,26.53,26.03,24.94,23.62,22.94,22.53,22.91,24.0,25.16,26.75,27.06,25.84,24.38,20.25,16.25,12.03,8.53,5.53,3.91,3.28,5.34,7.28,11.5,15.75,21.78,24.31,27.25,29.19,29.41,29.97,30.44,32.5,32.59,34.81,36.44,36.44,38.25,38.53,38.19,36.81,34.44,31.81,29.12,26.25,23.62,23.03,23.12,24.81,26.19,27.34,28.12,27.53,26.28,25.16,24.78,25.53,27.38,30.97,34.34,37.03,39.56,40.41,39.72,38.62,36.38,33.34,31.19,28.5,27.16,26.53,26.84,27.94,30.06,30.91,31.0,31.53,28.59,27.91,25.78,24.19,23.09,22.28,21.5,21.38,21.19,23.75,25.03,28.69,33.06,34.91,36.84,38.72,37.44,37.5,37.03,35.56,33.41,32.34,30.0,27.03,24.62,23.19,21.44,21.91,21.5,23.56,24.78,25.72,26.66,27.78,28.19,29.44,28.88,29.84,30.19,30.91,32.16,33.91,37.69,41.09,44.38,46.84,47.81,47.5,44.94,42.5,39.25,35.97,35.25,34.62,35.0,36.75,38.66,39.53,40.72,39.72,38.12,35.59,32.28,28.5,25.66,23.94,22.09,23.25,24.12,-9.25,-8.97,-9.28,-10.28,-10.53,-11.84,-13.44,-17.09,-20.09,-23.16,-26.84,-29.97,-30.53,-30.16,-27.97,-24.75,-19.47,-14.16,-9.62,-5.53,-3.09,-3.84,-5.38,-7.47,-10.09,-13.38,-14.88,-16.72,-16.34,-15.84:negativity
13.34,15.25,19.06,22.28,26.16,27.84,29.53,31.25,29.06,28.12,25.06,22.34,20.03,17.5,16.81,17.28,17.5,18.75,20.75,21.19,21.84,22.69,23.03,21.81,20.5,17.56,16.0,13.66,11.28,10.25,11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19:29.53,31.25,29.06,28.12,25.06,22.34,20.03,17.5,16.81,17.28,17.5,18.75,20.75,21.19,21.84,22.69,23.03,21.81,20.5,17.56,16.0,13.66,11.28,10.25,11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19,-32.22,-32.03,-30.06,-27.44,-23.41,-21.66:20.03,17.5,16.81,17.28,17.5,18.75,20.75,21.19,21.84,22.69,23.03,21.81,20.5,17.56,16.0,13.66,11.28,10.25,11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19,-32.22,-32.03,-30.06,-27.44,-23.41,-21.66,-19.03,-17.59,-17.97,-18.03,-19.31,-19.94:20.75,21.19,21.84,22.69,23.03,21.81,20.5,17.56,16.0,13.66,11.28,10.25,11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19,-32.22,-32.03,-30.06,-27.44,-23.41,-21.66,-19.03,-17.59,-17.97,-18.03,-19.31,-19.94,-21.31,-21.94,-22.81,-23.22,-22.62,-20.94:20.5,17.56,16.0,13.66,11.28,10.25,11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19,-32.22,-32.03,-30.06,-27.44,-23.41,-21.66,-19.03,-17.59,-17.97,-18.03,-19.31,-19.94,-21.31,-21.94,-22.81,-23.22,-22.62,-20.94,-21.66,-20.81,-21.59,-21.62,-22.09,-23.72:11.31,10.06,10.94,11.03,12.19,13.41,15.44,16.56,17.75,19.16,18.66,18.09,18.47,17.56,16.41,14.97,12.97,12.06,11.0,11.97,12.12,11.62,10.94,9.72,7.03,5.94,5.94,4.31,5.81,5.53,7.78,10.03,13.03,17.12,19.25,19.66,19.53,17.56,14.16,10.78,6.16,3.84,0.84,-0.47,-2.25,-1.84,-3.06,-2.41,-0.84,0.91,3.66,7.22,9.69,13.53,16.97,20.44,23.44,25.97,28.44,28.25,27.81,28.19,26.28,26.44,26.12,26.81,26.69,25.28,24.41,22.53,20.22,18.88,18.69,18.94,20.0,21.25,21.97,21.31,20.88,20.75,20.38,20.5,21.97,25.28,28.75,32.78,34.62,36.5,36.69,33.91,30.66,28.06,25.5,22.16,21.53,19.88,19.91,19.06,18.34,19.09,17.66,17.38,16.78,17.12,17.38,18.44,19.28,19.91,20.75,22.44,22.69,24.12,24.12,25.16,24.81,25.44,25.56,26.0,25.62,25.5,25.06,24.25,23.44,22.91,22.31,21.53,20.69,20.88,20.53,21.25,22.19,23.47,24.56,26.06,25.12,26.62,26.41,25.66,26.12,25.69,26.44,27.03,28.88,28.38,29.25,29.81,29.94,29.69,28.88,29.81,30.16,31.78,33.53,35.94,38.66,40.31,40.81,40.41,37.38,35.56,32.28,29.47,27.12,24.91,23.56,22.38,21.88,20.12,20.25,19.78,19.25,18.53,18.97,18.78,18.81,18.31,18.56,18.69,18.88,19.94,20.31,21.41,21.56,22.78,22.0,21.94,22.06,22.41,23.16,26.06,28.53,30.81,33.62,35.31,34.72,33.0,30.97,28.53,25.84,25.47,23.97,24.16,24.69,24.34,23.56,23.47,22.78,21.03,20.03,19.06,17.88,18.16,18.56,20.31,22.34,23.47,26.25,28.25,29.47,29.97,30.72,28.91,28.62,27.28,27.03,27.34,27.06,28.16,28.19,27.75,27.62,26.81,24.5,24.25,23.91,22.75,21.97,21.28,20.28,19.41,18.06,18.72,19.94,22.03,24.41,27.88,30.12,32.28,33.66,35.12,36.06,35.97,36.03,35.56,32.81,29.62,26.53,23.69,21.5,19.19,18.12,16.69,15.19,14.81,14.28,14.09,14.56,13.5,13.72,14.44,15.41,16.34,17.75,16.44,15.78,14.81,12.91,12.88,13.56,14.78,16.06,18.38,20.34,23.59,24.12,25.31,25.91,24.03,22.91,21.03,17.94,15.12,12.56,11.31,11.75,12.88,15.94,20.12,25.03,29.19,31.78,33.47,33.66,30.44,26.19,23.75,20.78,18.66,18.59,17.94,17.53,15.91,14.0,10.94,9.41,8.06,5.72,5.56,4.16,5.16,4.88,6.56,8.81,11.0,13.69,16.81,18.16,18.53,19.69,19.56,19.44,19.44,20.19,20.53,20.16,20.12,19.38,18.72,17.31,16.12,16.56,17.03,19.06,20.03,22.19,21.84,22.81,20.94,18.75,17.25,17.03,17.56,19.31,21.72,24.12,26.09,26.88,26.44,25.06,23.44,21.56,20.78,19.19,18.16,20.0,20.34,21.88,22.25,23.69,23.81,24.03,25.53,25.72,25.75,25.75,25.06,23.72,23.78,23.88,24.5,24.78,24.78,23.66,23.06,21.62,20.62,19.66,19.66,19.25,19.31,19.97,21.91,22.91,23.88,24.28,25.0,24.03,22.97,21.88,20.97,18.81,17.03,13.91,10.84,9.88,7.62,11.0,12.78,15.28,17.06,18.62,18.66,21.38,21.69,24.5,26.69,27.59,27.94,27.66,25.66,24.12,21.53,18.81,16.41,15.47,15.41,15.91,17.56,18.81,19.12,19.69,19.62,20.06,20.16,18.97,19.66,19.31,19.59,17.0,20.56,19.59,19.91,21.31,21.5,21.06,20.28,19.81,20.12,21.41,20.81,22.12,22.12,21.41,21.19,18.62,17.34,15.47,15.31,14.91,16.03,17.0,17.62,16.94,18.06,18.53,18.59,20.0,22.78,25.19,26.69,28.44,30.34,31.0,33.12,32.25,32.47,31.06,28.25,26.0,23.5,22.91,21.75,21.41,21.56,22.03,23.53,24.75,26.84,29.31,30.0,32.88,33.12,33.5,33.31,31.06,28.41,24.25,21.41,19.28,16.84,15.66,16.12,14.81,16.25,18.53,20.81,22.56,23.91,28.53,29.66,32.03,33.81,34.5,33.88,32.12,30.03,28.69,26.59,25.0,23.91,22.16,19.88,18.03,16.41,15.41,13.69,12.97,12.25,11.97,11.16,11.91,13.56,14.66,15.66,17.84,19.06,18.59,20.16,20.41,20.78,21.19,21.66,21.62,20.59,18.69,16.84,13.75,10.19,7.5,5.88,4.0,2.31,3.88,4.41,6.81,10.47,11.94,13.12,13.75,11.94,11.75,9.53,7.78,6.75,6.16,4.84,4.97,4.03,2.69,3.5,4.5,6.09,9.72,11.84,13.66,14.16,15.28,14.72,13.91,13.47,12.59,12.44,12.03,14.69,15.91,18.03,19.12,19.75,20.56,19.84,20.16,21.03,20.69,21.56,21.66,22.03,24.28,24.5,26.06,28.12,30.12,30.91,31.69,31.72,30.53,28.25,26.34,23.56,22.0,20.72,20.19,20.5,21.44,22.19,23.72,24.75,25.66,26.38,25.81,25.0,24.25,23.81,23.19,22.19,20.66,19.66,18.12,18.0,17.59,18.34,18.94,19.97,20.38,20.91,21.19,22.25,24.06,25.06,26.66,27.69,27.06,26.81,25.97,23.28,21.28,17.66,15.12,12.31,11.62,11.75,11.81,12.38,13.19,12.66,11.66,11.38,9.91,9.78,10.5,11.66,14.06,15.06,16.78,18.5,19.84,20.25,19.97,20.47,19.69,16.81,15.41,13.06,11.12,10.62,10.25,11.0,11.81,12.16,12.72,13.91,14.5,15.38,17.62,19.19,20.34,21.97,22.41,22.78,22.88,21.69,20.5,18.84,17.91,16.56,16.91,16.34,17.09,16.44,17.19,16.34,16.94,18.0,17.62,18.69,19.53,19.81,21.25,22.41,24.34,25.91,26.94,27.5,28.56,27.53,26.06,24.69,21.53,17.16,14.28,11.91,9.47,8.81,8.56,7.78,8.25,8.56,7.97,8.81,10.44,12.69,14.88,19.62,24.06,27.75,31.12,32.47,31.38,29.59,26.06,23.5,20.72,18.72,17.09,15.69,15.16,14.28,13.69,13.5,14.53,14.88,15.53,15.94,15.91,14.5,14.12,13.94,13.97,15.41,17.25,19.44,21.47,22.31,23.47,23.06,21.78,20.56,18.19,15.56,12.84,10.38,7.78,6.06,5.44,4.38,4.47,5.19,5.25,5.62,5.94,5.78,6.81,7.62,8.88,10.69,13.34,15.5,18.0,20.0,20.78,20.78,20.56,19.31,18.38,18.81,18.38,19.03,18.78,17.84,17.06,16.59,16.34,17.06,17.44,17.91,18.44,17.44,17.28,16.34,16.09,15.25,14.56,14.56,12.91,11.81,10.69,8.5,7.91,6.31,5.66,4.44,2.84,1.16,-1.97,-5.56,-8.22,-11.31,-13.09,-15.03,-15.09,-14.44,-13.53,-11.88,-9.72,-8.44,-6.72,-5.28,-3.31,-1.41,0.28,1.78,3.34,3.56,3.94,3.16,0.44,-3.47,-7.81,-13.09,-18.41,-23.59,-28.31,-32.81,-36.78,-40.88,-44.34,-46.22,-47.19,-48.09,-46.47,-44.78,-42.66,-40.69,-37.22,-35.69,-33.66,-31.19,-32.22,-32.03,-30.06,-27.44,-23.41,-21.66,-19.03,-17.59,-17.97,-18.03,-19.31,-19.94,-21.31,-21.94,-22.81,-23.22,-22.62,-20.94,-21.66,-20.81,-21.59,-21.62,-22.09,-23.72,-26.09,-28.53,-31.41,-34.09,-35.88,-36.59:negativity
34.97,37.12,37.94,36.97,35.81,33.88,31.59,28.5,26.16,24.09,23.28,23.56,24.66,26.56,29.03,30.78,33.72,34.5,35.28,34.75,34.0,32.09,31.16,29.88,29.16,28.34,29.16,29.53,30.59,32.06,32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41:31.59,28.5,26.16,24.09,23.28,23.56,24.66,26.56,29.03,30.78,33.72,34.5,35.28,34.75,34.0,32.09,31.16,29.88,29.16,28.34,29.16,29.53,30.59,32.06,32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41,-7.94,-6.84,-6.16,-6.47,-7.59,-9.94:24.66,26.56,29.03,30.78,33.72,34.5,35.28,34.75,34.0,32.09,31.16,29.88,29.16,28.34,29.16,29.53,30.59,32.06,32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41,-7.94,-6.84,-6.16,-6.47,-7.59,-9.94,-11.56,-13.72,-16.31,-18.19,-17.56,-17.41:35.28,34.75,34.0,32.09,31.16,29.88,29.16,28.34,29.16,29.53,30.59,32.06,32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41,-7.94,-6.84,-6.16,-6.47,-7.59,-9.94,-11.56,-13.72,-16.31,-18.19,-17.56,-17.41,-16.34,-14.28,-11.03,-8.81,-6.84,-5.22:29.16,28.34,29.16,29.53,30.59,32.06,32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41,-7.94,-6.84,-6.16,-6.47,-7.59,-9.94,-11.56,-13.72,-16.31,-18.19,-17.56,-17.41,-16.34,-14.28,-11.03,-8.81,-6.84,-5.22,-4.19,-4.47,-5.47,-6.34,-7.22,-9.22:32.03,33.25,33.66,32.97,33.16,33.12,33.88,34.81,36.31,38.28,40.22,41.56,43.09,43.03,42.53,41.31,39.69,38.75,37.28,36.31,35.66,34.69,34.09,33.41,32.34,30.69,29.38,27.31,25.38,24.41,23.28,23.34,24.06,24.59,25.78,26.34,26.88,27.06,26.25,24.88,22.28,19.53,16.97,14.5,12.28,11.91,12.19,13.56,15.94,17.75,20.25,21.81,23.03,24.25,24.06,24.38,24.03,23.72,23.22,23.19,23.56,23.53,22.75,23.59,23.03,23.19,23.94,25.03,25.88,26.94,26.16,25.75,25.25,24.31,23.41,23.09,22.72,21.72,21.56,21.28,21.31,21.81,22.94,23.91,25.5,25.91,26.09,26.59,26.34,25.66,25.47,25.0,24.0,23.69,23.25,22.12,21.19,20.75,20.22,19.88,18.47,17.66,16.25,14.59,13.94,14.31,15.56,17.56,20.66,22.81,23.84,25.12,24.88,23.56,22.56,20.5,18.56,16.53,14.22,13.69,13.38,12.94,13.53,15.03,16.28,17.59,20.59,23.34,25.78,29.5,32.5,34.94,37.44,39.69,41.19,43.94,45.69,47.25,48.0,47.09,45.62,42.94,39.38,37.34,35.75,34.97,35.47,35.59,35.97,36.28,36.31,35.0,34.19,34.09,32.91,31.69,30.81,29.16,27.88,26.0,25.62,24.81,25.38,26.06,27.0,27.97,28.75,28.94,28.31,27.62,25.91,26.12,24.81,24.03,23.78,25.25,25.94,27.25,30.0,32.34,34.56,36.78,39.47,40.69,41.16,42.19,41.25,39.44,37.56,35.66,33.91,31.91,30.91,29.56,28.31,27.22,27.0,27.03,27.06,28.16,29.69,31.44,32.41,33.41,35.22,36.06,36.97,38.22,39.53,40.34,39.47,40.0,39.09,38.03,37.06,35.69,35.28,34.91,34.16,33.84,33.09,32.12,31.06,29.75,28.47,27.41,26.19,25.25,23.62,22.88,22.41,21.38,21.28,20.88,20.66,19.66,20.69,21.62,22.69,23.41,24.66,25.09,24.69,23.47,22.94,20.91,18.88,16.84,15.38,14.28,13.72,13.22,13.56,14.06,14.16,14.19,15.12,15.84,16.41,17.16,18.81,19.06,19.25,19.59,18.91,18.09,17.38,16.81,16.59,15.69,15.16,15.75,16.38,19.09,21.47,23.66,25.88,26.62,28.19,28.56,29.97,31.94,34.44,37.12,38.81,40.75,41.56,41.25,41.44,41.75,41.41,40.91,40.25,39.19,38.56,37.5,36.94,36.56,36.31,36.12,36.5,36.69,36.47,36.75,37.81,37.69,39.03,39.94,40.25,40.75,38.72,37.44,35.06,33.16,32.38,31.34,30.5,30.0,28.81,27.28,25.16,22.78,21.0,19.78,19.88,20.28,21.53,24.0,25.5,27.56,30.44,32.22,34.09,35.03,34.75,32.88,31.25,29.06,26.56,25.5,25.31,24.75,25.16,25.62,26.41,26.03,25.69,23.72,22.16,20.09,18.31,16.66,17.28,17.81,19.31,21.56,23.72,26.53,28.38,30.72,34.19,35.94,38.41,40.28,40.19,39.0,36.16,31.62,27.0,22.66,20.0,17.06,15.25,14.47,14.44,15.31,16.44,18.59,19.94,19.94,19.56,18.31,18.91,19.44,20.31,22.97,24.94,25.91,26.78,27.03,27.31,28.19,27.91,28.19,27.88,27.03,25.91,23.25,21.31,19.41,18.34,18.59,18.56,19.78,22.12,24.0,26.41,28.94,31.5,33.56,35.16,34.88,34.47,32.72,31.12,29.5,28.88,29.06,30.12,31.28,32.22,34.41,35.41,36.25,36.91,36.84,37.19,36.84,36.03,35.41,35.0,35.34,36.62,38.38,40.0,42.22,43.06,42.28,41.0,39.56,37.53,35.69,35.0,34.0,35.03,35.69,36.75,37.25,37.06,35.06,32.19,28.53,26.69,24.59,24.19,24.81,25.91,27.72,29.12,31.0,32.0,32.16,32.19,30.69,28.47,26.5,24.75,22.94,22.66,21.81,20.81,20.31,19.69,19.12,18.22,17.16,16.19,14.69,13.91,12.5,11.88,11.53,11.31,11.31,11.72,12.53,12.56,13.44,13.28,13.31,13.69,14.31,15.53,15.94,16.56,16.75,16.16,16.06,16.81,16.75,17.06,17.41,16.91,17.09,16.91,16.44,17.28,17.38,18.25,19.41,21.69,24.31,25.81,27.62,28.66,28.0,28.16,27.56,26.78,25.81,24.0,21.44,19.12,16.62,14.81,12.78,11.28,8.78,7.91,6.31,5.19,6.59,8.09,10.78,13.44,16.38,19.38,22.69,24.81,26.44,27.69,26.84,26.28,24.22,23.44,23.25,23.28,24.09,24.59,24.44,23.41,21.78,19.22,16.59,15.72,15.25,15.19,16.69,17.81,19.56,21.78,23.03,24.84,26.0,26.94,27.75,26.16,26.31,24.75,24.34,24.16,23.41,22.69,21.72,19.56,17.88,15.59,14.12,12.09,10.94,10.5,10.69,11.97,14.5,16.66,19.03,20.06,19.91,17.69,15.75,14.56,12.75,12.53,14.22,14.38,15.44,15.25,14.56,14.44,14.78,15.34,16.78,18.06,18.72,18.94,19.53,19.44,19.34,18.84,17.81,16.69,15.41,14.16,13.06,12.38,11.5,10.62,10.44,9.72,10.16,9.91,11.03,11.91,12.41,11.88,12.28,12.69,12.88,14.19,15.78,16.72,16.62,16.44,15.41,14.06,12.88,13.25,12.81,12.41,12.91,12.78,12.97,13.0,13.53,14.06,14.12,14.19,14.03,12.69,12.5,12.06,12.0,12.66,12.53,13.0,13.12,13.19,14.62,16.75,18.47,20.94,22.19,22.72,22.5,21.62,19.91,17.72,17.0,16.03,16.28,17.78,18.06,18.44,18.16,16.28,14.38,13.66,12.56,12.5,13.56,14.41,16.44,18.44,19.28,21.44,20.16,21.31,20.97,20.69,20.41,20.91,19.84,18.5,17.5,15.53,13.56,11.28,10.06,9.19,8.88,9.91,10.69,11.94,12.59,13.38,13.25,14.31,14.94,17.16,18.5,20.78,23.31,25.0,26.66,26.97,27.09,26.5,24.62,23.31,21.97,20.94,20.12,18.97,19.06,18.09,18.12,18.12,18.28,20.06,20.66,21.19,21.81,22.19,22.47,22.75,24.16,25.03,28.03,30.28,32.38,33.94,33.31,32.97,31.41,30.53,30.69,30.84,31.25,29.91,28.69,26.31,23.22,21.75,21.56,21.5,22.5,24.38,26.12,27.5,28.22,29.75,30.38,31.12,31.41,32.44,32.62,31.16,30.91,28.34,26.41,22.59,19.75,16.53,14.31,14.06,15.0,16.62,18.22,19.81,20.25,21.03,20.81,20.56,20.31,19.81,19.75,19.72,19.44,20.19,19.59,20.38,19.47,17.44,16.69,15.34,13.88,12.72,12.28,11.72,11.53,11.91,11.88,11.81,11.56,10.91,10.91,10.22,10.91,11.41,11.69,12.56,13.06,12.88,12.31,11.03,11.53,10.84,11.59,12.5,13.78,14.53,14.31,13.28,11.69,9.53,8.25,7.31,7.12,7.69,8.44,9.5,10.16,10.5,11.75,14.06,16.53,20.16,22.34,24.12,23.84,23.28,22.12,21.06,20.34,19.81,19.5,18.91,18.06,17.34,15.72,13.91,13.19,12.84,13.28,13.66,14.81,16.47,16.69,17.0,17.56,17.34,16.62,16.62,16.59,17.19,17.41,-7.94,-6.84,-6.16,-6.47,-7.59,-9.94,-11.56,-13.72,-16.31,-18.19,-17.56,-17.41,-16.34,-14.28,-11.03,-8.81,-6.84,-5.22,-4.19,-4.47,-5.47,-6.34,-7.22,-9.22,-10.28,-11.38,-11.22,-11.88,-11.53,-10.34:negativity
77.97,76.94,78.16,77.69,76.62,75.41,75.0,74.0,72.56,72.53,72.88,73.06,73.44,74.5,75.0,73.62,74.62,72.88,72.12,71.16,69.44,69.62,69.06,69.69,71.31,73.53,76.31,78.0,80.75,81.91,82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31:75.0,74.0,72.56,72.53,72.88,73.06,73.44,74.5,75.0,73.62,74.62,72.88,72.12,71.16,69.44,69.62,69.06,69.69,71.31,73.53,76.31,78.0,80.75,81.91,82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31,33.47,33.97,33.91,34.81,34.06,33.09:73.44,74.5,75.0,73.62,74.62,72.88,72.12,71.16,69.44,69.62,69.06,69.69,71.31,73.53,76.31,78.0,80.75,81.91,82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31,33.47,33.97,33.91,34.81,34.06,33.09,33.66,31.88,31.12,30.91,29.88,29.78:72.12,71.16,69.44,69.62,69.06,69.69,71.31,73.53,76.31,78.0,80.75,81.91,82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31,33.47,33.97,33.91,34.81,34.06,33.09,33.66,31.88,31.12,30.91,29.88,29.78,30.12,29.84,30.47,29.5,30.22,29.31:71.31,73.53,76.31,78.0,80.75,81.91,82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31,33.47,33.97,33.91,34.81,34.06,33.09,33.66,31.88,31.12,30.91,29.88,29.78,30.12,29.84,30.47,29.5,30.22,29.31,28.38,27.91,26.78,25.84,25.94,26.56:82.91,83.72,83.94,82.44,81.31,80.19,78.25,78.44,78.94,80.5,83.69,86.06,88.75,91.06,92.88,92.94,93.38,92.94,93.12,92.56,89.12,86.88,84.75,80.47,78.78,77.81,75.25,72.62,69.69,67.44,65.56,64.56,65.28,64.88,66.0,66.5,67.5,68.91,69.94,73.38,73.81,75.31,75.5,74.25,71.88,70.31,68.75,67.94,68.56,69.16,69.59,70.44,69.94,71.0,70.66,71.12,71.81,71.69,71.66,69.94,67.12,63.75,60.16,56.72,55.25,53.44,54.12,54.25,54.5,54.25,55.12,55.25,55.94,55.91,57.34,57.59,57.94,57.0,56.34,58.28,58.91,59.91,61.44,62.41,61.88,59.88,60.0,59.25,60.12,61.94,63.31,65.25,67.31,67.34,69.0,69.06,69.22,70.31,71.88,71.81,71.88,73.62,73.25,73.88,73.25,72.91,71.34,68.56,67.56,65.53,63.69,62.5,63.88,63.62,65.44,66.5,66.66,67.91,67.69,68.25,68.88,68.75,70.12,68.56,67.88,65.44,62.84,61.12,58.81,57.94,58.31,58.75,60.25,61.56,62.94,66.41,67.44,67.69,69.91,69.41,69.62,69.94,70.94,72.31,72.69,73.5,74.56,74.16,75.31,75.34,74.88,74.38,73.94,72.12,72.12,70.81,72.12,72.5,73.69,74.0,73.94,73.56,72.69,71.53,70.06,69.62,67.94,66.81,66.66,66.25,66.91,68.56,70.06,70.5,70.5,70.88,69.56,68.56,69.25,68.44,68.94,69.88,67.69,67.88,65.12,63.0,61.25,60.94,61.06,61.91,63.44,64.25,64.28,62.94,61.91,59.62,56.56,55.19,54.5,53.66,54.06,55.72,54.88,55.12,55.06,54.56,55.34,56.69,57.25,59.28,60.59,60.56,61.44,61.06,61.44,60.69,59.94,59.69,58.81,57.44,55.44,53.81,52.62,52.62,53.66,55.25,57.31,59.94,61.12,60.69,61.94,61.38,60.78,61.25,62.56,63.0,65.66,67.94,69.94,72.44,73.56,72.25,71.38,68.44,65.62,63.66,62.06,60.62,60.25,59.53,60.03,60.0,61.62,61.88,63.0,63.75,62.94,63.91,63.25,63.56,63.88,63.44,62.81,63.0,61.88,62.88,62.69,63.5,63.69,63.5,64.06,63.81,63.38,63.72,63.84,64.0,65.44,65.69,65.81,66.41,66.12,65.06,64.66,64.69,64.06,63.31,64.31,65.06,65.94,68.19,70.31,71.69,72.31,72.62,71.38,70.94,70.44,71.19,71.56,72.38,73.38,72.81,72.88,74.03,74.25,75.34,75.66,75.81,75.62,75.59,74.81,74.12,73.62,72.75,72.56,72.56,72.06,73.0,71.97,70.97,68.56,66.97,64.75,62.56,61.81,61.91,60.62,61.66,62.31,62.56,63.56,65.38,67.94,66.94,69.06,67.75,67.81,66.56,66.03,65.31,65.0,64.5,64.19,64.06,63.69,63.31,61.91,61.5,59.94,59.12,60.0,59.94,60.44,62.19,63.06,63.38,63.78,63.06,63.16,62.81,61.88,62.0,62.12,62.19,62.62,63.88,64.5,64.59,65.16,63.47,63.34,61.56,59.69,59.38,57.19,56.44,55.88,56.5,57.12,56.5,56.94,58.09,57.25,57.31,57.56,57.09,56.5,54.12,53.31,53.25,52.34,53.41,53.91,55.44,55.16,55.16,55.25,54.84,54.25,54.56,54.28,54.5,55.62,55.19,55.31,55.44,55.75,55.72,56.94,59.06,60.06,61.56,62.94,64.06,64.0,64.56,63.5,62.75,60.16,58.12,57.31,55.91,56.12,56.12,57.44,58.31,58.94,59.41,61.59,61.81,61.69,63.25,62.94,62.25,61.25,60.75,60.28,58.06,57.31,55.91,56.12,55.12,56.31,58.38,61.56,63.38,67.31,68.19,69.34,70.19,70.31,68.88,67.94,66.38,63.16,60.69,58.19,55.5,54.69,55.06,55.44,57.19,59.31,61.19,62.81,64.66,63.38,64.31,64.44,63.31,63.88,64.0,64.62,64.5,62.69,61.66,59.31,56.5,54.31,53.38,53.62,54.69,55.69,55.75,54.88,54.53,53.62,54.56,56.06,57.75,59.06,59.19,59.88,60.5,60.19,61.25,62.56,62.56,63.12,63.31,63.44,62.5,62.81,63.12,62.31,64.25,65.38,66.88,68.0,68.06,68.59,68.0,66.81,66.75,67.44,67.31,67.56,68.56,67.94,67.16,67.0,65.69,63.88,62.75,61.31,60.28,59.56,59.06,58.31,56.75,56.19,54.38,53.81,53.91,53.81,54.31,56.5,56.78,57.69,59.69,60.62,61.0,61.78,62.44,62.5,61.06,59.91,59.75,57.0,55.94,55.62,56.22,56.81,57.12,58.31,57.69,56.91,55.97,53.62,51.41,50.94,49.31,50.16,50.38,51.62,52.69,54.0,54.38,57.53,59.12,61.41,64.31,65.56,66.19,65.75,65.31,63.12,62.69,63.25,62.44,62.19,62.81,61.81,60.56,59.66,58.69,57.12,56.94,55.34,55.44,55.44,55.31,56.19,56.62,56.81,57.5,58.5,58.06,59.81,60.94,59.69,60.19,58.56,57.25,55.66,54.09,53.0,51.91,51.56,52.12,53.62,54.75,56.56,57.5,57.94,57.28,57.69,58.12,58.19,58.88,58.06,58.31,57.78,57.12,58.12,59.31,59.62,62.03,62.31,63.94,65.03,65.88,66.31,68.25,67.94,68.81,68.44,67.69,67.0,65.84,65.78,64.94,62.31,62.28,62.12,60.94,61.75,62.66,62.31,61.19,60.88,58.28,56.84,56.81,55.44,56.44,57.06,57.28,58.31,58.09,57.28,56.44,57.19,58.06,57.25,58.0,57.69,55.31,54.31,51.69,51.06,49.47,50.62,52.69,55.25,61.0,66.12,69.78,71.66,72.62,71.06,68.53,66.44,63.44,61.44,59.06,57.5,55.03,54.03,51.41,49.81,49.31,49.06,50.72,53.62,56.53,59.75,61.06,62.31,61.81,59.66,59.38,59.03,56.53,56.69,56.81,55.94,57.0,57.62,58.06,58.69,60.38,58.56,57.72,55.81,54.06,52.69,52.62,51.94,53.03,53.53,52.0,52.66,52.94,52.44,54.0,55.56,58.0,60.0,61.78,63.06,64.25,64.31,63.75,64.5,63.56,62.62,62.38,61.31,59.69,58.94,57.75,57.44,57.25,57.81,58.06,59.19,59.88,59.81,60.88,58.31,59.44,57.75,56.25,54.97,55.62,54.75,54.31,54.22,54.69,54.06,51.44,52.12,50.06,49.81,50.81,50.31,52.34,50.81,52.0,51.62,50.38,49.94,49.41,49.0,46.88,47.81,47.56,48.62,48.91,51.44,52.56,53.0,54.44,55.06,54.0,53.28,53.19,51.69,51.12,50.62,49.53,48.53,48.88,49.69,50.62,51.97,53.88,54.19,55.81,55.25,56.28,57.12,56.88,57.69,58.0,58.31,59.31,60.06,58.94,58.94,59.62,57.5,56.5,56.75,54.62,52.5,52.47,51.0,51.03,53.0,53.5,55.03,57.5,57.66,59.06,58.94,60.78,61.75,63.5,65.41,66.69,67.56,67.31,65.62,65.94,63.34,61.94,60.88,59.88,59.44,58.25,59.69,60.38,61.84,61.75,63.38,63.06,61.12,59.06,57.53,56.09,53.31,54.94,54.91,55.5,57.0,58.25,59.44,60.94,60.75,60.81,60.53,60.72,60.81,60.31,33.47,33.97,33.91,34.81,34.06,33.09,33.66,31.88,31.12,30.91,29.88,29.78,30.12,29.84,30.47,29.5,30.22,29.31,28.38,27.91,26.78,25.84,25.94,26.56,28.84,31.09,33.84,35.69,37.88,39.62:negativity
24.59,23.53,23.44,23.59,25.12,25.62,26.41,27.75,27.91,28.03,28.12,27.91,27.06,27.19,26.72,26.16,25.78,24.69,24.44,24.56,25.5,27.31,30.78,34.06,37.41,40.12,41.41,41.56,40.0,36.62,34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0:26.41,27.75,27.91,28.03,28.12,27.91,27.06,27.19,26.72,26.16,25.78,24.69,24.44,24.56,25.5,27.31,30.78,34.06,37.41,40.12,41.41,41.56,40.0,36.62,34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0,7.34,4.69,4.38,4.84,5.75,6.69:27.06,27.19,26.72,26.16,25.78,24.69,24.44,24.56,25.5,27.31,30.78,34.06,37.41,40.12,41.41,41.56,40.0,36.62,34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0,7.34,4.69,4.38,4.84,5.75,6.69,9.06,10.28,11.16,11.72,12.34,12.81:24.44,24.56,25.5,27.31,30.78,34.06,37.41,40.12,41.41,41.56,40.0,36.62,34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0,7.34,4.69,4.38,4.84,5.75,6.69,9.06,10.28,11.16,11.72,12.34,12.81,12.84,13.78,13.38,11.94,11.81,10.56:37.41,40.12,41.41,41.56,40.0,36.62,34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0,7.34,4.69,4.38,4.84,5.75,6.69,9.06,10.28,11.16,11.72,12.34,12.81,12.84,13.78,13.38,11.94,11.81,10.56,9.69,10.41,9.91,10.0,9.25,8.81:34.66,33.56,31.53,31.84,31.53,31.75,32.56,34.16,34.94,37.31,38.31,38.53,38.56,38.16,36.81,36.16,35.5,35.78,35.38,35.12,36.78,36.69,36.69,38.25,38.06,38.97,39.31,39.0,39.19,39.66,38.66,39.69,39.75,39.38,38.34,36.81,34.53,31.09,27.69,24.69,22.31,19.81,18.19,17.5,16.44,16.66,17.25,19.56,21.62,24.41,27.25,29.34,30.25,31.25,31.38,30.44,30.31,29.84,28.78,27.12,27.31,27.09,27.16,28.19,29.25,29.75,29.81,29.09,29.25,28.91,29.12,29.56,29.19,29.75,27.94,27.66,27.0,25.5,23.72,23.09,22.12,20.03,19.91,21.31,22.28,23.56,25.31,27.06,27.44,27.41,28.19,28.16,27.53,27.84,26.62,25.56,24.66,23.28,21.97,20.5,19.69,19.25,19.28,20.5,21.91,23.94,27.25,30.44,31.97,33.59,34.31,34.75,34.22,33.66,33.72,33.66,32.09,30.75,28.75,25.62,22.5,19.47,17.94,15.66,15.44,16.41,17.41,18.66,20.28,21.19,21.38,21.44,21.41,21.25,21.12,21.44,21.78,22.12,22.44,23.06,23.47,23.25,23.0,23.0,22.69,22.62,23.12,24.22,24.78,26.31,27.31,27.34,27.16,26.0,25.31,24.84,24.91,26.81,28.69,29.97,32.25,33.38,33.56,34.0,33.41,31.56,30.06,28.12,24.88,23.19,22.16,21.28,21.53,22.34,23.16,23.97,24.94,26.34,27.88,29.41,30.03,30.94,30.53,29.81,28.94,28.25,29.06,29.75,31.22,33.91,36.38,37.69,39.25,39.47,38.78,37.72,37.03,36.53,35.94,36.44,37.16,38.91,39.69,41.88,43.47,43.41,42.66,42.78,42.25,40.94,40.41,39.56,38.25,36.66,36.88,36.66,38.88,41.16,42.59,44.56,43.94,42.78,39.56,36.5,33.16,30.12,27.91,26.91,24.69,22.59,20.31,17.44,15.44,13.94,13.0,14.06,14.59,14.31,17.12,18.09,18.66,19.47,19.84,19.19,18.44,18.16,18.03,17.25,18.31,19.31,19.94,21.62,22.53,23.69,24.12,25.31,26.81,27.84,29.56,30.06,30.53,30.44,30.19,29.12,26.84,25.72,24.0,21.06,20.69,18.66,18.97,17.56,17.75,16.75,16.31,15.59,16.62,17.12,18.34,20.56,21.94,23.0,23.62,25.16,25.12,25.91,26.22,26.31,25.38,24.91,24.03,22.69,21.41,20.38,19.06,17.84,17.5,17.22,17.06,16.0,15.34,14.28,13.22,12.78,12.06,12.81,13.66,14.94,15.75,17.0,18.31,18.06,19.0,19.25,19.28,19.12,20.19,21.22,21.72,23.94,25.25,27.03,27.66,28.06,29.38,29.31,29.09,29.0,28.72,27.81,27.53,27.41,27.34,26.75,25.78,24.34,22.94,21.12,19.91,19.41,19.0,18.75,17.81,18.41,18.91,19.72,20.78,21.62,22.22,22.5,24.16,24.31,26.62,27.5,27.91,28.53,26.25,24.94,23.03,20.78,20.25,18.19,19.56,20.25,20.38,21.81,23.0,24.69,25.22,26.25,26.59,26.94,25.31,24.06,22.03,19.94,17.19,15.25,12.88,10.69,8.75,7.56,5.69,4.78,4.03,3.38,3.44,4.78,6.41,8.88,12.12,13.94,16.06,17.0,17.31,15.94,15.16,14.53,13.41,13.31,14.75,16.69,18.81,21.31,24.19,25.38,25.44,25.34,25.06,24.28,23.44,24.25,23.53,23.5,22.53,22.31,21.22,20.34,19.41,19.16,19.28,18.62,18.88,18.5,18.0,16.53,16.81,17.19,18.62,21.19,23.94,26.81,27.72,28.0,26.47,24.38,21.84,20.31,19.16,18.91,19.78,20.31,20.5,21.5,22.03,21.34,21.0,19.25,18.78,17.22,15.69,15.81,13.62,12.31,11.53,11.06,10.5,10.72,12.06,13.38,12.91,12.25,11.56,9.28,7.31,6.03,4.91,4.5,5.19,6.16,8.31,9.81,11.44,12.66,12.94,12.69,13.53,14.59,14.31,14.53,14.72,14.69,14.5,14.72,15.0,15.97,16.19,16.34,17.38,17.03,16.28,15.41,15.34,15.12,16.06,16.34,18.81,19.62,21.16,22.19,24.03,24.69,24.31,25.0,24.41,23.41,22.16,20.28,17.62,14.5,11.78,8.72,6.5,6.06,5.19,5.19,5.69,5.62,4.38,4.22,4.94,5.28,6.84,7.47,8.03,8.0,8.12,8.38,10.78,12.44,14.19,15.12,15.34,13.69,12.03,10.47,8.78,7.34,5.59,4.69,3.31,1.41,0.81,0.56,0.69,0.53,1.81,2.72,2.44,3.5,4.41,4.06,4.94,5.19,5.25,4.41,4.12,4.28,2.56,2.34,1.97,1.44,2.0,2.75,3.47,5.19,5.94,6.44,8.78,9.03,10.09,10.91,11.19,11.66,11.09,11.41,9.81,9.78,8.59,9.0,9.34,10.44,11.56,12.97,13.56,13.72,13.94,13.78,13.41,11.84,11.09,9.91,8.66,8.69,8.22,9.0,10.0,10.62,11.44,11.75,11.81,10.38,9.28,7.44,6.44,6.41,7.34,6.88,9.19,9.56,9.88,10.69,10.78,10.22,11.94,11.66,12.94,14.69,16.44,18.5,19.19,21.31,21.94,22.19,22.75,21.84,20.88,19.59,18.03,16.16,15.53,13.72,12.44,11.06,10.25,8.81,8.81,8.94,10.72,14.03,17.19,22.25,26.62,28.88,31.25,31.38,29.62,27.0,25.38,22.75,21.06,19.5,18.41,17.25,17.25,16.94,17.31,17.69,18.59,19.06,20.78,21.06,21.31,20.28,18.84,16.81,14.0,12.59,11.16,11.38,10.34,12.62,14.22,17.06,18.62,21.44,22.94,22.16,22.5,21.44,20.84,19.81,19.94,20.06,20.19,21.38,21.81,23.34,24.62,26.19,27.0,28.06,28.31,27.75,28.53,27.28,27.25,26.69,25.16,23.88,23.53,22.88,23.69,25.81,28.19,32.12,35.41,37.56,38.75,39.91,38.22,38.53,37.44,36.75,36.47,35.41,34.62,34.0,32.59,31.31,30.97,29.62,28.59,28.31,28.81,28.53,28.84,29.81,29.62,29.12,29.88,30.06,30.03,29.78,29.53,27.81,26.94,25.66,24.34,24.62,24.72,25.44,25.34,25.81,26.12,25.53,24.44,23.31,23.06,21.72,20.44,21.06,21.0,21.0,20.97,20.69,20.25,20.06,18.94,18.62,18.97,18.81,18.88,19.69,20.5,21.69,22.28,23.25,22.84,22.5,21.81,21.31,21.38,22.19,23.19,24.0,24.69,25.56,25.34,24.09,22.75,22.94,21.34,21.69,22.84,22.66,22.38,21.91,21.59,21.53,21.66,22.66,23.38,23.56,23.66,22.88,21.47,20.03,18.56,16.59,15.53,14.78,14.81,15.16,15.91,16.38,16.94,17.03,18.12,19.0,20.66,21.94,23.41,24.72,24.03,23.69,22.56,21.0,18.84,17.0,16.34,15.81,14.66,14.97,14.25,14.31,14.09,14.16,14.19,14.06,13.84,13.56,13.56,13.09,14.41,14.31,15.03,15.84,17.06,18.91,20.16,21.12,21.72,21.94,21.81,20.34,19.31,18.5,18.28,18.53,19.44,20.19,20.5,20.44,20.06,20.56,21.34,23.88,26.94,30.41,32.94,34.62,34.09,32.03,29.97,27.0,7.34,4.69,4.38,4.84,5.75,6.69,9.06,10.28,11.16,11.72,12.34,12.81,12.84,13.78,13.38,11.94,11.81,10.56,9.69,10.41,9.91,10.0,9.25,8.81,7.31,6.56,5.94,6.0,6.62,7.75:negativity
28.41,28.84,28.88,29.75,28.72,26.81,25.12,24.22,22.41,22.09,22.84,23.31,24.91,24.53,24.22,24.56,22.38,20.97,19.97,18.38,17.5,16.0,16.5,17.66,18.03,20.69,23.34,26.47,29.88,33.62,35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25:25.12,24.22,22.41,22.09,22.84,23.31,24.91,24.53,24.22,24.56,22.38,20.97,19.97,18.38,17.5,16.0,16.5,17.66,18.03,20.69,23.34,26.47,29.88,33.62,35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25,12.31,13.75,13.84,12.94,10.69,8.03:24.91,24.53,24.22,24.56,22.38,20.97,19.97,18.38,17.5,16.0,16.5,17.66,18.03,20.69,23.34,26.47,29.88,33.62,35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25,12.31,13.75,13.84,12.94,10.69,8.03,5.44,3.25,0.91,-0.09,0.84,1.16:19.97,18.38,17.5,16.0,16.5,17.66,18.03,20.69,23.34,26.47,29.88,33.62,35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25,12.31,13.75,13.84,12.94,10.69,8.03,5.44,3.25,0.91,-0.09,0.84,1.16,2.12,2.81,2.56,3.56,2.62,2.53:18.03,20.69,23.34,26.47,29.88,33.62,35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25,12.31,13.75,13.84,12.94,10.69,8.03,5.44,3.25,0.91,-0.09,0.84,1.16,2.12,2.81,2.56,3.56,2.62,2.53,2.53,2.12,2.78,1.91,2.19,1.41:35.66,35.69,35.12,32.66,30.12,27.06,25.16,24.41,23.12,23.28,24.28,25.06,25.94,26.28,25.75,25.16,25.81,27.91,30.94,35.81,40.41,44.41,47.5,48.0,47.38,45.56,43.06,40.53,39.56,38.0,36.03,33.91,31.38,28.22,24.88,20.81,19.28,16.62,16.0,16.91,18.0,19.5,21.25,22.12,23.34,21.84,23.0,22.03,23.03,24.62,26.53,28.56,29.0,29.25,30.94,29.62,29.34,29.25,28.31,29.84,30.09,31.53,34.84,36.88,39.25,42.06,43.25,43.53,42.75,41.69,39.16,37.0,37.03,36.5,35.34,36.75,36.12,35.72,35.09,33.06,31.09,28.5,26.0,24.78,24.16,23.66,24.91,26.0,27.56,28.91,29.5,29.47,28.62,26.53,24.25,22.06,20.06,18.44,16.5,15.44,15.53,14.34,14.0,13.34,11.09,10.31,9.78,9.38,10.81,12.06,13.69,16.56,18.22,20.69,23.91,24.97,25.16,25.12,23.56,21.47,19.94,20.03,20.09,21.91,23.69,27.19,29.66,33.0,35.91,38.25,40.31,41.88,43.41,43.47,44.06,44.75,44.41,44.69,44.53,42.69,40.5,37.53,33.88,31.06,30.25,30.03,30.31,30.5,32.06,32.84,32.88,34.31,34.22,33.47,33.12,31.66,29.88,26.84,24.88,22.22,18.94,17.78,16.41,16.06,16.28,16.41,16.5,17.0,17.06,17.91,18.41,19.16,19.53,20.69,19.44,18.62,20.06,20.44,22.19,26.28,29.12,32.66,36.44,38.53,40.91,41.91,42.62,41.91,40.41,38.53,37.56,36.44,37.22,38.16,39.0,40.12,40.72,40.38,39.97,40.31,38.56,38.94,37.56,37.69,36.97,36.62,36.06,34.09,32.0,29.06,26.06,23.59,20.41,17.75,17.38,16.38,17.19,18.62,18.81,21.06,21.94,23.38,24.06,26.53,27.78,30.12,32.62,35.62,39.31,41.78,43.91,43.38,43.91,43.19,43.44,44.91,45.16,44.94,44.84,41.88,38.84,35.5,33.75,31.47,30.25,29.47,28.25,26.94,25.19,26.31,26.44,29.12,32.91,36.91,39.94,41.53,42.0,39.41,35.69,31.25,26.19,22.47,18.69,16.59,16.19,15.91,16.78,18.5,20.19,22.38,24.28,24.19,24.22,25.28,24.59,24.44,25.22,26.12,26.78,26.94,26.88,26.94,27.34,27.53,27.75,27.97,28.97,29.38,29.91,30.56,31.19,32.38,33.38,32.94,33.88,33.28,34.06,34.94,34.16,31.88,30.03,27.19,23.88,21.44,20.78,20.47,20.91,21.94,22.31,24.28,25.88,26.59,28.44,30.34,31.44,32.69,34.0,33.66,33.41,34.03,32.88,32.69,32.31,30.19,27.62,25.06,21.41,17.34,14.31,11.06,9.19,8.41,8.0,8.47,9.5,11.19,11.38,12.06,12.16,12.44,12.62,13.44,14.38,16.56,19.19,21.06,23.41,23.44,24.41,24.25,23.91,23.56,24.94,26.03,27.0,28.78,30.66,30.59,31.06,32.69,31.94,32.06,31.5,30.19,29.09,27.62,27.72,28.5,29.56,30.5,30.19,29.41,28.0,26.81,25.19,24.5,22.94,23.34,23.03,23.03,23.53,24.31,24.09,25.38,25.88,25.44,25.88,24.09,23.56,23.78,24.38,25.31,26.91,27.19,26.41,24.41,23.94,22.94,22.34,21.91,22.38,22.5,23.09,24.12,24.5,26.12,26.81,27.19,27.69,27.19,28.03,28.28,28.44,29.38,30.16,29.47,28.34,27.53,26.12,24.16,23.09,22.59,21.0,19.25,17.66,16.5,16.38,15.44,16.47,14.56,16.47,16.81,16.25,17.62,18.69,18.81,18.56,18.5,18.41,18.41,17.06,16.69,16.31,15.84,16.31,16.44,16.66,17.06,16.25,16.84,17.44,17.38,18.38,20.0,20.31,20.09,20.38,20.56,21.53,22.97,25.41,27.06,29.03,29.59,29.66,30.0,28.12,27.44,24.41,22.56,18.94,17.44,15.84,14.78,14.66,13.94,13.44,13.0,12.78,12.62,12.69,12.41,12.84,13.44,13.62,14.0,12.38,10.56,9.34,7.88,7.81,9.12,12.38,15.62,19.06,21.19,21.31,20.34,17.69,14.81,12.84,11.56,11.34,12.19,13.25,14.91,16.94,16.81,17.56,18.81,16.94,17.31,15.75,15.34,13.31,12.25,12.03,11.44,11.91,11.69,12.66,12.69,13.19,12.31,10.81,10.88,10.06,10.28,11.81,12.62,13.59,13.66,14.0,12.84,12.88,13.03,12.59,12.97,12.12,11.84,10.78,9.28,8.0,7.0,7.16,6.59,7.97,9.0,10.19,11.44,11.88,12.56,12.81,12.56,12.31,13.56,13.88,14.81,15.25,16.28,15.94,15.75,15.28,15.06,14.28,14.44,14.97,14.66,15.78,15.56,16.84,16.69,15.88,14.75,13.34,12.09,9.91,8.59,8.16,7.5,7.19,7.19,7.59,8.38,8.75,9.22,9.97,9.31,9.62,8.06,8.44,8.31,7.81,8.88,10.28,9.81,9.06,8.31,6.56,5.53,4.16,2.75,3.62,3.53,5.31,6.94,8.47,10.72,11.75,11.34,12.25,11.16,10.91,10.69,9.81,9.34,9.16,9.84,9.75,10.75,10.31,10.16,9.69,10.41,10.81,11.03,11.44,11.66,10.38,9.91,8.69,8.66,8.41,8.75,8.06,7.53,6.12,5.72,5.38,5.53,5.47,5.84,6.03,6.31,6.84,6.41,6.34,6.44,5.06,4.78,5.75,7.03,9.91,11.59,13.16,13.5,13.97,14.41,12.66,12.62,11.16,9.25,7.28,5.62,4.62,5.03,5.5,7.59,9.75,10.97,12.06,12.16,10.94,9.19,8.44,7.03,6.81,7.56,8.03,8.88,9.69,10.34,11.12,10.19,11.25,11.84,11.19,12.91,13.84,14.0,15.91,16.78,16.53,17.81,18.03,18.94,18.94,17.72,17.81,17.28,17.31,17.81,18.12,19.31,20.31,21.06,21.72,21.53,21.44,20.06,17.31,16.44,14.81,15.03,16.5,18.19,19.91,22.28,23.97,25.47,26.12,27.19,26.5,26.09,24.78,24.25,22.31,21.84,20.0,16.78,14.06,10.62,6.81,6.56,7.66,10.78,14.16,16.97,19.94,20.88,20.44,20.47,18.06,16.41,15.44,13.78,11.75,10.5,9.06,7.53,5.47,3.22,3.12,2.91,2.78,4.12,4.94,5.31,4.25,4.84,4.56,5.69,8.19,10.91,13.84,14.78,14.91,13.84,11.84,9.56,6.72,4.62,3.25,2.0,1.44,1.91,1.34,2.44,2.06,0.81,0.31,-0.47,-1.44,-1.34,-1.78,-2.34,-0.91,-1.5,-1.12,-0.72,-0.28,0.47,1.19,2.28,2.78,3.56,2.78,2.84,2.44,2.53,3.31,4.97,5.53,7.16,6.41,6.84,7.25,6.41,5.78,5.5,5.06,4.69,3.47,2.56,1.12,-0.75,-1.84,-3.97,-4.59,-5.09,-5.59,-6.78,-5.81,-6.28,-4.88,-3.84,-2.72,-1.56,-2.16,-3.16,-3.94,-6.53,-7.81,-9.16,-9.56,-10.59,-11.09,-11.56,-13.66,-15.72,-18.72,-20.66,-23.34,-26.16,-27.5,-28.97,-32.28,-34.97,-36.91,-38.03,-39.53,-39.16,-38.41,-36.84,-36.03,-34.22,-32.97,-30.91,-30.22,-30.22,-30.47,-31.06,-31.56,-32.47,-33.5,-33.25,12.31,13.75,13.84,12.94,10.69,8.03,5.44,3.25,0.91,-0.09,0.84,1.16,2.12,2.81,2.56,3.56,2.62,2.53,2.53,2.12,2.78,1.91,2.19,1.41,1.75,1.75,1.59,-0.22,-1.5,-3.38:negativity
39.56,41.75,41.72,43.12,43.06,43.34,44.19,45.09,44.69,47.19,44.69,46.78,46.41,46.25,46.56,47.62,48.62,48.22,48.44,48.25,47.66,47.53,44.62,45.84,46.38,46.5,48.53,52.69,53.56,55.56,55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06:44.19,45.09,44.69,47.19,44.69,46.78,46.41,46.25,46.56,47.62,48.62,48.22,48.44,48.25,47.66,47.53,44.62,45.84,46.38,46.5,48.53,52.69,53.56,55.56,55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06,7.88,9.09,10.12,11.94,13.94,14.28:46.41,46.25,46.56,47.62,48.62,48.22,48.44,48.25,47.66,47.53,44.62,45.84,46.38,46.5,48.53,52.69,53.56,55.56,55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06,7.88,9.09,10.12,11.94,13.94,14.28,14.41,14.38,10.53,7.97,1.78,-1.44:48.44,48.25,47.66,47.53,44.62,45.84,46.38,46.5,48.53,52.69,53.56,55.56,55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06,7.88,9.09,10.12,11.94,13.94,14.28,14.41,14.38,10.53,7.97,1.78,-1.44,-5.16,-5.97,-4.72,-1.66,2.25,5.28:46.38,46.5,48.53,52.69,53.56,55.56,55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06,7.88,9.09,10.12,11.94,13.94,14.28,14.41,14.38,10.53,7.97,1.78,-1.44,-5.16,-5.97,-4.72,-1.66,2.25,5.28,8.78,11.31,12.56,13.41,15.66,15.31:55.69,55.91,56.31,55.16,54.75,53.41,51.69,50.81,49.72,50.03,49.88,53.88,54.88,57.47,58.81,60.16,60.34,57.44,57.78,56.06,55.31,55.25,56.97,56.66,54.84,57.03,54.94,55.03,55.09,54.78,53.41,52.66,51.19,51.69,51.25,51.12,51.12,51.25,50.0,47.19,45.56,44.06,43.31,44.66,46.16,48.31,50.25,50.94,52.69,54.38,54.41,55.38,54.75,54.06,50.53,51.31,49.81,50.41,51.47,52.59,53.97,52.25,51.03,50.31,49.09,48.59,49.66,48.09,48.34,48.09,46.94,46.84,46.69,46.41,47.28,46.09,45.53,46.19,47.47,47.84,48.0,51.25,50.94,51.53,52.22,51.91,51.84,51.94,51.22,52.97,54.56,56.28,57.31,60.28,61.06,62.06,62.38,61.75,61.94,59.5,57.72,56.91,55.5,53.94,54.28,55.34,56.03,57.59,59.06,59.97,59.91,58.31,58.03,56.75,56.97,56.0,55.72,53.31,54.38,53.41,53.16,54.06,53.91,55.25,54.66,55.62,55.38,55.78,56.16,56.22,56.44,57.25,54.75,56.97,55.28,54.72,54.69,54.12,54.06,52.69,52.06,50.94,51.03,46.19,48.34,47.28,47.38,49.38,51.03,51.53,53.0,52.44,52.22,49.78,50.62,49.03,48.06,48.84,48.34,48.38,48.44,47.69,46.28,45.41,44.25,45.06,44.91,46.09,48.78,49.34,50.44,50.31,50.44,49.19,49.75,49.41,47.25,45.38,45.97,44.69,45.41,47.66,49.16,50.41,51.66,53.06,53.44,52.94,53.0,51.53,51.16,50.66,50.91,50.38,50.12,49.09,47.19,47.03,45.38,44.53,44.56,45.41,46.88,47.41,49.69,51.62,54.91,54.31,56.59,57.62,57.38,58.31,57.12,56.78,52.44,51.38,47.94,45.47,46.12,45.88,46.06,45.62,45.62,43.94,43.88,41.81,41.59,41.44,42.31,44.03,45.84,47.5,48.78,49.75,49.69,51.78,53.31,54.56,54.22,56.22,55.88,54.31,53.75,53.53,52.16,50.56,50.0,49.34,48.0,48.47,48.12,44.66,45.5,44.84,44.69,45.66,48.81,50.88,52.88,54.84,56.28,56.69,57.56,55.25,55.03,53.81,51.66,51.31,51.31,51.12,49.25,47.56,45.34,43.97,42.44,40.75,42.75,42.62,41.16,44.62,46.25,47.19,50.94,55.06,59.0,60.5,59.41,58.16,55.81,51.62,49.47,48.25,47.94,47.06,48.31,48.66,49.5,51.06,51.16,51.91,51.78,49.94,48.97,49.31,48.5,49.69,52.31,55.12,57.91,60.72,63.97,65.12,67.19,67.12,68.44,68.12,64.16,64.84,59.91,58.44,56.56,55.09,54.12,53.84,54.03,51.66,54.72,54.16,54.81,56.56,57.09,57.34,57.75,58.28,58.16,58.06,55.0,54.78,51.78,49.59,48.22,45.97,44.66,42.28,37.81,37.47,36.69,36.0,37.09,40.41,41.62,42.34,42.75,43.38,41.78,45.56,45.81,47.97,50.5,51.28,51.72,50.25,49.22,48.16,46.38,45.56,46.16,43.88,45.31,44.16,43.62,42.25,41.59,41.31,40.19,40.94,41.5,38.81,40.91,39.84,38.56,39.31,40.56,40.38,40.69,41.56,42.34,42.84,42.25,42.78,40.5,40.91,39.62,37.38,35.31,33.56,29.91,26.78,23.53,21.19,17.12,16.88,17.31,20.75,23.94,27.94,27.47,32.56,31.28,31.94,34.16,35.81,37.88,39.66,40.94,42.03,43.75,45.34,45.66,46.28,42.62,43.81,40.78,39.31,38.56,38.88,37.78,36.94,33.78,34.34,33.28,31.94,33.31,32.94,33.91,32.56,34.06,33.41,35.97,37.81,40.25,39.41,43.66,43.62,43.44,44.0,43.19,42.03,39.84,37.41,34.06,32.41,32.41,32.81,35.84,38.94,41.62,42.66,42.72,39.88,36.91,31.09,30.44,27.84,28.84,30.38,35.28,36.84,37.12,37.69,33.16,32.72,30.0,27.28,27.12,26.19,25.56,25.0,26.84,28.34,29.97,31.91,32.03,33.09,33.72,35.22,38.06,41.59,45.09,47.75,49.25,49.44,47.0,44.84,41.06,37.97,36.81,35.25,35.31,36.97,38.75,39.0,42.06,39.47,43.78,43.34,45.38,47.44,48.16,48.69,46.72,44.59,44.25,41.19,38.75,38.12,36.16,34.81,35.47,35.69,37.0,38.53,38.75,40.56,42.44,44.56,46.06,45.0,46.16,44.12,42.0,40.19,39.12,36.81,35.72,35.59,35.47,36.59,38.44,41.16,44.03,44.22,48.25,48.44,50.56,52.66,53.72,53.38,54.56,53.78,52.5,50.91,47.19,48.97,45.72,46.22,46.47,48.41,48.22,49.41,49.19,48.66,47.94,47.81,46.66,46.19,45.5,44.5,43.06,42.44,41.25,37.75,35.94,31.66,28.09,25.25,23.97,22.16,20.0,23.28,23.66,25.94,27.66,30.16,30.88,32.0,33.88,34.81,33.47,36.0,35.12,36.16,37.47,38.56,38.91,36.62,34.38,31.94,28.69,26.53,24.84,22.19,22.38,21.84,21.97,21.44,22.78,23.56,22.94,23.97,24.34,25.09,22.34,25.94,25.62,25.72,29.31,32.16,33.12,35.47,36.69,38.16,39.31,38.12,35.91,36.56,34.75,34.25,33.97,32.53,30.69,27.53,25.19,23.78,22.06,24.53,24.56,26.25,28.69,30.31,32.0,34.03,36.81,38.72,40.59,41.91,42.44,40.34,40.75,37.31,35.91,33.44,32.19,31.12,30.81,31.22,32.31,33.88,34.97,33.56,36.19,34.31,34.12,35.06,35.16,34.91,34.81,35.44,35.41,35.44,35.75,34.28,33.44,32.78,28.94,30.16,27.66,29.06,30.22,32.06,35.22,35.91,36.59,37.41,37.38,35.56,35.28,34.38,30.69,32.22,32.38,33.41,36.41,38.91,42.94,44.44,45.91,46.81,46.94,45.31,43.97,41.78,40.38,37.62,39.03,38.38,38.72,39.12,38.28,35.91,33.16,31.28,28.34,26.19,25.56,23.41,22.62,21.91,21.75,19.41,22.75,22.25,22.34,23.06,22.94,21.88,20.66,20.81,20.97,21.53,21.28,21.19,18.5,19.12,16.69,16.31,14.78,14.69,13.12,13.81,15.88,18.69,22.12,25.31,29.12,33.19,34.78,37.12,36.19,36.66,33.34,31.31,29.31,28.38,25.56,24.28,22.56,22.16,21.47,23.53,24.53,25.69,28.84,32.12,33.5,35.94,38.16,37.25,39.62,39.84,40.62,41.81,42.66,42.53,41.19,41.69,41.69,41.0,40.44,39.56,38.22,35.53,33.69,33.62,31.44,31.06,31.69,30.56,31.38,33.22,32.84,37.78,39.72,41.91,44.12,44.81,44.19,42.44,41.31,41.16,41.91,42.34,42.72,43.0,42.25,40.44,39.91,39.12,36.53,37.72,36.91,37.28,38.44,40.56,42.16,42.03,43.06,45.31,46.53,48.72,50.03,52.28,51.75,52.31,50.53,48.62,47.0,44.56,39.12,38.34,34.53,33.81,34.0,34.22,35.28,34.69,34.31,33.25,31.94,30.41,29.47,28.5,27.19,26.69,26.34,25.66,26.75,26.97,24.19,26.22,27.38,29.41,32.88,35.25,36.44,36.12,34.62,32.28,28.78,26.78,23.72,21.25,20.41,20.12,20.94,21.06,7.88,9.09,10.12,11.94,13.94,14.28,14.41,14.38,10.53,7.97,1.78,-1.44,-5.16,-5.97,-4.72,-1.66,2.25,5.28,8.78,11.31,12.56,13.41,15.66,15.31,16.44,18.19,19.12,21.78,23.09,25.22:negativity
56.25,58.44,59.72,59.72,59.56,55.72,52.41,48.81,47.53,47.75,50.84,53.59,55.94,57.78,57.62,58.0,56.28,54.66,51.97,49.88,47.59,47.44,48.06,50.59,55.22,56.44,58.09,58.94,58.38,56.88,56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19:52.41,48.81,47.53,47.75,50.84,53.59,55.94,57.78,57.62,58.0,56.28,54.66,51.97,49.88,47.59,47.44,48.06,50.59,55.22,56.44,58.09,58.94,58.38,56.88,56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19,5.03,2.53,0.31,-3.41,-4.47,-7.16:55.94,57.78,57.62,58.0,56.28,54.66,51.97,49.88,47.59,47.44,48.06,50.59,55.22,56.44,58.09,58.94,58.38,56.88,56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19,5.03,2.53,0.31,-3.41,-4.47,-7.16,-5.06,-5.28,-1.69,2.06,5.56,8.25:51.97,49.88,47.59,47.44,48.06,50.59,55.22,56.44,58.09,58.94,58.38,56.88,56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19,5.03,2.53,0.31,-3.41,-4.47,-7.16,-5.06,-5.28,-1.69,2.06,5.56,8.25,11.88,11.66,10.88,9.0,6.84,4.03:55.22,56.44,58.09,58.94,58.38,56.88,56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19,5.03,2.53,0.31,-3.41,-4.47,-7.16,-5.06,-5.28,-1.69,2.06,5.56,8.25,11.88,11.66,10.88,9.0,6.84,4.03,1.19,-1.06,-2.97,-2.56,-2.0,-0.53:56.5,55.78,56.06,55.66,54.94,55.94,54.41,54.0,55.16,55.44,57.38,59.53,61.75,62.75,63.0,61.88,59.78,59.03,56.53,55.16,53.25,52.88,51.06,50.94,49.47,50.03,51.06,52.62,54.19,56.78,58.44,59.66,61.0,62.78,62.59,63.78,64.56,64.94,64.75,64.03,63.25,63.47,62.38,60.91,61.94,62.38,61.69,62.66,61.78,60.94,61.31,59.66,59.12,59.12,59.56,60.81,62.34,63.25,64.56,63.34,63.75,61.81,61.31,60.75,60.91,61.75,61.75,60.28,59.66,56.31,54.53,53.84,53.0,52.19,53.25,51.41,51.12,50.69,48.56,49.91,49.62,51.66,54.31,56.97,58.06,57.91,56.28,54.06,52.16,51.19,51.31,51.66,53.0,53.59,53.44,54.22,53.16,53.62,55.28,56.31,58.59,60.62,63.75,65.44,66.78,69.38,70.59,72.03,72.88,73.0,72.12,71.62,71.25,71.47,69.28,69.78,70.62,67.62,68.5,67.44,65.25,63.75,62.31,59.56,56.31,53.25,51.88,50.19,48.12,48.06,47.88,48.88,49.91,50.66,52.41,53.09,52.88,52.31,51.94,52.12,52.75,53.94,55.72,58.22,58.94,61.12,64.28,65.56,67.97,69.53,70.97,72.34,71.47,70.97,70.88,69.44,67.16,65.72,64.59,63.62,63.16,64.44,64.59,66.88,66.62,67.06,68.22,68.06,67.56,68.09,68.56,68.12,67.53,66.34,65.19,64.28,61.19,60.44,60.06,59.72,58.5,58.12,59.0,56.69,57.69,57.88,60.28,62.78,66.25,71.19,74.34,78.41,80.5,81.75,81.69,79.69,76.81,74.75,73.16,72.31,73.56,75.09,76.25,75.22,76.28,75.41,74.62,74.03,72.12,71.06,69.03,67.72,67.44,67.31,67.91,70.25,69.59,70.41,70.97,70.25,70.12,70.72,70.72,67.91,66.91,65.12,62.0,60.69,58.94,58.19,59.12,59.81,62.56,63.84,65.56,66.53,64.56,63.38,62.16,61.16,61.38,62.22,63.66,67.44,70.28,72.88,73.03,74.88,74.31,72.78,71.69,69.09,65.84,64.25,61.56,60.38,60.97,61.81,64.06,66.59,68.0,71.94,74.44,75.62,77.19,77.84,77.16,76.56,75.06,72.91,71.53,70.19,67.56,65.81,64.75,62.44,61.56,59.75,60.16,59.16,59.75,59.72,62.12,62.06,62.94,63.53,64.44,65.56,67.03,68.81,69.62,71.25,70.34,69.56,67.44,64.38,63.25,61.25,59.19,60.97,61.38,63.69,66.31,69.5,71.12,72.84,74.28,74.34,72.34,72.19,71.97,71.06,70.59,71.06,71.84,71.56,72.34,72.91,72.59,70.81,71.34,71.84,67.66,69.19,67.81,66.91,65.53,65.78,65.72,66.09,65.59,65.72,65.66,65.97,65.56,64.78,64.88,63.97,63.78,61.38,61.06,59.31,58.25,56.22,55.53,55.06,55.19,54.41,54.56,55.69,55.59,56.94,57.72,59.56,60.53,61.41,63.31,64.16,65.0,65.91,66.84,65.78,64.59,63.28,60.81,59.41,59.47,58.69,59.12,61.0,62.72,63.69,64.12,64.38,62.19,61.09,58.38,56.25,55.56,56.53,57.25,58.97,60.59,62.06,62.25,61.72,61.16,58.91,57.44,57.84,55.84,57.0,56.69,56.03,55.66,55.25,54.47,54.81,56.38,58.06,60.84,65.28,67.5,69.25,72.78,72.22,73.25,71.84,69.81,67.34,64.88,61.38,57.59,57.28,55.91,56.16,57.38,58.31,59.62,59.31,61.12,60.62,60.62,60.72,60.75,60.69,60.25,60.94,63.62,65.28,66.5,65.72,66.69,65.06,62.94,62.03,59.56,60.19,58.53,57.94,58.25,56.06,55.69,54.31,53.84,52.72,53.34,52.91,54.28,55.41,56.31,58.72,60.31,61.22,60.75,62.12,60.84,61.28,62.09,61.66,62.19,63.41,62.56,61.41,60.28,58.34,57.12,55.16,54.47,52.5,52.88,53.66,53.94,56.34,57.5,58.69,58.25,56.75,56.47,56.44,55.25,57.44,57.66,57.91,58.12,58.62,58.84,58.75,59.16,57.72,57.28,55.84,54.78,53.53,54.09,53.91,55.34,57.59,58.97,61.0,61.84,61.94,62.94,61.62,60.94,61.06,60.09,59.81,61.44,60.62,62.03,60.5,61.25,60.56,59.25,59.0,58.47,58.62,57.25,57.0,56.81,56.91,57.72,59.16,59.31,59.41,59.38,58.0,58.31,58.0,57.44,58.25,58.38,58.47,57.81,57.91,56.19,57.03,58.28,58.66,60.44,61.38,61.34,61.62,59.94,59.47,57.69,55.0,53.72,53.25,49.19,48.5,47.34,47.06,47.5,47.97,50.5,53.84,56.03,59.31,61.28,62.44,62.94,61.41,60.31,57.88,55.81,54.5,53.69,55.41,57.56,59.97,63.19,65.53,66.41,67.81,67.69,69.03,67.88,68.12,66.81,66.03,64.25,64.91,64.81,62.06,63.72,61.69,59.19,58.81,56.78,55.56,56.59,56.69,59.25,61.12,61.0,62.94,62.66,61.31,60.53,59.22,59.47,60.62,62.78,66.09,70.56,72.56,77.34,77.06,77.12,75.59,72.19,68.22,63.91,63.12,61.84,60.88,61.72,61.44,61.84,61.97,61.78,63.22,63.31,62.03,61.56,61.44,60.81,61.53,62.12,63.06,62.28,64.12,63.94,64.06,64.69,65.84,64.94,65.25,64.34,63.19,61.34,62.12,61.31,63.81,65.59,67.03,69.53,69.0,70.59,70.28,69.69,69.75,68.09,67.0,67.06,66.34,64.94,66.03,64.59,65.44,66.75,68.31,70.72,72.72,75.25,76.69,77.09,76.53,76.56,73.56,69.66,67.66,64.53,62.31,60.97,59.62,59.25,57.88,57.31,57.38,56.84,57.81,59.28,60.0,60.81,61.25,63.34,63.5,64.12,63.78,62.0,58.56,55.22,53.97,52.69,52.25,55.0,56.03,57.25,57.91,59.06,59.03,60.31,60.0,60.78,61.62,60.47,61.41,62.5,61.75,62.69,61.62,61.56,60.41,57.78,56.75,54.5,52.41,51.31,49.91,49.5,48.62,49.12,50.12,49.38,50.12,50.78,50.34,50.56,49.34,49.72,49.41,49.69,51.97,52.16,53.06,53.91,52.94,51.88,50.28,48.72,47.56,47.81,46.5,47.09,47.53,47.94,47.69,47.75,48.5,48.22,49.31,50.12,51.38,52.28,53.06,53.0,53.94,54.78,56.19,55.94,57.31,56.91,55.44,54.84,55.44,55.44,57.44,58.19,59.03,58.16,58.06,57.0,56.41,55.88,55.66,56.53,56.31,56.91,57.25,57.06,56.44,52.91,53.44,50.72,49.91,48.78,48.88,47.5,46.56,45.84,45.91,44.94,45.69,45.78,45.66,45.84,44.81,43.12,42.06,41.06,41.72,43.56,46.28,49.78,53.66,54.75,55.31,55.47,54.62,54.81,56.0,56.22,56.22,56.31,55.5,54.41,54.19,54.91,56.09,57.31,59.41,62.56,64.59,66.19,68.0,66.31,65.91,65.06,63.12,61.62,58.12,55.22,51.22,47.19,44.56,41.62,40.59,37.81,38.38,37.94,38.31,36.88,37.56,35.28,36.09,36.12,37.25,38.78,38.97,39.69,40.06,41.41,42.34,44.91,46.81,49.5,48.84,48.25,47.19,44.31,41.41,40.16,38.19,5.03,2.53,0.31,-3.41,-4.47,-7.16,-5.06,-5.28,-1.69,2.06,5.56,8.25,11.88,11.66,10.88,9.0,6.84,4.03,1.19,-1.06,-2.97,-2.56,-2.0,-0.53,2.91,5.72,7.84,9.12,9.78,9.31:negativity
16.75,15.69,14.88,14.69,14.62,15.41,16.62,18.16,20.5,20.59,19.94,18.28,15.81,13.19,10.62,9.25,7.94,8.12,9.81,11.53,14.38,18.5,20.91,22.69,23.44,22.38,20.91,17.56,15.06,14.25,13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16:16.62,18.16,20.5,20.59,19.94,18.28,15.81,13.19,10.62,9.25,7.94,8.12,9.81,11.53,14.38,18.5,20.91,22.69,23.44,22.38,20.91,17.56,15.06,14.25,13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16,-5.59,-6.03,-6.72,-6.97,-6.56,-6.59:15.81,13.19,10.62,9.25,7.94,8.12,9.81,11.53,14.38,18.5,20.91,22.69,23.44,22.38,20.91,17.56,15.06,14.25,13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16,-5.59,-6.03,-6.72,-6.97,-6.56,-6.59,-5.22,-4.22,-2.75,-2.56,-4.09,-5.16:9.81,11.53,14.38,18.5,20.91,22.69,23.44,22.38,20.91,17.56,15.06,14.25,13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16,-5.59,-6.03,-6.72,-6.97,-6.56,-6.59,-5.22,-4.22,-2.75,-2.56,-4.09,-5.16,-8.47,-11.09,-14.03,-14.31,-15.78,-14.81:23.44,22.38,20.91,17.56,15.06,14.25,13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16,-5.59,-6.03,-6.72,-6.97,-6.56,-6.59,-5.22,-4.22,-2.75,-2.56,-4.09,-5.16,-8.47,-11.09,-14.03,-14.31,-15.78,-14.81,-12.97,-11.97,-9.16,-4.81,-2.84,-0.16:13.47,13.94,14.88,16.06,16.59,16.91,17.12,16.38,17.81,19.06,20.69,23.75,25.5,27.12,25.62,23.34,19.88,13.91,10.25,5.88,2.94,2.03,1.66,2.5,5.03,7.75,10.81,14.12,16.94,19.06,20.03,20.28,19.66,18.72,17.56,15.44,14.03,12.88,10.59,10.25,9.47,8.91,8.78,9.31,9.12,9.44,10.16,11.88,12.81,13.88,15.62,16.31,17.28,17.53,18.78,19.72,20.09,21.16,21.84,23.78,24.69,25.81,26.72,26.41,26.66,25.94,26.31,25.59,24.94,22.44,21.25,18.81,17.94,17.81,19.72,23.03,26.22,29.0,30.81,29.62,28.78,27.97,27.44,27.06,26.81,25.44,24.06,22.0,19.94,18.19,17.0,14.97,14.0,13.12,12.66,12.94,14.38,16.0,17.06,19.59,22.34,24.22,26.03,27.12,29.12,30.12,30.94,32.31,32.69,32.28,30.28,27.53,25.03,22.0,20.44,19.16,18.94,17.81,18.03,17.56,17.84,18.34,18.72,19.19,19.78,19.47,20.41,21.53,22.56,24.19,25.06,26.22,27.56,27.75,28.34,27.91,27.84,26.59,24.34,23.91,21.5,21.62,20.78,20.72,20.28,19.25,19.72,19.72,20.25,21.03,20.91,20.94,18.47,16.75,14.75,11.84,11.0,10.12,9.62,10.78,11.91,13.0,15.19,15.88,17.81,19.38,20.06,20.5,21.91,20.0,20.41,19.47,18.16,18.47,17.28,17.66,17.97,17.84,18.16,18.5,17.06,14.94,13.91,11.94,11.19,12.12,13.19,15.19,17.0,17.62,18.53,17.78,17.88,16.69,17.81,18.5,19.19,19.03,20.91,20.88,20.88,20.94,21.44,21.31,21.06,21.12,20.75,20.75,21.09,21.56,21.5,21.62,21.44,21.03,19.81,18.91,19.06,19.94,20.16,21.69,23.25,24.88,25.47,25.91,26.56,26.31,24.81,23.84,22.19,20.06,19.41,19.91,21.12,21.75,23.0,24.69,25.06,25.53,26.06,25.88,24.84,23.56,22.53,21.62,21.28,20.31,19.81,19.34,18.19,17.78,18.53,18.62,19.28,20.38,21.19,21.44,22.72,22.53,22.62,21.69,21.25,20.94,20.69,21.28,21.16,21.44,21.66,21.81,21.84,21.81,21.41,21.84,21.06,21.0,20.94,20.72,21.12,19.69,19.81,19.66,19.28,17.75,16.94,15.88,15.94,15.94,17.16,19.41,20.5,21.5,21.91,21.25,20.91,20.12,19.47,19.62,21.09,23.69,26.16,29.31,31.16,31.06,29.66,27.03,25.22,22.06,20.31,18.25,17.56,17.31,17.41,17.94,17.88,18.53,19.38,19.34,19.66,19.94,18.91,19.41,19.25,20.62,21.19,22.97,22.53,21.31,20.0,18.62,17.88,17.69,16.84,18.06,17.44,18.28,19.06,18.84,19.62,19.06,18.75,18.34,18.5,19.28,20.0,21.06,22.16,21.91,23.06,23.28,22.94,22.91,22.84,22.84,23.94,23.84,24.19,23.25,22.41,21.06,19.81,18.31,17.69,17.06,16.41,16.06,16.38,16.69,16.5,17.16,16.78,15.97,15.97,14.19,14.06,13.09,12.78,11.97,11.47,11.12,11.16,10.53,10.81,11.12,10.19,8.69,8.81,7.88,7.47,7.47,7.84,7.31,5.72,4.97,4.12,3.81,3.0,3.81,4.66,5.59,6.25,6.44,6.5,6.31,6.41,5.94,6.03,6.16,5.66,5.16,4.72,3.78,4.06,4.62,5.56,7.84,8.53,10.16,9.81,9.91,10.16,10.03,10.75,11.38,12.47,13.62,15.03,15.69,16.94,17.44,18.34,19.94,21.03,21.97,23.66,23.28,23.72,22.66,21.31,19.97,17.78,16.06,12.78,12.12,11.03,9.88,10.38,9.38,9.03,9.53,6.56,5.91,5.56,4.94,4.94,6.66,8.19,8.28,9.06,9.41,9.28,9.16,9.31,9.84,9.0,8.66,8.16,8.66,8.41,9.31,9.47,10.81,11.47,12.0,13.59,13.41,13.53,13.44,12.72,11.88,10.72,10.09,10.16,9.84,8.88,9.94,9.19,8.91,7.19,5.31,4.09,2.88,1.25,0.72,0.06,-0.88,-1.66,-1.69,-1.78,-2.03,-2.84,-2.56,-2.34,-0.84,0.81,3.09,3.22,4.28,4.16,3.59,3.0,4.12,2.72,3.59,3.44,4.66,6.72,8.31,11.34,14.81,18.5,21.19,22.5,22.31,20.62,17.28,14.44,12.91,12.53,12.94,14.5,15.88,18.12,18.28,19.16,19.56,18.28,17.91,16.62,14.81,14.81,15.0,14.94,15.16,15.47,14.31,13.28,11.25,11.0,10.0,9.31,10.16,9.78,9.69,10.19,10.78,12.28,11.84,13.53,13.12,12.97,12.78,13.16,14.19,14.03,13.69,13.16,10.84,9.66,9.19,8.5,9.5,10.75,12.09,12.75,13.66,12.81,12.31,11.66,10.34,8.81,8.94,7.78,7.91,7.56,6.81,8.0,7.66,7.81,8.06,8.25,8.41,8.94,10.03,11.16,12.03,12.97,12.34,11.97,9.62,6.62,3.16,0.06,-3.06,-4.97,-6.62,-7.53,-7.78,-8.16,-7.47,-5.97,-4.59,-3.03,-2.06,-1.38,-0.25,0.38,1.16,2.44,2.28,3.22,3.16,2.91,2.84,2.41,1.97,1.41,0.91,0.91,0.69,-0.5,-0.97,-3.0,-4.22,-4.22,-4.47,-3.75,-3.56,-3.16,-3.81,-4.25,-4.44,-5.84,-6.31,-7.91,-7.56,-8.06,-7.22,-6.38,-4.88,-2.97,-1.28,0.72,2.72,4.97,5.12,5.44,5.84,5.53,4.53,4.25,4.81,5.44,5.94,7.06,7.75,7.47,6.5,6.12,6.28,6.56,6.28,7.53,6.5,5.88,3.91,3.44,2.0,0.78,-0.78,-1.56,-2.44,-2.41,-2.5,-2.06,-2.75,-3.03,-3.25,-4.78,-5.31,-6.03,-6.91,-6.62,-6.22,-4.59,-3.19,-0.59,1.28,2.41,3.28,2.41,1.72,-0.88,-2.78,-4.88,-7.19,-7.66,-7.47,-7.44,-6.81,-6.06,-5.59,-5.66,-5.22,-5.34,-5.22,-6.31,-7.78,-8.28,-10.47,-11.88,-13.69,-14.84,-15.72,-17.09,-17.31,-18.38,-20.38,-22.16,-23.19,-23.88,-24.59,-23.03,-21.16,-19.81,-17.72,-16.09,-15.09,-14.31,-12.94,-10.97,-9.19,-7.38,-5.94,-4.03,-4.22,-3.81,-3.88,-5.03,-5.47,-7.25,-6.88,-5.38,-3.66,-0.53,4.03,7.0,8.03,8.84,6.5,3.62,0.5,-1.72,-2.84,-3.38,-2.34,-1.81,-1.28,-1.19,-1.44,-1.66,-2.25,-3.59,-3.66,-3.66,-4.34,-4.09,-4.09,-3.84,-3.56,-3.19,-2.66,-2.62,-3.03,-2.75,-3.09,-3.91,-3.5,-3.72,-3.47,-2.69,-0.31,-0.09,1.22,1.62,0.84,0.16,-1.34,-2.84,-3.19,-4.88,-5.97,-5.91,-6.59,-7.59,-8.5,-8.44,-10.69,-10.19,-9.91,-9.38,-8.56,-6.91,-5.56,-3.66,-1.66,0.0,1.25,3.28,4.53,6.94,8.5,9.28,10.62,9.69,8.94,8.19,6.19,4.5,2.81,1.06,-0.44,-1.5,-3.56,-6.72,-8.94,-13.41,-18.16,-21.41,-25.59,-29.19,-31.47,-32.78,-33.09,-32.06,-30.75,-29.81,-28.72,-27.28,-26.56,-25.97,-25.69,-25.84,-26.03,-26.25,-26.31,-25.06,-24.72,-23.09,-22.97,-22.06,-22.06,-21.44,-22.25,-21.19,-19.78,-18.69,-17.16,-5.59,-6.03,-6.72,-6.97,-6.56,-6.59,-5.22,-4.22,-2.75,-2.56,-4.09,-5.16,-8.47,-11.09,-14.03,-14.31,-15.78,-14.81,-12.97,-11.97,-9.16,-4.81,-2.84,-0.16,0.78,-0.38,-1.41,-4.38,-6.53,-7.94:negativity
15.56,14.16,11.84,10.5,9.91,11.66,13.53,16.47,18.44,19.34,19.5,19.0,18.56,17.81,17.66,17.44,16.97,17.44,18.34,18.56,19.78,20.06,19.44,20.06,18.56,17.53,16.53,15.5,14.31,13.38,12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56:13.53,16.47,18.44,19.34,19.5,19.0,18.56,17.81,17.66,17.44,16.97,17.44,18.34,18.56,19.78,20.06,19.44,20.06,18.56,17.53,16.53,15.5,14.31,13.38,12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56,-19.72,-23.12,-26.38,-27.62,-28.09,-26.03:18.56,17.81,17.66,17.44,16.97,17.44,18.34,18.56,19.78,20.06,19.44,20.06,18.56,17.53,16.53,15.5,14.31,13.38,12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56,-19.72,-23.12,-26.38,-27.62,-28.09,-26.03,-22.44,-18.16,-14.31,-11.75,-10.53,-9.94:18.34,18.56,19.78,20.06,19.44,20.06,18.56,17.53,16.53,15.5,14.31,13.38,12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56,-19.72,-23.12,-26.38,-27.62,-28.09,-26.03,-22.44,-18.16,-14.31,-11.75,-10.53,-9.94,-10.28,-10.81,-11.09,-10.84,-12.12,-11.78:18.56,17.53,16.53,15.5,14.31,13.38,12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56,-19.72,-23.12,-26.38,-27.62,-28.09,-26.03,-22.44,-18.16,-14.31,-11.75,-10.53,-9.94,-10.28,-10.81,-11.09,-10.84,-12.12,-11.78,-12.16,-12.16,-11.06,-12.84,-12.16,-13.72:12.84,13.16,13.5,15.81,17.78,21.53,25.62,29.44,33.62,37.47,38.09,39.31,36.28,33.41,31.06,28.09,27.12,27.72,28.5,29.62,29.56,30.66,29.94,29.28,28.94,27.34,25.62,24.19,23.56,21.84,21.75,21.59,20.09,19.25,18.69,16.38,17.09,16.81,17.66,19.66,21.12,20.91,21.38,19.25,16.59,13.47,10.06,8.66,6.75,7.56,9.34,11.47,14.41,17.12,20.56,21.31,23.09,24.0,22.75,21.78,23.19,22.25,23.75,25.06,27.72,28.66,30.62,31.41,31.06,29.5,27.38,24.38,20.62,18.56,16.69,17.28,17.34,18.56,20.59,22.31,23.75,24.62,25.66,24.72,24.28,24.12,22.09,22.66,22.12,21.0,20.34,19.59,18.56,18.25,18.22,18.44,17.28,16.16,15.72,14.16,13.31,12.81,10.81,9.84,8.38,8.09,9.16,11.94,13.16,15.41,17.88,18.53,19.22,20.19,19.0,17.28,15.81,12.41,11.12,9.16,8.47,10.41,11.28,12.75,15.97,16.44,18.06,18.5,17.41,18.59,18.16,17.78,17.41,16.25,14.41,14.44,13.75,13.34,13.84,13.53,11.88,11.41,10.0,9.0,8.22,8.56,8.75,9.81,10.44,11.12,11.91,12.53,13.06,13.34,12.78,12.16,11.12,10.0,9.16,9.47,9.16,12.12,16.41,20.16,24.44,27.06,29.59,30.44,29.38,28.44,26.44,25.28,22.41,19.12,18.03,17.34,16.62,17.84,18.94,19.34,20.88,22.12,22.91,25.56,26.44,26.56,26.81,26.88,27.34,27.62,29.44,29.44,31.94,32.84,33.88,34.81,33.09,32.19,32.06,29.56,29.56,29.31,27.94,25.72,24.97,23.06,22.16,22.69,22.91,23.78,25.19,24.88,26.88,27.06,27.5,28.38,28.84,28.78,28.5,28.03,27.31,26.38,24.66,24.78,24.78,24.41,24.62,24.59,24.38,23.81,21.84,21.06,19.44,18.72,19.91,19.12,19.78,20.47,20.94,19.47,19.81,20.03,21.31,21.12,22.16,23.16,22.62,22.56,22.5,23.19,22.69,21.34,21.44,19.06,17.66,15.03,13.88,13.31,12.06,12.06,12.06,12.09,12.41,13.47,15.94,18.72,22.72,26.19,30.59,33.41,34.59,36.38,35.25,33.38,30.16,26.41,22.41,19.19,16.03,14.69,14.22,13.56,13.56,12.53,13.31,13.5,14.56,15.72,16.34,17.22,16.53,17.0,17.38,18.72,20.16,22.69,24.09,24.59,27.0,28.28,29.59,30.41,29.38,29.19,26.19,23.88,22.88,22.19,21.5,20.78,22.16,22.16,22.03,22.53,22.84,23.78,23.03,23.31,25.16,23.97,26.41,27.91,29.06,30.31,31.47,31.91,32.41,34.0,32.72,32.59,32.94,31.72,31.06,32.0,32.56,33.59,35.56,36.31,36.91,37.84,36.91,36.38,35.41,34.22,32.91,33.31,34.22,35.31,35.5,38.12,37.81,38.56,38.88,38.62,38.19,37.34,35.09,33.34,31.53,28.38,26.12,24.69,24.62,23.81,24.31,24.75,25.72,27.06,25.41,27.0,27.56,27.62,30.12,31.12,31.66,31.75,30.62,28.69,25.62,24.19,21.94,20.5,21.38,21.97,22.84,25.16,27.06,30.16,33.09,35.53,36.44,35.28,35.28,33.28,32.06,31.53,30.31,29.59,27.56,26.12,24.0,23.81,22.62,22.69,22.47,22.12,21.84,21.0,20.44,20.12,18.69,17.0,14.94,12.81,11.06,11.28,12.66,13.91,17.31,20.31,23.0,25.47,28.53,29.19,30.25,30.53,29.69,26.88,25.88,24.09,23.69,24.56,26.16,30.22,32.66,34.38,34.97,34.72,33.75,32.41,31.91,30.5,30.19,29.41,29.72,29.56,29.75,29.88,29.25,28.44,26.78,26.31,25.06,24.31,23.75,24.53,24.16,24.03,24.5,24.94,24.62,25.03,26.53,28.94,31.28,35.03,38.78,41.31,44.91,45.12,44.19,42.31,39.78,35.97,34.34,33.34,31.97,32.31,30.75,29.75,30.06,28.31,29.0,28.34,28.34,28.94,28.44,28.5,28.81,27.88,27.88,27.66,26.59,27.66,28.59,29.97,32.41,33.94,35.12,35.84,33.91,32.78,31.28,29.94,29.56,30.25,31.56,32.5,34.34,33.56,33.03,33.69,32.06,32.62,34.81,37.97,40.78,44.81,45.66,46.62,45.88,44.78,43.06,41.69,41.53,41.56,40.41,39.09,37.5,35.41,33.72,32.78,32.28,33.19,32.25,33.97,34.19,34.69,35.56,35.78,35.03,35.81,34.66,34.03,35.03,32.81,33.16,32.72,32.91,34.66,34.69,37.28,37.53,38.56,38.78,36.66,35.03,33.31,31.0,29.84,30.06,30.0,30.09,31.31,32.03,31.28,32.69,31.81,29.97,29.69,28.84,29.16,30.41,30.5,32.09,32.84,33.31,33.91,34.91,34.75,34.62,36.06,36.91,38.62,40.31,40.41,40.78,38.88,38.19,37.31,36.78,35.81,35.06,34.81,33.25,32.25,31.0,30.53,30.75,28.53,30.75,29.53,29.09,29.69,28.44,28.88,27.62,28.19,27.72,27.53,26.62,26.31,27.44,27.19,28.06,28.31,28.31,27.56,28.25,27.41,26.91,28.38,28.84,30.22,30.62,30.72,29.97,29.25,26.56,26.06,25.97,25.97,28.62,31.19,31.56,33.16,34.12,33.5,33.94,34.97,35.88,36.38,35.84,37.09,36.75,35.44,35.22,34.53,33.66,33.5,33.91,34.5,33.19,33.66,33.22,31.34,30.38,29.09,29.44,27.72,29.66,29.81,30.34,30.97,29.75,28.84,26.75,26.12,25.12,25.66,24.47,22.88,21.22,19.19,16.88,15.97,16.81,17.94,19.12,21.81,24.09,26.12,27.81,30.25,31.41,33.34,34.09,34.69,34.53,33.84,32.91,30.34,27.94,25.59,24.69,24.16,24.97,26.94,27.91,28.5,28.5,29.03,27.06,27.69,29.09,29.12,29.91,31.19,31.34,30.91,30.06,29.5,28.78,28.41,28.5,29.25,29.44,29.16,28.53,29.44,28.5,27.81,28.16,27.69,27.44,28.78,29.19,29.75,31.75,31.94,32.66,34.47,33.41,34.03,31.72,30.12,28.78,26.56,25.72,24.66,24.84,25.78,24.94,24.44,24.19,21.69,20.78,20.0,18.78,19.66,19.44,21.03,22.0,23.94,26.12,27.94,29.31,29.41,28.94,27.91,25.94,24.38,22.94,22.19,23.44,25.41,28.81,32.22,33.62,33.78,32.09,28.81,24.19,20.38,16.91,15.22,14.16,13.03,13.31,14.09,17.0,19.16,23.56,26.53,27.56,26.34,25.75,22.34,19.97,18.81,17.88,17.94,18.94,20.16,20.78,20.84,20.38,20.25,19.25,19.06,18.38,17.75,16.84,16.53,17.19,15.31,16.31,15.53,15.5,14.94,15.41,15.28,16.25,16.81,19.03,19.62,21.25,22.91,24.31,24.06,25.06,24.62,23.0,22.31,20.91,19.97,20.19,20.84,23.12,25.16,29.22,32.19,33.28,35.0,34.28,33.03,30.66,29.09,28.56,27.41,28.06,28.03,28.94,29.03,28.84,27.72,27.38,27.16,27.19,27.25,28.31,28.84,28.31,29.09,29.97,29.69,28.22,27.91,24.78,22.41,20.22,17.66,16.78,16.44,16.81,17.56,-19.72,-23.12,-26.38,-27.62,-28.09,-26.03,-22.44,-18.16,-14.31,-11.75,-10.53,-9.94,-10.28,-10.81,-11.09,-10.84,-12.12,-11.78,-12.16,-12.16,-11.06,-12.84,-12.16,-13.72,-15.47,-17.59,-19.16,-21.09,-21.84,-22.88:negativity
56.66,56.31,56.25,55.62,57.19,57.56,59.44,59.44,61.69,63.41,64.25,66.69,66.12,64.81,64.56,62.62,62.31,61.88,62.5,63.84,64.28,64.06,65.19,65.81,65.75,66.44,66.31,65.44,65.69,65.25,65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69:59.44,59.44,61.69,63.41,64.25,66.69,66.12,64.81,64.56,62.62,62.31,61.88,62.5,63.84,64.28,64.06,65.19,65.81,65.75,66.44,66.31,65.44,65.69,65.25,65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69,14.75,14.31,12.94,12.56,12.59,13.69:66.12,64.81,64.56,62.62,62.31,61.88,62.5,63.84,64.28,64.06,65.19,65.81,65.75,66.44,66.31,65.44,65.69,65.25,65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69,14.75,14.31,12.94,12.56,12.59,13.69,15.41,16.38,17.84,19.12,18.78,19.06:62.5,63.84,64.28,64.06,65.19,65.81,65.75,66.44,66.31,65.44,65.69,65.25,65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69,14.75,14.31,12.94,12.56,12.59,13.69,15.41,16.38,17.84,19.12,18.78,19.06,18.88,17.72,18.25,17.75,17.62,17.41:65.75,66.44,66.31,65.44,65.69,65.25,65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69,14.75,14.31,12.94,12.56,12.59,13.69,15.41,16.38,17.84,19.12,18.78,19.06,18.88,17.72,18.25,17.75,17.62,17.41,18.12,19.47,19.88,20.25,21.25,22.81:65.53,66.0,66.31,67.06,68.0,68.88,69.44,70.03,71.0,71.25,72.56,73.38,74.62,74.0,73.38,71.41,70.16,68.81,67.75,65.75,65.41,64.75,62.66,60.62,58.53,56.19,54.75,53.69,53.16,53.06,53.62,54.81,54.44,55.06,55.25,56.0,54.31,54.0,53.69,53.38,52.94,50.69,50.59,49.41,49.5,48.53,50.5,53.31,54.75,58.75,61.81,63.47,65.56,65.53,66.94,64.81,65.38,65.31,65.31,64.75,65.88,65.56,65.69,63.56,62.5,62.81,62.81,63.88,67.12,69.12,70.19,71.19,72.12,70.31,69.06,68.25,65.25,62.75,59.69,56.25,52.75,51.44,48.62,47.56,47.0,47.5,47.09,46.53,46.81,45.31,45.31,46.44,47.69,52.12,55.91,59.19,60.25,60.66,58.06,55.44,51.19,49.0,47.19,46.81,47.0,49.0,51.19,52.56,52.75,56.62,58.41,59.25,62.62,63.12,64.5,62.81,62.31,61.47,58.56,57.62,56.88,56.94,57.75,58.03,61.38,61.94,63.41,64.62,64.62,65.31,65.12,63.88,64.59,63.69,62.91,61.56,60.62,59.62,58.19,57.06,57.31,56.81,56.31,56.81,57.31,57.19,57.09,58.44,59.03,58.69,59.06,59.38,58.31,59.81,59.72,59.5,61.12,61.34,62.47,63.88,64.81,66.12,67.06,66.91,66.56,65.88,64.69,61.56,60.31,58.75,56.53,56.81,55.12,55.31,54.0,53.31,52.62,52.06,51.62,49.5,47.94,47.06,46.66,46.31,48.06,50.06,51.75,53.0,53.75,52.94,51.31,50.69,49.16,49.5,52.0,54.31,58.16,60.81,63.94,66.81,67.25,67.62,67.62,66.56,65.81,64.06,64.5,63.38,62.91,62.25,62.28,61.56,62.88,61.81,62.78,60.62,60.0,59.62,57.94,58.88,59.56,59.69,59.81,60.06,59.56,58.84,59.03,58.34,58.06,58.19,56.53,56.62,56.03,55.0,54.38,54.19,54.75,54.12,55.62,55.94,56.62,57.38,56.69,54.38,52.31,51.75,48.75,48.94,50.06,51.62,53.62,54.88,56.38,57.44,56.62,58.81,58.03,59.12,59.69,59.78,60.06,60.38,60.88,60.56,61.88,62.5,62.38,63.19,63.31,63.88,63.56,63.94,62.19,61.75,61.41,60.19,59.19,58.41,57.97,56.12,56.31,56.5,56.44,57.06,56.62,56.03,55.75,55.12,55.75,56.34,57.81,57.44,57.56,56.75,56.81,56.28,56.06,56.12,55.31,54.66,53.06,52.62,52.53,55.19,58.44,63.72,70.94,73.81,77.47,78.88,76.5,74.5,71.12,67.34,65.56,63.12,61.94,63.0,63.75,65.31,66.66,66.12,67.5,66.78,68.31,68.09,69.19,69.19,67.94,65.75,64.06,60.75,60.0,58.38,58.06,58.56,59.62,59.75,59.69,60.56,60.44,59.5,59.81,59.81,58.78,57.56,57.56,56.03,55.22,55.78,57.0,58.84,61.12,65.03,67.66,69.66,71.12,70.25,71.0,67.94,65.56,64.44,63.94,63.5,64.12,65.59,65.88,66.25,67.31,68.47,67.12,67.56,67.78,66.03,65.53,64.56,63.0,61.69,60.56,58.38,57.94,56.62,55.38,54.22,53.56,53.53,53.06,53.12,53.44,52.84,52.69,52.19,52.25,52.81,52.66,53.88,53.06,53.62,53.53,54.38,53.81,55.78,55.25,55.5,56.5,55.44,55.62,57.25,58.31,61.0,62.25,63.56,63.62,61.06,60.69,59.69,59.69,61.47,62.31,63.88,63.5,62.72,61.69,60.03,58.56,58.44,57.81,58.25,59.69,61.81,63.62,65.69,68.03,68.66,70.56,70.69,71.88,73.19,73.38,73.41,73.5,70.94,70.31,67.88,66.5,65.84,65.34,64.75,64.62,65.0,66.25,67.62,69.0,71.69,72.34,73.25,73.12,72.12,70.88,68.69,66.03,63.44,62.06,60.84,61.31,62.06,62.75,62.56,62.75,61.5,62.19,61.66,62.38,62.38,61.16,59.94,58.06,57.44,55.56,57.06,57.44,58.69,59.25,59.56,59.41,59.12,60.12,59.25,60.62,59.81,58.88,58.31,57.06,56.81,56.06,56.81,59.81,61.25,63.88,66.25,68.06,67.31,66.06,65.69,63.69,63.16,62.19,61.12,61.06,60.0,59.41,60.88,62.94,65.44,69.69,72.62,73.75,73.03,70.31,67.56,64.31,61.31,60.06,58.44,57.75,56.59,55.81,55.56,54.78,54.81,56.09,56.38,57.94,59.25,58.75,58.12,56.62,55.31,53.25,52.38,50.47,49.81,50.12,48.66,48.38,47.81,47.81,47.5,46.41,45.09,42.5,39.56,35.38,32.91,30.06,26.25,24.19,21.56,18.31,15.81,14.69,14.56,13.78,14.31,15.16,14.78,15.12,15.84,16.12,16.56,18.03,19.5,21.94,22.75,25.06,24.88,25.41,26.25,27.22,29.0,30.88,32.25,33.19,33.31,35.0,37.12,39.12,40.81,42.75,41.06,40.41,37.56,35.44,34.0,31.5,31.38,31.94,34.25,37.44,40.44,43.88,45.94,46.81,47.69,46.94,47.81,47.62,47.81,46.88,47.62,47.62,47.75,48.0,48.62,48.0,48.5,48.09,48.5,49.69,49.94,52.0,52.94,53.19,53.62,53.75,51.62,51.28,48.94,48.62,48.66,49.0,49.16,49.25,50.88,51.25,50.41,51.75,51.06,48.5,45.38,43.44,40.5,40.31,41.19,42.38,43.25,45.38,45.25,45.72,45.5,44.38,43.94,41.31,38.69,37.38,36.31,35.12,36.03,36.5,38.44,39.56,40.69,41.25,41.69,41.94,41.62,42.19,42.75,43.06,44.56,44.06,44.81,44.88,44.16,43.56,43.84,43.5,43.62,44.25,43.19,43.31,41.56,41.19,41.62,41.0,41.22,42.47,41.75,42.12,41.12,40.0,37.88,37.38,35.69,34.94,35.81,35.94,35.38,36.56,36.88,36.25,36.38,36.44,36.56,36.12,35.94,36.06,35.31,34.75,33.94,33.19,33.81,34.25,35.94,36.94,39.0,39.03,38.16,39.88,40.5,42.25,46.19,49.69,51.72,55.22,57.5,58.56,58.62,57.91,55.81,53.56,51.06,48.81,47.84,46.0,44.06,44.66,44.06,44.62,45.66,46.56,45.38,45.88,46.38,46.53,46.78,47.94,46.88,45.69,43.62,42.12,39.31,39.19,39.19,39.25,40.59,41.19,41.88,42.75,43.19,44.25,47.38,50.09,53.5,56.0,58.28,58.41,58.38,58.03,55.69,54.94,53.56,52.91,52.0,52.12,53.81,54.12,55.59,57.09,58.81,59.81,60.44,60.81,61.12,60.75,59.69,59.0,57.91,57.0,57.5,55.94,56.41,56.59,56.66,57.44,58.12,58.06,56.81,55.06,52.38,50.94,50.06,48.75,49.91,49.91,50.56,51.31,51.56,52.56,52.31,52.19,50.81,50.94,51.31,52.0,52.19,52.75,51.88,52.0,50.06,48.06,46.81,46.25,45.88,45.25,46.0,45.38,45.19,44.31,45.12,46.03,46.88,48.31,48.88,50.19,50.28,49.5,48.31,48.84,48.5,49.44,51.25,52.5,53.81,53.94,54.03,52.81,52.97,52.81,52.56,51.97,52.06,52.91,53.06,54.19,54.94,56.03,56.12,56.25,55.81,55.81,54.88,54.38,54.62,55.53,55.69,14.75,14.31,12.94,12.56,12.59,13.69,15.41,16.38,17.84,19.12,18.78,19.06,18.88,17.72,18.25,17.75,17.62,17.41,18.12,19.47,19.88,20.25,21.25,22.81,22.56,23.78,24.56,24.09,25.56,24.69:negativity
24.91,25.0,24.59,23.38,21.88,20.5,18.41,16.56,15.66,16.0,15.19,17.66,19.44,21.31,24.34,26.41,28.44,30.41,31.06,31.97,32.44,32.19,31.97,31.81,30.88,30.97,29.06,28.41,26.66,25.91,26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69:18.41,16.56,15.66,16.0,15.19,17.66,19.44,21.31,24.34,26.41,28.44,30.41,31.06,31.97,32.44,32.19,31.97,31.81,30.88,30.97,29.06,28.41,26.66,25.91,26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69,-14.31,-14.78,-14.16,-15.16,-15.59,-17.97:19.44,21.31,24.34,26.41,28.44,30.41,31.06,31.97,32.44,32.19,31.97,31.81,30.88,30.97,29.06,28.41,26.66,25.91,26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69,-14.31,-14.78,-14.16,-15.16,-15.59,-17.97,-20.34,-21.09,-23.16,-24.53,-23.59,-22.47:31.06,31.97,32.44,32.19,31.97,31.81,30.88,30.97,29.06,28.41,26.66,25.91,26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69,-14.31,-14.78,-14.16,-15.16,-15.59,-17.97,-20.34,-21.09,-23.16,-24.53,-23.59,-22.47,-20.22,-17.78,-16.34,-13.75,-12.06,-10.41:30.88,30.97,29.06,28.41,26.66,25.91,26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69,-14.31,-14.78,-14.16,-15.16,-15.59,-17.97,-20.34,-21.09,-23.16,-24.53,-23.59,-22.47,-20.22,-17.78,-16.34,-13.75,-12.06,-10.41,-8.91,-6.66,-4.69,-4.69,-5.31,-5.03:26.12,25.84,25.38,24.94,24.56,24.09,23.25,25.66,24.97,26.5,26.0,26.28,24.84,24.41,23.34,22.81,21.31,21.66,20.28,20.41,19.62,19.75,19.06,19.81,19.81,20.28,19.56,19.69,18.34,17.12,15.62,16.38,16.91,15.53,16.56,15.06,12.03,6.06,5.44,1.44,-1.34,-2.12,-0.84,-0.62,0.56,4.62,7.16,10.69,13.25,15.31,15.25,16.19,14.81,13.53,11.94,11.47,12.66,14.12,17.12,19.84,21.62,23.03,22.06,21.81,20.06,17.62,16.16,16.72,17.66,18.91,22.16,22.97,25.72,25.78,25.44,26.22,28.5,28.25,28.16,26.69,26.62,23.91,22.06,21.38,21.41,19.91,19.75,19.88,17.56,15.84,15.44,13.94,14.72,15.91,15.41,18.44,18.69,20.94,23.16,25.06,26.81,26.69,26.59,24.84,23.0,20.5,16.19,13.41,14.06,16.69,16.16,20.06,21.88,22.0,21.41,20.69,21.69,22.16,20.84,21.69,22.06,21.41,22.22,23.62,25.44,28.81,29.47,32.91,35.09,34.91,35.72,34.81,34.69,34.47,33.41,33.0,30.75,30.03,26.97,26.09,20.94,22.44,22.16,21.69,23.16,24.16,25.94,24.88,25.56,25.75,26.22,24.44,23.06,23.19,21.16,19.78,19.62,19.25,20.03,20.09,20.59,21.06,20.19,24.62,27.62,30.06,35.19,36.5,36.03,34.12,31.78,29.81,26.72,25.88,22.19,24.19,23.0,25.16,26.44,28.53,28.97,29.31,28.66,29.56,30.72,29.69,29.41,28.06,25.09,25.78,25.66,25.81,27.78,29.94,30.78,33.0,32.22,33.34,33.75,31.69,30.97,31.62,31.75,33.34,35.38,37.81,37.66,37.94,37.38,35.28,35.94,35.62,33.41,32.88,31.47,29.0,26.56,24.84,24.66,21.94,22.16,21.03,21.69,23.41,24.62,27.06,28.56,30.41,32.69,33.22,35.28,36.88,35.81,34.03,31.47,30.62,27.12,26.5,24.69,21.66,17.47,15.34,12.5,11.03,11.44,13.0,14.34,16.19,17.09,19.78,22.53,23.47,26.97,27.78,28.25,30.06,29.25,29.12,29.44,27.06,27.28,24.75,22.81,20.78,21.5,20.5,22.47,25.03,27.16,29.25,31.31,33.16,34.03,32.44,31.19,27.06,27.34,25.0,24.22,25.47,24.19,23.31,24.06,24.19,24.84,25.19,26.91,26.44,25.56,24.44,18.97,19.38,15.16,14.5,13.78,13.31,13.19,13.41,12.56,13.16,12.91,13.28,14.03,14.94,16.03,17.47,19.16,20.91,22.81,24.41,24.84,24.91,24.94,23.16,20.5,18.31,16.19,13.62,13.94,14.19,15.0,18.5,19.62,21.81,22.19,24.19,24.56,24.78,24.75,22.53,22.81,21.5,21.62,18.88,20.69,19.75,18.28,17.44,17.81,16.53,16.81,17.06,16.03,17.75,17.94,17.94,18.75,19.25,21.41,25.41,27.69,30.84,33.12,33.41,31.06,29.62,26.12,23.66,21.94,19.66,18.41,17.16,17.91,17.72,17.94,20.94,24.16,25.59,27.38,29.84,30.59,31.12,30.12,28.78,27.47,24.94,21.62,22.97,23.16,25.66,28.22,29.62,30.03,31.09,28.59,24.31,24.0,22.5,21.06,23.44,25.84,26.59,26.66,25.69,22.78,21.31,21.06,19.91,19.59,17.06,18.44,17.56,19.25,22.84,25.03,29.0,30.16,29.19,28.66,27.03,25.47,23.66,24.0,24.0,24.41,25.06,24.94,26.12,26.25,27.0,26.81,29.12,29.78,29.88,31.78,32.25,31.78,29.28,28.75,26.44,26.53,25.25,26.31,26.31,22.91,25.44,23.16,22.19,20.91,18.94,18.06,16.25,15.94,16.84,17.41,18.78,17.41,22.62,22.66,25.81,26.56,28.41,27.91,25.94,24.38,22.53,20.56,20.81,19.28,17.62,19.69,20.75,22.41,24.34,25.53,26.31,25.78,25.16,25.06,24.5,24.78,24.31,23.47,24.5,24.28,24.0,23.31,22.75,22.41,21.31,22.75,22.78,25.16,25.41,25.97,27.62,24.88,26.0,25.88,26.94,27.66,29.38,28.81,27.97,26.81,23.94,22.5,19.84,17.88,16.03,17.53,19.75,22.91,25.81,28.31,28.19,27.88,26.03,26.56,26.12,26.59,29.19,30.75,31.53,32.22,32.44,31.69,29.38,26.12,27.06,23.78,24.06,26.12,27.28,26.91,28.25,26.03,27.53,27.44,24.06,26.62,25.06,26.06,28.91,29.75,32.47,34.25,34.88,35.25,35.47,35.69,33.88,32.84,30.56,33.41,33.31,35.28,37.44,38.66,38.41,36.5,34.69,33.47,30.56,30.34,26.44,29.53,28.09,29.84,31.41,31.47,33.31,29.62,29.16,28.5,26.56,25.31,23.25,23.25,22.03,22.69,25.25,27.12,28.06,28.28,27.16,26.06,25.59,26.0,26.53,26.44,25.12,25.25,23.28,22.78,21.62,21.69,20.88,20.0,23.91,26.12,27.25,30.62,33.06,34.25,34.25,34.84,34.66,32.81,34.38,33.91,31.75,32.69,31.56,29.75,28.62,26.5,24.62,18.88,20.62,18.69,17.81,19.94,19.28,21.84,23.56,23.28,24.41,24.88,23.94,22.69,21.56,21.22,21.0,20.88,20.5,19.88,20.16,20.41,23.12,24.62,27.38,29.97,30.53,31.44,29.12,31.28,30.41,31.62,34.94,35.81,38.28,37.38,35.53,33.25,30.22,27.62,24.66,25.06,25.84,26.66,27.44,26.69,23.84,21.94,19.72,18.75,16.88,15.41,15.72,14.78,14.66,12.59,15.91,15.41,17.47,18.88,21.41,21.66,23.25,21.66,20.94,21.03,19.91,20.62,21.41,22.75,23.03,22.97,23.53,23.16,23.94,23.66,20.97,23.28,21.25,23.28,22.53,23.84,24.81,23.47,25.16,23.66,25.06,24.16,23.09,24.28,22.34,21.69,20.78,20.59,19.91,17.84,17.56,17.56,16.06,15.97,14.81,18.16,16.72,17.81,19.16,18.69,17.41,17.19,14.47,16.16,13.78,13.25,10.38,10.44,8.47,8.62,8.41,10.47,11.94,13.31,13.62,16.03,15.97,15.66,18.84,18.0,20.34,21.78,22.0,21.09,19.69,17.41,15.44,13.47,13.03,12.0,11.44,11.12,12.44,11.94,16.31,17.03,19.25,20.28,21.28,19.56,18.16,16.25,13.16,12.03,11.28,10.69,9.97,12.78,12.34,15.25,17.44,19.88,20.59,20.91,20.28,20.47,18.69,18.28,19.12,18.62,20.56,22.06,22.75,24.25,24.22,24.78,22.56,21.84,20.19,17.84,17.41,14.34,13.84,12.81,14.19,15.19,17.06,17.5,17.25,18.78,17.41,17.84,16.31,15.25,13.5,12.06,9.69,8.72,7.72,5.78,4.78,4.69,3.75,3.25,3.16,3.5,4.38,5.03,6.25,4.47,8.44,6.88,10.28,11.59,14.31,15.28,15.97,15.5,14.84,14.03,12.94,13.12,14.28,13.62,13.06,12.62,11.22,9.47,8.5,9.56,9.28,9.25,10.28,10.47,9.84,12.91,15.78,17.31,21.75,24.56,25.34,25.28,24.5,21.38,18.22,15.41,13.5,11.72,11.28,11.31,10.41,9.88,8.41,7.41,9.12,8.88,9.5,10.84,9.31,6.94,4.53,2.31,2.69,-14.31,-14.78,-14.16,-15.16,-15.59,-17.97,-20.34,-21.09,-23.16,-24.53,-23.59,-22.47,-20.22,-17.78,-16.34,-13.75,-12.06,-10.41,-8.91,-6.66,-4.69,-4.69,-5.31,-5.03,-5.38,-6.22,-6.09,-8.44,-8.34,-8.34:negativity
29.91,28.53,29.62,31.09,33.75,37.28,40.31,41.16,42.44,41.62,40.56,38.94,36.56,35.69,32.62,32.0,31.91,33.34,34.34,36.09,37.31,37.09,38.22,38.81,39.62,40.94,39.66,40.38,40.03,40.19,41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5:40.31,41.16,42.44,41.62,40.56,38.94,36.56,35.69,32.62,32.0,31.91,33.34,34.34,36.09,37.31,37.09,38.22,38.81,39.62,40.94,39.66,40.38,40.03,40.19,41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5,-0.38,0.0,1.31,3.41,7.12,10.16:36.56,35.69,32.62,32.0,31.91,33.34,34.34,36.09,37.31,37.09,38.22,38.81,39.62,40.94,39.66,40.38,40.03,40.19,41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5,-0.38,0.0,1.31,3.41,7.12,10.16,11.72,12.84,13.06,11.5,10.62,9.0:34.34,36.09,37.31,37.09,38.22,38.81,39.62,40.94,39.66,40.38,40.03,40.19,41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5,-0.38,0.0,1.31,3.41,7.12,10.16,11.72,12.84,13.06,11.5,10.62,9.0,8.03,7.09,5.12,4.53,4.69,3.91:39.62,40.94,39.66,40.38,40.03,40.19,41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5,-0.38,0.0,1.31,3.41,7.12,10.16,11.72,12.84,13.06,11.5,10.62,9.0,8.03,7.09,5.12,4.53,4.69,3.91,4.25,4.59,5.91,5.41,6.41,7.19:41.56,43.31,43.91,44.28,44.12,44.03,44.25,46.16,47.66,49.03,51.19,53.03,52.47,52.38,51.0,48.06,44.88,41.75,39.88,38.5,39.25,40.16,41.56,42.72,43.44,44.28,45.12,45.41,45.34,43.97,44.03,42.78,43.44,43.38,44.88,45.44,46.5,46.44,46.81,46.12,45.47,45.56,44.84,43.66,41.31,38.19,35.06,31.34,28.06,27.66,27.94,27.88,30.59,31.56,32.75,33.22,34.12,34.5,35.62,36.44,38.0,38.88,39.66,40.28,39.56,38.88,37.84,37.5,35.31,33.62,32.66,30.19,29.34,27.84,26.5,25.69,23.66,22.12,22.81,21.19,21.16,22.31,22.31,23.44,24.34,26.94,28.59,29.94,30.31,30.25,30.69,28.69,30.0,30.66,31.84,31.88,31.97,32.53,31.44,30.41,29.47,28.69,28.81,29.94,30.53,33.47,34.88,35.84,37.28,37.66,36.38,34.69,33.94,32.81,31.88,31.97,32.78,32.91,33.5,33.78,33.16,32.66,32.84,33.56,34.59,36.62,39.16,39.06,40.44,39.62,38.03,37.03,35.16,34.19,34.28,33.69,34.62,35.47,36.88,36.41,35.62,34.28,31.16,26.75,24.06,20.62,17.44,15.94,15.12,16.22,15.78,17.72,19.12,20.5,20.75,21.0,21.16,20.41,20.56,21.0,20.94,21.72,21.81,22.41,22.03,22.03,22.41,23.19,23.31,24.84,24.59,25.78,26.81,27.88,29.12,30.34,30.56,29.62,29.25,29.56,29.0,30.09,30.88,31.56,33.41,34.03,35.06,36.34,37.0,36.28,36.81,34.75,31.44,31.31,29.44,28.5,30.06,30.75,32.03,33.25,34.38,35.0,35.25,36.28,36.84,38.44,37.03,37.91,37.12,35.84,37.06,36.69,36.5,37.25,36.0,35.28,35.47,35.34,36.53,37.25,39.5,40.12,40.84,41.25,41.0,40.97,41.59,41.19,41.66,40.97,41.78,42.16,42.81,43.22,44.28,44.5,45.81,45.62,47.25,46.81,46.34,46.75,45.69,46.38,47.5,48.56,50.34,50.06,50.25,49.38,47.62,47.06,45.53,44.19,43.47,42.81,43.09,45.81,47.66,49.94,51.12,50.84,49.78,47.12,45.38,43.34,43.31,43.09,43.34,42.38,40.88,39.56,36.19,34.56,32.25,30.66,30.59,30.62,31.56,33.47,33.78,35.94,36.5,36.94,36.88,36.06,36.56,36.5,38.59,40.75,42.0,43.62,44.19,43.38,41.0,39.12,36.53,34.31,31.69,30.5,30.28,29.75,31.44,33.03,34.09,35.56,37.06,38.06,39.84,40.06,40.38,40.0,37.97,37.41,36.91,36.97,38.31,39.62,41.53,42.03,42.94,43.16,42.62,41.72,40.0,39.16,37.09,37.25,37.16,37.53,38.56,39.0,39.38,39.16,38.34,37.16,35.91,34.34,34.0,34.0,33.81,34.16,35.44,36.62,37.09,38.41,37.69,37.5,36.28,35.19,34.0,33.38,33.44,33.72,34.31,34.16,33.91,33.0,32.5,32.38,31.78,33.12,33.28,34.34,34.75,35.16,35.41,36.19,37.5,38.94,40.91,43.66,44.75,45.59,45.06,43.66,41.44,38.81,37.16,34.09,31.84,30.25,28.22,26.66,24.94,22.69,21.0,19.09,18.16,18.16,18.38,18.78,19.34,21.62,23.53,26.59,30.28,33.94,36.59,37.75,40.59,40.44,40.97,40.41,40.03,39.97,37.59,37.03,36.12,34.22,33.41,32.03,30.03,28.44,27.91,26.38,24.94,24.31,24.41,25.03,26.0,28.88,30.53,32.88,34.66,36.81,37.81,39.75,39.91,39.09,39.16,39.91,39.38,41.12,41.84,42.0,41.69,40.19,37.94,36.56,35.25,33.5,32.69,33.91,34.69,35.97,37.69,37.72,36.81,34.56,32.41,30.44,28.81,27.25,26.47,26.09,24.97,24.94,24.59,24.44,24.53,25.34,24.78,26.69,26.53,27.56,29.34,31.62,33.97,36.12,39.06,40.22,39.44,38.19,34.34,31.5,27.72,26.0,23.97,24.16,24.81,24.69,26.69,26.75,27.28,26.78,25.06,24.94,24.0,24.66,25.91,27.03,29.28,28.66,29.94,28.38,27.34,26.78,25.34,24.81,24.91,24.91,25.03,25.72,24.81,24.5,23.56,22.62,21.22,20.09,19.28,19.16,18.84,19.31,19.97,21.0,20.69,22.0,22.19,21.75,21.25,21.75,22.22,23.19,24.41,27.69,30.84,33.44,37.19,40.09,42.94,43.06,42.12,40.19,34.62,29.66,25.31,20.72,17.91,16.0,15.44,15.25,16.16,16.03,17.47,18.47,18.75,18.12,19.75,18.81,19.25,19.81,20.84,21.88,24.25,25.34,27.19,31.06,33.69,36.56,39.34,41.53,39.69,38.69,36.59,33.66,31.09,29.5,28.56,27.91,27.91,26.81,25.94,26.06,25.47,24.09,24.28,23.91,22.81,23.69,23.31,24.69,26.91,29.16,31.09,32.31,33.69,33.72,33.34,33.94,34.66,34.5,32.75,31.91,29.81,27.34,25.38,24.44,23.22,21.78,22.25,23.25,25.72,30.19,33.91,38.09,41.38,43.41,43.25,43.59,43.53,40.0,37.62,34.78,32.91,31.28,31.03,31.75,31.41,32.0,32.69,32.22,32.91,32.66,32.69,31.81,30.5,29.06,28.53,28.03,28.44,29.44,30.03,31.44,34.03,35.88,39.59,41.53,43.34,44.44,45.0,44.28,43.69,43.44,42.66,42.78,43.06,43.06,43.06,41.84,41.81,41.06,40.44,40.03,40.69,41.41,41.97,41.69,42.09,41.09,39.66,40.53,41.06,43.66,45.25,47.34,48.41,47.81,46.12,44.06,40.78,39.28,37.5,36.25,38.0,37.69,39.16,39.81,41.44,41.47,41.53,42.66,41.84,40.47,40.25,37.25,37.88,37.47,38.03,39.78,41.94,44.44,45.53,46.5,46.75,45.75,44.94,44.41,43.78,43.22,43.06,42.78,42.5,40.22,38.78,36.19,33.44,31.78,31.69,31.62,33.22,34.84,36.59,38.25,40.0,41.19,41.12,40.81,39.31,36.41,34.0,31.53,30.69,30.06,30.53,30.81,30.38,30.91,29.94,30.03,30.12,29.25,30.03,28.81,28.75,28.28,28.81,30.53,32.91,34.88,36.91,37.81,37.12,35.62,34.06,31.44,29.81,27.47,28.34,27.28,28.0,29.19,30.12,31.81,31.88,31.66,31.72,30.44,30.25,29.44,29.97,29.72,29.38,29.66,30.72,31.03,31.81,32.31,31.0,28.94,26.41,24.59,24.5,25.31,27.53,30.69,33.81,35.66,36.09,35.91,33.84,31.0,28.25,27.31,26.56,28.66,30.44,33.81,37.03,39.72,42.06,42.0,41.41,40.12,38.16,36.59,36.69,35.53,36.16,36.5,37.0,36.72,37.19,37.69,36.91,35.53,34.5,34.31,33.62,33.94,35.91,37.44,39.16,40.16,42.16,42.75,43.25,42.81,42.06,40.25,40.19,39.72,39.31,39.03,39.78,38.66,36.97,36.0,33.78,32.62,31.06,30.78,30.25,30.97,32.97,34.72,37.06,40.53,43.38,45.53,47.28,49.22,51.0,52.31,53.06,53.72,53.25,50.5,49.44,45.88,43.0,40.41,37.78,35.09,32.81,30.94,28.81,26.38,23.78,20.19,16.78,14.28,13.5,12.94,13.97,15.5,-0.38,0.0,1.31,3.41,7.12,10.16,11.72,12.84,13.06,11.5,10.62,9.0,8.03,7.09,5.12,4.53,4.69,3.91,4.25,4.59,5.91,5.41,6.41,7.19,7.94,9.31,9.25,11.03,11.88,13.22:negativity
32.62,32.03,30.56,29.09,27.28,26.34,25.34,24.31,24.06,24.16,23.31,24.09,24.25,26.28,28.06,30.72,31.44,32.34,32.5,32.44,30.97,28.94,28.19,25.09,22.56,20.09,18.25,17.69,17.44,19.84,22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44:25.34,24.31,24.06,24.16,23.31,24.09,24.25,26.28,28.06,30.72,31.44,32.34,32.5,32.44,30.97,28.94,28.19,25.09,22.56,20.09,18.25,17.69,17.44,19.84,22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44,32.25,30.94,29.22,26.78,23.84,23.03:24.25,26.28,28.06,30.72,31.44,32.34,32.5,32.44,30.97,28.94,28.19,25.09,22.56,20.09,18.25,17.69,17.44,19.84,22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44,32.25,30.94,29.22,26.78,23.84,23.03,21.5,20.75,20.69,20.06,20.12,20.84:32.5,32.44,30.97,28.94,28.19,25.09,22.56,20.09,18.25,17.69,17.44,19.84,22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44,32.25,30.94,29.22,26.78,23.84,23.03,21.5,20.75,20.69,20.06,20.12,20.84,21.38,21.75,24.5,25.84,26.22,27.69:22.56,20.09,18.25,17.69,17.44,19.84,22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44,32.25,30.94,29.22,26.78,23.84,23.03,21.5,20.75,20.69,20.06,20.12,20.84,21.38,21.75,24.5,25.84,26.22,27.69,27.78,28.34,28.31,27.62,27.03,23.72:22.97,25.72,29.66,33.06,35.25,35.47,36.53,34.56,33.22,31.12,28.03,25.47,22.66,20.25,19.12,18.38,19.5,22.12,27.47,31.62,36.75,41.38,44.44,45.56,44.28,43.88,40.88,37.78,34.12,30.41,27.44,23.81,21.25,18.0,15.28,13.59,11.34,10.5,9.03,9.12,8.38,8.09,8.81,9.41,10.97,13.12,14.84,17.41,18.72,20.22,20.81,21.84,22.0,21.88,22.19,21.53,20.38,19.69,18.84,18.09,17.06,16.97,16.19,16.03,15.41,15.22,14.91,16.97,17.81,19.91,23.31,25.12,27.12,28.28,29.69,30.81,30.81,31.31,31.09,30.5,28.56,27.94,26.66,24.53,24.19,25.31,25.56,27.31,29.34,33.59,35.75,38.12,40.28,40.5,40.56,38.5,38.16,35.91,35.38,35.81,35.56,35.94,37.12,37.06,36.56,35.91,34.59,32.44,31.19,29.69,28.19,27.81,27.62,28.38,29.53,31.31,33.44,34.75,35.06,35.12,34.69,33.66,34.0,34.72,35.03,36.72,38.94,40.62,41.72,42.62,42.69,41.91,40.75,38.16,37.62,36.12,35.41,34.0,34.53,33.97,33.62,32.41,33.12,32.97,33.47,35.19,35.91,37.25,38.69,39.91,38.25,39.06,39.25,37.91,37.69,36.84,35.41,33.06,32.69,28.81,27.44,26.16,25.47,25.0,25.06,26.16,26.62,28.72,30.03,33.0,35.66,37.62,39.5,39.69,40.44,41.16,40.53,40.56,38.28,37.44,36.31,34.28,34.25,34.19,33.56,32.44,32.41,30.94,30.91,30.62,31.0,31.16,31.78,31.44,31.31,30.72,28.78,28.78,29.0,29.94,31.28,32.31,33.34,35.19,34.56,33.97,34.47,31.53,30.66,29.12,27.69,26.72,26.94,26.94,28.41,28.22,28.56,29.34,29.34,27.78,27.03,26.53,24.53,22.69,21.56,20.5,21.06,22.41,24.81,27.09,28.31,28.5,28.53,27.62,25.12,24.12,23.69,23.53,23.25,23.06,23.72,23.66,23.09,22.16,22.28,23.25,23.38,26.0,28.03,28.72,29.59,28.78,27.34,26.19,26.09,26.53,24.88,25.94,26.06,24.38,24.66,24.0,21.62,20.53,19.25,17.94,17.31,17.03,15.59,16.12,16.84,17.0,17.53,20.28,21.34,23.06,25.41,27.09,29.84,30.06,30.41,29.62,28.44,26.66,25.06,23.16,21.38,20.47,20.94,20.28,21.94,22.62,23.94,23.25,22.84,24.03,24.62,27.69,31.16,34.44,36.5,38.56,38.38,37.19,36.88,36.69,35.69,35.16,35.78,36.69,37.09,38.12,37.31,36.03,35.94,34.19,34.28,35.16,34.88,35.38,36.03,35.5,37.47,36.53,38.41,38.81,38.78,38.31,37.31,35.88,34.38,32.28,30.84,29.78,28.34,27.66,27.75,29.38,31.12,33.66,34.44,35.75,35.56,34.62,34.81,35.94,36.78,38.06,39.12,39.62,40.28,39.25,39.06,36.94,34.62,33.31,30.31,28.41,26.66,27.12,27.72,28.69,30.69,33.56,34.22,33.12,34.16,33.25,34.56,37.28,38.72,41.09,42.03,41.19,40.69,39.84,39.75,38.75,38.72,37.88,37.12,36.31,35.62,34.62,33.44,33.25,33.41,34.22,34.56,36.41,37.03,38.5,40.03,41.91,42.94,44.41,44.28,43.19,42.78,41.81,41.56,41.31,42.06,43.41,44.41,45.19,45.38,45.19,43.84,42.53,40.97,38.72,37.75,35.66,34.75,33.66,32.56,32.28,32.81,32.31,32.56,32.25,33.09,33.06,34.06,32.88,33.41,32.81,31.03,31.28,30.53,30.81,30.28,28.88,29.19,27.0,28.28,29.66,31.62,34.44,38.31,39.97,40.66,40.62,39.19,36.31,34.31,31.12,27.75,26.06,26.16,26.34,28.03,30.22,31.0,33.19,32.69,34.28,35.25,34.12,34.72,32.28,31.09,28.88,29.44,30.16,31.72,34.78,37.62,40.25,41.41,41.81,41.03,39.34,35.66,33.81,31.5,31.0,31.75,33.62,34.22,35.16,35.5,35.06,33.56,32.12,30.88,28.41,26.94,25.38,26.66,25.72,27.06,27.47,28.41,28.88,29.66,31.22,31.25,31.72,32.16,31.81,30.94,29.81,29.12,27.91,27.78,27.12,27.28,27.5,28.75,29.44,30.91,33.09,34.66,36.28,37.5,38.12,37.91,37.84,35.66,34.34,33.72,33.56,33.53,34.41,35.19,36.41,35.28,36.09,36.0,34.31,33.5,32.06,30.31,29.28,28.78,28.38,29.16,28.53,28.31,28.12,27.0,26.03,25.47,23.69,24.94,25.0,25.38,24.31,26.06,25.81,25.5,26.75,27.47,28.31,28.75,30.5,30.16,30.25,30.41,29.06,29.28,28.84,29.66,30.06,30.03,29.69,29.94,28.69,29.75,30.59,31.97,33.91,35.78,35.78,37.59,36.75,37.69,35.28,33.94,32.56,30.81,28.38,27.41,25.12,23.16,22.25,21.59,20.28,21.97,20.81,22.5,22.91,24.0,25.5,26.5,26.56,29.06,29.62,30.69,31.44,32.16,31.53,30.69,28.5,27.38,26.22,26.03,24.94,25.78,25.94,26.59,25.19,25.78,25.44,25.03,23.22,23.62,22.09,21.62,20.91,21.31,20.62,20.31,20.31,19.69,19.66,19.22,18.72,19.91,20.41,20.38,21.28,23.06,23.12,23.06,23.38,23.44,23.31,23.12,24.19,24.62,26.44,27.81,29.69,29.31,31.16,30.03,28.72,27.84,25.22,23.75,21.88,20.66,19.38,19.91,20.81,21.56,23.62,23.66,23.16,21.91,20.03,18.78,18.31,16.72,15.94,14.19,13.44,11.81,13.19,14.5,16.25,18.56,20.81,22.25,23.59,23.31,22.41,23.28,21.09,21.09,20.28,22.03,22.44,24.19,26.12,30.25,32.16,34.72,34.38,35.12,33.19,31.38,31.25,29.94,30.88,30.84,29.44,28.72,28.34,26.66,27.56,27.06,27.66,28.28,27.0,26.5,25.94,25.28,24.5,24.44,24.16,24.22,24.69,24.16,25.44,25.53,26.66,27.88,28.16,27.12,26.59,25.56,24.78,23.5,23.75,23.81,23.69,24.09,24.19,22.22,21.03,20.12,16.84,15.78,15.06,14.44,13.25,12.88,14.19,14.06,15.66,17.16,18.31,19.94,21.53,21.72,23.38,22.12,22.94,21.25,19.88,18.59,17.16,16.06,15.06,14.34,12.81,12.88,13.03,13.31,13.44,13.91,13.66,13.03,12.47,10.88,9.5,9.12,7.16,5.0,3.94,2.91,2.84,3.97,5.72,6.31,7.59,6.44,5.72,5.78,5.56,7.19,8.28,10.5,12.16,13.31,13.12,15.53,16.03,15.84,17.56,17.12,15.53,15.81,13.5,13.16,12.38,11.78,11.31,11.62,11.69,12.56,14.97,16.47,17.56,18.75,19.38,18.31,18.12,18.03,16.94,16.69,16.91,14.88,13.88,13.41,12.38,12.47,12.31,12.44,12.91,11.69,12.97,11.5,12.5,13.91,14.84,14.94,14.12,12.72,8.84,6.16,4.0,1.22,2.44,3.31,4.91,7.31,9.72,10.97,12.53,13.5,14.03,13.41,13.66,12.44,11.91,9.38,9.78,6.81,5.09,3.5,3.53,1.53,2.03,1.28,1.94,3.03,3.91,6.34,7.81,8.62,9.44,32.25,30.94,29.22,26.78,23.84,23.03,21.5,20.75,20.69,20.06,20.12,20.84,21.38,21.75,24.5,25.84,26.22,27.69,27.78,28.34,28.31,27.62,27.03,23.72,22.31,19.91,16.62,15.56,15.56,16.53:negativity
51.5,51.19,53.0,54.28,54.81,58.5,59.75,61.94,63.69,65.59,66.66,66.5,68.81,70.0,70.72,70.31,68.25,65.66,62.03,59.25,57.38,56.12,55.81,56.81,58.12,59.94,63.81,64.25,66.91,67.47,68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34:59.75,61.94,63.69,65.59,66.66,66.5,68.81,70.0,70.72,70.31,68.25,65.66,62.03,59.25,57.38,56.12,55.81,56.81,58.12,59.94,63.81,64.25,66.91,67.47,68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34,23.62,23.16,24.62,24.88,26.5,28.41:68.81,70.0,70.72,70.31,68.25,65.66,62.03,59.25,57.38,56.12,55.81,56.81,58.12,59.94,63.81,64.25,66.91,67.47,68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34,23.62,23.16,24.62,24.88,26.5,28.41,27.88,30.31,32.56,33.12,36.5,37.19:62.03,59.25,57.38,56.12,55.81,56.81,58.12,59.94,63.81,64.25,66.91,67.47,68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34,23.62,23.16,24.62,24.88,26.5,28.41,27.88,30.31,32.56,33.12,36.5,37.19,38.53,39.59,39.41,38.59,36.03,33.47:58.12,59.94,63.81,64.25,66.91,67.47,68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34,23.62,23.16,24.62,24.88,26.5,28.41,27.88,30.31,32.56,33.12,36.5,37.19,38.53,39.59,39.41,38.59,36.03,33.47,29.59,25.66,22.81,21.56,19.78,20.84:68.41,68.66,68.34,66.75,65.75,65.84,64.59,64.09,64.81,67.25,70.56,74.06,77.84,79.38,80.12,76.56,74.47,70.66,69.72,67.19,65.84,64.28,62.47,61.84,62.12,63.28,65.62,68.34,68.16,68.91,69.69,69.41,70.41,69.56,70.06,66.22,65.78,64.06,64.25,64.5,64.09,63.69,64.03,62.28,61.56,60.06,58.66,58.0,56.78,56.91,57.56,60.25,62.28,64.0,66.94,67.12,67.75,67.31,66.47,64.31,63.53,62.31,59.94,59.84,59.0,59.91,60.28,61.91,62.56,62.47,63.62,60.34,60.62,59.0,57.5,57.0,57.19,57.88,59.78,62.38,65.0,69.22,71.41,74.66,75.38,75.28,73.5,71.28,69.06,65.16,62.16,59.94,59.12,58.41,58.0,59.16,57.75,58.72,58.19,58.97,61.56,64.16,66.66,69.41,69.75,69.44,68.94,66.75,64.84,63.19,63.0,62.47,62.88,64.38,64.5,63.38,63.16,62.53,62.72,63.72,64.84,65.91,68.34,69.38,69.22,69.91,70.56,70.12,69.59,70.22,70.25,67.91,69.0,70.19,72.72,76.25,79.84,82.16,83.06,83.88,83.34,83.12,83.72,83.88,84.62,85.94,86.34,88.31,89.38,90.44,90.94,90.34,89.16,86.22,83.53,81.41,79.53,77.5,76.5,75.53,74.28,73.66,72.31,71.16,70.0,68.56,66.78,65.06,62.75,61.62,62.91,63.69,66.28,68.59,71.12,72.12,72.12,72.19,71.31,69.97,68.75,67.94,66.31,65.62,64.75,64.19,64.5,65.28,65.47,66.31,67.41,66.78,68.38,69.47,70.81,72.41,73.75,72.62,72.78,71.78,70.69,70.81,72.91,74.41,76.19,79.34,81.34,82.03,82.44,82.81,81.53,79.47,77.94,77.19,75.84,76.66,77.09,76.91,79.22,81.12,81.16,82.16,83.38,83.53,82.75,82.06,80.84,79.41,76.69,73.97,71.81,70.06,67.84,68.44,68.97,69.72,71.97,72.34,74.88,77.16,78.97,83.19,87.5,91.06,93.72,97.19,98.12,98.28,96.78,95.38,91.44,89.88,88.88,87.16,88.97,88.78,89.03,88.62,87.31,86.53,85.69,85.78,85.72,85.56,86.19,85.59,85.56,85.75,86.53,87.72,89.0,89.94,90.84,91.53,91.03,90.44,88.81,88.03,86.59,87.56,88.97,90.5,93.91,95.06,94.72,93.28,92.94,90.31,90.56,90.88,91.19,92.19,91.59,92.19,91.12,90.91,91.06,90.12,90.28,89.81,89.84,89.03,88.69,88.28,86.53,84.62,84.31,83.0,82.09,81.94,82.94,83.94,85.28,87.06,88.72,89.81,88.81,89.72,90.03,88.25,89.25,88.03,86.25,84.0,82.38,81.25,80.69,79.84,79.53,78.31,77.41,76.41,76.38,76.97,80.16,81.25,84.56,88.28,90.91,94.16,95.81,96.53,96.69,94.72,93.38,91.25,89.81,88.19,86.88,86.75,86.12,86.03,85.56,84.19,85.44,83.81,82.31,82.81,82.53,81.44,81.72,83.34,83.81,85.0,85.84,86.34,86.22,84.91,83.06,82.66,80.12,79.69,79.88,79.66,80.34,81.69,80.81,79.5,77.94,75.53,74.84,74.31,75.12,76.06,79.06,81.22,82.91,84.62,84.75,85.03,84.03,82.44,81.91,82.31,81.41,81.47,82.69,82.81,83.94,83.53,83.34,84.25,82.44,82.78,82.88,83.88,84.75,88.81,90.03,92.44,93.41,93.81,92.28,91.06,87.97,86.25,84.66,82.5,82.16,82.38,81.84,82.16,81.81,81.97,81.5,80.5,80.91,80.81,81.69,81.91,83.03,84.31,84.56,86.69,86.44,88.72,89.25,88.97,88.06,87.78,84.38,85.34,84.75,85.88,87.25,89.06,88.69,90.41,91.06,91.78,93.62,92.5,94.75,95.81,95.91,97.0,98.06,98.81,96.91,94.31,92.25,89.47,84.81,85.19,84.19,85.75,88.06,90.5,91.41,92.62,91.56,90.34,87.38,85.47,84.38,82.84,82.06,82.97,83.88,86.31,87.44,87.81,89.31,88.94,89.03,88.5,89.81,91.44,92.31,93.69,94.0,92.03,90.97,90.41,88.09,87.25,88.44,88.78,88.06,89.56,90.06,91.28,92.16,92.19,93.16,91.84,91.0,89.16,87.16,85.31,83.25,82.69,83.69,85.19,87.09,88.53,89.72,90.56,89.72,89.72,88.16,87.66,85.41,84.22,83.41,82.81,85.44,87.25,90.78,93.69,95.12,96.03,95.0,92.5,90.94,89.53,88.25,87.5,85.84,87.31,87.09,86.19,87.25,87.16,86.88,86.56,86.0,85.81,86.81,87.62,90.78,93.88,97.84,100.34,102.31,101.53,98.5,95.0,91.03,87.06,84.0,82.84,83.06,83.09,84.06,84.94,86.12,86.94,88.03,89.06,90.28,91.81,91.56,92.59,93.47,93.84,95.0,95.44,95.62,93.19,91.19,88.91,86.31,86.31,86.47,86.16,86.69,86.19,86.12,84.72,83.72,81.5,79.78,78.88,77.62,78.25,80.03,81.44,84.66,87.06,89.12,89.91,89.97,87.19,85.0,83.25,80.81,79.12,80.62,81.03,82.0,83.25,83.84,82.25,81.25,80.88,80.31,82.19,84.56,86.66,89.53,91.88,93.62,95.41,96.53,98.88,100.19,99.66,97.03,95.53,91.59,89.66,89.47,88.47,90.62,91.12,91.25,92.09,91.31,90.56,90.28,89.16,86.44,85.81,84.25,82.84,84.12,85.81,87.69,90.31,91.94,91.62,90.44,89.41,86.53,83.28,82.19,81.22,81.28,80.69,81.53,80.66,79.62,78.69,78.44,78.31,78.72,80.28,79.97,79.47,80.12,80.62,81.75,83.53,85.31,85.88,86.94,85.94,84.25,82.25,81.25,78.81,77.94,77.47,76.91,76.34,75.25,74.53,75.31,75.81,76.06,77.94,78.12,78.28,77.72,77.06,75.56,75.28,75.06,74.22,75.81,77.62,80.44,83.75,87.62,91.53,92.34,94.19,93.31,91.53,89.34,88.06,86.06,85.03,84.66,83.03,84.0,83.28,83.59,84.53,85.44,85.03,84.31,81.81,80.94,79.62,80.06,80.97,82.72,84.84,85.69,85.78,86.69,86.44,85.06,83.78,81.16,78.16,76.0,75.25,74.28,75.12,76.78,78.0,77.78,78.0,79.31,79.56,80.75,81.97,83.41,83.19,83.62,82.28,80.78,80.22,79.78,79.28,78.75,80.56,81.19,81.03,80.28,80.25,80.5,79.97,81.75,82.06,83.0,85.62,85.44,84.75,83.75,80.62,77.09,72.59,70.41,69.84,69.72,70.88,72.44,73.94,75.38,74.66,75.81,74.19,74.53,72.44,72.16,70.81,70.44,70.59,69.81,69.25,68.97,67.38,66.06,65.31,64.69,64.44,64.75,64.38,63.12,62.81,61.69,61.81,61.78,61.91,62.38,62.06,61.44,61.09,61.19,61.78,61.88,63.5,64.47,65.5,66.81,67.0,67.12,66.44,66.88,67.62,67.69,67.44,66.69,65.44,62.59,60.69,59.75,57.66,58.44,58.84,59.47,60.34,61.75,62.78,63.69,65.94,67.28,69.12,70.06,69.56,69.41,68.38,67.19,65.0,63.12,62.09,61.09,61.25,62.06,62.69,63.34,64.0,62.84,63.06,63.47,63.75,63.09,63.06,61.41,59.38,56.44,53.34,23.62,23.16,24.62,24.88,26.5,28.41,27.88,30.31,32.56,33.12,36.5,37.19,38.53,39.59,39.41,38.59,36.03,33.47,29.59,25.66,22.81,21.56,19.78,20.84,23.28,24.16,28.5,29.84,32.97,34.41:negativity
66.81,68.31,69.47,71.81,74.09,75.62,78.06,78.75,79.31,79.88,79.19,79.47,79.28,79.34,78.19,78.03,76.66,76.34,76.88,76.78,75.91,76.38,73.94,72.56,71.66,71.75,72.62,73.94,74.56,77.81,79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5:78.06,78.75,79.31,79.88,79.19,79.47,79.28,79.34,78.19,78.03,76.66,76.34,76.88,76.78,75.91,76.38,73.94,72.56,71.66,71.75,72.62,73.94,74.56,77.81,79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5,10.22,11.31,10.69,13.44,15.53,16.69:79.28,79.34,78.19,78.03,76.66,76.34,76.88,76.78,75.91,76.38,73.94,72.56,71.66,71.75,72.62,73.94,74.56,77.81,79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5,10.22,11.31,10.69,13.44,15.53,16.69,19.0,21.31,23.06,24.03,25.06,24.69:76.88,76.78,75.91,76.38,73.94,72.56,71.66,71.75,72.62,73.94,74.56,77.81,79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5,10.22,11.31,10.69,13.44,15.53,16.69,19.0,21.31,23.06,24.03,25.06,24.69,25.25,24.38,23.88,24.44,24.19,24.75:71.66,71.75,72.62,73.94,74.56,77.81,79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5,10.22,11.31,10.69,13.44,15.53,16.69,19.0,21.31,23.06,24.03,25.06,24.69,25.25,24.38,23.88,24.44,24.19,24.75,24.0,24.66,22.59,22.12,19.44,18.44:79.47,79.94,81.53,82.19,81.84,80.81,80.03,78.19,77.47,77.0,78.88,83.78,89.25,94.94,99.81,100.56,100.34,98.28,93.91,88.97,85.0,81.06,77.62,75.31,73.28,72.06,70.44,69.56,69.88,69.19,70.12,71.25,71.5,71.47,72.31,71.62,70.69,70.78,70.84,67.91,69.06,68.09,66.44,66.78,67.25,67.56,69.19,69.78,72.69,72.38,73.81,74.38,73.22,73.41,71.25,70.44,70.84,70.81,72.62,73.66,75.06,75.25,74.06,72.59,70.94,70.75,70.72,70.69,71.06,71.38,70.88,69.81,69.53,66.5,67.97,68.0,67.72,67.25,68.06,66.5,65.0,66.41,66.34,67.66,69.66,70.5,71.19,68.81,69.66,68.0,65.91,66.69,65.81,65.5,66.19,65.03,65.94,65.94,64.91,64.97,65.41,64.16,65.16,65.12,66.91,67.09,68.0,68.34,70.06,71.44,71.69,71.97,71.94,70.22,68.19,65.72,64.34,61.81,60.44,59.56,59.69,61.53,64.41,66.94,69.62,69.5,68.88,67.22,62.34,60.69,58.41,58.22,58.62,59.94,63.06,65.12,67.31,69.94,71.94,73.19,72.91,73.31,71.97,70.88,70.91,70.19,70.53,69.31,70.69,68.91,68.16,67.44,67.19,66.31,66.66,66.62,67.75,67.75,67.16,67.28,67.44,67.78,68.69,69.41,69.78,69.62,68.56,68.31,68.56,69.12,69.53,69.62,70.25,69.16,68.88,68.34,68.12,68.59,68.0,69.09,69.66,69.47,70.56,70.56,68.97,70.44,70.66,69.72,70.53,70.19,69.0,66.84,64.25,62.25,61.06,60.5,60.28,60.12,59.28,59.47,58.53,58.62,58.81,60.59,60.41,60.28,58.94,58.91,57.12,55.38,56.31,56.5,56.22,57.03,57.34,56.06,55.62,55.41,55.38,56.0,58.38,60.22,62.75,65.69,65.78,66.31,64.75,61.56,58.16,56.34,56.75,56.19,58.25,60.66,63.66,63.91,65.91,66.69,63.62,61.59,58.41,55.25,50.69,50.16,48.41,49.19,49.72,51.25,53.03,54.16,54.94,55.62,55.69,55.69,54.5,53.69,52.16,51.31,51.81,52.38,52.31,53.31,54.66,56.69,56.75,59.16,60.97,62.03,61.59,61.5,62.19,61.56,62.25,63.16,64.44,64.81,64.06,64.94,65.31,65.12,66.44,67.91,68.5,69.31,68.94,68.91,67.19,65.44,64.91,64.47,64.62,65.44,65.0,65.19,64.31,60.44,60.03,58.75,55.84,57.56,56.69,56.91,58.56,59.88,62.75,65.44,67.38,69.31,70.38,69.81,68.03,66.59,64.38,60.69,57.81,55.75,53.97,53.88,53.34,54.56,55.19,54.44,56.12,54.81,54.28,53.88,54.31,52.81,52.16,50.88,48.06,46.53,45.12,43.84,40.56,42.66,42.56,43.91,46.69,49.84,52.06,53.84,55.06,54.94,56.06,55.41,55.91,55.53,55.81,56.25,58.03,59.5,61.69,63.19,64.94,65.19,65.12,64.78,64.53,64.44,63.88,63.09,61.12,59.44,57.16,55.06,55.66,54.59,56.5,57.31,58.0,58.06,58.03,58.41,60.0,59.56,61.12,59.5,58.94,56.31,54.25,52.56,50.62,48.66,48.31,49.03,49.78,51.25,53.78,53.56,55.03,54.5,53.56,53.44,51.91,52.84,53.16,53.88,56.16,56.19,56.5,56.5,56.94,55.81,56.97,56.94,54.28,53.25,52.22,49.88,49.59,49.22,48.84,48.97,49.69,49.44,50.91,49.69,48.88,47.5,48.19,48.91,52.56,56.03,60.53,64.03,66.03,69.94,70.56,70.81,70.28,67.97,63.59,60.09,56.84,55.22,55.06,54.12,54.81,55.97,56.28,57.72,58.91,58.56,60.38,60.47,60.56,61.28,62.53,62.59,63.62,64.84,67.53,69.41,71.44,72.12,70.94,71.03,67.62,65.66,64.94,64.44,65.75,68.28,70.97,74.25,75.25,76.34,76.19,74.69,73.62,71.78,69.31,69.22,65.44,65.72,64.69,63.0,63.28,63.31,64.5,65.22,66.72,67.12,65.91,66.56,66.0,66.0,67.22,69.38,69.66,70.56,70.66,72.56,72.91,71.31,71.47,69.53,68.66,68.12,67.94,69.25,70.06,68.62,67.81,66.69,66.03,65.22,66.69,67.09,70.19,72.53,73.34,73.56,74.25,72.66,70.34,69.69,69.03,67.56,67.06,64.0,63.88,60.59,60.16,58.5,56.5,56.06,57.12,56.16,58.38,59.94,60.81,61.53,62.66,63.34,63.62,64.34,62.12,61.19,60.19,58.81,59.28,60.47,62.19,63.38,64.62,65.28,65.12,66.06,64.84,63.53,62.72,60.44,57.91,57.09,56.84,57.66,59.59,59.62,62.75,63.88,65.44,66.72,68.44,69.0,70.19,70.03,71.56,70.94,70.34,69.66,68.66,67.31,65.56,68.12,68.03,70.09,72.44,73.94,74.44,74.0,70.72,68.56,64.34,60.09,57.97,56.0,56.06,55.09,55.78,54.97,54.88,53.41,54.31,55.06,55.66,55.56,53.66,53.25,52.0,50.53,52.0,54.81,56.56,59.41,60.56,60.66,61.34,59.81,59.19,58.09,56.41,57.66,57.5,58.69,60.56,62.06,63.06,63.44,62.34,62.34,58.81,56.41,56.28,56.72,58.94,62.56,64.69,66.31,66.16,65.31,65.28,65.38,66.34,67.56,67.84,67.12,64.5,60.22,56.97,51.28,48.06,46.0,44.03,44.38,45.69,46.84,48.78,50.31,53.59,56.03,58.88,63.03,65.69,67.69,68.44,68.62,67.16,66.44,64.78,63.16,60.94,59.09,56.12,56.06,55.12,56.5,58.12,58.0,59.06,58.34,57.28,56.25,56.28,55.91,56.53,56.19,55.69,54.09,52.66,51.06,48.47,46.59,43.84,42.34,39.75,37.47,33.5,32.0,29.69,28.5,27.41,28.31,29.0,28.16,29.94,31.28,32.59,35.25,38.38,40.12,41.06,41.66,41.25,40.44,41.12,39.5,40.62,41.5,42.44,45.44,47.75,49.62,50.94,50.97,51.47,49.81,49.72,50.28,50.56,51.94,53.59,55.94,58.31,60.12,62.81,64.31,64.66,65.28,63.81,62.12,61.62,60.59,59.69,59.66,59.81,59.38,59.25,58.75,59.03,58.41,58.47,58.22,57.09,57.56,56.88,57.44,56.94,56.84,56.75,55.81,55.66,55.81,55.88,56.81,58.0,58.31,58.53,59.16,59.94,60.47,61.84,61.38,61.69,59.97,58.06,54.81,52.66,50.66,49.03,47.06,45.94,45.94,45.81,44.62,46.0,47.06,48.34,49.62,50.75,51.53,52.44,53.03,53.81,54.03,54.62,54.5,54.84,56.31,56.84,59.38,60.94,61.66,61.94,61.69,60.44,59.31,59.34,58.69,59.59,60.88,61.44,63.19,62.41,62.22,61.62,62.03,61.5,61.84,62.75,62.81,63.19,63.56,64.09,64.84,64.84,64.66,64.44,64.28,62.81,61.38,60.88,58.75,57.59,57.59,57.69,57.53,58.19,58.41,58.59,59.16,59.38,59.25,59.69,59.94,59.81,60.72,61.16,61.94,60.66,59.78,58.72,57.97,56.47,55.38,54.09,52.94,51.31,50.28,50.28,51.69,52.56,56.16,60.62,65.88,69.72,72.47,73.0,71.19,67.25,62.94,58.75,56.19,54.5,54.5,10.22,11.31,10.69,13.44,15.53,16.69,19.0,21.31,23.06,24.03,25.06,24.69,25.25,24.38,23.88,24.44,24.19,24.75,24.0,24.66,22.59,22.12,19.44,18.44,18.44,18.75,20.69,23.12,25.25,28.28:negativity
33.75,30.56,28.78,27.78,28.44,30.28,31.56,33.59,34.75,34.25,34.06,33.19,32.66,32.47,31.25,30.38,29.66,28.56,28.69,29.25,30.75,33.28,35.19,37.25,39.44,39.34,41.25,41.56,40.44,40.41,38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56:31.56,33.59,34.75,34.25,34.06,33.19,32.66,32.47,31.25,30.38,29.66,28.56,28.69,29.25,30.75,33.28,35.19,37.25,39.44,39.34,41.25,41.56,40.44,40.41,38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56,-2.19,-3.72,-4.75,-6.12,-4.91,-3.84:32.66,32.47,31.25,30.38,29.66,28.56,28.69,29.25,30.75,33.28,35.19,37.25,39.44,39.34,41.25,41.56,40.44,40.41,38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56,-2.19,-3.72,-4.75,-6.12,-4.91,-3.84,-3.41,-2.28,0.22,-0.44,0.25,-0.25:28.69,29.25,30.75,33.28,35.19,37.25,39.44,39.34,41.25,41.56,40.44,40.41,38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56,-2.19,-3.72,-4.75,-6.12,-4.91,-3.84,-3.41,-2.28,0.22,-0.44,0.25,-0.25,1.16,-0.22,-0.56,-0.66,-1.97,-3.19:39.44,39.34,41.25,41.56,40.44,40.41,38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56,-2.19,-3.72,-4.75,-6.12,-4.91,-3.84,-3.41,-2.28,0.22,-0.44,0.25,-0.25,1.16,-0.22,-0.56,-0.66,-1.97,-3.19,-3.09,-4.0,-2.38,-1.0,0.78,1.31:38.75,36.91,36.06,34.56,34.56,36.22,36.47,37.41,39.19,39.38,39.84,41.28,40.84,41.44,42.19,41.75,42.16,42.84,43.12,44.03,44.44,43.88,43.66,43.66,42.12,43.81,44.91,46.16,48.0,47.56,46.56,45.53,41.94,39.09,37.28,34.31,30.94,28.0,24.19,21.44,18.75,17.25,17.81,18.0,18.5,18.97,20.19,20.69,22.5,25.44,29.12,32.5,35.91,37.12,36.66,34.84,31.41,29.0,25.69,25.0,23.03,23.25,23.56,23.25,23.44,23.41,23.0,22.78,22.84,23.06,23.38,22.53,23.91,23.66,24.81,23.91,22.88,22.41,19.91,18.56,19.72,21.72,22.72,25.16,26.12,27.25,26.88,25.09,25.56,25.12,24.12,25.81,26.31,27.16,28.88,32.19,32.59,33.66,34.94,34.38,33.78,32.56,31.91,30.91,29.69,29.62,29.12,30.25,31.69,33.34,34.75,36.09,34.69,35.06,34.41,33.59,34.81,36.25,37.31,36.97,38.28,35.41,34.56,35.06,33.56,33.56,33.28,33.28,31.94,29.84,29.31,27.97,26.94,26.62,25.31,24.91,25.78,25.66,25.97,27.81,27.69,28.41,32.72,32.66,34.62,36.5,36.16,35.28,32.12,32.75,31.12,30.94,32.47,33.81,34.62,35.34,35.91,37.06,37.91,40.12,41.5,40.78,43.22,41.53,42.03,43.41,42.91,43.91,43.81,42.16,40.91,38.66,38.03,37.28,37.12,37.78,39.88,39.53,41.62,43.97,44.69,46.97,46.09,49.0,48.03,49.28,49.34,50.88,49.31,49.44,47.62,46.22,44.69,43.34,42.41,42.31,41.44,41.12,39.12,39.91,39.19,40.66,44.03,46.78,49.81,51.94,52.38,51.28,48.19,43.72,41.84,39.5,38.62,40.94,42.0,46.16,50.5,52.81,59.06,62.44,66.19,68.41,69.22,69.25,67.25,65.16,62.5,58.75,57.91,53.78,52.16,52.31,53.75,55.72,59.44,63.94,65.66,67.56,67.81,67.62,67.06,66.12,66.0,65.75,64.22,63.94,60.81,56.69,55.31,50.78,50.16,50.38,52.34,53.59,55.62,58.03,57.91,59.5,59.28,59.22,57.78,57.19,56.94,58.25,59.16,61.94,65.31,64.5,64.44,64.0,59.78,56.66,51.59,48.28,47.41,45.81,47.06,48.75,51.94,54.38,56.22,58.88,61.0,61.19,60.88,60.94,59.56,58.31,58.53,57.31,57.09,55.66,54.88,53.59,51.62,52.06,51.03,51.59,52.69,53.75,53.38,53.09,51.38,49.56,47.81,47.69,47.41,50.06,52.69,54.84,56.81,58.75,61.62,63.72,64.06,64.19,63.44,63.5,62.84,62.62,63.75,63.81,63.41,63.94,66.75,67.97,70.78,71.97,73.44,74.69,71.84,71.66,71.5,70.69,69.69,68.81,68.72,65.62,64.12,61.75,59.16,56.72,55.31,52.69,52.31,50.03,47.5,48.34,46.5,46.28,46.56,45.59,44.53,43.06,42.41,41.66,41.97,41.91,42.03,42.53,44.44,45.0,46.81,48.53,51.12,50.47,50.25,50.81,48.5,49.94,49.56,50.5,51.62,51.0,50.22,48.94,47.72,46.53,45.19,46.12,45.59,44.81,44.81,44.0,43.72,43.69,43.97,44.12,45.44,44.53,45.16,45.19,45.34,46.56,45.66,45.69,45.56,43.94,44.84,44.66,46.31,47.41,47.94,48.34,48.19,47.31,46.56,45.84,46.25,45.56,43.41,43.47,42.34,41.28,40.31,40.5,40.81,41.44,43.34,44.59,48.41,51.5,52.12,54.44,55.88,53.25,51.69,47.72,46.03,42.19,40.09,38.69,37.69,35.59,36.12,35.5,36.72,38.47,41.25,42.81,43.53,47.38,49.53,50.53,52.41,52.16,50.75,49.91,46.91,45.88,44.94,42.44,41.25,41.38,41.72,41.72,42.25,43.19,43.66,44.62,46.06,47.06,48.38,48.03,48.09,45.16,42.62,40.97,39.31,37.25,37.0,38.22,40.62,43.88,47.81,53.5,57.41,60.41,62.41,61.0,58.25,53.88,51.19,49.5,46.78,46.69,47.06,46.16,46.78,46.59,47.88,48.59,49.03,47.91,49.09,48.91,48.0,49.69,50.06,49.56,49.06,47.94,48.41,47.44,47.44,47.31,47.31,45.03,44.81,43.0,42.16,44.09,45.81,49.16,51.84,55.06,57.06,57.56,56.56,56.31,55.69,54.19,54.53,54.0,55.59,56.69,57.91,58.56,59.72,59.41,59.97,58.91,60.62,61.19,61.81,63.53,62.94,62.12,61.66,60.69,58.75,56.66,55.12,55.75,55.66,57.38,59.44,59.31,58.44,57.41,54.5,55.19,54.09,53.88,53.59,51.91,49.78,49.06,46.62,46.5,46.69,48.25,49.69,49.53,53.38,53.56,53.47,54.38,56.16,56.0,56.25,56.81,56.44,55.41,54.91,55.06,55.31,54.72,55.12,54.34,55.0,53.41,53.56,53.66,52.59,51.12,50.12,48.53,47.38,46.88,47.12,47.16,47.12,45.62,43.84,44.38,43.28,43.97,44.78,45.47,45.88,43.56,42.53,42.41,40.94,41.16,40.59,41.34,41.53,40.62,40.66,42.5,41.72,42.75,44.28,44.78,45.69,46.94,47.53,46.88,45.97,45.06,43.09,42.5,42.38,44.53,46.81,48.66,50.22,50.81,49.94,47.78,45.75,44.25,43.31,42.31,42.56,42.5,43.12,44.53,45.31,46.62,48.41,49.72,51.03,49.81,49.84,49.44,47.81,47.03,46.31,45.81,45.16,43.25,44.25,42.72,43.78,44.53,45.19,44.91,45.66,44.91,43.94,41.81,41.41,39.25,38.97,40.69,41.12,41.84,44.31,45.75,48.19,49.88,52.78,54.0,56.0,56.88,56.53,57.22,57.56,57.91,59.66,61.97,64.19,66.34,66.41,66.41,64.5,61.06,58.5,55.56,53.47,52.44,52.56,52.72,53.44,51.94,50.94,50.09,46.69,46.62,46.25,46.12,46.56,47.34,48.31,48.5,48.94,50.12,48.09,48.56,46.81,44.94,43.62,42.81,42.75,42.28,42.66,42.59,43.03,41.12,41.72,43.44,42.75,43.88,44.97,45.47,45.31,47.12,47.62,49.62,51.41,54.5,58.19,60.69,62.59,62.69,62.31,60.69,58.25,57.25,55.81,55.62,55.19,55.44,55.12,55.91,55.28,55.56,55.84,54.81,54.47,52.78,52.25,49.72,48.62,45.78,45.62,44.31,43.44,42.84,42.56,43.25,43.66,44.03,44.19,42.19,42.16,40.94,41.53,42.41,44.38,45.84,46.47,47.19,48.53,51.09,53.44,55.75,56.72,55.78,54.22,52.5,50.28,49.06,48.31,47.09,47.69,47.16,46.88,47.41,46.34,46.12,45.38,44.56,44.44,44.56,44.53,44.25,43.66,44.25,41.66,41.81,42.5,42.66,43.12,46.41,46.41,46.56,47.62,47.38,47.59,47.72,47.44,48.41,47.78,47.91,48.5,48.03,49.75,50.25,50.78,50.88,51.31,49.5,50.69,49.22,47.19,45.62,43.59,41.53,40.97,40.88,42.5,44.16,45.72,46.81,45.34,46.56,45.97,44.53,43.84,44.78,44.31,43.81,42.25,42.03,40.06,38.56,38.16,36.94,37.53,37.25,39.31,40.75,41.41,42.62,43.5,43.59,42.25,41.94,40.91,40.12,39.97,40.56,-2.19,-3.72,-4.75,-6.12,-4.91,-3.84,-3.41,-2.28,0.22,-0.44,0.25,-0.25,1.16,-0.22,-0.56,-0.66,-1.97,-3.19,-3.09,-4.0,-2.38,-1.0,0.78,1.31,2.16,2.75,3.66,3.47,4.03,3.59:negativity
24.78,24.75,25.03,23.75,22.59,22.47,21.5,20.16,21.28,20.91,20.88,21.22,22.06,22.25,21.72,21.62,21.19,20.34,20.16,21.41,22.81,25.28,26.62,29.81,29.69,29.62,30.03,28.53,27.16,26.78,25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91:21.5,20.16,21.28,20.91,20.88,21.22,22.06,22.25,21.72,21.62,21.19,20.34,20.16,21.41,22.81,25.28,26.62,29.81,29.69,29.62,30.03,28.53,27.16,26.78,25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91,6.19,6.88,7.53,6.12,4.56,2.41:22.06,22.25,21.72,21.62,21.19,20.34,20.16,21.41,22.81,25.28,26.62,29.81,29.69,29.62,30.03,28.53,27.16,26.78,25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91,6.19,6.88,7.53,6.12,4.56,2.41,1.78,0.09,0.12,0.31,1.38,1.16:20.16,21.41,22.81,25.28,26.62,29.81,29.69,29.62,30.03,28.53,27.16,26.78,25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91,6.19,6.88,7.53,6.12,4.56,2.41,1.78,0.09,0.12,0.31,1.38,1.16,1.78,1.88,1.12,0.69,-0.22,-0.53:29.69,29.62,30.03,28.53,27.16,26.78,25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91,6.19,6.88,7.53,6.12,4.56,2.41,1.78,0.09,0.12,0.31,1.38,1.16,1.78,1.88,1.12,0.69,-0.22,-0.53,0.25,1.62,3.56,5.91,7.88,9.22:25.44,25.62,23.78,24.41,23.06,23.47,23.28,23.25,23.81,24.66,25.91,28.16,30.16,31.31,34.0,35.69,36.78,36.09,36.62,35.56,32.0,29.53,26.0,22.91,19.59,18.22,17.69,17.31,16.81,17.53,17.41,17.31,16.81,15.81,16.25,16.5,17.12,19.66,21.31,22.97,24.44,24.81,24.53,22.66,21.97,18.38,16.59,15.28,13.44,12.94,13.66,14.38,15.25,15.53,16.06,15.53,15.16,16.28,17.16,18.97,20.34,21.69,22.09,22.56,23.06,24.0,25.19,26.81,27.88,28.41,27.91,25.94,24.06,21.16,17.03,14.56,11.81,8.69,8.56,8.91,9.81,11.44,13.44,15.38,16.62,17.5,17.5,15.25,12.5,9.44,5.16,3.88,1.69,0.62,0.56,1.78,3.47,5.0,7.44,10.12,11.78,15.53,19.56,24.03,30.72,35.53,39.41,42.72,44.03,41.31,38.62,35.12,30.47,25.09,23.12,21.06,20.84,22.56,25.62,29.66,32.03,34.72,36.28,35.91,34.31,31.91,30.19,26.81,25.69,25.19,23.41,23.31,22.5,22.09,21.38,20.69,20.03,20.5,20.56,20.16,20.25,20.72,21.06,19.72,20.06,18.06,16.72,15.66,14.44,13.72,14.38,12.94,13.91,14.94,14.69,18.0,18.75,18.88,18.69,18.91,18.53,18.66,19.0,19.34,19.25,18.53,18.62,17.81,17.12,16.97,16.31,15.09,18.5,19.66,21.72,25.47,25.88,28.09,27.44,27.81,26.28,25.25,24.12,23.06,21.41,22.44,21.28,21.22,21.0,20.94,20.62,19.84,20.38,21.25,20.62,21.81,23.06,24.25,25.81,28.59,31.44,32.47,33.38,31.78,31.03,27.94,27.25,26.41,27.16,27.59,28.19,29.66,28.91,28.59,27.72,27.78,26.5,26.94,27.75,30.38,31.88,34.84,37.0,38.53,39.03,38.5,38.53,37.84,36.5,35.16,34.47,35.0,33.69,33.12,33.22,32.16,31.31,31.0,32.16,31.69,31.84,30.81,31.09,30.78,31.44,31.31,33.41,33.78,34.25,34.38,34.5,32.84,32.41,30.66,29.31,28.75,27.31,27.25,27.03,25.56,25.56,23.28,22.62,22.03,22.56,23.25,25.19,27.38,27.88,27.16,27.62,25.25,24.41,22.56,21.25,21.34,21.56,22.38,24.0,24.91,25.03,25.59,25.31,24.44,23.06,21.94,20.19,20.16,20.12,21.97,25.31,27.31,29.28,31.78,31.41,31.03,30.0,29.25,28.84,26.69,26.66,26.12,25.22,24.5,24.12,25.31,26.22,26.25,27.59,27.28,26.88,28.5,29.31,30.06,32.75,33.94,35.12,36.62,38.59,39.53,39.91,41.19,42.19,41.62,42.31,43.88,43.59,43.34,44.12,45.09,46.19,48.5,49.72,51.19,51.84,49.53,47.44,43.97,41.12,39.62,38.75,39.56,40.88,41.69,42.0,42.41,41.44,41.38,38.94,38.84,37.81,36.88,37.5,36.78,36.5,37.56,35.72,36.12,35.81,35.47,34.34,35.06,34.62,33.44,35.06,35.19,34.78,34.69,34.56,33.75,33.44,32.78,32.25,31.75,32.12,32.62,34.5,34.56,35.09,34.44,31.31,31.69,28.91,29.22,29.66,29.28,29.31,28.62,28.16,27.28,25.66,24.81,24.19,24.44,24.31,25.56,26.69,27.53,29.19,31.09,33.56,34.12,36.09,35.41,34.0,34.03,33.81,33.97,34.53,34.62,33.0,32.69,29.41,27.59,27.69,26.44,27.25,28.38,29.53,29.28,28.81,28.84,27.06,25.91,27.31,28.66,29.12,30.0,31.53,29.69,27.81,27.25,25.75,25.03,25.78,26.75,27.75,29.19,29.12,29.38,29.62,27.91,27.31,27.28,27.12,26.84,28.09,30.19,31.88,33.62,34.84,36.16,35.12,33.97,32.12,31.0,29.88,30.78,31.56,34.75,35.56,36.84,36.25,35.22,33.31,30.94,29.38,27.59,26.19,24.16,23.47,22.72,23.5,24.5,26.5,27.56,28.12,27.97,26.69,25.53,24.59,24.44,23.0,21.53,20.03,18.19,16.69,14.62,15.34,16.09,16.78,19.44,21.53,24.78,27.97,30.53,33.41,35.38,36.16,35.78,33.38,31.31,29.5,26.81,26.81,25.44,24.69,24.94,24.19,24.28,24.5,26.19,27.34,28.06,28.69,29.41,27.78,27.84,26.81,27.41,27.38,27.5,27.97,26.94,25.06,24.28,23.78,22.41,23.31,23.88,24.5,24.81,26.38,27.66,28.97,30.16,30.94,31.06,31.38,31.03,30.22,29.25,27.81,25.44,24.06,22.09,19.81,19.31,19.16,19.75,22.41,26.06,28.06,29.03,29.91,27.44,25.5,23.19,21.06,20.84,20.53,19.47,21.34,21.12,21.94,21.69,20.81,20.94,19.47,18.5,18.5,19.06,18.31,17.38,18.5,17.03,15.53,15.12,14.34,13.56,12.78,13.19,14.44,14.44,15.34,15.31,15.91,15.41,16.22,16.34,17.0,16.84,16.72,17.16,17.44,18.75,19.19,20.41,21.22,21.5,22.91,21.66,21.69,20.53,19.44,20.25,19.47,21.25,23.0,25.38,28.16,31.66,34.53,36.5,37.97,38.09,35.78,33.59,30.12,26.44,24.0,21.72,19.72,18.81,18.97,17.44,17.69,17.56,17.06,16.91,18.5,18.91,20.56,23.44,25.41,28.53,31.12,33.09,33.62,34.03,33.44,31.69,30.5,29.53,28.56,27.25,26.81,25.34,24.56,22.91,21.84,21.34,21.97,22.69,23.38,23.5,23.53,23.94,22.25,21.34,21.22,19.88,19.06,17.91,17.91,17.94,17.66,18.88,20.66,22.59,23.16,23.84,23.75,22.88,21.72,21.19,20.81,20.69,20.16,19.88,20.12,21.16,22.62,24.44,25.66,25.44,24.28,22.41,20.56,18.25,16.28,15.78,14.12,12.16,11.06,10.41,8.66,9.56,11.34,12.56,14.34,17.22,18.66,19.78,20.56,22.12,22.5,22.81,22.75,22.53,21.03,20.34,20.06,19.91,20.56,20.94,21.25,22.06,22.88,22.69,22.81,22.12,20.81,19.59,17.84,17.84,16.94,16.66,17.72,18.0,18.16,18.19,18.0,16.28,14.97,13.81,12.97,13.91,14.34,16.09,16.06,17.31,16.25,15.88,15.34,14.38,14.22,14.38,16.16,17.06,19.69,21.81,24.06,26.16,27.88,28.56,28.53,28.53,27.72,27.28,26.53,26.88,26.28,24.78,24.22,23.41,22.62,20.53,19.72,19.91,19.19,19.41,21.0,22.69,24.31,26.53,29.12,31.31,30.5,30.5,27.84,23.75,21.38,18.84,18.5,18.19,17.97,18.81,18.72,18.16,18.06,17.62,17.06,17.62,17.06,17.16,17.06,16.62,16.56,17.03,18.88,19.91,22.28,21.75,21.81,19.81,17.59,16.0,15.69,15.69,17.69,18.97,20.41,20.41,19.66,18.5,16.44,16.53,17.06,18.09,19.72,21.34,22.38,23.03,23.31,23.72,24.12,25.31,26.12,25.31,25.25,24.44,23.94,24.09,24.69,26.09,26.59,28.19,28.5,27.25,28.06,27.47,27.84,28.69,29.25,31.47,31.62,31.81,31.03,30.19,28.16,26.62,25.97,24.72,23.03,22.22,20.91,19.62,20.03,20.12,19.81,20.53,20.25,20.62,20.19,20.91,6.19,6.88,7.53,6.12,4.56,2.41,1.78,0.09,0.12,0.31,1.38,1.16,1.78,1.88,1.12,0.69,-0.22,-0.53,0.25,1.62,3.56,5.91,7.88,9.22,9.66,9.62,10.19,9.03,8.91,9.69:negativity
5.12,3.25,3.47,2.91,3.44,4.53,5.5,7.66,9.03,9.44,10.5,11.16,11.22,11.06,11.25,10.03,8.66,8.53,7.66,7.62,8.28,8.78,7.97,6.78,5.81,4.81,1.84,1.62,0.66,0.88,0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75:5.5,7.66,9.03,9.44,10.5,11.16,11.22,11.06,11.25,10.03,8.66,8.53,7.66,7.62,8.28,8.78,7.97,6.78,5.81,4.81,1.84,1.62,0.66,0.88,0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75,6.72,5.19,4.5,2.84,4.56,5.34:11.22,11.06,11.25,10.03,8.66,8.53,7.66,7.62,8.28,8.78,7.97,6.78,5.81,4.81,1.84,1.62,0.66,0.88,0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75,6.72,5.19,4.5,2.84,4.56,5.34,7.41,8.75,10.16,11.78,12.25,14.03:7.66,7.62,8.28,8.78,7.97,6.78,5.81,4.81,1.84,1.62,0.66,0.88,0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75,6.72,5.19,4.5,2.84,4.56,5.34,7.41,8.75,10.16,11.78,12.25,14.03,15.53,15.53,16.59,16.78,15.56,16.53:5.81,4.81,1.84,1.62,0.66,0.88,0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75,6.72,5.19,4.5,2.84,4.56,5.34,7.41,8.75,10.16,11.78,12.25,14.03,15.53,15.53,16.59,16.78,15.56,16.53,14.97,14.94,15.41,14.31,14.0,12.22:0.31,1.06,1.34,2.31,5.09,7.97,12.91,18.53,22.56,25.12,26.69,24.41,22.62,21.31,19.53,19.34,20.09,22.19,22.5,23.09,22.91,21.06,18.75,16.41,14.34,13.19,13.62,13.88,14.75,16.28,16.12,17.38,17.0,17.03,17.06,16.0,15.16,14.06,11.28,8.25,5.88,2.94,-0.38,-1.28,-2.25,-3.09,-2.16,-1.91,-1.84,0.34,1.19,2.16,5.5,8.28,11.47,14.81,17.72,18.91,19.31,18.16,16.97,16.84,16.5,16.62,16.84,18.44,19.81,20.94,22.41,23.69,24.84,25.59,25.81,27.41,26.25,26.53,26.28,25.94,26.88,28.53,28.75,29.28,29.28,27.59,25.97,25.84,24.81,25.25,24.72,26.31,27.31,28.88,30.31,31.12,31.97,31.31,31.31,31.34,30.59,29.66,28.59,26.38,25.44,24.34,24.53,23.25,22.75,21.56,20.44,18.19,17.84,16.34,14.81,14.72,14.59,14.41,14.56,14.03,13.78,12.5,12.56,11.53,12.44,11.88,13.16,13.62,13.88,14.09,14.47,13.5,13.31,11.59,9.84,9.06,8.34,9.31,9.22,9.66,9.78,8.97,8.53,8.53,9.59,11.75,14.38,17.59,20.12,23.78,26.03,27.06,26.28,27.0,25.88,22.84,20.31,18.44,14.69,11.94,9.31,7.88,8.09,8.06,9.66,11.31,11.66,12.56,12.31,12.84,13.47,15.12,15.03,16.62,16.91,17.06,18.16,16.03,16.75,15.25,11.81,10.69,8.91,7.66,7.66,8.0,10.81,11.5,13.12,13.75,13.53,15.5,14.72,14.81,15.41,16.09,16.06,16.0,16.88,17.84,19.22,18.59,18.59,17.12,16.28,15.81,15.56,15.06,15.19,15.41,13.56,13.12,12.75,12.59,14.59,14.53,15.31,15.41,13.31,12.75,11.16,10.56,10.72,12.84,14.38,15.25,15.28,13.72,10.66,7.97,4.72,3.47,5.41,6.06,8.88,11.78,16.41,18.5,21.94,22.41,21.81,21.06,17.44,14.81,12.12,10.75,9.75,10.34,10.81,11.09,11.47,11.19,10.91,10.66,11.41,11.0,12.03,12.53,13.81,13.78,13.41,14.28,13.53,13.84,14.72,15.31,15.0,15.53,15.84,15.88,16.03,17.81,17.53,19.12,19.22,18.19,18.06,15.19,13.78,12.56,10.09,9.78,9.69,8.16,8.38,9.06,8.75,9.5,10.03,9.88,11.31,13.25,15.41,18.66,21.03,23.94,24.94,25.69,25.19,25.25,24.62,22.75,21.03,20.06,17.53,15.53,13.25,11.53,10.69,9.47,8.28,6.84,6.12,5.56,6.38,7.78,10.84,13.88,16.69,19.25,20.47,20.47,21.94,19.41,18.44,16.31,13.31,10.75,8.25,4.84,4.16,1.62,0.78,-0.16,-0.66,0.06,-0.78,0.53,0.16,1.66,3.31,5.56,7.72,11.62,13.56,15.88,16.47,15.28,13.41,10.72,8.28,7.44,7.62,8.78,9.91,11.78,11.84,12.75,12.75,12.03,12.03,12.34,12.66,13.12,14.34,17.03,18.34,19.91,21.62,22.03,22.19,22.44,22.03,21.44,20.91,20.25,19.75,19.31,19.0,17.66,15.94,14.0,13.59,12.34,14.03,16.16,18.19,20.72,21.97,23.91,24.12,24.16,24.03,23.81,22.81,20.03,19.56,17.72,15.5,15.44,15.5,15.19,16.81,18.06,19.16,21.06,23.41,24.53,24.56,26.56,26.66,27.69,30.69,32.56,33.72,35.97,36.38,35.72,34.09,32.84,31.69,28.69,26.69,24.41,22.53,19.34,17.22,16.19,14.53,12.91,12.12,10.03,9.97,9.62,8.94,11.12,12.69,16.62,21.44,23.53,26.41,26.34,25.41,23.38,21.34,19.75,18.88,18.44,19.0,19.59,19.72,20.75,19.53,20.56,20.0,21.84,23.97,27.0,29.84,34.06,39.53,43.41,45.31,46.56,46.75,42.94,39.81,37.53,34.0,32.69,32.16,32.25,31.03,30.84,30.56,29.0,28.88,29.66,30.84,32.62,34.38,36.56,36.75,38.12,38.06,38.75,37.78,37.81,35.91,34.97,32.38,31.0,30.69,28.28,29.06,29.16,29.06,30.31,30.88,31.56,32.41,34.81,36.03,37.47,40.12,40.31,41.84,42.38,42.94,43.34,43.0,43.72,42.12,41.56,42.5,41.5,42.16,42.56,42.94,42.94,41.72,39.53,39.06,39.06,38.41,38.53,40.03,38.72,37.88,37.19,37.0,35.41,35.88,36.44,35.81,35.09,34.28,32.38,30.94,28.78,28.19,26.75,25.88,26.03,26.0,27.03,25.66,27.81,26.28,26.28,25.88,27.5,28.69,29.66,30.66,32.91,32.44,32.44,31.69,30.09,28.06,25.75,22.88,22.5,21.19,21.0,22.62,23.44,24.69,27.25,27.66,29.62,30.47,30.44,30.0,29.62,30.06,29.34,27.88,27.44,27.16,26.84,25.5,25.44,24.41,24.41,23.81,23.25,22.69,21.03,20.75,18.62,17.56,16.38,18.28,19.16,21.78,22.47,23.34,24.69,23.0,22.28,21.25,19.84,16.88,17.19,14.56,11.81,10.62,9.78,8.09,8.69,10.84,12.16,15.16,15.5,17.84,17.91,17.97,15.94,16.47,15.66,15.53,14.62,14.5,14.69,13.44,13.53,13.38,14.06,13.69,14.94,16.25,16.56,18.97,19.88,21.31,22.16,21.78,22.03,22.09,21.31,22.16,21.47,23.0,23.09,22.34,23.0,22.91,21.69,21.94,21.84,22.09,22.75,23.5,24.19,24.06,23.5,23.31,23.81,24.19,25.38,25.25,26.44,26.44,25.31,24.81,24.06,23.81,22.16,23.41,20.97,21.62,22.19,22.16,22.31,22.66,19.72,19.25,18.81,19.12,20.25,20.78,21.09,21.84,20.59,20.94,19.91,20.56,20.06,20.16,21.31,20.56,22.91,23.34,24.69,24.97,25.84,25.78,26.25,24.22,24.5,22.91,20.31,20.94,20.25,19.34,20.91,20.97,22.16,21.5,22.47,20.69,21.0,20.03,17.88,17.19,14.84,12.88,12.81,10.62,10.69,12.06,11.97,13.19,14.22,13.53,12.34,13.25,11.72,11.0,11.28,13.06,13.03,14.0,12.97,13.16,12.81,13.84,13.47,15.44,15.56,16.72,17.25,18.59,19.25,20.47,22.06,21.88,22.16,22.94,22.06,22.06,22.44,23.88,24.06,25.56,27.56,28.44,30.22,30.41,29.94,30.78,28.06,27.81,27.97,27.31,28.5,29.03,29.0,31.44,29.75,31.28,31.03,30.5,32.38,32.81,33.56,33.44,34.03,31.91,30.5,29.06,27.09,24.06,23.19,22.66,21.56,22.22,22.59,22.94,22.09,23.53,23.72,24.72,26.62,27.75,27.56,26.38,25.78,24.62,23.0,22.28,22.06,21.62,21.12,20.0,22.19,21.97,23.94,25.03,26.5,26.0,23.94,23.03,21.09,18.81,18.16,17.56,16.78,14.69,16.44,15.41,16.34,17.53,20.28,22.91,24.72,26.31,26.91,24.75,24.94,24.62,24.25,25.31,26.47,27.5,28.66,28.25,28.03,27.03,26.38,24.81,25.78,26.41,27.03,29.03,29.78,31.22,31.16,29.5,28.72,26.97,24.75,21.16,21.03,17.78,17.56,17.47,17.22,18.38,19.69,21.16,22.41,24.16,25.69,25.69,25.75,6.72,5.19,4.5,2.84,4.56,5.34,7.41,8.75,10.16,11.78,12.25,14.03,15.53,15.53,16.59,16.78,15.56,16.53,14.97,14.94,15.41,14.31,14.0,12.22,10.62,8.59,4.88,3.56,3.38,1.94:negativity
53.72,51.28,48.31,45.25,41.5,38.91,38.12,37.41,40.22,42.56,46.44,50.09,55.91,59.06,61.5,63.0,62.91,61.19,58.22,54.22,50.31,44.31,42.41,38.31,36.12,36.72,35.41,35.25,35.16,36.09,36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81:38.12,37.41,40.22,42.56,46.44,50.09,55.91,59.06,61.5,63.0,62.91,61.19,58.22,54.22,50.31,44.31,42.41,38.31,36.12,36.72,35.41,35.25,35.16,36.09,36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81,12.97,9.75,6.31,4.62,2.0,1.81:55.91,59.06,61.5,63.0,62.91,61.19,58.22,54.22,50.31,44.31,42.41,38.31,36.12,36.72,35.41,35.25,35.16,36.09,36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81,12.97,9.75,6.31,4.62,2.0,1.81,2.03,3.06,5.12,8.06,11.16,14.69:58.22,54.22,50.31,44.31,42.41,38.31,36.12,36.72,35.41,35.25,35.16,36.09,36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81,12.97,9.75,6.31,4.62,2.0,1.81,2.03,3.06,5.12,8.06,11.16,14.69,18.84,22.38,26.38,29.91,31.78,32.59:36.12,36.72,35.41,35.25,35.16,36.09,36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81,12.97,9.75,6.31,4.62,2.0,1.81,2.03,3.06,5.12,8.06,11.16,14.69,18.84,22.38,26.38,29.91,31.78,32.59,31.94,28.22,23.47,17.81,11.34,5.84:36.81,38.56,42.34,45.53,50.03,53.44,57.03,60.5,59.84,60.81,59.94,57.06,56.19,54.12,51.0,50.12,47.44,47.12,47.56,49.59,51.12,54.16,57.56,56.31,60.53,60.19,60.44,61.16,60.03,58.53,56.34,53.94,53.56,52.09,52.38,52.5,52.41,53.91,51.91,54.38,54.03,53.75,53.28,52.75,49.34,45.38,42.03,36.38,34.28,31.38,29.66,29.34,28.28,29.47,29.78,31.03,31.16,35.69,37.69,40.66,44.0,47.38,45.91,46.81,47.72,46.75,44.84,46.62,48.66,49.53,52.12,54.75,56.5,55.81,55.19,52.53,50.5,48.69,45.72,45.16,43.75,40.31,42.62,42.19,42.91,44.22,45.06,45.91,45.81,45.56,46.66,47.81,48.91,46.91,49.03,46.41,45.62,45.06,45.16,45.31,45.59,46.44,46.25,46.53,46.41,46.12,44.19,46.03,46.31,47.91,49.84,50.81,51.56,50.78,50.81,50.19,47.0,48.19,47.94,47.28,49.94,51.06,52.72,53.78,54.69,56.0,57.12,57.03,58.31,58.44,58.59,59.09,58.28,58.09,54.69,53.12,47.41,47.03,44.5,43.84,44.94,47.31,48.81,50.75,51.09,51.69,52.53,49.81,51.03,51.28,53.16,54.78,57.16,59.16,58.81,58.59,56.91,54.81,52.62,48.94,48.25,47.78,47.0,48.66,50.16,50.25,51.44,51.22,49.56,51.44,51.34,52.41,54.53,54.97,56.31,54.31,53.94,52.94,52.38,50.88,50.53,47.25,49.03,47.59,48.44,50.0,51.59,52.03,53.0,53.19,53.56,55.75,56.75,54.84,58.25,56.31,56.5,55.78,55.69,55.5,55.16,54.41,52.75,51.84,50.25,49.5,50.06,51.31,52.0,53.91,54.62,53.34,52.38,52.62,50.16,49.59,48.72,48.12,46.66,45.41,44.5,43.91,43.56,44.16,45.38,46.28,47.81,48.56,49.25,47.81,46.03,43.12,41.81,40.31,39.53,40.94,41.66,40.94,45.47,45.16,46.88,49.44,49.03,51.16,50.19,49.66,49.22,44.84,45.97,44.34,43.78,45.88,46.69,49.66,50.28,53.06,54.69,55.91,56.69,55.91,54.06,53.84,50.91,51.38,50.91,49.56,48.97,47.28,46.66,44.31,43.06,42.88,42.44,42.66,42.94,44.5,44.47,44.53,44.94,45.19,48.91,50.22,52.03,52.25,50.75,49.44,46.62,45.72,45.78,46.25,46.94,46.06,44.88,42.5,43.38,41.78,42.34,43.69,45.44,47.25,49.12,51.78,53.19,55.94,57.25,57.97,58.5,56.81,54.06,51.19,47.38,43.78,41.56,39.34,39.41,40.72,42.97,45.38,46.66,47.69,49.09,50.56,48.5,52.44,53.31,54.78,55.62,56.69,56.69,56.69,54.28,53.69,52.19,50.28,47.72,49.09,48.41,49.59,51.88,52.69,52.28,51.12,50.34,47.56,47.19,42.56,43.5,42.38,41.78,43.03,44.66,46.03,45.25,47.0,44.41,45.53,45.75,44.53,44.25,44.56,43.88,43.62,45.06,45.94,44.44,45.41,45.22,43.34,44.09,43.91,43.88,44.84,45.56,46.31,46.94,48.03,46.56,46.81,46.56,45.94,45.94,46.78,45.78,45.75,45.72,45.75,47.16,47.69,49.22,47.59,48.97,48.31,47.72,48.12,48.28,47.41,47.56,46.91,46.81,48.94,50.53,53.31,53.56,56.19,54.81,53.31,53.09,52.47,51.06,51.12,50.75,48.31,49.59,48.56,48.56,48.91,47.94,48.94,47.88,47.59,46.94,45.31,43.53,42.94,40.56,40.41,42.0,41.72,41.19,40.12,39.69,36.16,38.69,39.41,42.72,45.78,47.41,50.81,51.12,50.88,50.12,49.25,47.75,43.47,43.12,41.19,39.16,40.91,43.16,46.56,50.38,54.66,57.91,59.19,58.91,57.34,57.31,55.41,55.5,56.22,56.28,56.22,55.22,53.78,50.88,49.06,46.16,42.91,41.12,39.56,38.66,39.03,40.59,41.56,42.72,44.88,46.62,49.44,51.75,52.06,55.5,54.91,53.69,53.88,51.28,47.69,44.38,39.84,36.56,32.62,33.53,32.22,33.56,35.31,36.94,39.0,41.53,43.75,46.19,47.41,47.34,50.06,51.12,53.31,56.81,60.09,61.78,61.25,59.81,56.66,55.19,51.47,49.75,48.69,48.91,46.88,47.03,45.12,43.91,42.84,39.94,42.0,40.78,42.19,44.78,45.81,46.16,45.69,44.91,46.56,47.38,48.25,51.66,53.81,55.41,55.91,54.88,54.62,54.03,51.88,50.12,50.22,47.34,46.31,43.38,42.16,38.78,36.25,35.53,35.88,37.0,39.41,42.5,45.12,47.91,50.25,51.06,51.31,52.62,48.22,52.66,52.5,53.62,57.06,57.91,58.91,58.31,56.5,55.44,50.94,49.62,47.47,45.31,45.44,45.88,45.53,45.44,44.16,43.12,39.44,40.81,38.88,38.97,40.25,42.44,44.0,47.03,49.91,51.0,51.91,51.66,50.59,50.69,50.06,51.16,52.06,52.28,52.06,51.31,49.94,49.81,50.44,51.75,52.0,52.41,52.28,50.53,50.47,50.53,49.81,48.31,47.41,47.44,44.16,44.19,43.16,41.94,41.41,41.06,40.28,39.78,40.03,39.34,42.81,42.69,45.69,47.25,48.66,48.78,48.75,48.25,47.78,46.28,46.34,43.44,42.25,40.0,37.91,36.09,32.72,34.03,35.72,39.44,42.81,48.97,53.34,56.09,60.12,62.69,64.03,61.66,63.0,59.78,57.12,55.0,52.88,50.31,48.28,47.19,45.16,44.72,43.38,42.12,37.97,40.16,38.78,40.47,42.12,45.5,48.06,51.41,54.12,57.34,59.16,61.16,60.81,60.44,58.16,55.34,52.09,46.5,40.56,41.44,42.03,42.84,47.41,50.84,52.12,53.12,53.25,52.0,51.0,48.0,48.94,49.06,49.25,51.44,51.81,50.03,50.16,48.03,45.5,43.25,40.53,39.16,37.25,37.22,38.66,38.5,39.41,39.28,34.81,36.75,35.47,36.66,38.75,40.38,42.12,42.66,43.34,44.31,44.56,46.25,45.44,42.53,43.59,40.31,39.12,38.5,38.06,37.16,36.31,36.38,34.81,33.38,35.59,34.91,35.38,36.66,38.0,38.06,39.41,40.56,42.06,43.81,44.81,46.66,43.84,46.94,44.75,44.94,44.44,44.06,43.03,41.31,41.56,41.0,39.06,42.69,43.0,45.53,47.81,50.75,52.19,52.16,51.62,50.22,46.06,45.66,43.53,42.81,44.12,43.41,44.78,44.5,44.72,45.88,45.44,45.69,45.03,41.69,44.47,44.19,45.56,46.94,49.03,48.88,47.31,47.94,47.94,48.12,49.84,51.78,51.94,50.94,51.41,49.91,48.72,47.41,46.34,44.12,41.97,40.81,38.53,35.56,35.44,34.59,34.28,35.69,38.16,39.81,42.09,44.78,47.28,49.5,50.81,51.19,49.62,48.88,47.16,45.44,45.59,45.47,45.41,44.56,44.47,44.91,42.56,45.19,46.56,48.72,50.81,53.06,53.06,52.75,51.31,50.66,51.12,51.25,51.84,51.31,49.66,46.38,44.72,42.0,40.5,40.53,42.06,42.94,45.06,46.16,48.62,49.78,50.38,50.75,47.75,48.53,46.31,44.59,45.56,46.0,47.03,49.12,52.19,53.5,55.81,12.97,9.75,6.31,4.62,2.0,1.81,2.03,3.06,5.12,8.06,11.16,14.69,18.84,22.38,26.38,29.91,31.78,32.59,31.94,28.22,23.47,17.81,11.34,5.84,0.06,-1.59,-3.97,-4.41,-4.62,-3.97:negativity
49.94,48.06,46.25,46.38,46.28,44.5,48.0,47.44,48.0,49.06,49.62,49.75,49.06,47.38,47.12,45.28,45.38,42.09,44.94,44.81,45.81,47.91,49.69,50.28,50.78,49.5,51.28,51.78,50.34,53.97,54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94:48.0,47.44,48.0,49.06,49.62,49.75,49.06,47.38,47.12,45.28,45.38,42.09,44.94,44.81,45.81,47.91,49.69,50.28,50.78,49.5,51.28,51.78,50.34,53.97,54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94,3.38,2.56,1.47,1.84,3.09,5.38:49.06,47.38,47.12,45.28,45.38,42.09,44.94,44.81,45.81,47.91,49.69,50.28,50.78,49.5,51.28,51.78,50.34,53.97,54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94,3.38,2.56,1.47,1.84,3.09,5.38,6.84,8.06,8.94,9.09,8.94,9.31:44.94,44.81,45.81,47.91,49.69,50.28,50.78,49.5,51.28,51.78,50.34,53.97,54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94,3.38,2.56,1.47,1.84,3.09,5.38,6.84,8.06,8.94,9.09,8.94,9.31,8.16,7.31,6.53,5.41,4.19,3.84:50.78,49.5,51.28,51.78,50.34,53.97,54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94,3.38,2.56,1.47,1.84,3.09,5.38,6.84,8.06,8.94,9.09,8.94,9.31,8.16,7.31,6.53,5.41,4.19,3.84,3.91,4.56,5.16,5.19,5.84,5.22:54.31,54.78,56.06,57.19,56.16,55.5,55.09,53.78,53.91,53.34,54.06,54.16,54.69,54.88,55.25,56.88,57.91,59.25,59.28,57.81,59.25,56.19,55.41,54.5,53.69,53.38,52.94,54.22,54.06,55.94,56.22,55.81,56.69,56.12,53.94,49.59,45.69,39.91,36.53,30.38,31.75,28.94,30.38,32.5,33.53,34.88,35.5,36.28,37.31,38.44,39.84,40.88,41.06,44.31,44.91,46.03,48.19,49.0,47.91,46.88,45.16,42.56,39.81,37.19,34.41,31.56,28.97,29.0,27.72,27.81,29.12,29.75,29.28,30.25,28.62,27.5,27.84,25.0,28.12,29.56,31.75,35.22,38.09,38.97,40.06,39.62,39.41,37.84,33.62,34.5,31.56,30.0,30.31,31.34,31.62,33.19,33.53,32.16,36.62,36.62,38.28,39.69,39.66,36.94,35.66,33.41,29.88,31.06,32.44,33.56,37.53,40.66,43.59,44.03,44.5,44.06,43.38,42.41,41.56,39.47,37.31,35.03,34.94,34.66,37.31,40.88,45.0,47.84,50.5,52.41,52.53,51.34,48.16,44.22,41.62,39.0,33.44,35.97,34.78,35.0,37.22,39.78,39.91,41.69,42.97,44.62,46.84,46.19,50.03,49.91,50.62,50.66,50.44,49.72,48.88,48.84,48.31,48.69,48.81,47.56,43.62,45.56,42.78,41.94,41.66,42.25,42.62,43.81,44.97,46.16,49.34,47.25,50.03,49.16,49.16,49.03,49.31,48.19,48.12,48.25,47.84,47.66,47.78,44.66,46.5,44.41,43.41,42.84,41.69,40.25,39.38,40.28,43.47,46.53,51.66,55.62,57.38,58.0,57.91,54.22,53.75,52.31,51.19,50.97,50.62,49.5,49.03,47.12,45.31,43.94,39.41,39.66,37.62,35.62,36.06,36.44,36.75,37.44,38.12,39.25,41.19,40.19,44.12,44.03,44.19,45.06,46.03,44.31,43.41,41.44,38.19,35.66,33.78,30.88,32.12,31.28,32.81,34.16,35.44,36.81,38.22,39.91,41.41,42.12,42.03,41.69,40.78,38.66,41.56,41.78,44.41,47.72,49.72,50.19,49.22,48.56,46.25,44.34,43.06,39.69,40.78,39.56,40.81,42.44,43.34,44.53,44.78,44.44,43.38,43.12,42.41,41.62,38.12,40.28,39.09,40.72,43.12,45.81,48.34,51.84,53.38,53.47,54.25,53.16,49.25,49.16,45.03,42.16,40.88,39.0,37.81,35.94,35.16,35.19,34.56,31.31,34.25,34.06,35.62,38.34,40.81,44.16,44.25,45.34,45.38,46.5,47.34,47.25,47.88,49.72,48.41,49.91,51.44,52.22,53.31,53.16,54.12,55.69,54.56,53.84,55.94,55.91,57.0,58.34,59.88,58.75,57.69,55.53,53.53,51.72,49.28,51.75,51.0,52.12,53.81,54.5,53.75,53.38,53.19,52.19,53.19,54.75,54.75,56.19,56.72,55.06,52.81,49.97,48.38,46.28,44.69,46.34,46.12,47.0,48.72,50.88,53.34,55.72,57.5,58.59,58.34,55.97,53.94,50.56,45.88,46.91,45.06,45.88,47.81,48.91,49.66,50.5,51.66,53.12,54.06,53.78,54.94,54.69,53.38,52.94,51.0,49.59,45.0,42.38,38.44,37.5,36.25,36.69,39.91,42.72,48.31,53.47,57.5,59.31,60.91,59.78,56.91,54.0,50.09,48.97,47.0,47.78,47.66,48.62,48.66,47.75,48.34,47.34,47.25,43.5,43.34,42.16,41.72,42.0,43.56,43.78,44.0,44.56,44.41,43.09,42.44,38.41,39.44,38.81,39.59,41.69,44.44,44.72,44.25,42.28,40.59,37.31,31.97,33.06,30.88,31.12,32.84,34.84,34.97,35.5,35.19,35.28,33.97,32.91,31.69,30.19,29.69,31.34,31.84,35.34,38.06,39.53,40.31,39.91,36.94,34.03,32.69,30.41,30.09,31.72,32.47,34.53,35.44,36.84,36.75,36.06,36.03,36.53,35.94,37.0,38.53,37.28,36.31,34.31,31.56,29.19,27.41,24.22,26.81,27.91,30.69,35.34,38.06,39.62,40.19,39.0,38.56,37.69,35.91,37.56,36.38,36.78,36.72,36.22,36.31,35.81,35.88,36.62,36.22,34.31,33.69,32.94,31.62,32.56,33.66,34.69,35.16,35.25,35.59,36.06,35.91,34.12,37.28,37.06,38.06,40.25,41.34,41.56,42.16,42.06,42.19,41.97,40.62,38.22,39.66,38.0,38.44,39.72,40.97,41.44,41.5,42.25,42.12,41.97,40.81,39.91,40.03,39.47,39.0,40.06,39.75,38.0,34.84,36.81,35.34,37.03,37.84,39.81,39.38,39.56,40.12,40.0,39.03,40.25,39.06,40.81,41.47,43.34,44.41,44.72,43.09,41.44,39.16,37.31,36.31,34.69,34.06,34.19,33.62,34.5,33.22,35.16,36.09,38.06,42.06,45.75,48.5,50.56,51.84,50.44,49.88,47.59,46.94,43.53,45.06,44.75,46.25,48.31,49.31,49.66,50.03,48.84,47.34,45.5,43.25,43.47,41.44,41.91,41.91,41.53,41.31,42.06,40.84,41.16,41.78,40.91,41.31,39.47,41.0,40.59,39.28,41.66,42.75,44.06,44.81,45.72,46.69,47.34,46.22,44.12,44.16,41.84,40.12,39.34,40.0,38.72,39.62,40.5,40.91,41.91,40.31,41.5,40.66,39.53,40.69,40.44,41.72,41.62,42.94,42.81,43.84,44.69,44.59,44.56,43.44,41.38,39.5,38.34,36.38,38.78,40.5,42.19,43.91,44.56,43.41,41.31,39.94,38.19,36.56,32.69,35.34,32.53,32.53,33.5,34.06,34.81,35.03,36.81,38.16,40.31,43.19,43.94,46.34,46.69,43.53,46.19,43.09,41.41,42.56,42.56,41.97,42.84,44.5,45.34,46.12,47.28,48.75,45.72,49.38,47.75,46.44,46.62,45.75,43.41,42.44,40.91,39.5,38.94,40.12,40.66,42.69,44.66,43.69,46.81,45.91,45.84,46.25,45.28,45.12,45.28,44.84,45.47,46.53,47.62,47.62,46.44,49.5,49.19,50.75,52.16,51.69,51.31,49.69,47.94,46.88,46.28,45.69,45.75,46.78,47.22,47.88,46.09,47.16,45.47,43.97,43.38,42.81,42.78,43.38,43.16,44.06,43.97,43.53,43.69,43.94,43.56,43.19,42.16,38.72,41.03,39.03,39.09,40.69,41.09,41.91,41.44,42.47,41.91,41.62,41.59,41.31,40.06,40.38,39.69,39.94,40.69,41.28,42.66,42.94,42.34,43.16,42.53,42.53,42.41,41.44,40.56,39.59,36.59,34.0,33.81,30.53,29.78,28.84,28.88,28.84,29.78,31.84,32.62,33.44,34.12,35.09,33.31,36.91,37.0,39.53,42.66,44.09,45.12,44.91,44.69,42.66,42.16,39.97,38.28,38.0,36.94,37.25,36.81,37.06,36.06,35.59,36.09,36.41,37.31,37.5,38.34,38.12,37.31,35.31,34.12,29.81,30.81,29.06,30.09,31.03,32.25,33.72,34.66,36.03,38.28,40.0,39.06,41.38,39.88,39.44,39.91,39.47,39.22,39.12,38.53,37.0,36.28,35.75,35.66,36.12,37.12,38.0,38.38,38.5,37.06,39.38,38.81,39.94,41.16,40.78,40.62,38.97,37.59,35.28,33.5,31.25,31.12,30.62,30.19,30.06,26.94,3.38,2.56,1.47,1.84,3.09,5.38,6.84,8.06,8.94,9.09,8.94,9.31,8.16,7.31,6.53,5.41,4.19,3.84,3.91,4.56,5.16,5.19,5.84,5.22,5.19,5.22,6.28,7.66,9.66,11.97:negativity
21.59,21.31,23.97,26.03,29.81,33.47,36.09,39.91,41.69,43.78,44.38,45.25,45.84,44.56,44.66,43.47,41.25,39.69,37.31,35.41,34.41,33.62,32.47,33.47,33.16,33.56,33.94,33.69,33.41,33.94,34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03:36.09,39.91,41.69,43.78,44.38,45.25,45.84,44.56,44.66,43.47,41.25,39.69,37.31,35.41,34.41,33.62,32.47,33.47,33.16,33.56,33.94,33.69,33.41,33.94,34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03,-3.97,-2.59,0.34,3.62,8.12,12.66:45.84,44.56,44.66,43.47,41.25,39.69,37.31,35.41,34.41,33.62,32.47,33.47,33.16,33.56,33.94,33.69,33.41,33.94,34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03,-3.97,-2.59,0.34,3.62,8.12,12.66,16.91,19.94,22.12,23.66,23.94,23.16:37.31,35.41,34.41,33.62,32.47,33.47,33.16,33.56,33.94,33.69,33.41,33.94,34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03,-3.97,-2.59,0.34,3.62,8.12,12.66,16.91,19.94,22.12,23.66,23.94,23.16,21.59,19.28,16.53,15.38,10.81,9.31:33.16,33.56,33.94,33.69,33.41,33.94,34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03,-3.97,-2.59,0.34,3.62,8.12,12.66,16.91,19.94,22.12,23.66,23.94,23.16,21.59,19.28,16.53,15.38,10.81,9.31,7.0,4.94,3.88,3.09,3.0,3.72:34.25,35.03,35.44,35.88,35.69,34.94,34.44,34.38,33.91,35.72,37.16,38.44,41.06,42.94,44.06,45.31,45.47,46.91,48.19,47.47,48.72,47.78,45.66,43.12,40.56,38.47,37.34,36.75,36.44,36.72,36.53,37.25,38.53,39.31,41.84,43.25,42.84,42.31,39.31,35.91,32.66,28.88,25.94,23.59,22.62,23.03,24.31,25.88,28.0,29.91,30.53,30.44,30.41,29.81,28.59,27.69,29.38,29.25,31.28,34.16,35.69,38.34,39.78,39.81,40.56,39.28,39.34,39.34,38.69,38.69,39.03,39.12,38.81,38.66,40.31,40.56,40.53,40.38,40.06,37.94,37.25,35.22,36.0,35.09,36.0,36.41,36.69,38.06,37.28,35.94,34.0,32.53,30.0,29.66,29.62,31.47,33.97,37.94,40.06,41.94,41.41,38.62,35.81,33.81,30.12,30.44,30.44,30.56,32.66,33.0,34.09,35.38,35.28,34.19,34.91,33.38,32.91,33.62,34.41,36.03,38.06,39.16,40.72,41.0,41.03,40.56,40.06,40.53,40.84,40.09,39.06,38.44,36.94,35.34,33.66,32.78,31.16,30.06,29.62,30.03,30.44,33.12,34.66,38.84,41.94,45.06,48.09,48.81,50.44,49.78,49.25,46.19,43.53,40.81,36.69,32.75,31.38,29.31,27.72,26.16,29.81,30.66,33.56,37.62,40.5,40.84,40.25,38.81,36.22,34.88,32.94,33.31,32.34,32.78,33.59,32.91,31.56,30.12,29.03,27.81,27.12,27.19,27.44,27.03,27.47,27.0,28.5,29.59,31.31,35.12,37.78,40.12,39.38,41.81,40.84,40.66,41.72,42.03,42.66,42.28,43.62,43.0,43.72,44.81,43.91,44.66,42.16,41.16,39.25,37.5,36.66,35.62,33.47,32.5,31.62,31.97,34.53,36.56,40.59,42.16,43.84,42.78,42.31,41.41,39.53,39.38,39.72,40.19,41.06,41.38,44.03,44.81,46.03,44.94,47.25,47.53,47.16,47.69,48.75,46.69,45.38,44.03,42.22,40.5,40.12,40.56,41.59,43.19,44.31,45.56,47.84,47.88,48.19,48.94,49.91,49.75,51.06,51.12,52.06,52.41,51.69,51.22,50.34,50.12,48.81,49.06,49.78,48.66,47.91,47.12,45.41,42.88,42.69,42.09,41.72,43.25,44.12,44.78,44.69,45.41,44.25,43.12,42.44,40.5,38.16,36.12,34.44,33.75,33.41,33.94,35.16,35.97,36.81,37.66,35.94,35.94,35.44,34.88,34.5,34.16,34.5,34.31,35.16,35.12,31.19,33.25,33.69,35.38,38.59,42.28,45.59,48.19,49.66,50.66,50.31,49.38,47.81,45.72,43.06,42.0,42.81,43.16,46.09,49.06,52.34,54.72,52.78,51.28,50.19,45.81,44.62,44.09,43.47,43.41,42.12,40.88,37.22,36.69,33.5,32.66,32.06,33.31,35.53,36.62,39.16,40.97,43.0,43.81,45.06,45.5,45.06,44.56,43.66,42.81,42.66,42.62,42.97,43.06,42.94,40.88,42.75,41.31,41.28,41.75,42.56,43.53,43.16,43.38,44.22,43.69,43.78,42.94,42.84,42.16,41.75,40.81,40.31,40.53,40.84,42.41,44.81,46.75,48.56,51.16,53.12,54.16,56.03,56.75,56.16,56.31,55.06,53.78,51.84,51.78,50.31,49.53,48.12,46.72,42.12,41.38,38.78,35.03,35.31,33.97,33.16,31.38,31.62,31.5,31.31,31.56,32.5,32.25,33.38,33.31,33.53,31.81,32.28,29.12,28.69,29.88,31.62,34.97,38.31,41.09,43.38,42.25,43.91,43.34,41.97,42.47,43.34,40.91,39.84,40.41,38.34,38.41,37.31,37.03,34.81,32.94,32.31,32.12,31.81,31.97,32.44,32.34,32.5,31.47,31.97,30.19,29.25,29.69,29.69,30.28,32.59,33.34,32.12,35.66,36.25,37.19,38.56,39.28,38.59,35.75,34.66,31.75,29.72,29.5,26.72,27.0,26.34,25.66,25.97,26.38,27.94,27.78,28.53,28.56,27.25,26.72,26.47,26.56,24.25,28.16,27.44,28.78,30.78,31.25,33.66,33.5,34.53,36.41,36.69,36.06,34.56,32.5,28.34,25.84,21.47,18.75,15.28,13.75,10.31,10.75,12.03,12.06,14.81,18.25,20.19,22.19,24.97,25.09,25.91,27.41,28.34,29.09,31.12,32.28,29.69,31.88,27.84,30.66,30.56,32.53,32.88,33.88,33.47,32.81,33.06,32.0,32.25,31.88,30.84,29.09,28.62,26.94,24.97,24.5,23.19,22.69,22.69,20.41,20.62,20.56,19.31,19.12,19.88,20.12,20.69,19.69,25.12,27.38,32.78,38.44,41.34,42.94,41.72,38.91,35.16,30.41,28.5,24.69,23.03,23.91,23.09,24.88,26.66,27.56,30.5,31.31,32.5,32.03,30.59,29.16,26.28,26.81,25.06,25.97,28.22,28.88,28.19,27.31,26.16,24.53,22.66,22.81,22.47,22.56,23.0,22.69,22.31,21.28,20.69,18.66,18.44,15.81,16.44,16.31,15.97,17.25,18.97,20.44,23.22,24.31,27.47,27.56,28.44,28.5,28.94,29.72,29.38,28.28,27.84,27.41,26.34,27.16,29.38,31.44,34.06,35.31,37.56,38.12,38.06,38.22,38.97,39.22,40.34,40.66,41.91,41.56,41.16,40.41,37.47,35.53,33.34,31.62,29.16,28.03,25.31,23.75,23.22,21.22,20.88,21.91,21.78,22.44,24.75,27.31,28.31,31.78,32.81,32.88,31.97,31.56,29.12,27.47,24.31,26.16,25.28,26.22,28.38,29.91,27.91,27.09,25.62,23.56,23.81,23.94,23.69,24.0,24.31,25.06,26.81,27.81,30.66,30.81,31.28,31.31,30.69,29.16,29.62,28.62,28.06,27.69,27.47,28.06,27.53,27.38,27.84,27.97,28.56,30.72,31.75,33.28,34.75,34.0,35.03,34.62,34.44,34.84,34.34,32.88,33.03,31.41,27.66,28.03,25.56,24.31,23.72,24.5,23.06,23.84,25.22,24.56,25.31,27.03,28.12,31.31,33.62,35.59,37.22,37.28,36.44,34.31,31.16,29.41,28.41,27.41,28.22,29.09,30.0,30.91,30.44,30.78,30.69,30.28,30.16,30.03,30.19,29.16,27.91,26.0,25.38,24.5,23.78,22.88,23.97,23.78,23.5,25.59,26.06,26.72,27.12,27.31,27.41,27.66,27.91,28.97,29.72,29.66,30.28,29.06,27.16,25.66,24.66,22.12,21.94,21.47,21.62,22.62,24.31,25.69,27.06,27.91,28.75,28.31,28.97,29.81,29.25,29.78,29.34,26.84,24.88,23.84,22.5,21.53,22.62,22.53,22.69,22.81,22.72,21.78,22.25,22.94,24.88,26.31,28.59,30.53,31.66,33.84,34.19,34.84,36.94,38.5,40.5,42.44,43.5,42.19,41.69,38.31,34.31,30.0,25.69,21.66,19.31,17.69,17.34,19.03,21.25,23.81,26.69,29.75,33.47,35.34,37.53,39.06,40.31,40.94,40.41,40.78,39.69,38.56,37.09,34.53,32.56,30.91,29.19,27.28,26.81,25.81,24.56,24.12,22.78,21.81,20.62,19.66,17.06,16.5,15.56,14.44,14.94,15.91,15.34,14.72,14.03,12.28,9.81,7.62,4.97,1.66,-1.69,-4.88,-7.91,-11.19,-13.47,-14.03,-3.97,-2.59,0.34,3.62,8.12,12.66,16.91,19.94,22.12,23.66,23.94,23.16,21.59,19.28,16.53,15.38,10.81,9.31,7.0,4.94,3.88,3.09,3.0,3.72,5.53,7.0,8.56,10.38,10.81,11.59:negativity
17.0,15.97,15.31,15.88,14.81,14.91,13.25,13.84,14.53,14.66,16.81,19.53,21.28,23.5,26.47,29.34,31.28,33.38,33.94,31.91,30.31,24.91,19.94,15.19,12.19,8.69,8.75,9.31,10.16,13.06,15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25:13.25,13.84,14.53,14.66,16.81,19.53,21.28,23.5,26.47,29.34,31.28,33.38,33.94,31.91,30.31,24.91,19.94,15.19,12.19,8.69,8.75,9.31,10.16,13.06,15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25,-27.16,-29.59,-31.19,-32.38,-32.88,-33.84:21.28,23.5,26.47,29.34,31.28,33.38,33.94,31.91,30.31,24.91,19.94,15.19,12.19,8.69,8.75,9.31,10.16,13.06,15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25,-27.16,-29.59,-31.19,-32.38,-32.88,-33.84,-34.59,-33.34,-31.66,-30.56,-28.66,-25.84:33.94,31.91,30.31,24.91,19.94,15.19,12.19,8.69,8.75,9.31,10.16,13.06,15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25,-27.16,-29.59,-31.19,-32.38,-32.88,-33.84,-34.59,-33.34,-31.66,-30.56,-28.66,-25.84,-23.31,-21.78,-19.66,-16.09,-14.06,-12.47:12.19,8.69,8.75,9.31,10.16,13.06,15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25,-27.16,-29.59,-31.19,-32.38,-32.88,-33.84,-34.59,-33.34,-31.66,-30.56,-28.66,-25.84,-23.31,-21.78,-19.66,-16.09,-14.06,-12.47,-12.38,-12.78,-15.91,-20.09,-25.16,-29.91:15.16,17.41,19.09,20.12,20.44,20.69,20.44,21.44,20.56,21.91,22.69,24.94,25.72,27.69,28.84,27.34,26.56,25.19,24.28,24.53,25.56,28.41,32.34,34.53,36.44,36.84,35.94,32.91,30.47,28.31,26.19,25.88,27.16,27.34,28.28,27.94,26.5,24.56,22.69,20.41,19.75,19.19,19.12,18.47,18.19,18.56,18.56,18.31,17.94,18.44,19.38,20.84,21.47,24.25,23.94,25.06,25.06,26.84,27.28,28.72,29.41,29.31,29.09,28.19,27.47,27.91,27.06,27.56,26.88,27.81,27.0,25.38,23.47,22.31,19.78,17.66,16.53,15.62,17.47,19.31,23.56,28.09,35.06,38.72,42.81,45.34,46.56,46.72,47.19,45.16,45.12,43.53,41.53,40.44,40.69,38.94,39.59,40.41,39.81,37.66,38.06,36.5,34.66,35.16,36.19,36.69,39.47,41.62,44.06,46.25,45.47,45.66,43.25,40.81,37.81,33.59,29.84,26.38,23.75,21.44,19.53,19.84,19.5,20.44,22.53,22.44,23.69,24.0,25.12,25.34,27.53,29.12,31.56,32.88,33.16,34.0,33.69,31.19,30.72,28.66,27.06,25.31,26.16,27.44,29.25,31.66,34.91,37.19,38.28,39.0,39.5,38.97,36.53,36.06,34.66,34.53,33.94,36.5,36.06,37.97,39.19,40.12,41.91,42.81,42.44,42.06,38.94,35.88,30.88,28.44,25.41,21.81,21.47,19.12,17.59,16.56,16.12,15.97,15.44,16.19,15.97,15.16,16.12,15.56,15.41,17.31,16.03,15.88,15.81,14.44,15.16,16.72,15.16,17.0,16.84,17.41,18.62,20.22,21.88,25.09,27.22,29.84,32.94,33.75,33.94,33.28,31.94,29.25,26.44,25.38,23.62,23.16,23.25,24.78,23.16,22.81,22.91,20.44,20.16,19.47,20.44,21.41,21.72,22.53,24.81,25.91,27.38,27.56,27.75,25.12,23.09,20.81,20.69,19.66,19.97,20.12,19.91,16.91,17.0,16.34,15.31,15.75,17.44,17.41,18.69,18.81,18.75,20.69,21.69,22.44,25.44,25.31,25.19,23.12,22.69,21.62,20.16,20.41,16.97,19.25,17.78,17.97,20.25,20.06,20.41,18.03,15.97,13.81,11.44,9.31,9.28,7.66,9.28,10.5,12.75,14.28,15.28,17.5,19.53,22.91,25.34,27.56,29.56,28.69,27.75,25.41,24.78,22.81,22.06,22.38,20.94,21.41,21.16,21.59,22.91,21.81,24.31,26.38,27.75,28.09,30.28,27.28,28.0,27.66,26.16,27.03,29.06,27.19,27.0,26.16,24.62,25.28,24.56,24.56,24.28,23.44,23.84,24.69,26.03,28.91,29.19,31.88,32.28,32.5,34.34,35.5,36.69,37.41,36.66,33.56,33.97,31.28,30.62,30.53,30.34,29.81,26.84,24.81,21.84,19.66,18.03,18.81,20.28,23.0,26.41,28.41,30.0,32.81,32.47,31.12,30.69,27.91,25.81,23.84,21.84,21.75,19.94,19.19,18.12,17.31,17.53,15.72,15.88,14.81,13.5,13.06,11.06,11.19,10.16,6.91,9.53,9.78,12.09,14.94,18.12,20.47,20.97,21.78,20.22,21.88,21.0,21.09,19.56,19.31,18.28,16.81,17.31,16.09,16.94,16.56,17.59,18.53,18.06,18.59,20.56,18.38,19.72,21.28,21.66,21.53,24.75,22.19,22.03,20.0,18.91,16.81,16.06,16.72,16.88,17.19,16.56,16.69,15.5,14.66,15.22,14.12,14.91,15.5,15.69,17.66,16.59,16.56,14.5,13.81,12.91,11.66,12.19,10.28,9.69,7.06,5.91,5.12,4.88,7.47,8.88,10.66,9.53,12.94,11.06,11.31,12.94,13.03,11.44,10.25,7.97,6.06,4.0,5.66,5.97,8.28,9.81,12.25,14.5,13.31,15.66,16.44,18.56,20.41,23.69,24.66,23.59,25.62,24.19,23.66,22.5,21.06,20.12,18.22,16.97,17.69,17.84,19.75,20.88,22.25,23.09,23.44,23.5,23.0,21.03,19.69,19.03,17.75,16.56,15.88,15.91,13.03,12.66,14.41,11.94,11.56,10.84,9.28,7.62,9.12,9.31,11.72,13.91,15.69,16.44,16.06,16.06,14.56,13.56,11.94,10.0,10.72,9.25,10.88,11.0,15.69,15.56,16.66,17.06,17.34,17.19,15.78,15.94,16.78,18.06,18.78,20.31,22.22,23.53,26.62,26.44,29.38,30.91,30.66,27.66,29.12,26.28,24.5,24.84,24.25,25.94,25.53,26.69,27.28,27.88,28.19,28.25,29.31,28.78,28.56,27.75,27.69,27.16,26.25,25.81,25.31,21.91,22.34,21.28,19.88,21.44,18.84,19.34,19.22,18.78,20.19,21.31,22.19,22.03,21.09,18.56,16.69,14.56,13.12,13.47,14.31,17.03,19.19,21.81,24.38,25.44,23.34,27.19,24.75,25.25,24.84,24.69,23.62,22.84,23.16,23.03,23.94,25.0,24.81,25.66,26.0,27.56,28.75,29.88,30.03,32.0,30.09,28.62,26.22,24.75,21.19,19.31,16.75,15.16,11.28,12.34,12.88,15.44,18.78,22.62,25.84,27.16,28.31,27.44,25.41,21.5,16.91,13.25,10.12,6.25,6.03,5.88,6.38,7.06,10.44,12.25,15.06,18.22,19.41,20.53,21.06,20.94,19.25,20.19,16.19,14.62,12.81,10.66,10.09,9.53,9.94,10.34,11.12,11.84,13.84,15.34,17.88,19.56,22.06,24.34,25.03,25.09,26.41,25.0,19.81,21.12,18.41,17.47,18.0,17.31,18.03,16.91,16.28,16.34,16.91,17.91,20.25,23.12,27.34,29.31,31.78,32.91,31.53,31.72,30.16,30.62,30.69,30.5,28.56,31.22,29.06,29.91,30.59,29.97,29.66,28.25,27.69,27.94,27.62,27.84,27.53,28.16,26.41,26.66,27.91,26.75,26.62,25.97,24.62,22.19,20.38,19.03,17.06,15.0,15.25,13.44,15.12,15.19,17.03,18.28,18.16,18.41,16.78,16.38,16.0,17.44,19.53,22.5,25.09,28.0,29.19,28.66,28.94,27.81,25.75,24.94,24.25,23.78,23.34,22.78,22.34,21.25,20.59,18.59,18.56,16.91,16.38,15.75,15.88,15.31,16.25,17.12,14.5,17.44,17.25,18.94,19.34,20.25,19.03,17.78,14.88,11.44,8.81,6.94,5.44,4.72,5.91,7.16,8.94,9.69,9.78,13.09,13.59,15.28,19.38,21.84,25.38,26.91,29.19,30.5,31.19,29.56,28.12,24.47,20.34,17.31,13.16,11.38,9.59,8.69,9.25,10.25,10.38,11.19,10.25,9.75,9.91,9.47,11.25,14.12,17.41,20.41,21.59,25.56,27.47,28.84,30.22,28.53,25.62,21.78,17.03,15.12,13.44,14.66,15.56,18.28,19.84,20.0,20.78,20.06,19.19,18.59,18.09,17.03,15.78,16.88,17.22,18.06,20.16,19.31,22.06,21.41,22.0,21.03,21.06,19.62,18.75,17.78,17.84,18.94,19.41,20.5,20.16,21.16,20.06,20.12,21.19,21.97,22.69,22.25,22.19,22.28,22.69,22.62,23.94,24.19,23.62,23.41,22.81,21.44,22.41,21.81,21.06,21.62,21.56,20.84,20.75,21.75,21.59,21.81,21.69,22.44,22.03,20.88,20.41,19.66,18.25,-27.16,-29.59,-31.19,-32.38,-32.88,-33.84,-34.59,-33.34,-31.66,-30.56,-28.66,-25.84,-23.31,-21.78,-19.66,-16.09,-14.06,-12.47,-12.38,-12.78,-15.91,-20.09,-25.16,-29.91,-34.0,-36.47,-38.16,-37.62,-35.5,-34.5:negativity
31.91,30.44,29.84,28.28,27.66,28.22,29.44,33.34,36.62,38.84,40.84,40.44,39.66,38.56,36.53,37.31,36.0,35.62,34.16,33.03,31.03,29.75,28.16,27.44,26.81,26.06,26.41,25.91,26.72,26.81,27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0:29.44,33.34,36.62,38.84,40.84,40.44,39.66,38.56,36.53,37.31,36.0,35.62,34.16,33.03,31.03,29.75,28.16,27.44,26.81,26.06,26.41,25.91,26.72,26.81,27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0,15.84,16.5,15.38,13.5,10.66,7.47:39.66,38.56,36.53,37.31,36.0,35.62,34.16,33.03,31.03,29.75,28.16,27.44,26.81,26.06,26.41,25.91,26.72,26.81,27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0,15.84,16.5,15.38,13.5,10.66,7.47,4.56,2.16,1.06,1.41,2.16,4.09:34.16,33.03,31.03,29.75,28.16,27.44,26.81,26.06,26.41,25.91,26.72,26.81,27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0,15.84,16.5,15.38,13.5,10.66,7.47,4.56,2.16,1.06,1.41,2.16,4.09,7.28,9.81,11.62,14.56,16.03,18.06:26.81,26.06,26.41,25.91,26.72,26.81,27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0,15.84,16.5,15.38,13.5,10.66,7.47,4.56,2.16,1.06,1.41,2.16,4.09,7.28,9.81,11.62,14.56,16.03,18.06,16.84,16.69,14.94,12.88,10.88,10.28:27.09,26.91,28.56,29.31,30.25,31.06,32.34,33.16,34.69,35.34,35.81,35.44,34.31,32.28,31.38,30.38,30.47,31.28,31.44,33.91,34.41,36.12,37.91,38.69,40.47,40.44,41.25,42.0,41.84,43.97,44.56,45.88,45.69,45.62,41.41,40.66,38.81,37.28,37.12,37.72,37.5,37.59,36.78,38.84,39.41,40.44,43.06,43.06,44.28,44.44,44.06,44.94,46.41,45.28,45.31,45.16,42.59,41.53,41.72,42.66,43.97,45.81,46.94,48.0,47.75,47.94,46.41,47.69,47.72,48.66,47.97,49.28,47.06,46.78,44.91,44.09,42.5,42.53,41.16,41.25,42.19,41.94,41.41,40.88,39.97,39.16,39.41,39.09,38.91,39.0,37.09,36.56,35.62,35.94,37.44,38.91,40.56,41.25,41.38,42.19,43.38,43.31,45.06,46.47,46.62,46.41,44.62,44.34,44.44,44.28,45.66,47.28,47.53,48.88,49.56,50.38,50.44,50.19,51.44,51.78,51.81,54.12,54.56,55.66,55.91,54.59,54.28,54.53,56.16,57.31,59.25,58.34,57.66,55.53,52.56,52.56,52.09,52.31,52.38,51.66,51.84,50.41,50.03,49.34,49.03,49.22,50.19,50.59,51.41,52.81,52.41,52.84,53.41,53.75,52.62,53.69,51.94,52.31,52.69,53.44,55.59,57.31,58.53,60.16,62.25,62.78,62.69,62.59,62.62,61.53,60.66,60.94,59.28,59.19,59.31,58.0,57.66,56.66,55.56,54.97,54.0,54.41,55.75,56.12,56.53,57.31,57.28,56.66,54.69,53.62,52.25,51.78,50.16,51.41,52.84,55.69,59.31,62.34,64.97,63.84,64.12,60.84,58.5,55.25,52.75,51.69,50.97,51.12,51.97,52.62,53.66,54.25,56.31,57.19,59.75,61.53,62.91,63.66,64.81,64.66,63.47,63.25,63.75,63.72,64.16,65.28,64.44,63.72,61.69,59.81,57.16,56.91,57.91,58.31,60.12,62.31,63.16,64.41,65.66,65.53,65.22,65.31,64.59,63.69,63.0,63.62,63.03,63.59,64.0,64.59,64.78,65.56,64.84,66.19,67.06,67.94,69.56,71.06,71.16,72.34,71.59,69.59,68.66,67.31,65.62,63.06,61.28,61.03,60.56,59.31,61.16,62.19,63.16,64.5,65.38,67.03,68.66,69.16,69.81,70.62,70.78,69.5,69.03,66.59,65.44,63.56,62.28,61.69,61.12,62.25,63.19,64.09,64.09,64.25,63.0,62.03,59.72,58.56,59.12,58.22,58.62,60.19,60.78,62.69,65.53,67.81,70.75,72.81,73.84,74.38,73.06,71.25,69.03,67.16,65.88,65.31,65.69,66.12,67.31,68.22,69.06,68.97,69.31,69.56,70.66,69.62,69.91,68.59,68.53,67.09,65.84,64.91,62.09,61.41,59.28,58.66,58.81,59.81,59.5,59.25,58.56,57.28,56.03,56.5,56.5,56.31,57.44,56.31,56.06,55.69,55.56,54.44,54.59,54.62,53.66,54.0,54.88,54.84,54.41,54.0,52.69,52.34,51.16,50.84,51.66,52.28,53.84,56.53,58.62,59.56,59.69,58.5,57.44,55.03,53.66,53.47,52.31,51.25,51.53,51.44,50.56,50.47,49.66,50.72,50.53,51.12,51.56,52.81,53.19,53.53,54.5,54.75,54.31,54.84,53.69,53.06,53.28,53.34,52.53,52.5,52.69,51.72,53.06,55.0,57.28,61.75,65.66,66.06,67.97,66.97,64.06,61.12,57.88,56.31,53.84,53.12,52.06,52.72,52.31,52.03,54.47,56.12,58.31,60.41,62.12,62.06,63.41,64.03,64.5,64.34,63.78,63.44,62.66,60.91,60.31,60.62,59.62,57.44,58.16,57.84,57.91,58.69,60.62,60.25,59.34,57.53,55.28,52.88,50.06,50.0,49.0,50.03,51.88,52.31,54.62,56.91,56.09,58.69,58.59,58.5,58.38,59.44,59.91,60.12,59.94,59.81,57.84,55.94,55.22,55.19,55.09,56.91,59.38,59.38,61.56,62.19,62.31,62.19,61.09,61.94,60.38,58.06,56.28,53.75,52.56,51.53,50.78,50.84,50.5,49.0,49.12,45.31,44.44,43.0,40.94,41.12,40.44,41.09,41.22,42.25,43.81,45.31,46.56,47.84,49.72,51.5,53.16,54.84,55.09,55.25,54.16,53.44,52.47,51.03,50.88,50.5,51.56,52.22,53.94,54.69,54.62,54.44,51.91,50.38,49.12,49.69,51.5,53.06,56.0,57.72,56.81,57.56,56.56,54.84,54.69,52.38,52.06,52.28,51.69,52.56,53.12,53.62,52.44,53.25,52.53,51.62,51.69,52.34,53.41,55.38,56.53,57.31,59.59,59.88,60.03,61.16,60.25,59.19,56.41,54.12,52.66,48.62,48.25,48.38,47.09,47.44,48.12,46.88,47.97,46.59,47.31,48.28,48.25,49.81,51.91,52.62,53.06,53.25,51.91,51.66,50.78,48.97,50.0,49.94,50.19,51.53,53.75,54.56,55.97,57.22,57.88,59.47,58.78,57.81,56.69,54.41,53.19,53.19,53.81,53.78,54.44,53.0,51.34,49.91,47.25,46.66,47.16,46.94,47.16,46.94,46.62,45.38,45.62,46.06,45.94,47.88,50.75,54.19,58.22,63.78,66.69,68.12,68.44,66.56,63.47,60.66,60.03,58.34,59.03,58.59,56.75,55.69,52.31,49.81,47.56,46.03,45.66,46.12,46.28,46.94,46.69,45.16,44.38,42.41,38.88,38.25,36.62,35.41,35.91,36.88,36.62,36.41,34.81,34.84,35.88,35.94,39.16,42.94,45.66,49.12,51.88,53.78,56.72,58.81,60.22,62.31,63.59,63.69,64.44,64.28,64.41,63.12,61.5,60.53,59.06,58.31,56.91,57.72,57.94,59.66,62.97,66.44,69.94,70.84,71.91,70.5,69.06,66.88,64.78,63.16,61.44,60.28,59.12,57.5,54.69,53.88,52.66,52.0,51.78,52.03,52.06,51.25,51.31,50.69,52.66,54.38,56.59,60.06,63.34,65.59,67.94,67.72,67.16,65.25,62.81,60.97,58.78,57.66,56.62,57.56,57.19,57.16,56.81,57.5,56.69,56.12,56.84,55.97,55.28,53.69,52.12,49.81,49.0,48.28,48.81,49.91,51.06,52.81,52.28,52.31,52.84,53.41,53.25,53.47,53.59,53.22,52.5,51.88,52.56,51.62,52.19,52.41,52.5,54.19,55.91,57.16,59.25,61.12,61.84,61.69,61.75,60.88,60.62,59.22,58.16,57.81,54.81,54.34,52.56,53.03,52.06,53.66,54.34,55.06,54.5,55.03,54.62,54.94,54.97,56.81,56.47,57.31,57.94,57.03,57.75,59.0,60.12,62.25,63.91,65.06,66.25,65.28,64.0,62.88,61.28,60.19,60.22,57.59,56.19,55.28,53.94,52.62,52.69,53.25,53.72,55.19,57.56,58.62,60.94,62.81,63.12,64.34,64.09,63.97,63.78,62.5,61.69,61.16,61.66,61.44,62.0,62.41,62.88,65.84,65.84,66.5,67.72,66.06,63.06,60.44,58.69,56.28,55.31,55.22,55.69,56.28,56.09,55.66,55.62,55.12,54.72,55.16,54.34,53.12,52.22,50.44,48.5,47.12,45.25,45.72,44.53,45.56,47.38,49.16,52.47,53.88,55.38,54.72,52.38,50.19,47.22,44.25,42.81,41.94,41.38,41.0,15.84,16.5,15.38,13.5,10.66,7.47,4.56,2.16,1.06,1.41,2.16,4.09,7.28,9.81,11.62,14.56,16.03,18.06,16.84,16.69,14.94,12.88,10.88,10.28,8.41,8.03,8.16,6.66,7.81,7.28:negativity
32.81,32.38,31.38,31.06,30.44,30.06,30.34,30.38,30.75,30.94,31.56,31.69,32.03,31.66,32.41,33.53,31.53,32.03,31.94,30.66,31.0,30.88,30.84,32.91,33.56,35.12,36.44,37.25,38.38,39.91,40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5:30.34,30.38,30.75,30.94,31.56,31.69,32.03,31.66,32.41,33.53,31.53,32.03,31.94,30.66,31.0,30.88,30.84,32.91,33.56,35.12,36.44,37.25,38.38,39.91,40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5,-4.94,-5.34,-5.47,-4.44,-4.25,-3.84:32.03,31.66,32.41,33.53,31.53,32.03,31.94,30.66,31.0,30.88,30.84,32.91,33.56,35.12,36.44,37.25,38.38,39.91,40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5,-4.94,-5.34,-5.47,-4.44,-4.25,-3.84,-3.53,-3.16,-2.09,-2.22,-0.91,0.84:31.94,30.66,31.0,30.88,30.84,32.91,33.56,35.12,36.44,37.25,38.38,39.91,40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5,-4.94,-5.34,-5.47,-4.44,-4.25,-3.84,-3.53,-3.16,-2.09,-2.22,-0.91,0.84,2.41,4.66,6.0,8.19,7.97,6.94:33.56,35.12,36.44,37.25,38.38,39.91,40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5,-4.94,-5.34,-5.47,-4.44,-4.25,-3.84,-3.53,-3.16,-2.09,-2.22,-0.91,0.84,2.41,4.66,6.0,8.19,7.97,6.94,6.66,5.0,4.34,3.28,4.28,2.88:40.16,38.88,38.75,35.91,33.5,31.5,30.91,30.5,29.31,30.84,31.47,32.44,34.03,35.12,36.25,36.81,36.75,37.19,36.53,36.94,36.44,35.97,35.44,36.31,36.25,36.34,38.06,37.94,37.88,38.34,38.31,37.06,35.25,34.53,32.5,32.12,31.56,31.19,31.62,30.84,30.06,29.94,28.88,27.72,26.34,24.56,23.91,22.25,21.94,21.28,22.31,22.56,24.19,24.78,25.69,24.91,24.5,24.41,25.34,27.5,28.81,31.47,32.72,32.09,32.56,33.31,34.06,35.47,36.44,39.62,39.94,41.16,40.91,39.28,37.03,33.78,30.97,28.75,27.34,28.47,28.56,30.06,32.41,34.09,36.69,37.69,39.44,40.81,41.22,41.12,40.69,39.0,38.41,36.06,34.91,33.25,31.47,30.12,29.53,27.78,28.38,28.34,28.19,29.31,30.75,31.59,32.84,34.12,35.41,35.69,37.16,37.84,39.41,41.16,43.16,44.75,45.44,46.97,46.69,47.0,44.53,43.12,40.69,37.59,34.69,32.81,30.19,28.62,27.28,26.19,24.56,23.91,24.44,25.12,26.34,28.22,28.75,30.81,31.81,31.72,32.09,32.06,31.41,30.75,31.66,33.28,35.16,36.19,37.25,37.88,35.38,34.81,33.12,32.41,34.19,35.19,37.25,38.31,38.94,39.19,38.91,37.28,36.06,35.69,35.19,34.88,35.41,38.03,37.31,38.38,39.78,41.12,41.06,41.44,42.81,41.94,42.06,43.12,43.75,43.84,44.81,44.66,44.41,42.06,41.62,39.72,37.44,36.91,36.38,35.5,35.41,34.66,33.38,33.41,33.38,34.28,35.56,37.81,40.06,42.62,45.88,48.22,49.31,49.5,50.41,49.78,49.78,49.16,48.31,47.66,46.84,45.47,45.84,45.94,46.19,48.59,50.31,52.38,54.62,55.56,56.5,56.06,56.62,55.34,54.06,53.84,51.5,51.72,51.31,51.72,51.66,52.66,52.12,52.0,50.81,50.31,49.62,49.0,47.72,47.44,47.09,47.09,46.38,47.59,47.84,48.94,50.09,50.62,50.44,51.94,50.88,51.12,51.06,51.03,50.12,50.0,49.62,48.59,48.25,48.19,48.28,47.81,48.19,47.69,45.75,44.5,44.56,42.38,40.88,40.03,39.31,38.5,40.94,42.34,46.5,49.81,52.28,55.31,57.31,56.81,57.03,57.28,56.19,55.25,53.62,50.5,48.5,45.69,42.41,41.94,40.94,39.47,40.84,40.41,39.66,39.78,39.06,39.06,40.06,42.56,46.38,49.53,52.25,54.75,54.12,54.31,53.03,49.28,48.0,45.81,44.47,43.69,44.81,45.91,46.44,47.12,46.12,46.75,45.53,44.66,43.88,43.41,43.53,44.0,45.25,46.81,47.81,47.59,48.06,45.91,44.25,42.5,42.25,41.53,41.97,42.69,43.81,44.12,45.06,45.28,45.53,45.75,45.88,46.09,45.59,46.03,46.06,46.41,46.94,47.72,49.97,50.12,50.34,50.44,49.03,46.59,44.81,43.16,43.09,43.47,43.09,44.12,44.72,44.81,45.12,44.94,44.16,42.94,41.34,40.19,40.09,40.66,41.16,43.91,46.16,48.0,50.31,51.88,52.19,52.19,52.19,51.41,51.16,49.75,49.66,49.03,48.56,49.31,49.44,51.25,51.16,50.06,47.69,44.81,40.41,35.09,33.47,32.19,32.38,34.41,37.06,40.06,43.25,44.62,47.31,49.25,49.62,48.12,47.78,46.69,44.75,43.31,41.53,41.31,41.91,42.31,44.88,45.72,46.62,46.41,44.94,43.03,40.75,40.12,39.66,39.0,39.75,40.31,40.06,40.31,39.31,40.5,38.94,38.66,39.69,39.81,41.06,42.88,43.66,44.56,47.38,47.59,50.66,51.41,52.12,52.88,52.44,50.69,48.44,46.56,44.19,41.12,41.53,40.31,41.31,42.91,44.81,47.0,48.53,49.56,52.56,52.16,53.12,53.34,54.41,53.41,52.28,51.97,51.5,51.03,51.25,52.75,53.5,53.34,54.12,53.47,52.78,52.0,51.53,51.66,50.84,50.56,50.31,51.09,50.56,51.69,53.0,53.84,53.84,54.06,53.62,52.34,51.41,49.22,45.91,43.53,41.66,39.91,38.5,36.91,35.0,32.88,31.72,30.38,30.09,30.78,31.19,32.69,33.16,34.22,34.94,35.62,35.44,36.53,36.72,39.75,40.81,43.22,45.41,46.91,47.06,47.0,44.69,42.69,39.44,36.97,36.19,36.19,36.78,38.16,39.19,39.59,39.88,41.19,40.38,39.5,39.5,39.06,38.19,37.66,37.06,36.19,36.31,37.41,39.56,42.62,45.78,47.56,49.28,50.0,51.16,53.03,55.03,57.12,56.53,55.69,53.06,49.19,46.5,42.94,41.28,39.72,39.12,40.84,42.19,45.62,47.53,49.12,49.34,49.66,50.47,49.91,50.0,51.19,52.19,51.25,50.81,50.66,49.66,50.06,49.31,48.41,48.56,46.12,44.12,41.53,39.28,38.03,36.41,35.59,35.19,35.75,36.75,38.91,42.12,44.41,45.75,47.0,48.69,48.28,49.19,50.19,51.16,51.81,52.28,54.03,54.94,54.56,56.41,56.16,56.5,55.38,54.19,53.31,51.97,49.53,48.22,45.31,42.22,38.19,35.5,31.44,28.5,26.12,24.91,24.56,24.91,24.44,25.25,25.31,26.41,28.47,32.03,36.28,39.53,41.19,42.72,42.72,42.19,42.0,43.22,43.53,43.81,43.59,42.03,40.41,38.44,37.28,35.31,33.25,31.62,30.19,29.38,27.94,28.47,28.94,28.72,28.81,28.72,28.44,27.47,26.5,25.62,23.56,22.22,22.56,23.84,26.62,30.91,36.44,41.28,47.69,50.84,53.5,53.25,52.34,47.69,43.56,39.62,36.03,31.97,30.12,28.88,27.5,28.69,29.22,31.94,33.94,34.69,36.94,37.06,38.25,39.78,40.53,42.91,44.91,45.75,47.5,47.31,48.28,49.25,49.91,51.84,52.31,53.31,52.94,52.12,50.25,48.72,47.69,47.53,47.38,49.16,49.94,51.41,51.72,52.53,52.44,51.97,53.19,52.19,51.62,51.03,48.66,47.03,43.97,42.59,42.66,42.25,42.31,42.69,41.81,42.41,40.62,41.62,40.28,37.81,37.0,34.41,32.12,30.28,28.25,26.81,26.72,26.12,27.72,27.56,29.78,29.41,29.94,29.59,29.62,28.81,30.91,31.31,31.78,33.25,34.44,35.38,35.91,36.94,38.12,38.5,38.72,38.78,39.53,38.12,38.28,36.91,36.25,34.22,32.44,30.59,27.56,26.53,25.16,24.84,24.69,25.66,27.19,27.25,29.0,29.5,30.44,31.28,33.62,35.16,36.28,38.22,38.62,39.12,38.62,38.81,39.94,41.03,40.06,40.69,39.62,37.94,36.81,35.31,32.44,30.56,28.81,28.19,26.12,25.41,25.34,25.66,28.03,30.66,34.28,36.16,38.81,40.62,41.78,43.69,44.91,45.44,46.28,46.31,45.88,45.59,44.41,44.06,41.25,40.53,39.75,39.19,39.03,39.06,38.28,36.06,35.78,35.44,36.56,39.78,43.41,45.62,48.16,50.0,50.16,52.06,51.5,53.66,52.69,52.41,50.66,48.03,45.56,43.78,40.31,39.03,37.12,37.25,38.41,40.53,44.81,49.12,53.81,57.03,58.38,59.38,58.81,57.5,55.5,-4.94,-5.34,-5.47,-4.44,-4.25,-3.84,-3.53,-3.16,-2.09,-2.22,-0.91,0.84,2.41,4.66,6.0,8.19,7.97,6.94,6.66,5.0,4.34,3.28,4.28,2.88,4.34,5.72,4.91,6.75,8.28,8.03:negativity
39.78,39.22,39.88,39.91,41.59,42.81,45.94,48.81,51.19,55.31,57.22,58.66,59.0,59.19,56.94,54.81,52.25,50.0,48.56,47.94,47.81,49.31,49.28,50.28,52.38,53.03,54.5,56.59,56.69,55.88,56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19:45.94,48.81,51.19,55.31,57.22,58.66,59.0,59.19,56.94,54.81,52.25,50.0,48.56,47.94,47.81,49.31,49.28,50.28,52.38,53.03,54.5,56.59,56.69,55.88,56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19,25.0,24.34,24.56,25.16,26.47,28.31:59.0,59.19,56.94,54.81,52.25,50.0,48.56,47.94,47.81,49.31,49.28,50.28,52.38,53.03,54.5,56.59,56.69,55.88,56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19,25.0,24.34,24.56,25.16,26.47,28.31,30.91,33.34,36.72,40.66,42.81,44.56:48.56,47.94,47.81,49.31,49.28,50.28,52.38,53.03,54.5,56.59,56.69,55.88,56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19,25.0,24.34,24.56,25.16,26.47,28.31,30.91,33.34,36.72,40.66,42.81,44.56,45.41,43.91,42.53,40.41,38.16,36.38:52.38,53.03,54.5,56.59,56.69,55.88,56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19,25.0,24.34,24.56,25.16,26.47,28.31,30.91,33.34,36.72,40.66,42.81,44.56,45.41,43.91,42.53,40.41,38.16,36.38,35.81,35.12,34.38,35.44,35.88,37.03:56.56,55.69,54.88,53.91,53.28,52.59,50.56,51.12,51.12,53.69,57.53,61.25,64.69,66.31,64.69,62.59,58.47,54.12,52.81,52.69,52.06,52.78,52.78,51.81,50.97,50.94,51.56,52.75,53.97,56.25,57.78,58.75,58.78,58.91,57.5,54.94,53.94,50.81,48.91,47.38,45.91,44.0,43.0,43.56,42.78,42.84,42.28,42.38,42.28,42.09,43.44,43.97,45.56,46.94,47.81,49.31,50.78,51.34,51.56,51.78,50.94,50.06,50.81,50.16,52.06,52.91,56.0,56.88,58.5,58.25,57.88,56.19,53.91,51.47,50.72,47.97,46.12,43.91,42.12,39.44,37.88,37.22,37.56,37.75,39.38,41.69,44.62,46.62,46.81,47.31,47.12,45.81,43.28,41.03,41.0,37.28,35.09,34.66,34.5,34.19,36.0,37.56,38.75,40.0,40.56,41.44,42.38,41.88,42.28,41.78,41.25,40.91,40.78,40.25,39.78,39.0,36.16,35.53,32.66,30.28,29.97,29.69,30.91,31.16,32.59,35.69,36.41,39.06,42.09,43.12,43.81,43.03,41.66,40.44,39.84,39.03,38.97,38.34,37.25,37.22,36.41,37.94,38.62,39.84,41.78,44.25,46.16,48.12,51.69,53.28,54.72,56.06,55.91,56.12,54.97,53.62,51.94,50.59,49.56,48.94,48.19,48.5,48.03,47.0,45.56,44.97,42.88,42.88,43.06,43.59,44.38,44.47,45.44,45.31,44.34,44.97,46.06,44.53,45.97,45.38,44.78,44.31,44.78,44.66,45.94,47.06,48.53,49.56,49.69,50.53,51.91,52.44,53.88,54.25,55.41,55.31,54.81,54.19,52.62,50.88,49.62,49.41,48.69,50.06,50.56,50.59,51.41,51.12,51.0,52.09,52.31,53.19,53.62,52.34,52.22,50.66,49.62,49.81,49.56,50.25,51.06,52.31,53.41,55.03,57.41,59.06,60.5,61.94,61.0,59.12,55.09,50.03,46.31,43.03,42.25,43.34,42.75,44.19,45.44,46.0,47.06,47.34,49.09,49.25,49.22,49.28,48.81,47.19,46.78,46.19,45.69,45.47,46.16,47.31,46.56,47.88,47.81,47.75,47.84,47.41,48.88,49.41,49.16,50.12,50.06,49.25,48.5,47.62,46.75,46.59,46.78,47.75,48.06,48.12,48.06,47.19,45.31,44.47,43.66,43.59,44.0,45.62,46.16,47.44,46.97,46.62,46.94,47.19,48.53,49.5,49.56,51.38,47.88,47.81,44.53,42.78,40.62,39.81,39.31,39.22,39.12,40.06,40.28,39.75,42.06,41.75,43.44,44.78,45.56,46.0,45.94,46.62,46.69,47.38,47.69,48.81,47.41,48.16,47.19,45.81,44.53,44.81,43.62,43.25,41.94,41.28,40.91,39.97,39.66,39.28,38.06,37.53,36.31,35.03,34.88,35.47,35.16,36.41,37.47,39.53,39.66,41.47,42.28,43.69,46.0,46.62,48.91,50.5,51.03,51.44,51.12,52.47,52.06,52.72,51.81,52.5,49.88,47.91,46.19,44.25,43.84,44.25,46.25,47.69,50.0,50.09,50.44,49.12,46.75,44.56,41.66,39.56,38.69,37.62,36.94,37.91,38.91,39.06,39.72,40.09,41.47,41.12,41.91,43.44,43.47,43.75,43.94,44.69,44.19,43.56,42.59,41.69,39.91,38.12,37.84,38.16,38.06,40.12,42.53,44.5,47.12,49.03,50.53,52.03,52.0,51.72,50.0,47.44,44.34,42.34,39.38,36.16,33.25,31.66,28.88,28.06,28.78,30.53,32.75,36.56,39.59,43.59,45.53,46.94,47.81,47.0,45.56,44.0,42.59,39.41,38.12,35.94,34.28,33.34,33.97,35.56,38.12,42.91,47.56,51.41,53.75,54.88,53.94,51.25,48.06,46.44,45.06,45.06,45.03,46.12,47.12,46.88,45.91,46.16,44.75,44.44,43.88,43.34,42.03,42.69,41.81,40.34,40.91,40.31,39.78,40.56,40.66,40.72,40.81,40.94,41.69,42.19,42.66,43.44,42.91,42.56,42.81,41.62,41.66,41.97,41.59,41.59,41.25,40.91,40.81,40.94,40.66,41.09,40.44,40.06,39.75,38.31,37.03,36.19,35.5,35.47,35.47,37.31,38.66,40.72,41.88,42.19,42.25,42.44,42.56,42.78,44.12,44.91,45.12,44.25,43.66,42.03,40.44,40.22,39.5,40.06,40.66,41.78,42.66,43.66,43.75,43.81,43.75,43.22,43.56,43.44,44.38,45.25,45.12,45.72,45.94,45.53,43.78,41.88,39.69,36.81,33.69,30.84,29.03,27.5,26.56,27.06,28.5,30.31,33.0,36.16,40.06,43.34,47.06,48.78,49.5,49.56,49.22,48.53,47.38,45.72,44.16,42.78,41.44,41.81,41.84,43.22,44.31,44.28,45.28,44.38,44.19,43.97,43.66,43.0,42.22,40.84,39.53,38.06,36.72,35.41,35.41,35.0,35.66,36.19,36.84,37.84,37.69,38.91,38.91,38.72,38.56,37.88,37.97,36.12,35.25,34.31,32.97,32.16,32.62,33.38,33.81,35.16,36.31,36.34,36.66,37.31,36.38,36.81,36.12,36.34,37.25,38.03,38.28,39.34,39.59,38.88,38.16,38.56,38.41,37.97,38.12,38.12,37.22,37.62,37.34,37.72,38.81,40.34,41.91,42.53,43.38,42.91,41.22,41.47,39.56,39.88,39.84,41.31,42.19,43.25,45.44,45.78,45.56,44.94,45.72,45.38,46.0,46.62,46.84,45.69,43.84,40.97,39.0,37.97,37.78,38.75,42.94,46.41,48.19,50.56,50.06,47.5,44.06,40.94,38.97,37.72,38.0,38.72,40.28,40.66,41.78,41.38,41.66,41.19,41.5,40.41,40.81,40.53,39.72,39.41,39.66,40.25,39.53,39.91,40.44,39.16,39.09,38.16,36.94,36.34,34.88,33.59,33.03,32.47,32.31,33.16,34.53,36.44,38.5,40.28,41.62,42.03,41.41,39.44,38.0,36.06,34.69,34.06,32.84,33.31,35.62,35.94,37.84,40.38,41.31,41.81,41.56,40.66,39.97,38.66,37.97,36.94,36.59,36.5,36.19,36.09,37.34,38.81,40.69,42.94,44.66,44.88,44.91,44.56,43.66,42.78,41.69,39.56,37.56,34.41,32.03,30.03,27.19,27.25,26.56,28.12,30.56,31.94,33.44,35.06,35.69,36.03,35.94,36.78,36.81,36.69,37.69,38.06,38.16,39.41,39.66,39.97,40.16,39.44,38.75,37.28,36.0,34.31,31.88,30.91,29.66,30.09,30.75,31.91,32.94,33.41,32.72,32.22,30.81,30.62,29.25,29.19,28.75,28.56,27.19,25.72,24.12,21.56,19.62,18.69,18.06,18.31,19.34,20.03,20.0,20.66,20.06,18.97,19.66,19.44,20.34,21.62,22.75,24.78,26.69,26.94,27.91,28.34,27.31,26.19,25.88,26.03,24.69,25.56,25.91,25.84,25.62,25.31,24.59,25.09,23.94,25.5,26.5,27.34,28.5,29.41,28.91,28.62,27.69,26.72,26.62,26.41,26.0,25.44,25.12,24.5,22.62,21.78,20.59,19.81,19.88,20.03,20.81,22.03,21.38,22.81,22.53,23.53,24.91,26.03,26.66,27.94,27.62,28.03,26.66,25.94,25.19,25.16,24.84,25.66,25.06,24.44,23.19,21.91,20.88,19.62,20.31,19.53,19.94,20.19,25.0,24.34,24.56,25.16,26.47,28.31,30.91,33.34,36.72,40.66,42.81,44.56,45.41,43.91,42.53,40.41,38.16,36.38,35.81,35.12,34.38,35.44,35.88,37.03,38.88,40.5,40.81,43.34,42.31,42.44:negativity
44.78,43.06,40.56,37.12,34.41,30.81,28.41,26.34,26.0,26.12,27.78,29.5,32.31,34.28,34.72,35.12,34.78,33.19,33.56,32.19,31.81,31.16,29.72,29.12,27.59,26.31,25.41,24.19,22.41,21.09,22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72:28.41,26.34,26.0,26.12,27.78,29.5,32.31,34.28,34.72,35.12,34.78,33.19,33.56,32.19,31.81,31.16,29.72,29.12,27.59,26.31,25.41,24.19,22.41,21.09,22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72,27.34,23.62,19.31,14.12,10.41,6.53:32.31,34.28,34.72,35.12,34.78,33.19,33.56,32.19,31.81,31.16,29.72,29.12,27.59,26.31,25.41,24.19,22.41,21.09,22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72,27.34,23.62,19.31,14.12,10.41,6.53,4.25,2.72,2.78,3.41,6.97,10.44:33.56,32.19,31.81,31.16,29.72,29.12,27.59,26.31,25.41,24.19,22.41,21.09,22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72,27.34,23.62,19.31,14.12,10.41,6.53,4.25,2.72,2.78,3.41,6.97,10.44,13.25,17.0,19.62,21.0,22.38,23.06:27.59,26.31,25.41,24.19,22.41,21.09,22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72,27.34,23.62,19.31,14.12,10.41,6.53,4.25,2.72,2.78,3.41,6.97,10.44,13.25,17.0,19.62,21.0,22.38,23.06,24.12,22.91,22.59,20.38,18.34,16.09:22.41,23.41,25.19,27.44,29.44,31.0,31.25,31.44,32.19,34.81,36.41,38.62,41.16,44.31,47.0,50.16,54.69,55.59,57.88,58.16,54.88,53.78,50.66,47.09,44.38,42.06,37.69,35.53,32.97,29.66,26.69,23.94,23.03,21.5,21.97,21.19,21.44,22.59,23.44,23.28,23.72,21.56,19.62,15.81,13.12,10.0,8.12,6.12,5.5,4.47,4.0,4.44,4.69,5.09,5.66,7.19,7.0,7.97,10.38,11.31,14.16,17.66,20.16,23.47,26.28,28.31,29.44,29.31,29.97,29.91,28.22,27.78,28.38,27.12,27.78,28.91,30.72,32.31,34.25,36.28,36.72,37.94,36.78,35.66,35.56,33.62,34.19,34.91,35.03,35.06,36.06,35.97,36.03,35.31,35.91,35.19,34.34,34.12,33.94,33.09,33.16,32.72,31.66,30.94,29.47,29.41,28.88,30.66,31.66,32.66,32.69,31.41,29.62,27.22,24.25,22.47,20.25,18.31,17.38,17.06,16.41,17.06,17.84,19.56,20.44,22.97,24.44,24.34,24.09,23.34,21.78,20.53,19.78,18.62,17.72,16.5,15.84,14.16,13.31,13.53,12.41,11.0,12.66,13.09,14.38,16.25,19.53,20.69,20.97,19.69,18.03,16.03,14.31,13.53,13.44,13.38,14.84,16.12,16.56,17.84,16.44,14.94,14.47,13.91,15.28,16.84,19.03,22.56,24.78,26.88,28.91,32.12,32.12,32.72,32.16,30.56,28.25,25.81,24.81,24.06,25.06,26.19,27.69,29.28,29.56,30.5,30.03,27.91,26.97,24.0,21.72,19.81,18.16,18.69,18.12,19.81,20.12,21.69,22.62,23.44,23.5,24.06,24.81,25.91,26.59,26.59,28.28,27.84,27.06,25.62,23.34,21.81,18.41,16.34,16.12,15.16,16.25,17.41,17.56,17.69,17.03,16.0,15.94,15.34,15.97,17.41,19.44,22.19,24.62,26.41,27.25,26.62,24.5,23.47,22.16,22.03,21.53,22.66,23.03,22.0,23.62,22.84,21.53,25.91,27.03,31.47,34.69,37.78,38.56,37.62,37.12,35.94,35.25,35.53,34.66,33.19,31.31,30.19,27.94,28.0,26.28,27.41,28.5,27.94,29.16,28.75,28.56,26.44,25.53,24.59,22.75,22.69,24.41,25.19,26.41,27.41,28.06,27.06,26.25,25.62,26.88,28.41,30.38,33.09,35.41,36.44,36.62,35.75,34.16,32.97,31.84,31.78,32.31,31.38,33.25,33.03,35.66,38.5,41.78,44.41,45.88,47.44,46.38,47.09,47.66,46.78,47.94,47.0,46.75,46.09,44.53,43.44,41.06,40.47,39.56,39.34,39.56,40.62,39.72,40.84,40.28,40.25,39.34,39.12,37.81,36.06,34.25,31.75,30.94,28.91,29.06,29.19,30.62,30.84,32.62,34.38,35.31,35.81,36.38,35.19,33.94,32.03,32.22,30.91,30.97,32.75,33.03,34.81,36.59,37.47,37.19,37.41,37.28,36.47,36.53,37.5,37.59,38.38,39.84,39.62,39.69,38.44,37.53,35.94,35.28,35.5,36.56,40.41,43.5,46.81,49.78,51.78,52.16,51.88,49.88,48.53,46.28,42.25,38.97,36.88,34.38,31.69,31.62,30.78,31.31,30.94,32.66,33.75,34.12,36.56,38.81,41.0,44.31,46.94,49.75,50.28,49.75,47.62,45.12,41.62,39.59,37.06,35.44,35.53,34.81,34.38,34.44,34.97,35.06,35.06,35.34,35.5,35.81,36.53,37.56,38.22,38.0,37.91,35.56,33.03,30.5,28.0,26.75,26.66,25.81,27.69,27.44,27.94,28.0,25.94,23.69,23.22,20.97,21.28,22.5,25.5,27.78,30.56,34.16,37.19,38.0,38.81,36.91,34.81,30.22,26.72,25.41,22.53,21.56,22.41,22.41,21.91,21.84,20.41,20.5,20.66,22.16,24.31,25.19,26.69,27.62,27.84,29.78,33.69,36.88,41.59,45.81,48.25,49.78,48.81,45.84,41.56,37.03,32.84,29.91,26.56,23.66,22.06,18.47,16.19,14.44,14.5,15.19,15.16,18.03,19.44,22.62,24.91,26.38,28.22,27.19,26.19,25.56,25.31,24.16,25.44,25.53,25.0,25.72,26.56,26.38,27.41,28.16,28.66,28.06,27.56,25.94,25.91,25.09,27.94,30.0,33.41,36.06,36.75,35.84,34.09,32.28,30.56,30.72,31.53,32.78,34.34,35.66,35.34,34.41,33.06,30.91,29.78,27.94,28.0,29.12,30.28,32.56,36.44,38.5,40.69,42.44,42.28,41.44,39.19,37.41,34.41,33.06,32.97,30.84,30.41,29.44,27.94,25.97,25.28,24.81,24.81,24.81,26.09,27.38,30.62,33.31,36.44,39.91,40.91,41.44,40.41,39.09,37.41,36.34,34.97,32.88,31.47,29.81,28.12,26.69,25.72,23.38,23.0,23.25,22.88,23.09,23.56,23.19,23.09,21.91,20.91,20.53,20.03,19.56,18.88,18.91,17.69,17.28,16.34,15.81,15.94,16.56,17.75,18.75,20.34,21.0,22.19,23.38,23.81,25.12,26.47,26.19,26.72,27.28,29.06,29.56,30.19,30.88,29.91,28.94,26.5,23.69,21.44,19.16,19.75,19.72,21.22,23.62,24.88,24.66,25.03,25.91,26.0,26.31,28.41,28.31,28.22,28.69,28.34,28.44,29.19,30.03,31.69,31.75,31.66,30.78,28.81,27.09,26.25,25.81,25.56,25.47,25.53,24.31,24.0,23.19,22.66,23.0,22.62,23.16,24.38,23.88,24.12,24.75,24.59,25.75,26.97,28.0,28.66,28.91,27.75,27.06,25.5,25.16,24.22,23.41,23.78,23.62,23.03,24.06,23.38,22.38,21.97,21.69,21.41,22.03,23.5,24.44,25.59,28.06,28.97,30.59,32.09,32.62,34.75,36.12,38.59,41.97,43.12,42.81,40.09,35.56,28.28,23.28,17.53,12.81,11.56,10.19,11.31,12.91,15.69,18.81,20.62,24.41,25.12,27.03,27.09,26.53,25.0,23.19,20.16,18.16,15.47,13.44,13.22,13.81,14.5,15.62,17.25,18.16,19.31,20.22,22.19,22.5,22.0,21.94,20.44,18.66,17.38,15.75,14.75,12.88,10.94,10.06,10.5,10.12,13.19,15.53,17.03,20.53,21.25,23.28,25.69,27.41,29.56,28.75,27.81,26.38,24.84,22.03,22.06,22.94,23.16,24.5,26.06,27.22,28.72,30.06,30.81,30.34,29.94,28.09,25.41,22.94,20.44,17.84,15.38,15.19,14.03,14.19,15.19,15.88,16.62,17.09,16.75,16.91,16.53,15.94,16.25,15.78,14.84,14.78,14.66,14.06,14.06,13.44,12.28,11.59,11.5,12.16,13.12,13.94,15.47,14.91,15.06,14.62,14.69,15.41,15.88,16.12,16.28,17.03,16.41,16.97,17.0,17.91,18.31,18.0,18.16,17.34,17.0,15.94,16.5,17.0,16.44,17.53,17.69,17.94,17.75,18.53,17.56,17.19,15.97,14.91,14.19,13.28,12.59,11.75,10.5,9.09,7.59,6.56,4.62,3.5,2.94,1.69,1.06,-0.28,-0.09,-0.03,0.38,2.25,3.91,4.72,6.97,7.59,8.72,9.53,9.19,10.56,9.19,8.38,8.34,6.66,6.06,6.03,5.22,4.62,5.41,6.94,7.22,9.31,10.66,12.44,13.72,27.34,23.62,19.31,14.12,10.41,6.53,4.25,2.72,2.78,3.41,6.97,10.44,13.25,17.0,19.62,21.0,22.38,23.06,24.12,22.91,22.59,20.38,18.34,16.09,13.5,12.19,9.09,6.19,4.53,1.38:negativity
44.91,45.41,47.66,48.81,49.88,49.78,50.06,49.31,46.97,45.16,43.19,40.78,38.12,36.75,35.81,34.19,35.28,36.84,40.0,43.91,47.44,50.5,51.66,52.06,51.66,50.56,47.66,44.97,42.53,38.0,33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69:50.06,49.31,46.97,45.16,43.19,40.78,38.12,36.75,35.81,34.19,35.28,36.84,40.0,43.91,47.44,50.5,51.66,52.06,51.66,50.56,47.66,44.97,42.53,38.0,33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69,-15.41,-11.34,-8.75,-5.19,-3.41,-0.69:38.12,36.75,35.81,34.19,35.28,36.84,40.0,43.91,47.44,50.5,51.66,52.06,51.66,50.56,47.66,44.97,42.53,38.0,33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69,-15.41,-11.34,-8.75,-5.19,-3.41,-0.69,0.53,1.34,1.34,0.91,-2.38,-5.47:40.0,43.91,47.44,50.5,51.66,52.06,51.66,50.56,47.66,44.97,42.53,38.0,33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69,-15.41,-11.34,-8.75,-5.19,-3.41,-0.69,0.53,1.34,1.34,0.91,-2.38,-5.47,-9.66,-12.69,-17.91,-20.34,-22.12,-21.47:51.66,50.56,47.66,44.97,42.53,38.0,33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69,-15.41,-11.34,-8.75,-5.19,-3.41,-0.69,0.53,1.34,1.34,0.91,-2.38,-5.47,-9.66,-12.69,-17.91,-20.34,-22.12,-21.47,-18.56,-14.78,-9.66,-4.5,-1.66,1.16:33.44,29.69,26.28,25.94,26.16,28.44,32.44,37.41,41.03,45.88,48.56,49.78,49.31,46.56,43.25,40.06,37.75,35.62,34.25,34.84,33.56,33.31,34.66,36.72,39.41,41.94,44.34,45.81,45.25,44.28,42.75,38.75,36.25,31.94,29.72,27.88,26.16,26.09,25.59,25.62,25.62,25.47,23.81,22.5,20.69,20.56,18.56,19.28,19.94,19.84,21.03,20.91,21.34,21.66,22.53,23.34,23.97,24.53,24.81,25.44,26.38,27.06,29.78,31.06,33.16,31.34,32.06,28.88,26.47,24.62,21.94,21.56,19.66,19.19,18.22,17.06,15.78,15.94,15.12,14.56,15.06,14.09,13.09,10.84,10.78,10.44,10.38,13.69,17.94,19.91,23.94,26.75,28.25,29.31,30.28,30.69,30.31,28.75,28.38,25.97,24.25,24.19,22.94,22.88,25.0,25.53,26.31,27.88,28.03,28.19,26.16,26.03,24.88,21.34,19.88,16.16,14.84,13.28,12.81,13.91,15.69,17.69,19.91,21.69,22.88,24.34,25.72,26.19,29.31,31.31,32.59,34.72,35.34,36.28,36.0,34.0,33.28,32.5,31.69,30.91,31.97,31.19,33.0,31.78,31.94,31.97,31.56,30.06,29.25,28.78,27.56,29.69,32.19,34.91,37.25,38.59,38.16,35.19,32.91,29.03,26.53,25.91,25.19,27.06,30.12,31.56,33.69,34.41,36.03,34.38,35.03,34.66,33.72,32.22,31.06,30.78,29.84,30.31,30.31,31.12,32.53,32.91,31.31,31.84,26.78,22.5,18.69,15.81,13.0,12.5,13.25,14.47,15.28,17.81,21.94,24.47,27.84,30.16,32.16,32.28,31.03,30.97,28.84,26.88,25.66,23.66,21.12,20.5,18.31,17.72,18.66,17.97,21.16,23.88,25.72,29.56,31.06,32.03,32.44,31.28,31.25,29.91,28.06,28.5,28.06,28.12,29.16,28.5,29.31,30.31,29.5,30.22,29.69,27.06,26.53,24.56,24.06,25.78,25.62,27.03,27.62,27.81,28.09,27.56,28.31,27.97,28.03,27.19,26.31,26.25,25.19,24.59,24.12,23.84,23.28,24.38,27.31,28.84,30.91,34.06,36.25,38.84,39.72,40.56,38.81,38.53,36.12,33.59,32.47,31.25,29.16,27.53,27.09,25.81,25.66,24.0,22.91,21.34,21.56,22.62,23.53,26.69,27.19,28.38,29.31,30.47,31.56,30.94,31.72,28.88,27.69,25.0,24.81,24.22,26.0,28.56,30.03,31.47,32.5,31.78,30.22,29.91,27.16,24.56,23.78,22.03,22.03,23.03,25.03,26.91,28.88,32.38,34.72,35.62,38.5,37.91,36.62,34.16,30.91,26.69,22.69,19.19,15.09,13.69,11.44,13.5,15.28,17.59,20.53,21.84,21.72,21.62,22.28,22.31,21.56,24.72,25.94,29.12,31.47,34.25,33.81,33.84,32.03,30.19,27.19,26.5,24.44,24.0,23.97,24.5,26.34,25.62,26.72,28.22,28.62,30.22,32.22,32.84,31.69,29.44,27.66,23.94,21.25,20.03,16.38,16.69,16.66,18.41,21.91,25.06,28.62,31.06,33.44,32.66,37.22,35.38,37.53,38.59,39.78,39.91,39.72,39.16,39.16,38.06,37.0,37.06,34.28,33.81,33.5,33.22,34.28,36.81,38.5,40.91,42.12,44.91,44.34,44.25,42.5,41.09,40.22,39.91,39.28,39.44,38.88,38.78,37.31,36.66,35.91,35.28,32.19,27.75,29.34,27.03,27.91,29.53,31.69,31.69,32.53,33.78,33.12,31.06,30.19,29.66,26.78,26.84,27.25,28.16,28.56,29.84,31.69,31.38,32.94,32.41,31.81,32.03,32.38,32.69,33.34,34.59,34.44,34.19,34.09,32.75,33.16,32.19,31.69,31.03,29.25,28.25,27.5,26.97,27.81,29.28,30.25,32.28,33.41,33.12,33.06,33.47,33.31,33.0,32.84,33.41,33.59,33.75,35.31,37.16,37.88,38.12,37.66,37.81,36.41,33.97,34.44,34.03,33.75,34.53,34.06,35.28,34.88,34.81,35.69,36.62,36.47,36.19,36.03,36.28,35.62,35.06,36.34,36.5,36.69,38.78,38.06,40.0,39.41,38.59,39.91,39.06,38.81,40.62,39.84,40.5,40.12,39.72,40.44,39.69,40.75,41.12,42.56,43.16,41.41,41.81,40.06,36.81,34.97,32.78,31.0,29.19,28.38,28.53,28.34,28.34,29.34,29.62,30.41,29.97,32.38,30.53,30.81,31.53,31.88,33.0,35.69,36.31,38.56,38.06,38.03,36.41,34.56,32.72,30.94,29.41,29.78,31.06,31.12,32.78,32.19,32.12,30.28,30.56,29.81,28.66,28.19,26.41,23.94,20.31,20.81,19.03,18.59,19.34,19.22,17.41,17.0,15.0,14.12,16.5,18.19,21.81,26.16,28.41,28.25,27.91,26.69,25.12,23.34,25.66,25.78,26.91,29.03,29.19,27.81,29.12,27.66,28.44,29.09,29.56,30.28,29.66,29.25,28.44,29.19,29.12,31.38,32.44,33.12,35.78,37.0,38.12,38.19,38.34,37.25,35.91,34.22,35.38,32.59,31.53,28.91,27.84,25.66,23.91,21.84,21.44,20.06,18.75,21.31,22.75,25.91,29.31,32.81,34.81,36.19,37.31,36.62,35.12,34.38,33.44,33.75,31.62,34.53,33.12,32.88,32.94,32.0,30.12,28.94,27.41,24.25,22.81,20.84,19.41,15.78,18.06,19.12,20.25,23.06,25.19,27.62,28.25,28.5,28.28,27.69,26.72,26.06,25.75,24.16,25.19,24.12,24.91,24.28,24.44,23.16,23.88,23.19,23.94,25.72,24.97,24.91,27.0,26.56,27.56,31.16,31.62,30.72,31.25,28.44,27.5,28.0,28.12,30.97,31.44,33.09,33.91,33.31,32.84,30.47,29.19,27.5,26.38,26.19,26.41,27.47,27.53,27.5,26.44,24.66,25.25,24.5,25.5,28.0,29.25,31.34,33.47,33.88,34.25,33.97,32.81,31.75,30.12,29.06,28.19,28.25,29.41,29.72,30.72,31.62,31.16,30.62,30.56,29.75,28.72,26.69,24.03,22.75,20.91,20.38,20.41,21.0,20.12,22.47,23.44,21.88,23.28,23.62,22.94,22.5,20.69,19.53,17.34,15.28,14.56,13.84,12.69,14.0,14.19,15.53,18.0,20.31,23.19,25.88,27.69,30.41,31.38,32.19,31.62,30.84,29.66,27.56,23.56,23.69,20.84,20.91,21.53,22.69,24.75,26.56,29.03,29.97,30.38,30.03,27.94,26.81,23.84,21.59,19.78,17.44,15.91,14.94,14.03,13.44,14.0,13.53,14.06,14.41,15.31,15.72,18.0,20.25,22.91,25.5,27.72,29.47,29.59,29.12,26.19,24.75,22.38,21.56,20.03,21.25,22.56,25.0,26.66,28.31,28.5,27.34,26.25,23.97,21.78,21.53,20.03,19.5,19.59,20.12,20.69,21.31,23.41,25.06,24.94,25.06,24.88,23.94,23.72,22.72,24.28,23.94,23.09,22.88,21.06,18.34,16.03,12.69,11.22,9.59,8.94,8.62,9.19,9.81,11.97,14.5,17.06,18.66,20.38,22.06,21.66,22.62,23.94,26.25,27.53,29.53,31.31,31.69,31.94,31.06,31.12,29.66,27.41,26.34,24.53,20.41,17.84,15.62,13.47,13.09,13.69,-15.41,-11.34,-8.75,-5.19,-3.41,-0.69,0.53,1.34,1.34,0.91,-2.38,-5.47,-9.66,-12.69,-17.91,-20.34,-22.12,-21.47,-18.56,-14.78,-9.66,-4.5,-1.66,1.16,3.53,4.22,3.72,2.88,0.5,-3.41:negativity
20.16,19.91,20.31,19.69,18.94,17.25,15.84,14.62,12.03,11.09,10.28,11.5,14.41,16.5,20.62,22.91,25.19,27.81,28.12,28.31,28.62,27.34,24.28,20.78,17.5,13.88,12.78,13.09,16.41,20.25,25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12:15.84,14.62,12.03,11.09,10.28,11.5,14.41,16.5,20.62,22.91,25.19,27.81,28.12,28.31,28.62,27.34,24.28,20.78,17.5,13.88,12.78,13.09,16.41,20.25,25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12,-22.84,-20.19,-17.81,-17.97,-17.59,-19.31:14.41,16.5,20.62,22.91,25.19,27.81,28.12,28.31,28.62,27.34,24.28,20.78,17.5,13.88,12.78,13.09,16.41,20.25,25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12,-22.84,-20.19,-17.81,-17.97,-17.59,-19.31,-21.72,-24.28,-26.22,-30.38,-31.41,-33.09:28.12,28.31,28.62,27.34,24.28,20.78,17.5,13.88,12.78,13.09,16.41,20.25,25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12,-22.84,-20.19,-17.81,-17.97,-17.59,-19.31,-21.72,-24.28,-26.22,-30.38,-31.41,-33.09,-32.84,-31.69,-30.28,-28.47,-27.94,-25.78:17.5,13.88,12.78,13.09,16.41,20.25,25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12,-22.84,-20.19,-17.81,-17.97,-17.59,-19.31,-21.72,-24.28,-26.22,-30.38,-31.41,-33.09,-32.84,-31.69,-30.28,-28.47,-27.94,-25.78,-26.59,-26.44,-25.84,-25.75,-25.31,-27.06:25.09,30.47,34.25,35.91,36.28,36.16,35.12,34.97,34.56,34.38,34.72,34.62,34.31,34.44,33.25,32.12,31.16,31.12,30.41,30.62,29.97,28.69,27.28,27.12,25.62,25.19,26.56,29.03,30.03,32.59,34.38,35.81,35.75,36.06,36.56,35.53,35.09,34.31,33.47,31.16,29.44,28.31,26.09,25.72,24.06,23.28,22.41,21.19,20.44,22.0,21.97,23.81,25.97,27.81,30.31,32.31,33.75,34.0,34.28,33.94,33.59,33.19,32.19,32.06,33.25,33.62,34.5,34.31,33.28,32.19,29.91,27.47,26.06,24.19,22.16,21.56,21.19,21.28,21.81,23.34,24.38,26.66,28.81,31.16,32.09,33.16,33.81,34.25,33.5,33.47,33.56,31.25,30.28,26.84,23.81,21.59,19.38,19.31,20.0,22.12,24.03,26.72,29.94,31.25,34.5,35.59,37.0,38.53,38.0,37.72,38.53,39.0,39.69,41.12,44.12,44.56,43.88,43.47,40.31,37.41,35.66,33.5,34.72,35.62,38.81,41.88,44.81,47.53,49.72,49.88,49.19,46.75,43.06,39.41,36.31,33.69,32.59,32.84,33.62,34.28,34.75,34.22,31.38,28.62,25.81,23.47,24.69,25.06,27.09,29.84,32.72,35.69,37.72,39.72,41.5,41.94,41.16,40.88,39.69,38.34,37.97,38.28,38.44,40.12,40.31,40.12,39.62,37.53,35.97,34.06,33.38,32.88,33.12,34.81,35.62,37.03,38.03,39.31,39.88,40.66,42.03,42.5,41.53,42.09,42.38,42.19,42.97,44.69,45.56,45.72,45.94,44.28,42.94,41.16,39.25,38.88,39.44,39.41,39.47,39.34,38.91,38.56,38.78,39.0,39.56,40.59,40.31,41.06,39.66,39.22,39.84,39.41,40.53,40.41,40.28,40.06,37.91,36.84,36.34,36.06,36.72,37.16,38.59,39.31,39.12,38.91,37.16,36.44,35.62,35.03,35.97,36.06,37.59,38.81,40.06,41.94,42.03,43.0,43.5,43.56,43.09,42.84,41.84,40.78,40.59,40.81,41.31,42.69,43.66,42.59,41.5,40.19,39.41,39.0,38.94,39.81,41.53,41.34,41.78,42.97,43.09,43.16,42.91,44.12,43.16,41.72,40.38,38.16,36.62,33.66,33.84,32.5,32.09,32.12,31.88,30.34,29.66,27.28,25.94,24.34,24.66,24.22,24.06,26.0,27.72,29.47,30.84,32.12,33.16,32.88,33.72,33.69,34.12,34.78,35.03,34.06,33.66,33.44,32.25,31.19,29.84,27.28,24.94,22.66,21.0,19.91,20.5,21.19,23.12,24.44,27.41,30.56,32.03,34.16,35.44,35.59,36.62,37.62,38.84,40.69,42.0,41.03,39.28,37.19,34.56,33.06,31.84,31.34,31.19,30.88,30.81,31.25,30.47,30.28,29.03,27.91,26.06,25.62,25.0,24.62,25.47,26.97,29.03,31.41,32.03,33.56,33.44,32.12,31.81,30.81,29.81,28.66,27.44,26.06,25.41,26.03,25.78,26.0,26.41,25.94,26.5,27.44,27.25,28.28,28.56,28.75,28.72,29.22,29.94,29.97,31.0,32.75,34.97,37.56,40.53,43.06,45.81,47.03,45.25,44.03,40.22,39.75,37.19,37.72,38.28,38.25,38.94,38.44,37.16,36.81,36.16,36.53,37.59,39.06,41.16,41.25,42.78,41.62,41.16,39.66,37.38,35.78,33.53,31.66,29.78,28.34,27.94,27.5,27.22,27.56,27.78,27.91,28.31,28.91,28.84,31.12,32.53,35.91,37.97,40.5,41.81,42.31,43.25,40.94,39.66,38.69,36.03,34.62,33.41,32.28,31.78,31.06,29.72,28.81,28.88,29.28,28.25,29.0,29.81,29.62,31.0,32.66,33.56,35.88,36.09,36.97,37.06,36.03,34.03,33.06,32.31,31.59,33.0,34.28,36.41,38.62,38.78,39.88,39.03,37.81,35.31,32.62,30.75,28.19,25.62,24.0,22.56,23.16,22.72,24.66,25.56,26.53,27.34,29.09,30.69,32.31,33.78,34.31,35.12,34.84,33.41,31.5,30.44,28.72,28.25,29.16,31.0,33.12,35.72,39.19,40.69,42.72,44.66,45.0,44.62,43.22,41.53,40.59,39.38,39.31,39.25,41.12,41.84,42.44,44.91,45.47,45.78,44.81,42.44,40.41,37.41,35.94,36.94,35.88,37.78,38.69,38.47,38.56,38.12,39.75,39.62,39.62,40.16,39.56,39.31,39.66,38.62,39.78,40.06,40.62,42.12,43.72,43.81,45.06,43.44,42.19,40.91,38.81,37.69,35.94,34.66,32.84,31.34,30.12,28.41,29.97,30.38,33.25,35.41,35.78,37.41,37.47,37.69,38.06,37.91,38.41,37.19,36.75,36.0,34.72,35.0,34.22,34.53,33.75,34.16,34.75,34.75,34.97,34.69,35.31,34.44,34.62,35.09,34.03,33.34,33.06,32.34,31.0,30.31,30.34,29.62,30.62,30.47,31.19,32.75,34.25,36.31,39.19,40.94,43.41,44.66,46.97,47.25,47.16,46.84,44.62,43.88,42.19,40.84,41.06,42.0,44.62,46.66,48.03,49.59,49.34,49.0,49.47,49.34,51.12,51.5,52.0,51.59,48.75,45.38,42.41,40.28,39.12,39.38,40.03,41.44,44.03,45.88,47.66,49.47,49.84,50.16,49.69,48.53,46.84,46.25,46.06,45.38,44.84,44.59,43.66,41.38,40.22,38.75,36.03,35.28,33.5,33.97,33.12,33.25,33.5,33.81,33.69,34.91,36.41,37.12,39.25,40.94,43.19,43.0,43.84,44.09,44.31,44.84,45.16,44.81,42.38,39.59,36.44,32.38,29.66,26.88,26.66,26.78,28.66,30.62,33.75,36.47,38.12,39.66,41.53,41.12,42.59,43.28,43.94,45.09,45.56,46.09,45.41,44.59,42.56,42.0,40.25,38.81,39.06,38.75,39.19,38.78,38.16,36.56,35.53,34.31,32.91,32.78,33.16,32.78,33.59,33.31,33.81,35.22,35.88,36.38,36.53,36.72,36.12,36.94,36.94,37.72,38.72,39.56,38.91,39.16,39.06,38.72,38.78,38.44,38.38,36.81,37.41,36.41,35.5,34.97,33.94,34.12,34.69,34.19,35.88,36.31,37.41,37.28,37.03,36.31,35.66,35.0,35.78,36.25,36.41,36.94,36.09,35.97,35.25,35.0,34.12,33.16,32.44,32.06,31.38,31.41,31.81,32.06,33.66,33.06,33.16,32.47,31.88,31.12,30.34,30.41,30.28,29.81,28.84,27.31,26.41,25.81,25.03,26.09,26.59,26.12,27.81,27.06,27.12,28.78,28.06,29.75,29.94,29.91,31.09,30.25,30.91,31.0,31.12,31.25,31.12,31.0,30.0,30.25,29.19,28.41,28.31,28.53,28.84,28.78,27.91,27.19,25.31,23.72,23.19,23.19,24.16,24.88,27.03,27.88,28.25,28.44,28.44,28.03,28.84,29.62,29.44,29.0,27.34,24.94,23.88,21.12,20.34,19.62,19.66,20.19,20.56,20.0,19.59,19.38,18.59,17.84,18.5,18.28,19.28,19.62,20.25,21.47,20.88,22.31,23.12,24.5,25.12,26.72,26.16,26.41,26.16,25.47,25.41,24.69,25.44,26.66,27.88,31.19,33.72,36.81,37.88,38.47,38.03,35.5,33.53,31.78,30.09,28.19,27.75,28.06,27.69,28.5,28.12,-22.84,-20.19,-17.81,-17.97,-17.59,-19.31,-21.72,-24.28,-26.22,-30.38,-31.41,-33.09,-32.84,-31.69,-30.28,-28.47,-27.94,-25.78,-26.59,-26.44,-25.84,-25.75,-25.31,-27.06,-27.0,-27.25,-27.09,-24.91,-22.03,-16.91:negativity
44.91,45.94,48.78,49.97,48.25,50.19,48.12,47.16,49.47,49.28,49.38,48.91,46.56,46.19,43.81,40.78,42.12,43.16,44.97,49.88,54.06,59.22,62.62,66.12,65.44,68.06,65.44,63.28,64.41,63.34,62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25:48.12,47.16,49.47,49.28,49.38,48.91,46.56,46.19,43.81,40.78,42.12,43.16,44.97,49.88,54.06,59.22,62.62,66.12,65.44,68.06,65.44,63.28,64.41,63.34,62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25,-6.28,-6.47,-4.34,-3.56,-4.97,-3.66:46.56,46.19,43.81,40.78,42.12,43.16,44.97,49.88,54.06,59.22,62.62,66.12,65.44,68.06,65.44,63.28,64.41,63.34,62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25,-6.28,-6.47,-4.34,-3.56,-4.97,-3.66,-3.28,-3.66,-2.69,-1.59,-2.19,-2.28:44.97,49.88,54.06,59.22,62.62,66.12,65.44,68.06,65.44,63.28,64.41,63.34,62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25,-6.28,-6.47,-4.34,-3.56,-4.97,-3.66,-3.28,-3.66,-2.69,-1.59,-2.19,-2.28,-2.16,-2.66,-4.19,-3.22,-4.22,-3.09:65.44,68.06,65.44,63.28,64.41,63.34,62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25,-6.28,-6.47,-4.34,-3.56,-4.97,-3.66,-3.28,-3.66,-2.69,-1.59,-2.19,-2.28,-2.16,-2.66,-4.19,-3.22,-4.22,-3.09,-2.59,-2.03,-1.72,-0.78,-1.47,-3.25:62.0,63.25,61.94,60.12,58.84,57.75,55.25,55.0,54.41,53.22,54.53,53.78,53.25,51.81,51.72,50.62,49.69,49.56,50.31,49.69,46.56,47.94,48.22,48.97,52.44,54.31,54.12,47.31,50.0,45.69,45.59,47.19,47.62,47.81,43.59,42.44,38.94,36.91,36.5,36.84,36.44,36.19,37.72,37.12,37.69,40.28,42.12,43.19,45.0,46.62,46.69,47.0,46.81,47.28,47.22,48.91,51.41,52.5,54.5,55.81,55.91,56.88,56.81,51.66,53.16,52.25,53.25,55.06,56.62,58.88,59.53,58.75,58.53,55.81,51.91,50.19,49.56,48.41,50.66,50.75,50.5,49.91,47.66,46.38,46.66,46.84,47.47,48.81,48.91,48.09,45.5,46.62,45.34,47.75,47.03,48.56,49.91,49.44,48.72,50.5,49.81,48.62,46.38,46.59,44.53,44.56,44.91,44.16,42.84,40.06,37.44,34.44,33.97,34.25,33.69,38.19,37.62,41.25,41.91,41.69,41.25,39.62,37.56,34.75,33.44,31.53,30.62,28.62,28.47,26.62,27.84,28.66,31.66,34.53,37.0,37.19,38.56,38.38,36.56,36.53,34.03,31.28,29.28,29.06,27.22,28.69,29.62,29.81,30.31,29.44,31.91,33.69,30.91,36.19,37.69,39.12,42.47,45.53,46.81,47.41,45.88,45.78,46.03,40.44,45.06,43.75,43.97,44.69,45.44,44.41,45.06,43.84,43.34,39.66,43.25,42.69,42.78,45.91,48.44,48.84,48.22,49.0,48.78,47.41,42.56,44.38,41.47,41.03,43.62,43.66,44.19,46.12,45.88,47.56,48.72,47.72,50.34,47.56,49.66,49.84,49.94,50.44,48.97,48.03,47.22,44.53,43.16,43.75,43.19,43.97,47.97,49.91,52.34,54.66,54.5,54.5,52.03,49.97,47.78,46.38,45.16,45.16,44.38,47.91,47.25,50.5,51.81,53.66,55.62,56.16,55.66,55.03,54.19,49.44,50.5,47.12,46.12,47.75,42.72,43.06,42.28,41.16,41.66,43.03,45.16,40.91,43.56,43.69,46.03,48.97,51.47,53.25,55.56,55.5,54.5,52.47,50.44,46.28,44.94,44.03,45.41,47.81,46.66,47.31,46.88,45.34,47.84,47.06,47.69,51.62,52.66,53.34,56.34,56.22,58.44,56.72,56.0,54.53,53.88,51.19,49.88,50.28,49.31,47.81,48.41,49.03,46.5,44.94,43.44,44.88,46.0,48.28,52.38,51.94,54.31,52.97,52.16,52.91,51.91,52.0,49.94,45.91,48.31,43.22,42.62,46.28,46.22,49.38,52.56,54.34,55.34,55.41,52.41,53.72,49.91,51.06,51.41,51.81,50.97,53.34,54.0,54.94,54.47,57.78,57.5,58.22,59.81,59.47,58.16,55.97,53.12,49.66,46.0,46.09,44.31,45.75,42.06,46.69,45.19,47.56,49.06,50.09,51.19,47.81,46.91,44.69,42.34,43.66,43.06,44.75,46.69,49.09,47.44,49.66,48.88,44.69,46.59,44.47,42.31,43.31,41.62,42.91,42.0,44.0,44.31,41.12,40.41,38.53,39.78,38.91,43.38,46.06,48.75,46.25,42.44,44.66,42.56,43.38,45.66,48.25,50.44,49.16,49.84,48.66,46.09,47.41,47.75,47.56,49.59,49.94,50.22,47.25,45.41,44.28,43.38,41.81,42.88,43.88,42.16,41.84,43.5,41.72,41.81,42.12,37.28,38.0,36.16,35.84,36.72,38.25,39.41,41.03,41.91,43.53,45.56,46.69,48.91,50.31,50.53,52.12,52.5,47.91,52.41,52.12,51.81,55.25,55.59,54.66,52.62,51.56,50.41,44.31,46.5,45.34,44.38,44.81,48.38,50.06,51.75,54.31,53.94,52.66,49.75,46.94,43.56,43.06,43.34,46.47,48.0,52.91,51.44,53.38,51.94,53.0,53.03,52.34,52.91,52.59,49.34,46.84,44.56,42.19,42.25,39.41,44.94,43.47,44.41,44.09,46.28,44.31,42.91,41.84,41.56,36.69,34.44,36.5,33.34,34.09,35.84,37.0,38.84,40.19,42.06,41.56,46.94,48.19,51.94,54.19,54.88,53.16,49.31,47.69,43.75,42.41,40.16,43.47,43.53,45.56,49.16,51.06,51.12,47.91,47.69,45.66,43.78,45.28,43.06,45.62,46.84,45.38,45.78,47.19,46.19,45.41,41.81,39.31,38.22,36.03,38.41,43.06,47.06,50.03,51.69,50.69,48.91,44.28,45.06,44.34,42.59,45.12,44.25,42.53,41.25,39.22,38.72,38.06,41.62,43.41,45.5,47.12,47.12,45.88,44.19,42.66,43.81,41.66,44.88,46.41,47.47,47.56,48.44,48.19,45.25,43.38,39.91,41.16,39.88,41.19,41.47,43.06,40.25,37.75,39.84,38.47,42.56,43.75,46.41,47.38,45.34,42.78,41.78,39.81,41.12,42.91,44.16,45.81,44.28,43.62,39.06,40.91,40.16,41.22,44.38,44.62,45.16,43.81,40.91,41.81,40.84,40.47,41.22,40.06,40.5,37.28,36.69,38.19,34.03,40.06,40.81,43.0,44.69,46.62,46.56,45.12,43.78,42.5,38.72,34.28,35.31,35.97,38.62,41.44,45.72,46.97,47.81,49.41,48.94,49.97,50.19,49.06,46.75,44.56,42.62,45.12,47.12,49.16,51.56,51.69,48.12,45.84,42.62,39.94,40.41,39.25,36.0,35.59,35.16,31.19,37.19,37.31,39.44,40.94,42.59,43.12,44.59,45.94,44.69,44.44,40.62,43.62,41.19,44.41,46.66,47.91,49.12,48.44,46.75,44.53,44.28,41.5,44.16,45.31,47.06,46.47,47.97,46.28,46.09,42.59,44.16,42.25,41.81,38.34,41.47,40.31,39.81,40.5,39.94,39.06,34.5,38.47,35.72,35.94,32.53,32.69,32.94,30.69,35.41,37.78,40.91,39.91,40.03,39.78,38.06,40.25,42.03,42.97,43.75,42.5,39.28,40.66,39.12,38.25,40.28,37.03,38.56,37.66,37.38,39.81,43.62,45.56,50.19,51.19,53.66,53.88,50.19,46.25,41.94,37.69,34.78,34.34,34.0,31.97,32.78,32.44,33.38,33.94,36.03,36.97,36.44,33.78,37.44,37.12,37.44,39.66,41.25,40.69,41.31,40.31,43.16,41.84,42.06,41.28,36.53,36.31,33.69,30.94,33.03,31.91,32.5,31.12,29.69,28.19,24.66,25.12,24.72,23.69,23.91,24.0,25.12,25.59,25.28,30.44,32.44,33.12,34.47,37.12,36.19,35.06,36.12,31.91,32.06,32.03,28.53,33.06,32.5,33.62,34.31,35.38,33.97,34.03,34.75,34.03,34.44,36.16,36.28,33.94,36.78,35.09,34.19,33.34,31.97,32.44,32.12,33.25,34.22,35.78,37.78,39.0,38.78,37.19,39.84,36.16,37.53,37.44,37.78,37.12,38.31,35.91,37.44,35.25,36.34,37.72,37.44,37.66,37.88,34.47,31.03,29.47,27.41,26.91,27.19,30.62,32.5,34.66,36.84,37.44,35.56,32.75,33.03,28.69,29.75,29.19,27.72,29.19,28.91,29.19,29.91,30.38,30.41,29.66,28.38,27.0,26.5,22.88,24.56,23.81,23.81,25.16,24.5,25.62,23.62,22.0,21.81,19.88,17.72,17.81,14.0,18.47,18.62,20.78,22.88,25.34,25.72,24.81,25.66,25.25,-6.28,-6.47,-4.34,-3.56,-4.97,-3.66,-3.28,-3.66,-2.69,-1.59,-2.19,-2.28,-2.16,-2.66,-4.19,-3.22,-4.22,-3.09,-2.59,-2.03,-1.72,-0.78,-1.47,-3.25,-2.47,-2.66,-0.31,1.78,4.31,7.97:negativity
5.09,4.75,5.0,4.53,5.94,4.94,5.41,4.94,5.81,5.34,4.97,6.03,5.03,4.41,3.81,2.56,3.06,3.34,5.12,7.19,7.84,8.25,8.41,6.91,5.25,4.28,3.25,2.06,0.47,0.16,0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88:5.41,4.94,5.81,5.34,4.97,6.03,5.03,4.41,3.81,2.56,3.06,3.34,5.12,7.19,7.84,8.25,8.41,6.91,5.25,4.28,3.25,2.06,0.47,0.16,0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88,-4.09,-3.78,-3.72,-3.81,-2.34,-3.0:5.03,4.41,3.81,2.56,3.06,3.34,5.12,7.19,7.84,8.25,8.41,6.91,5.25,4.28,3.25,2.06,0.47,0.16,0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88,-4.09,-3.78,-3.72,-3.81,-2.34,-3.0,-3.31,-5.06,-5.12,-6.44,-7.41,-7.72:5.12,7.19,7.84,8.25,8.41,6.91,5.25,4.28,3.25,2.06,0.47,0.16,0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88,-4.09,-3.78,-3.72,-3.81,-2.34,-3.0,-3.31,-5.06,-5.12,-6.44,-7.41,-7.72,-7.47,-8.59,-10.16,-10.47,-10.84,-10.25:5.25,4.28,3.25,2.06,0.47,0.16,0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88,-4.09,-3.78,-3.72,-3.81,-2.34,-3.0,-3.31,-5.06,-5.12,-6.44,-7.41,-7.72,-7.47,-8.59,-10.16,-10.47,-10.84,-10.25,-9.19,-7.88,-7.22,-7.16,-7.84,-9.03:0.88,0.88,2.72,4.81,5.69,7.31,7.78,7.56,8.28,9.44,10.0,11.97,12.56,13.38,13.19,11.34,10.56,10.09,10.28,10.81,11.84,13.56,13.09,14.16,14.94,15.25,15.72,15.66,14.22,12.16,8.69,5.72,3.12,1.66,0.44,0.5,0.81,0.22,0.91,1.66,1.81,1.81,3.62,3.94,4.66,6.16,7.44,7.88,9.38,10.56,10.56,10.03,9.62,7.12,4.91,4.12,3.88,4.62,6.12,7.84,9.25,10.38,9.62,8.44,6.09,1.19,-2.59,-7.34,-9.69,-11.28,-12.25,-10.09,-7.78,-4.31,0.66,4.38,8.0,9.53,9.69,7.44,6.31,3.34,2.22,1.16,0.44,-0.12,-0.38,0.72,1.78,2.53,3.12,3.53,3.09,2.94,4.06,5.5,8.53,12.97,16.06,21.0,25.0,27.31,28.62,29.06,27.41,25.06,22.62,21.88,19.53,18.19,17.91,16.78,15.16,14.22,13.25,12.62,12.22,11.62,10.88,11.12,9.97,9.72,10.19,11.12,12.94,14.28,16.28,16.88,18.81,20.28,21.31,23.22,25.22,25.91,26.84,26.72,25.72,23.28,22.59,20.28,20.31,20.28,20.94,22.06,22.88,23.56,25.59,26.22,27.09,27.72,27.41,27.06,25.34,22.81,22.31,19.19,17.66,16.56,15.78,14.91,14.16,14.5,13.56,13.69,13.22,14.16,14.25,16.31,16.66,16.22,14.97,13.38,10.06,6.94,4.69,3.12,2.06,1.91,4.91,6.44,9.56,15.0,18.16,21.41,24.72,23.94,24.16,22.44,20.69,19.78,18.16,17.84,17.44,17.06,16.5,16.22,14.16,13.69,13.28,12.19,13.19,13.75,13.81,14.22,14.84,14.88,14.44,14.66,14.84,13.69,12.66,12.5,11.06,10.09,9.69,9.03,9.97,9.94,12.06,13.78,15.12,16.53,17.41,17.94,17.5,16.56,14.94,14.0,12.19,10.78,10.56,10.06,11.0,11.22,13.12,14.81,15.84,18.34,19.38,20.0,21.31,22.06,23.44,24.22,25.0,27.25,28.62,29.5,32.22,32.59,33.44,34.19,33.25,33.0,32.34,31.03,28.88,28.59,28.31,27.31,27.62,27.5,27.56,26.94,27.0,26.25,25.69,24.53,23.31,22.5,20.97,20.03,19.0,18.69,17.81,17.69,18.59,19.0,18.28,18.81,17.75,15.62,15.44,14.5,13.12,12.91,12.38,11.62,11.66,11.0,10.59,10.66,9.03,9.31,8.75,8.72,10.09,12.19,14.66,16.62,19.31,20.94,21.91,22.66,22.75,22.0,21.94,20.41,18.41,16.69,15.78,13.44,13.31,12.62,12.5,13.44,13.88,13.81,14.91,16.12,15.81,16.34,18.16,18.47,17.47,18.81,18.19,17.66,18.12,18.56,18.59,18.44,17.94,17.12,16.41,15.31,14.72,14.31,14.44,15.25,15.97,16.06,17.12,17.56,16.91,17.44,18.12,18.16,17.81,17.56,15.34,12.62,11.25,8.97,8.94,9.06,9.97,12.31,12.31,13.66,14.06,14.25,14.59,14.06,13.81,13.0,12.31,11.09,10.53,10.62,10.44,12.06,13.12,14.75,16.16,19.03,19.66,21.44,22.78,24.53,25.75,27.25,28.38,28.09,26.91,26.03,24.31,22.75,23.16,23.28,23.44,24.16,24.56,24.28,24.19,23.94,23.97,22.31,21.62,19.31,16.84,16.28,16.53,16.66,19.88,23.53,27.09,29.28,31.16,30.66,28.19,26.41,24.03,23.56,21.84,22.25,21.88,21.41,20.62,20.88,20.25,21.03,20.16,21.03,21.72,23.0,24.97,26.44,26.22,25.56,24.06,22.22,19.69,18.12,17.75,16.53,15.56,17.66,19.06,21.78,24.19,26.72,27.56,26.81,25.34,23.62,22.78,20.94,20.66,21.44,21.81,22.09,22.19,22.44,22.16,20.94,20.59,20.31,19.81,20.12,21.44,21.06,22.19,22.78,24.28,24.94,26.94,28.66,29.0,28.91,28.41,27.62,26.31,26.84,26.75,26.91,26.38,25.69,23.91,22.03,19.66,17.38,16.0,14.0,13.53,13.5,13.94,14.72,16.44,17.41,18.94,19.56,20.12,20.5,20.56,21.44,21.69,22.78,24.38,25.16,25.31,25.66,23.94,23.12,21.19,19.31,19.94,19.03,19.59,19.62,20.62,20.53,19.97,19.25,17.56,14.69,11.34,9.81,7.5,7.31,7.31,9.16,10.72,13.06,15.12,16.12,16.72,15.75,14.75,13.97,13.56,14.25,14.84,15.94,16.03,16.0,16.06,15.91,16.16,16.53,17.34,18.78,21.16,23.41,26.59,28.69,30.06,28.94,28.06,25.75,23.19,22.44,21.91,21.66,21.88,21.28,21.22,20.5,20.09,19.12,18.5,17.12,17.41,16.41,16.81,19.38,21.59,23.03,25.56,26.03,25.53,24.16,22.38,21.25,19.94,19.44,17.91,18.16,17.72,17.53,17.56,18.0,16.91,16.97,17.12,17.31,18.22,18.44,18.62,17.41,16.62,13.75,15.19,14.44,15.97,17.28,18.34,18.56,18.12,17.06,16.53,15.94,14.66,13.5,12.94,11.94,12.12,12.19,12.22,13.72,12.44,13.12,12.62,13.31,13.56,15.44,15.31,16.72,16.97,16.81,17.78,19.31,20.75,24.09,27.47,30.78,32.97,32.91,31.56,28.31,24.75,21.81,19.5,18.31,17.62,16.53,16.75,17.03,18.34,19.25,20.72,22.62,23.12,24.66,24.66,24.34,22.91,21.88,19.66,19.03,18.28,18.06,18.0,17.38,17.56,17.88,17.62,19.56,22.03,23.16,26.03,28.0,30.09,30.91,30.81,31.03,28.28,25.94,22.59,20.59,18.12,16.72,17.0,16.03,16.31,16.34,15.66,15.75,14.66,14.12,13.78,14.59,15.47,16.28,18.62,20.31,23.41,25.34,26.94,28.25,27.91,26.28,23.12,20.94,18.31,15.69,13.75,12.94,11.56,9.78,7.5,5.41,4.75,4.16,3.94,4.06,4.25,4.72,5.56,6.69,8.81,10.12,10.53,10.81,11.09,10.38,8.75,6.91,4.94,2.38,-0.91,-1.88,-3.78,-4.81,-4.84,-4.66,-4.03,-4.44,-3.06,-1.53,-0.22,1.66,3.81,5.62,4.81,3.91,1.97,0.56,-0.88,-2.25,-3.12,-1.28,-1.34,1.81,4.31,8.56,11.31,12.56,14.25,13.0,12.03,10.59,8.59,8.78,8.75,10.28,10.44,11.81,12.06,11.72,11.28,10.72,11.06,11.28,11.72,11.62,11.69,11.41,8.72,7.78,6.44,5.06,5.75,5.81,7.94,9.75,11.69,13.69,13.62,13.16,11.84,9.31,7.94,6.38,4.91,4.97,4.94,5.12,5.91,6.94,7.5,7.75,8.41,7.91,9.06,7.53,7.47,8.25,7.97,9.44,11.31,12.38,13.44,13.56,10.78,9.44,6.22,3.53,1.41,1.38,2.69,4.56,7.81,11.5,14.47,17.25,18.5,18.81,18.44,16.72,14.25,11.78,9.31,7.75,6.09,6.84,7.75,8.69,8.88,9.25,9.56,10.09,10.44,11.62,12.44,11.97,10.66,8.84,7.56,5.38,2.56,1.75,2.06,1.62,5.12,8.84,14.5,19.09,22.31,25.0,23.25,21.0,16.31,10.47,4.66,-1.03,-5.41,-9.44,-12.69,-15.34,-19.06,-21.91,-25.31,-28.59,-29.91,-29.88,-4.09,-3.78,-3.72,-3.81,-2.34,-3.0,-3.31,-5.06,-5.12,-6.44,-7.41,-7.72,-7.47,-8.59,-10.16,-10.47,-10.84,-10.25,-9.19,-7.88,-7.22,-7.16,-7.84,-9.03,-9.66,-10.47,-10.72,-10.78,-9.97,-9.22:negativity
27.78,27.16,25.38,24.72,23.25,21.88,22.19,22.09,22.25,22.03,22.66,21.78,21.47,20.94,21.25,21.06,22.09,23.78,23.47,24.34,25.62,26.44,29.53,30.78,31.94,32.25,31.34,28.72,26.41,23.97,20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94:22.19,22.09,22.25,22.03,22.66,21.78,21.47,20.94,21.25,21.06,22.09,23.78,23.47,24.34,25.62,26.44,29.53,30.78,31.94,32.25,31.34,28.72,26.41,23.97,20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94,-25.59,-26.34,-27.72,-28.62,-30.38,-31.94:21.47,20.94,21.25,21.06,22.09,23.78,23.47,24.34,25.62,26.44,29.53,30.78,31.94,32.25,31.34,28.72,26.41,23.97,20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94,-25.59,-26.34,-27.72,-28.62,-30.38,-31.94,-32.22,-31.19,-30.94,-29.06,-27.81,-27.34:23.47,24.34,25.62,26.44,29.53,30.78,31.94,32.25,31.34,28.72,26.41,23.97,20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94,-25.59,-26.34,-27.72,-28.62,-30.38,-31.94,-32.22,-31.19,-30.94,-29.06,-27.81,-27.34,-27.72,-28.62,-30.19,-30.41,-30.09,-30.28:31.94,32.25,31.34,28.72,26.41,23.97,20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94,-25.59,-26.34,-27.72,-28.62,-30.38,-31.94,-32.22,-31.19,-30.94,-29.06,-27.81,-27.34,-27.72,-28.62,-30.19,-30.41,-30.09,-30.28,-28.66,-28.59,-26.81,-25.09,-21.94,-22.09:20.5,17.69,14.56,12.38,9.38,9.41,9.28,11.28,14.97,18.31,23.03,27.78,33.22,37.16,39.81,41.62,40.25,38.38,34.59,31.53,28.06,25.72,25.78,26.19,27.0,29.0,30.69,30.78,30.94,30.31,30.41,29.25,27.66,27.0,25.5,26.62,25.28,25.69,28.03,27.44,27.75,26.56,25.31,22.09,18.03,15.69,12.78,10.31,11.47,10.56,11.78,12.41,12.44,13.5,13.91,14.94,17.75,20.09,22.81,26.06,28.12,29.69,30.56,30.16,28.94,27.56,24.66,23.44,21.91,20.81,20.5,20.19,19.03,18.75,17.94,16.56,16.09,15.47,13.47,12.56,11.19,8.69,8.12,6.62,7.59,9.69,11.97,16.41,21.03,25.03,27.81,29.69,29.78,28.31,28.88,25.25,24.03,23.16,21.56,21.69,22.53,22.34,23.12,23.94,22.84,23.34,22.81,22.78,23.84,24.69,28.09,29.0,31.31,32.56,31.53,30.06,29.91,28.91,24.84,24.12,22.53,22.0,22.31,22.91,23.44,23.19,22.84,22.09,22.78,22.38,23.78,20.56,23.56,23.91,25.5,28.5,30.66,32.12,32.06,31.12,31.66,30.56,30.0,29.44,29.06,29.78,28.75,27.47,26.03,24.41,23.0,19.72,20.38,19.12,17.91,17.56,16.78,15.56,15.94,16.94,20.16,22.69,25.59,28.19,29.91,30.5,32.28,30.44,29.19,27.75,25.06,23.28,21.91,19.53,19.5,16.44,15.62,15.19,14.91,15.28,15.44,15.66,16.34,16.66,17.44,16.84,21.66,22.25,24.66,27.91,26.28,26.16,26.09,24.41,24.34,23.91,25.31,24.44,23.56,21.94,20.84,18.09,18.91,18.03,19.44,19.34,20.56,22.25,23.09,25.06,26.69,27.38,28.38,25.12,26.16,22.97,21.22,20.53,20.12,19.91,20.19,20.78,22.16,21.94,22.06,22.53,21.41,22.16,21.78,21.28,22.59,23.09,24.56,27.56,28.75,31.09,32.41,32.62,33.78,29.53,24.44,25.69,21.28,20.16,20.88,23.19,24.66,25.38,27.97,28.47,29.75,29.34,27.81,24.88,21.44,17.91,15.62,14.0,15.28,16.16,18.16,23.25,24.88,27.69,28.91,28.19,27.12,23.72,22.19,20.84,20.56,20.34,20.81,22.66,24.16,24.03,26.41,26.41,26.16,25.91,25.06,24.22,23.72,25.94,26.06,26.66,27.06,26.03,23.38,21.91,20.91,17.81,18.19,16.12,15.81,15.38,16.75,17.59,18.44,18.88,17.84,16.81,17.06,15.41,16.5,18.09,18.56,20.66,20.41,21.56,22.06,22.81,22.5,23.03,23.72,24.81,24.56,27.5,28.75,30.72,33.47,33.12,32.81,31.38,30.56,28.69,26.31,25.66,24.25,22.41,21.62,21.25,21.28,18.88,21.0,20.88,21.03,23.22,24.06,24.88,26.25,26.94,27.94,29.31,30.31,30.72,30.84,30.69,29.16,26.53,25.12,23.0,20.5,20.5,20.0,20.72,21.41,20.88,21.69,20.22,19.56,19.81,19.81,19.81,19.81,21.91,23.16,25.25,27.41,28.78,30.66,31.0,29.78,28.94,29.25,27.62,28.72,27.97,28.62,28.0,26.91,27.78,27.28,28.53,29.0,30.44,30.5,31.28,31.41,29.97,26.81,23.72,19.81,16.19,14.91,14.06,16.84,16.59,21.66,23.94,26.06,29.06,31.66,31.5,29.94,31.03,27.88,27.84,27.69,28.22,28.91,28.41,27.22,26.44,25.06,22.78,21.47,19.44,17.06,14.91,11.88,13.03,12.91,13.28,16.28,17.12,17.06,19.09,18.09,19.03,20.97,20.53,20.91,20.91,21.22,23.16,24.75,28.25,31.16,32.41,31.38,27.66,26.25,24.25,23.19,23.47,24.09,24.31,25.38,24.06,25.0,23.53,25.69,23.66,22.25,20.78,18.94,18.19,16.5,15.94,14.25,16.75,15.41,16.22,16.09,15.56,14.09,12.59,12.75,12.31,13.16,13.66,14.47,14.97,13.81,11.5,15.09,14.97,15.94,18.56,18.56,18.56,17.56,16.53,16.28,14.44,13.62,11.84,10.03,6.69,7.41,4.12,3.28,3.34,3.56,4.69,4.81,5.69,5.81,5.12,4.78,3.41,4.41,4.41,2.84,6.19,4.66,4.88,5.81,5.78,5.16,5.25,3.72,3.88,3.5,2.25,3.25,3.06,3.31,5.72,3.81,8.16,9.03,10.91,14.34,17.91,21.03,22.53,23.44,22.09,21.94,19.34,18.69,18.0,17.53,17.62,16.16,13.62,14.16,13.31,12.22,12.22,11.69,10.62,8.0,8.78,7.81,7.12,8.0,8.66,9.56,11.25,11.53,13.06,15.12,16.16,17.31,19.31,19.5,21.12,21.84,19.81,18.91,15.59,12.41,11.84,10.25,9.06,9.28,9.22,9.06,7.03,5.62,2.91,1.38,-0.09,-0.47,-0.34,0.12,1.72,3.69,6.94,8.34,12.0,14.12,15.12,15.5,14.06,11.69,8.94,5.97,3.81,2.53,2.53,1.81,3.62,3.91,6.16,6.72,10.12,11.16,11.53,13.88,13.5,13.62,14.66,15.5,16.78,17.69,17.78,17.59,15.53,14.44,12.03,10.06,6.91,4.5,3.31,1.34,-1.09,0.22,-1.16,-0.94,-0.03,0.88,1.84,2.44,4.31,5.28,7.06,8.16,9.94,11.62,10.75,9.97,8.69,6.0,3.81,-0.66,0.19,-1.66,-1.84,0.25,1.94,2.94,4.16,6.34,8.16,10.41,13.56,16.03,17.88,19.31,20.19,20.28,21.88,22.88,25.69,27.62,27.78,26.41,25.88,22.91,20.56,19.97,19.59,18.72,18.25,15.69,14.97,13.69,12.84,12.69,12.22,11.72,11.84,11.34,11.94,11.28,13.5,14.41,15.91,18.12,19.19,20.12,19.12,18.56,17.12,16.22,15.25,14.41,13.12,11.69,10.06,6.19,7.03,5.38,5.56,8.94,11.72,13.47,15.5,16.62,17.56,18.19,18.56,19.09,19.84,20.41,20.31,18.25,16.31,13.66,11.31,10.0,9.69,8.97,9.81,9.62,8.66,6.94,7.03,8.25,8.69,11.72,14.75,16.59,17.25,18.47,19.44,20.28,21.19,21.62,20.44,19.44,16.5,12.75,10.0,7.31,5.69,5.06,3.91,6.97,9.16,12.47,16.06,18.81,20.19,19.59,18.94,17.84,16.94,17.09,17.59,17.66,17.84,17.34,15.69,14.38,12.97,11.97,8.44,9.56,7.66,8.84,9.25,9.41,10.47,10.25,9.47,10.44,10.12,10.38,11.5,11.69,11.81,11.47,10.88,10.31,8.94,9.19,8.69,7.34,7.38,6.22,5.56,4.41,2.44,1.47,0.31,-1.31,-0.59,0.34,1.94,1.78,2.31,0.69,-1.66,-3.59,-5.75,-7.09,-6.94,-6.44,-4.28,-1.38,2.41,5.88,10.06,12.59,15.69,17.81,20.0,21.66,23.22,24.06,23.72,23.03,20.31,16.41,12.88,9.41,7.59,6.94,6.34,8.44,9.34,11.62,15.19,17.84,20.47,21.06,21.28,20.5,18.03,15.62,14.31,12.41,11.72,11.69,12.62,14.44,15.31,16.06,15.09,13.03,11.47,9.41,9.06,8.94,10.94,14.5,17.16,21.94,25.53,28.94,30.09,31.28,30.75,29.84,27.66,25.62,23.75,20.94,19.66,19.38,18.94,-25.59,-26.34,-27.72,-28.62,-30.38,-31.94,-32.22,-31.19,-30.94,-29.06,-27.81,-27.34,-27.72,-28.62,-30.19,-30.41,-30.09,-30.28,-28.66,-28.59,-26.81,-25.09,-21.94,-22.09,-19.84,-20.47,-21.56,-24.06,-27.53,-30.34:negativity
20.59,18.75,16.69,17.62,17.0,17.44,17.38,17.78,16.53,15.59,16.19,14.72,15.12,16.09,15.88,16.78,17.31,18.38,18.16,19.16,20.31,21.62,23.31,25.66,27.97,29.25,29.81,29.28,27.81,26.03,23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25:17.38,17.78,16.53,15.59,16.19,14.72,15.12,16.09,15.88,16.78,17.31,18.38,18.16,19.16,20.31,21.62,23.31,25.66,27.97,29.25,29.81,29.28,27.81,26.03,23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25,-24.19,-22.47,-21.22,-18.22,-16.34,-14.75:15.12,16.09,15.88,16.78,17.31,18.38,18.16,19.16,20.31,21.62,23.31,25.66,27.97,29.25,29.81,29.28,27.81,26.03,23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25,-24.19,-22.47,-21.22,-18.22,-16.34,-14.75,-14.0,-12.66,-12.56,-11.66,-11.22,-10.97:18.16,19.16,20.31,21.62,23.31,25.66,27.97,29.25,29.81,29.28,27.81,26.03,23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25,-24.19,-22.47,-21.22,-18.22,-16.34,-14.75,-14.0,-12.66,-12.56,-11.66,-11.22,-10.97,-10.12,-9.97,-11.09,-12.09,-13.44,-13.12:27.97,29.25,29.81,29.28,27.81,26.03,23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25,-24.19,-22.47,-21.22,-18.22,-16.34,-14.75,-14.0,-12.66,-12.56,-11.66,-11.22,-10.97,-10.12,-9.97,-11.09,-12.09,-13.44,-13.12,-13.62,-12.44,-11.09,-9.56,-7.34,-5.69:23.12,21.88,19.5,18.38,17.88,18.59,18.56,19.28,21.06,23.56,26.31,28.31,31.44,31.53,30.75,30.75,28.25,24.19,22.62,20.81,19.31,19.62,21.56,25.0,27.56,31.5,34.44,35.16,38.0,38.69,40.06,41.41,41.97,39.88,38.47,36.06,33.81,30.31,28.53,25.31,22.38,20.19,17.81,16.97,17.25,16.97,19.81,22.62,26.25,30.0,33.97,36.56,37.06,36.66,34.62,31.53,29.34,29.91,29.31,30.53,32.53,35.34,37.41,39.88,40.78,41.56,40.94,38.94,36.47,32.5,28.12,24.97,22.84,20.31,21.19,21.62,23.09,25.28,26.25,28.16,29.12,29.5,30.91,32.25,33.09,33.94,34.28,35.12,34.34,32.19,30.28,29.03,28.28,28.0,28.69,27.94,27.16,25.59,25.06,23.47,23.84,24.5,24.69,26.41,26.5,28.03,29.34,29.59,29.56,30.31,29.75,30.0,30.88,32.44,32.31,31.06,29.25,27.66,25.38,25.44,24.47,25.31,25.91,25.06,25.44,23.81,21.81,20.12,19.53,17.91,18.72,18.03,19.0,19.41,20.31,22.53,24.41,25.38,27.31,26.84,25.94,25.91,24.38,24.84,23.16,23.84,23.91,21.47,21.19,19.56,17.81,16.84,16.47,16.28,15.91,16.84,15.19,15.16,16.56,17.5,17.47,20.03,21.06,20.88,20.72,21.41,20.38,20.56,21.31,21.19,23.06,24.25,26.31,27.94,29.5,31.78,32.41,30.59,29.94,26.69,24.44,22.12,20.31,20.81,21.06,21.59,22.56,24.19,25.28,26.72,29.28,31.25,31.34,32.31,31.44,30.94,29.25,28.53,28.81,28.56,29.41,29.91,29.81,29.81,29.75,28.91,29.56,29.66,28.81,28.5,28.03,26.72,25.12,23.66,22.81,21.81,21.94,22.94,25.12,25.84,28.22,30.69,32.41,36.09,38.94,40.09,40.41,38.5,34.38,30.09,25.91,22.56,20.56,20.91,23.03,26.31,28.41,30.5,30.88,29.69,26.56,23.31,21.0,17.06,15.06,13.41,12.41,10.22,9.72,9.59,8.78,8.94,8.91,9.19,8.69,10.31,11.31,12.78,14.44,15.19,15.59,15.78,15.62,14.62,15.41,15.81,16.56,17.72,18.0,19.12,20.28,21.81,24.19,26.81,28.66,30.5,31.03,31.25,31.06,29.66,29.12,28.88,29.41,28.25,28.75,28.38,29.12,27.5,27.62,26.69,25.94,25.56,25.5,24.0,23.44,23.28,22.56,23.34,24.81,26.66,29.28,30.78,33.84,34.53,35.41,35.66,34.56,33.66,33.12,31.94,30.34,29.44,30.09,28.44,27.41,29.22,28.97,30.22,32.19,33.84,31.81,33.31,32.34,31.41,31.41,30.91,29.12,28.16,27.19,25.31,25.59,27.91,28.16,30.69,33.09,34.78,36.06,36.38,36.78,36.22,35.94,36.03,35.81,36.09,36.31,35.66,34.84,33.88,31.88,30.16,29.44,28.94,29.72,30.28,32.66,34.81,37.19,38.12,40.59,39.75,37.81,37.5,35.59,33.25,32.19,29.53,27.19,25.69,25.22,24.19,24.94,24.47,24.56,25.66,26.41,27.28,28.69,30.41,31.72,32.5,32.81,31.12,30.81,28.31,26.44,26.44,24.03,25.0,24.41,25.06,25.88,27.0,29.03,31.19,33.59,35.72,35.59,35.25,33.69,31.28,28.16,26.41,22.19,20.03,19.31,19.06,20.31,23.62,25.97,28.81,31.06,33.25,34.25,35.06,36.78,39.69,41.28,43.12,42.91,43.59,42.94,40.31,39.59,38.0,35.31,34.44,31.91,29.81,30.5,30.0,29.06,31.06,30.72,32.34,32.16,30.94,32.66,30.66,31.12,31.28,32.25,33.28,33.06,33.03,31.97,31.44,30.25,30.53,30.81,30.09,31.69,29.62,29.56,27.59,25.56,24.28,24.66,23.66,24.56,26.28,27.88,29.66,31.53,34.16,35.62,36.03,37.19,36.53,36.72,36.19,36.59,36.19,36.03,34.88,34.31,32.78,31.84,31.03,30.81,30.91,32.38,34.12,37.19,38.25,39.62,40.19,38.09,36.97,35.22,33.75,33.84,34.25,33.09,32.06,29.78,27.34,24.09,21.81,20.09,19.16,21.41,22.06,27.69,29.03,29.78,31.31,31.31,30.03,30.75,31.66,31.19,31.12,31.78,30.62,31.69,32.88,33.22,32.66,31.56,28.84,27.06,24.0,21.34,19.72,18.5,17.81,15.91,17.31,17.16,16.66,17.34,18.31,20.12,21.44,23.09,25.44,25.03,25.78,26.41,26.28,25.88,27.19,26.97,26.28,26.62,24.88,23.38,22.12,21.19,19.09,19.28,18.66,17.69,19.03,18.66,19.06,20.25,20.31,22.34,23.53,24.19,26.0,25.66,25.56,25.16,22.81,20.03,16.91,14.44,11.62,9.97,10.19,10.75,11.97,15.19,17.38,20.78,22.38,23.56,24.28,23.91,24.59,23.69,24.91,25.44,23.69,23.72,22.41,20.19,19.81,17.88,18.28,18.03,17.69,18.44,19.34,20.09,21.25,22.81,24.69,25.97,26.22,27.19,26.22,24.72,23.75,23.06,21.03,20.31,20.22,19.47,18.53,19.19,18.5,18.84,19.12,18.88,19.28,18.84,19.97,19.38,19.81,21.19,21.41,22.44,22.91,22.31,21.31,19.47,18.69,17.19,16.19,15.75,15.81,15.19,15.84,16.62,15.0,16.28,16.56,15.66,15.78,16.06,15.78,15.59,15.38,15.25,15.31,15.47,14.5,14.72,14.16,14.34,13.19,14.56,14.56,14.16,15.56,18.0,20.06,22.69,25.28,26.28,27.09,27.62,28.06,28.28,28.09,26.88,26.75,24.84,24.38,23.22,24.41,24.25,24.25,24.5,24.44,23.53,22.25,20.69,19.19,16.28,13.31,11.5,9.91,10.56,11.94,14.66,15.81,17.44,19.19,19.12,19.47,20.69,22.22,23.91,25.31,25.44,26.03,24.59,23.19,21.59,19.78,18.31,17.06,15.16,16.25,15.31,17.41,18.84,20.38,22.81,24.47,26.5,28.25,29.31,30.06,30.59,29.47,29.0,27.5,26.09,25.31,24.41,24.12,24.06,24.66,24.94,25.03,24.62,24.34,23.66,23.06,22.03,22.53,21.06,21.06,20.16,17.97,15.47,13.81,13.38,12.5,14.0,16.16,18.0,20.88,23.56,25.5,27.5,27.5,26.88,26.81,24.88,23.88,22.97,22.44,23.5,23.72,24.44,26.31,27.06,27.56,27.44,27.62,27.12,25.25,26.12,26.0,25.28,26.31,25.53,24.66,23.91,24.22,23.56,24.94,26.25,28.56,28.56,29.09,29.0,29.81,29.38,29.78,30.12,28.69,28.06,26.19,23.94,22.56,21.12,19.19,18.44,19.03,19.62,20.34,22.56,23.12,22.34,21.81,19.91,18.59,17.06,16.94,16.31,16.66,16.56,17.44,18.16,17.44,19.44,18.38,18.75,17.59,17.56,17.06,16.94,16.19,16.62,15.25,14.78,14.03,14.25,14.84,16.16,17.84,17.06,17.69,17.19,15.94,14.75,13.41,12.12,10.34,9.34,7.28,7.03,6.0,5.47,5.19,5.03,4.12,3.47,3.78,3.62,3.41,5.09,5.75,7.59,8.0,10.0,10.28,10.06,10.03,10.31,9.84,10.91,13.38,15.03,16.69,19.28,20.31,20.44,21.25,-24.19,-22.47,-21.22,-18.22,-16.34,-14.75,-14.0,-12.66,-12.56,-11.66,-11.22,-10.97,-10.12,-9.97,-11.09,-12.09,-13.44,-13.12,-13.62,-12.44,-11.09,-9.56,-7.34,-5.69,-3.28,-3.16,-2.88,-4.09,-5.34,-6.69:negativity
36.84,36.25,35.56,34.34,34.78,34.5,35.31,36.09,37.47,39.16,39.62,39.34,40.12,39.94,40.0,40.19,41.41,40.66,39.09,38.66,37.66,36.53,35.41,35.28,34.16,34.19,33.81,33.5,34.31,33.97,35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56:35.31,36.09,37.47,39.16,39.62,39.34,40.12,39.94,40.0,40.19,41.41,40.66,39.09,38.66,37.66,36.53,35.41,35.28,34.16,34.19,33.81,33.5,34.31,33.97,35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56,16.28,15.69,15.47,14.81,14.28,15.5:40.12,39.94,40.0,40.19,41.41,40.66,39.09,38.66,37.66,36.53,35.41,35.28,34.16,34.19,33.81,33.5,34.31,33.97,35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56,16.28,15.69,15.47,14.81,14.28,15.5,15.94,17.41,18.81,19.16,18.84,17.94:39.09,38.66,37.66,36.53,35.41,35.28,34.16,34.19,33.81,33.5,34.31,33.97,35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56,16.28,15.69,15.47,14.81,14.28,15.5,15.94,17.41,18.81,19.16,18.84,17.94,17.38,17.12,17.44,19.34,20.62,21.16:34.16,34.19,33.81,33.5,34.31,33.97,35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56,16.28,15.69,15.47,14.81,14.28,15.5,15.94,17.41,18.81,19.16,18.84,17.94,17.38,17.12,17.44,19.34,20.62,21.16,21.03,20.38,19.22,17.66,16.31,14.25:35.34,34.06,34.16,33.56,32.47,32.53,32.94,31.56,33.09,34.5,35.62,36.06,36.81,37.25,36.06,36.34,37.56,38.41,39.56,40.97,42.16,42.28,41.0,38.75,36.62,34.16,32.56,32.19,31.12,31.88,31.72,32.5,33.16,34.66,34.09,32.53,30.41,26.81,22.91,19.69,16.91,14.88,13.5,13.16,13.16,13.44,16.34,16.97,18.81,20.78,21.06,21.06,21.31,21.81,21.97,22.69,25.19,27.28,28.56,30.12,31.44,31.59,32.03,32.22,31.72,31.28,31.59,31.38,32.31,33.31,34.62,35.06,33.56,32.81,31.09,28.78,28.12,27.72,26.5,25.19,24.5,22.91,22.84,22.31,22.34,22.62,24.12,25.16,27.47,30.16,33.56,36.5,39.91,43.69,44.44,45.94,46.22,44.88,44.84,42.91,42.22,42.62,42.5,44.16,45.25,46.25,46.06,44.06,42.88,41.12,39.81,39.97,40.91,42.72,43.62,44.19,46.47,47.03,47.66,48.72,49.12,49.22,48.66,47.94,47.72,46.78,45.5,43.91,44.44,42.81,41.16,39.62,38.12,35.84,33.25,31.38,29.78,29.31,30.41,32.19,35.69,40.31,44.69,48.94,52.97,55.16,55.22,55.0,53.03,50.5,46.56,43.94,40.94,39.38,37.88,36.75,37.72,37.16,36.69,37.25,38.16,38.06,39.0,38.91,40.22,39.0,39.16,39.78,39.56,40.34,41.56,42.03,42.81,42.88,42.12,42.62,41.19,41.03,40.72,40.62,40.31,39.81,39.38,38.25,37.12,36.91,36.31,36.06,35.09,35.59,33.81,32.62,31.59,29.84,28.84,28.16,26.88,25.12,24.06,20.94,21.0,20.03,20.78,22.38,24.38,26.94,28.56,30.31,32.16,32.44,33.72,33.66,34.12,33.41,30.47,29.31,27.09,23.97,23.75,25.16,27.0,29.66,32.28,34.69,36.03,38.62,41.09,42.88,44.12,45.25,43.56,41.88,38.06,34.59,32.19,29.72,28.06,27.16,27.16,25.94,26.81,26.97,27.91,29.44,30.62,31.22,31.0,31.25,31.62,31.44,31.5,32.34,31.91,31.06,29.75,28.69,29.19,28.09,29.38,29.69,29.38,29.59,29.56,28.59,28.75,29.19,30.56,32.94,34.34,36.94,38.88,40.56,41.62,42.0,41.81,38.81,36.88,35.16,31.72,29.69,27.59,26.09,24.31,24.03,24.38,25.94,28.12,30.16,31.81,33.03,34.66,34.56,34.69,34.81,33.81,33.69,33.03,33.72,35.41,37.34,39.16,40.47,41.19,41.19,40.19,40.28,38.78,38.34,37.91,36.12,36.25,36.19,36.75,38.0,39.47,39.91,40.81,41.03,41.94,42.09,41.84,42.12,41.56,41.0,39.75,38.22,36.62,34.44,33.34,32.75,31.44,30.34,29.94,29.47,29.34,30.56,31.91,32.25,32.06,30.69,28.91,25.41,22.88,21.19,20.19,20.78,22.56,24.28,26.94,29.53,31.72,33.78,35.56,38.09,38.91,39.41,39.91,39.44,38.41,37.34,36.0,35.84,35.31,35.66,36.69,36.16,34.22,33.22,31.12,29.62,28.88,28.66,29.25,28.72,28.41,27.72,28.12,28.53,27.94,28.06,28.03,27.88,27.06,28.06,27.97,29.69,31.78,34.59,37.53,41.19,44.0,45.12,46.44,45.69,45.28,43.94,41.91,40.5,37.47,36.44,34.91,33.03,32.66,32.16,32.69,34.25,35.56,37.5,38.19,38.75,39.31,39.91,42.19,42.56,44.19,44.56,43.31,42.16,40.41,40.06,37.56,37.19,36.0,35.88,34.38,33.69,31.41,27.44,24.75,20.97,18.94,18.38,18.22,19.19,20.66,21.72,24.66,26.66,30.16,32.22,34.03,36.38,36.12,36.22,35.41,35.66,34.59,34.66,34.72,32.62,32.28,30.22,28.69,26.56,24.91,23.28,22.69,22.88,22.12,24.41,27.16,29.5,31.81,35.47,38.56,39.75,41.44,41.69,41.75,39.66,38.12,36.69,34.31,31.81,31.66,29.53,29.69,30.41,30.44,30.66,30.12,30.19,30.09,29.16,29.28,29.09,27.69,28.16,28.41,28.22,29.72,31.69,33.12,33.84,34.5,34.88,35.12,35.44,36.19,35.25,35.22,33.12,29.91,27.62,25.44,23.78,22.53,23.25,23.12,20.81,22.56,22.06,22.19,24.56,25.81,26.44,26.91,26.38,26.25,25.84,25.81,26.91,26.84,29.53,29.34,31.19,32.47,32.62,34.28,34.88,35.34,36.12,36.25,37.25,37.19,37.56,36.72,36.66,35.53,33.41,32.81,32.59,32.84,34.31,36.56,38.53,40.34,42.16,42.72,43.16,42.88,42.06,41.06,38.81,36.75,34.81,34.16,33.97,35.44,38.75,40.94,43.69,45.06,46.16,47.44,47.81,49.59,50.31,50.16,47.47,45.19,41.28,36.25,32.41,29.41,26.81,24.06,23.69,24.88,26.72,27.97,31.41,34.28,36.31,37.97,39.44,40.44,40.91,41.97,45.38,46.75,49.44,51.38,51.34,52.31,51.0,51.44,48.84,47.44,46.28,42.94,40.47,39.38,36.91,35.25,33.72,31.28,29.56,28.06,26.91,27.25,27.66,28.78,29.75,31.41,32.34,32.72,32.81,32.69,32.62,33.03,33.34,34.12,36.0,37.69,39.88,41.56,44.12,45.53,46.12,47.06,47.16,46.84,47.06,46.09,45.34,41.84,39.28,35.94,31.66,29.75,28.31,28.38,28.28,28.81,30.66,31.78,32.84,34.94,36.53,37.91,39.75,41.72,43.53,45.25,47.31,49.12,51.06,52.25,52.25,51.44,49.88,46.38,43.31,39.72,38.31,37.19,36.78,38.31,39.25,39.38,39.84,40.34,39.19,38.62,39.41,40.81,41.81,44.22,46.31,48.44,50.44,51.53,52.84,54.78,55.41,56.5,57.62,57.38,57.53,56.03,53.94,50.97,48.16,45.62,42.91,41.0,39.59,38.0,37.06,37.78,38.0,39.34,41.03,41.06,41.16,40.25,40.34,38.91,38.94,39.0,39.84,39.62,40.59,40.44,41.03,41.94,43.5,45.31,46.19,47.12,47.25,46.5,44.28,43.31,41.44,39.03,37.72,36.66,34.19,33.78,33.34,32.81,33.94,33.0,32.94,32.94,32.97,34.38,34.62,36.59,37.47,38.41,39.25,41.56,42.94,44.94,47.25,47.56,48.72,47.97,46.44,45.91,44.5,43.28,41.91,41.78,41.28,40.88,41.97,41.06,41.47,42.5,40.94,41.97,41.56,39.97,37.69,35.81,34.56,33.91,35.25,36.56,38.91,41.25,43.0,44.44,46.0,48.72,50.41,51.81,52.97,52.66,51.97,49.12,46.41,43.47,40.06,38.09,38.25,38.5,39.0,39.97,40.66,40.25,39.34,38.69,37.75,36.53,35.66,34.66,33.69,33.06,33.47,35.69,37.59,40.56,44.66,48.28,52.12,54.09,55.84,55.31,51.69,47.88,42.22,36.72,31.81,27.0,23.62,20.78,20.44,20.19,22.12,24.72,28.19,32.41,35.5,39.81,44.09,46.84,48.75,51.19,51.62,51.62,50.94,48.41,46.0,43.84,41.31,41.09,40.56,39.53,38.19,36.0,33.41,29.12,26.06,25.34,24.66,25.31,27.28,29.19,31.72,33.47,36.78,38.69,42.53,43.56,44.5,46.88,47.03,46.44,47.84,46.38,45.56,16.28,15.69,15.47,14.81,14.28,15.5,15.94,17.41,18.81,19.16,18.84,17.94,17.38,17.12,17.44,19.34,20.62,21.16,21.03,20.38,19.22,17.66,16.31,14.25,12.88,12.34,10.44,10.62,10.69,10.91:negativity
38.75,37.81,36.72,34.81,34.03,33.75,34.81,37.47,40.12,41.88,43.28,41.81,40.62,38.72,35.62,34.41,33.0,32.84,31.56,31.88,31.81,31.16,30.66,29.97,29.03,28.75,27.44,27.66,29.28,29.69,32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16:34.81,37.47,40.12,41.88,43.28,41.81,40.62,38.72,35.62,34.41,33.0,32.84,31.56,31.88,31.81,31.16,30.66,29.97,29.03,28.75,27.44,27.66,29.28,29.69,32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16,-5.91,-7.47,-8.91,-10.84,-12.94,-12.69:40.62,38.72,35.62,34.41,33.0,32.84,31.56,31.88,31.81,31.16,30.66,29.97,29.03,28.75,27.44,27.66,29.28,29.69,32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16,-5.91,-7.47,-8.91,-10.84,-12.94,-12.69,-12.22,-10.03,-8.41,-7.81,-7.72,-9.31:31.56,31.88,31.81,31.16,30.66,29.97,29.03,28.75,27.44,27.66,29.28,29.69,32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16,-5.91,-7.47,-8.91,-10.84,-12.94,-12.69,-12.22,-10.03,-8.41,-7.81,-7.72,-9.31,-11.66,-13.44,-15.22,-15.84,-15.44,-14.12:29.03,28.75,27.44,27.66,29.28,29.69,32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16,-5.91,-7.47,-8.91,-10.84,-12.94,-12.69,-12.22,-10.03,-8.41,-7.81,-7.72,-9.31,-11.66,-13.44,-15.22,-15.84,-15.44,-14.12,-15.56,-15.03,-15.97,-17.28,-18.59,-19.62:32.69,34.94,38.53,40.16,40.66,40.41,39.06,36.19,35.0,33.09,31.84,32.19,33.06,33.97,34.88,34.53,34.84,33.81,33.19,33.31,32.16,31.41,31.06,30.81,30.0,31.19,31.47,31.03,30.94,30.94,30.19,30.47,30.84,33.31,34.09,34.44,35.25,34.44,33.03,31.53,27.94,26.41,24.09,23.53,23.72,25.06,26.41,27.28,27.34,25.69,23.59,19.41,17.16,15.19,12.88,13.81,14.94,16.62,20.56,23.56,26.16,27.59,29.03,28.47,28.03,27.66,26.84,26.94,27.38,27.62,28.91,29.75,31.81,31.72,32.44,32.34,31.38,31.41,32.19,33.84,35.62,38.06,41.16,44.16,47.81,50.91,52.81,52.88,50.47,48.16,44.91,41.28,38.91,36.47,33.62,31.5,29.03,26.75,25.62,23.44,21.5,20.78,18.53,17.28,17.53,18.03,19.31,21.56,23.62,26.38,28.31,28.16,28.38,28.5,26.78,25.88,24.66,22.41,19.81,17.06,15.62,13.59,14.25,15.16,15.34,18.0,19.34,20.75,22.31,23.75,26.38,27.94,28.53,30.69,31.16,29.97,29.53,28.34,26.75,25.44,25.06,24.12,23.84,23.38,21.72,21.94,20.91,19.78,19.84,20.16,20.75,22.34,23.91,25.59,28.78,30.06,31.84,31.31,32.06,31.03,30.81,31.47,31.66,32.31,32.41,31.12,28.97,27.03,24.84,22.44,20.56,21.06,20.41,20.56,22.06,23.0,24.28,26.38,27.53,28.19,28.59,29.72,29.31,28.88,29.0,28.69,28.5,27.81,29.19,30.38,31.62,33.62,34.34,35.56,34.72,33.31,32.09,30.41,27.81,26.97,26.91,26.31,27.19,29.31,29.69,31.53,32.41,32.56,33.84,32.81,32.94,33.69,33.69,33.94,35.16,34.75,34.34,33.66,31.81,29.72,28.44,27.31,27.41,29.44,30.72,32.25,35.03,36.38,37.31,37.28,36.81,36.38,35.06,33.66,31.69,28.56,24.69,20.06,16.94,13.88,12.72,13.47,15.97,19.03,23.31,26.84,30.5,34.0,37.09,39.19,40.5,40.06,37.91,34.81,32.03,27.91,24.66,20.84,18.19,15.28,14.34,14.72,15.56,17.34,19.66,21.53,23.94,25.81,28.31,32.0,33.62,35.03,37.16,38.03,37.94,37.28,36.56,34.5,33.53,32.84,32.44,31.91,32.94,32.78,32.84,31.94,31.12,30.0,28.34,27.62,27.72,28.94,30.66,30.91,32.56,33.31,33.31,34.75,35.56,35.47,35.94,35.75,35.5,35.41,37.62,40.19,43.41,45.34,46.91,46.59,44.88,41.22,38.34,35.41,32.81,30.81,30.62,31.06,31.66,33.34,35.03,34.97,36.53,35.84,35.66,35.25,33.56,32.34,31.0,28.66,28.03,27.25,25.97,24.94,24.31,23.69,22.88,21.84,21.69,20.56,21.81,23.91,26.56,30.94,35.19,38.53,41.38,42.94,42.88,43.53,42.66,43.19,42.31,41.78,41.22,40.16,39.25,38.06,37.94,37.09,37.88,38.19,38.5,39.66,41.19,42.19,43.94,45.22,45.25,44.5,42.97,42.44,41.91,41.53,42.81,42.88,42.69,42.69,41.22,38.94,36.94,34.53,31.28,28.31,26.44,25.62,25.31,25.28,28.06,29.03,30.0,31.47,32.53,33.06,33.31,33.47,32.97,30.41,30.34,29.34,29.94,31.72,33.06,34.12,35.03,33.94,33.78,31.94,30.0,28.16,27.0,26.16,27.28,28.28,30.06,30.59,30.88,30.5,28.56,27.31,25.62,23.75,23.66,22.75,23.31,25.47,27.12,29.91,32.31,33.0,33.44,33.41,32.41,31.5,30.69,30.34,30.09,30.53,30.5,30.47,29.41,28.88,27.97,28.03,27.38,27.62,27.78,28.53,29.25,29.41,30.09,29.19,27.56,25.72,24.34,23.34,24.5,25.16,27.41,28.84,29.81,29.53,28.03,25.94,23.94,21.44,20.88,22.12,23.5,25.5,26.78,28.16,27.03,27.19,26.66,25.12,25.31,22.38,21.12,20.25,18.81,17.84,18.28,18.66,18.41,19.56,20.03,21.25,22.72,23.53,24.16,24.5,23.09,21.72,21.31,20.41,19.53,21.25,21.38,22.38,22.66,22.25,23.53,24.44,24.66,27.53,27.88,27.66,28.28,26.94,27.0,26.81,26.72,27.09,28.0,28.34,29.72,30.56,31.44,31.47,32.56,32.34,32.03,31.97,29.97,29.66,27.53,26.25,25.97,24.81,24.91,26.06,25.72,26.31,26.66,27.31,27.06,26.53,26.84,25.91,26.22,26.78,27.31,28.97,30.31,32.0,33.66,33.84,34.94,35.09,36.53,38.19,39.47,40.72,40.66,39.84,37.41,36.53,35.53,36.31,37.34,39.09,41.25,41.53,43.06,42.06,42.81,41.84,40.12,39.31,37.91,36.28,35.28,34.34,33.91,33.44,34.22,33.56,33.59,34.44,34.59,36.06,37.25,39.28,40.44,41.31,41.81,41.03,38.94,37.75,35.81,33.12,31.44,29.19,27.12,25.62,23.28,22.78,22.94,23.44,24.75,26.25,28.12,28.06,28.38,28.75,28.69,29.06,27.84,28.5,27.16,26.44,26.16,25.09,23.47,22.59,21.28,20.84,21.25,22.91,24.88,26.59,29.12,29.78,31.94,32.94,31.59,31.78,30.41,28.38,28.34,28.28,28.72,29.94,30.38,31.06,30.72,30.09,29.09,27.25,25.94,24.03,23.78,23.81,24.56,25.25,26.62,27.84,29.31,29.84,30.47,29.22,30.31,28.69,27.91,27.72,27.88,27.91,29.22,29.81,29.78,31.97,31.97,33.06,34.66,35.56,36.06,36.28,36.94,37.06,36.5,36.91,36.56,37.16,39.0,39.91,41.19,43.25,43.59,43.81,43.31,42.75,41.06,38.75,37.69,35.03,34.25,33.0,32.81,33.53,34.16,35.41,36.16,37.12,37.69,37.91,38.25,38.12,38.5,38.25,37.81,38.03,37.03,36.5,36.34,33.75,32.53,31.62,29.25,27.75,27.31,26.88,27.91,29.69,33.31,35.0,35.81,35.94,34.75,32.53,31.62,30.72,30.03,28.31,26.88,24.44,21.94,18.16,16.94,16.94,16.69,17.22,19.06,20.59,21.38,22.44,24.06,24.16,26.03,28.16,30.59,33.06,34.28,35.25,34.03,32.44,30.44,28.41,28.41,27.31,26.81,26.28,25.31,25.12,24.78,24.06,25.47,24.81,24.56,23.81,23.81,22.84,21.97,21.75,21.81,22.06,24.5,23.78,25.19,25.47,26.53,25.91,27.75,29.62,30.09,31.19,31.34,32.53,31.94,33.16,34.34,35.56,37.03,37.22,36.69,34.88,32.81,29.59,27.69,25.19,23.78,22.94,21.84,21.31,23.09,23.69,25.66,27.81,29.91,30.94,32.03,33.5,33.81,34.78,34.81,34.94,35.44,35.56,36.84,38.75,38.41,39.09,37.69,35.28,32.62,31.53,30.44,30.06,31.66,32.25,33.06,34.41,34.62,33.78,32.69,31.12,29.31,27.06,25.03,22.41,22.56,21.91,23.66,25.19,27.53,28.81,29.06,29.44,28.53,27.88,27.56,26.56,26.69,26.47,27.31,27.34,27.06,27.41,27.03,26.12,25.31,23.41,21.91,20.94,20.12,20.69,22.94,25.66,28.72,30.88,31.97,32.53,31.5,29.44,28.0,26.16,-5.91,-7.47,-8.91,-10.84,-12.94,-12.69,-12.22,-10.03,-8.41,-7.81,-7.72,-9.31,-11.66,-13.44,-15.22,-15.84,-15.44,-14.12,-15.56,-15.03,-15.97,-17.28,-18.59,-19.62,-20.34,-20.66,-21.44,-20.41,-18.84,-17.22:negativity
24.72,24.78,23.94,22.78,22.31,21.16,19.97,20.0,19.72,19.69,20.56,21.81,21.81,22.38,22.31,21.28,19.44,17.66,15.06,12.0,9.66,7.59,6.75,7.97,9.03,11.66,15.0,18.44,22.25,25.31,27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34:19.97,20.0,19.72,19.69,20.56,21.81,21.81,22.38,22.31,21.28,19.44,17.66,15.06,12.0,9.66,7.59,6.75,7.97,9.03,11.66,15.0,18.44,22.25,25.31,27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34,-20.66,-20.69,-19.72,-18.94,-18.31,-17.56:21.81,22.38,22.31,21.28,19.44,17.66,15.06,12.0,9.66,7.59,6.75,7.97,9.03,11.66,15.0,18.44,22.25,25.31,27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34,-20.66,-20.69,-19.72,-18.94,-18.31,-17.56,-17.03,-16.72,-15.94,-14.72,-13.78,-13.28:15.06,12.0,9.66,7.59,6.75,7.97,9.03,11.66,15.0,18.44,22.25,25.31,27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34,-20.66,-20.69,-19.72,-18.94,-18.31,-17.56,-17.03,-16.72,-15.94,-14.72,-13.78,-13.28,-12.84,-13.34,-14.19,-15.47,-16.16,-18.75:9.03,11.66,15.0,18.44,22.25,25.31,27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34,-20.66,-20.69,-19.72,-18.94,-18.31,-17.56,-17.03,-16.72,-15.94,-14.72,-13.78,-13.28,-12.84,-13.34,-14.19,-15.47,-16.16,-18.75,-21.5,-25.38,-28.75,-32.03,-34.0,-32.56:27.66,30.03,30.66,30.34,28.31,27.25,24.97,21.72,19.38,18.03,17.31,17.34,19.06,20.22,21.59,22.75,23.5,24.5,24.25,24.12,22.62,19.59,16.84,13.47,11.19,9.78,10.41,11.81,12.88,15.62,17.0,18.53,20.56,21.31,21.84,21.88,21.09,19.56,17.69,15.66,12.91,10.31,7.97,5.94,5.19,5.16,6.19,8.72,11.06,12.28,14.03,14.41,14.19,13.34,12.25,11.69,10.78,10.44,10.84,11.31,12.44,11.81,10.38,9.56,7.47,5.97,6.34,6.06,7.91,9.47,10.81,11.94,14.66,16.84,17.94,19.34,19.44,18.78,18.41,17.66,17.06,17.09,17.84,18.0,17.69,17.19,16.72,15.75,15.53,14.66,14.56,14.56,14.41,14.34,15.28,15.47,15.91,16.41,16.5,16.5,16.69,16.38,15.09,14.78,13.34,11.66,10.59,8.78,6.62,5.94,4.19,4.44,4.94,5.94,7.06,7.91,8.16,8.22,6.91,6.38,5.62,4.59,4.66,3.94,4.34,4.91,5.47,7.53,9.06,11.19,12.53,13.75,13.97,14.53,14.06,13.62,12.22,10.06,7.41,5.66,3.16,1.66,0.09,-1.22,-2.28,-2.44,-2.97,-1.44,0.66,3.44,6.5,10.31,13.0,14.19,14.94,14.34,13.25,11.41,9.16,9.19,9.12,8.75,9.03,9.16,9.03,8.44,8.22,8.88,8.84,9.03,9.62,9.47,9.34,9.91,10.66,13.84,15.5,17.78,19.72,19.25,18.38,17.62,15.91,14.09,14.5,12.66,12.75,12.69,12.12,11.53,10.84,11.31,10.41,10.34,11.59,13.03,14.56,16.16,18.09,19.56,19.47,19.41,19.31,17.81,15.97,15.56,13.62,12.38,11.56,10.5,9.0,7.88,6.09,5.53,4.09,3.84,4.75,4.59,4.12,4.72,4.41,5.78,6.19,8.38,10.22,11.09,11.44,11.41,9.53,7.22,5.12,2.19,-0.22,-2.03,-3.44,-5.03,-4.72,-3.72,-3.59,-1.75,-0.28,1.34,4.06,6.0,7.62,8.5,9.16,9.5,9.0,9.5,9.97,10.56,12.03,12.75,13.94,14.06,13.12,12.72,11.69,10.03,8.78,7.66,7.19,5.94,5.5,6.41,6.62,6.97,8.22,7.66,8.91,8.62,9.03,9.59,10.09,9.97,8.5,7.34,6.19,4.84,5.72,5.84,7.53,8.53,7.91,6.97,5.62,2.91,1.81,1.0,1.59,3.06,5.25,8.09,10.69,12.94,16.59,19.56,22.31,24.16,24.62,23.81,20.81,17.94,15.16,13.0,11.69,11.72,12.5,15.19,17.69,19.34,21.19,21.22,20.75,18.25,16.16,14.66,14.69,16.0,18.28,21.19,23.53,24.5,24.53,22.56,20.34,17.19,13.28,10.81,9.34,9.84,10.34,12.81,16.25,18.44,21.03,23.31,25.09,26.06,26.31,25.41,24.22,22.0,19.97,17.56,15.5,14.06,12.0,11.84,11.25,11.31,11.97,12.91,14.81,16.66,17.94,18.91,18.53,18.25,17.09,16.28,15.91,15.66,16.25,17.31,17.72,17.84,17.44,16.41,14.19,11.25,8.78,6.5,4.44,4.88,6.25,8.91,11.5,14.5,17.25,17.16,16.59,15.84,13.75,12.69,11.59,11.03,10.91,10.47,11.41,10.94,11.41,10.75,10.31,8.53,7.91,7.62,7.12,7.59,9.66,12.72,15.66,18.91,22.31,25.06,26.12,25.94,24.34,21.81,17.44,13.66,10.03,7.28,6.78,6.66,7.84,9.62,10.94,11.22,11.91,11.62,11.62,13.06,13.62,15.19,16.84,18.69,19.66,20.28,19.34,17.66,15.88,13.81,12.06,10.94,9.97,8.25,7.44,6.06,6.44,6.62,9.25,11.25,12.91,15.0,16.09,16.69,16.72,16.12,15.12,14.94,14.62,13.5,12.75,9.41,7.03,4.75,2.38,2.03,3.25,5.38,8.34,11.31,14.62,17.0,18.94,21.16,21.38,22.5,22.53,22.16,21.56,21.44,21.22,20.38,19.12,18.31,17.12,14.41,13.53,12.31,12.19,11.91,11.5,10.53,8.78,6.59,5.03,2.81,2.12,2.53,3.66,5.47,8.56,12.16,16.5,20.41,23.28,25.62,26.53,24.94,22.78,19.75,15.53,12.47,9.5,6.19,5.19,3.53,2.31,2.44,4.59,6.25,6.78,10.03,10.5,11.31,12.31,14.72,16.72,17.81,19.19,19.06,18.56,17.66,16.66,16.56,16.69,18.59,19.75,22.59,23.62,25.03,26.75,27.03,28.22,28.62,28.56,28.75,27.44,26.41,24.78,24.53,24.22,24.31,24.06,23.41,22.75,21.0,19.94,18.69,17.69,17.94,18.19,18.19,18.44,19.06,19.31,19.34,19.44,19.53,19.88,18.19,18.06,17.84,17.25,17.19,17.88,17.69,18.94,18.34,18.31,17.31,16.81,15.31,13.34,11.31,10.56,9.28,10.09,10.97,12.5,14.5,15.75,18.22,19.44,21.19,21.84,22.75,23.56,23.12,23.16,23.06,22.47,22.56,23.0,22.94,22.91,22.03,20.38,18.28,16.5,15.06,13.88,12.94,13.31,13.38,12.78,12.81,12.88,12.56,12.16,12.62,13.0,13.66,14.19,14.28,15.03,15.28,16.31,16.03,16.06,16.97,17.12,17.56,19.28,21.94,24.19,26.59,29.28,31.03,30.81,30.16,28.78,27.28,26.0,24.84,23.69,23.78,22.56,23.06,22.31,23.31,24.44,24.16,25.38,26.09,25.84,25.22,24.56,23.38,21.34,19.03,17.03,15.16,14.31,14.03,13.62,13.72,14.31,15.0,15.25,14.81,14.69,13.5,11.53,10.03,8.38,8.41,8.5,9.56,11.75,13.44,15.34,16.31,16.75,17.81,17.84,18.62,18.66,18.88,18.94,19.03,18.78,19.0,19.03,19.56,20.25,21.0,20.75,21.22,21.62,21.16,20.38,19.31,18.81,18.16,18.84,19.53,20.97,21.41,21.06,19.94,18.41,16.06,15.09,14.84,15.69,15.72,17.12,17.31,17.5,18.28,18.75,18.88,18.69,18.03,17.72,15.34,14.47,13.81,13.41,14.0,15.31,16.06,17.66,18.81,19.75,20.84,23.03,24.09,25.03,25.91,25.47,24.44,23.56,21.69,20.91,20.28,19.44,18.31,17.31,16.69,16.59,17.25,18.38,20.25,21.94,23.62,25.06,25.38,26.06,25.09,24.56,22.25,20.59,18.09,16.41,14.94,13.62,13.78,14.81,15.69,17.84,18.78,19.31,18.5,16.78,14.16,11.53,10.19,9.53,10.06,12.5,15.75,18.56,21.66,23.22,24.34,24.44,24.16,23.75,22.88,21.47,20.19,19.12,17.72,16.75,16.5,16.44,16.16,15.28,16.16,16.09,16.19,16.62,16.38,16.72,16.56,17.12,17.34,17.56,17.16,16.38,15.56,14.38,13.66,12.84,11.94,12.75,12.56,13.12,14.0,14.88,15.12,16.25,15.78,17.25,17.28,17.44,18.56,19.5,20.5,22.03,23.69,24.62,25.88,26.69,26.56,26.94,27.69,27.31,26.91,25.78,23.75,22.84,20.62,20.0,20.06,20.66,22.75,23.38,24.03,25.16,25.06,25.31,24.53,25.38,25.72,25.03,25.25,25.22,24.34,24.59,24.19,24.88,24.91,24.91,24.22,23.81,23.31,23.56,22.75,23.16,23.34,-20.66,-20.69,-19.72,-18.94,-18.31,-17.56,-17.03,-16.72,-15.94,-14.72,-13.78,-13.28,-12.84,-13.34,-14.19,-15.47,-16.16,-18.75,-21.5,-25.38,-28.75,-32.03,-34.0,-32.56,-31.22,-28.47,-23.78,-19.97,-16.22,-12.34:negativity
46.38,48.69,51.25,51.69,51.66,50.62,47.53,44.25,40.94,37.97,34.69,33.66,33.31,34.25,36.06,40.25,46.16,51.94,56.25,61.16,62.56,61.47,57.62,54.25,49.12,45.88,41.44,38.84,35.53,31.69,28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72:47.53,44.25,40.94,37.97,34.69,33.66,33.31,34.25,36.06,40.25,46.16,51.94,56.25,61.16,62.56,61.47,57.62,54.25,49.12,45.88,41.44,38.84,35.53,31.69,28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72,9.0,11.19,13.03,14.34,15.66,14.94:33.31,34.25,36.06,40.25,46.16,51.94,56.25,61.16,62.56,61.47,57.62,54.25,49.12,45.88,41.44,38.84,35.53,31.69,28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72,9.0,11.19,13.03,14.34,15.66,14.94,15.12,12.53,10.16,7.41,3.31,0.84:56.25,61.16,62.56,61.47,57.62,54.25,49.12,45.88,41.44,38.84,35.53,31.69,28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72,9.0,11.19,13.03,14.34,15.66,14.94,15.12,12.53,10.16,7.41,3.31,0.84,-2.28,-4.72,-6.28,-7.34,-6.25,-5.28:49.12,45.88,41.44,38.84,35.53,31.69,28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72,9.0,11.19,13.03,14.34,15.66,14.94,15.12,12.53,10.16,7.41,3.31,0.84,-2.28,-4.72,-6.28,-7.34,-6.25,-5.28,-2.31,0.81,3.88,6.62,8.69,10.25:28.75,25.78,22.62,22.62,23.53,25.91,29.62,33.91,37.75,42.41,45.94,50.03,53.06,54.56,57.06,56.44,56.5,57.28,57.38,58.56,60.41,60.5,60.41,58.84,55.62,52.31,48.97,46.5,43.56,43.34,43.59,43.72,43.25,42.16,39.75,36.19,33.25,28.91,25.59,23.03,21.62,20.81,21.53,23.28,24.69,26.81,29.84,32.31,35.72,38.41,41.56,43.16,43.69,43.25,42.19,41.53,40.12,39.12,38.69,37.94,37.69,37.69,37.44,37.41,36.22,36.06,35.62,37.12,39.03,41.06,43.53,47.47,47.47,50.78,51.62,52.12,53.5,53.69,52.66,51.5,49.97,49.38,47.41,46.72,46.78,46.12,45.94,47.53,48.5,49.94,51.81,52.5,52.72,53.41,51.28,51.25,51.0,50.22,50.62,50.19,49.5,47.47,45.78,43.0,40.94,40.0,39.19,38.66,38.81,38.69,38.59,38.47,38.78,38.97,39.47,39.69,37.47,37.16,35.34,34.12,34.47,34.78,37.25,38.97,42.47,42.97,45.56,47.12,49.0,48.56,50.31,50.47,49.72,49.44,47.47,47.28,44.81,43.03,43.56,42.91,41.97,42.75,42.72,43.16,42.62,42.84,42.56,42.34,41.44,41.34,40.56,41.06,40.19,39.38,37.19,34.72,31.56,28.56,26.34,23.53,22.47,22.69,21.69,22.91,24.69,26.47,27.34,26.81,26.09,24.0,22.16,20.12,18.91,18.72,19.69,19.88,22.5,23.84,26.41,28.09,29.66,29.94,30.19,30.0,29.19,29.44,30.97,30.5,31.84,33.12,33.81,34.09,33.28,33.47,31.72,32.41,34.34,34.53,39.41,42.44,44.5,47.56,48.06,48.16,47.91,47.47,45.97,45.72,45.06,46.44,46.41,48.12,48.94,49.0,49.47,48.66,47.34,44.78,44.25,41.66,40.34,42.16,41.66,42.34,43.81,41.38,40.78,39.72,36.78,36.53,36.75,37.03,38.19,39.44,41.47,44.31,46.59,48.19,49.97,48.88,48.44,46.03,43.91,42.16,39.47,39.19,38.81,40.31,43.25,42.31,45.81,44.03,42.84,42.03,42.06,42.5,43.88,45.69,47.34,50.06,52.06,53.31,54.06,53.19,52.41,49.88,49.69,48.22,48.0,49.06,49.81,49.91,50.12,49.34,48.5,45.97,44.56,43.0,41.88,40.56,40.38,41.53,41.16,42.69,43.34,42.94,44.53,42.62,43.19,42.69,41.78,42.75,42.34,42.81,43.03,42.09,42.88,40.53,39.66,36.91,35.66,33.31,31.56,29.06,27.72,26.31,25.28,24.12,27.62,29.03,32.28,35.19,39.16,40.81,41.69,43.5,44.0,42.75,40.59,39.34,37.62,36.66,36.28,36.75,37.59,38.06,38.0,39.25,38.91,38.91,35.81,36.72,34.56,33.0,33.12,32.88,32.53,33.53,33.81,33.62,33.66,32.62,30.88,29.22,28.44,28.66,29.47,31.19,33.0,35.19,36.31,37.16,36.62,34.28,34.0,30.69,29.09,29.69,30.19,30.66,32.22,33.41,34.38,37.06,37.06,37.34,36.94,34.31,32.16,30.31,27.97,27.47,27.91,29.0,29.66,31.75,31.91,31.81,32.5,31.38,32.0,32.5,30.81,33.28,33.91,32.97,35.81,37.0,38.06,37.0,38.84,37.34,36.69,36.78,37.12,36.88,36.88,37.34,37.56,38.12,37.47,39.06,40.78,41.47,45.28,47.19,48.75,50.09,50.03,50.19,50.47,49.0,46.12,43.81,39.16,34.88,31.59,28.19,24.38,25.03,24.59,24.62,25.94,27.91,27.5,28.88,28.88,30.38,32.38,32.66,34.06,34.31,33.69,32.75,31.28,29.88,26.84,26.0,23.03,23.06,23.25,24.41,26.06,28.56,30.66,32.66,34.31,35.06,37.88,38.66,40.69,42.06,42.88,41.53,42.59,40.75,39.03,39.19,38.03,35.38,36.44,35.0,34.69,36.28,37.62,39.03,40.44,42.19,42.06,40.91,40.97,40.72,39.31,38.75,37.94,37.28,36.12,36.19,37.59,37.69,38.19,39.12,39.56,40.06,40.94,43.06,43.56,44.06,42.53,40.28,36.66,33.78,30.75,28.28,27.94,27.44,26.12,26.69,24.75,24.16,22.56,22.91,22.72,23.69,25.41,27.56,30.06,32.25,33.31,32.12,34.16,34.28,32.81,34.88,36.56,34.91,35.56,35.94,36.09,37.69,37.56,38.25,37.56,37.62,36.94,34.16,38.06,37.69,39.09,40.06,42.09,43.5,43.44,43.31,43.72,43.12,43.72,43.72,43.62,43.56,44.28,42.28,41.28,40.41,39.97,37.56,37.31,36.84,35.69,33.84,34.56,33.62,34.69,36.31,39.69,40.78,42.31,45.44,44.53,43.88,42.69,41.19,40.44,39.62,38.53,38.06,37.19,35.78,33.41,33.06,30.44,30.03,29.38,30.31,30.44,30.56,31.72,31.16,32.16,31.53,31.75,31.47,27.47,30.34,30.69,31.28,34.5,37.25,40.19,41.56,42.69,44.28,44.91,48.16,48.25,48.44,48.5,47.66,44.53,43.12,40.38,36.09,35.44,33.19,33.5,32.91,33.88,33.12,32.66,32.34,32.94,32.84,34.53,35.91,36.5,36.62,36.56,35.03,33.75,32.78,31.75,32.19,32.53,32.66,33.31,36.81,38.75,42.0,43.38,46.31,46.78,44.44,44.31,42.0,40.0,38.16,36.06,36.44,35.69,36.31,34.31,36.59,36.66,36.81,39.81,43.62,45.0,44.94,45.84,44.41,44.66,42.59,42.5,42.44,41.28,40.03,37.41,33.31,31.94,29.97,28.84,29.66,31.69,32.91,34.44,35.44,36.0,35.59,34.06,33.31,32.69,31.44,31.12,30.16,29.81,30.69,31.66,32.12,34.25,33.22,34.0,32.06,32.28,32.84,31.72,31.78,31.88,31.66,30.88,35.06,37.03,39.62,40.72,41.03,39.47,38.19,37.53,36.5,36.66,34.72,30.84,32.59,28.94,28.84,29.94,30.53,29.69,30.38,29.12,29.34,29.66,28.38,27.31,24.44,27.03,26.97,31.31,35.53,40.53,41.31,39.72,36.97,34.16,29.91,28.41,28.06,28.88,28.12,29.09,29.44,29.94,28.97,32.69,32.19,34.81,35.94,37.16,38.31,38.06,38.12,37.81,36.34,36.62,36.25,36.94,38.97,40.53,42.5,43.44,43.47,43.66,42.72,42.12,40.94,39.56,35.66,36.34,34.22,33.72,34.62,35.62,37.34,38.53,40.56,42.0,43.91,43.81,44.06,43.16,40.19,40.03,35.12,35.69,34.25,34.34,35.56,37.53,38.22,40.44,42.09,42.78,44.56,44.91,45.75,45.03,44.06,43.28,42.75,41.5,40.16,39.91,39.25,36.59,38.59,35.88,36.06,36.06,34.59,34.03,32.78,32.19,32.62,32.19,32.28,33.09,31.94,31.91,30.78,27.38,29.25,26.78,27.12,27.19,27.78,28.88,29.41,29.44,29.41,29.94,30.09,29.66,29.47,29.19,29.09,27.88,30.03,29.66,31.41,32.84,33.66,34.0,34.12,33.69,32.56,31.75,31.53,31.16,31.19,33.06,33.78,36.19,37.16,38.56,39.78,40.12,40.69,39.34,37.75,36.0,34.34,31.78,31.56,30.84,29.69,31.06,31.94,31.59,32.03,31.31,30.81,30.0,29.19,28.91,28.88,29.09,29.72,9.0,11.19,13.03,14.34,15.66,14.94,15.12,12.53,10.16,7.41,3.31,0.84,-2.28,-4.72,-6.28,-7.34,-6.25,-5.28,-2.31,0.81,3.88,6.62,8.69,10.25,11.28,11.56,11.06,8.28,5.56,2.0:negativity
24.44,25.03,28.16,29.62,31.94,33.91,34.62,35.44,34.62,33.31,32.19,29.41,27.78,26.5,26.19,25.75,26.22,26.5,26.44,24.59,22.56,21.91,20.41,20.88,22.0,23.78,24.0,25.78,25.53,26.12,27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38:34.62,35.44,34.62,33.31,32.19,29.41,27.78,26.5,26.19,25.75,26.22,26.5,26.44,24.59,22.56,21.91,20.41,20.88,22.0,23.78,24.0,25.78,25.53,26.12,27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38,7.56,6.38,7.56,7.06,8.12,9.38:27.78,26.5,26.19,25.75,26.22,26.5,26.44,24.59,22.56,21.91,20.41,20.88,22.0,23.78,24.0,25.78,25.53,26.12,27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38,7.56,6.38,7.56,7.06,8.12,9.38,10.25,11.44,11.12,9.97,9.59,7.19:26.44,24.59,22.56,21.91,20.41,20.88,22.0,23.78,24.0,25.78,25.53,26.12,27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38,7.56,6.38,7.56,7.06,8.12,9.38,10.25,11.44,11.12,9.97,9.59,7.19,6.62,7.66,8.75,10.0,13.31,14.16:22.0,23.78,24.0,25.78,25.53,26.12,27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38,7.56,6.38,7.56,7.06,8.12,9.38,10.25,11.44,11.12,9.97,9.59,7.19,6.62,7.66,8.75,10.0,13.31,14.16,14.5,14.16,12.78,11.0,11.47,11.91:27.53,27.75,28.16,27.78,26.19,25.25,23.44,22.97,22.88,22.44,23.53,23.41,22.03,23.0,21.19,22.31,23.41,24.91,27.72,29.62,31.03,31.69,31.28,29.44,27.88,25.78,21.66,17.94,17.0,13.81,13.66,14.38,13.97,14.72,14.25,14.53,14.94,14.31,12.5,11.47,10.16,8.34,7.5,8.12,8.59,10.62,12.16,12.12,14.25,13.69,14.0,12.88,12.72,13.38,13.31,13.72,15.62,16.94,17.53,17.56,18.12,17.94,18.5,19.69,20.94,23.5,26.62,27.66,27.75,27.56,25.5,21.41,19.69,17.72,16.16,15.25,14.91,16.12,15.62,15.91,16.47,15.28,15.75,15.91,16.19,16.59,17.81,17.47,19.69,21.41,23.09,25.81,26.53,26.91,26.34,25.16,24.69,23.41,23.19,23.5,22.81,23.34,23.12,22.62,23.03,22.5,20.75,21.0,20.41,19.34,19.62,19.38,20.56,20.09,21.19,21.56,20.78,21.5,21.84,21.72,20.47,20.75,18.84,19.62,19.56,20.16,21.25,22.5,22.0,22.25,21.69,21.69,19.62,19.69,20.91,21.44,23.25,26.53,30.16,33.31,37.38,41.94,43.59,44.0,42.81,40.81,37.0,33.56,31.12,28.56,26.19,25.5,23.38,22.0,21.0,19.72,19.66,19.12,21.16,20.94,20.44,18.25,17.38,13.56,12.06,11.66,10.69,11.66,13.12,14.84,16.31,18.34,18.97,19.03,20.41,19.22,18.5,19.88,19.22,19.75,20.31,21.41,23.06,23.66,24.31,25.94,26.66,27.97,29.34,31.97,34.19,35.62,35.78,35.62,34.56,33.72,32.66,32.56,32.59,32.72,34.56,36.88,37.88,39.56,40.44,38.75,40.03,39.34,39.12,39.91,40.28,39.34,37.38,35.78,33.06,30.12,27.81,24.25,22.38,21.41,21.0,21.31,22.0,23.5,22.72,23.44,24.97,25.38,26.59,27.59,28.78,28.19,27.25,26.53,25.62,24.62,24.22,23.38,22.62,21.34,20.38,19.38,17.81,17.88,16.81,14.75,14.25,14.69,16.19,18.38,22.06,24.94,24.75,26.16,24.19,23.62,22.06,21.84,20.16,19.94,19.5,17.88,18.28,17.31,17.09,16.81,15.78,15.91,13.16,13.41,11.84,11.94,13.16,14.53,14.47,16.0,15.5,15.56,14.81,13.62,12.56,12.62,12.5,13.44,15.06,16.59,18.53,19.06,19.03,17.34,16.88,13.53,12.09,10.91,10.34,11.97,14.09,18.62,22.5,26.44,28.5,28.72,28.66,27.44,25.56,23.91,22.81,23.0,21.91,21.88,20.88,21.47,19.69,18.09,16.94,16.06,14.56,14.06,14.91,16.28,17.25,20.34,21.0,22.81,22.88,22.56,21.0,20.25,19.09,18.0,18.0,16.91,15.72,15.0,12.94,11.59,10.97,11.25,12.5,13.5,15.56,17.88,20.38,22.41,24.84,26.69,26.69,25.84,24.69,23.47,22.84,22.25,23.22,24.69,26.06,26.81,29.06,31.03,30.34,31.44,31.0,29.47,27.88,27.69,27.09,28.44,29.97,31.19,29.75,28.78,28.34,26.16,25.06,25.56,25.12,21.88,21.5,20.03,17.66,18.84,18.97,19.47,20.66,20.88,22.56,24.16,25.44,27.06,28.69,31.31,32.56,33.78,34.78,34.47,33.94,31.59,30.0,26.0,24.38,23.06,21.56,22.47,23.91,24.44,24.91,26.97,26.84,29.5,31.25,32.75,36.0,38.56,41.12,40.94,42.19,41.5,38.59,37.28,35.34,33.5,32.03,30.34,28.56,26.56,23.47,20.53,17.53,14.94,14.16,13.12,14.81,15.0,16.59,18.41,19.72,22.38,24.0,26.56,27.56,29.56,30.44,30.81,30.56,29.56,29.47,28.59,29.12,29.94,29.81,32.06,30.5,32.19,30.53,30.0,29.75,28.44,28.0,28.38,26.75,26.66,25.25,22.53,20.28,19.12,17.53,17.62,18.81,19.25,19.81,20.19,19.47,19.25,17.91,17.25,16.88,15.72,15.38,14.53,14.38,12.88,12.03,13.53,13.09,14.19,15.09,14.75,17.19,16.5,17.44,17.62,15.56,15.56,14.81,13.81,13.84,14.19,14.62,15.09,16.94,18.19,20.5,22.19,23.72,22.47,23.56,23.56,22.03,22.56,20.91,22.44,22.12,23.34,25.44,26.59,29.81,30.5,30.53,30.56,29.94,27.12,24.56,23.47,21.69,19.22,20.91,21.81,22.78,26.66,27.81,28.5,27.91,24.41,22.56,19.41,17.56,15.56,15.31,15.16,14.28,14.66,14.97,15.56,14.88,16.56,18.28,19.84,22.09,24.66,25.62,26.22,26.56,25.53,23.28,21.12,17.59,15.31,14.12,12.72,13.56,13.44,13.28,13.19,13.88,13.53,13.31,13.66,11.53,10.03,9.69,7.62,8.06,9.31,10.59,13.38,15.31,17.0,18.28,19.44,18.84,19.97,20.97,19.53,17.81,14.62,10.84,8.66,5.16,5.16,6.06,6.06,7.31,7.47,7.34,7.56,7.5,7.88,9.78,10.38,12.34,13.94,14.69,16.41,16.91,15.59,15.69,14.56,14.72,13.44,13.59,14.06,12.94,13.53,14.09,16.12,17.75,18.97,21.69,22.59,23.62,23.75,22.5,24.09,23.03,23.31,24.34,21.81,20.94,18.81,16.56,15.78,16.56,17.91,18.75,20.56,21.44,22.19,22.91,22.78,23.81,24.41,26.78,27.91,30.56,31.97,33.69,33.06,33.72,32.5,32.03,32.5,32.34,31.53,31.38,29.41,28.22,26.0,23.25,21.88,21.16,17.84,17.06,16.19,13.56,14.06,10.88,9.56,8.97,8.84,8.72,10.72,11.5,11.69,11.28,10.12,10.25,10.56,13.25,14.91,16.47,17.5,19.0,18.69,20.19,20.41,20.88,21.62,21.34,21.59,22.22,24.25,26.84,29.03,31.16,33.31,32.78,32.5,32.34,30.59,30.69,30.41,30.91,30.16,31.25,31.97,33.0,32.12,31.94,31.59,28.97,28.16,27.16,27.38,29.47,30.81,33.84,36.31,34.38,34.38,31.06,27.62,23.91,21.56,20.06,19.62,19.31,21.19,21.62,19.62,20.0,17.78,15.94,16.0,15.31,16.38,17.44,18.59,19.34,21.53,24.12,24.44,25.72,24.75,22.72,19.94,17.62,14.06,14.75,14.31,14.31,15.72,17.16,18.78,20.41,21.66,23.53,23.81,23.91,23.31,22.22,22.31,21.19,22.03,22.0,23.06,22.5,23.38,22.97,21.12,21.59,20.59,19.31,19.69,17.56,16.16,15.34,12.75,11.22,10.84,8.78,7.44,7.28,7.0,6.56,8.25,9.06,8.38,9.19,8.16,8.25,9.66,9.44,11.12,12.97,14.06,15.44,16.53,18.28,16.97,17.53,15.81,13.81,11.91,10.53,8.56,8.62,7.69,9.62,10.28,12.25,13.28,13.41,13.75,13.69,12.53,14.31,13.53,14.72,15.5,14.0,15.19,13.97,14.5,14.66,16.47,16.69,18.88,20.34,21.12,22.72,25.31,26.69,29.72,31.12,29.81,28.34,24.41,20.0,15.88,14.53,12.91,13.12,13.62,15.0,14.22,13.72,15.12,13.78,14.0,14.75,14.62,15.25,16.0,17.53,17.66,18.97,19.72,17.88,17.69,16.44,14.47,13.47,13.44,12.66,13.31,13.88,15.38,7.56,6.38,7.56,7.06,8.12,9.38,10.25,11.44,11.12,9.97,9.59,7.19,6.62,7.66,8.75,10.0,13.31,14.16,14.5,14.16,12.78,11.0,11.47,11.91,13.59,14.72,15.81,16.72,16.31,17.44:negativity
60.94,60.66,60.44,58.91,55.78,53.03,48.06,43.41,40.38,39.47,39.03,40.78,43.56,44.56,45.28,45.03,44.0,43.69,43.53,43.75,44.84,46.5,46.47,46.56,46.88,44.94,43.31,42.41,39.88,37.75,35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56:48.06,43.41,40.38,39.47,39.03,40.78,43.56,44.56,45.28,45.03,44.0,43.69,43.53,43.75,44.84,46.5,46.47,46.56,46.88,44.94,43.31,42.41,39.88,37.75,35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56,3.0,-0.75,-4.91,-8.94,-11.94,-13.09:43.56,44.56,45.28,45.03,44.0,43.69,43.53,43.75,44.84,46.5,46.47,46.56,46.88,44.94,43.31,42.41,39.88,37.75,35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56,3.0,-0.75,-4.91,-8.94,-11.94,-13.09,-12.84,-10.72,-7.56,-4.09,-0.62,1.78:43.53,43.75,44.84,46.5,46.47,46.56,46.88,44.94,43.31,42.41,39.88,37.75,35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56,3.0,-0.75,-4.91,-8.94,-11.94,-13.09,-12.84,-10.72,-7.56,-4.09,-0.62,1.78,2.62,2.62,0.53,-2.72,-5.03,-7.94:46.88,44.94,43.31,42.41,39.88,37.75,35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56,3.0,-0.75,-4.91,-8.94,-11.94,-13.09,-12.84,-10.72,-7.56,-4.09,-0.62,1.78,2.62,2.62,0.53,-2.72,-5.03,-7.94,-10.31,-11.16,-10.47,-9.97,-8.47,-7.16:35.78,33.5,32.44,32.16,31.06,33.06,35.16,37.12,41.62,43.5,45.25,47.31,47.44,46.78,45.66,44.91,43.34,42.56,41.75,40.91,40.38,37.09,36.0,33.41,30.75,29.41,28.31,27.81,29.84,30.34,33.28,36.03,38.94,42.59,44.56,46.16,47.47,45.31,42.38,37.66,31.53,24.47,18.91,13.16,8.34,6.12,4.97,6.28,7.28,10.06,10.94,12.31,12.56,11.78,9.38,8.72,7.53,6.88,7.75,9.66,11.78,13.69,16.25,19.75,21.12,23.16,23.88,25.03,24.97,25.81,27.19,28.06,30.12,32.66,33.62,34.44,34.12,33.31,30.69,30.41,29.56,29.09,29.31,30.34,31.56,34.44,35.94,39.31,41.31,42.38,44.12,44.59,45.59,46.84,48.25,49.06,49.78,49.12,45.56,43.75,39.22,34.81,32.53,30.75,31.06,31.41,33.19,34.88,36.25,37.59,37.81,37.53,36.19,36.19,35.28,35.81,36.84,36.31,36.56,35.88,35.75,35.09,34.38,34.06,32.78,31.31,29.72,29.44,30.62,32.16,34.94,38.53,40.81,42.03,42.31,41.16,39.19,36.38,35.22,35.84,35.97,36.81,38.09,38.22,35.66,34.97,33.91,32.94,32.62,33.12,35.31,36.25,37.16,39.0,39.94,40.66,41.66,41.53,42.53,41.88,41.09,41.38,39.91,38.94,38.0,36.97,34.66,33.09,31.28,28.75,28.0,27.72,28.28,29.19,30.69,32.12,32.78,33.72,35.19,35.44,35.47,35.66,33.91,33.03,31.09,31.03,32.22,34.94,38.0,42.06,43.91,45.09,45.09,42.53,39.88,37.25,35.12,32.81,32.66,32.69,33.81,34.56,35.56,34.5,34.16,33.25,31.66,31.56,33.5,35.38,37.34,39.75,41.16,39.81,38.06,35.06,32.53,28.88,24.81,20.94,18.78,18.06,19.03,22.75,27.91,33.81,40.0,44.97,50.91,54.41,58.25,59.31,61.53,62.34,62.22,62.34,60.47,58.56,54.62,49.12,43.16,37.19,32.59,28.88,28.03,27.47,29.69,31.84,33.81,36.72,38.53,39.47,39.28,39.03,39.31,38.06,37.81,37.81,37.47,35.91,34.91,32.75,31.09,29.81,27.38,26.62,25.12,25.03,26.03,26.56,28.25,29.81,29.81,31.56,30.81,31.84,33.81,34.84,38.78,40.94,41.66,43.19,43.03,43.31,44.09,44.53,45.09,45.41,43.84,42.69,41.56,40.31,41.0,41.56,42.31,42.66,42.66,41.16,40.34,39.88,38.22,38.16,38.16,37.34,37.97,38.16,37.97,37.25,36.88,35.94,34.78,34.0,33.94,35.44,37.12,38.0,41.25,43.25,44.03,45.81,46.81,47.62,48.22,47.84,48.0,46.5,45.81,44.88,43.44,43.19,43.78,42.78,42.94,43.5,42.22,42.41,41.62,40.5,39.59,39.72,38.09,38.44,38.53,38.38,38.66,38.44,38.16,37.69,37.12,35.56,36.44,35.81,36.0,37.22,36.53,37.69,37.31,37.03,36.25,34.88,35.12,34.03,33.59,34.16,33.81,35.0,35.38,34.94,35.56,34.75,35.16,35.28,37.06,38.44,39.94,41.53,40.81,40.03,38.81,37.44,37.28,36.66,38.69,39.62,40.28,41.81,42.25,42.38,43.06,42.19,42.69,41.25,40.69,39.5,38.28,36.78,38.59,40.12,43.75,48.34,53.12,56.72,56.53,56.0,52.03,47.69,44.16,39.94,37.12,36.41,36.91,38.16,40.69,43.22,45.03,45.69,46.34,45.09,45.0,44.19,45.09,45.31,46.72,47.44,46.53,46.0,44.38,41.81,40.09,37.44,36.66,36.28,37.41,39.44,40.75,43.25,44.66,45.84,46.84,47.66,45.78,42.72,40.78,37.19,36.22,36.5,38.66,41.28,44.03,46.72,47.06,47.56,46.5,46.44,46.03,45.06,46.09,46.0,45.25,45.94,45.03,45.78,46.19,46.56,46.41,47.47,47.38,46.5,46.12,44.81,43.59,42.34,41.72,40.66,39.25,38.0,35.5,34.16,33.5,32.47,32.97,32.94,32.75,33.16,31.69,31.72,32.06,31.22,31.16,30.41,31.44,30.72,30.53,31.34,29.81,29.44,28.16,26.38,25.69,25.22,24.59,24.78,25.5,25.12,27.56,30.0,30.97,34.56,36.84,38.25,38.97,39.91,38.69,38.84,39.03,39.78,39.31,39.62,39.22,38.03,37.09,35.44,35.19,35.22,35.84,36.75,38.69,41.06,42.66,44.25,44.41,44.59,43.66,42.56,42.84,41.88,41.22,41.69,41.88,43.06,43.62,43.41,43.41,39.84,38.12,36.62,35.09,34.5,33.81,35.31,36.88,36.75,37.78,38.44,38.19,38.56,39.25,40.25,42.34,44.03,45.34,46.72,47.59,48.28,48.34,48.59,47.12,45.81,43.69,41.94,39.41,39.19,38.41,38.22,37.88,38.66,39.75,40.84,41.62,43.25,43.69,45.03,46.03,48.03,49.88,51.25,53.22,52.44,50.06,46.81,44.0,39.62,37.09,36.38,35.47,35.81,36.62,37.16,38.94,40.81,42.38,45.66,45.25,46.28,45.56,45.56,45.72,47.78,49.94,50.88,52.44,52.88,51.03,47.56,45.41,41.41,38.16,36.62,35.91,37.81,40.5,45.06,50.78,54.0,58.56,62.16,61.34,62.53,61.34,58.5,56.66,54.03,51.78,49.81,47.06,45.69,43.5,41.94,40.78,39.66,39.19,39.28,38.56,38.84,38.69,39.12,39.69,41.28,41.44,42.06,42.0,41.16,40.28,39.59,39.09,39.38,39.72,40.16,41.75,41.75,41.31,41.06,40.62,39.12,37.47,35.06,33.0,31.53,29.44,28.94,29.66,30.41,31.84,34.16,35.56,38.06,39.56,41.62,43.19,45.19,45.44,48.25,49.78,49.91,51.56,50.62,49.59,47.94,46.62,45.91,45.41,45.03,43.97,43.44,41.94,40.75,39.41,38.38,37.16,36.0,35.41,34.81,34.69,35.16,35.38,35.94,35.88,36.34,35.56,36.62,35.22,35.94,35.06,35.12,36.44,36.56,38.75,40.78,41.59,41.34,41.28,39.41,37.97,37.62,36.88,37.31,37.34,35.53,35.12,34.09,32.19,32.22,32.69,33.31,35.44,37.03,38.06,39.66,40.31,42.59,43.56,45.88,47.06,47.28,46.91,44.94,42.16,40.31,37.31,35.06,32.66,31.16,28.41,27.66,27.41,26.62,26.88,28.0,28.09,29.31,30.94,32.88,34.88,38.28,41.81,44.12,45.38,47.16,47.38,47.0,46.97,45.78,45.25,42.94,41.19,39.28,37.56,36.09,36.0,35.19,35.44,36.22,36.25,37.19,36.0,37.03,36.75,37.41,39.12,40.72,42.25,44.25,45.0,46.5,47.16,47.28,46.22,46.16,43.38,40.91,39.5,38.03,36.34,36.81,34.44,33.78,31.97,30.47,29.09,29.59,29.75,32.16,33.38,34.66,37.66,40.38,42.47,45.25,46.59,46.88,45.16,43.16,39.31,35.38,32.22,29.5,27.88,28.31,29.31,30.84,33.16,36.62,39.44,42.78,46.69,48.19,50.06,51.91,50.25,48.81,45.88,42.22,38.72,34.81,32.84,31.06,29.31,29.28,28.94,30.19,30.75,32.41,34.12,36.5,37.72,39.41,40.66,42.03,42.97,42.91,43.72,42.97,40.66,39.41,37.5,35.56,3.0,-0.75,-4.91,-8.94,-11.94,-13.09,-12.84,-10.72,-7.56,-4.09,-0.62,1.78,2.62,2.62,0.53,-2.72,-5.03,-7.94,-10.31,-11.16,-10.47,-9.97,-8.47,-7.16,-5.69,-6.47,-5.62,-5.34,-6.38,-5.75:negativity
43.66,43.41,43.09,43.81,44.97,46.91,49.25,50.88,50.66,48.97,46.06,43.81,41.16,38.12,37.56,35.16,34.41,33.84,35.06,36.66,38.53,38.16,39.84,39.97,38.38,38.16,37.91,39.28,40.5,41.72,44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09:49.25,50.88,50.66,48.97,46.06,43.81,41.16,38.12,37.56,35.16,34.41,33.84,35.06,36.66,38.53,38.16,39.84,39.97,38.38,38.16,37.91,39.28,40.5,41.72,44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09,18.91,19.41,20.56,21.38,22.03,23.0:41.16,38.12,37.56,35.16,34.41,33.84,35.06,36.66,38.53,38.16,39.84,39.97,38.38,38.16,37.91,39.28,40.5,41.72,44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09,18.91,19.41,20.56,21.38,22.03,23.0,23.94,23.44,22.38,20.31,18.28,15.19:35.06,36.66,38.53,38.16,39.84,39.97,38.38,38.16,37.91,39.28,40.5,41.72,44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09,18.91,19.41,20.56,21.38,22.03,23.0,23.94,23.44,22.38,20.31,18.28,15.19,12.94,10.34,8.47,7.03,6.28,6.19:38.38,38.16,37.91,39.28,40.5,41.72,44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09,18.91,19.41,20.56,21.38,22.03,23.0,23.94,23.44,22.38,20.31,18.28,15.19,12.94,10.34,8.47,7.03,6.28,6.19,7.88,9.31,12.12,15.72,17.62,20.5:44.19,45.66,46.0,47.41,48.25,46.84,46.94,45.91,44.5,44.34,43.34,44.31,44.81,46.44,46.69,47.94,47.81,47.53,47.38,47.09,47.12,46.34,46.19,45.5,44.25,43.19,41.69,40.0,39.56,38.31,37.72,37.47,36.16,34.88,34.44,33.28,33.44,36.25,39.03,41.53,44.31,44.0,44.0,42.25,40.09,38.78,35.88,33.72,32.94,30.81,31.06,30.66,31.09,32.0,32.41,31.12,30.75,29.94,28.16,28.06,27.94,29.12,30.91,33.91,37.72,40.12,42.84,45.06,44.16,43.59,42.44,40.06,37.5,35.06,31.81,29.59,26.69,24.06,21.5,20.81,20.84,21.0,22.97,24.56,27.31,28.53,28.31,28.97,27.56,28.09,26.84,26.88,26.34,26.72,27.53,28.31,30.0,30.75,32.5,33.06,33.38,34.12,33.97,33.31,34.12,35.41,37.28,38.84,39.19,41.25,41.0,41.25,42.25,42.88,42.41,42.69,41.78,41.06,40.75,40.75,41.56,43.91,45.81,47.97,48.66,47.66,44.94,40.56,37.41,34.78,32.78,34.12,34.5,35.0,35.69,35.53,35.34,34.22,32.56,30.62,28.53,26.44,24.75,23.81,22.75,23.06,22.81,23.06,22.44,22.88,22.38,21.88,22.06,21.78,23.12,24.34,26.56,30.56,34.06,38.09,40.88,42.41,43.09,41.66,39.28,38.31,37.25,36.97,37.28,37.38,37.66,38.06,37.53,36.66,35.66,34.5,34.0,33.5,33.06,33.94,34.88,34.94,37.03,38.38,40.41,41.94,41.84,43.56,43.56,43.38,42.59,42.59,40.56,37.34,34.28,30.25,26.16,23.84,21.06,20.28,19.69,19.59,20.38,21.75,22.38,23.25,23.16,24.06,25.06,25.53,26.81,27.47,28.0,27.28,25.66,25.72,25.97,26.91,28.56,30.0,30.28,30.62,30.41,30.56,29.25,30.75,31.12,31.25,31.69,32.75,31.34,29.81,27.88,26.66,24.94,24.16,24.56,25.41,27.16,29.31,30.91,33.41,33.69,34.75,34.38,34.72,33.72,33.66,33.34,34.16,35.03,35.25,35.25,35.38,34.22,32.41,30.81,29.59,28.75,28.0,27.06,28.22,30.75,32.34,34.31,36.22,37.53,35.75,34.12,33.25,30.72,30.78,31.16,31.25,33.09,34.41,35.06,36.62,37.47,39.28,38.88,39.25,37.66,36.28,35.03,33.88,33.06,32.97,33.12,32.25,33.0,33.38,32.0,31.62,29.81,28.5,27.53,27.38,27.81,29.12,30.16,31.34,31.19,31.44,32.72,32.31,32.62,33.47,33.16,33.88,34.12,35.41,35.12,35.72,36.06,36.09,37.53,37.38,38.69,39.03,38.94,38.84,37.28,36.88,35.06,33.56,33.44,33.69,35.44,36.0,38.31,39.84,39.44,38.47,37.12,34.38,31.5,29.44,26.81,25.41,23.62,23.59,22.62,24.12,24.72,27.94,30.84,33.38,35.06,37.75,38.56,38.25,38.44,36.72,34.62,31.81,30.0,27.25,26.72,26.28,26.31,28.62,30.47,33.31,37.66,40.91,42.91,44.25,43.66,41.03,38.41,36.62,35.03,35.41,36.22,37.0,38.62,39.28,39.25,38.66,37.0,35.91,34.56,33.12,33.19,34.62,36.28,38.34,39.62,41.97,42.38,42.16,41.81,40.44,39.47,38.44,37.62,37.78,38.94,39.28,37.94,38.03,38.62,37.84,38.03,38.91,38.97,40.09,39.84,40.06,39.69,38.66,39.88,39.19,39.59,41.16,41.91,42.5,44.62,46.72,47.78,49.28,51.38,50.69,50.94,49.69,48.38,46.84,45.66,43.38,42.62,41.19,40.28,40.22,39.69,40.06,40.5,40.28,41.78,41.56,40.94,42.06,40.62,40.66,41.0,39.31,40.5,40.84,41.56,42.25,42.56,41.78,40.75,39.84,39.75,40.44,40.28,41.12,41.25,41.0,38.38,38.03,37.06,36.12,35.81,36.81,37.84,39.38,40.16,40.69,41.59,40.81,39.94,37.72,37.56,33.94,32.5,32.25,31.31,33.06,35.91,38.84,41.06,42.78,45.12,44.66,45.56,46.06,45.88,44.75,44.66,43.03,41.53,40.91,39.25,37.41,35.91,34.34,32.25,31.44,31.44,30.81,32.06,32.31,34.81,36.03,37.66,38.44,38.31,38.72,36.78,35.03,33.19,32.06,31.81,32.91,35.06,37.12,39.09,41.38,42.91,42.78,44.03,44.31,43.25,42.66,42.28,41.31,41.09,41.25,42.12,41.94,42.66,42.41,41.41,40.25,39.72,38.12,38.03,37.75,39.12,39.31,41.31,42.56,42.75,42.78,41.31,38.56,36.72,35.03,34.53,35.66,36.81,37.91,39.09,39.31,39.16,39.06,37.09,35.94,34.78,33.56,32.75,32.84,32.41,34.72,35.0,36.28,36.84,39.0,38.81,39.59,40.34,40.56,40.28,40.28,40.28,40.19,40.66,39.75,39.38,41.16,42.06,43.06,45.34,46.31,45.34,43.59,41.69,37.72,36.81,35.69,35.72,36.59,36.94,37.81,38.03,39.56,42.22,44.69,48.81,52.56,54.06,53.78,52.25,47.19,43.75,39.84,37.44,36.34,36.5,36.88,37.69,38.06,40.28,41.06,41.34,43.88,44.03,42.72,42.03,40.75,38.5,36.56,34.56,32.56,31.5,31.78,31.91,33.25,33.94,35.16,36.97,37.69,39.31,41.47,41.97,43.78,44.84,44.41,44.19,44.81,44.56,44.28,44.53,45.06,43.59,42.44,41.53,42.0,42.41,43.84,44.56,45.12,45.03,44.75,43.44,42.03,42.38,41.72,40.75,40.78,42.06,42.97,43.91,46.31,46.94,47.19,46.31,45.12,41.56,38.44,34.94,31.09,28.12,25.66,24.16,24.31,23.06,23.16,22.94,22.03,22.22,23.38,24.66,24.81,26.66,26.69,27.59,29.09,30.16,31.94,32.72,33.0,31.94,29.94,28.72,27.12,27.47,27.84,29.91,31.53,33.44,36.06,38.5,40.06,41.22,40.31,38.81,36.66,34.09,33.62,31.69,31.75,32.75,33.28,33.81,34.84,34.38,35.38,34.28,34.31,34.62,34.28,35.75,37.03,37.31,36.22,35.19,33.94,30.47,28.53,27.0,26.34,26.53,27.19,29.72,31.62,34.53,36.5,37.81,38.0,39.19,38.44,37.84,36.81,35.47,32.94,31.0,28.81,27.69,26.97,26.31,25.0,25.69,24.16,25.34,26.31,27.44,29.72,32.91,35.91,38.19,39.25,40.09,39.56,38.62,37.56,35.34,33.44,31.88,31.81,30.56,32.5,33.88,33.41,34.03,33.53,32.22,31.62,32.16,32.0,32.0,31.53,32.34,30.97,31.06,29.97,28.94,29.94,28.31,27.5,26.84,25.41,24.84,23.97,24.97,26.06,26.78,27.66,28.0,28.62,29.75,30.47,31.44,32.75,31.94,32.25,31.44,31.81,32.78,34.69,38.16,39.75,42.56,42.75,42.0,42.12,39.44,39.16,39.69,39.38,41.25,41.16,40.84,39.38,38.0,36.94,35.38,34.72,33.84,32.56,32.19,32.69,34.22,37.94,41.12,45.31,46.91,47.0,46.28,43.88,41.47,40.06,38.5,36.34,35.53,33.72,32.84,31.94,30.72,31.03,30.88,30.62,31.22,31.75,31.81,32.03,34.38,34.0,35.66,36.88,37.91,38.59,38.38,38.09,18.91,19.41,20.56,21.38,22.03,23.0,23.94,23.44,22.38,20.31,18.28,15.19,12.94,10.34,8.47,7.03,6.28,6.19,7.88,9.31,12.12,15.72,17.62,20.5,21.22,20.81,20.34,20.84,20.91,20.69:negativity
37.72,37.41,36.56,35.88,35.38,35.75,36.09,38.0,41.47,43.0,45.16,46.44,44.88,43.69,41.84,40.12,40.0,39.66,38.25,35.44,36.47,33.12,34.34,35.31,35.03,35.84,35.06,35.5,36.12,36.06,37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53:36.09,38.0,41.47,43.0,45.16,46.44,44.88,43.69,41.84,40.12,40.0,39.66,38.25,35.44,36.47,33.12,34.34,35.31,35.03,35.84,35.06,35.5,36.12,36.06,37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53,2.25,2.66,1.91,1.78,0.22,-0.84:44.88,43.69,41.84,40.12,40.0,39.66,38.25,35.44,36.47,33.12,34.34,35.31,35.03,35.84,35.06,35.5,36.12,36.06,37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53,2.25,2.66,1.91,1.78,0.22,-0.84,-1.59,-3.66,-5.56,-6.53,-7.62,-8.78:38.25,35.44,36.47,33.12,34.34,35.31,35.03,35.84,35.06,35.5,36.12,36.06,37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53,2.25,2.66,1.91,1.78,0.22,-0.84,-1.59,-3.66,-5.56,-6.53,-7.62,-8.78,-8.44,-8.84,-7.94,-7.66,-7.0,-6.22:35.03,35.84,35.06,35.5,36.12,36.06,37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53,2.25,2.66,1.91,1.78,0.22,-0.84,-1.59,-3.66,-5.56,-6.53,-7.62,-8.78,-8.44,-8.84,-7.94,-7.66,-7.0,-6.22,-6.59,-5.84,-5.81,-4.84,-5.22,-4.38:37.06,38.53,40.19,41.34,43.69,46.19,48.53,51.0,52.72,52.56,50.22,50.16,46.31,45.19,44.69,44.38,44.16,45.12,45.41,46.06,46.88,47.03,45.31,46.66,46.88,46.56,47.38,47.91,46.69,44.41,42.03,39.38,36.69,34.72,34.56,33.72,33.62,32.53,30.78,29.59,25.97,25.81,24.78,24.59,24.03,24.41,23.91,24.84,25.97,27.16,31.19,33.41,37.16,40.44,42.03,40.28,39.94,40.44,39.69,41.88,43.81,45.69,47.44,47.91,47.97,47.34,46.03,45.06,44.91,44.69,42.62,45.66,44.53,45.81,45.03,45.56,45.19,44.12,44.81,46.59,45.88,48.19,49.78,50.5,52.25,52.69,52.41,51.19,47.25,44.69,41.84,39.06,38.31,37.72,40.12,39.97,42.56,44.44,44.81,46.16,46.56,46.0,43.88,46.0,43.47,44.09,44.03,45.44,46.66,48.16,49.06,50.25,49.59,47.06,47.66,46.28,43.69,43.38,42.09,40.34,39.97,38.81,39.12,39.81,37.06,41.06,40.91,42.0,45.62,46.78,48.5,48.94,48.66,48.19,45.81,46.97,45.78,44.09,44.34,42.47,40.81,37.69,36.06,33.78,32.88,33.12,32.12,35.06,36.03,37.0,40.25,41.09,42.31,41.91,41.28,41.53,41.56,39.34,41.66,39.72,40.78,40.59,40.66,37.06,37.91,34.84,33.94,34.38,34.84,36.03,36.81,38.09,39.34,39.88,40.75,40.72,40.47,41.34,41.0,41.28,41.19,41.44,41.16,41.0,42.62,43.41,44.59,44.81,47.59,47.5,50.81,51.81,52.22,51.88,49.94,47.03,43.56,40.31,37.12,33.69,30.12,30.47,30.09,30.59,32.19,33.47,34.34,35.88,37.28,39.56,41.03,40.59,44.16,42.28,40.62,39.62,38.44,35.06,33.81,31.16,32.5,31.84,31.16,31.22,31.28,30.0,30.56,33.0,35.62,38.5,42.91,45.31,44.09,46.97,44.94,43.31,42.66,42.72,41.97,42.19,41.81,40.16,42.09,38.66,37.59,36.56,34.31,31.66,30.25,28.81,28.34,27.69,29.06,29.5,33.34,34.31,35.69,37.62,36.31,35.72,35.41,35.0,36.0,38.41,41.19,42.31,41.78,45.84,45.88,47.03,47.66,49.0,48.75,47.22,45.91,43.78,41.56,39.53,38.62,35.62,37.53,37.62,38.91,41.34,42.12,42.38,38.38,38.91,36.03,35.88,35.97,36.41,36.69,36.75,36.19,36.06,36.53,35.72,36.03,37.06,36.84,37.94,40.38,42.19,45.16,47.41,48.72,50.44,50.56,50.06,46.59,44.78,41.97,38.25,36.19,36.25,35.75,35.75,38.03,39.53,41.31,41.91,41.78,42.62,42.72,42.0,42.88,42.31,41.34,37.5,38.91,35.91,36.03,35.12,35.06,33.28,31.81,31.78,29.16,30.16,30.22,31.5,31.84,32.84,31.75,34.59,34.56,36.75,38.66,41.94,43.88,44.78,46.56,47.47,47.25,43.75,44.81,42.19,41.44,42.0,41.94,42.44,43.28,43.19,43.31,44.91,42.78,44.06,43.78,43.12,43.38,43.88,43.47,43.94,42.72,43.06,39.72,40.41,39.81,38.44,40.5,42.09,42.84,43.56,43.56,42.84,42.28,39.28,38.06,35.5,33.72,32.75,31.94,30.59,30.31,29.75,28.75,26.38,28.41,28.34,27.12,29.81,31.28,32.12,33.41,35.19,36.22,35.12,37.47,37.88,38.84,40.53,41.62,41.25,40.53,38.34,35.66,36.94,36.31,38.91,42.03,44.62,46.94,47.88,47.19,47.12,45.47,43.09,41.19,40.22,39.66,39.72,40.69,41.59,41.25,40.69,41.12,39.84,38.78,39.91,38.69,39.66,41.06,41.16,42.03,40.78,41.62,41.0,39.25,37.62,36.84,35.03,34.19,33.56,32.31,32.28,30.72,31.31,31.31,32.31,33.62,35.91,38.16,44.84,49.56,56.47,60.75,63.34,63.78,60.94,57.25,50.84,48.34,45.19,40.91,41.72,42.12,42.5,44.25,45.41,46.56,47.0,46.81,43.06,42.81,40.31,40.16,41.31,42.5,44.28,46.44,47.78,49.0,52.16,53.06,52.44,50.19,51.03,47.72,46.72,47.44,46.0,47.0,46.41,46.56,46.91,46.34,47.97,49.16,49.16,50.28,50.75,50.72,50.69,47.81,48.16,46.56,45.06,44.66,44.19,42.19,40.69,39.03,37.28,36.5,34.56,33.16,35.28,34.97,38.62,42.12,45.44,49.03,51.09,51.94,51.69,52.62,52.09,51.44,51.16,49.16,46.06,43.25,39.09,36.72,33.62,31.69,26.56,28.03,25.59,25.44,25.44,25.94,25.69,24.03,24.62,24.78,25.47,26.78,26.72,30.97,31.94,34.12,36.72,37.56,38.03,37.22,34.56,31.41,26.88,26.19,24.41,25.28,27.69,28.66,30.28,30.75,30.94,31.34,32.78,33.5,33.16,36.91,35.44,36.06,36.72,36.5,36.19,35.62,35.56,34.97,35.66,35.34,35.69,33.31,34.56,33.91,33.81,34.56,34.41,34.22,32.75,31.06,26.5,26.44,24.28,23.19,24.03,25.62,25.53,26.66,28.5,28.53,29.78,30.25,29.41,31.56,30.5,31.19,32.34,32.78,31.91,29.56,27.31,23.44,21.03,20.84,17.12,20.03,20.19,21.69,23.94,26.84,29.5,32.59,35.91,39.94,41.28,45.53,46.19,46.94,46.66,44.19,39.0,33.41,29.81,28.06,26.69,28.91,32.69,34.91,36.31,37.69,37.22,33.91,35.53,34.22,33.38,33.56,33.69,33.38,32.56,33.0,32.44,31.78,31.06,29.94,27.06,28.75,27.81,27.44,29.53,29.5,28.97,28.75,28.16,27.5,27.28,26.31,24.75,19.34,19.12,13.69,10.44,6.81,4.03,0.84,-1.62,-4.56,-5.34,-8.0,-10.44,-12.44,-12.72,-13.66,-11.09,-7.41,-2.88,2.31,5.94,7.88,8.0,6.56,6.31,4.81,3.56,2.69,2.69,-1.66,-0.22,-1.75,-1.38,0.16,3.16,5.44,6.66,9.19,10.94,12.5,15.31,17.34,18.62,18.78,18.19,13.91,13.44,10.62,8.41,9.28,9.94,10.25,10.97,11.62,12.06,12.84,13.53,14.03,14.59,15.97,13.91,17.62,16.81,18.41,21.31,23.06,24.06,25.84,27.75,29.94,31.53,35.03,38.0,38.06,43.56,45.03,46.34,47.38,47.75,45.34,42.38,39.56,37.28,35.12,32.0,32.09,30.19,29.47,27.69,30.03,30.81,31.28,32.75,32.69,32.41,30.62,29.12,27.12,23.81,23.78,21.41,21.22,21.31,20.44,20.16,19.75,20.53,21.22,23.16,24.38,26.56,27.19,26.34,27.28,28.06,27.28,27.94,27.56,27.22,26.69,24.94,24.56,24.03,22.84,23.03,22.53,22.78,24.0,23.94,22.56,20.34,18.0,16.03,15.44,15.44,16.06,16.66,15.97,16.62,15.59,14.94,15.09,15.16,16.28,16.0,15.91,16.28,16.19,16.56,17.69,18.88,18.34,22.5,22.62,25.69,27.34,29.84,31.28,31.25,32.19,31.94,31.44,31.06,28.84,26.03,23.69,18.25,19.28,18.09,19.06,22.47,24.91,26.81,29.16,29.31,30.06,30.62,29.94,30.5,29.66,28.66,27.94,26.47,23.19,24.38,23.44,23.53,2.25,2.66,1.91,1.78,0.22,-0.84,-1.59,-3.66,-5.56,-6.53,-7.62,-8.78,-8.44,-8.84,-7.94,-7.66,-7.0,-6.22,-6.59,-5.84,-5.81,-4.84,-5.22,-4.38,-3.34,-4.91,-3.53,-3.78,-3.41,-2.94:negativity
42.0,40.41,37.62,36.41,35.88,35.81,35.53,37.38,38.56,37.94,39.91,40.81,40.34,41.28,41.94,42.16,43.06,43.41,44.88,45.94,46.12,43.88,45.12,43.12,42.0,41.5,42.38,42.12,42.56,42.94,43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69:35.53,37.38,38.56,37.94,39.91,40.81,40.34,41.28,41.94,42.16,43.06,43.41,44.88,45.94,46.12,43.88,45.12,43.12,42.0,41.5,42.38,42.12,42.56,42.94,43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69,4.44,2.22,0.72,-0.31,-0.06,0.66:40.34,41.28,41.94,42.16,43.06,43.41,44.88,45.94,46.12,43.88,45.12,43.12,42.0,41.5,42.38,42.12,42.56,42.94,43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69,4.44,2.22,0.72,-0.31,-0.06,0.66,2.78,4.28,6.97,8.72,9.81,11.28:44.88,45.94,46.12,43.88,45.12,43.12,42.0,41.5,42.38,42.12,42.56,42.94,43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69,4.44,2.22,0.72,-0.31,-0.06,0.66,2.78,4.28,6.97,8.72,9.81,11.28,11.16,10.12,11.16,10.66,11.34,13.0:42.0,41.5,42.38,42.12,42.56,42.94,43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69,4.44,2.22,0.72,-0.31,-0.06,0.66,2.78,4.28,6.97,8.72,9.81,11.28,11.16,10.12,11.16,10.66,11.34,13.0,12.78,13.59,12.31,10.94,8.53,7.41:43.66,44.25,45.5,45.25,45.44,44.88,44.44,44.47,41.0,42.59,40.94,39.69,40.69,41.19,41.94,42.97,42.56,43.28,44.5,44.12,44.97,44.12,43.31,40.59,36.34,37.12,34.62,35.16,35.0,35.38,33.84,31.81,31.38,30.81,27.75,28.59,27.69,25.78,27.59,28.62,27.81,29.62,29.88,30.25,32.47,32.81,33.97,34.44,33.44,29.53,30.97,29.69,31.0,33.0,35.97,37.84,39.44,40.44,41.09,39.34,38.38,36.53,34.38,33.72,31.75,28.88,31.06,29.66,32.62,34.69,35.72,37.5,37.12,37.34,37.12,38.56,37.88,41.28,41.53,42.81,44.56,45.72,45.91,46.56,47.16,44.56,41.69,40.03,37.59,37.41,37.66,39.62,39.97,40.5,40.81,39.47,39.22,37.91,37.5,35.59,35.19,32.53,31.53,31.78,32.38,35.25,40.0,44.56,48.28,51.19,55.97,58.53,61.03,63.25,61.16,62.41,58.53,57.19,55.41,53.38,50.59,49.62,47.53,47.12,47.19,46.78,46.56,44.69,41.62,43.62,41.59,42.47,43.41,43.31,44.19,43.66,42.59,42.47,41.94,40.31,39.84,38.91,37.94,40.78,39.72,41.78,42.91,43.5,44.12,44.12,44.09,43.19,40.78,39.84,38.31,37.78,38.81,39.72,42.0,40.16,44.16,44.72,46.28,47.62,49.19,50.16,50.72,50.19,50.5,49.31,46.97,45.06,42.56,39.41,38.0,36.19,31.5,33.56,32.19,33.5,35.88,39.03,41.5,43.84,45.78,46.75,48.0,48.16,47.84,47.34,46.0,44.31,43.66,39.0,39.78,38.97,38.41,39.06,40.0,40.09,38.66,37.44,36.81,36.31,36.44,35.56,36.16,34.03,35.41,34.62,35.56,35.91,38.56,38.88,39.44,40.28,40.66,40.28,39.88,39.75,39.78,39.47,38.22,40.06,40.19,41.84,41.44,43.09,43.16,42.0,42.19,42.06,43.5,45.28,45.78,47.69,48.69,49.16,48.12,45.25,46.81,44.59,45.28,46.38,47.31,46.31,45.44,44.16,42.06,38.66,35.81,31.81,29.66,28.78,28.03,30.38,32.69,34.0,36.09,36.62,37.0,37.38,36.69,35.34,35.78,34.28,33.56,35.81,36.12,38.97,41.03,43.03,43.78,43.38,43.41,42.88,41.94,42.03,42.06,41.47,40.72,43.78,43.66,45.5,48.75,52.19,53.62,54.81,55.66,54.22,53.12,52.03,51.94,50.72,54.31,53.34,53.91,53.12,51.5,49.38,45.09,43.19,40.94,41.03,42.34,44.94,47.66,50.31,50.25,51.75,51.62,51.84,52.91,54.53,57.0,57.62,57.97,59.41,60.16,60.88,60.16,62.22,61.38,61.91,63.06,63.31,62.81,63.47,62.91,62.38,63.12,61.81,59.09,60.53,58.56,58.94,58.91,59.44,58.19,56.97,55.72,53.81,53.09,52.88,51.34,52.25,50.06,46.22,47.88,45.19,44.69,45.94,47.34,46.84,47.09,47.97,46.06,46.88,46.41,43.19,45.34,44.78,43.66,45.22,45.56,45.03,43.78,43.66,42.41,42.06,44.09,44.84,45.62,47.06,47.16,47.06,44.19,45.91,43.41,42.31,40.72,41.28,40.12,40.38,41.0,43.72,46.56,48.38,51.44,50.16,51.94,50.78,47.31,46.78,43.88,42.31,40.84,39.25,38.44,38.03,33.66,35.81,33.75,33.53,33.91,34.81,35.12,35.0,34.84,36.03,35.91,37.12,35.84,39.38,40.16,41.19,43.12,44.28,44.69,44.31,43.84,42.16,39.16,39.12,37.12,36.88,37.56,39.56,40.97,43.16,44.94,49.53,52.56,55.94,58.69,57.12,60.06,59.94,60.56,60.72,61.69,60.97,60.5,59.59,58.38,56.84,55.53,55.19,54.25,55.03,56.47,57.78,57.84,54.91,57.69,56.16,55.69,57.56,58.81,58.81,59.06,57.91,55.94,55.06,53.31,51.59,48.0,50.31,48.66,49.0,49.19,50.22,50.31,49.81,50.66,50.5,47.5,50.28,49.81,49.09,51.16,53.28,54.31,55.84,56.31,57.81,57.31,55.03,56.66,53.88,54.72,55.06,55.0,55.31,55.03,54.91,54.44,54.62,54.81,54.0,52.81,53.25,51.94,52.25,53.88,55.38,56.94,59.72,63.03,63.94,68.19,67.31,67.41,66.12,63.72,60.12,57.31,54.16,51.5,49.06,44.62,44.59,43.25,43.28,45.97,49.22,52.16,55.25,57.44,59.91,59.5,60.56,60.66,59.06,59.06,58.56,57.31,55.25,52.09,49.72,47.22,45.69,43.62,41.94,40.75,42.88,43.16,46.12,49.34,50.78,52.41,53.94,54.91,56.5,58.12,56.44,58.81,57.12,55.22,52.88,50.5,46.06,42.0,39.94,39.19,37.62,41.28,42.53,44.44,46.66,48.09,48.41,48.0,46.41,45.66,45.81,43.25,47.12,45.81,46.59,47.56,46.06,45.53,44.16,43.5,44.03,44.28,45.25,45.38,44.5,44.03,39.0,38.91,36.12,33.62,32.91,34.16,33.56,36.44,38.53,37.97,43.72,44.12,45.62,47.31,46.62,45.06,42.34,38.53,35.97,34.28,33.41,33.09,33.81,34.88,37.38,39.19,41.88,44.12,44.34,43.5,43.16,40.81,40.5,40.75,39.66,38.44,40.69,38.56,37.69,37.78,36.69,36.28,35.56,36.12,36.38,37.56,37.0,38.69,38.34,38.69,39.34,40.75,40.88,39.31,39.44,38.69,38.91,35.78,38.94,37.94,37.5,37.94,38.31,37.12,35.84,35.09,31.97,32.97,33.12,33.31,35.78,38.06,39.59,40.75,41.12,40.12,42.25,41.72,40.66,43.16,43.84,45.47,45.94,45.12,45.41,45.0,44.34,42.25,46.28,46.28,47.66,50.31,51.91,52.31,52.16,52.34,51.09,51.19,51.03,50.84,50.88,53.59,53.69,55.44,57.25,57.56,57.69,56.81,56.34,54.28,52.09,47.78,48.97,47.78,47.72,49.28,50.75,51.0,50.81,51.16,50.06,49.25,46.78,48.81,46.97,47.62,46.62,47.72,47.28,45.38,46.22,46.72,47.69,49.75,48.59,47.5,47.03,43.06,41.81,40.81,39.75,39.91,38.22,37.28,36.16,35.16,31.56,32.88,32.03,32.78,34.31,36.12,37.53,39.0,38.25,37.78,37.47,36.66,35.94,35.5,34.31,30.94,33.06,31.62,31.69,34.12,34.75,34.41,34.78,34.94,34.31,35.53,36.56,38.69,40.5,41.41,43.31,42.84,44.59,46.41,46.03,47.75,48.62,47.66,46.34,43.84,42.03,39.41,38.31,35.78,35.41,35.91,35.88,36.88,38.5,39.5,40.5,41.53,41.69,42.53,42.44,42.41,42.12,42.06,41.06,41.81,41.78,41.0,40.88,41.69,40.41,38.38,35.19,32.81,30.03,27.19,25.72,25.25,24.72,23.81,25.66,26.03,28.59,30.84,31.84,32.31,33.16,32.38,32.34,34.0,34.56,34.69,34.56,34.5,31.94,34.81,34.5,36.66,37.41,39.09,37.59,36.69,34.97,33.62,33.06,32.84,33.66,32.0,36.44,35.5,36.31,37.72,36.72,35.81,33.16,31.22,29.12,27.25,25.62,24.44,24.94,24.19,23.81,22.56,23.41,23.06,22.88,24.62,26.41,27.66,28.56,29.56,30.12,30.94,30.69,4.44,2.22,0.72,-0.31,-0.06,0.66,2.78,4.28,6.97,8.72,9.81,11.28,11.16,10.12,11.16,10.66,11.34,13.0,12.78,13.59,12.31,10.94,8.53,7.41,6.16,4.81,6.03,6.44,7.16,7.62:negativity
26.28,27.81,28.62,28.75,27.47,25.16,21.16,16.81,14.12,10.47,8.59,7.47,6.69,7.31,9.06,11.09,12.12,12.81,12.0,11.38,9.84,9.0,8.5,8.5,8.09,9.06,9.41,11.44,12.69,15.06,17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06:21.16,16.81,14.12,10.47,8.59,7.47,6.69,7.31,9.06,11.09,12.12,12.81,12.0,11.38,9.84,9.0,8.5,8.5,8.09,9.06,9.41,11.44,12.69,15.06,17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06,-6.94,-5.44,-5.44,-5.81,-6.66,-9.09:6.69,7.31,9.06,11.09,12.12,12.81,12.0,11.38,9.84,9.0,8.5,8.5,8.09,9.06,9.41,11.44,12.69,15.06,17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06,-6.94,-5.44,-5.44,-5.81,-6.66,-9.09,-12.34,-15.59,-20.09,-23.59,-26.34,-29.16:12.0,11.38,9.84,9.0,8.5,8.5,8.09,9.06,9.41,11.44,12.69,15.06,17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06,-6.94,-5.44,-5.44,-5.81,-6.66,-9.09,-12.34,-15.59,-20.09,-23.59,-26.34,-29.16,-30.72,-31.12,-30.34,-28.84,-26.84,-26.09:8.09,9.06,9.41,11.44,12.69,15.06,17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06,-6.94,-5.44,-5.44,-5.81,-6.66,-9.09,-12.34,-15.59,-20.09,-23.59,-26.34,-29.16,-30.72,-31.12,-30.34,-28.84,-26.84,-26.09,-25.75,-25.66,-26.16,-26.34,-26.47,-25.25:17.72,20.97,22.44,25.56,26.66,27.81,27.06,27.31,24.56,22.03,19.16,16.25,13.12,11.62,11.62,11.41,13.0,16.22,17.66,20.94,23.31,26.25,26.91,28.34,28.94,29.53,30.09,28.81,27.53,24.25,20.69,17.5,14.84,11.91,10.81,8.97,8.28,7.44,6.22,5.62,4.59,4.19,3.62,3.59,4.28,3.75,2.19,1.75,-0.12,-1.19,-0.88,1.41,4.22,8.19,12.16,15.94,17.19,17.75,17.0,15.34,12.94,10.94,10.94,10.31,10.72,11.12,10.91,12.31,13.41,12.5,13.41,11.84,11.25,10.53,10.62,12.53,14.56,17.66,19.81,21.72,23.62,25.41,27.25,28.44,26.94,26.31,23.44,20.31,15.91,14.12,11.69,8.91,7.19,6.56,5.53,5.5,6.5,9.41,13.09,17.84,22.69,26.16,30.12,32.5,32.38,31.91,30.44,28.0,26.16,23.09,20.53,18.56,15.03,13.41,10.69,9.56,9.5,9.19,10.91,12.81,15.25,18.88,21.16,23.72,26.91,26.06,26.94,25.5,25.03,24.41,22.75,21.47,20.62,19.84,20.28,21.19,23.44,25.31,26.38,27.91,27.75,27.31,27.31,27.0,26.25,26.38,26.34,25.88,25.44,24.16,23.5,21.72,19.56,18.44,17.25,15.66,16.53,16.56,16.75,18.94,20.69,20.66,21.75,22.69,22.5,21.44,21.34,21.16,20.94,21.31,23.22,23.5,24.0,23.97,22.19,22.75,19.25,17.19,15.56,12.69,11.19,8.66,8.41,6.5,6.69,7.31,8.53,11.69,15.28,18.19,20.56,22.0,22.97,23.47,23.97,24.09,25.0,23.16,21.72,20.0,17.31,16.5,15.41,15.12,15.41,15.44,15.25,15.09,16.75,17.34,20.0,22.5,24.88,24.19,24.0,23.31,21.38,19.94,18.44,17.91,16.91,17.59,17.81,18.81,20.25,21.78,24.41,25.09,26.5,27.38,28.03,27.81,27.03,28.44,27.03,26.59,27.56,27.72,28.16,29.28,30.22,29.03,29.09,28.66,27.62,25.31,24.31,23.19,20.81,20.28,19.66,19.59,18.56,17.44,17.38,16.31,16.72,18.56,19.38,21.16,22.03,22.62,21.56,22.28,20.78,21.06,21.41,22.41,21.66,21.06,21.16,22.16,21.81,23.97,26.06,27.94,28.5,29.34,29.62,29.0,27.78,25.53,24.69,23.38,23.56,24.25,25.56,28.06,30.28,32.19,34.12,34.88,34.69,33.94,32.09,31.31,29.62,29.78,30.69,31.34,32.16,32.12,31.72,29.88,30.56,29.34,29.84,31.47,33.19,33.81,36.41,37.69,40.38,42.53,42.59,43.41,42.44,41.47,40.09,39.59,38.06,38.03,36.56,36.25,35.69,34.19,32.66,30.75,29.12,27.75,22.91,21.38,19.31,17.03,18.66,20.56,23.31,26.16,28.56,31.09,31.84,32.59,34.06,34.72,35.62,35.28,36.12,35.62,34.25,34.09,31.31,30.5,29.62,28.06,27.78,28.53,27.53,28.28,27.06,27.78,28.44,29.03,30.25,30.41,29.94,29.31,27.34,26.97,25.66,24.56,23.47,23.09,23.12,24.31,24.66,26.28,26.53,26.72,26.19,25.91,25.75,26.03,26.69,28.69,28.75,29.62,29.25,28.28,27.88,27.81,27.75,28.38,29.12,30.59,30.31,31.31,31.72,31.19,28.94,28.56,26.69,25.0,24.31,23.56,23.16,23.94,25.19,25.47,26.97,28.09,28.12,26.62,25.44,23.75,20.75,20.09,19.53,19.5,20.91,22.16,21.91,23.66,23.09,23.16,22.25,22.31,23.12,23.19,24.31,26.53,27.84,29.28,30.34,29.91,29.28,28.62,27.47,26.81,27.31,28.16,29.66,32.41,34.06,36.16,35.5,35.47,32.56,29.88,26.34,24.28,21.5,22.0,21.62,22.75,25.75,26.88,30.41,31.41,33.12,34.84,35.06,36.38,37.81,38.78,39.91,39.19,39.53,37.78,36.25,34.0,31.94,29.53,27.62,25.5,23.38,23.62,22.53,23.44,24.97,25.94,29.41,31.5,34.03,36.41,36.97,37.66,37.34,37.75,37.0,38.25,37.78,38.72,40.25,41.66,43.06,43.22,43.47,41.56,38.19,35.81,33.94,33.19,33.69,34.34,36.22,37.25,37.41,37.81,37.25,37.41,37.19,37.44,38.31,38.94,38.5,37.66,35.75,32.97,31.28,28.88,26.28,25.94,24.38,23.59,23.47,23.91,25.06,28.44,30.62,33.03,36.5,37.62,38.81,39.97,39.97,39.31,40.16,38.5,37.69,36.78,35.56,34.53,33.31,32.91,33.0,32.28,32.41,32.69,34.06,34.91,36.56,38.22,40.56,43.06,45.34,48.56,50.31,52.28,53.66,53.22,51.97,50.41,47.97,45.0,42.56,39.81,37.69,35.78,33.03,32.88,31.38,30.84,30.72,32.06,34.53,36.31,39.0,42.62,43.47,45.25,45.41,43.81,43.19,42.75,41.72,42.88,43.06,43.62,43.38,43.03,42.56,42.09,41.62,40.75,41.56,41.56,41.81,42.0,42.72,42.09,42.0,40.47,40.94,39.78,40.12,40.44,39.94,39.44,38.19,37.34,37.06,37.56,38.38,39.38,39.94,39.75,39.44,39.03,38.97,39.47,41.0,40.69,39.41,38.53,36.06,35.16,33.69,33.5,34.62,35.25,37.03,38.53,39.75,40.16,40.44,38.91,38.12,35.78,33.69,31.66,29.78,29.19,28.34,28.19,28.12,28.78,29.97,31.56,32.75,34.5,36.03,35.69,34.78,33.16,30.38,27.72,25.53,23.38,22.06,20.94,19.53,18.47,17.16,16.31,15.78,14.88,15.31,15.03,14.78,15.62,15.84,17.16,18.06,19.56,21.03,21.19,20.41,19.19,16.28,14.16,12.56,12.22,12.34,13.12,13.12,13.06,12.41,12.31,11.88,11.84,11.41,11.44,10.84,10.66,11.62,12.88,15.03,17.75,18.31,19.19,16.44,15.41,13.62,12.44,11.91,13.34,13.53,14.88,14.06,13.16,13.62,12.81,11.38,10.81,11.12,10.19,10.22,12.34,15.84,18.78,22.81,26.25,28.88,28.59,28.41,26.56,23.66,22.03,20.16,19.16,19.47,19.03,18.44,18.88,17.16,15.66,15.47,14.69,15.41,16.72,17.41,18.91,19.88,22.12,23.5,25.03,26.94,27.03,26.41,25.31,22.16,20.31,17.69,16.09,16.06,16.62,17.66,19.62,22.53,24.12,25.44,25.53,25.31,24.69,24.28,23.88,25.28,26.19,28.09,30.34,31.53,32.94,34.06,32.84,32.66,30.62,28.88,27.69,25.72,25.16,24.44,23.97,22.56,22.38,21.09,20.91,19.78,19.66,20.41,21.84,22.44,24.69,25.56,27.06,27.62,27.69,28.16,28.41,27.66,28.0,27.19,26.94,26.41,25.5,24.62,24.12,23.03,22.44,22.53,23.41,24.5,26.25,27.25,29.31,30.31,31.19,30.44,29.25,29.34,27.06,26.41,26.03,25.81,26.12,26.88,27.84,28.38,29.34,29.0,27.69,28.31,25.78,26.44,25.84,25.66,26.41,25.81,25.41,25.06,24.12,24.41,24.47,24.31,24.84,25.19,25.56,25.62,26.59,27.62,29.09,30.78,32.19,32.09,32.16,31.31,32.22,33.84,34.34,35.56,34.56,32.88,30.44,28.06,25.91,25.12,25.06,-6.94,-5.44,-5.44,-5.81,-6.66,-9.09,-12.34,-15.59,-20.09,-23.59,-26.34,-29.16,-30.72,-31.12,-30.34,-28.84,-26.84,-26.09,-25.75,-25.66,-26.16,-26.34,-26.47,-25.25,-24.47,-23.66,-21.81,-21.16,-19.16,-16.44:negativity
38.41,35.69,34.56,32.75,31.72,31.03,30.12,29.66,29.34,27.81,27.0,25.0,23.97,21.78,20.31,19.66,17.38,17.31,18.19,18.31,20.06,21.47,22.78,23.59,24.31,24.91,25.19,25.5,26.5,26.75,26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28:30.12,29.66,29.34,27.81,27.0,25.0,23.97,21.78,20.31,19.66,17.38,17.31,18.19,18.31,20.06,21.47,22.78,23.59,24.31,24.91,25.19,25.5,26.5,26.75,26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28,-24.53,-23.09,-22.66,-22.69,-23.59,-24.34:23.97,21.78,20.31,19.66,17.38,17.31,18.19,18.31,20.06,21.47,22.78,23.59,24.31,24.91,25.19,25.5,26.5,26.75,26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28,-24.53,-23.09,-22.66,-22.69,-23.59,-24.34,-25.09,-25.31,-25.75,-25.81,-25.09,-25.69:18.19,18.31,20.06,21.47,22.78,23.59,24.31,24.91,25.19,25.5,26.5,26.75,26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28,-24.53,-23.09,-22.66,-22.69,-23.59,-24.34,-25.09,-25.31,-25.75,-25.81,-25.09,-25.69,-25.62,-27.41,-29.44,-30.94,-33.47,-34.03:24.31,24.91,25.19,25.5,26.5,26.75,26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28,-24.53,-23.09,-22.66,-22.69,-23.59,-24.34,-25.09,-25.31,-25.75,-25.81,-25.09,-25.69,-25.62,-27.41,-29.44,-30.94,-33.47,-34.03,-34.31,-33.69,-33.22,-33.66,-33.5,-33.75:26.81,27.31,26.56,25.62,26.03,26.34,26.62,26.5,27.97,26.53,25.81,24.53,24.19,24.56,25.41,27.97,28.94,32.5,33.84,34.97,35.47,35.66,33.72,32.84,30.91,29.28,27.84,26.19,25.66,26.0,24.22,22.16,23.69,22.66,23.31,23.56,23.41,23.12,21.22,21.19,19.62,19.69,19.16,17.34,16.5,15.03,14.66,14.06,14.72,16.75,18.5,19.31,21.38,24.12,25.56,27.38,29.03,29.91,29.59,28.72,29.19,26.41,25.91,25.06,23.94,25.34,25.28,26.0,27.09,26.44,26.06,25.72,25.78,24.25,23.06,22.44,20.06,19.16,19.06,17.97,19.31,21.09,21.16,22.03,22.69,23.81,25.25,26.34,28.0,29.28,30.88,31.66,31.44,32.84,32.28,32.16,33.53,34.34,34.44,35.31,35.22,34.22,34.5,34.44,34.91,36.0,36.62,38.38,38.03,38.69,37.66,36.41,35.28,33.16,33.03,32.62,32.25,32.09,30.66,30.47,29.75,30.25,31.31,30.91,31.84,30.84,29.38,27.53,25.81,25.16,23.22,21.84,21.47,19.22,18.38,17.56,17.47,19.25,20.25,23.78,24.31,27.22,29.53,30.91,32.91,35.16,37.31,38.25,38.03,38.16,35.56,35.03,34.12,32.91,34.16,35.0,35.5,35.72,34.28,34.12,32.44,29.59,28.72,26.25,25.88,25.16,25.41,28.5,29.5,31.59,33.62,34.94,36.59,38.72,39.12,40.81,42.0,42.75,43.44,43.94,44.19,44.47,44.81,44.12,43.41,42.84,41.31,40.25,38.62,35.78,32.94,31.47,29.31,29.19,29.53,30.06,32.12,30.75,32.12,30.94,30.31,29.41,28.0,27.66,27.72,26.91,25.75,25.59,24.56,24.81,25.81,27.38,29.44,32.19,33.38,36.5,35.69,36.62,36.31,34.91,33.56,33.19,30.31,30.66,30.12,29.16,29.81,30.06,29.47,28.66,27.66,26.69,25.75,25.81,26.16,26.84,27.31,26.12,28.12,29.31,28.75,29.62,30.44,29.53,29.56,30.06,32.66,33.56,35.69,38.06,37.06,36.0,34.53,32.06,30.16,30.62,30.25,30.53,30.88,30.88,31.44,31.06,31.56,32.34,33.06,34.22,35.09,35.16,34.91,34.25,31.47,31.88,29.69,29.19,29.59,29.91,28.91,29.56,29.47,29.28,28.25,27.81,25.97,25.0,23.88,23.91,23.62,24.25,26.16,28.59,31.59,33.31,37.06,38.59,39.72,41.19,40.5,42.34,42.09,42.62,42.72,42.72,42.56,43.34,42.59,42.03,41.97,40.03,38.84,37.44,38.25,38.53,39.31,41.59,41.97,41.62,41.91,40.84,38.28,37.25,35.66,33.94,32.16,32.12,32.59,31.31,33.09,33.12,32.91,33.56,33.06,32.81,32.25,31.94,29.16,28.44,26.81,26.25,26.66,28.22,29.38,29.44,30.75,30.19,29.84,30.19,30.38,30.53,30.19,30.41,29.91,31.09,31.25,31.56,31.38,31.25,30.19,29.0,27.47,26.69,25.03,25.19,25.56,26.28,26.06,25.06,26.09,25.59,25.59,26.91,27.53,28.5,28.78,29.62,28.5,28.72,28.53,27.53,28.34,28.84,31.03,31.0,32.69,32.91,33.31,33.75,34.31,35.16,36.94,35.94,36.31,35.16,32.09,31.53,29.0,26.0,24.84,24.22,23.5,21.38,21.69,20.66,19.53,19.31,19.56,19.03,19.59,17.69,17.47,17.81,18.72,20.56,22.16,23.5,23.97,24.0,24.84,25.53,27.25,29.09,31.28,31.47,31.78,32.44,31.59,31.53,31.16,30.03,29.75,27.31,25.88,24.5,23.25,23.84,25.59,26.81,29.56,30.06,29.62,30.19,28.75,27.03,26.0,25.41,25.25,24.94,25.78,26.66,25.91,25.56,24.22,23.59,23.0,23.0,24.34,23.78,24.0,23.69,23.56,24.0,23.31,23.31,23.06,24.41,25.31,26.06,27.12,27.84,28.5,26.72,26.03,24.41,23.41,20.78,19.81,19.62,18.34,18.09,16.91,16.06,16.47,15.34,16.78,18.84,20.91,22.06,23.25,23.84,21.91,21.56,20.88,19.34,18.88,17.91,17.62,17.19,17.94,19.62,21.69,25.28,27.34,29.06,29.91,30.84,28.97,28.59,27.91,28.03,29.25,29.94,31.12,32.09,32.31,30.91,28.56,28.41,27.53,25.5,24.44,23.84,24.06,24.5,24.19,25.66,25.53,24.91,26.0,25.97,27.53,29.03,31.38,33.16,37.0,39.66,41.38,43.03,43.19,41.44,39.78,37.25,34.78,33.22,32.62,32.66,33.41,34.91,37.03,37.94,37.69,38.19,37.5,36.69,36.19,36.31,36.69,36.19,37.22,37.66,37.41,37.03,37.91,37.12,35.5,34.03,33.81,32.69,31.31,33.97,36.0,38.0,40.34,41.53,42.59,40.0,39.44,39.53,37.53,38.38,38.44,38.5,39.28,38.16,38.5,38.81,37.12,36.97,34.72,33.12,32.16,31.12,31.59,33.38,35.31,37.03,37.41,37.34,37.44,37.03,37.31,35.94,35.94,33.25,31.03,29.75,28.62,27.97,28.44,29.38,27.66,27.97,27.59,27.97,28.16,29.44,29.59,29.47,27.56,26.66,25.41,24.81,23.25,23.5,23.62,22.44,22.75,22.91,20.81,20.12,18.44,16.69,15.94,15.03,14.06,15.31,14.22,14.03,14.78,13.94,14.22,14.59,14.16,15.56,16.72,17.47,20.03,21.31,22.81,22.78,23.84,24.53,26.38,28.41,29.59,32.25,33.47,34.41,36.38,37.47,38.19,39.22,37.84,38.03,36.44,37.53,37.81,37.56,37.38,35.16,32.84,29.53,26.66,24.41,23.16,22.41,23.06,23.62,25.62,27.19,28.28,30.06,29.47,30.53,29.53,29.09,29.31,29.38,27.91,27.31,26.38,25.44,27.0,27.59,28.56,31.16,32.69,34.94,35.22,37.69,38.12,39.53,41.66,40.75,41.84,40.19,39.75,38.34,36.28,37.06,37.16,36.84,38.03,39.19,39.31,38.44,38.19,36.41,34.38,34.41,32.97,32.34,32.09,31.91,30.78,30.97,31.16,31.75,31.84,32.69,31.25,31.28,31.62,29.66,30.44,30.78,30.84,33.62,37.22,39.84,43.28,44.44,43.84,42.03,39.03,36.47,34.19,32.16,31.09,30.22,30.44,30.62,30.38,31.41,30.59,30.34,29.31,27.5,28.41,26.53,25.12,24.19,22.94,21.97,22.03,21.78,22.06,22.22,22.56,23.91,25.5,26.66,28.69,30.34,31.0,31.78,32.75,33.88,34.59,36.88,35.75,35.84,33.72,32.69,30.84,29.88,29.25,29.31,29.69,29.28,29.41,30.12,30.06,29.81,31.19,31.31,31.28,32.09,32.06,32.41,32.12,32.41,32.34,31.59,32.31,32.34,33.31,34.69,34.06,35.41,35.78,35.5,37.12,37.28,38.16,37.97,36.19,34.69,31.72,29.69,28.5,26.78,26.41,26.06,26.97,27.69,28.78,28.94,29.81,30.38,28.94,28.41,27.5,25.5,23.56,23.78,24.41,24.59,24.75,25.28,25.31,25.44,25.81,26.91,26.31,27.91,28.12,27.47,25.91,24.0,23.81,21.53,21.75,22.06,22.06,22.31,23.34,22.12,22.47,23.44,23.72,23.97,24.44,26.5,27.16,26.94,28.91,27.28,-24.53,-23.09,-22.66,-22.69,-23.59,-24.34,-25.09,-25.31,-25.75,-25.81,-25.09,-25.69,-25.62,-27.41,-29.44,-30.94,-33.47,-34.03,-34.31,-33.69,-33.22,-33.66,-33.5,-33.75,-33.41,-32.5,-32.28,-31.28,-30.38,-30.56:negativity
46.5,46.59,45.84,44.22,45.28,43.44,43.56,42.12,39.66,38.0,36.75,37.0,39.97,43.94,50.38,57.62,63.12,68.62,71.38,73.91,72.81,70.53,66.06,60.75,55.19,49.69,46.75,43.34,43.81,43.19,45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34:43.56,42.12,39.66,38.0,36.75,37.0,39.97,43.94,50.38,57.62,63.12,68.62,71.38,73.91,72.81,70.53,66.06,60.75,55.19,49.69,46.75,43.34,43.81,43.19,45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34,19.16,18.62,17.12,14.66,15.44,13.69:39.97,43.94,50.38,57.62,63.12,68.62,71.38,73.91,72.81,70.53,66.06,60.75,55.19,49.69,46.75,43.34,43.81,43.19,45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34,19.16,18.62,17.12,14.66,15.44,13.69,12.94,11.41,11.31,9.66,9.81,10.62:71.38,73.91,72.81,70.53,66.06,60.75,55.19,49.69,46.75,43.34,43.81,43.19,45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34,19.16,18.62,17.12,14.66,15.44,13.69,12.94,11.41,11.31,9.66,9.81,10.62,12.5,12.41,13.84,13.97,13.78,16.44:55.19,49.69,46.75,43.34,43.81,43.19,45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34,19.16,18.62,17.12,14.66,15.44,13.69,12.94,11.41,11.31,9.66,9.81,10.62,12.5,12.41,13.84,13.97,13.78,16.44,17.41,21.0,24.41,25.06,24.84,21.88:45.88,46.5,47.62,48.75,47.5,45.56,42.91,39.12,37.0,34.91,35.75,38.66,42.16,46.88,49.0,51.19,52.44,50.78,48.81,49.59,49.06,46.75,47.34,47.19,44.5,43.25,41.0,39.72,38.5,38.81,38.16,36.72,37.72,38.22,37.78,40.38,42.16,42.56,43.0,41.84,40.12,35.75,34.06,31.72,29.53,29.94,31.31,31.44,32.69,31.44,30.38,30.5,30.34,30.44,32.16,34.62,35.31,38.22,41.94,42.38,45.16,47.69,49.19,51.16,52.16,53.31,52.16,50.69,49.19,47.62,45.75,44.44,46.06,44.34,44.31,44.84,42.78,41.81,39.06,36.59,35.28,32.72,32.19,31.62,33.16,35.34,37.22,36.44,35.81,34.5,32.81,31.66,32.12,33.25,33.53,32.16,32.62,32.19,30.84,32.53,33.31,35.25,36.88,39.47,38.66,40.69,42.16,44.5,46.25,50.5,53.44,55.44,56.66,58.56,57.12,56.44,55.47,51.16,51.12,50.62,48.88,50.38,48.94,48.59,48.53,47.47,47.72,49.72,47.94,48.56,50.16,50.28,49.84,51.66,52.66,52.56,52.66,51.88,47.94,47.34,44.41,42.09,42.06,42.31,41.94,42.5,44.25,43.91,45.94,47.0,46.56,48.69,49.91,51.97,52.75,55.66,56.0,55.47,53.5,52.69,50.81,49.53,48.66,48.62,49.03,48.06,48.69,48.72,47.31,47.25,45.56,44.34,41.91,43.78,43.81,43.94,47.31,48.81,50.06,51.0,51.56,50.16,50.19,48.59,46.94,47.06,45.44,45.16,45.25,45.41,45.91,45.5,45.69,46.09,44.44,45.0,45.19,46.03,46.81,49.81,51.59,55.12,56.44,57.12,58.5,57.28,55.72,53.56,51.5,47.38,45.81,44.88,44.19,46.5,44.66,45.62,43.94,43.12,43.12,43.84,45.59,48.0,54.0,57.06,60.78,62.41,62.38,60.53,57.47,53.88,50.28,45.75,43.69,40.81,40.34,39.56,38.28,37.75,36.38,35.31,33.78,34.53,34.44,34.69,34.56,35.66,34.25,34.19,36.19,34.56,37.69,38.5,40.0,38.12,40.53,38.78,36.5,37.59,36.06,35.16,36.5,35.69,38.78,41.0,42.78,46.53,48.31,48.03,48.75,47.81,46.16,48.69,48.72,50.28,52.38,51.03,49.16,47.47,43.44,41.91,39.19,39.56,39.12,38.59,41.5,43.38,44.62,45.25,47.03,45.0,45.44,43.75,45.62,47.88,49.25,50.53,52.31,50.19,50.25,49.0,48.19,47.34,48.28,47.75,47.81,48.06,45.84,43.69,42.84,39.53,37.81,38.09,39.19,38.03,41.12,42.88,45.0,46.16,48.12,49.69,48.81,50.16,48.09,48.47,47.06,45.88,46.88,46.19,46.19,44.03,43.5,41.72,40.44,40.53,41.88,42.34,44.41,45.31,48.53,50.56,52.91,55.22,56.25,55.28,54.53,51.5,49.56,46.16,44.5,40.84,41.0,40.31,41.56,43.03,44.66,44.56,44.41,44.75,43.78,43.31,42.75,43.75,42.12,39.94,38.75,37.66,36.22,35.44,37.28,38.97,39.81,42.44,45.06,46.53,47.62,46.25,46.31,43.5,42.44,44.09,43.88,44.31,45.66,45.81,46.28,45.66,48.56,48.34,50.81,50.38,51.47,51.66,49.06,49.59,48.09,48.5,48.03,48.09,48.34,47.03,47.19,45.56,47.06,47.31,46.88,48.06,48.53,49.0,51.16,52.22,53.47,53.53,52.25,52.0,50.41,49.84,48.94,48.06,47.66,45.66,45.88,44.31,42.69,44.81,42.03,42.91,41.56,39.84,38.56,37.28,37.03,37.44,39.91,40.53,42.78,43.25,43.78,42.31,40.72,39.34,36.97,35.19,33.41,32.72,32.09,31.97,32.22,32.84,34.38,35.91,38.53,42.94,47.12,50.31,52.81,54.53,53.81,52.69,51.0,49.72,47.16,46.56,43.66,42.38,42.0,41.53,43.47,43.47,42.12,42.16,40.66,40.34,41.12,41.47,43.12,42.94,41.06,41.41,40.66,41.81,42.0,42.06,43.12,43.0,42.94,43.75,45.88,45.12,45.25,44.75,43.12,42.75,42.59,41.0,41.97,43.44,42.44,45.56,48.03,50.41,51.0,51.44,50.91,51.06,49.62,50.25,52.47,54.06,54.28,55.69,55.88,56.34,55.03,53.88,52.97,51.06,49.31,49.38,46.19,45.38,44.25,43.31,43.0,42.22,41.75,41.78,41.12,41.97,43.12,44.78,45.41,45.81,45.06,43.44,42.75,41.69,41.81,40.06,40.5,38.88,37.19,35.81,35.44,32.03,32.28,31.97,29.62,32.12,32.75,32.94,34.16,35.38,35.88,36.16,38.0,36.91,37.28,34.44,33.06,31.91,29.72,29.75,30.31,30.19,32.81,34.66,37.0,40.22,44.25,46.94,46.88,49.25,50.25,48.12,49.81,48.81,47.78,45.44,40.94,39.56,36.84,34.38,33.25,32.47,33.38,31.5,34.09,34.84,34.88,34.91,33.25,32.75,31.69,32.19,32.0,34.5,34.12,36.97,38.72,41.31,43.19,44.69,44.75,44.69,42.97,39.97,39.81,37.94,37.0,38.66,37.56,38.88,39.5,40.19,39.25,36.78,38.22,36.91,36.56,37.69,40.31,41.12,42.81,44.28,44.22,44.44,43.12,43.53,42.34,40.34,39.91,38.66,38.06,37.56,38.47,37.12,39.03,39.25,39.72,39.28,40.69,40.25,40.41,41.62,44.19,45.88,46.25,47.19,46.19,44.5,40.69,40.31,38.03,36.34,31.62,36.5,32.19,33.12,33.19,31.94,30.81,30.06,29.59,30.69,32.84,34.25,35.69,38.75,37.59,39.06,37.25,37.31,34.78,34.0,32.19,32.22,30.09,30.0,31.34,30.41,30.41,30.28,29.31,29.12,29.56,30.66,33.0,35.12,39.72,40.94,44.38,45.06,43.69,41.31,37.84,31.94,26.78,24.72,21.91,20.38,23.12,21.94,21.69,22.0,20.16,18.34,20.0,17.84,19.28,20.38,22.41,22.78,26.0,26.66,27.47,29.41,29.69,28.72,29.94,28.12,27.31,27.66,26.75,27.09,26.75,28.19,28.84,30.72,31.62,32.44,32.97,32.56,33.38,34.84,37.0,38.62,39.66,41.28,42.28,40.56,41.81,41.03,40.06,39.19,39.31,39.44,38.91,40.81,42.28,42.88,43.19,46.12,46.28,46.69,48.12,47.94,50.28,50.38,51.16,52.91,52.75,52.62,53.69,51.72,50.06,49.5,47.28,44.72,44.25,42.25,40.72,39.69,39.56,37.91,36.81,37.0,35.84,34.38,35.72,34.53,33.75,36.75,35.19,37.62,39.94,40.81,40.38,40.25,37.94,35.56,35.0,32.41,32.31,33.12,32.31,31.81,33.16,31.69,30.81,30.97,30.22,28.66,27.34,26.34,26.25,27.22,27.72,30.31,30.47,30.5,29.38,26.31,26.31,24.97,23.19,24.06,22.38,22.34,22.09,21.34,19.56,18.44,14.56,14.81,11.44,11.75,12.09,13.03,15.94,17.75,20.41,21.38,24.19,25.78,27.06,27.75,27.25,25.88,21.44,22.22,17.66,18.19,21.53,21.34,23.78,23.0,25.47,23.12,24.41,24.09,24.91,25.44,25.25,26.53,26.16,28.09,29.59,28.69,31.09,29.19,27.78,26.91,24.59,23.81,21.62,22.34,19.16,18.62,17.12,14.66,15.44,13.69,12.94,11.41,11.31,9.66,9.81,10.62,12.5,12.41,13.84,13.97,13.78,16.44,17.41,21.0,24.41,25.06,24.84,21.88,17.97,13.47,9.97,8.09,8.69,9.16:negativity
31.06,31.75,33.69,35.53,35.28,35.19,32.75,30.31,27.31,24.44,22.62,20.91,19.06,18.44,18.25,18.69,21.19,23.34,27.03,29.38,31.06,31.09,29.97,28.34,25.97,23.59,22.47,21.06,21.09,20.81,22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88:32.75,30.31,27.31,24.44,22.62,20.91,19.06,18.44,18.25,18.69,21.19,23.34,27.03,29.38,31.06,31.09,29.97,28.34,25.97,23.59,22.47,21.06,21.09,20.81,22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88,-0.97,0.53,3.88,6.31,6.69,6.88:19.06,18.44,18.25,18.69,21.19,23.34,27.03,29.38,31.06,31.09,29.97,28.34,25.97,23.59,22.47,21.06,21.09,20.81,22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88,-0.97,0.53,3.88,6.31,6.69,6.88,4.78,2.09,-0.72,-4.72,-7.53,-10.22:27.03,29.38,31.06,31.09,29.97,28.34,25.97,23.59,22.47,21.06,21.09,20.81,22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88,-0.97,0.53,3.88,6.31,6.69,6.88,4.78,2.09,-0.72,-4.72,-7.53,-10.22,-13.28,-14.53,-14.91,-14.19,-11.66,-8.41:25.97,23.59,22.47,21.06,21.09,20.81,22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88,-0.97,0.53,3.88,6.31,6.69,6.88,4.78,2.09,-0.72,-4.72,-7.53,-10.22,-13.28,-14.53,-14.91,-14.19,-11.66,-8.41,-4.22,-1.03,1.88,3.12,3.66,3.0:22.5,24.03,27.06,31.41,33.34,36.03,38.12,37.31,36.34,35.12,33.66,32.78,33.34,34.09,35.66,37.0,37.59,37.69,37.62,37.66,36.56,35.34,33.88,31.38,28.62,25.94,24.75,24.16,24.0,25.5,26.88,27.0,27.16,27.38,26.94,25.41,24.41,22.84,21.31,19.56,17.25,15.16,13.47,10.84,10.69,9.56,9.91,10.53,10.97,13.28,14.38,15.78,17.41,18.09,19.25,20.69,21.59,23.25,24.12,25.84,26.06,25.97,25.66,24.66,23.62,22.62,20.62,18.91,17.28,16.62,16.56,17.88,18.97,21.53,23.91,26.62,28.38,29.78,30.41,30.25,30.34,29.34,28.62,27.12,25.38,23.75,20.94,19.62,18.66,17.5,17.5,19.25,20.91,23.88,26.44,29.41,31.88,33.53,33.56,33.06,32.44,29.41,28.38,26.44,25.12,24.41,24.25,23.75,23.44,23.56,24.94,26.0,28.03,30.81,33.72,34.91,36.5,37.19,36.28,34.66,32.97,30.69,27.84,25.75,23.94,22.16,21.12,20.31,19.25,19.38,19.78,21.41,23.0,25.25,27.5,27.41,29.41,29.56,29.41,30.5,31.66,32.91,33.25,32.12,32.06,29.69,27.94,27.0,24.31,23.19,21.69,21.44,21.66,22.28,23.75,24.84,26.78,28.44,28.25,30.16,29.41,28.84,28.56,26.41,25.41,24.62,23.62,24.41,25.19,27.06,28.66,29.25,30.81,29.03,26.62,25.31,22.66,21.12,21.34,21.78,22.81,24.53,26.53,29.34,32.12,34.06,35.66,36.81,36.72,35.25,34.94,32.94,31.53,30.06,29.47,29.5,30.34,31.94,33.34,33.59,33.62,32.75,30.66,30.19,29.5,29.38,30.78,31.5,33.44,34.66,35.06,35.5,33.84,34.03,32.19,31.47,31.28,30.69,29.66,30.5,29.12,28.19,26.88,26.94,26.97,26.84,28.5,29.62,30.62,31.25,30.56,29.12,27.38,24.5,23.47,21.34,20.31,20.62,20.0,19.28,19.81,18.81,18.59,18.0,17.62,17.91,18.44,18.53,20.38,21.69,23.31,25.12,27.22,28.69,30.53,29.94,30.19,29.38,27.56,26.5,25.53,24.5,24.03,23.62,22.66,23.0,22.91,23.97,25.25,26.0,27.12,27.69,27.84,28.66,30.34,30.94,32.0,31.62,31.31,30.34,29.31,28.56,28.06,28.16,27.28,27.69,26.19,24.81,24.69,23.38,23.25,23.78,22.66,22.84,21.56,20.12,19.34,18.94,19.47,19.25,21.28,23.41,25.41,28.0,29.88,32.09,32.81,31.69,30.28,29.0,26.62,25.78,23.56,22.94,21.59,20.59,21.09,20.91,21.47,21.88,21.34,21.28,20.56,20.19,20.06,21.56,22.66,24.81,27.41,29.62,30.91,32.06,32.5,31.97,31.28,31.31,30.81,30.41,30.88,31.0,30.34,30.56,28.5,27.53,25.44,23.75,22.34,21.03,20.0,20.41,20.81,21.81,23.59,24.78,25.91,25.12,23.94,24.41,22.16,21.81,21.16,20.28,20.84,19.06,19.31,19.09,19.25,20.53,19.19,19.56,18.25,17.31,17.06,16.91,18.03,19.31,21.0,22.28,24.09,26.16,28.0,29.5,30.94,33.78,34.69,36.44,38.47,40.22,41.56,41.44,41.88,40.16,39.53,37.41,36.72,35.16,33.59,31.5,29.44,27.41,25.88,24.91,24.81,24.09,24.53,24.44,24.09,24.03,23.34,23.25,23.0,22.56,23.62,22.81,22.69,21.53,20.72,19.41,20.34,20.31,22.25,24.16,27.06,31.69,35.34,39.34,40.81,39.72,38.0,33.91,30.25,28.16,26.75,26.28,27.03,26.34,28.0,28.0,28.34,28.19,28.38,29.06,28.75,29.53,30.69,30.53,29.19,29.03,27.22,25.28,23.47,22.69,20.88,21.34,21.69,22.44,23.78,25.94,26.78,28.06,29.41,30.16,29.69,28.44,24.81,23.09,18.38,15.06,11.69,10.88,8.53,7.41,7.72,8.03,9.84,10.81,12.72,13.66,14.5,14.25,15.84,17.09,18.38,21.56,23.84,25.28,26.56,27.09,26.81,26.59,28.06,26.5,27.56,27.53,27.53,27.53,26.12,25.84,25.75,25.69,27.12,28.5,29.12,30.19,30.41,31.41,31.06,30.84,31.0,29.62,28.69,27.81,26.12,25.78,25.69,24.69,24.5,23.56,22.94,22.0,21.72,20.91,21.81,22.12,23.09,24.41,25.19,24.97,26.41,26.69,27.31,28.88,29.66,30.62,30.22,30.5,31.06,31.19,31.06,32.0,31.66,33.19,32.56,32.38,32.84,33.16,33.22,35.19,36.44,37.06,36.75,35.78,32.28,29.31,26.44,22.81,21.78,22.66,21.03,22.06,23.06,22.88,24.0,25.34,26.56,28.81,30.03,31.19,31.56,32.12,33.06,33.34,35.41,35.81,36.47,36.09,36.38,36.69,36.5,36.44,36.97,36.25,36.12,36.16,36.16,36.62,35.84,35.03,34.09,33.72,32.84,33.0,33.28,32.16,31.84,31.03,30.0,29.81,28.81,28.78,28.53,28.56,28.16,28.03,28.03,28.38,28.38,29.47,30.84,31.94,32.38,33.16,32.62,31.91,31.19,30.34,27.81,27.97,27.84,27.84,28.66,29.03,29.06,27.31,26.16,25.06,24.44,25.38,27.31,28.56,31.91,32.19,33.12,34.22,33.81,33.56,33.53,33.44,33.12,31.84,30.19,29.38,27.19,26.97,26.09,26.62,26.81,27.16,28.88,28.0,28.41,28.22,26.84,25.84,26.0,24.84,25.44,25.31,26.31,26.66,26.38,25.31,25.91,25.59,24.84,24.97,26.38,26.0,25.56,25.16,24.09,22.94,21.25,19.09,18.69,16.34,16.44,15.44,16.19,17.66,19.81,21.66,22.84,23.72,23.06,23.31,22.47,21.94,22.91,23.72,24.88,25.84,26.5,25.28,23.53,21.12,19.53,18.31,17.78,18.91,20.06,20.25,20.62,21.38,20.47,19.19,19.53,19.31,19.41,21.06,21.34,22.47,23.78,24.97,26.97,28.41,30.53,30.78,30.91,30.72,31.06,29.81,28.62,28.53,26.03,25.88,24.06,23.06,22.12,21.94,21.16,21.34,20.41,18.81,17.84,16.88,16.56,16.75,17.56,19.12,19.31,20.5,20.66,20.53,21.47,22.91,24.22,24.44,25.53,25.81,25.5,25.97,25.06,24.25,23.72,22.28,21.81,21.75,22.25,22.69,22.84,25.41,26.66,28.94,31.12,32.78,33.69,32.69,31.38,29.62,27.56,24.94,22.56,19.25,17.25,14.78,12.81,11.66,11.31,10.81,11.62,12.69,13.19,14.12,14.72,15.25,16.06,18.28,18.84,20.31,21.06,20.84,21.62,20.41,21.5,21.31,20.56,20.88,20.12,18.81,16.69,15.5,13.62,12.0,10.19,9.28,8.41,7.31,8.0,8.62,11.47,14.81,17.69,21.81,23.94,23.59,22.53,20.19,16.69,12.88,9.66,6.81,4.78,4.94,5.59,7.53,11.62,14.84,18.91,20.5,21.03,19.62,17.19,13.84,12.09,11.12,11.25,12.59,14.12,14.81,15.09,13.81,13.56,13.91,13.81,15.47,15.47,15.94,16.06,15.75,15.34,14.0,13.03,11.16,8.41,5.47,4.31,4.06,5.06,7.47,8.69,11.88,12.12,13.16,14.94,14.88,-0.97,0.53,3.88,6.31,6.69,6.88,4.78,2.09,-0.72,-4.72,-7.53,-10.22,-13.28,-14.53,-14.91,-14.19,-11.66,-8.41,-4.22,-1.03,1.88,3.12,3.66,3.0,1.78,0.5,-2.22,-3.84,-5.5,-6.91:negativity
43.88,44.84,43.0,43.75,42.69,43.09,42.31,41.69,42.12,40.94,41.38,41.78,42.44,43.06,45.09,46.62,46.31,46.69,47.78,46.81,47.19,48.12,47.94,50.12,49.19,49.34,49.66,47.12,47.41,45.69,42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91:42.31,41.69,42.12,40.94,41.38,41.78,42.44,43.06,45.09,46.62,46.31,46.69,47.78,46.81,47.19,48.12,47.94,50.12,49.19,49.34,49.66,47.12,47.41,45.69,42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91,22.69,23.88,23.44,24.06,23.47,22.84:42.44,43.06,45.09,46.62,46.31,46.69,47.78,46.81,47.19,48.12,47.94,50.12,49.19,49.34,49.66,47.12,47.41,45.69,42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91,22.69,23.88,23.44,24.06,23.47,22.84,22.19,21.31,20.72,21.31,21.41,22.72:47.78,46.81,47.19,48.12,47.94,50.12,49.19,49.34,49.66,47.12,47.41,45.69,42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91,22.69,23.88,23.44,24.06,23.47,22.84,22.19,21.31,20.72,21.31,21.41,22.72,24.78,25.94,27.19,28.72,29.31,29.94:49.19,49.34,49.66,47.12,47.41,45.69,42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91,22.69,23.88,23.44,24.06,23.47,22.84,22.19,21.31,20.72,21.31,21.41,22.72,24.78,25.94,27.19,28.72,29.31,29.94,31.25,31.94,31.97,33.16,32.19,31.81:42.53,41.38,39.38,38.66,39.66,41.03,44.06,47.56,50.31,52.06,53.25,55.12,54.47,54.56,55.06,55.16,54.59,52.56,50.66,47.5,44.06,43.62,42.5,42.84,43.25,43.75,44.16,43.88,43.5,44.09,44.06,41.31,41.66,39.28,38.0,37.81,37.47,37.56,36.69,37.78,37.97,38.12,38.78,36.66,37.62,35.5,33.5,32.25,32.31,30.75,31.06,33.06,35.34,36.91,40.75,43.56,45.41,46.94,48.12,49.0,48.0,47.16,47.06,47.47,47.69,48.69,46.56,46.56,43.16,41.0,38.69,37.69,36.94,37.78,37.75,39.25,41.31,43.28,46.66,47.69,48.16,47.97,45.0,43.06,40.09,37.81,35.94,34.38,35.19,34.5,34.97,35.66,36.59,35.5,35.12,34.88,34.44,34.19,34.59,35.75,36.31,36.06,37.97,42.03,44.81,51.03,55.25,57.47,56.56,53.94,49.78,46.31,43.41,42.91,43.66,44.12,46.94,50.25,50.94,54.5,54.78,57.31,57.5,58.69,59.69,60.06,62.75,63.5,62.97,61.56,60.56,57.38,54.28,51.19,49.31,47.5,43.41,43.0,39.25,36.0,34.12,33.03,30.91,31.59,32.22,32.44,34.09,34.34,35.47,38.16,40.22,41.78,44.0,47.09,47.75,50.16,52.34,54.5,56.53,59.53,61.53,63.72,64.19,66.28,65.56,64.66,64.66,62.62,61.59,61.06,61.12,61.28,61.97,64.81,62.69,64.44,63.5,61.41,59.69,58.38,57.12,56.5,55.47,54.69,54.84,55.5,54.97,55.66,57.41,57.31,57.78,57.28,56.53,56.03,56.12,56.06,56.22,56.56,56.06,55.84,56.44,56.69,56.72,59.12,58.91,60.38,60.19,58.38,58.28,56.53,55.44,55.0,55.56,55.72,56.12,57.12,58.56,59.38,60.12,62.41,62.44,62.06,60.94,58.16,54.88,52.28,50.28,50.19,50.16,52.5,54.16,55.62,56.78,58.38,59.41,58.72,59.03,58.0,56.31,55.0,54.12,52.94,53.16,51.94,51.19,50.56,50.25,49.34,48.44,48.16,48.56,48.53,47.94,47.94,46.5,45.94,46.38,45.06,45.31,45.97,45.94,45.47,45.91,45.84,43.91,44.25,44.59,45.16,46.88,46.56,47.19,47.94,47.31,48.5,49.16,49.12,50.75,52.44,53.16,53.84,54.22,53.69,51.62,51.19,50.94,51.78,51.69,53.0,53.72,53.31,51.31,50.0,52.12,50.5,52.22,55.0,56.0,55.97,55.31,53.38,51.03,49.62,48.28,45.75,45.56,45.91,46.34,47.75,50.62,51.75,53.44,55.34,55.44,54.16,54.88,53.59,53.12,53.94,55.34,57.41,59.19,61.97,62.62,65.66,65.34,66.81,66.62,65.28,61.91,58.03,53.5,49.0,46.19,46.22,45.94,47.56,49.66,49.84,49.59,48.19,46.25,44.72,43.91,43.41,42.81,41.88,41.22,39.72,42.59,42.62,46.0,48.81,50.66,53.28,56.09,58.16,59.12,60.75,60.28,59.69,59.09,57.75,55.97,55.53,55.62,53.81,54.56,54.72,56.91,57.88,59.59,59.91,60.06,58.31,56.75,55.03,53.94,52.97,54.06,55.19,56.81,61.81,64.78,67.47,71.16,74.0,75.62,77.69,78.94,79.12,78.06,75.44,72.78,69.97,68.16,65.28,64.31,62.03,61.12,60.5,63.06,65.62,69.91,75.03,78.78,79.16,79.06,76.28,74.72,72.41,69.81,68.81,67.75,66.5,64.47,62.81,59.97,56.69,55.0,52.94,52.25,53.25,55.06,56.59,59.53,61.19,63.28,64.09,63.25,61.41,60.28,57.62,55.44,53.75,53.28,51.38,52.12,52.31,51.75,51.28,51.78,51.31,50.88,52.75,53.12,54.94,56.56,58.28,58.25,59.06,59.16,55.69,56.88,56.25,55.62,56.66,57.5,57.06,57.78,56.59,57.06,56.84,54.94,54.12,52.91,50.41,48.91,48.69,49.06,50.88,54.41,57.03,61.44,64.12,65.0,65.19,65.91,65.75,63.41,64.19,63.22,61.31,59.28,56.59,55.81,54.12,51.41,51.78,51.66,51.06,50.31,48.81,48.06,47.12,45.91,47.56,48.56,49.16,50.69,50.06,50.56,48.69,46.34,44.34,42.31,40.28,39.28,38.97,40.72,40.81,42.31,44.78,45.88,47.25,47.81,49.41,50.25,49.72,50.69,50.25,49.06,48.12,47.94,47.28,46.56,47.16,47.12,46.34,47.19,49.0,48.62,50.03,50.97,50.19,52.34,51.69,53.97,54.62,55.41,56.5,55.5,54.16,52.0,48.38,43.09,39.62,36.34,35.31,36.31,37.06,39.84,40.88,43.56,44.88,45.75,44.56,43.06,41.94,38.5,38.06,38.97,40.97,44.06,47.0,48.38,50.41,49.66,49.28,46.53,44.66,43.53,41.53,43.22,44.09,47.03,47.94,48.94,47.72,46.91,46.0,45.09,47.22,48.44,50.34,51.5,53.44,51.88,49.94,49.91,47.38,45.84,45.75,45.91,46.28,45.81,45.53,46.56,45.69,46.03,47.56,48.91,51.0,52.53,53.44,54.78,55.44,55.56,56.16,56.5,57.72,59.69,61.34,61.16,58.75,56.81,52.31,49.72,48.5,46.94,47.31,47.47,48.09,48.19,47.72,49.56,49.62,50.88,53.03,52.94,53.28,53.81,54.25,53.41,54.81,55.0,55.59,56.09,56.44,55.75,53.62,52.97,51.06,50.19,50.59,49.78,50.5,50.34,51.16,51.12,51.25,50.09,48.31,44.94,41.75,39.69,37.19,36.44,38.12,39.28,41.91,43.06,43.0,44.88,45.38,46.81,46.0,46.31,45.31,43.75,41.78,39.41,38.69,38.56,38.84,40.31,41.16,43.06,43.25,42.31,43.22,42.5,42.41,41.97,43.19,43.06,42.31,42.25,41.97,42.0,41.81,42.91,42.25,44.62,45.25,47.56,49.09,50.19,51.56,51.25,50.81,51.56,51.41,53.06,54.06,54.94,55.0,55.59,55.12,54.0,53.38,53.47,53.56,54.31,56.31,57.84,59.38,59.81,61.16,61.16,61.31,60.56,60.75,59.88,57.59,54.88,50.88,47.25,44.03,41.19,40.66,40.66,40.5,42.0,42.94,43.53,44.66,45.06,46.84,47.94,49.0,49.59,50.59,49.94,48.72,48.47,47.31,46.62,46.34,46.41,45.44,47.66,49.97,54.38,58.81,63.28,63.75,65.44,63.31,60.0,56.16,52.91,50.31,48.0,46.28,46.0,45.94,46.28,47.72,48.47,51.31,51.53,53.28,54.41,53.97,53.5,54.91,54.09,54.03,53.59,52.56,52.78,52.06,51.94,51.91,52.94,52.75,52.97,53.47,53.66,54.53,55.75,55.78,55.25,54.41,53.12,51.94,50.41,49.72,49.31,49.88,50.25,51.62,52.06,52.53,50.84,50.62,49.0,49.66,49.06,49.22,50.97,51.22,50.81,52.31,51.78,50.0,49.81,48.09,46.94,47.25,47.09,47.22,46.91,46.62,45.78,46.31,46.5,47.19,48.34,49.19,47.97,46.81,45.53,43.03,43.56,43.34,43.69,44.75,44.88,44.56,43.97,45.06,43.44,44.31,43.81,43.0,42.19,42.16,40.56,41.06,41.62,43.06,43.91,45.72,45.88,45.25,45.19,46.0,46.66,47.25,49.31,49.31,49.25,49.0,48.81,46.91,22.69,23.88,23.44,24.06,23.47,22.84,22.19,21.31,20.72,21.31,21.41,22.72,24.78,25.94,27.19,28.72,29.31,29.94,31.25,31.94,31.97,33.16,32.19,31.81,31.91,30.12,29.78,28.81,28.28,27.31:negativity
49.62,51.81,52.44,54.62,54.0,54.28,52.94,53.0,51.16,50.66,49.5,47.62,44.47,42.44,41.25,39.25,37.81,35.94,36.06,34.81,35.31,35.53,36.16,36.78,35.75,35.09,33.94,32.91,32.31,30.59,31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38:52.94,53.0,51.16,50.66,49.5,47.62,44.47,42.44,41.25,39.25,37.81,35.94,36.06,34.81,35.31,35.53,36.16,36.78,35.75,35.09,33.94,32.91,32.31,30.59,31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38,13.84,17.16,18.84,20.06,22.03,22.69:44.47,42.44,41.25,39.25,37.81,35.94,36.06,34.81,35.31,35.53,36.16,36.78,35.75,35.09,33.94,32.91,32.31,30.59,31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38,13.84,17.16,18.84,20.06,22.03,22.69,22.69,23.28,21.44,21.56,19.19,16.0:36.06,34.81,35.31,35.53,36.16,36.78,35.75,35.09,33.94,32.91,32.31,30.59,31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38,13.84,17.16,18.84,20.06,22.03,22.69,22.69,23.28,21.44,21.56,19.19,16.0,12.38,8.66,5.19,2.56,-0.16,-1.78:35.75,35.09,33.94,32.91,32.31,30.59,31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38,13.84,17.16,18.84,20.06,22.03,22.69,22.69,23.28,21.44,21.56,19.19,16.0,12.38,8.66,5.19,2.56,-0.16,-1.78,-3.22,-4.44,-3.69,-3.66,-2.03,-1.5:31.81,32.66,34.06,35.31,37.53,39.28,41.41,43.72,46.31,47.69,49.03,49.09,48.84,48.94,47.12,46.94,46.12,46.62,48.81,50.5,52.72,52.59,51.97,49.72,47.12,45.69,45.19,44.56,43.47,42.5,43.06,41.28,39.25,38.53,36.44,34.84,32.69,31.12,29.22,28.31,27.56,27.88,27.34,27.91,28.38,28.62,28.66,28.06,26.5,26.44,25.41,25.94,27.62,29.72,32.0,33.41,36.31,38.75,40.41,42.94,45.09,47.19,49.44,50.62,49.47,48.19,45.62,41.41,36.47,34.66,31.41,31.09,32.28,33.72,35.03,35.44,36.44,36.84,37.16,38.91,40.34,41.09,41.75,42.38,42.66,43.44,43.81,44.81,43.84,43.12,41.06,38.41,36.44,34.62,34.12,35.03,36.03,37.0,37.69,37.75,37.5,37.53,38.53,39.5,40.0,42.91,46.19,49.59,53.66,55.91,57.94,59.16,59.44,59.5,58.62,57.06,54.28,52.31,50.12,47.81,47.06,47.44,48.25,48.94,50.94,52.94,54.56,55.19,57.06,58.81,60.62,62.5,63.25,63.72,61.91,58.81,54.84,51.03,48.78,46.12,45.41,44.5,46.09,47.0,49.19,51.81,53.69,53.53,53.88,52.12,49.94,48.69,48.09,48.69,49.28,51.53,53.53,55.03,56.84,56.91,58.0,58.19,57.69,58.38,58.28,57.84,57.25,58.06,58.16,59.62,60.62,61.34,61.84,61.19,58.88,56.03,53.31,51.69,49.44,50.84,50.88,52.28,53.94,54.75,55.84,57.19,56.41,56.5,55.38,52.69,50.81,48.25,45.53,42.56,42.44,41.81,40.31,40.56,39.75,39.72,37.47,36.91,37.31,35.69,36.78,38.81,41.06,43.5,45.53,46.91,48.41,47.34,46.19,45.06,43.16,42.62,42.91,43.91,45.78,47.31,47.34,48.47,48.56,47.78,47.44,47.28,47.91,48.56,47.47,47.5,46.56,45.81,43.06,42.78,40.69,39.03,39.5,39.31,40.59,42.75,45.59,47.94,49.09,49.19,50.06,49.69,48.69,48.03,47.56,45.28,44.03,40.81,37.56,34.25,30.44,27.0,24.56,21.66,22.09,23.16,24.5,27.88,30.19,32.81,34.84,35.56,37.31,37.56,37.59,38.72,39.12,40.31,41.97,43.44,44.12,43.94,42.53,41.12,36.94,34.59,32.56,31.66,32.34,34.44,36.47,40.16,40.5,43.31,44.44,45.28,47.12,47.44,48.19,48.16,47.41,47.03,46.81,47.28,48.03,48.84,50.44,50.25,51.25,49.69,49.16,47.69,47.19,48.75,48.25,48.56,49.12,47.88,47.41,48.31,49.44,49.72,50.38,51.22,51.94,49.97,49.56,49.69,47.69,47.03,46.44,46.53,46.75,47.59,48.97,48.75,49.03,49.19,50.12,50.69,51.78,53.66,54.44,54.5,54.91,54.56,53.47,52.66,52.56,51.38,50.0,51.12,52.0,53.91,57.28,60.31,61.56,64.62,64.34,64.16,63.12,61.31,59.56,57.56,56.16,56.38,54.91,54.5,54.94,53.47,53.66,53.56,54.28,54.91,54.88,56.69,57.03,58.78,58.31,59.72,60.03,57.22,56.12,54.31,52.06,50.16,48.19,48.09,47.12,46.78,47.12,48.03,47.78,48.59,48.88,47.22,47.0,44.97,43.19,40.94,41.16,40.53,41.19,41.41,42.25,42.75,43.81,43.84,46.44,47.56,49.0,50.81,52.0,53.31,54.25,54.62,54.06,53.53,51.81,50.41,49.41,49.25,48.25,46.84,45.38,42.91,40.0,38.47,36.53,35.44,35.34,35.34,35.94,37.31,38.62,39.34,41.72,41.62,42.72,41.84,39.66,38.81,36.56,34.69,33.28,33.31,33.41,35.25,36.22,38.88,41.94,44.06,46.81,48.0,47.62,48.0,46.81,46.5,47.34,46.88,47.44,48.5,49.06,49.19,49.56,48.5,47.62,46.06,43.47,40.84,39.66,37.56,37.91,36.44,37.41,36.72,34.69,33.62,33.06,30.72,31.56,31.78,33.66,35.34,36.91,39.5,38.25,38.41,38.5,37.91,38.62,36.88,37.53,36.38,34.28,34.84,35.94,37.78,41.25,43.22,46.06,47.28,48.41,49.12,48.28,47.97,47.59,46.19,44.94,44.56,41.81,40.62,38.81,37.81,37.06,37.06,36.88,37.41,38.41,37.81,38.19,38.56,37.03,37.31,35.81,35.5,36.19,35.91,36.28,36.81,37.41,36.59,36.81,36.88,37.25,37.12,37.53,36.28,36.16,33.88,32.31,30.59,31.41,32.12,34.34,37.56,40.78,42.84,44.31,45.34,44.06,43.34,42.31,41.53,41.81,39.78,40.75,41.69,42.47,45.41,47.25,49.44,49.78,48.38,47.62,45.06,43.25,42.09,41.84,40.69,41.06,40.41,40.44,40.5,39.22,39.56,37.62,36.5,35.31,34.03,34.38,34.91,36.12,36.81,37.91,39.16,38.31,37.03,36.31,35.0,33.59,32.75,33.31,33.62,34.09,34.66,35.06,35.62,35.38,35.97,35.81,35.78,34.56,35.25,34.38,36.41,36.47,37.78,38.56,38.25,37.81,37.81,35.66,34.53,32.91,31.56,30.19,31.19,30.69,31.16,32.56,34.28,32.38,33.56,32.28,30.66,29.69,28.59,28.62,29.12,30.0,30.56,32.09,32.69,31.69,31.94,31.34,29.84,28.66,28.34,28.19,29.16,30.12,30.41,31.59,31.91,32.38,33.19,34.75,36.16,36.12,37.34,38.31,38.69,39.72,41.31,43.56,43.84,44.91,45.44,44.56,44.06,43.28,43.34,43.34,43.16,43.34,43.66,43.25,42.16,41.41,39.38,39.19,37.34,35.38,35.28,33.81,33.12,31.41,29.97,28.28,26.53,24.94,23.31,23.69,23.59,24.25,24.66,24.16,24.72,24.97,24.59,25.59,27.94,29.81,32.72,36.97,40.41,44.03,45.59,47.06,46.88,46.5,45.78,44.75,44.03,43.03,41.62,40.25,40.62,40.56,40.31,41.81,43.56,43.38,45.06,45.0,46.28,47.06,46.09,46.91,44.72,43.03,41.25,40.62,39.06,38.5,38.16,38.5,37.81,37.28,37.44,36.75,37.94,38.28,39.19,38.38,38.22,37.25,35.59,34.94,35.31,35.0,36.84,38.19,39.97,41.62,43.34,45.47,46.5,46.81,46.5,45.94,45.56,45.16,43.44,43.56,41.34,40.66,40.56,40.41,41.81,43.66,44.28,44.56,45.28,45.28,43.59,42.44,41.81,40.62,41.12,42.44,43.84,44.94,45.69,45.09,44.94,43.75,42.06,40.47,38.97,37.5,37.62,38.44,39.97,41.97,43.12,44.16,45.19,46.0,44.28,44.19,43.59,42.06,41.25,40.91,41.12,41.03,39.91,39.56,39.25,37.5,36.03,35.94,36.16,37.06,40.28,43.44,48.16,51.69,53.78,54.5,53.28,50.72,48.16,44.34,41.62,39.31,37.84,37.22,35.69,36.16,35.16,33.97,33.59,33.19,32.81,31.19,31.78,31.88,31.84,33.62,34.56,36.16,37.12,36.78,36.09,35.84,34.81,34.41,34.03,33.0,31.78,30.81,29.94,28.91,28.66,28.88,29.12,29.06,30.72,29.97,31.19,31.41,32.06,31.16,30.09,29.69,29.41,28.06,29.19,29.62,32.22,32.94,34.41,35.97,36.69,35.12,34.44,33.06,32.38,13.84,17.16,18.84,20.06,22.03,22.69,22.69,23.28,21.44,21.56,19.19,16.0,12.38,8.66,5.19,2.56,-0.16,-1.78,-3.22,-4.44,-3.69,-3.66,-2.03,-1.5,-0.72,-0.06,-1.56,-1.34,-0.69,-2.34:negativity
64.5,64.88,64.69,64.19,63.09,62.44,61.0,60.22,58.69,58.47,57.34,57.47,57.44,57.81,59.56,60.38,61.44,62.75,63.34,64.59,66.38,69.06,72.09,74.31,75.25,74.34,70.22,66.72,63.5,60.38,60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78:61.0,60.22,58.69,58.47,57.34,57.47,57.44,57.81,59.56,60.38,61.44,62.75,63.34,64.59,66.38,69.06,72.09,74.31,75.25,74.34,70.22,66.72,63.5,60.38,60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78,29.44,30.66,31.12,30.56,30.44,29.94:57.44,57.81,59.56,60.38,61.44,62.75,63.34,64.59,66.38,69.06,72.09,74.31,75.25,74.34,70.22,66.72,63.5,60.38,60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78,29.44,30.66,31.12,30.56,30.44,29.94,29.06,28.0,27.66,25.78,23.81,22.38:63.34,64.59,66.38,69.06,72.09,74.31,75.25,74.34,70.22,66.72,63.5,60.38,60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78,29.44,30.66,31.12,30.56,30.44,29.94,29.06,28.0,27.66,25.78,23.81,22.38,20.5,20.09,21.78,23.75,25.72,27.25:75.25,74.34,70.22,66.72,63.5,60.38,60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78,29.44,30.66,31.12,30.56,30.44,29.94,29.06,28.0,27.66,25.78,23.81,22.38,20.5,20.09,21.78,23.75,25.72,27.25,26.78,25.62,23.12,21.38,18.47,17.91:60.12,59.59,61.0,61.88,62.62,65.47,67.88,70.28,73.72,75.88,76.94,77.88,77.31,76.66,76.0,74.66,74.44,74.12,74.16,73.97,74.69,75.12,74.81,74.97,74.94,74.53,75.12,75.38,75.72,75.75,73.94,72.75,72.06,70.66,70.47,69.09,67.25,65.47,61.69,59.69,56.59,53.91,53.41,52.56,52.59,52.12,51.16,51.44,50.5,51.72,54.62,58.69,64.5,68.66,73.81,77.69,80.62,81.81,82.5,80.91,78.62,77.12,76.06,75.28,76.25,76.91,77.06,76.97,75.19,72.25,70.34,68.03,67.75,66.66,67.25,67.72,65.69,66.06,64.38,62.09,62.69,62.62,63.91,66.5,68.0,70.41,69.75,70.03,69.59,69.06,68.31,67.97,67.84,67.78,67.34,67.97,68.44,69.03,70.56,70.94,72.59,72.06,70.72,69.47,69.56,69.19,69.94,70.69,72.22,72.59,73.78,75.56,76.81,78.84,79.81,80.41,80.5,80.47,79.91,78.84,78.66,78.19,77.12,76.19,76.09,74.62,74.22,74.31,75.53,77.0,79.0,80.94,82.06,84.06,84.78,85.28,87.41,88.62,89.78,90.38,90.19,89.28,87.47,85.62,84.44,82.69,81.03,78.81,77.44,77.03,77.41,78.12,80.06,80.81,81.53,81.91,81.25,83.0,83.16,82.94,84.66,83.75,84.81,84.5,85.28,86.19,87.25,88.06,88.59,89.19,88.69,87.31,86.31,85.69,84.16,82.91,80.47,79.31,77.31,75.34,73.94,71.78,70.0,68.12,65.78,67.16,68.03,69.06,72.16,73.31,73.81,75.22,75.38,74.66,74.38,75.72,74.75,75.72,77.0,76.88,76.72,77.31,75.47,74.5,73.25,71.28,70.62,69.69,70.56,70.75,71.81,74.66,75.88,78.88,80.16,82.41,82.88,82.03,81.78,81.66,80.53,82.94,83.69,84.03,83.88,82.19,80.0,76.19,73.81,70.88,68.84,67.34,66.38,66.88,67.5,68.06,69.97,71.28,72.56,72.56,73.06,72.56,72.16,72.44,73.0,73.16,72.34,71.84,71.75,71.81,71.03,72.12,73.53,73.94,75.47,78.0,80.0,82.31,83.81,85.56,86.28,87.41,88.09,88.41,88.69,88.19,88.09,87.62,87.66,87.06,86.16,84.81,83.41,82.53,81.44,81.62,81.66,84.06,85.59,87.38,89.19,90.91,91.47,91.69,90.25,88.25,86.19,83.12,81.25,79.72,77.91,76.94,74.84,74.34,74.97,75.91,76.0,77.91,78.16,78.28,77.59,76.69,77.12,77.53,77.94,78.66,78.94,78.41,77.34,74.56,73.72,73.34,73.25,73.47,74.25,75.56,75.66,75.09,76.12,74.41,72.59,71.09,69.97,68.66,68.81,67.59,68.03,68.28,69.0,70.75,73.09,74.94,76.19,78.34,80.25,81.66,83.81,85.38,85.62,85.28,82.44,80.34,77.56,73.66,72.75,72.91,73.53,75.41,78.38,80.06,81.19,81.72,81.28,80.12,78.81,76.56,74.53,72.31,70.09,68.31,68.56,68.0,68.38,68.34,66.75,67.78,67.44,66.84,69.44,72.38,74.56,78.06,81.31,81.28,81.19,80.5,78.81,77.97,77.81,77.31,76.25,75.0,73.25,72.34,72.44,73.06,72.06,71.41,71.38,71.0,71.69,73.5,74.69,77.44,78.88,79.19,80.38,80.78,78.84,77.31,76.41,75.12,73.5,73.41,72.41,70.94,70.53,69.19,70.22,69.78,71.09,70.53,69.75,68.16,67.19,67.25,67.88,69.28,71.12,70.25,68.53,66.06,62.03,59.72,58.78,58.03,58.28,58.59,60.31,61.12,61.91,62.81,63.28,62.56,63.0,64.62,67.72,71.62,76.84,82.84,87.28,89.16,91.0,89.19,85.94,83.25,79.25,76.0,74.31,72.19,69.91,70.38,70.12,70.59,72.16,74.53,75.41,75.56,74.72,73.84,74.06,73.94,76.28,77.69,79.31,81.41,82.34,81.0,79.5,76.56,73.25,70.16,67.62,67.25,66.06,65.16,64.44,62.84,63.44,62.66,63.0,63.06,62.94,63.16,63.47,63.94,65.56,66.56,68.5,69.09,69.72,69.47,68.38,68.31,66.81,66.31,67.0,67.66,69.31,71.31,73.88,75.09,78.81,78.88,80.5,79.62,79.44,78.56,77.88,78.03,78.31,80.31,81.09,81.44,81.28,78.38,74.44,71.06,67.94,65.5,64.69,65.0,64.19,64.41,65.78,67.59,68.44,70.75,72.31,71.69,71.72,72.16,71.66,73.28,74.44,75.31,75.97,75.5,74.75,75.84,73.88,73.41,74.31,74.25,74.88,76.06,76.25,76.75,75.62,75.06,74.69,74.91,75.31,76.34,77.56,78.5,81.06,81.0,81.62,82.62,81.56,80.81,79.53,77.66,75.78,75.81,74.78,75.91,77.16,78.62,79.34,80.44,80.91,80.81,82.06,82.69,84.09,85.91,86.44,86.66,87.38,86.72,86.44,85.69,85.19,84.16,82.94,81.75,80.28,79.59,78.62,77.03,77.5,76.97,77.62,77.88,79.06,78.69,78.34,76.16,74.19,70.38,68.19,66.12,65.44,65.84,65.56,64.94,63.66,63.56,64.03,64.03,65.03,65.97,66.88,66.59,67.44,68.69,68.31,67.91,66.72,63.97,62.28,61.06,59.44,58.12,58.25,56.59,57.09,56.62,57.78,59.28,61.12,62.34,63.97,64.59,64.0,62.41,60.5,58.97,57.84,55.94,55.41,53.97,52.41,51.41,50.88,51.19,51.31,52.25,53.53,55.16,57.16,60.06,62.81,64.59,66.62,66.16,65.56,63.31,61.12,60.09,59.41,59.09,60.19,60.78,60.94,60.66,60.88,61.03,61.56,61.44,62.94,62.06,61.38,60.38,58.69,55.44,53.81,51.91,50.56,49.44,50.62,51.12,52.31,53.19,54.66,54.62,54.53,55.06,54.69,54.5,55.72,56.91,59.5,61.56,62.91,64.94,66.06,66.25,67.62,68.81,68.81,70.47,70.38,71.38,71.66,72.41,72.66,71.91,71.38,70.69,69.81,69.88,70.53,70.91,72.38,72.59,74.06,74.81,75.5,77.56,78.84,79.25,79.16,78.69,77.22,74.88,74.19,72.38,72.75,71.84,72.53,71.88,71.28,71.88,71.72,71.28,71.31,71.16,70.75,70.31,70.5,71.81,71.78,72.34,72.31,71.25,69.69,68.06,65.97,64.44,63.47,63.44,62.84,62.59,62.03,60.28,60.12,59.81,59.72,58.62,59.31,60.25,59.53,60.03,60.44,61.0,61.12,61.81,61.31,62.69,62.62,63.88,64.62,64.34,64.16,62.66,60.19,58.53,56.59,55.91,55.69,54.75,55.53,54.62,54.28,54.81,54.47,54.78,55.91,56.5,57.06,57.69,58.31,58.31,57.91,57.94,57.75,57.31,57.62,56.66,53.88,52.19,49.5,46.34,44.75,44.06,43.69,43.34,44.75,46.03,48.62,50.25,53.06,54.75,55.22,55.78,56.25,55.91,55.94,56.34,56.69,56.31,56.22,56.34,54.28,53.16,51.03,47.41,46.5,45.56,45.12,45.97,46.88,48.06,48.81,49.53,50.22,49.66,49.16,48.91,47.53,47.12,46.81,46.62,45.69,45.38,44.91,44.34,43.38,42.25,41.88,41.56,42.31,44.09,45.69,48.0,48.22,50.38,51.66,52.81,53.44,54.5,53.5,51.78,29.44,30.66,31.12,30.56,30.44,29.94,29.06,28.0,27.66,25.78,23.81,22.38,20.5,20.09,21.78,23.75,25.72,27.25,26.78,25.62,23.12,21.38,18.47,17.91,16.91,16.91,17.34,17.16,17.44,17.62:negativity
10.44,11.53,15.19,16.72,18.34,17.16,17.59,16.12,15.12,13.56,12.72,10.94,8.81,8.81,7.84,7.97,8.38,10.88,11.66,14.09,15.53,16.38,15.81,14.09,13.25,10.12,8.84,9.62,8.41,8.72,8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12:17.59,16.12,15.12,13.56,12.72,10.94,8.81,8.81,7.84,7.97,8.38,10.88,11.66,14.09,15.53,16.38,15.81,14.09,13.25,10.12,8.84,9.62,8.41,8.72,8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12,1.16,2.84,6.41,7.91,8.66,8.0:8.81,8.81,7.84,7.97,8.38,10.88,11.66,14.09,15.53,16.38,15.81,14.09,13.25,10.12,8.84,9.62,8.41,8.72,8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12,1.16,2.84,6.41,7.91,8.66,8.0,7.88,6.41,5.69,4.84,4.5,2.84:11.66,14.09,15.53,16.38,15.81,14.09,13.25,10.12,8.84,9.62,8.41,8.72,8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12,1.16,2.84,6.41,7.91,8.66,8.0,7.88,6.41,5.69,4.84,4.5,2.84,2.12,1.19,0.22,-0.16,-1.41,0.09:13.25,10.12,8.84,9.62,8.41,8.72,8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12,1.16,2.84,6.41,7.91,8.66,8.0,7.88,6.41,5.69,4.84,4.5,2.84,2.12,1.19,0.22,-0.16,-1.41,0.09,-0.09,0.94,2.72,3.97,2.97,1.88:8.44,7.94,5.56,6.31,5.5,6.12,6.62,7.91,8.31,11.31,13.91,15.69,17.44,18.91,17.69,16.84,15.62,15.16,12.16,10.88,9.12,7.84,6.81,6.44,8.28,9.12,12.66,15.0,16.78,17.0,15.47,12.31,9.31,6.41,4.66,4.31,2.16,1.81,-0.31,-2.72,-4.09,-5.22,-4.34,-4.62,-4.97,-4.94,-4.59,-6.66,-7.16,-6.84,-7.41,-7.22,-5.75,-6.06,-4.97,-4.34,-2.66,-0.56,1.56,3.41,4.38,4.88,4.94,5.56,7.19,7.91,9.06,8.97,7.41,5.38,4.47,3.91,1.44,3.25,4.56,4.97,6.59,9.0,11.16,12.91,13.53,14.69,15.75,14.19,14.59,15.19,15.81,17.0,21.47,23.31,25.94,28.38,27.31,26.34,23.31,19.62,17.12,14.03,13.25,12.66,12.56,14.16,16.09,18.03,18.69,19.5,19.16,16.78,17.62,15.81,17.31,19.25,20.78,23.0,23.81,22.38,21.66,17.78,14.03,11.19,8.28,6.12,6.34,6.53,9.0,11.41,13.91,16.91,17.09,18.06,18.31,17.72,18.22,19.09,18.38,19.19,18.19,17.59,14.66,13.91,11.88,10.66,11.0,12.28,15.94,18.25,21.59,23.88,27.12,27.38,27.34,27.31,23.44,20.59,17.34,13.78,11.31,9.41,8.41,6.72,5.81,3.94,1.66,0.69,-0.69,-1.69,-1.72,-0.59,1.66,3.31,6.88,9.0,10.69,10.19,8.59,7.47,4.12,0.47,0.81,-1.47,-0.66,-0.22,2.06,3.44,6.12,8.44,9.75,11.66,13.44,13.28,13.69,13.62,13.56,13.09,11.97,10.75,11.19,10.06,8.94,9.06,6.81,6.12,5.84,6.72,5.5,7.59,7.12,5.84,5.91,3.97,2.94,3.06,2.81,2.56,3.34,4.22,5.19,6.69,8.06,10.06,10.34,9.69,8.09,6.22,4.03,3.09,2.03,2.84,1.94,1.19,2.0,1.06,1.0,2.47,2.78,4.03,6.19,7.0,10.53,13.28,16.53,19.84,19.81,20.62,18.12,16.44,13.94,12.97,12.66,13.78,14.97,15.94,16.78,17.41,16.22,15.91,14.25,15.06,13.81,14.75,14.88,14.34,15.56,16.09,17.25,20.03,22.44,24.91,24.56,23.97,20.97,16.91,12.62,8.09,6.19,4.12,2.91,3.69,3.31,4.25,5.53,7.0,8.09,10.03,10.31,12.66,14.5,16.56,19.31,19.84,18.81,16.12,13.56,9.16,7.88,4.16,5.28,3.41,3.59,3.06,1.66,1.59,-0.16,-0.06,0.28,0.94,1.97,3.28,5.91,7.41,9.88,14.28,17.03,19.53,20.16,19.66,19.66,17.88,16.78,16.78,15.81,15.47,15.53,14.84,17.19,18.25,22.56,25.84,27.25,30.94,32.62,31.75,33.44,32.94,32.66,32.47,31.56,29.44,28.34,25.38,22.62,19.53,17.97,14.12,12.62,10.78,9.56,9.59,9.5,9.5,10.19,11.34,12.62,14.28,14.88,14.75,14.75,15.69,14.19,13.88,15.19,14.03,13.22,13.5,13.25,13.0,13.91,13.78,14.62,16.06,15.81,15.53,15.0,13.62,11.38,10.28,11.62,11.59,14.53,16.53,17.72,19.28,19.75,20.47,21.81,21.09,21.56,20.19,16.81,13.94,11.28,6.53,4.66,3.34,2.22,1.84,1.44,0.5,-0.84,-1.88,-1.09,0.44,4.12,5.94,8.78,8.34,6.16,5.25,4.94,5.25,5.44,7.34,8.56,7.81,9.16,7.91,7.53,6.72,5.28,5.25,4.81,4.97,3.56,3.69,3.47,5.59,7.66,10.81,12.22,13.69,12.41,11.44,10.0,8.78,9.53,8.38,8.22,9.88,9.44,9.72,10.91,10.19,9.5,9.16,7.41,6.72,8.25,9.78,12.06,15.28,19.62,19.41,21.41,21.06,19.47,18.41,15.69,15.25,13.0,11.56,9.5,10.72,10.53,12.41,13.41,16.06,14.53,12.84,11.28,7.69,4.44,3.16,2.44,3.16,3.44,6.28,7.28,8.41,11.44,12.75,16.22,18.47,21.31,20.88,20.81,18.16,15.06,12.81,9.0,7.81,5.38,6.03,6.31,8.09,9.5,12.12,14.06,14.59,15.28,15.78,15.03,16.06,19.16,20.5,24.22,27.69,27.44,27.81,24.78,22.41,18.31,15.84,13.34,13.31,11.25,11.66,11.53,9.81,10.5,9.88,7.59,6.88,4.59,4.94,3.06,5.31,6.75,6.94,7.0,6.16,4.53,3.5,1.69,1.03,-0.81,-2.09,-4.31,-5.94,-7.28,-7.28,-7.09,-5.78,-3.66,-3.28,-3.09,-3.66,-3.47,-4.34,-1.53,0.84,3.22,6.53,9.16,10.59,12.5,11.34,12.94,12.88,11.66,11.09,13.53,13.31,15.34,18.19,20.56,21.16,20.69,21.78,19.16,18.56,17.12,16.78,15.81,14.66,14.06,12.91,11.28,8.31,7.69,4.47,4.62,3.25,2.56,1.5,0.22,0.28,1.19,3.72,6.25,8.62,9.91,9.91,9.22,8.31,6.44,4.25,1.72,-0.47,-0.75,-1.97,-1.31,0.25,1.19,1.09,1.03,1.84,1.25,0.78,1.5,1.69,0.81,0.97,1.72,1.22,2.81,1.81,3.81,4.12,2.34,3.16,2.22,1.81,1.84,2.5,3.66,5.56,6.88,7.41,9.81,9.81,9.81,9.12,7.91,7.78,7.69,10.16,11.41,14.66,16.03,16.16,15.22,15.72,14.31,14.44,14.53,13.78,14.16,14.81,14.12,16.28,16.41,16.19,15.81,15.06,14.78,14.78,16.62,18.34,19.91,17.84,18.5,15.78,13.41,11.59,10.94,9.88,9.06,9.97,9.81,7.5,7.78,5.19,4.78,3.69,3.0,4.06,3.91,4.31,6.47,8.69,11.72,13.78,16.94,17.84,18.03,16.88,13.88,10.03,7.88,4.31,2.88,2.69,2.31,1.97,2.53,2.72,3.53,2.81,3.19,2.94,2.12,2.34,3.53,4.62,4.97,6.53,7.38,5.44,6.69,6.62,4.47,4.78,4.72,4.88,3.72,5.06,5.16,5.72,6.69,6.16,7.31,8.97,8.78,10.06,10.75,11.5,12.19,11.44,12.44,13.59,14.06,15.34,15.22,14.78,12.88,9.66,8.75,5.72,3.81,2.97,3.0,2.56,1.66,3.72,3.34,4.19,4.84,7.47,8.09,12.22,16.03,18.25,20.81,21.75,19.41,15.44,12.03,8.59,6.38,4.97,6.56,7.44,6.88,7.62,5.69,3.0,2.41,-0.59,-0.56,0.59,1.69,3.5,4.41,5.34,4.88,6.72,6.75,8.59,8.91,9.03,8.97,7.62,6.31,6.75,5.56,5.38,6.12,5.34,6.06,5.41,4.59,4.53,4.41,6.06,5.56,9.16,10.44,12.78,14.44,17.34,18.69,18.94,18.03,18.5,15.03,13.38,12.25,10.88,10.75,10.94,11.25,11.12,11.31,10.81,10.81,10.41,10.41,11.62,12.81,15.19,17.16,19.97,22.69,24.03,25.84,26.0,26.5,26.16,24.28,23.81,21.12,18.12,18.06,15.28,14.56,13.28,11.38,8.56,6.78,5.5,2.75,2.0,2.53,2.62,3.81,4.34,5.88,5.94,7.06,7.41,7.88,8.34,8.16,6.81,8.03,6.28,7.12,6.62,6.62,5.56,4.41,4.31,5.47,5.53,6.47,9.12,1.16,2.84,6.41,7.91,8.66,8.0,7.88,6.41,5.69,4.84,4.5,2.84,2.12,1.19,0.22,-0.16,-1.41,0.09,-0.09,0.94,2.72,3.97,2.97,1.88,1.84,-0.78,-1.59,-1.16,-2.03,-1.16:negativity
32.12,31.47,34.44,36.25,36.56,39.88,41.53,40.75,41.0,38.84,38.06,33.62,33.66,31.91,30.5,31.25,30.78,29.31,28.69,26.69,27.53,27.22,28.53,28.28,25.16,28.16,27.12,29.53,32.91,35.38,35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44:41.53,40.75,41.0,38.84,38.06,33.62,33.66,31.91,30.5,31.25,30.78,29.31,28.69,26.69,27.53,27.22,28.53,28.28,25.16,28.16,27.12,29.53,32.91,35.38,35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44,-17.88,-18.16,-16.53,-14.72,-14.09,-12.38:33.66,31.91,30.5,31.25,30.78,29.31,28.69,26.69,27.53,27.22,28.53,28.28,25.16,28.16,27.12,29.53,32.91,35.38,35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44,-17.88,-18.16,-16.53,-14.72,-14.09,-12.38,-11.62,-11.59,-10.44,-12.72,-12.22,-12.97:28.69,26.69,27.53,27.22,28.53,28.28,25.16,28.16,27.12,29.53,32.91,35.38,35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44,-17.88,-18.16,-16.53,-14.72,-14.09,-12.38,-11.62,-11.59,-10.44,-12.72,-12.22,-12.97,-16.16,-16.91,-18.09,-20.06,-22.28,-25.03:25.16,28.16,27.12,29.53,32.91,35.38,35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44,-17.88,-18.16,-16.53,-14.72,-14.09,-12.38,-11.62,-11.59,-10.44,-12.72,-12.22,-12.97,-16.16,-16.91,-18.09,-20.06,-22.28,-25.03,-25.66,-26.78,-26.34,-26.16,-24.22,-22.47:35.97,35.19,32.69,31.97,30.38,30.06,31.41,32.5,32.84,33.31,31.28,31.97,31.12,30.38,32.38,33.12,35.56,35.81,38.16,41.09,41.66,43.78,40.28,38.97,40.09,36.16,36.81,36.94,37.31,36.03,35.72,34.78,33.75,33.38,29.81,31.16,30.12,31.56,32.41,33.78,33.94,33.06,32.38,31.06,30.31,28.41,27.19,25.69,22.16,24.06,23.28,23.97,28.03,30.31,32.78,31.75,31.56,30.38,28.56,29.0,32.28,34.0,38.41,40.81,41.44,43.94,42.12,39.25,35.44,33.59,29.62,28.59,29.62,31.62,30.84,33.12,33.97,33.09,34.09,34.88,34.69,32.09,32.75,29.94,29.38,28.5,27.16,27.66,25.38,23.5,25.53,25.16,26.31,29.19,31.25,33.56,30.91,32.06,30.22,29.0,29.62,30.97,33.19,34.69,35.91,37.69,37.53,32.78,35.97,32.16,32.12,31.78,34.38,36.25,38.78,40.97,42.16,42.19,38.38,37.88,35.66,34.09,34.06,34.0,32.88,34.44,33.91,35.97,33.16,35.75,34.91,33.16,34.25,33.44,31.66,31.84,32.91,33.69,36.34,38.06,37.56,35.56,36.0,35.53,35.34,36.81,38.22,35.97,34.16,30.16,26.12,24.5,17.66,20.44,20.25,21.28,22.72,24.91,23.81,24.69,24.53,25.31,28.03,30.88,32.22,31.66,32.81,31.78,29.31,27.91,26.03,27.19,25.06,25.5,23.12,25.06,24.72,25.97,28.31,31.81,33.56,36.81,39.16,40.62,42.81,43.41,41.22,43.31,41.47,40.06,40.22,37.38,37.16,35.41,33.44,33.0,31.5,30.25,26.06,26.25,24.62,25.12,25.88,29.56,30.56,32.66,33.19,34.53,36.41,36.94,36.38,39.72,35.88,36.16,35.0,32.5,32.06,30.0,30.31,30.56,29.88,28.66,30.91,28.72,28.56,28.78,29.69,30.03,31.94,34.41,36.72,38.69,41.25,39.56,39.97,38.28,36.53,35.88,37.31,37.47,37.12,37.72,35.5,35.38,34.41,34.41,34.28,32.19,34.0,34.0,32.56,32.62,31.53,29.12,26.91,27.5,27.06,29.16,29.75,30.19,29.47,29.34,27.94,25.16,26.59,25.53,25.41,24.5,24.62,21.12,20.88,18.78,20.16,20.78,20.34,23.06,24.19,24.69,25.69,25.88,23.59,24.47,23.41,23.12,23.25,24.53,24.53,25.94,27.16,28.78,30.44,30.09,29.53,28.53,25.78,26.75,22.31,25.25,27.72,30.31,34.94,39.41,41.12,44.09,43.06,42.0,39.03,35.59,33.03,29.31,28.44,28.94,29.47,27.69,30.56,31.25,31.41,34.0,33.56,32.97,29.94,29.31,25.12,24.28,21.91,21.28,19.38,19.53,19.5,21.91,22.59,27.91,29.34,33.31,34.44,37.47,37.5,37.88,37.72,36.16,37.41,36.16,37.34,34.84,38.16,38.22,35.44,37.44,36.44,36.12,35.38,35.66,35.06,35.31,35.91,36.78,36.31,40.28,39.72,39.94,40.53,37.69,35.78,33.72,30.69,29.5,29.62,29.19,29.12,31.25,31.12,33.34,35.38,35.62,36.25,35.56,36.31,35.75,35.56,35.62,35.03,34.28,31.62,33.78,33.25,33.38,35.91,35.16,37.03,38.22,38.12,38.78,40.72,41.72,41.06,39.09,40.31,37.44,36.28,37.19,37.81,36.09,37.28,36.44,35.41,35.31,34.44,33.69,32.53,33.72,32.56,33.16,34.25,35.25,35.38,35.91,35.16,35.94,36.28,36.84,37.28,38.06,36.25,35.5,33.44,31.12,28.94,28.16,28.0,28.69,29.84,32.62,34.84,34.19,33.81,37.56,35.91,37.53,39.69,38.62,38.41,36.72,36.69,36.88,37.03,36.69,37.06,37.03,35.34,36.19,36.06,37.94,36.0,39.72,36.94,36.94,33.0,31.81,29.06,27.31,23.06,23.84,24.38,22.34,25.09,27.03,28.09,26.56,27.28,26.41,24.78,24.0,24.06,23.75,20.16,23.59,21.81,21.84,23.72,25.28,25.34,25.72,24.78,22.94,24.19,23.97,25.12,27.47,28.28,28.97,28.62,25.94,23.94,22.25,21.81,22.25,24.69,25.62,26.78,28.31,27.59,28.44,26.25,29.0,28.22,29.94,31.0,30.03,30.53,29.41,28.06,24.12,25.44,22.38,21.0,19.72,20.38,21.62,22.56,24.38,26.78,27.5,27.47,25.06,20.31,18.34,14.38,15.41,16.31,19.62,23.41,25.44,24.0,23.12,22.06,18.22,17.06,14.25,12.5,12.66,13.28,15.16,15.19,17.06,16.62,19.81,22.97,27.88,32.16,30.19,30.78,27.19,24.06,23.91,24.34,25.5,26.78,23.12,25.19,22.12,22.38,22.44,23.0,22.28,23.0,20.56,21.84,22.56,24.06,27.78,26.5,32.69,31.62,33.59,35.78,37.59,37.09,37.69,37.0,36.56,35.62,34.53,33.84,31.44,29.25,26.34,28.25,26.66,29.84,32.28,33.03,35.94,37.41,34.44,36.0,34.75,32.81,32.81,32.34,31.56,29.66,30.56,29.59,30.16,31.81,31.12,31.28,29.94,27.41,26.75,24.25,22.94,23.09,21.84,20.81,20.12,18.53,18.44,14.66,16.5,15.62,15.44,16.28,16.38,16.12,15.81,15.91,17.41,18.06,19.38,20.22,18.78,20.56,20.84,20.91,23.44,23.34,25.31,25.94,24.34,25.25,22.5,20.66,16.62,17.5,17.56,20.06,25.56,28.78,32.81,33.72,33.72,31.94,27.88,28.53,27.16,25.31,25.44,26.31,26.31,23.75,25.81,23.91,24.0,25.62,25.09,24.47,24.69,22.34,21.28,20.91,20.66,22.88,23.0,23.28,23.38,22.16,18.34,19.91,20.81,20.22,21.81,23.88,25.22,24.41,23.06,23.94,19.88,21.12,22.69,22.62,25.12,25.41,24.62,25.12,24.12,24.03,23.22,23.38,23.03,21.59,21.41,21.94,18.22,20.19,18.72,18.94,20.5,20.53,19.72,22.28,22.5,24.0,25.09,27.91,25.47,27.56,25.94,25.38,23.81,23.94,21.59,20.28,16.94,14.94,14.88,13.25,14.5,17.59,15.41,18.25,16.09,13.84,10.16,10.0,9.12,8.03,9.16,9.81,9.47,8.53,8.19,6.19,3.06,5.31,3.53,6.06,6.94,10.56,10.5,12.22,14.16,14.44,17.47,13.97,16.19,14.44,11.03,9.91,7.0,5.62,5.16,5.66,7.31,8.38,5.44,9.19,6.06,7.94,9.06,11.78,13.62,15.62,16.22,16.84,16.06,16.56,17.78,17.44,14.69,17.97,14.09,16.06,16.22,15.84,18.25,18.38,19.03,20.34,22.5,24.75,25.0,24.03,25.34,22.94,21.94,22.56,21.0,20.31,17.72,15.69,14.56,13.41,11.78,11.09,11.81,10.03,10.41,10.5,11.12,11.94,12.44,14.16,15.06,16.75,18.31,20.22,21.47,21.62,22.66,23.78,24.12,25.69,23.81,27.56,27.12,26.91,26.53,28.06,26.81,27.06,28.06,26.94,25.38,23.62,20.72,17.12,18.03,17.78,17.06,15.59,18.5,16.25,17.16,16.78,16.72,15.09,14.59,15.44,15.81,17.5,17.94,19.97,18.69,18.81,20.94,21.69,20.66,22.34,21.09,19.03,16.88,15.25,12.06,11.75,11.44,-17.88,-18.16,-16.53,-14.72,-14.09,-12.38,-11.62,-11.59,-10.44,-12.72,-12.22,-12.97,-16.16,-16.91,-18.09,-20.06,-22.28,-25.03,-25.66,-26.78,-26.34,-26.16,-24.22,-22.47,-23.72,-21.72,-20.72,-19.38,-17.75,-15.69:negativity
19.75,21.75,22.03,21.88,21.25,19.5,18.72,18.81,16.09,17.47,16.5,16.12,16.56,17.28,17.62,20.78,20.09,24.19,26.81,29.78,30.94,32.75,31.66,30.69,25.5,26.38,22.91,20.84,20.62,19.28,20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31:18.72,18.81,16.09,17.47,16.5,16.12,16.56,17.28,17.62,20.78,20.09,24.19,26.81,29.78,30.94,32.75,31.66,30.69,25.5,26.38,22.91,20.84,20.62,19.28,20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31,-11.78,-11.41,-13.69,-15.72,-15.56,-18.91:16.56,17.28,17.62,20.78,20.09,24.19,26.81,29.78,30.94,32.75,31.66,30.69,25.5,26.38,22.91,20.84,20.62,19.28,20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31,-11.78,-11.41,-13.69,-15.72,-15.56,-18.91,-20.09,-21.31,-21.44,-21.88,-20.97,-20.31:26.81,29.78,30.94,32.75,31.66,30.69,25.5,26.38,22.91,20.84,20.62,19.28,20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31,-11.78,-11.41,-13.69,-15.72,-15.56,-18.91,-20.09,-21.31,-21.44,-21.88,-20.97,-20.31,-18.72,-18.06,-15.09,-13.34,-10.53,-7.84:25.5,26.38,22.91,20.84,20.62,19.28,20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31,-11.78,-11.41,-13.69,-15.72,-15.56,-18.91,-20.09,-21.31,-21.44,-21.88,-20.97,-20.31,-18.72,-18.06,-15.09,-13.34,-10.53,-7.84,-5.03,-4.06,-1.91,-1.69,-2.78,-3.34:20.22,20.34,21.03,22.34,21.53,22.72,24.12,24.59,24.25,28.69,28.78,30.19,30.72,31.75,30.56,28.78,26.16,22.44,19.81,16.16,14.22,13.72,14.81,14.31,20.0,23.44,27.5,32.03,34.25,34.41,33.56,33.41,28.81,25.19,18.97,15.75,11.94,8.22,8.91,8.16,7.62,6.38,6.5,7.12,6.91,7.94,9.69,9.62,9.56,10.94,11.94,14.06,17.75,17.91,20.0,19.62,18.56,21.06,20.91,22.75,23.03,24.28,23.16,20.62,20.06,18.09,15.38,14.41,11.28,10.62,9.84,11.06,13.34,12.44,16.31,18.66,20.62,23.06,24.72,25.44,25.72,25.06,25.19,21.25,25.75,23.0,20.53,21.0,17.66,15.06,12.94,11.41,11.94,11.16,11.16,12.59,12.97,14.5,14.78,17.25,17.25,17.81,16.03,16.31,12.56,15.09,16.81,19.22,21.72,23.81,24.69,23.34,22.66,21.81,20.16,18.91,17.06,16.62,17.0,14.91,19.66,20.91,23.47,26.78,29.41,29.19,26.91,25.5,21.31,17.12,13.53,11.94,10.09,9.84,14.66,15.62,19.66,21.88,22.84,21.53,19.91,18.81,15.78,15.06,15.28,14.69,12.34,15.34,14.91,15.94,16.22,16.66,14.53,14.16,13.06,13.09,12.53,14.16,12.62,15.16,13.56,13.22,12.91,11.94,11.84,11.16,11.44,11.31,14.81,15.0,15.97,18.56,19.06,19.66,20.25,18.56,18.88,18.97,17.28,17.41,19.0,19.59,20.66,22.22,21.5,20.06,20.59,16.16,14.06,11.16,8.03,4.75,1.62,2.16,2.53,4.28,8.84,11.81,16.47,20.66,22.97,23.88,23.94,23.25,21.81,20.19,18.56,17.41,15.81,13.12,14.75,13.16,14.28,14.22,14.19,14.91,15.59,20.12,23.28,28.91,33.66,33.97,36.62,33.03,31.16,27.81,25.25,22.5,20.41,19.0,17.16,15.16,11.09,12.06,11.53,10.47,12.91,15.34,14.41,16.19,17.38,18.12,18.22,16.97,19.5,18.34,19.28,19.09,18.59,17.12,16.25,16.44,16.75,19.19,20.56,20.66,25.03,25.41,26.62,27.44,24.88,26.28,24.09,21.94,22.62,21.81,22.31,21.5,23.12,22.78,24.56,26.53,27.5,29.25,30.03,30.78,30.16,30.28,31.0,29.81,31.69,30.09,30.28,32.06,30.5,31.62,31.66,31.81,31.03,30.06,29.53,26.78,29.56,28.41,28.81,29.25,29.31,29.41,28.19,26.69,26.34,24.69,22.84,23.78,23.31,24.91,26.5,27.16,27.0,26.66,25.81,24.97,23.16,21.72,20.94,19.41,17.53,18.75,18.16,15.62,15.28,16.09,15.31,17.28,17.53,17.0,18.72,18.72,21.25,23.09,25.12,26.66,25.66,25.94,24.03,22.53,18.44,18.84,17.66,17.22,19.06,18.88,18.69,18.34,18.03,17.44,19.53,20.94,23.44,24.47,23.12,24.62,21.69,21.16,19.56,18.16,17.44,14.53,13.19,12.41,9.53,13.94,14.56,18.16,21.75,23.19,24.88,24.44,25.09,25.94,23.28,25.59,24.19,24.75,26.31,26.88,26.75,26.44,25.28,24.38,20.25,21.41,20.44,20.31,21.69,23.5,24.56,25.72,29.25,28.81,29.69,30.66,29.78,28.38,24.91,25.25,23.03,23.19,23.91,25.22,25.53,25.62,24.25,23.34,20.28,23.28,20.09,20.66,21.53,21.56,22.94,22.0,22.03,22.78,24.34,25.81,25.0,29.19,27.28,26.41,25.41,24.78,23.47,21.53,19.5,17.78,16.19,15.34,12.19,14.81,13.69,13.44,14.84,13.81,13.69,12.94,11.91,10.94,11.69,11.28,13.94,14.72,17.12,19.66,21.56,22.12,22.66,22.88,20.75,20.69,19.88,17.12,16.16,15.53,14.09,13.69,13.88,14.72,15.31,16.28,13.38,16.31,13.41,12.91,14.38,14.66,15.03,15.31,14.66,13.16,10.53,11.66,10.28,10.91,14.47,18.12,21.75,24.62,26.28,23.88,24.69,22.03,18.47,17.81,18.66,16.19,17.72,18.72,18.5,21.31,21.72,22.66,22.31,21.12,19.53,17.0,18.78,19.12,20.59,24.41,24.66,24.41,23.22,19.53,17.09,13.06,11.31,9.81,9.28,10.56,12.88,14.47,17.47,18.28,19.72,19.53,20.47,21.25,20.94,22.16,21.34,21.19,21.81,21.19,22.16,21.12,19.84,21.03,19.12,18.22,18.59,17.19,16.28,15.59,15.94,15.44,16.78,18.81,15.84,19.56,18.78,18.0,19.03,19.97,19.75,18.69,20.5,19.5,19.34,18.31,17.81,16.41,15.66,14.5,14.47,15.0,14.41,14.88,16.38,15.72,17.09,17.94,17.09,19.5,20.88,21.22,22.69,22.0,21.06,19.94,15.72,16.5,14.19,14.47,14.78,15.06,15.06,15.38,16.5,18.5,19.78,21.31,22.06,23.88,24.91,25.41,25.25,25.75,24.31,23.31,22.12,22.12,21.06,20.03,20.16,17.16,16.69,15.81,15.53,15.09,15.19,15.94,15.03,14.66,13.84,12.41,10.81,6.53,6.78,4.62,4.31,5.97,7.12,8.78,10.06,11.5,11.19,11.78,9.19,11.44,11.22,11.62,13.66,14.06,14.0,13.91,12.91,11.41,10.53,8.19,9.47,8.19,9.75,11.78,13.12,14.53,15.62,14.88,17.06,14.5,17.66,17.12,18.44,19.62,19.81,20.03,19.66,19.75,19.28,19.12,19.97,16.78,20.41,19.47,20.22,21.34,21.66,21.66,21.41,21.91,22.16,23.53,24.41,26.06,22.84,25.25,22.5,19.34,17.69,14.44,10.97,8.88,5.53,3.62,0.62,-0.34,-1.16,-1.84,-1.66,-1.97,-0.69,0.28,0.81,1.12,1.19,1.84,3.06,4.06,6.75,7.38,9.28,7.78,10.16,8.84,8.12,8.19,7.88,7.69,7.28,7.72,8.25,8.81,9.75,10.38,11.56,12.47,13.16,15.81,16.0,15.66,17.66,17.56,17.16,16.91,15.94,15.03,13.5,10.38,8.0,1.66,2.69,1.5,4.56,9.88,15.56,20.0,22.94,23.94,25.19,23.44,21.69,23.31,22.75,22.75,23.81,23.09,21.25,20.22,19.28,19.03,19.69,19.88,21.66,21.75,22.09,23.84,24.16,24.78,27.81,28.5,30.72,32.16,32.97,32.88,31.69,28.88,26.25,23.62,20.16,18.28,16.81,13.44,16.72,17.28,20.19,21.81,25.78,26.12,27.19,28.0,28.53,28.19,28.22,28.16,27.16,26.53,25.44,25.03,23.25,21.94,20.28,20.47,19.34,19.38,20.0,22.25,24.56,26.03,28.81,30.53,29.84,30.44,28.94,28.94,27.62,27.56,26.0,25.19,23.44,21.34,19.56,18.31,16.56,16.94,17.66,16.44,19.31,19.5,19.91,20.53,21.03,20.97,20.59,18.06,16.81,15.69,13.47,12.31,11.56,12.22,12.53,12.59,14.59,15.03,15.44,16.0,15.06,14.25,12.94,12.84,11.44,10.69,10.09,9.0,9.66,9.19,10.69,11.94,10.41,12.88,12.56,13.31,15.12,17.56,19.19,22.12,23.16,24.03,23.78,23.19,22.25,19.16,15.53,13.91,11.91,11.69,12.78,13.88,14.81,14.53,14.91,12.94,12.5,10.59,8.94,7.31,-11.78,-11.41,-13.69,-15.72,-15.56,-18.91,-20.09,-21.31,-21.44,-21.88,-20.97,-20.31,-18.72,-18.06,-15.09,-13.34,-10.53,-7.84,-5.03,-4.06,-1.91,-1.69,-2.78,-3.34,-6.31,-9.16,-12.88,-16.66,-19.38,-22.59:negativity
64.19,63.25,62.0,62.09,61.09,60.81,60.0,58.72,58.81,58.66,58.0,58.0,59.62,60.06,62.19,63.81,65.47,65.38,65.66,64.03,62.44,61.88,60.25,60.12,58.0,56.94,56.62,55.47,56.09,57.97,59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44:60.0,58.72,58.81,58.66,58.0,58.0,59.62,60.06,62.19,63.81,65.47,65.38,65.66,64.03,62.44,61.88,60.25,60.12,58.0,56.94,56.62,55.47,56.09,57.97,59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44,29.91,30.19,28.91,28.34,28.44,27.44:59.62,60.06,62.19,63.81,65.47,65.38,65.66,64.03,62.44,61.88,60.25,60.12,58.0,56.94,56.62,55.47,56.09,57.97,59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44,29.91,30.19,28.91,28.34,28.44,27.44,28.28,27.56,27.34,27.94,28.12,28.34:65.66,64.03,62.44,61.88,60.25,60.12,58.0,56.94,56.62,55.47,56.09,57.97,59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44,29.91,30.19,28.91,28.34,28.44,27.44,28.28,27.56,27.34,27.94,28.12,28.34,29.78,30.38,32.09,32.53,33.12,33.03:58.0,56.94,56.62,55.47,56.09,57.97,59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44,29.91,30.19,28.91,28.34,28.44,27.44,28.28,27.56,27.34,27.94,28.12,28.34,29.78,30.38,32.09,32.53,33.12,33.03,32.41,30.69,28.84,28.56,26.38,25.19:59.69,61.56,63.91,65.19,66.03,66.94,67.16,67.0,66.12,64.62,63.69,62.5,61.31,61.47,61.06,60.81,60.94,61.34,63.53,64.75,66.72,67.53,69.75,69.5,69.16,69.22,69.06,67.72,67.62,67.44,66.53,66.28,65.44,62.84,62.22,60.09,56.41,53.47,49.69,45.91,42.78,40.56,40.81,41.19,41.94,44.19,46.19,48.53,51.81,54.06,55.62,56.16,56.66,55.5,53.94,53.28,51.62,50.41,50.66,49.5,48.41,47.25,47.94,46.69,48.88,51.53,55.22,58.16,60.59,62.31,62.91,62.41,60.34,58.88,55.78,54.69,53.06,53.47,53.28,53.28,52.41,51.97,50.62,51.38,52.62,52.62,53.12,53.16,52.22,52.0,51.91,52.16,52.03,51.56,50.16,49.88,49.06,49.44,50.34,52.56,53.34,54.56,54.56,55.06,56.5,59.06,62.31,68.31,74.0,79.91,84.5,86.03,85.31,82.56,78.75,73.72,69.75,66.75,63.69,60.78,58.09,55.09,51.66,49.75,48.16,47.03,47.97,47.41,47.31,46.19,45.28,44.62,44.44,46.38,47.31,49.72,50.12,50.81,50.75,50.56,51.12,51.5,52.78,52.0,53.0,54.03,53.88,55.75,57.16,57.19,57.78,56.81,56.12,55.28,55.56,53.62,53.09,53.34,51.38,50.31,51.16,50.97,52.0,53.88,54.5,55.19,56.56,56.81,58.12,59.91,61.53,62.47,62.69,63.69,64.5,65.81,65.97,65.38,66.44,64.94,64.56,65.81,65.69,67.69,67.19,66.88,68.34,66.91,64.0,63.06,61.44,61.59,62.06,63.44,66.47,67.47,69.25,70.34,69.97,70.06,67.97,67.19,67.41,66.69,67.66,68.0,69.53,69.91,69.31,70.5,69.16,69.25,69.62,68.62,68.81,68.72,67.91,66.88,67.09,63.38,63.84,61.31,60.66,60.56,61.06,62.62,63.09,64.25,63.84,63.28,61.72,61.06,60.97,60.22,60.5,59.94,59.28,58.41,55.78,56.12,55.91,56.84,59.56,63.06,66.91,66.91,68.81,70.28,69.5,69.84,70.31,69.31,68.28,67.81,67.0,66.81,67.53,67.69,67.94,68.06,68.12,68.03,68.59,68.31,69.44,70.44,70.75,73.62,75.88,77.0,78.78,77.88,77.81,75.53,73.41,73.41,72.81,72.44,73.03,73.78,73.06,73.41,73.25,73.88,72.72,72.12,72.03,72.03,72.03,74.06,75.69,76.03,76.88,75.16,72.25,71.06,69.28,68.59,68.97,69.91,71.41,72.72,73.84,75.59,76.62,77.94,78.78,79.47,80.72,81.84,82.16,84.12,85.0,86.12,86.78,87.44,86.69,86.75,88.03,89.5,91.56,95.75,97.38,98.41,98.59,96.97,94.31,92.03,89.09,87.19,86.12,83.06,81.69,77.16,75.62,73.44,71.19,71.0,67.34,68.38,65.84,65.19,64.97,65.72,67.53,69.06,69.84,69.84,67.94,66.25,64.78,63.44,65.81,66.12,69.19,70.06,69.41,71.06,72.03,73.0,73.53,74.81,75.25,75.19,76.06,76.84,77.34,78.5,78.47,77.84,78.75,78.62,78.5,77.25,75.69,76.53,76.5,75.06,74.66,75.16,72.88,70.53,71.91,72.0,71.09,71.94,72.25,71.34,72.81,72.94,73.47,74.97,73.66,73.97,73.66,74.66,72.41,71.47,69.88,68.69,65.5,64.72,64.84,64.06,63.12,65.88,66.12,67.16,68.19,68.0,68.09,67.44,65.31,65.94,65.59,65.28,64.19,62.28,62.03,59.88,61.22,61.44,64.44,66.06,67.47,68.19,67.91,67.12,67.12,66.78,65.72,66.31,66.0,65.44,64.19,64.41,63.88,62.81,63.16,64.88,64.88,66.56,69.22,70.16,71.81,73.94,74.44,74.53,74.41,75.69,75.38,75.84,76.16,74.62,73.59,71.69,69.69,68.0,68.66,66.09,65.78,66.25,68.0,69.41,71.78,74.53,76.5,77.0,77.44,78.22,76.97,77.56,77.88,78.16,79.34,78.84,78.34,77.31,75.03,75.31,74.19,74.69,73.97,74.5,72.75,71.62,69.94,69.38,68.19,67.28,68.78,69.06,67.53,66.81,64.66,60.69,60.12,59.19,58.16,60.38,60.5,61.88,62.66,63.66,64.5,66.94,66.75,68.44,67.31,67.69,66.59,65.81,66.31,66.72,68.31,68.66,69.38,69.97,67.94,67.94,65.28,66.81,65.53,67.88,69.38,73.34,77.12,81.12,84.56,87.53,88.28,87.41,85.44,83.16,80.5,75.84,75.19,73.06,72.06,72.75,72.88,73.12,72.28,70.22,70.75,68.94,68.19,69.06,67.81,67.12,67.94,68.69,69.28,70.31,70.53,69.62,67.0,63.88,61.31,59.91,59.25,59.66,60.0,63.0,63.88,65.25,68.91,69.66,71.19,70.69,70.5,67.66,65.53,63.69,62.84,61.94,63.47,64.28,66.59,68.56,68.66,71.03,72.5,71.44,74.84,76.53,77.94,79.25,79.06,78.38,77.31,77.34,78.81,80.97,81.91,85.41,83.81,82.78,80.81,79.12,76.72,75.06,73.41,72.5,70.5,68.5,68.41,67.59,67.28,67.91,67.88,69.41,69.56,69.66,71.06,72.94,74.66,77.31,80.84,81.25,81.0,80.78,79.22,78.22,75.78,76.19,75.03,73.56,71.41,70.41,68.25,67.34,67.56,67.16,67.38,68.28,68.94,68.72,70.38,69.41,70.75,70.44,70.81,72.72,73.5,74.44,73.41,72.5,70.91,69.16,68.62,69.06,69.06,68.5,67.5,68.28,67.41,67.56,68.53,70.19,70.03,70.78,71.72,72.91,74.81,76.56,78.53,79.94,81.31,81.16,82.06,82.34,82.97,83.38,83.44,82.44,82.06,81.19,80.19,78.56,76.69,75.06,74.0,72.94,72.62,73.25,73.25,72.75,73.28,73.56,74.12,74.88,75.41,74.75,74.53,74.62,73.28,74.81,75.12,75.12,77.0,77.12,77.19,77.81,77.72,75.19,75.19,72.97,71.75,70.56,69.62,68.84,67.47,66.38,64.22,62.69,63.12,62.94,64.94,67.28,69.44,71.09,73.03,74.0,75.31,75.84,75.38,75.75,76.97,78.62,79.56,81.59,80.03,78.56,76.0,71.66,69.31,67.03,65.47,65.66,66.91,68.97,70.69,72.38,74.66,74.59,75.34,77.97,78.69,80.38,81.28,81.53,81.28,79.25,79.12,77.84,75.66,75.19,75.0,74.56,75.12,75.62,75.12,74.28,75.31,73.47,74.19,74.66,74.12,75.47,76.53,76.56,78.03,77.75,76.38,74.31,72.16,69.03,67.41,64.94,65.31,65.56,66.5,68.62,69.28,72.06,73.25,74.62,74.69,74.69,74.44,72.38,73.09,72.91,72.59,73.16,71.44,68.16,65.22,61.31,56.09,53.56,49.81,47.06,45.0,42.97,43.0,43.19,41.56,41.56,41.38,40.53,38.91,40.31,41.53,42.22,43.75,45.91,47.28,48.56,49.88,51.0,52.41,52.66,52.41,51.88,50.5,48.72,47.59,47.69,47.56,48.31,49.81,51.19,52.19,51.97,51.41,49.81,46.88,45.84,44.53,44.62,46.41,47.5,49.44,50.06,51.22,50.69,51.66,51.53,50.94,51.06,51.25,49.41,50.03,48.72,49.66,49.09,48.88,48.56,47.81,46.88,45.25,43.78,43.69,41.44,29.91,30.19,28.91,28.34,28.44,27.44,28.28,27.56,27.34,27.94,28.12,28.34,29.78,30.38,32.09,32.53,33.12,33.03,32.41,30.69,28.84,28.56,26.38,25.19,24.44,23.34,22.31,22.44,23.19,25.06:negativity
21.28,21.06,21.25,21.03,23.16,24.0,24.41,26.06,25.28,24.81,24.5,23.38,22.72,21.31,21.28,21.38,20.0,18.94,19.06,17.0,16.22,16.34,17.88,16.78,18.34,18.62,18.34,18.91,18.25,18.75,19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03:24.41,26.06,25.28,24.81,24.5,23.38,22.72,21.31,21.28,21.38,20.0,18.94,19.06,17.0,16.22,16.34,17.88,16.78,18.34,18.62,18.34,18.91,18.25,18.75,19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03,25.56,26.53,28.59,29.69,31.06,33.5:22.72,21.31,21.28,21.38,20.0,18.94,19.06,17.0,16.22,16.34,17.88,16.78,18.34,18.62,18.34,18.91,18.25,18.75,19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03,25.56,26.53,28.59,29.69,31.06,33.5,34.31,35.06,35.03,33.62,31.84,29.69:19.06,17.0,16.22,16.34,17.88,16.78,18.34,18.62,18.34,18.91,18.25,18.75,19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03,25.56,26.53,28.59,29.69,31.06,33.5,34.31,35.06,35.03,33.62,31.84,29.69,26.97,25.19,25.41,23.56,24.38,23.62:18.34,18.62,18.34,18.91,18.25,18.75,19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03,25.56,26.53,28.59,29.69,31.06,33.5,34.31,35.06,35.03,33.62,31.84,29.69,26.97,25.19,25.41,23.56,24.38,23.62,22.84,22.59,21.75,21.16,22.62,23.28:19.66,19.47,21.44,22.06,24.69,25.06,24.69,25.72,24.41,23.53,23.12,22.69,22.28,20.28,19.91,18.78,18.62,18.19,19.94,20.62,22.44,22.97,23.44,23.88,23.0,22.16,20.66,18.5,15.66,13.38,11.53,10.5,9.34,9.38,8.66,8.56,6.25,4.31,2.0,-0.06,-1.91,-2.62,-1.81,-1.72,-0.31,3.0,4.78,9.12,12.16,14.28,16.69,18.88,19.62,19.91,20.03,20.78,19.41,18.94,21.31,23.59,27.84,31.25,35.12,36.91,36.72,34.75,32.19,29.16,25.53,21.97,21.0,19.94,18.06,18.19,18.19,16.41,16.34,15.94,15.69,16.16,15.47,16.44,15.84,16.53,17.19,19.19,20.78,22.22,23.91,24.81,26.12,26.94,26.97,27.31,25.56,23.44,21.72,18.94,17.44,15.81,13.72,12.75,11.28,10.25,9.12,9.56,9.41,10.94,13.06,16.41,19.88,22.81,26.34,28.91,30.06,31.25,31.44,30.53,29.78,29.66,29.38,29.31,31.47,31.84,33.94,33.69,34.25,34.12,33.81,33.84,33.62,34.94,34.94,35.25,34.75,34.06,34.12,32.16,30.19,29.34,28.28,28.0,28.44,29.66,30.28,31.75,33.31,34.66,34.38,33.41,32.34,31.75,29.75,29.34,27.38,26.56,23.94,21.78,19.44,19.31,18.53,20.03,20.91,22.5,22.94,24.31,23.19,23.75,23.25,24.38,23.03,25.03,24.72,24.31,24.62,25.5,27.28,28.28,28.12,29.12,27.19,27.12,27.47,28.75,28.25,29.31,30.06,29.25,29.09,28.81,28.34,28.62,27.09,26.5,26.69,27.03,28.78,28.12,28.03,27.97,26.59,24.75,22.84,22.59,20.19,19.62,18.69,17.0,15.78,15.5,14.41,15.28,15.31,16.72,18.03,18.69,20.09,21.84,24.5,26.06,29.03,31.75,34.12,36.62,36.66,36.94,33.62,31.84,28.56,26.28,25.59,23.0,23.62,21.94,22.69,23.34,23.88,23.81,23.34,23.53,22.16,22.53,21.94,23.66,25.19,27.03,27.69,29.44,28.31,27.56,27.16,23.31,23.75,23.12,21.66,22.62,22.53,22.56,22.84,22.88,22.81,23.5,22.06,23.81,21.41,20.84,20.0,18.06,18.44,18.0,18.69,18.16,19.81,21.0,23.66,25.97,29.31,31.22,32.44,33.31,33.03,31.81,31.47,31.84,30.47,31.31,29.75,28.84,28.44,29.25,30.16,30.78,32.84,34.59,36.16,37.5,38.75,38.41,37.88,37.75,35.62,33.62,32.81,30.81,30.16,28.28,27.97,26.44,25.81,23.88,22.25,21.78,22.16,23.34,24.28,26.69,27.72,28.28,28.53,28.38,29.5,30.41,32.19,32.69,34.25,33.56,32.41,34.41,32.22,31.44,30.34,29.25,28.16,25.41,25.5,23.28,23.44,23.16,25.19,25.28,27.31,27.84,29.84,30.81,31.91,32.5,32.5,30.69,30.44,27.88,28.0,26.22,26.66,24.94,23.19,22.78,20.25,19.06,17.31,18.03,18.62,18.69,18.88,17.19,16.59,15.03,14.03,13.72,14.94,16.34,15.47,16.94,17.16,16.97,16.72,16.5,17.53,17.66,19.78,21.88,23.53,24.66,26.25,25.31,24.56,22.94,23.16,20.28,21.56,21.41,21.91,22.12,22.09,22.78,24.12,24.28,25.78,26.66,28.03,27.53,28.06,27.44,26.75,25.78,27.22,26.12,28.78,29.5,30.91,29.69,29.69,28.28,26.84,25.56,24.62,23.69,23.62,23.25,24.75,24.81,24.31,23.94,23.5,23.41,23.38,24.31,25.19,26.47,25.59,25.75,25.75,24.28,23.91,23.25,23.59,21.81,22.34,22.59,22.91,22.94,23.31,23.34,23.97,23.97,25.94,27.84,29.09,28.81,30.44,30.41,30.25,31.12,31.81,33.22,31.84,31.03,30.03,28.69,26.78,26.41,27.0,27.09,28.41,29.12,28.25,28.06,27.22,27.41,26.25,26.12,26.41,26.53,24.94,26.38,24.03,24.94,24.5,24.38,24.16,24.81,23.66,24.34,21.84,22.31,21.97,22.16,23.03,21.84,21.19,20.78,19.94,19.44,18.53,16.72,16.0,14.69,14.94,17.91,21.19,24.94,29.41,31.69,33.62,33.66,31.75,28.5,26.78,24.38,23.12,22.94,22.06,19.91,19.06,18.22,17.81,17.94,18.03,17.31,17.47,16.5,17.38,16.94,16.47,16.78,17.28,17.81,18.34,20.06,20.78,21.06,21.0,20.31,20.56,19.5,19.41,18.91,19.31,18.03,17.19,15.28,12.81,14.06,13.19,13.94,16.22,18.44,18.34,22.0,23.34,26.41,30.12,31.91,33.91,33.88,33.44,32.44,30.56,29.38,28.75,28.5,28.62,28.81,28.5,28.59,28.41,28.06,27.22,28.28,28.31,28.53,28.34,27.88,27.47,26.78,25.62,25.41,24.12,23.44,23.34,22.81,23.88,25.34,26.5,26.41,27.0,26.81,26.41,26.38,25.44,23.16,21.44,20.12,20.16,18.09,19.53,19.78,20.16,20.38,20.94,21.53,21.81,22.94,24.56,25.44,27.56,29.03,30.72,31.72,31.75,32.56,33.81,33.94,34.84,35.53,35.09,35.91,35.5,34.59,36.5,37.78,39.81,43.09,45.0,46.38,47.41,47.44,46.5,46.09,45.09,44.69,43.84,42.56,41.44,41.34,40.06,39.06,39.16,39.25,36.59,36.34,35.16,33.62,32.47,31.62,29.28,29.16,29.72,28.59,31.56,32.72,34.06,34.28,34.53,33.31,32.78,31.75,29.5,26.66,25.0,23.28,21.53,21.16,21.47,21.62,20.97,20.81,20.16,19.75,19.66,20.12,21.22,21.12,21.34,21.28,21.16,20.94,21.06,21.19,22.72,21.81,22.03,21.16,20.66,19.91,19.84,19.56,20.03,20.19,21.69,22.69,23.56,24.53,25.44,25.53,26.72,27.81,26.0,26.12,24.38,20.94,19.38,18.53,18.44,18.03,19.06,18.41,17.59,15.69,14.53,12.19,10.53,10.31,8.91,8.44,7.53,5.12,2.5,0.16,-2.34,-4.22,-6.19,-7.03,-8.0,-8.5,-8.19,-8.34,-7.38,-8.03,-8.06,-5.66,-4.94,-2.72,0.91,3.66,6.84,9.56,11.91,13.16,14.31,15.34,15.53,16.5,17.38,18.56,19.38,20.53,20.81,20.16,20.31,21.53,23.22,24.34,27.91,29.97,31.5,31.56,30.41,27.41,25.69,23.25,21.94,20.03,19.88,19.31,18.75,19.5,19.09,19.03,19.5,19.31,18.91,19.12,18.69,17.72,17.16,17.06,17.91,18.62,19.19,19.53,18.97,18.38,16.41,16.12,14.69,15.38,14.75,15.66,16.72,16.97,16.91,15.72,14.0,12.91,10.94,10.47,9.66,9.41,9.19,10.53,12.5,15.94,19.56,22.84,24.94,26.53,26.62,26.0,26.12,25.06,24.94,24.66,24.59,24.84,23.78,23.84,23.88,22.62,23.53,23.38,24.78,25.94,28.03,30.19,31.25,32.19,32.47,31.59,31.53,30.06,27.66,26.12,23.62,22.38,20.31,19.34,19.84,19.03,19.16,20.59,20.94,22.75,23.22,23.09,23.75,22.25,21.88,21.81,20.22,19.62,18.0,16.97,16.03,15.22,15.81,15.59,16.06,15.81,14.78,14.06,13.19,11.75,11.19,11.25,11.94,13.03,25.56,26.53,28.59,29.69,31.06,33.5,34.31,35.06,35.03,33.62,31.84,29.69,26.97,25.19,25.41,23.56,24.38,23.62,22.84,22.59,21.75,21.16,22.62,23.28,25.44,26.72,27.62,27.56,28.5,27.12:negativity
3.91,6.69,8.72,10.22,10.41,9.78,9.47,8.25,7.66,9.12,10.97,13.09,14.94,15.66,15.56,13.66,11.81,9.72,7.84,6.16,5.31,5.19,5.5,6.22,8.19,10.5,12.5,14.16,15.19,14.41,14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34:9.47,8.25,7.66,9.12,10.97,13.09,14.94,15.66,15.56,13.66,11.81,9.72,7.84,6.16,5.31,5.19,5.5,6.22,8.19,10.5,12.5,14.16,15.19,14.41,14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34,-41.31,-38.47,-35.84,-33.38,-31.97,-32.06:14.94,15.66,15.56,13.66,11.81,9.72,7.84,6.16,5.31,5.19,5.5,6.22,8.19,10.5,12.5,14.16,15.19,14.41,14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34,-41.31,-38.47,-35.84,-33.38,-31.97,-32.06,-31.34,-32.16,-32.22,-31.44,-29.59,-26.84:7.84,6.16,5.31,5.19,5.5,6.22,8.19,10.5,12.5,14.16,15.19,14.41,14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34,-41.31,-38.47,-35.84,-33.38,-31.97,-32.06,-31.34,-32.16,-32.22,-31.44,-29.59,-26.84,-25.28,-24.31,-25.19,-26.47,-28.34,-30.75:8.19,10.5,12.5,14.16,15.19,14.41,14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34,-41.31,-38.47,-35.84,-33.38,-31.97,-32.06,-31.34,-32.16,-32.22,-31.44,-29.59,-26.84,-25.28,-24.31,-25.19,-26.47,-28.34,-30.75,-32.09,-32.97,-33.41,-33.53,-33.66,-32.59:14.28,13.56,13.03,13.66,14.38,14.84,14.94,16.5,16.81,18.19,19.19,20.53,22.25,22.09,21.56,20.41,17.72,15.25,13.41,11.66,10.44,11.19,11.66,12.22,13.34,14.56,14.91,15.84,15.81,16.31,16.25,15.94,16.25,15.66,14.22,13.66,12.0,11.41,11.06,10.75,10.5,10.31,10.31,9.75,8.81,8.56,8.69,8.78,8.59,8.47,8.09,7.69,7.06,8.09,8.91,9.94,11.44,12.97,13.75,14.5,14.91,14.41,14.31,14.31,14.41,14.75,15.25,15.88,16.16,16.38,16.09,15.59,15.62,14.66,14.0,13.28,12.72,12.72,13.47,14.31,15.81,17.62,17.94,18.47,17.69,17.31,16.47,15.81,15.75,14.91,15.12,15.09,14.81,15.78,16.0,16.81,17.91,18.66,20.69,21.94,23.03,24.0,23.03,22.53,21.19,19.03,17.28,15.28,13.81,12.44,11.53,10.53,10.81,10.78,11.31,12.78,13.91,15.84,17.84,19.19,20.66,21.34,21.44,22.44,21.44,21.5,22.0,22.66,24.53,25.22,26.66,27.44,26.59,25.5,24.06,22.72,20.62,17.94,16.25,14.0,12.16,10.06,9.66,9.66,10.53,12.22,15.53,18.66,22.53,25.78,28.78,29.28,28.78,25.97,24.03,22.09,20.41,20.09,21.56,23.25,25.5,27.44,28.81,29.38,28.22,26.16,23.44,21.97,19.0,18.16,18.44,19.34,20.12,22.12,23.91,25.09,25.28,24.75,23.72,21.28,18.56,16.0,13.12,10.97,9.56,7.88,7.44,5.75,5.16,3.78,3.75,4.22,5.81,7.47,10.41,12.5,15.59,19.56,21.62,24.28,26.38,26.84,26.38,25.41,25.34,24.5,24.62,25.25,25.69,26.34,26.44,26.81,26.66,26.56,26.94,26.97,27.31,27.88,28.56,29.84,30.62,31.97,32.88,32.72,32.84,32.28,31.31,30.31,29.06,27.69,26.88,26.75,27.31,27.09,26.84,26.59,25.06,24.19,22.59,21.56,21.19,19.53,18.25,16.62,14.59,12.81,13.41,15.31,18.25,21.59,24.84,26.78,27.22,26.41,24.84,23.31,21.91,19.62,18.0,16.53,14.06,12.09,12.06,12.0,12.5,13.94,15.25,16.62,18.31,19.34,20.28,21.38,21.0,21.88,20.56,20.19,20.09,20.69,21.97,23.25,25.38,27.25,28.84,31.06,32.16,33.69,34.5,33.66,33.5,32.12,30.0,28.19,26.44,25.19,24.84,25.28,25.88,27.44,28.97,30.56,31.25,32.0,32.16,31.75,31.25,30.25,29.28,27.53,26.56,26.53,25.47,25.66,26.62,27.19,28.16,28.44,28.94,29.0,29.06,29.53,30.5,32.03,32.44,33.47,32.59,30.75,28.41,27.12,27.19,27.38,28.0,29.38,29.66,29.72,29.38,29.28,29.81,29.81,29.09,28.12,27.78,26.22,25.03,25.22,26.31,25.97,25.88,25.41,23.53,21.53,20.03,19.38,18.78,20.03,22.0,23.72,26.72,28.69,29.44,29.84,29.38,28.94,27.91,28.06,27.78,27.81,27.91,27.78,29.03,29.94,31.09,31.59,30.91,28.94,27.06,24.75,22.66,20.78,20.12,19.03,18.31,17.38,16.75,16.56,15.72,16.81,17.88,20.25,22.66,25.53,28.97,31.03,32.66,33.72,33.78,32.69,30.94,28.19,25.53,22.56,20.91,20.94,21.56,22.75,23.97,25.34,25.38,24.88,23.31,22.12,20.91,20.69,19.03,20.06,20.16,19.66,20.5,20.97,21.31,21.81,21.25,21.94,21.72,21.84,22.19,23.34,25.16,26.78,29.28,31.09,31.62,31.06,29.78,27.47,25.19,23.47,22.22,22.41,21.5,22.97,23.91,25.84,27.84,30.22,31.94,33.16,33.91,34.16,33.5,33.28,32.16,31.41,31.56,31.44,31.19,31.31,31.31,31.25,30.16,29.91,29.88,28.62,28.12,27.31,25.88,24.38,23.59,23.53,24.0,24.91,26.06,27.5,28.78,29.75,29.22,29.34,27.72,25.69,24.09,22.5,21.5,20.44,20.12,19.94,19.34,18.69,18.06,18.16,18.19,17.91,18.72,20.12,19.47,20.62,20.31,20.66,19.53,20.06,19.16,18.78,17.94,16.44,16.16,15.78,16.62,18.16,19.81,21.78,22.66,23.34,23.91,23.34,22.5,22.53,22.28,22.53,23.28,24.5,27.06,28.66,30.19,32.44,32.81,33.25,32.91,30.5,28.81,26.28,23.22,22.97,21.81,21.56,21.44,21.97,21.97,22.25,23.81,25.03,26.94,28.5,29.66,29.75,30.94,32.38,32.97,33.56,34.25,34.66,33.97,32.97,32.03,29.25,26.91,23.59,21.81,20.53,20.0,20.97,22.0,24.06,25.03,26.34,26.94,26.56,26.75,26.44,26.69,27.25,28.34,30.09,32.28,33.88,34.47,34.22,32.91,30.59,27.69,24.94,22.66,20.94,20.25,20.53,21.41,23.19,24.16,26.44,27.06,28.16,28.84,29.38,30.09,30.69,30.66,30.25,30.09,29.78,28.97,29.44,29.81,29.44,30.12,29.44,29.81,29.53,29.0,28.94,28.41,27.31,26.81,26.41,25.91,26.34,26.31,25.81,26.38,26.0,26.22,27.31,29.69,31.62,34.03,35.94,36.38,34.97,33.47,31.81,29.91,28.41,27.12,26.91,26.31,26.53,27.19,28.31,28.25,28.94,28.5,28.06,27.38,26.91,25.62,25.75,25.94,25.81,26.78,26.59,26.75,26.69,25.66,25.53,24.75,24.41,25.0,25.31,26.0,26.25,27.12,26.81,25.09,23.41,22.09,19.72,18.38,17.56,17.5,18.34,20.16,22.03,23.41,24.06,23.75,24.06,24.03,23.34,24.69,25.12,24.0,22.94,21.12,19.25,18.66,17.88,19.62,20.31,21.44,22.06,22.0,22.22,21.5,20.62,19.34,18.88,17.94,18.19,17.84,18.88,19.44,19.75,21.44,22.25,23.88,25.16,27.12,28.41,28.44,28.03,26.19,24.06,22.69,20.78,20.25,19.38,18.84,17.62,17.06,16.53,15.16,13.31,13.88,12.84,13.19,15.03,16.69,18.97,20.81,22.03,22.66,22.03,21.19,20.78,19.25,19.12,19.12,18.72,18.03,17.0,17.12,16.31,16.12,16.06,15.84,15.69,15.66,17.19,19.47,21.19,23.75,25.84,26.28,25.81,25.0,23.0,21.53,20.25,19.28,18.88,19.31,18.84,19.53,19.44,19.16,18.56,18.91,18.91,20.38,21.5,23.12,25.06,26.44,28.81,30.53,32.53,34.06,33.84,33.69,33.28,31.19,30.19,28.81,27.75,26.41,24.53,22.81,22.5,21.41,21.09,21.81,21.41,21.91,20.59,21.16,21.25,22.44,23.84,26.5,29.22,31.12,33.25,34.19,35.28,34.72,33.84,32.88,30.12,28.56,27.41,25.78,25.0,24.59,23.91,23.53,23.31,22.91,22.44,21.91,21.53,20.84,20.81,20.91,21.97,24.22,26.25,27.66,28.31,27.78,26.44,24.94,22.78,21.94,21.12,20.44,20.12,20.19,19.78,20.31,19.91,20.16,20.62,20.81,21.28,21.5,22.41,21.94,21.97,23.16,24.78,26.16,27.97,29.12,29.41,28.44,27.28,26.12,23.84,21.5,19.34,18.69,17.5,17.19,17.12,17.06,17.34,16.31,16.06,14.81,13.34,-41.31,-38.47,-35.84,-33.38,-31.97,-32.06,-31.34,-32.16,-32.22,-31.44,-29.59,-26.84,-25.28,-24.31,-25.19,-26.47,-28.34,-30.75,-32.09,-32.97,-33.41,-33.53,-33.66,-32.59,-31.28,-30.06,-27.75,-26.47,-25.22,-26.44:negativity
-0.12,-3.81,-2.62,-3.59,-2.62,-2.09,-4.38,-2.47,-4.53,-2.75,0.06,2.22,5.59,7.0,7.88,8.59,9.53,11.19,12.56,14.66,16.69,13.0,15.12,12.41,7.41,7.03,5.81,5.03,5.25,8.78,10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59:-4.38,-2.47,-4.53,-2.75,0.06,2.22,5.59,7.0,7.88,8.59,9.53,11.19,12.56,14.66,16.69,13.0,15.12,12.41,7.41,7.03,5.81,5.03,5.25,8.78,10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59,-38.16,-37.47,-37.25,-37.41,-35.12,-33.56:5.59,7.0,7.88,8.59,9.53,11.19,12.56,14.66,16.69,13.0,15.12,12.41,7.41,7.03,5.81,5.03,5.25,8.78,10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59,-38.16,-37.47,-37.25,-37.41,-35.12,-33.56,-32.56,-31.56,-28.34,-25.5,-22.31,-18.34:12.56,14.66,16.69,13.0,15.12,12.41,7.41,7.03,5.81,5.03,5.25,8.78,10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59,-38.16,-37.47,-37.25,-37.41,-35.12,-33.56,-32.56,-31.56,-28.34,-25.5,-22.31,-18.34,-17.31,-14.88,-14.41,-14.88,-14.69,-13.97:7.41,7.03,5.81,5.03,5.25,8.78,10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59,-38.16,-37.47,-37.25,-37.41,-35.12,-33.56,-32.56,-31.56,-28.34,-25.5,-22.31,-18.34,-17.31,-14.88,-14.41,-14.88,-14.69,-13.97,-14.28,-14.81,-13.94,-13.88,-13.47,-15.47:10.62,13.12,15.0,16.78,20.38,22.5,24.69,28.38,28.5,27.25,26.94,24.59,21.97,20.78,20.62,21.69,19.91,18.94,19.34,16.72,13.94,13.69,10.75,8.28,6.12,1.75,3.72,3.62,5.66,6.16,8.03,7.44,5.16,4.72,3.88,5.19,3.12,3.75,2.41,-0.28,0.56,-1.69,-1.53,-3.5,0.25,0.72,1.94,3.16,4.06,4.72,7.03,7.84,11.06,13.03,15.97,16.47,17.81,17.47,18.38,16.22,11.81,12.31,7.5,6.31,7.56,6.97,6.97,7.91,7.94,6.66,7.06,1.72,3.34,-1.62,-4.09,-4.12,-7.16,-5.59,-8.62,-9.31,-7.97,-11.88,-9.91,-8.66,-8.56,-6.06,-3.69,-0.41,0.31,-0.06,2.12,3.69,3.53,5.22,5.34,5.69,7.03,7.19,9.12,9.31,10.59,12.0,11.28,11.12,12.31,12.0,13.56,14.81,13.16,12.84,10.94,9.06,9.44,11.12,13.0,12.66,16.72,16.31,16.0,18.66,17.41,16.97,14.34,14.19,11.66,11.78,12.0,13.81,13.66,15.06,14.06,16.34,17.0,16.0,17.31,18.25,12.66,15.56,16.81,16.19,19.84,22.28,22.84,22.69,23.53,21.25,19.56,15.75,11.91,11.34,10.28,10.72,13.34,15.41,16.44,18.78,20.25,19.84,19.47,19.19,16.81,16.5,14.38,15.41,14.25,13.06,13.47,14.53,14.56,14.59,16.09,14.75,15.12,16.28,13.38,13.25,10.19,6.09,6.16,4.91,6.44,9.44,12.94,15.16,17.09,17.84,15.69,15.25,12.34,12.41,5.5,8.66,7.06,8.12,9.31,8.34,5.41,3.47,0.09,-0.75,-0.69,-1.12,-1.84,-2.84,-4.41,0.44,1.84,8.25,13.84,17.41,18.5,16.91,13.66,9.31,2.84,-1.59,-1.41,-3.28,0.53,6.62,9.88,12.09,14.09,12.69,12.19,10.97,10.62,9.44,10.44,10.22,5.91,9.56,7.06,7.72,8.12,9.94,9.59,10.5,8.56,7.66,8.0,5.41,2.81,1.97,-0.59,-2.75,-3.28,-2.53,-1.69,-0.72,-0.84,2.34,2.91,5.59,10.16,13.91,16.06,15.78,20.62,20.72,23.19,25.09,28.03,27.31,25.97,23.25,22.06,19.91,15.19,17.09,16.41,14.31,16.28,16.56,15.72,16.31,17.78,18.53,17.91,22.56,21.06,19.28,20.19,17.88,13.91,14.41,13.44,13.31,12.94,17.41,17.75,16.5,14.28,13.56,9.56,8.12,7.12,5.12,9.09,8.03,10.28,11.78,12.38,12.97,11.28,10.75,10.91,8.44,7.91,7.12,8.41,8.19,9.34,9.75,8.19,7.06,5.81,3.38,1.91,6.12,4.53,6.31,9.56,12.5,13.94,14.66,16.25,14.84,15.88,16.34,13.84,12.16,9.59,5.0,2.91,-2.59,-1.59,-0.03,-3.88,-2.56,-4.16,-0.62,-2.09,2.31,6.56,8.06,8.31,6.41,5.31,4.72,4.25,6.34,8.28,9.22,9.75,11.53,7.97,7.12,4.25,2.31,4.41,3.16,6.12,12.28,14.06,15.84,18.19,18.41,18.03,16.28,15.44,13.88,11.91,9.94,9.59,9.84,10.31,9.94,11.31,12.47,13.25,15.34,17.62,19.06,17.06,18.41,17.78,17.56,19.66,19.91,16.28,15.25,11.03,9.94,5.97,8.72,8.22,9.56,11.06,12.09,9.91,11.97,11.44,13.62,15.62,16.5,17.47,17.31,13.31,16.16,14.31,16.12,16.34,15.69,17.56,14.12,14.22,13.59,14.0,15.5,15.41,18.41,19.12,18.97,21.16,21.47,22.22,22.44,18.75,20.22,15.28,15.72,15.81,15.88,17.47,14.88,13.66,12.75,9.88,10.66,8.5,8.38,5.28,1.12,1.88,-0.44,2.06,3.56,4.06,3.47,0.91,0.69,-1.22,-1.41,0.34,-1.34,1.38,2.19,5.78,9.66,12.03,12.16,11.34,8.31,1.59,-0.91,0.56,1.31,5.94,10.38,13.62,12.91,11.62,11.34,7.31,9.91,9.97,11.56,13.94,14.44,16.38,13.97,16.41,14.94,16.56,16.56,19.06,18.91,20.78,22.5,23.81,22.41,21.97,18.94,17.31,15.88,16.28,15.0,13.88,14.59,13.84,15.06,15.97,14.41,15.56,14.5,13.72,11.97,14.31,13.44,14.03,14.41,15.31,13.34,11.81,10.41,9.41,10.44,10.34,9.66,14.12,13.47,16.59,19.31,22.03,23.03,22.06,20.47,19.12,16.19,14.56,14.62,14.75,14.44,13.88,12.41,11.97,12.09,10.31,7.69,9.34,5.84,5.66,6.66,5.91,3.78,5.75,4.81,7.09,9.62,11.28,10.75,12.12,8.59,7.41,3.19,5.78,5.41,6.56,11.56,14.59,18.06,15.19,13.97,11.53,8.56,2.09,4.31,0.75,-0.19,-1.81,-1.41,-2.09,-5.22,-4.81,0.44,1.69,7.5,11.0,14.44,15.47,13.16,12.28,11.12,7.22,5.81,0.25,3.66,2.41,1.28,4.59,5.22,7.16,9.25,8.59,11.28,9.25,10.44,13.53,10.88,13.22,11.62,13.69,8.56,12.0,12.62,12.88,15.88,16.91,15.97,16.59,15.0,13.81,13.34,12.44,11.25,10.19,6.47,8.16,6.94,6.91,8.78,10.84,12.31,12.78,16.12,15.88,15.94,15.0,13.78,12.97,10.88,10.12,11.09,10.06,12.81,12.44,13.12,10.66,12.69,8.38,8.41,7.94,8.53,8.44,10.09,10.28,8.31,8.91,4.59,6.94,5.25,5.94,5.78,4.75,4.53,3.81,3.22,3.78,2.31,6.38,6.16,8.19,9.66,8.84,6.81,3.56,4.59,5.06,5.0,7.94,10.91,13.31,17.53,22.03,25.34,27.09,24.44,24.28,19.5,17.5,16.28,10.72,12.06,10.91,9.78,9.22,11.69,12.34,14.28,15.28,16.66,17.09,15.09,15.16,15.19,15.56,17.75,18.59,18.12,19.06,16.41,14.09,8.62,3.12,4.62,2.06,3.03,7.34,9.25,11.0,12.12,12.81,14.59,15.66,15.0,13.44,13.91,11.38,10.16,8.03,6.06,6.03,3.0,4.78,3.12,7.06,7.34,5.25,9.34,9.91,11.22,14.72,17.72,19.22,20.81,20.06,19.78,20.31,19.31,17.12,17.72,14.97,11.16,12.06,11.94,12.91,16.66,19.56,20.81,21.88,20.78,20.62,19.0,16.56,12.38,11.31,8.66,6.28,8.12,7.59,7.91,6.81,7.47,3.94,0.84,2.72,3.94,4.72,8.75,11.16,14.62,13.12,15.41,15.88,17.53,17.84,20.31,21.69,23.34,24.28,22.5,24.38,22.22,19.28,19.06,16.06,14.5,11.03,9.06,7.66,6.03,6.66,7.94,8.94,10.44,7.84,12.25,12.97,13.25,12.34,16.25,12.28,12.53,12.16,9.28,12.41,12.56,14.31,15.53,15.69,14.69,12.91,11.16,8.31,6.16,4.56,1.47,2.84,3.22,5.91,8.06,10.41,11.25,12.78,9.88,5.84,9.34,7.25,8.41,10.78,12.44,13.28,13.06,14.03,14.25,13.56,12.38,10.0,5.56,3.41,-0.22,-2.06,-3.22,-4.25,-1.09,0.22,2.69,6.97,8.94,11.78,11.72,10.16,13.19,11.12,8.94,9.38,7.16,7.5,6.31,5.19,5.31,3.41,5.31,3.91,-0.59,-38.16,-37.47,-37.25,-37.41,-35.12,-33.56,-32.56,-31.56,-28.34,-25.5,-22.31,-18.34,-17.31,-14.88,-14.41,-14.88,-14.69,-13.97,-14.28,-14.81,-13.94,-13.88,-13.47,-15.47,-16.66,-19.31,-21.12,-23.22,-23.69,-22.34:negativity
36.62,40.16,42.19,43.03,42.0,38.31,33.62,30.22,27.31,25.16,24.72,25.41,25.28,26.44,29.69,30.25,33.03,34.56,34.28,31.84,28.28,23.88,18.88,16.09,13.72,14.53,15.94,19.06,22.0,25.75,28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41:33.62,30.22,27.31,25.16,24.72,25.41,25.28,26.44,29.69,30.25,33.03,34.56,34.28,31.84,28.28,23.88,18.88,16.09,13.72,14.53,15.94,19.06,22.0,25.75,28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41,-9.66,-11.97,-11.84,-12.53,-12.78,-12.62:25.28,26.44,29.69,30.25,33.03,34.56,34.28,31.84,28.28,23.88,18.88,16.09,13.72,14.53,15.94,19.06,22.0,25.75,28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41,-9.66,-11.97,-11.84,-12.53,-12.78,-12.62,-12.34,-12.28,-11.97,-11.22,-11.56,-10.97:34.28,31.84,28.28,23.88,18.88,16.09,13.72,14.53,15.94,19.06,22.0,25.75,28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41,-9.66,-11.97,-11.84,-12.53,-12.78,-12.62,-12.34,-12.28,-11.97,-11.22,-11.56,-10.97,-10.34,-9.34,-7.84,-5.09,-4.31,-3.41:13.72,14.53,15.94,19.06,22.0,25.75,28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41,-9.66,-11.97,-11.84,-12.53,-12.78,-12.62,-12.34,-12.28,-11.97,-11.22,-11.56,-10.97,-10.34,-9.34,-7.84,-5.09,-4.31,-3.41,-4.0,-6.91,-11.56,-15.84,-19.09,-23.03:28.56,31.03,33.22,33.94,33.56,34.03,32.94,33.41,32.0,31.78,33.25,34.66,38.09,42.22,45.16,46.59,46.25,44.16,40.44,36.56,33.69,30.59,28.56,27.97,27.47,28.0,27.53,28.94,29.56,30.78,31.81,32.41,31.72,31.0,29.31,28.69,28.38,27.81,26.31,25.66,22.72,21.19,17.81,16.66,14.66,12.41,10.91,10.03,10.22,8.75,9.25,10.06,9.0,10.44,12.72,14.84,18.06,19.84,22.16,24.16,23.25,22.38,20.34,19.28,18.16,18.84,19.88,22.25,25.0,27.12,28.16,28.59,29.44,28.5,27.78,25.59,25.62,23.78,22.94,22.25,22.25,22.47,21.88,22.56,22.66,23.16,24.06,24.44,25.25,26.38,26.66,25.31,24.66,24.03,23.09,23.41,24.19,24.31,25.31,24.06,24.28,24.53,24.81,25.91,27.28,27.81,28.66,27.84,27.25,28.06,29.06,32.12,33.53,34.84,34.91,33.25,29.81,26.31,22.12,18.47,15.28,13.69,12.0,11.84,13.59,15.62,16.56,17.81,19.94,17.78,18.25,17.0,17.41,19.25,20.56,24.06,26.28,27.16,26.38,24.28,21.44,19.06,17.44,17.0,17.0,16.53,17.25,16.06,15.56,15.66,15.53,15.69,14.69,14.56,14.31,14.0,14.12,13.94,14.59,14.41,14.84,16.25,17.38,16.81,15.94,14.03,12.94,11.5,10.31,10.25,10.75,10.94,10.28,10.91,10.81,10.91,11.53,11.5,10.59,11.34,10.91,10.94,11.62,12.75,13.34,15.06,17.16,19.09,20.75,22.41,22.06,22.31,21.16,19.16,17.81,16.25,15.66,15.28,14.72,15.16,16.31,16.31,17.53,19.66,20.44,22.0,24.72,26.78,28.25,30.25,30.72,30.91,31.0,30.12,29.31,29.22,28.19,27.53,27.19,25.81,23.94,21.69,21.03,18.78,18.53,18.19,16.91,15.12,13.72,11.81,10.31,9.81,10.5,12.53,13.91,15.06,15.91,14.16,14.69,14.0,14.69,16.06,17.0,17.91,17.91,17.31,18.28,19.09,19.81,20.44,19.56,18.5,17.09,16.72,15.16,15.91,14.19,13.44,12.41,12.38,13.56,13.81,15.91,17.28,18.12,18.94,19.28,18.12,16.56,14.59,11.47,8.19,5.97,3.84,3.28,3.28,3.75,5.12,6.78,9.12,10.31,13.06,17.28,19.47,22.28,24.34,24.97,24.31,23.06,23.16,22.41,22.0,22.5,22.75,22.53,21.66,21.12,20.09,18.44,17.34,15.19,13.84,12.0,10.81,9.94,11.44,12.94,14.91,17.72,20.56,23.16,25.09,27.19,27.75,27.44,26.75,24.06,21.38,19.78,17.94,17.56,16.44,16.62,15.75,14.41,12.72,11.81,9.88,10.94,11.66,12.94,14.94,17.44,16.88,17.19,17.94,17.25,16.84,15.41,14.31,12.22,10.28,9.56,9.22,10.34,12.47,14.06,14.81,15.78,16.47,17.06,18.47,18.19,19.56,20.16,20.38,20.41,20.88,22.0,21.88,22.0,21.44,20.12,18.16,16.12,14.88,13.88,13.94,14.56,14.66,16.06,16.75,17.06,16.66,16.31,15.31,13.56,12.38,12.66,12.91,13.06,14.81,16.66,18.38,20.56,21.62,23.56,23.75,23.25,22.59,20.31,19.34,17.62,16.41,16.78,16.62,17.91,18.41,19.62,20.41,20.03,20.88,21.06,21.09,20.47,20.34,19.56,18.81,18.97,19.06,19.56,21.22,22.72,24.69,26.12,27.84,28.44,28.84,28.25,27.06,24.72,23.78,22.16,20.56,20.28,20.0,20.03,20.12,20.62,20.12,19.38,18.59,17.59,16.22,15.03,14.06,12.41,11.5,11.28,9.91,10.53,10.34,10.0,10.34,10.09,9.03,6.81,6.38,5.03,4.03,4.78,5.81,7.97,9.69,11.91,14.03,14.34,16.12,16.69,16.41,16.34,16.44,14.44,14.25,13.19,12.53,11.56,11.06,10.84,10.28,10.66,11.03,11.5,12.62,13.09,12.91,15.56,15.53,17.75,18.97,19.88,20.62,19.69,18.5,17.5,14.47,11.75,9.44,7.66,7.06,6.75,6.91,6.28,6.56,7.31,7.44,8.5,11.19,13.59,14.53,17.28,18.78,19.44,18.88,19.31,18.47,17.66,17.34,16.44,15.84,15.09,13.66,13.0,12.16,12.75,13.28,14.19,16.06,16.94,18.5,19.94,21.0,21.56,21.66,21.16,20.03,18.06,16.72,15.75,15.56,16.09,17.19,17.47,17.78,16.53,16.06,14.25,13.78,12.91,12.0,12.47,12.09,10.88,11.47,11.41,12.0,12.03,12.88,13.03,12.56,13.09,12.53,13.44,13.44,14.19,14.75,16.06,16.69,16.91,17.03,17.12,16.5,16.0,15.94,15.0,15.09,15.16,14.56,14.03,13.78,12.91,11.69,10.81,10.91,11.25,12.56,14.97,17.5,19.28,21.22,20.88,21.31,20.5,19.19,17.53,15.75,15.19,13.56,12.78,14.28,15.06,16.31,17.03,17.38,17.28,17.41,16.84,17.28,17.56,18.31,19.09,20.19,21.72,22.0,22.06,21.03,20.59,18.75,18.62,18.06,18.84,19.66,22.41,23.62,23.91,24.62,24.72,23.34,21.91,19.97,17.28,14.94,12.31,10.84,9.84,8.78,9.59,10.78,12.06,13.84,15.22,16.53,16.88,15.88,14.91,14.94,14.66,13.84,14.28,13.97,13.53,12.38,12.59,11.69,10.66,10.91,10.69,11.47,13.53,14.44,15.94,16.47,15.81,14.41,12.5,11.0,10.0,8.06,7.56,6.69,5.06,4.59,2.81,2.25,2.03,1.94,3.0,5.19,7.34,9.34,10.56,12.06,12.5,12.91,13.56,14.47,14.75,14.41,15.62,15.47,16.5,17.06,17.84,18.66,18.84,18.59,17.34,15.25,13.28,10.28,7.81,6.81,5.66,6.19,7.56,8.66,9.47,10.94,12.34,13.19,14.91,16.97,19.16,20.28,22.0,22.19,22.88,23.34,24.12,24.62,23.94,23.28,20.88,17.53,15.62,12.97,11.38,10.56,10.62,10.81,10.06,11.0,11.31,12.09,14.75,16.19,18.56,20.31,21.94,24.06,26.16,27.78,29.56,31.06,32.31,33.25,32.88,32.53,29.97,26.88,24.72,21.41,19.06,17.19,14.94,13.62,13.28,13.56,14.62,17.09,18.88,21.41,22.25,23.75,24.62,25.34,25.38,25.41,25.12,24.06,23.06,22.25,20.16,19.66,18.44,17.06,15.66,14.5,13.81,13.5,14.94,15.56,17.0,17.56,17.09,16.5,15.72,14.53,14.06,13.81,14.25,15.47,16.5,18.81,20.91,22.38,23.22,24.47,23.44,22.53,20.78,18.88,17.03,15.28,13.69,14.66,15.28,15.34,16.31,16.44,15.75,16.19,16.5,17.41,17.72,17.62,17.62,17.03,15.66,15.69,15.53,15.19,15.59,15.28,15.12,13.81,13.72,13.16,12.56,12.06,12.94,13.53,14.81,15.72,16.06,16.78,17.62,18.5,19.12,20.47,21.38,20.78,21.12,20.53,19.16,18.47,17.41,16.19,15.0,13.31,11.53,9.53,8.28,7.59,7.06,7.69,9.0,10.66,12.56,14.66,17.88,20.16,22.31,23.59,24.03,22.59,21.97,21.25,20.34,20.09,20.19,19.41,19.78,20.06,19.41,19.41,-9.66,-11.97,-11.84,-12.53,-12.78,-12.62,-12.34,-12.28,-11.97,-11.22,-11.56,-10.97,-10.34,-9.34,-7.84,-5.09,-4.31,-3.41,-4.0,-6.91,-11.56,-15.84,-19.09,-23.03,-24.28,-22.81,-21.16,-17.94,-14.66,-10.72:negativity
17.47,17.34,16.56,16.03,14.06,13.38,10.88,10.09,8.91,8.0,7.53,6.88,6.28,5.91,6.09,7.0,10.22,12.53,15.12,18.56,20.91,22.0,24.25,25.06,24.94,24.56,23.44,21.88,21.91,20.56,21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97:10.88,10.09,8.91,8.0,7.53,6.88,6.28,5.91,6.09,7.0,10.22,12.53,15.12,18.56,20.91,22.0,24.25,25.06,24.94,24.56,23.44,21.88,21.91,20.56,21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97,-21.22,-21.44,-21.16,-22.44,-24.41,-25.28:6.28,5.91,6.09,7.0,10.22,12.53,15.12,18.56,20.91,22.0,24.25,25.06,24.94,24.56,23.44,21.88,21.91,20.56,21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97,-21.22,-21.44,-21.16,-22.44,-24.41,-25.28,-26.78,-26.66,-27.09,-27.88,-27.34,-28.0:15.12,18.56,20.91,22.0,24.25,25.06,24.94,24.56,23.44,21.88,21.91,20.56,21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97,-21.22,-21.44,-21.16,-22.44,-24.41,-25.28,-26.78,-26.66,-27.09,-27.88,-27.34,-28.0,-29.41,-30.22,-30.38,-30.97,-29.75,-28.94:24.94,24.56,23.44,21.88,21.91,20.56,21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97,-21.22,-21.44,-21.16,-22.44,-24.41,-25.28,-26.78,-26.66,-27.09,-27.88,-27.34,-28.0,-29.41,-30.22,-30.38,-30.97,-29.75,-28.94,-25.59,-22.5,-19.88,-16.78,-13.91,-13.5:21.91,21.62,23.75,24.94,26.03,26.12,25.09,24.19,24.69,25.53,28.31,31.44,33.53,34.78,36.16,34.94,35.03,33.19,31.69,29.41,26.22,24.69,22.34,20.31,19.88,20.25,20.69,21.88,23.28,23.19,22.34,19.75,16.06,12.78,10.34,7.78,7.81,7.81,9.12,9.16,9.62,9.38,9.56,9.88,10.44,12.34,13.62,14.69,15.28,16.31,17.09,17.31,19.16,20.03,20.59,22.19,22.78,23.03,23.78,23.97,24.03,23.62,22.72,21.78,20.16,20.0,19.81,19.81,20.81,22.41,22.25,23.97,23.97,22.88,23.31,23.09,22.91,24.84,25.91,28.31,29.25,30.72,30.94,29.91,27.47,25.91,23.25,20.06,18.72,16.09,15.06,15.28,15.56,17.44,20.25,23.53,26.19,29.38,32.0,33.06,34.28,34.97,33.41,33.19,31.41,29.56,28.0,26.97,25.41,24.91,23.91,22.62,22.03,22.0,21.66,22.34,22.94,22.78,23.81,24.06,24.84,26.75,29.19,31.41,34.53,35.97,36.72,35.81,33.47,31.34,27.91,25.66,23.72,21.5,19.34,18.53,16.56,15.41,13.84,12.62,11.81,11.0,12.91,14.28,15.97,19.62,22.12,24.06,26.62,26.75,26.38,24.06,22.03,20.06,18.12,17.25,17.16,17.62,16.66,18.19,18.72,18.88,19.19,20.66,19.47,19.72,19.53,20.28,20.84,20.31,22.16,22.5,24.03,26.84,28.09,29.28,30.28,29.56,29.62,28.62,28.03,26.19,24.66,23.09,21.94,21.16,20.0,19.22,18.38,17.19,17.0,16.19,16.94,18.12,18.94,20.84,21.59,21.25,21.66,21.22,21.38,20.75,21.31,21.91,21.88,21.41,22.0,21.62,20.97,21.0,19.31,17.09,15.38,14.44,13.88,13.56,14.06,14.59,15.19,15.66,16.91,18.19,18.41,19.66,20.66,20.59,21.41,21.94,23.31,23.41,23.94,24.56,23.75,23.12,22.91,22.19,21.25,21.62,21.47,22.12,22.34,22.91,24.12,22.91,23.84,23.66,24.09,24.09,24.88,24.94,25.16,25.62,25.53,26.03,25.12,26.06,26.69,27.09,28.56,29.41,30.09,28.94,26.72,23.56,21.03,17.56,15.5,16.22,17.62,20.0,22.59,24.78,25.81,26.06,25.06,23.06,21.94,22.03,20.5,20.62,22.56,23.03,24.31,25.19,24.88,25.12,25.47,25.78,26.81,27.19,26.06,25.25,24.44,21.94,21.44,22.88,23.31,24.03,26.03,26.38,27.16,27.62,25.78,25.41,22.91,21.81,20.41,18.53,17.81,16.12,14.84,13.94,13.19,12.84,13.16,13.97,16.81,19.69,22.34,26.66,29.53,31.56,32.97,34.03,34.56,33.66,32.66,32.38,30.66,29.66,28.75,28.56,28.44,28.12,27.31,25.81,23.31,21.66,18.69,17.09,15.91,15.38,15.44,15.88,17.09,19.06,21.31,22.19,23.12,23.91,23.34,24.34,24.81,25.62,25.41,25.41,24.28,23.53,21.72,20.66,18.09,15.81,14.12,11.88,9.97,9.5,9.5,10.06,11.69,12.03,14.16,14.75,17.47,21.44,24.53,28.16,31.0,32.28,32.72,32.34,32.59,32.59,33.19,33.09,33.12,33.28,31.38,30.84,29.94,28.12,27.19,27.28,27.31,27.88,29.81,32.19,33.53,36.03,35.91,34.94,33.22,30.72,28.03,26.91,24.62,23.41,21.81,20.12,19.94,19.28,19.41,19.66,19.12,19.0,19.16,17.78,18.12,18.53,21.19,24.38,27.88,30.84,31.78,31.56,30.88,29.94,28.0,27.66,27.06,25.62,25.34,25.31,23.38,24.31,23.38,23.34,22.69,22.12,21.47,20.09,19.16,19.25,19.44,19.75,21.31,23.09,25.91,28.12,28.53,30.44,30.66,30.03,29.56,29.16,28.75,27.78,28.19,28.28,27.47,28.41,27.31,25.94,25.22,22.59,22.53,22.62,21.62,21.91,22.97,24.16,25.78,29.0,30.81,33.12,34.31,35.22,34.06,32.31,30.56,27.94,26.28,23.62,23.34,22.56,21.19,20.53,19.97,18.94,18.03,17.06,16.22,15.88,15.34,15.44,16.22,16.88,18.47,19.78,20.06,20.22,20.03,18.94,17.66,18.09,19.81,21.59,24.12,27.5,28.28,27.47,25.31,22.34,19.94,17.78,16.81,18.0,19.44,20.5,21.75,22.66,23.56,24.31,25.72,26.34,28.25,28.44,28.84,28.41,26.25,24.69,22.69,20.5,20.19,20.41,20.97,20.53,21.28,19.94,19.78,19.97,20.62,21.56,23.03,23.59,25.12,27.0,30.06,31.78,33.28,33.16,31.66,28.91,25.81,22.0,19.0,15.66,14.75,13.5,13.16,13.28,12.53,12.88,13.53,13.84,15.53,15.19,16.19,15.53,16.62,17.0,19.12,20.66,22.75,24.31,24.81,24.56,24.66,23.28,23.53,22.97,22.81,22.62,22.91,23.78,22.94,23.72,23.88,23.81,24.41,24.5,23.56,22.84,20.91,19.12,18.12,17.41,18.84,19.62,20.78,21.12,20.62,20.16,18.19,17.78,16.38,14.75,13.94,12.72,12.03,11.38,10.12,9.06,8.78,7.81,9.03,10.12,12.06,14.12,17.66,19.81,21.66,24.25,25.19,26.31,26.72,26.06,24.69,22.34,20.91,19.16,17.31,16.22,15.81,14.81,14.41,14.75,14.81,15.16,15.88,16.94,18.44,19.94,22.12,25.16,28.34,30.78,32.78,33.53,32.31,31.09,29.94,28.78,28.09,26.88,27.72,26.72,26.5,26.69,26.19,26.78,24.84,25.38,24.5,23.72,23.75,24.03,24.22,25.81,27.12,28.72,29.81,29.66,28.75,26.25,24.91,22.0,19.75,18.62,18.28,18.06,19.09,19.53,20.0,20.62,21.03,20.56,19.62,18.16,17.0,14.56,14.84,14.12,14.84,16.56,18.53,22.19,24.97,27.66,29.16,29.06,29.25,27.44,25.94,24.28,23.53,22.84,22.78,23.34,24.03,23.5,24.25,23.91,21.81,20.75,18.69,17.31,17.03,17.81,18.88,21.28,23.84,24.81,27.56,27.5,27.06,25.34,23.91,20.81,18.31,15.28,13.56,12.28,12.38,13.47,15.06,16.56,19.03,21.38,22.5,24.59,25.66,25.91,25.03,25.25,24.47,24.84,25.44,27.53,28.66,30.62,32.16,31.72,31.66,30.06,27.69,26.09,24.5,24.66,24.88,25.78,27.06,26.84,26.19,24.38,23.75,21.28,19.97,19.69,19.66,19.88,20.94,23.12,25.28,25.72,27.69,28.5,29.06,30.88,31.78,33.75,36.19,37.62,39.5,40.31,39.41,37.09,34.5,30.56,26.84,24.16,21.56,19.91,20.31,19.94,22.03,24.44,27.84,30.03,32.0,32.81,31.62,31.53,30.91,29.31,28.72,26.69,25.5,24.31,23.88,23.44,23.78,24.91,24.66,25.41,25.81,25.91,26.28,26.31,26.16,25.22,25.0,24.5,24.0,23.62,23.09,22.03,21.97,20.59,20.81,21.31,20.53,21.31,21.72,22.44,21.91,21.09,19.5,17.06,16.16,15.31,15.16,14.81,15.41,16.06,16.31,16.38,16.16,14.03,13.44,12.12,11.88,12.53,13.66,15.94,18.62,20.44,22.81,25.53,27.19,29.44,31.38,32.66,33.22,33.34,34.28,33.97,-21.22,-21.44,-21.16,-22.44,-24.41,-25.28,-26.78,-26.66,-27.09,-27.88,-27.34,-28.0,-29.41,-30.22,-30.38,-30.97,-29.75,-28.94,-25.59,-22.5,-19.88,-16.78,-13.91,-13.5,-13.41,-14.12,-14.66,-16.03,-18.59,-20.81:negativity
33.88,35.66,37.78,39.81,40.91,41.84,42.53,43.19,43.44,42.62,42.25,41.53,41.31,41.62,42.91,44.5,45.72,47.28,48.28,48.28,47.81,46.22,46.53,45.0,44.28,45.56,45.66,45.91,47.06,46.72,46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41:42.53,43.19,43.44,42.62,42.25,41.53,41.31,41.62,42.91,44.5,45.72,47.28,48.28,48.28,47.81,46.22,46.53,45.0,44.28,45.56,45.66,45.91,47.06,46.72,46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41,-8.78,-6.56,-4.88,-2.62,-1.16,0.25:41.31,41.62,42.91,44.5,45.72,47.28,48.28,48.28,47.81,46.22,46.53,45.0,44.28,45.56,45.66,45.91,47.06,46.72,46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41,-8.78,-6.56,-4.88,-2.62,-1.16,0.25,1.47,2.0,2.03,1.81,1.62,1.0:48.28,48.28,47.81,46.22,46.53,45.0,44.28,45.56,45.66,45.91,47.06,46.72,46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41,-8.78,-6.56,-4.88,-2.62,-1.16,0.25,1.47,2.0,2.03,1.81,1.62,1.0,1.25,1.84,1.75,1.75,2.72,2.78:44.28,45.56,45.66,45.91,47.06,46.72,46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41,-8.78,-6.56,-4.88,-2.62,-1.16,0.25,1.47,2.0,2.03,1.81,1.62,1.0,1.25,1.84,1.75,1.75,2.72,2.78,2.91,1.81,1.78,0.5,1.53,1.0:46.12,44.44,42.88,40.44,38.41,37.06,36.19,36.44,37.5,38.56,40.09,41.34,42.88,43.41,43.31,44.56,43.06,42.88,42.28,40.78,40.16,38.97,38.88,38.56,39.25,39.94,41.25,41.69,42.59,43.47,43.31,44.31,42.72,42.16,40.62,38.31,37.41,35.0,34.19,33.34,31.41,31.09,30.62,30.41,30.91,31.44,32.22,31.72,32.38,31.97,30.94,29.19,29.62,28.78,28.03,28.56,27.78,27.16,26.12,26.31,25.97,25.97,27.16,27.16,27.25,27.25,26.81,28.47,28.84,30.69,30.31,30.75,31.06,31.25,31.84,34.94,37.78,41.12,44.66,46.0,44.94,42.34,37.28,33.06,27.78,24.81,23.0,21.56,22.12,22.44,21.62,22.0,22.16,22.84,24.06,25.41,26.12,26.66,26.91,26.34,26.28,26.69,26.59,27.84,28.88,28.41,28.34,27.78,27.81,27.34,28.94,30.31,30.84,31.06,28.78,26.5,24.34,21.94,21.81,22.81,25.78,27.47,29.84,31.44,31.88,31.62,34.16,34.53,36.12,36.88,36.88,36.5,35.59,34.56,34.31,33.22,35.16,35.56,37.91,39.44,40.81,42.22,40.34,38.78,36.88,35.38,33.84,32.91,32.31,31.97,31.84,32.28,32.19,32.16,31.28,30.16,28.69,27.69,26.62,27.62,26.81,27.53,28.62,29.28,30.31,30.25,30.38,29.38,26.66,25.06,21.22,19.66,17.59,17.19,17.53,19.0,21.84,24.94,27.81,30.62,32.56,32.91,33.88,33.31,33.31,33.69,33.69,34.0,34.5,34.06,32.81,32.91,33.69,34.09,35.47,36.41,36.44,35.72,34.94,34.06,33.88,31.69,33.56,32.59,32.31,32.72,32.44,32.22,31.16,29.31,28.16,25.47,23.41,21.03,18.88,17.88,17.75,18.38,20.75,24.06,27.66,30.97,34.41,36.5,37.75,38.25,37.12,34.31,33.47,31.47,30.25,29.97,30.28,29.56,30.16,29.94,31.06,31.31,32.41,33.56,31.31,29.59,28.66,25.53,23.56,24.06,24.56,24.53,27.25,29.0,29.94,29.75,29.38,28.31,26.94,24.56,23.28,21.72,21.41,20.78,21.56,21.81,23.28,25.31,26.59,28.91,29.09,29.25,29.12,28.44,27.78,28.91,29.44,30.78,31.84,33.44,34.69,34.78,34.62,32.44,28.62,25.19,20.91,17.81,16.59,17.44,17.03,18.88,21.03,23.12,25.09,26.28,28.69,29.22,30.81,31.19,32.66,33.75,33.34,33.38,33.12,31.81,30.16,28.53,28.16,27.06,26.56,28.19,29.28,31.16,32.28,32.66,33.84,32.03,32.12,31.5,30.56,31.31,30.66,30.75,31.28,30.47,30.5,29.81,28.5,29.41,30.41,31.41,33.72,35.03,35.62,36.75,35.75,34.78,32.72,30.81,29.06,29.06,27.69,27.62,26.88,26.38,25.41,24.62,23.59,24.31,24.38,22.94,23.56,24.12,24.81,26.34,28.06,29.91,31.16,33.19,34.03,33.41,34.56,33.44,31.31,31.19,30.72,30.22,30.03,30.56,30.66,30.91,32.19,32.59,33.41,33.81,33.34,33.06,32.25,32.53,32.44,32.44,31.47,30.31,29.94,28.19,27.06,25.0,23.69,22.66,22.28,23.09,24.09,25.41,27.12,28.06,29.0,29.5,30.81,31.38,31.09,32.25,31.94,31.78,32.0,30.91,30.94,30.38,29.31,28.41,27.12,25.56,23.53,21.94,20.75,19.75,20.41,20.91,21.94,23.12,24.12,24.88,27.31,28.69,29.16,29.91,29.44,28.0,26.53,26.16,25.56,25.38,26.25,27.16,28.0,29.0,30.0,31.75,32.97,34.75,36.91,37.28,39.84,41.0,42.0,43.03,43.72,43.38,43.06,42.34,42.56,41.94,42.91,43.16,42.5,41.19,38.66,37.25,33.88,32.31,31.56,30.53,29.97,29.53,30.06,30.03,31.12,33.75,36.06,38.22,39.53,41.16,39.66,39.5,37.44,36.06,36.34,34.94,35.75,36.69,35.72,35.03,34.94,34.53,34.16,34.06,32.59,31.5,29.97,28.09,26.88,25.53,24.75,23.0,22.69,22.0,21.84,21.78,21.53,21.47,20.38,19.34,17.59,17.59,16.88,17.66,18.38,20.66,21.31,22.69,21.97,22.56,20.44,19.81,19.84,19.34,20.31,21.34,23.69,25.28,25.22,25.94,25.31,23.56,22.88,22.12,21.41,21.56,20.91,22.09,21.25,22.25,22.12,22.38,22.91,22.41,22.5,22.34,21.25,21.34,20.69,21.06,22.34,21.78,23.81,23.88,24.56,24.06,23.16,20.03,17.19,13.34,10.25,8.19,6.81,6.03,5.0,3.72,1.22,0.94,0.0,1.41,3.0,6.44,10.09,12.12,13.5,13.34,11.47,8.62,7.97,6.19,6.5,6.97,7.81,8.62,9.75,11.12,12.97,15.28,18.59,20.72,22.22,23.0,23.28,23.56,23.31,24.03,24.19,25.0,24.16,25.53,25.66,25.06,26.0,25.94,25.78,25.81,25.41,24.62,26.25,27.25,29.12,31.5,32.56,33.28,32.75,32.12,29.66,27.78,26.31,24.5,22.84,22.41,21.72,20.5,20.78,20.19,19.75,19.66,18.56,19.19,17.72,18.0,18.69,18.69,19.75,20.44,20.25,19.56,18.03,16.94,16.19,16.34,14.66,16.31,15.66,15.44,15.25,14.31,13.0,13.34,13.31,13.78,14.06,16.12,16.94,18.03,18.78,19.94,19.66,20.06,20.16,19.31,19.75,17.41,15.28,13.41,11.94,10.81,12.41,14.75,17.94,22.06,25.72,27.72,28.06,27.53,25.44,22.62,21.88,21.12,23.12,25.25,27.62,29.62,29.56,30.81,29.78,28.78,27.53,26.06,24.81,23.72,23.03,21.69,20.25,18.31,17.62,16.56,16.19,16.28,16.19,16.84,15.94,15.06,13.03,13.0,12.41,12.03,13.66,15.53,16.66,18.22,19.75,19.91,20.56,21.16,21.62,22.38,23.25,23.94,24.72,27.03,27.97,28.38,29.22,28.91,28.28,27.31,26.72,25.91,25.28,25.03,25.41,25.44,26.66,27.0,27.81,27.69,27.31,26.03,24.44,23.94,23.25,24.28,26.03,27.09,29.19,29.75,29.31,28.19,27.44,26.16,24.69,25.0,24.44,25.03,24.62,24.31,24.28,23.47,23.72,22.94,23.69,24.78,24.69,24.25,24.38,24.31,23.38,22.25,21.16,20.06,18.69,17.25,15.25,14.03,13.0,11.28,10.62,10.88,11.78,14.31,16.66,20.34,23.41,25.31,26.22,26.69,26.06,24.94,23.16,21.62,20.84,19.34,19.5,20.25,20.06,22.09,23.72,26.41,28.78,30.91,33.62,35.31,35.56,34.91,33.84,31.5,28.38,25.19,23.06,20.78,19.91,18.53,19.09,19.44,19.94,20.41,23.31,25.06,27.25,29.38,30.62,29.94,30.47,28.16,26.28,24.41,21.25,19.5,16.81,16.19,14.91,15.03,14.53,14.25,14.06,13.38,14.16,15.91,18.06,21.0,22.94,23.84,25.06,24.22,23.16,22.62,21.03,19.56,19.34,17.78,16.84,16.34,17.56,18.5,19.72,21.59,22.66,22.44,21.16,20.53,19.75,19.0,19.47,20.69,21.91,22.91,24.12,25.16,26.34,25.88,27.12,28.0,28.97,30.03,31.62,32.41,-8.78,-6.56,-4.88,-2.62,-1.16,0.25,1.47,2.0,2.03,1.81,1.62,1.0,1.25,1.84,1.75,1.75,2.72,2.78,2.91,1.81,1.78,0.5,1.53,1.0,1.78,3.69,5.47,6.12,7.44,7.97:negativity
36.72,37.06,37.16,36.66,36.59,36.12,37.0,38.12,38.81,39.62,40.09,39.62,37.66,36.28,33.56,30.38,28.19,27.47,26.5,28.28,30.81,33.69,36.38,38.44,39.97,41.69,41.25,42.41,42.5,42.91,43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59:37.0,38.12,38.81,39.62,40.09,39.62,37.66,36.28,33.56,30.38,28.19,27.47,26.5,28.28,30.81,33.69,36.38,38.44,39.97,41.69,41.25,42.41,42.5,42.91,43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59,-5.34,-6.16,-7.78,-8.91,-10.19,-10.31:37.66,36.28,33.56,30.38,28.19,27.47,26.5,28.28,30.81,33.69,36.38,38.44,39.97,41.69,41.25,42.41,42.5,42.91,43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59,-5.34,-6.16,-7.78,-8.91,-10.19,-10.31,-9.28,-7.12,-6.22,-4.31,-3.97,-4.38:26.5,28.28,30.81,33.69,36.38,38.44,39.97,41.69,41.25,42.41,42.5,42.91,43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59,-5.34,-6.16,-7.78,-8.91,-10.19,-10.31,-9.28,-7.12,-6.22,-4.31,-3.97,-4.38,-5.34,-5.91,-7.97,-9.38,-11.66,-12.16:39.97,41.69,41.25,42.41,42.5,42.91,43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59,-5.34,-6.16,-7.78,-8.91,-10.19,-10.31,-9.28,-7.12,-6.22,-4.31,-3.97,-4.38,-5.34,-5.91,-7.97,-9.38,-11.66,-12.16,-12.97,-12.84,-11.59,-10.19,-9.03,-8.03:43.75,43.41,44.94,43.91,43.03,42.41,40.84,40.06,39.44,39.16,39.78,39.44,40.34,42.0,44.03,46.03,46.91,48.03,47.66,47.44,47.94,47.94,47.78,47.69,46.09,45.25,43.69,41.88,41.12,41.12,41.09,41.16,40.81,39.91,39.03,36.56,34.06,32.47,31.12,28.97,27.44,25.56,24.72,22.78,21.31,21.28,19.47,19.5,20.25,19.72,21.31,22.75,22.97,24.34,23.12,23.69,25.59,26.19,28.53,29.81,30.72,31.44,31.09,30.16,29.78,27.91,26.47,24.31,22.44,19.97,18.94,19.53,20.81,22.75,25.25,27.81,30.0,31.5,32.25,33.75,34.19,33.38,32.56,31.44,29.72,28.28,27.41,24.97,23.47,21.69,20.06,19.75,19.31,19.28,20.59,22.0,24.69,26.12,29.59,31.5,33.66,34.62,35.62,36.09,36.22,35.91,36.59,37.38,37.78,39.31,38.53,38.97,37.5,36.31,33.03,30.09,27.03,23.91,23.22,22.81,25.72,26.72,30.16,32.53,34.94,37.06,38.97,41.75,41.56,41.22,41.62,40.75,40.81,39.31,40.5,40.06,39.44,38.94,38.78,37.31,35.69,33.31,30.44,28.78,28.53,28.66,30.94,33.97,36.69,39.66,43.66,47.06,50.09,52.28,53.62,53.78,52.34,52.0,50.97,49.34,49.12,48.25,48.12,49.97,51.38,52.66,52.84,52.78,48.0,43.28,37.0,31.91,28.31,26.06,26.41,28.0,30.06,32.53,33.88,35.19,36.25,37.16,37.88,37.62,37.72,37.56,36.0,34.88,34.09,33.66,33.06,33.25,34.56,35.47,36.62,37.53,37.53,37.0,37.25,37.0,36.31,35.56,34.91,34.03,33.16,31.19,31.84,33.09,33.44,35.66,38.06,39.5,40.34,40.31,39.78,38.03,36.56,33.53,31.16,30.0,30.31,31.41,33.88,37.0,40.88,43.31,45.28,47.28,46.53,48.31,47.22,46.97,45.44,44.12,43.25,41.12,41.16,40.38,39.69,40.5,39.31,37.91,37.72,35.69,35.47,34.28,33.19,32.31,29.84,28.41,26.91,24.19,23.06,21.81,21.03,21.69,23.06,24.88,27.91,30.25,34.28,36.84,40.25,42.53,43.44,43.16,42.53,40.25,36.62,32.94,30.31,27.38,25.59,23.91,23.25,22.91,23.5,24.5,26.5,28.78,29.94,33.0,34.91,37.0,38.88,39.53,39.47,38.72,37.69,36.94,35.31,33.72,32.47,30.88,30.06,28.94,29.56,30.19,30.59,31.84,33.56,34.28,35.56,37.12,38.25,39.25,40.0,41.38,40.5,41.0,41.03,40.28,41.69,41.44,40.97,40.88,41.78,40.41,38.56,40.0,39.5,39.5,40.31,40.19,40.25,41.25,40.81,41.56,42.78,43.09,44.53,45.94,48.09,49.44,49.03,48.56,46.56,45.0,42.5,40.56,39.88,39.94,40.06,41.0,41.91,42.41,41.22,40.41,39.47,37.84,37.44,37.0,36.56,37.19,37.5,37.12,41.38,42.91,46.81,48.91,50.34,49.31,47.31,44.5,42.19,40.41,39.16,39.25,39.44,40.22,40.84,40.56,38.44,36.59,32.5,29.41,24.19,24.03,21.97,20.56,22.78,25.12,28.0,32.88,37.12,40.25,44.03,46.62,48.38,51.16,53.25,55.72,57.0,58.09,58.31,57.62,55.44,54.78,51.56,48.56,44.06,38.88,33.53,28.34,25.53,25.59,27.5,31.69,35.31,40.5,43.19,44.44,45.06,44.25,40.5,41.75,37.62,36.53,34.53,33.56,31.69,30.91,31.19,30.78,30.66,32.62,29.69,33.31,33.16,33.72,36.31,37.56,37.62,38.66,40.03,40.69,41.25,41.91,40.84,39.97,38.88,38.09,36.69,37.5,38.5,39.84,42.31,44.31,45.91,48.0,46.69,49.25,48.44,48.19,48.66,48.5,47.88,47.53,47.62,47.88,49.38,47.69,50.19,48.56,47.12,46.44,44.66,42.66,41.56,39.78,41.97,42.12,43.34,45.12,42.94,46.69,45.91,46.66,48.0,48.41,48.28,47.06,44.72,43.47,42.06,40.72,40.62,40.03,40.22,39.09,36.75,37.84,37.12,37.69,38.56,38.19,37.78,37.69,36.31,36.31,35.5,36.94,37.09,37.72,39.31,40.41,41.41,39.19,39.97,38.56,36.94,35.81,34.81,33.31,31.12,29.09,28.72,28.25,26.19,28.88,27.56,28.19,29.53,30.34,30.94,31.31,32.12,33.62,34.25,35.53,36.81,37.09,36.41,36.06,35.06,34.94,34.22,33.78,32.22,32.84,31.06,30.81,31.28,29.16,28.44,27.06,23.5,21.78,21.38,20.56,21.56,24.31,26.69,29.91,32.0,34.31,36.19,39.06,38.66,40.38,40.25,39.41,39.72,39.81,39.31,39.28,37.72,40.03,38.62,40.75,42.38,42.38,43.5,44.69,45.06,45.31,47.62,49.5,52.03,54.41,54.53,56.19,55.31,55.28,53.91,52.59,50.88,49.66,47.94,47.0,46.69,46.69,44.19,45.84,44.47,43.97,44.62,43.38,42.78,41.38,40.53,42.0,42.81,45.88,47.94,48.44,47.56,48.88,47.69,49.47,51.03,52.81,54.56,56.03,55.94,54.28,53.56,51.34,49.69,49.03,45.72,48.44,47.25,49.0,51.44,52.44,55.75,56.16,56.66,56.34,55.44,53.19,51.25,50.03,47.06,48.19,47.12,47.94,49.12,50.44,49.88,50.56,48.88,46.72,43.59,40.38,36.31,35.12,32.75,32.56,34.91,36.69,39.03,42.44,44.09,46.25,46.56,47.19,47.41,46.97,45.69,45.16,42.5,40.97,38.94,35.81,33.41,31.91,30.44,30.44,30.25,30.5,29.97,30.16,30.31,32.31,33.97,35.31,36.91,35.31,37.91,35.34,34.5,32.62,32.06,30.72,31.12,32.41,33.53,34.31,35.06,35.47,35.31,35.81,36.34,37.69,37.25,41.41,42.38,45.38,48.53,50.19,50.5,50.47,48.75,47.09,44.81,43.06,41.06,39.16,37.66,36.66,36.19,35.72,35.25,34.69,32.97,31.09,29.62,25.09,26.31,25.41,26.59,29.44,32.31,34.06,36.97,37.5,38.28,38.44,38.5,38.19,38.5,38.16,38.59,38.41,38.22,38.16,37.38,33.59,35.44,33.34,32.62,33.03,33.31,33.81,34.88,37.19,39.38,41.25,42.19,43.19,43.03,40.0,42.16,40.62,41.25,42.38,42.38,41.41,41.62,39.59,37.66,35.81,32.88,30.0,27.66,23.88,25.0,25.41,26.34,29.25,32.19,34.31,36.59,38.16,38.53,38.53,37.81,36.0,33.41,33.91,31.72,31.06,30.72,30.03,29.56,29.84,30.03,29.53,29.56,29.44,30.66,31.81,33.22,36.25,38.66,40.81,43.22,44.31,42.88,45.16,42.81,42.16,42.03,41.03,38.72,38.44,36.59,35.53,34.69,34.44,34.44,35.06,35.5,36.66,38.03,38.41,38.94,39.94,39.31,40.44,41.19,41.44,42.41,43.31,43.94,44.5,44.22,44.56,43.19,41.38,39.22,37.47,33.56,33.94,31.25,32.97,33.03,34.59,36.94,38.5,40.38,42.56,44.09,46.03,47.22,47.94,48.53,49.09,48.38,45.25,45.66,41.62,39.34,36.94,33.19,30.06,26.69,25.06,24.16,24.0,24.69,26.28,28.66,31.59,-5.34,-6.16,-7.78,-8.91,-10.19,-10.31,-9.28,-7.12,-6.22,-4.31,-3.97,-4.38,-5.34,-5.91,-7.97,-9.38,-11.66,-12.16,-12.97,-12.84,-11.59,-10.19,-9.03,-8.03,-7.41,-6.47,-5.59,-4.72,-4.31,-2.59:negativity
115.56,112.25,109.44,106.88,104.31,105.19,105.81,106.5,106.81,105.31,105.25,105.69,106.81,108.44,111.53,112.84,112.81,113.06,112.72,112.62,114.75,114.0,114.94,114.38,112.5,109.03,106.53,104.31,103.19,102.31,102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75:105.81,106.5,106.81,105.31,105.25,105.69,106.81,108.44,111.53,112.84,112.81,113.06,112.72,112.62,114.75,114.0,114.94,114.38,112.5,109.03,106.53,104.31,103.19,102.31,102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75,79.53,77.0,75.38,74.19,72.84,74.06:106.81,108.44,111.53,112.84,112.81,113.06,112.72,112.62,114.75,114.0,114.94,114.38,112.5,109.03,106.53,104.31,103.19,102.31,102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75,79.53,77.0,75.38,74.19,72.84,74.06,73.28,72.78,72.62,69.16,69.47,69.72:112.72,112.62,114.75,114.0,114.94,114.38,112.5,109.03,106.53,104.31,103.19,102.31,102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75,79.53,77.0,75.38,74.19,72.84,74.06,73.28,72.78,72.62,69.16,69.47,69.72,72.28,74.31,76.69,77.97,78.19,77.91:112.5,109.03,106.53,104.31,103.19,102.31,102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75,79.53,77.0,75.38,74.19,72.84,74.06,73.28,72.78,72.62,69.16,69.47,69.72,72.28,74.31,76.69,77.97,78.19,77.91,77.25,76.19,78.06,77.94,77.09,75.97:102.31,104.0,105.56,105.66,106.06,105.56,105.94,105.0,104.88,105.19,107.31,108.12,109.72,110.41,109.38,107.69,104.31,100.88,98.06,97.62,97.81,97.81,99.66,99.69,102.38,104.12,106.69,109.12,110.31,110.5,110.31,107.06,104.03,101.31,98.62,95.06,93.06,91.62,88.56,83.44,81.16,77.19,73.31,73.44,73.19,75.81,76.5,80.72,83.16,83.0,85.62,86.81,89.38,89.0,92.03,93.16,93.75,94.19,95.44,96.06,95.25,96.12,96.38,94.38,93.94,93.97,94.62,95.06,96.72,97.47,98.75,100.75,101.28,102.5,105.06,103.56,103.62,103.62,102.06,102.75,103.5,103.56,104.56,105.56,105.56,104.19,104.91,104.03,105.94,108.09,109.56,112.06,111.91,110.62,107.44,107.81,105.25,106.75,109.31,110.81,113.88,116.38,116.06,117.12,115.31,114.38,112.75,111.38,111.53,111.44,109.94,110.88,109.88,108.62,107.31,107.34,106.44,105.12,104.81,104.19,104.31,105.19,104.25,106.56,108.16,108.62,110.94,110.31,108.5,109.0,106.12,104.75,105.62,106.06,106.0,107.81,107.12,106.62,105.88,103.97,101.94,102.53,103.12,103.69,106.25,109.12,111.03,113.62,113.62,115.38,113.91,113.81,113.19,112.5,112.81,111.81,110.69,109.0,108.06,106.06,107.19,108.5,109.81,111.44,112.5,112.31,110.81,110.38,109.0,108.75,108.62,110.09,109.0,108.38,107.56,104.44,101.53,100.06,97.44,95.34,93.38,91.69,89.94,89.94,89.06,89.81,89.44,90.84,93.25,95.0,99.06,102.75,105.12,106.44,106.88,104.81,103.94,101.53,100.0,99.5,98.12,97.81,97.0,97.5,97.81,98.56,99.25,100.5,102.0,103.59,104.25,106.19,107.38,107.53,107.62,106.44,105.97,105.97,106.28,105.88,105.56,106.19,104.0,102.53,100.88,99.0,98.62,97.25,96.5,96.25,95.72,95.44,95.44,95.0,94.62,94.94,95.38,95.0,95.03,96.34,95.72,96.06,95.44,97.62,96.81,99.16,101.16,102.41,105.81,107.56,109.94,111.19,111.81,112.12,112.06,111.38,112.0,112.31,111.41,109.62,110.62,109.06,108.06,108.38,109.75,110.69,109.97,109.91,109.28,108.12,106.94,105.12,104.81,104.56,103.75,103.62,102.28,102.12,101.44,100.06,98.75,97.44,98.03,98.69,97.44,100.12,101.03,101.62,102.19,102.72,102.0,102.38,101.69,102.81,103.31,104.25,106.03,105.59,106.12,106.06,106.88,106.91,106.69,106.69,105.56,104.44,103.16,103.0,101.0,100.38,99.5,100.06,99.19,98.81,98.56,97.12,96.69,96.78,97.53,98.16,99.28,100.94,100.12,99.38,98.31,98.09,97.44,96.91,97.31,97.28,98.0,97.25,97.5,97.66,95.81,94.62,93.19,90.81,89.41,87.06,88.5,88.69,91.25,94.12,98.25,101.31,103.22,104.94,106.06,106.06,105.81,106.0,104.75,105.0,105.12,104.12,104.78,104.56,104.44,104.38,103.56,101.31,101.56,99.44,100.38,100.28,101.38,102.41,103.5,104.84,103.47,103.56,103.75,103.25,102.5,102.31,101.44,103.12,101.94,103.75,103.81,104.5,104.81,104.06,104.28,103.38,103.62,105.31,108.41,110.44,113.44,115.16,116.5,114.25,112.0,110.06,108.5,106.62,105.88,106.56,107.19,107.62,109.56,110.31,111.22,112.5,113.0,113.44,114.34,114.44,113.75,114.28,112.12,112.06,111.59,112.62,111.62,113.25,114.06,114.31,113.41,112.41,110.19,108.09,106.34,105.56,105.94,107.0,108.06,111.0,112.94,115.44,115.19,114.75,112.31,109.38,106.72,105.94,104.31,105.25,104.91,105.25,104.44,105.44,106.38,106.81,108.75,109.62,110.41,112.0,110.81,110.0,109.19,106.62,106.38,105.0,104.75,104.41,104.53,106.25,107.0,107.5,108.75,111.16,109.75,111.38,112.56,113.0,112.19,112.44,109.19,107.94,105.44,104.06,104.5,103.38,103.25,102.44,101.78,101.5,102.06,103.44,104.38,105.38,104.69,103.81,103.53,104.19,107.03,108.75,111.25,112.38,110.62,111.94,110.69,110.25,112.19,112.34,112.28,111.41,111.69,112.88,114.0,115.25,115.31,115.44,113.0,111.62,111.84,110.38,109.44,108.44,108.62,108.69,108.22,110.5,110.34,109.81,108.75,107.25,105.31,105.31,104.44,104.19,102.38,102.94,101.88,101.28,99.88,99.81,99.97,99.88,101.78,101.81,102.41,101.88,101.0,99.31,99.25,97.38,97.19,95.19,93.38,92.34,90.31,87.75,87.19,85.94,85.31,85.88,86.81,87.81,88.06,87.19,87.5,86.69,86.25,85.69,84.75,84.31,83.38,82.66,84.81,86.31,86.72,88.94,91.0,91.5,92.62,93.75,93.69,94.25,95.12,95.06,94.16,91.84,89.56,87.88,83.88,81.5,81.09,79.19,80.56,80.94,80.81,82.44,81.56,81.88,81.06,81.53,82.5,83.12,85.66,85.69,87.44,88.03,87.88,88.81,89.59,89.09,88.97,89.69,90.94,90.81,92.75,94.81,94.69,96.31,96.5,96.69,96.0,94.31,93.38,93.31,92.75,92.91,94.09,94.06,93.5,93.31,92.12,92.12,92.19,91.12,90.38,91.25,90.94,92.12,92.5,92.19,92.0,90.81,89.44,86.69,86.16,85.44,84.16,84.62,85.19,83.94,84.69,84.56,83.53,82.5,82.38,80.75,80.16,80.06,81.0,81.41,81.69,82.97,83.62,83.62,83.06,82.94,83.88,83.44,83.06,82.53,81.5,80.31,80.0,83.19,83.69,85.5,87.94,86.19,84.69,81.66,77.66,74.84,71.56,70.69,71.06,72.0,72.69,73.75,73.88,74.44,72.0,73.12,71.97,72.81,74.62,77.06,78.62,79.47,82.12,82.38,81.66,83.06,84.0,83.94,83.12,85.25,86.0,86.75,88.81,89.62,91.06,91.16,92.94,92.44,92.75,93.88,91.94,92.31,92.5,91.44,91.31,90.56,89.69,91.12,91.5,90.56,90.78,90.06,89.0,87.41,87.44,89.12,88.38,90.12,90.41,91.66,92.03,91.69,93.12,92.88,91.62,92.19,90.81,91.75,91.19,91.66,92.06,92.72,93.56,94.94,95.31,95.31,96.09,95.62,96.06,95.38,94.75,93.59,92.56,90.44,88.62,86.19,84.69,84.5,84.62,85.69,86.25,87.75,87.38,88.66,89.31,87.62,89.03,88.12,87.94,88.91,88.69,87.41,87.31,86.56,86.38,87.06,88.94,90.12,90.41,90.16,86.94,86.53,84.25,82.44,83.69,83.69,83.62,83.62,85.88,85.56,85.81,88.28,87.5,87.34,87.81,88.19,86.81,86.44,86.31,85.5,83.69,84.38,83.88,83.91,84.19,84.16,85.06,84.38,87.06,87.81,88.31,90.34,89.81,90.91,88.19,90.22,89.69,90.91,91.56,94.25,94.44,94.75,95.56,95.88,96.38,97.31,97.88,98.38,98.62,97.69,96.94,96.25,96.06,95.16,95.0,93.03,92.81,91.88,87.94,89.12,87.81,88.72,87.69,88.44,88.94,89.62,90.31,89.69,90.12,88.53,86.06,84.19,82.56,80.56,80.62,80.88,82.81,84.19,84.94,86.31,87.16,86.81,87.19,86.31,84.5,83.66,81.44,79.88,78.94,76.75,79.53,77.0,75.38,74.19,72.84,74.06,73.28,72.78,72.62,69.16,69.47,69.72,72.28,74.31,76.69,77.97,78.19,77.91,77.25,76.19,78.06,77.94,77.09,75.97,74.22,69.97,66.88,64.56,63.31,61.81:negativity
51.47,48.19,47.66,48.34,50.78,53.38,57.5,61.78,65.06,66.81,67.69,67.03,64.78,62.03,59.75,58.44,57.72,55.75,55.94,55.0,52.94,53.06,51.19,50.88,50.06,48.78,48.75,48.16,47.94,48.09,48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34:57.5,61.78,65.06,66.81,67.69,67.03,64.78,62.03,59.75,58.44,57.72,55.75,55.94,55.0,52.94,53.06,51.19,50.88,50.06,48.78,48.75,48.16,47.94,48.09,48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34,52.94,51.03,50.56,50.75,51.47,52.78:64.78,62.03,59.75,58.44,57.72,55.75,55.94,55.0,52.94,53.06,51.19,50.88,50.06,48.78,48.75,48.16,47.94,48.09,48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34,52.94,51.03,50.56,50.75,51.47,52.78,52.38,51.94,50.62,47.78,46.66,45.03:55.94,55.0,52.94,53.06,51.19,50.88,50.06,48.78,48.75,48.16,47.94,48.09,48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34,52.94,51.03,50.56,50.75,51.47,52.78,52.38,51.94,50.62,47.78,46.66,45.03,46.0,47.84,51.34,54.09,56.94,58.41:50.06,48.78,48.75,48.16,47.94,48.09,48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34,52.94,51.03,50.56,50.75,51.47,52.78,52.38,51.94,50.62,47.78,46.66,45.03,46.0,47.84,51.34,54.09,56.94,58.41,58.81,57.62,54.81,53.62,50.56,48.84:48.81,48.19,48.88,49.44,51.06,51.44,51.25,51.28,49.06,46.66,44.53,43.66,42.69,43.06,44.06,45.19,46.56,46.09,45.62,46.34,46.16,47.31,49.28,51.94,53.62,56.56,57.81,57.31,55.0,55.44,57.28,56.5,58.66,60.12,58.12,56.69,53.09,50.97,49.31,47.16,47.09,45.53,44.12,43.34,40.06,37.91,35.25,35.44,36.22,38.62,40.56,42.62,43.31,44.12,44.69,45.84,48.16,48.06,48.62,49.5,49.44,50.12,49.91,49.69,49.69,48.62,48.28,46.88,46.25,47.47,47.47,50.94,52.94,55.0,56.66,57.12,57.31,56.78,55.62,54.5,52.94,52.06,51.12,53.28,54.16,55.91,54.56,53.94,50.97,49.12,47.44,48.19,48.72,49.94,49.81,50.06,49.88,48.66,48.62,49.53,49.44,50.91,50.78,50.94,51.19,50.19,50.38,53.72,54.22,55.59,56.84,56.59,56.38,54.53,52.72,50.56,48.97,46.75,46.34,45.5,45.69,44.31,43.72,43.16,41.81,42.78,42.25,43.78,44.69,47.97,51.03,54.19,57.06,60.81,61.44,61.53,60.31,58.69,56.34,52.97,51.78,51.38,49.06,51.12,50.72,52.19,53.47,55.66,57.94,54.94,58.62,57.75,58.06,59.81,61.5,61.12,62.31,60.97,62.16,60.31,59.72,57.25,57.44,55.53,55.0,54.84,55.06,54.22,54.22,53.31,52.81,52.0,47.69,48.5,47.38,45.88,48.84,50.56,51.78,53.0,55.03,55.88,55.06,55.06,53.78,49.97,50.12,46.41,45.06,46.56,46.25,49.44,51.94,52.91,55.78,54.47,55.34,54.81,55.44,52.44,54.41,50.81,51.91,49.0,49.09,47.59,44.69,42.19,37.69,37.34,36.28,36.97,38.69,39.81,41.19,41.06,41.47,39.94,37.06,39.53,39.41,41.5,45.41,49.12,52.25,53.41,52.41,53.16,51.91,50.56,51.44,51.28,54.03,55.5,58.06,61.06,60.12,57.69,58.38,55.88,55.31,56.19,56.06,56.31,56.62,57.16,58.56,58.59,59.81,61.19,62.91,63.69,66.19,66.44,65.88,63.66,61.75,60.03,59.25,60.81,61.44,62.28,64.78,63.94,64.84,67.0,67.91,69.31,69.78,71.0,71.31,70.75,70.44,68.31,66.75,63.66,58.69,60.06,57.47,57.06,56.25,60.22,56.81,58.06,58.44,58.19,56.62,54.5,54.06,51.34,48.69,49.81,49.66,50.81,53.31,54.88,56.69,58.56,59.19,59.19,59.41,57.62,56.66,55.03,52.12,52.78,52.81,52.16,51.56,53.66,53.41,54.12,57.16,58.41,58.78,60.31,57.59,58.91,59.06,60.0,60.06,61.28,60.72,60.78,58.62,56.53,54.31,50.81,50.06,49.88,49.88,52.28,54.91,58.25,58.56,59.88,61.69,60.72,58.91,61.81,60.97,62.38,64.66,65.62,65.81,64.5,63.75,64.38,64.0,60.34,62.03,62.5,62.31,63.81,67.38,68.78,68.91,68.81,67.69,66.12,65.97,65.06,66.5,66.41,66.0,65.53,63.03,61.31,60.59,58.78,57.75,52.66,53.66,49.38,49.91,49.12,50.25,50.28,49.72,50.25,48.44,47.5,47.16,47.53,48.5,47.88,51.12,49.19,49.91,48.31,47.19,45.06,43.25,39.28,35.78,33.38,32.81,32.84,37.25,42.25,47.81,52.28,55.0,56.09,55.84,53.84,50.72,46.5,43.62,41.5,41.06,40.78,42.19,43.0,41.19,43.31,42.78,40.12,43.31,42.91,42.44,40.53,43.78,40.31,40.91,41.09,40.91,43.06,45.16,46.38,48.41,50.44,47.97,47.34,47.94,46.31,47.88,49.25,51.56,52.56,53.69,52.25,50.69,50.09,46.62,45.25,45.31,41.56,40.81,41.81,40.56,40.75,41.5,40.53,40.44,39.88,39.25,39.41,41.16,41.16,44.25,45.88,48.75,50.69,51.19,51.19,47.16,48.28,46.44,46.38,48.94,50.81,50.5,50.44,49.5,47.03,46.69,45.44,46.91,46.72,47.06,48.34,47.62,43.25,43.88,43.19,42.16,44.66,46.81,48.41,50.38,50.22,50.94,51.62,50.88,50.38,49.38,45.47,42.84,43.91,42.19,42.56,44.16,43.94,44.12,42.44,43.56,41.56,41.84,42.81,42.19,42.03,40.28,40.84,38.41,37.91,36.59,33.72,36.06,34.0,35.28,36.47,37.31,38.16,38.69,36.03,40.44,41.78,44.41,48.03,49.56,52.0,50.38,49.53,49.44,48.97,48.59,47.88,46.75,45.56,44.44,42.69,44.28,41.25,45.19,45.47,46.0,47.41,49.16,50.59,52.03,52.62,53.41,54.06,50.97,53.0,50.78,51.34,50.19,48.03,45.81,45.44,41.69,44.69,44.66,47.12,49.31,51.91,52.5,50.06,51.94,51.03,51.5,53.62,54.66,55.78,55.12,55.25,54.69,53.56,52.75,51.25,49.06,48.41,47.12,46.56,48.19,49.53,50.5,52.5,52.19,53.09,51.34,50.41,51.12,50.78,50.69,51.09,51.09,52.19,51.5,49.81,49.41,49.56,49.44,50.0,50.28,49.12,54.12,54.03,57.31,61.97,62.38,63.41,62.34,62.69,62.41,61.09,63.03,62.69,61.16,61.06,59.56,56.56,56.34,54.5,52.81,48.72,49.12,45.69,44.34,44.06,44.16,45.78,47.66,48.84,50.25,51.84,49.84,49.53,49.62,48.53,48.62,49.91,51.12,52.19,50.88,51.97,51.69,49.38,49.66,48.25,45.47,43.28,39.91,38.0,36.91,37.0,35.69,39.56,40.62,44.94,48.28,51.19,55.12,56.06,58.75,57.44,57.25,57.5,52.44,51.56,50.0,49.31,49.09,49.81,51.41,52.41,54.38,55.81,57.12,58.31,58.78,60.25,61.62,62.41,63.47,63.66,64.16,62.12,61.5,61.56,60.19,60.59,57.03,60.06,58.69,58.84,60.62,61.41,60.5,60.81,59.56,57.31,54.59,52.84,52.06,50.09,51.09,51.97,52.69,54.56,55.12,55.91,56.66,56.06,56.66,53.62,56.09,55.91,56.56,57.44,56.94,55.91,53.16,51.28,51.06,50.03,49.94,49.75,48.12,47.47,42.75,43.22,42.0,42.22,43.44,46.31,46.69,48.56,48.38,46.47,49.03,49.62,51.06,51.38,55.0,55.69,55.28,54.91,53.03,49.97,46.44,42.44,39.56,37.41,35.44,35.78,35.53,37.78,41.28,42.91,46.75,48.88,46.44,47.5,44.41,46.03,46.31,49.12,49.94,50.72,48.41,47.16,46.56,46.56,44.69,43.88,42.59,42.97,41.44,43.34,43.59,43.78,41.94,40.78,39.56,40.22,41.41,42.28,42.81,43.12,43.31,42.16,43.0,42.94,43.31,41.75,42.31,39.38,38.5,37.12,35.56,35.34,35.34,36.19,37.34,38.22,41.03,43.31,44.66,46.56,47.25,48.44,48.41,48.5,46.44,46.28,45.0,43.12,41.97,41.41,40.72,39.91,39.47,37.69,35.31,35.0,33.06,33.34,34.97,37.19,39.06,40.09,40.38,39.88,38.78,36.78,36.69,36.94,36.72,37.16,38.19,39.59,41.41,42.72,43.69,45.47,46.66,46.72,47.28,47.69,47.03,47.81,47.28,46.47,46.59,46.0,44.88,44.16,42.53,41.28,39.81,38.88,39.12,39.34,52.94,51.03,50.56,50.75,51.47,52.78,52.38,51.94,50.62,47.78,46.66,45.03,46.0,47.84,51.34,54.09,56.94,58.41,58.81,57.62,54.81,53.62,50.56,48.84,48.03,47.72,47.69,46.59,45.81,44.81:negativity
28.62,27.59,26.75,24.81,22.78,21.81,20.78,19.25,18.94,18.44,17.47,16.81,16.66,16.69,17.06,18.06,19.47,20.34,22.16,23.28,23.94,24.72,25.47,25.47,25.62,26.25,25.66,25.41,26.06,25.91,25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12:20.78,19.25,18.94,18.44,17.47,16.81,16.66,16.69,17.06,18.06,19.47,20.34,22.16,23.28,23.94,24.72,25.47,25.47,25.62,26.25,25.66,25.41,26.06,25.91,25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12,-27.09,-29.31,-31.06,-32.81,-35.06,-35.72:16.66,16.69,17.06,18.06,19.47,20.34,22.16,23.28,23.94,24.72,25.47,25.47,25.62,26.25,25.66,25.41,26.06,25.91,25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12,-27.09,-29.31,-31.06,-32.81,-35.06,-35.72,-36.59,-36.44,-35.41,-35.03,-34.72,-34.56:22.16,23.28,23.94,24.72,25.47,25.47,25.62,26.25,25.66,25.41,26.06,25.91,25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12,-27.09,-29.31,-31.06,-32.81,-35.06,-35.72,-36.59,-36.44,-35.41,-35.03,-34.72,-34.56,-34.78,-35.56,-35.47,-35.91,-34.94,-34.34:25.62,26.25,25.66,25.41,26.06,25.91,25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12,-27.09,-29.31,-31.06,-32.81,-35.06,-35.72,-36.59,-36.44,-35.41,-35.03,-34.72,-34.56,-34.78,-35.56,-35.47,-35.91,-34.94,-34.34,-34.44,-34.69,-34.62,-34.72,-35.12,-34.59:25.06,24.16,22.84,20.78,19.03,17.19,16.25,15.12,16.03,17.69,20.56,22.97,26.66,28.5,28.97,28.94,27.44,25.25,22.81,20.62,18.06,17.19,16.84,17.94,20.09,21.12,22.22,22.78,21.84,21.38,19.75,17.69,16.72,14.5,13.16,12.59,12.53,12.03,11.44,10.31,8.5,6.81,4.53,4.0,3.94,3.81,4.69,7.28,9.84,12.41,15.56,16.78,17.44,15.66,15.12,12.41,12.5,12.25,13.69,16.0,17.59,20.0,21.06,21.75,21.59,21.5,20.16,19.28,18.59,18.97,20.19,22.72,24.09,26.84,28.88,28.75,29.03,28.03,27.06,25.97,24.94,25.28,26.41,27.59,29.47,31.78,31.84,31.91,31.03,29.66,27.78,26.94,26.69,27.69,28.22,31.75,33.94,34.66,36.69,35.41,33.25,31.34,28.5,26.0,25.16,24.34,25.12,25.97,26.69,27.28,25.59,23.84,21.44,17.5,15.16,12.81,11.72,12.19,13.62,16.97,19.88,23.0,25.69,28.34,29.66,31.19,32.41,32.56,32.47,34.0,33.38,34.97,37.09,37.5,39.56,38.62,37.5,35.78,33.28,31.5,29.44,28.94,28.62,28.66,29.81,30.88,33.03,34.97,36.44,38.44,39.72,41.19,42.22,42.34,42.28,41.12,38.97,37.19,34.59,31.97,29.78,28.5,27.38,27.0,28.34,29.66,31.59,34.0,34.84,35.47,34.38,33.78,31.88,31.34,30.19,30.88,29.56,30.53,31.19,31.44,31.75,31.88,33.56,34.5,36.25,39.0,40.31,40.75,41.16,41.03,40.34,40.34,41.31,42.5,43.62,43.84,43.66,42.66,41.59,39.56,38.03,36.16,34.91,32.5,31.34,29.62,29.41,29.5,30.66,31.84,33.66,35.69,37.59,39.5,40.81,41.56,41.78,39.41,38.72,36.25,33.81,32.38,29.06,26.53,23.69,20.81,19.03,18.41,19.31,20.41,22.56,24.38,25.16,26.47,27.31,28.12,29.75,31.69,33.59,34.5,34.12,33.62,33.34,30.5,30.5,30.41,30.31,30.22,29.75,30.84,31.56,32.09,34.09,34.78,36.56,36.19,36.06,35.69,36.03,35.88,37.31,38.03,38.62,37.66,38.06,35.25,32.62,29.66,26.66,25.38,23.0,22.16,22.56,21.69,21.62,22.88,24.66,26.06,27.56,29.44,30.19,30.28,29.81,30.12,30.12,28.94,29.03,27.41,26.25,23.97,22.69,21.69,20.16,20.06,19.44,19.19,18.69,19.69,19.31,21.78,22.09,24.69,25.84,26.22,26.44,26.44,26.94,26.66,26.34,27.75,27.31,27.16,27.44,26.56,25.78,25.12,24.94,24.81,24.78,25.66,26.62,27.31,27.66,28.5,27.78,27.72,27.03,27.62,26.75,28.69,28.97,30.62,31.16,30.38,29.84,27.97,27.44,27.03,26.91,27.38,27.47,27.31,26.66,26.12,26.34,25.41,25.31,25.28,26.5,25.69,26.47,27.41,27.56,29.47,29.69,31.91,33.06,33.69,34.47,34.16,33.81,32.53,31.41,31.31,30.62,29.91,30.12,29.12,26.94,24.69,23.34,22.22,21.06,21.22,22.22,23.31,24.97,28.84,30.56,33.31,33.25,33.47,32.88,31.31,30.94,30.75,29.31,29.56,29.03,28.88,29.56,32.47,34.5,37.62,41.56,45.06,48.19,51.5,53.53,55.28,55.06,52.56,51.38,48.0,45.19,41.72,38.78,35.41,33.06,30.19,27.38,26.06,24.12,22.91,21.53,20.22,21.0,22.31,23.72,26.69,28.91,31.34,32.34,33.91,33.84,34.19,33.56,33.53,33.66,32.31,32.38,31.91,29.56,28.22,27.78,26.28,24.25,24.0,23.44,23.66,23.25,23.69,24.53,26.38,26.94,29.28,31.28,31.34,31.28,31.62,31.72,31.41,32.44,33.72,36.62,38.06,40.31,42.66,43.56,45.06,44.31,44.5,42.88,41.03,40.47,39.56,38.44,39.38,38.41,37.31,34.91,33.53,32.06,30.31,31.16,32.06,32.19,33.34,33.75,34.44,35.12,34.03,33.94,33.69,32.78,31.91,32.56,31.94,32.94,32.69,32.84,32.69,31.66,31.38,30.34,29.0,28.19,27.81,27.66,28.53,29.53,31.31,31.34,31.78,31.69,32.28,33.06,33.72,34.41,35.31,35.56,36.12,35.75,35.78,35.0,34.06,33.81,32.19,32.94,32.56,32.66,33.59,33.94,36.38,37.31,37.47,35.59,33.62,31.19,29.78,27.75,28.0,27.03,25.03,23.53,22.16,21.53,20.59,20.09,20.0,20.12,21.78,21.56,22.5,23.19,24.16,25.09,25.97,27.44,28.84,30.12,31.38,32.5,33.28,34.16,35.66,36.56,37.69,36.53,37.38,36.06,34.16,33.34,32.03,28.84,26.12,24.12,23.91,24.06,27.25,31.53,36.5,39.03,41.47,42.03,40.69,39.97,38.0,35.25,32.19,28.91,25.41,23.31,21.59,21.25,21.44,20.69,21.06,20.06,20.47,21.75,23.12,25.94,28.62,31.91,33.12,33.91,34.94,34.09,32.03,31.69,31.25,30.19,29.53,28.72,28.66,28.34,29.34,32.19,31.16,32.34,28.5,25.94,22.5,19.66,19.53,19.56,22.41,25.69,25.91,26.88,26.59,24.09,22.41,19.66,18.66,18.38,17.94,18.94,20.41,21.44,23.12,24.53,26.81,27.66,27.94,28.38,27.44,26.56,24.5,23.81,23.81,23.12,24.78,23.25,27.03,24.62,26.66,27.53,26.81,27.81,27.97,26.16,25.62,25.31,24.62,23.66,23.44,23.94,23.56,22.25,21.88,21.47,19.81,18.69,20.5,21.34,22.34,25.0,26.84,27.84,28.72,28.88,29.72,30.31,31.31,31.31,32.47,32.28,32.19,30.31,30.31,29.72,28.78,30.12,29.28,31.41,31.06,31.0,32.34,32.59,32.59,34.69,35.81,36.97,38.94,39.31,39.56,37.84,35.5,33.06,30.25,26.94,24.5,23.03,21.19,19.91,18.19,17.69,15.31,15.06,14.09,15.34,16.34,18.44,19.75,22.28,22.88,24.06,24.94,26.41,26.25,27.22,26.97,26.12,24.56,22.88,20.5,17.69,16.12,13.69,13.06,12.44,12.75,13.25,14.06,15.66,16.41,17.19,17.06,16.72,17.62,16.94,18.88,20.53,21.47,22.69,23.66,23.97,24.34,24.19,24.53,22.94,21.22,19.5,17.53,15.91,15.53,15.16,16.31,16.91,18.88,20.97,22.5,23.81,24.81,24.84,24.81,24.09,23.81,22.53,22.16,21.94,21.62,22.19,22.38,23.56,23.88,23.91,24.06,24.59,24.41,25.28,24.44,24.94,23.81,22.34,22.56,22.62,22.84,25.28,26.81,27.19,29.16,27.56,28.03,27.75,27.56,26.09,24.31,22.03,17.84,15.41,13.81,12.62,13.44,13.97,16.03,19.19,21.34,24.94,28.16,31.0,32.78,32.53,31.5,29.12,24.94,20.34,14.81,12.25,8.81,8.16,9.38,11.03,13.38,16.62,18.84,21.03,21.81,22.62,22.28,21.59,21.81,21.56,21.03,20.81,20.47,20.41,20.53,22.78,24.56,29.56,33.81,36.41,37.5,37.97,36.03,33.84,31.62,29.84,28.22,26.31,25.66,23.69,23.56,23.91,24.03,25.78,28.66,30.16,30.62,30.31,29.69,28.41,27.12,-27.09,-29.31,-31.06,-32.81,-35.06,-35.72,-36.59,-36.44,-35.41,-35.03,-34.72,-34.56,-34.78,-35.56,-35.47,-35.91,-34.94,-34.34,-34.44,-34.69,-34.62,-34.72,-35.12,-34.59,-34.53,-35.16,-35.97,-36.66,-36.47,-36.88:negativity
46.03,44.03,43.19,41.75,40.78,40.5,40.56,41.56,42.81,44.62,46.03,47.53,47.16,46.62,44.12,41.44,39.97,37.06,35.81,36.75,37.34,38.66,39.94,40.41,41.66,42.22,42.19,42.91,43.28,42.44,42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19:40.56,41.56,42.81,44.62,46.03,47.53,47.16,46.62,44.12,41.44,39.97,37.06,35.81,36.75,37.34,38.66,39.94,40.41,41.66,42.22,42.19,42.91,43.28,42.44,42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19,25.97,25.0,24.5,24.44,24.31,23.69:47.16,46.62,44.12,41.44,39.97,37.06,35.81,36.75,37.34,38.66,39.94,40.41,41.66,42.22,42.19,42.91,43.28,42.44,42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19,25.97,25.0,24.5,24.44,24.31,23.69,24.56,25.06,25.19,27.31,28.53,29.5:35.81,36.75,37.34,38.66,39.94,40.41,41.66,42.22,42.19,42.91,43.28,42.44,42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19,25.97,25.0,24.5,24.44,24.31,23.69,24.56,25.06,25.19,27.31,28.53,29.5,30.41,30.25,28.59,27.12,24.5,22.0:41.66,42.22,42.19,42.91,43.28,42.44,42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19,25.97,25.0,24.5,24.44,24.31,23.69,24.56,25.06,25.19,27.31,28.53,29.5,30.41,30.25,28.59,27.12,24.5,22.0,20.66,20.53,21.16,22.66,23.69,24.06:42.56,41.34,40.38,38.78,37.12,35.69,35.69,35.69,36.88,39.34,42.47,44.44,45.88,48.12,48.19,47.72,47.56,46.5,42.66,40.19,38.06,35.34,32.94,32.56,31.56,29.44,29.16,29.91,31.06,33.12,35.22,35.69,35.75,35.66,35.03,35.16,35.75,36.31,36.88,36.66,36.75,35.59,34.75,33.97,33.88,33.22,33.94,34.34,34.66,35.56,36.88,36.88,37.22,38.06,37.19,37.94,38.53,41.0,41.53,43.94,45.12,46.06,45.69,46.5,45.59,44.5,43.94,42.5,41.0,40.38,40.31,40.28,40.88,42.22,40.69,41.84,40.59,40.25,41.19,42.12,43.97,45.31,46.56,46.81,46.81,47.06,46.66,45.5,45.19,44.53,43.47,43.0,43.56,43.03,43.53,42.66,42.62,42.5,39.97,38.78,37.81,36.56,38.06,40.19,42.62,46.59,48.28,48.97,48.5,46.41,44.28,40.88,40.16,39.25,39.03,40.5,40.41,40.44,40.44,39.59,38.25,37.72,37.91,37.75,38.69,39.91,40.56,41.94,42.91,43.44,44.94,44.72,45.03,44.88,43.84,43.31,43.62,44.41,43.88,44.56,43.53,43.06,43.44,43.84,43.53,43.97,41.97,41.66,39.88,36.56,37.03,34.88,34.47,34.06,34.31,34.62,34.97,35.75,36.81,38.0,40.25,41.31,42.56,43.19,43.56,41.84,40.0,38.72,36.47,36.19,34.56,34.56,34.75,35.97,36.66,37.16,37.94,37.91,39.12,38.25,38.19,38.62,38.31,37.47,38.94,40.28,40.91,42.12,43.16,44.31,43.66,45.62,46.91,48.06,49.94,51.34,53.28,53.88,54.03,52.47,51.31,49.91,47.22,46.47,45.69,45.78,46.56,46.78,47.88,48.78,49.19,48.69,46.75,43.94,42.34,39.0,37.53,36.25,35.41,34.22,34.88,34.06,35.66,36.66,37.41,36.88,37.69,37.31,37.19,37.0,38.75,38.66,39.62,40.47,41.12,41.19,42.75,44.03,43.53,43.69,43.38,42.03,40.25,40.06,38.59,37.31,37.06,37.94,38.81,39.38,40.97,42.06,41.97,42.5,42.47,44.0,44.56,44.28,44.09,42.25,41.41,39.34,37.56,36.0,35.47,33.25,32.53,32.78,33.31,34.59,35.56,37.16,37.75,37.16,37.34,37.56,37.94,38.0,38.44,36.47,36.25,35.81,33.53,33.59,34.19,34.19,35.59,36.69,38.41,38.31,39.31,38.47,38.0,38.34,38.41,38.25,39.47,41.31,42.72,44.81,46.59,47.25,48.09,47.28,46.19,46.81,47.34,48.12,49.31,49.97,49.75,48.12,47.5,47.69,47.31,48.66,49.94,51.0,52.94,53.06,52.62,51.31,49.81,46.69,44.31,41.12,38.69,36.34,33.84,34.94,34.91,35.56,36.12,36.78,34.62,34.53,35.66,37.88,41.03,44.0,46.31,47.09,46.69,46.09,44.56,44.38,43.88,44.91,44.94,44.44,42.19,42.28,42.06,40.62,41.59,40.44,40.25,39.44,38.5,38.31,39.16,40.62,40.84,43.31,44.75,46.75,48.53,49.28,48.69,48.94,46.5,42.91,41.53,38.44,35.31,34.31,33.03,31.72,32.62,32.09,33.06,32.44,33.5,33.09,33.78,33.66,33.47,32.84,32.56,33.56,33.03,34.0,34.19,35.0,34.84,34.41,35.66,35.88,36.03,38.0,40.28,42.69,46.84,50.62,53.81,56.31,56.66,57.12,56.03,56.0,55.09,55.19,55.41,55.0,55.62,54.41,53.56,53.5,53.16,54.16,53.56,55.5,54.88,54.34,53.88,52.62,50.94,49.16,46.25,43.66,41.5,39.12,37.19,35.34,35.28,35.19,36.5,37.25,39.56,41.69,41.12,40.44,40.41,39.56,38.84,39.34,39.03,38.28,37.56,36.44,35.72,34.69,34.59,33.81,33.88,34.91,35.94,38.19,40.81,44.28,46.41,48.12,48.09,46.12,42.69,38.62,33.84,31.34,28.5,27.38,27.19,28.06,28.38,28.84,28.62,30.0,28.16,27.16,27.22,26.03,25.88,24.72,25.78,27.12,26.62,28.19,28.75,27.84,27.12,25.28,23.59,22.56,23.12,23.84,25.0,26.0,27.25,25.88,24.59,24.41,23.31,22.72,22.31,22.25,22.12,22.5,21.69,23.25,25.53,27.69,30.44,33.0,35.38,37.06,38.09,38.5,39.0,38.72,37.72,37.16,36.22,34.91,35.78,36.09,36.12,38.5,39.78,41.41,42.06,42.0,43.62,42.94,44.31,45.28,48.06,49.53,50.59,51.47,50.5,49.97,47.19,44.84,40.34,36.03,32.06,28.19,25.84,25.53,24.81,27.28,27.66,30.25,32.84,34.47,36.38,37.53,38.69,37.84,38.22,36.56,35.41,33.34,32.22,31.25,30.75,29.81,28.94,29.91,28.88,28.19,29.31,30.41,31.53,34.12,37.56,39.88,43.06,43.84,43.09,42.44,39.66,36.62,33.91,30.72,27.94,25.38,23.38,21.66,20.72,21.06,20.44,20.47,19.56,20.88,21.25,21.44,22.56,22.56,22.5,24.09,26.78,29.25,33.5,35.38,38.12,38.84,38.94,40.06,40.44,42.22,42.78,44.91,46.25,46.12,45.0,44.12,42.09,41.16,40.59,39.88,39.0,38.34,37.44,37.09,36.72,37.12,37.03,36.5,36.28,36.41,35.31,35.53,34.81,33.94,35.03,34.28,35.56,35.91,35.94,35.78,35.16,35.16,35.31,35.53,37.16,38.22,38.56,39.38,39.22,38.75,38.03,36.25,35.16,33.44,31.78,31.5,30.81,30.84,31.94,32.88,34.31,33.88,34.91,35.03,34.31,34.5,34.5,34.94,36.09,35.59,37.03,37.88,40.25,39.97,41.78,42.06,42.0,41.88,42.06,40.31,38.66,36.38,32.91,30.81,28.38,27.81,27.16,27.62,27.53,28.81,29.69,31.59,33.03,34.91,35.41,36.31,35.66,36.41,36.38,36.09,36.66,35.31,33.75,32.03,30.5,30.0,29.12,28.84,28.12,27.62,27.09,27.0,27.75,28.66,29.28,30.25,30.41,31.25,32.06,32.16,32.91,34.09,33.72,35.66,35.69,36.47,37.91,37.62,37.22,36.22,35.41,34.69,34.69,35.16,35.31,34.25,34.56,32.91,32.38,32.19,34.0,33.94,33.78,32.97,30.66,28.12,26.25,24.41,23.41,23.12,23.16,24.12,25.72,28.19,30.75,33.41,34.56,35.03,35.06,34.19,32.75,33.28,33.69,34.78,36.5,38.44,38.25,37.62,35.12,32.38,30.44,29.78,28.75,29.78,30.69,31.12,30.72,30.5,30.53,29.91,28.06,28.31,26.19,25.44,24.44,25.12,26.66,27.31,29.56,30.53,31.41,32.19,32.69,34.31,35.75,37.06,37.53,36.94,36.5,34.62,33.12,32.72,30.94,30.19,28.66,27.97,26.97,25.5,26.41,27.81,29.03,30.5,30.69,31.56,28.66,27.31,26.59,26.25,25.31,26.25,26.03,26.09,25.25,24.44,25.03,24.09,22.69,22.62,21.34,19.25,19.38,20.03,19.47,21.25,21.81,22.69,23.41,24.34,26.16,27.91,29.03,31.03,31.31,31.44,30.84,29.69,27.03,26.06,23.81,23.12,23.41,23.72,24.34,25.12,26.81,27.47,29.06,30.19,31.09,30.72,31.44,30.78,31.25,31.38,33.25,34.19,25.97,25.0,24.5,24.44,24.31,23.69,24.56,25.06,25.19,27.31,28.53,29.5,30.41,30.25,28.59,27.12,24.5,22.0,20.66,20.53,21.16,22.66,23.69,24.06,24.94,25.12,25.28,26.28,26.72,26.0:negativity
17.69,14.81,14.06,10.94,10.19,8.94,8.06,8.41,8.53,10.34,11.94,13.84,17.44,19.88,20.47,22.53,20.91,19.16,16.44,13.25,10.53,9.47,7.12,5.94,5.19,4.78,4.44,5.03,5.69,5.62,4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34:8.06,8.41,8.53,10.34,11.94,13.84,17.44,19.88,20.47,22.53,20.91,19.16,16.44,13.25,10.53,9.47,7.12,5.94,5.19,4.78,4.44,5.03,5.69,5.62,4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34,21.16,19.41,15.81,13.16,10.94,9.44:17.44,19.88,20.47,22.53,20.91,19.16,16.44,13.25,10.53,9.47,7.12,5.94,5.19,4.78,4.44,5.03,5.69,5.62,4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34,21.16,19.41,15.81,13.16,10.94,9.44,8.22,8.12,7.5,9.69,10.78,13.81:16.44,13.25,10.53,9.47,7.12,5.94,5.19,4.78,4.44,5.03,5.69,5.62,4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34,21.16,19.41,15.81,13.16,10.94,9.44,8.22,8.12,7.5,9.69,10.78,13.81,17.66,21.16,23.25,24.78,24.19,20.56:5.19,4.78,4.44,5.03,5.69,5.62,4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34,21.16,19.41,15.81,13.16,10.94,9.44,8.22,8.12,7.5,9.69,10.78,13.81,17.66,21.16,23.25,24.78,24.19,20.56,18.66,14.31,11.09,10.44,8.06,8.06:4.88,4.66,3.66,2.5,2.75,2.28,4.31,5.81,7.81,10.06,12.0,13.09,12.56,12.81,13.19,12.41,13.16,12.75,12.31,10.53,10.12,8.56,9.53,10.44,13.19,16.66,19.16,21.0,21.97,20.44,17.88,14.94,10.69,8.56,5.66,4.0,1.88,3.88,3.97,5.16,6.41,6.53,5.44,4.06,1.06,1.97,1.25,2.19,3.88,5.75,8.03,10.56,11.47,13.59,14.41,14.72,14.62,12.66,10.94,9.59,7.72,6.84,7.28,7.94,10.19,13.12,16.25,19.16,20.81,20.53,20.28,19.53,18.28,17.22,15.94,15.78,15.31,14.22,14.81,12.28,10.97,9.47,8.38,7.38,7.69,11.06,13.41,15.38,17.88,19.19,18.56,17.81,15.69,15.22,14.84,15.25,18.69,21.31,23.69,26.03,28.31,28.44,28.88,27.88,27.19,25.69,24.78,21.31,20.81,19.31,17.84,17.72,17.62,18.25,17.28,17.0,15.75,14.56,14.5,12.41,14.5,16.03,16.06,17.09,16.66,17.0,16.38,16.62,18.53,19.41,19.53,21.34,21.38,20.12,19.19,16.16,15.94,14.0,13.22,12.66,13.62,11.44,12.56,13.03,11.0,14.34,15.53,17.19,19.06,18.59,18.31,16.28,12.84,10.62,8.06,7.72,7.03,8.81,10.91,12.16,13.78,14.41,14.91,15.84,17.59,18.81,20.75,21.5,20.69,19.56,16.84,16.31,15.41,16.25,17.44,18.28,19.97,21.81,23.47,24.09,24.62,24.5,23.75,21.47,19.69,17.44,16.72,16.41,15.72,16.69,19.12,20.09,20.34,21.75,19.94,18.66,17.19,17.0,15.31,14.91,13.94,13.75,12.81,14.94,15.56,17.53,17.34,17.94,17.97,17.53,17.19,15.31,15.94,17.91,17.56,19.72,21.69,21.78,23.12,24.56,25.81,26.09,28.41,27.56,27.47,27.28,25.47,23.19,20.91,17.38,14.62,12.38,12.78,13.0,15.0,19.19,22.53,25.06,27.66,30.09,30.03,28.31,26.31,23.91,20.03,18.06,16.28,14.56,14.66,12.78,13.19,13.81,15.78,18.28,19.44,23.0,24.03,24.09,24.09,23.72,23.72,25.31,25.28,28.16,29.25,29.19,30.34,28.38,26.12,23.94,21.12,16.75,14.12,14.31,14.16,15.34,17.66,16.56,17.53,15.88,15.66,16.62,17.94,19.53,19.69,21.81,22.31,22.94,23.25,22.25,21.62,19.66,18.72,17.88,18.31,18.94,19.12,19.06,18.78,19.84,19.59,20.56,21.56,21.62,22.22,22.75,23.41,23.0,24.0,23.56,22.81,21.66,18.94,17.34,15.84,14.66,15.31,17.5,17.69,19.75,20.66,22.31,23.03,21.28,22.81,23.53,22.31,24.62,26.31,27.88,30.75,31.06,33.06,31.72,29.16,28.78,25.03,22.0,23.5,23.53,24.44,24.91,26.0,24.38,23.25,23.28,20.53,20.16,18.69,16.44,15.06,11.53,12.22,13.41,14.25,17.03,20.38,22.28,23.5,24.56,24.62,24.81,24.66,24.53,21.84,20.44,18.94,14.28,12.25,10.62,9.84,11.28,13.19,14.53,15.38,14.53,15.69,14.53,17.59,18.75,19.81,20.75,18.94,20.94,19.53,19.31,20.41,20.72,21.12,19.28,21.31,21.0,23.12,26.06,26.66,29.06,30.44,30.41,30.53,31.31,30.12,27.81,27.28,24.94,24.06,23.22,22.69,23.66,24.84,25.12,25.88,25.78,25.91,25.62,26.0,24.78,23.53,23.41,22.97,22.31,23.0,25.5,25.5,28.53,29.53,32.56,32.69,34.12,32.91,31.25,28.5,28.06,28.0,27.5,28.81,29.25,27.78,27.53,25.56,25.34,24.47,24.88,23.31,24.22,23.16,23.91,23.34,24.75,26.0,28.16,28.19,29.78,29.53,29.47,28.94,28.84,27.56,26.25,24.88,22.31,21.06,20.62,19.91,19.88,21.56,22.25,23.88,24.0,25.28,24.78,24.81,26.16,26.62,26.94,26.62,28.28,27.19,30.22,32.12,34.06,37.5,37.69,35.44,32.31,26.81,19.56,14.03,8.66,7.25,6.75,6.66,5.53,8.5,9.0,11.62,15.19,18.28,20.47,21.47,22.75,21.41,20.41,20.19,17.56,16.56,14.16,12.78,11.84,11.12,10.09,9.56,9.28,9.16,12.78,14.53,18.0,22.44,25.56,26.91,26.19,25.97,23.0,22.5,21.25,20.41,21.5,23.47,24.19,24.75,25.41,25.69,22.12,20.31,20.22,19.66,21.56,25.62,28.47,30.84,32.66,35.66,34.19,34.25,32.31,31.84,29.06,26.62,27.78,28.75,29.62,30.59,32.06,30.91,29.62,30.03,29.72,29.31,30.66,29.75,30.38,30.09,29.81,29.12,30.06,29.75,28.75,30.03,31.25,31.62,33.97,35.22,36.53,36.84,37.16,36.16,34.94,34.28,33.22,30.94,30.72,30.94,30.62,31.16,28.5,30.03,30.56,31.25,33.88,34.84,34.31,34.16,33.59,31.16,31.19,31.19,30.0,30.41,31.09,30.94,30.69,29.84,30.25,28.75,29.94,29.88,31.94,34.25,34.78,36.38,36.38,36.69,35.41,34.41,32.28,31.31,28.78,26.09,26.81,24.06,24.16,24.88,23.0,19.91,23.31,22.38,23.0,26.84,28.81,29.31,32.19,32.91,33.59,34.44,31.06,30.19,25.88,21.66,21.34,20.0,19.34,20.12,21.56,23.31,23.94,23.62,25.38,24.12,26.44,25.03,26.66,24.94,23.53,19.81,17.0,13.75,9.56,8.12,5.38,4.12,5.12,6.69,7.09,11.88,13.94,17.19,19.28,22.31,21.53,23.0,21.56,20.34,20.59,18.09,17.31,15.06,13.88,13.34,14.72,16.66,21.59,24.81,30.62,32.62,34.97,35.47,30.44,29.84,25.56,24.12,23.31,23.75,23.06,22.12,23.09,22.88,20.91,22.31,21.78,20.44,21.34,20.38,19.41,19.66,16.12,15.62,14.38,12.72,11.94,8.78,10.88,10.41,10.81,12.62,14.41,16.28,18.28,18.31,19.91,19.94,19.78,21.03,22.34,22.06,20.56,19.69,17.09,16.62,15.25,14.0,14.19,12.34,14.22,12.34,9.44,11.22,9.28,10.22,13.84,15.28,19.59,21.66,22.56,23.56,23.62,23.41,22.53,22.0,19.41,20.28,17.81,16.41,18.31,18.62,19.47,19.81,18.81,17.69,15.75,13.62,11.78,11.0,10.28,10.16,10.81,10.88,11.81,13.56,15.38,16.84,19.19,18.75,19.09,17.25,15.81,14.91,14.69,14.97,16.66,19.66,20.38,22.72,24.38,23.12,22.91,21.25,19.06,17.91,15.69,17.47,16.75,18.0,18.31,18.12,17.84,17.53,17.88,17.31,18.44,17.78,17.22,16.19,16.5,15.91,14.84,16.84,18.47,18.97,20.75,22.03,22.44,21.16,20.94,18.44,17.84,16.28,16.62,18.16,16.72,18.97,20.0,19.06,18.81,18.56,16.47,16.28,15.47,16.31,17.69,19.47,21.81,23.06,24.53,24.44,25.06,23.03,23.41,22.44,20.19,18.44,16.25,13.69,12.75,11.72,11.81,13.62,15.56,16.72,18.72,18.72,17.88,17.94,16.94,16.94,16.75,17.62,17.88,17.31,17.06,17.56,17.5,17.09,18.88,18.12,18.59,17.94,16.34,21.16,19.41,15.81,13.16,10.94,9.44,8.22,8.12,7.5,9.69,10.78,13.81,17.66,21.16,23.25,24.78,24.19,20.56,18.66,14.31,11.09,10.44,8.06,8.06,7.41,6.72,6.16,6.62,7.06,7.5:negativity
33.91,33.25,33.94,33.94,36.06,39.03,41.03,43.22,45.19,45.84,47.31,47.56,47.25,46.75,45.22,43.91,43.09,42.41,43.53,44.09,45.06,45.94,46.75,47.66,46.94,47.72,46.5,45.69,45.31,44.06,44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94:41.03,43.22,45.19,45.84,47.31,47.56,47.25,46.75,45.22,43.91,43.09,42.41,43.53,44.09,45.06,45.94,46.75,47.66,46.94,47.72,46.5,45.69,45.31,44.06,44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94,-4.22,-5.09,-3.72,-3.5,-2.28,-0.56:47.25,46.75,45.22,43.91,43.09,42.41,43.53,44.09,45.06,45.94,46.75,47.66,46.94,47.72,46.5,45.69,45.31,44.06,44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94,-4.22,-5.09,-3.72,-3.5,-2.28,-0.56,2.25,3.69,5.78,7.84,9.84,10.53:43.53,44.09,45.06,45.94,46.75,47.66,46.94,47.72,46.5,45.69,45.31,44.06,44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94,-4.22,-5.09,-3.72,-3.5,-2.28,-0.56,2.25,3.69,5.78,7.84,9.84,10.53,12.09,11.5,10.31,9.5,8.69,7.97:46.94,47.72,46.5,45.69,45.31,44.06,44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94,-4.22,-5.09,-3.72,-3.5,-2.28,-0.56,2.25,3.69,5.78,7.84,9.84,10.53,12.09,11.5,10.31,9.5,8.69,7.97,8.22,8.12,8.12,6.44,5.88,5.78:44.06,43.91,44.38,44.66,45.34,45.72,45.22,44.62,43.62,43.72,43.31,43.47,44.97,46.28,47.44,48.56,49.53,49.66,49.47,49.84,49.44,50.19,49.12,46.97,45.31,42.34,39.94,39.16,38.38,39.09,40.62,42.5,44.16,46.25,47.28,47.09,46.94,43.94,41.5,38.0,35.44,33.72,31.62,30.66,29.69,29.19,29.28,29.0,30.25,31.31,31.69,32.56,32.69,31.91,32.72,32.31,32.06,31.47,31.0,30.84,30.72,30.69,31.56,33.44,35.81,38.06,40.53,41.78,42.25,42.22,41.69,40.31,38.78,36.59,35.5,33.56,31.19,29.0,25.91,24.34,23.31,22.47,23.34,24.84,26.22,29.06,31.12,32.53,35.38,36.5,37.88,37.59,36.12,34.75,33.0,30.91,29.22,26.94,24.81,22.66,20.91,19.53,18.19,18.78,19.56,21.44,23.5,26.38,30.0,31.91,34.16,35.28,35.56,34.19,32.19,30.34,27.75,23.94,22.44,20.5,18.94,18.97,20.38,21.94,24.81,27.91,29.94,31.97,33.53,34.31,34.59,35.81,34.97,35.34,35.53,35.69,36.5,38.06,39.41,40.03,40.66,39.56,40.38,41.25,41.78,44.66,47.06,48.53,47.72,46.34,42.78,37.94,34.41,30.75,29.19,27.78,28.88,29.72,30.0,32.19,32.34,33.47,35.66,35.44,35.0,35.47,34.75,33.06,32.72,31.44,29.44,28.91,26.75,24.5,24.22,21.81,20.31,20.41,19.41,20.25,22.44,25.34,29.09,31.0,32.84,35.09,35.66,37.38,39.28,39.97,42.38,43.34,44.75,44.91,44.38,44.28,43.44,41.97,40.31,39.06,37.75,37.41,38.81,40.28,42.66,46.06,47.44,47.44,48.0,45.78,43.88,42.81,41.69,41.94,43.0,44.41,44.22,45.5,45.84,46.41,46.91,47.16,47.97,49.25,48.19,47.56,45.97,44.19,42.41,39.59,38.03,36.16,35.22,35.72,35.19,36.62,39.19,39.66,42.0,43.72,44.31,44.81,44.28,45.25,43.41,42.66,40.66,39.16,37.09,34.84,34.19,33.03,32.94,33.62,34.88,35.84,37.25,38.59,39.03,38.88,38.72,36.34,36.75,36.34,36.91,37.97,39.12,41.09,43.0,44.09,46.31,47.62,48.5,49.31,49.5,48.97,47.34,45.44,43.69,42.38,40.81,39.81,39.5,38.06,37.44,36.56,33.59,33.72,32.09,30.91,32.75,32.91,33.34,34.72,36.03,36.34,37.25,38.0,38.06,39.0,39.16,38.53,38.78,38.81,37.78,38.81,38.09,37.78,39.19,39.56,39.28,37.81,36.44,35.53,34.97,35.47,36.53,38.31,38.81,40.25,41.66,42.81,43.97,45.09,45.34,44.22,42.72,40.91,39.12,37.31,36.22,36.03,34.81,34.09,34.53,35.81,37.16,39.0,40.75,42.28,42.62,43.31,43.41,42.5,41.66,41.16,39.41,39.69,37.91,38.34,37.62,38.06,36.66,35.78,36.06,35.53,36.94,37.53,37.56,37.88,37.19,37.62,38.06,37.56,38.31,38.75,40.19,40.06,40.69,41.41,40.5,41.06,41.31,41.81,43.12,42.0,42.03,40.91,39.22,38.25,36.41,34.5,34.09,33.34,32.12,30.66,31.31,29.72,28.5,29.84,30.0,29.28,31.84,31.81,31.84,31.62,31.38,30.81,30.31,29.81,27.5,26.97,24.84,24.19,23.69,23.69,24.03,23.88,24.62,25.0,26.41,27.5,28.53,29.22,30.59,30.78,29.75,30.78,31.16,30.69,31.5,31.44,32.31,32.34,33.38,32.91,33.75,33.84,34.31,34.06,35.41,35.38,36.25,37.19,37.0,35.97,34.94,33.28,31.25,29.34,28.44,26.94,25.47,25.19,24.38,23.44,22.78,23.0,24.69,26.19,28.38,30.25,31.44,32.41,33.62,34.25,35.62,35.59,35.31,34.81,33.47,32.0,31.19,29.94,29.06,29.41,28.31,29.09,29.75,31.72,32.41,33.47,34.66,32.94,32.03,30.53,29.31,28.16,27.28,27.62,28.34,30.41,32.94,35.44,36.72,38.03,37.31,36.06,34.06,32.78,29.62,27.25,26.0,25.0,23.56,24.03,25.25,25.81,27.06,29.0,29.34,29.75,31.06,32.22,32.09,33.72,34.81,34.62,35.03,34.34,33.53,30.88,29.28,27.31,27.22,27.25,28.44,28.97,31.16,33.06,34.88,36.59,38.81,38.88,39.62,39.06,39.41,39.75,40.75,40.94,41.16,39.91,38.56,36.06,33.94,32.69,30.28,29.66,29.31,28.19,27.75,27.44,26.53,26.31,24.03,24.19,25.19,24.81,26.03,27.06,28.06,29.19,29.88,32.25,32.78,32.81,33.66,33.0,32.84,33.31,33.81,34.0,34.0,33.94,33.09,33.5,34.44,34.19,35.62,35.56,35.38,35.44,34.19,33.31,32.97,30.78,31.09,29.56,28.31,29.38,30.41,32.34,33.19,35.12,34.91,32.62,32.34,29.88,25.84,24.31,21.16,19.53,19.91,20.19,22.41,24.78,26.94,30.69,30.81,31.88,31.25,29.12,28.19,27.66,26.25,26.53,25.38,25.94,25.19,25.03,26.0,26.19,26.84,27.03,27.81,28.16,29.19,30.69,31.44,31.72,32.66,32.38,32.62,32.31,31.75,30.69,29.53,28.91,28.03,28.44,28.41,28.31,30.16,30.78,30.28,30.72,30.12,30.66,31.25,31.31,31.62,32.41,32.53,33.38,34.12,35.25,35.41,36.09,34.91,34.38,31.78,31.06,30.44,30.66,32.84,33.91,37.66,39.97,42.22,43.16,42.0,42.19,39.94,39.22,38.91,37.19,38.16,38.12,38.81,39.72,40.53,40.56,39.81,36.53,34.19,30.44,26.59,24.5,21.72,19.5,17.94,16.56,14.44,12.94,13.69,13.88,15.56,17.53,19.75,22.5,22.53,24.31,25.5,25.25,24.53,23.56,21.69,19.47,17.16,15.81,15.25,16.28,17.53,19.06,22.47,24.31,25.91,26.41,25.47,23.72,21.31,18.53,17.5,16.62,16.25,16.97,17.81,16.81,16.69,17.53,18.12,19.16,20.0,22.69,23.5,24.56,25.12,25.84,25.25,25.5,25.19,23.91,22.88,22.62,20.38,21.34,20.84,20.31,20.72,19.84,19.38,18.69,17.56,16.56,15.0,15.22,14.84,15.09,16.75,17.34,19.72,20.34,21.84,21.5,21.81,21.84,20.56,20.78,18.56,17.12,15.88,15.5,15.16,16.66,18.09,21.47,23.69,26.44,28.66,31.22,33.16,34.19,35.62,35.53,35.69,35.25,34.41,32.75,31.75,29.84,28.34,27.41,26.69,26.62,25.97,25.41,25.53,25.09,25.03,25.91,25.62,26.06,26.28,26.56,25.25,25.28,26.97,26.94,27.69,29.94,31.19,33.53,36.09,38.16,38.19,40.19,40.34,41.06,40.81,41.41,39.28,37.69,35.44,32.31,31.25,31.0,31.16,31.34,32.91,33.0,32.81,32.19,31.81,31.06,30.81,30.69,31.22,32.19,33.16,32.59,32.41,30.31,29.81,29.78,29.31,30.66,32.5,34.72,36.16,37.94,39.19,40.0,41.62,41.78,42.44,41.31,38.16,35.34,33.44,30.31,29.28,28.19,27.91,28.06,26.91,27.03,27.94,28.81,29.34,30.34,31.62,31.81,32.53,33.88,35.19,35.94,-4.22,-5.09,-3.72,-3.5,-2.28,-0.56,2.25,3.69,5.78,7.84,9.84,10.53,12.09,11.5,10.31,9.5,8.69,7.97,8.22,8.12,8.12,6.44,5.88,5.78,4.66,4.91,5.16,5.12,4.69,5.12:negativity
27.06,28.81,30.5,34.16,37.69,40.75,43.75,43.91,43.31,42.66,40.69,38.78,38.44,37.03,36.62,37.06,36.66,36.94,38.44,39.69,41.31,42.28,42.66,41.16,39.06,36.97,34.59,32.84,32.5,33.06,33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09:43.75,43.91,43.31,42.66,40.69,38.78,38.44,37.03,36.62,37.06,36.66,36.94,38.44,39.69,41.31,42.28,42.66,41.16,39.06,36.97,34.59,32.84,32.5,33.06,33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09,-5.16,-2.72,0.91,4.16,7.91,11.06:38.44,37.03,36.62,37.06,36.66,36.94,38.44,39.69,41.31,42.28,42.66,41.16,39.06,36.97,34.59,32.84,32.5,33.06,33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09,-5.16,-2.72,0.91,4.16,7.91,11.06,12.62,14.44,13.56,12.88,12.16,10.66:38.44,39.69,41.31,42.28,42.66,41.16,39.06,36.97,34.59,32.84,32.5,33.06,33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09,-5.16,-2.72,0.91,4.16,7.91,11.06,12.62,14.44,13.56,12.88,12.16,10.66,8.84,8.62,7.0,6.69,4.69,4.12:39.06,36.97,34.59,32.84,32.5,33.06,33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09,-5.16,-2.72,0.91,4.16,7.91,11.06,12.62,14.44,13.56,12.88,12.16,10.66,8.84,8.62,7.0,6.69,4.69,4.12,3.38,3.72,3.56,3.91,4.91,4.25:33.12,34.94,34.97,36.38,37.91,39.38,40.28,41.53,41.03,39.91,38.47,37.25,37.53,38.91,39.88,41.91,44.56,46.03,47.41,47.0,46.5,44.06,40.5,38.22,36.06,35.56,36.84,37.84,39.41,40.06,41.03,41.16,39.38,38.81,37.84,36.5,34.91,33.38,30.53,27.91,23.91,20.66,18.16,15.19,14.94,15.34,17.09,17.72,19.09,20.25,19.47,18.66,17.62,15.31,15.59,15.91,18.03,20.91,24.59,27.72,29.62,31.62,33.62,35.59,38.88,38.88,41.91,41.84,40.31,39.91,37.53,34.53,33.66,28.53,30.16,28.06,29.69,30.56,30.97,32.03,32.72,35.06,35.91,37.06,38.66,38.06,37.72,37.88,36.81,35.41,35.56,34.19,33.78,33.41,32.97,33.22,31.12,30.31,28.38,26.56,22.53,23.94,23.41,22.94,25.53,27.62,28.56,29.91,30.94,31.41,30.06,29.0,28.91,28.28,28.75,28.16,30.31,30.16,29.5,28.84,27.03,26.25,25.81,25.66,27.25,29.94,31.28,32.22,32.91,33.81,33.47,34.0,33.56,33.19,33.62,32.66,32.5,33.69,34.31,35.12,32.06,34.44,31.19,30.69,30.84,30.09,30.0,30.66,32.09,34.5,36.41,37.72,37.34,39.16,35.97,35.19,33.5,32.03,31.53,31.59,30.41,31.0,31.41,31.56,31.53,30.69,29.69,29.03,27.56,27.44,27.19,27.56,25.56,27.75,27.06,27.88,30.16,31.69,32.66,34.34,34.5,34.81,37.56,38.72,42.22,45.38,48.19,49.56,48.56,46.41,43.19,38.5,33.09,29.19,22.5,22.75,21.09,22.53,26.53,31.31,35.28,37.97,40.12,41.31,41.97,42.91,42.25,40.66,43.19,42.53,42.25,43.16,42.06,39.66,37.91,36.09,35.16,36.06,36.97,38.16,39.28,37.97,40.75,39.94,39.31,39.66,39.62,37.25,36.16,34.06,33.78,32.22,33.16,34.28,35.34,36.84,36.84,35.75,35.28,31.31,30.62,27.5,25.72,23.31,23.22,22.84,23.72,25.56,28.19,30.25,32.53,34.78,36.0,36.56,37.62,38.84,39.06,39.03,37.22,36.03,34.31,32.81,29.94,29.22,27.59,26.28,26.78,28.53,30.28,32.56,33.19,34.25,34.81,34.38,33.5,33.31,32.62,33.69,33.97,32.78,36.75,37.31,38.62,37.88,38.78,37.81,37.12,37.19,37.5,38.41,39.06,40.5,41.41,40.28,39.12,37.12,32.44,33.03,31.5,32.69,34.78,37.75,39.5,40.69,41.31,42.09,41.5,42.56,40.66,41.47,39.0,36.62,34.0,30.19,25.31,22.06,19.22,17.5,18.12,19.0,21.56,22.91,24.53,26.53,29.94,31.62,34.41,36.19,36.59,35.59,32.91,31.06,27.16,25.16,22.81,21.25,21.97,23.75,26.44,27.06,33.62,35.31,38.53,40.25,39.19,37.75,35.0,33.28,32.69,31.09,32.69,33.28,34.5,37.31,39.88,42.88,42.53,47.56,47.09,47.16,47.94,46.75,44.56,42.19,39.41,36.44,32.69,26.91,27.81,23.69,23.47,23.31,22.66,23.0,22.72,22.5,23.78,25.28,27.72,29.72,32.12,33.72,35.53,35.78,37.09,38.16,36.81,37.78,37.66,36.47,35.81,34.81,33.06,32.91,32.19,32.56,32.78,33.12,30.94,30.03,28.69,25.28,26.75,25.56,27.88,29.72,32.16,34.25,34.94,34.31,32.0,32.25,29.53,29.78,29.28,28.5,26.66,25.38,23.41,22.06,20.84,19.91,18.25,15.97,15.06,13.5,14.25,12.31,16.81,18.94,21.78,24.38,25.97,25.66,26.16,24.69,23.84,21.56,22.72,20.53,19.62,19.53,17.88,16.62,15.06,13.88,13.62,12.94,13.91,15.41,17.53,19.31,18.66,21.12,22.53,24.25,28.12,31.94,34.94,36.91,39.12,39.44,39.81,39.06,37.94,36.62,33.88,32.16,28.62,29.38,27.16,27.22,27.12,28.38,27.72,28.28,28.0,27.12,25.59,25.28,23.91,24.75,25.75,27.66,28.25,29.69,30.06,30.81,30.72,31.78,32.75,32.69,31.66,30.06,26.09,24.81,22.03,19.59,20.19,19.84,21.28,22.44,23.53,24.38,25.31,25.5,24.88,24.88,26.72,26.03,24.5,25.91,24.53,23.47,23.94,25.56,25.97,28.0,28.28,29.31,31.09,31.78,34.53,36.12,35.41,35.34,32.12,29.0,25.12,20.16,18.19,14.5,13.81,12.19,10.88,10.94,9.78,10.75,9.31,9.16,11.78,13.25,16.88,21.81,24.88,28.94,30.53,32.69,33.44,32.0,29.19,30.62,27.38,26.97,28.84,29.0,29.28,29.69,28.62,26.31,25.0,21.72,19.69,18.5,15.91,16.06,13.62,17.78,20.0,22.34,28.0,32.09,35.31,37.69,39.69,42.06,41.31,41.06,38.59,39.34,37.62,35.91,35.03,32.88,28.62,23.69,19.66,17.72,15.78,14.56,14.09,14.72,14.03,15.22,14.81,17.91,19.25,21.16,23.94,28.25,31.31,32.5,36.19,37.22,37.12,39.66,38.94,37.09,36.81,34.22,30.78,27.47,25.94,23.91,22.91,23.5,22.41,21.75,20.53,19.97,20.81,22.0,23.88,26.59,28.03,30.66,30.25,32.16,32.5,35.12,37.62,38.66,39.84,36.62,34.19,31.62,27.81,25.84,23.72,18.62,18.72,14.28,11.78,11.03,10.81,11.25,11.81,15.53,18.94,22.56,27.56,31.44,34.0,35.16,36.31,37.12,35.84,35.12,35.53,32.84,29.81,29.75,25.31,24.53,22.53,22.28,21.25,22.06,22.09,22.88,25.41,28.19,27.66,29.31,29.16,29.62,30.59,31.56,32.75,33.53,35.31,36.19,39.16,38.62,42.06,42.69,39.25,38.44,35.81,32.12,28.03,25.16,21.38,18.16,16.41,12.41,14.84,14.81,17.0,19.06,20.38,22.25,23.19,23.41,24.41,25.81,31.03,31.97,34.88,35.62,36.03,35.72,35.56,34.75,36.06,35.38,33.44,32.19,28.91,24.81,25.69,24.41,25.25,26.53,26.59,26.03,25.0,23.88,21.5,25.81,26.31,28.19,31.94,34.22,33.28,33.06,30.56,29.16,26.06,24.25,22.69,20.28,19.84,18.84,16.38,18.12,17.31,15.88,17.25,16.5,16.5,14.75,15.41,16.22,14.31,15.56,16.41,14.84,18.5,18.66,19.94,21.12,21.94,21.75,21.62,21.97,22.09,22.25,22.88,21.72,20.75,18.78,19.16,18.78,20.91,22.62,25.06,27.19,28.53,29.16,29.78,30.38,31.53,31.41,30.81,30.16,29.22,26.81,24.66,23.66,23.31,22.0,23.97,25.19,25.47,26.38,25.12,25.72,25.94,27.56,28.91,30.78,33.19,34.69,36.31,37.72,38.66,37.41,38.81,37.47,37.47,37.38,37.62,37.88,38.03,38.19,37.72,36.62,35.25,32.12,30.28,28.03,26.09,25.88,26.0,23.28,27.12,27.41,28.94,31.72,33.75,33.94,32.69,31.12,27.94,24.91,22.94,22.06,22.22,22.97,24.09,26.19,25.31,25.53,25.41,24.25,25.31,25.75,26.31,26.88,26.75,25.91,24.78,25.25,26.28,28.56,31.88,36.38,39.78,40.72,41.28,38.62,36.69,32.72,29.41,28.09,-5.16,-2.72,0.91,4.16,7.91,11.06,12.62,14.44,13.56,12.88,12.16,10.66,8.84,8.62,7.0,6.69,4.69,4.12,3.38,3.72,3.56,3.91,4.91,4.25,3.41,2.81,1.09,0.44,-0.19,0.53:negativity
40.66,41.59,41.53,40.53,39.16,35.78,33.38,30.53,29.28,29.44,29.97,30.31,31.72,31.38,30.97,30.94,30.78,31.28,32.03,33.88,34.94,35.72,36.56,36.25,35.25,33.97,32.78,31.94,30.31,30.34,32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66:33.38,30.53,29.28,29.44,29.97,30.31,31.72,31.38,30.97,30.94,30.78,31.28,32.03,33.88,34.94,35.72,36.56,36.25,35.25,33.97,32.78,31.94,30.31,30.34,32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66,14.0,14.28,12.84,10.69,7.34,3.69:31.72,31.38,30.97,30.94,30.78,31.28,32.03,33.88,34.94,35.72,36.56,36.25,35.25,33.97,32.78,31.94,30.31,30.34,32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66,14.0,14.28,12.84,10.69,7.34,3.69,0.75,-0.97,-2.41,-1.06,-0.09,1.81:32.03,33.88,34.94,35.72,36.56,36.25,35.25,33.97,32.78,31.94,30.31,30.34,32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66,14.0,14.28,12.84,10.69,7.34,3.69,0.75,-0.97,-2.41,-1.06,-0.09,1.81,3.31,4.19,4.62,4.28,3.97,4.03:35.25,33.97,32.78,31.94,30.31,30.34,32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66,14.0,14.28,12.84,10.69,7.34,3.69,0.75,-0.97,-2.41,-1.06,-0.09,1.81,3.31,4.19,4.62,4.28,3.97,4.03,3.84,5.25,6.38,7.12,8.56,8.03:32.41,34.44,38.0,41.34,45.0,45.81,45.25,43.72,41.47,39.25,39.03,38.5,39.09,39.81,39.31,39.53,38.66,38.28,37.41,36.25,35.91,34.41,33.84,32.31,31.0,31.59,31.72,32.06,33.88,35.94,37.56,39.34,39.5,39.41,36.88,34.28,32.09,28.56,28.41,27.66,28.06,29.06,28.28,27.09,25.19,22.75,21.19,20.69,20.62,22.88,25.62,28.69,31.81,34.5,37.41,38.84,40.56,40.91,40.75,39.06,37.0,35.66,33.34,31.56,30.78,29.19,28.88,28.22,27.94,29.19,29.38,30.62,32.56,33.28,34.25,33.16,32.25,30.69,27.88,26.41,25.75,25.75,25.88,25.97,26.75,28.0,29.88,32.62,34.22,36.0,37.38,36.19,36.12,35.31,33.88,32.66,31.16,30.19,28.69,29.09,30.59,33.03,36.94,40.84,44.62,47.09,47.78,47.75,45.5,43.56,39.97,36.62,34.66,31.97,30.28,29.0,27.5,27.19,26.53,25.81,26.44,27.16,30.0,33.72,37.31,43.5,47.56,51.5,54.38,53.41,51.62,47.97,43.94,39.12,35.66,32.12,28.72,26.0,23.28,21.75,20.81,19.28,19.88,20.81,22.0,24.75,26.97,29.81,32.41,34.28,36.38,38.72,39.44,40.56,39.28,36.91,34.97,32.0,30.47,30.5,31.31,33.0,34.44,35.81,36.62,36.81,36.69,36.5,37.53,36.81,36.69,36.19,35.38,34.88,35.47,35.56,36.22,35.44,35.53,34.16,33.47,33.53,33.47,33.56,35.41,36.12,39.03,41.34,44.66,46.41,47.75,47.97,47.16,44.84,43.38,41.44,39.28,38.0,37.5,37.81,39.16,39.94,41.84,43.03,44.06,44.66,44.69,44.03,43.56,43.69,44.09,43.38,42.53,42.22,39.69,38.5,36.59,36.12,35.88,37.31,38.59,39.38,41.41,43.0,44.56,45.62,45.0,45.91,43.88,42.06,40.81,39.56,39.0,38.53,39.5,39.59,40.09,40.44,40.78,39.88,39.97,39.94,39.72,39.5,39.38,38.69,37.97,37.88,37.66,37.19,37.41,37.94,39.16,40.41,43.12,45.91,47.75,48.03,46.03,43.44,40.06,37.06,34.81,34.31,35.34,36.78,39.81,42.16,44.75,48.0,51.41,53.56,55.06,55.53,54.62,52.88,51.03,48.56,46.44,44.56,41.31,38.97,36.59,34.5,33.59,33.72,34.81,37.34,39.16,41.16,42.56,43.03,42.44,41.03,39.31,36.88,34.81,33.28,32.12,30.69,30.75,31.56,32.19,33.88,34.06,34.44,34.44,33.97,32.88,33.31,34.41,34.94,37.88,40.56,44.03,46.84,48.34,48.91,48.12,47.34,45.97,44.31,44.97,44.81,45.66,47.66,48.53,50.56,51.59,50.94,49.19,46.94,42.78,39.59,35.66,33.34,31.22,29.62,30.44,29.53,30.12,31.5,32.31,33.16,32.94,31.44,29.25,26.5,25.03,23.44,23.97,25.38,27.38,29.66,31.38,32.75,33.06,33.12,32.91,32.59,33.59,33.34,32.5,32.81,31.16,30.88,30.38,31.16,34.91,39.75,45.56,50.72,55.69,58.38,57.69,56.16,54.06,51.81,50.06,49.03,47.56,45.94,44.53,43.81,42.44,41.12,41.12,39.5,37.72,36.41,34.94,33.28,33.41,33.75,35.16,36.91,40.09,42.94,44.31,47.09,48.5,49.72,50.06,51.16,51.34,51.38,51.81,51.75,50.41,49.41,47.12,45.34,43.12,40.69,39.56,38.81,39.56,42.0,44.56,47.53,51.03,53.19,54.84,55.47,56.28,56.84,56.88,55.94,52.28,53.25,52.31,51.69,51.56,51.47,49.69,47.5,45.38,43.16,40.19,38.03,36.09,33.53,31.81,30.25,29.78,29.41,30.59,32.06,34.91,38.91,43.34,47.56,51.06,53.28,53.81,53.97,52.53,50.75,49.09,46.31,42.44,37.84,35.88,31.81,30.41,28.75,27.16,24.94,23.47,22.78,23.25,25.03,29.12,32.66,38.09,42.84,47.38,49.62,49.69,45.59,46.84,42.81,40.03,42.0,41.44,41.06,41.69,42.09,41.31,41.38,41.94,41.09,39.88,38.06,36.03,34.59,33.25,32.19,33.53,34.12,34.84,36.25,36.66,35.56,31.47,31.12,29.56,29.25,31.69,34.5,37.31,39.91,43.0,45.19,46.12,46.5,46.56,43.94,41.25,38.03,35.84,33.56,32.28,33.34,33.25,33.97,33.16,36.56,36.66,39.06,41.38,41.97,43.44,44.25,45.25,46.81,49.06,52.12,53.94,55.0,55.16,53.69,50.56,49.09,46.16,44.5,43.88,42.91,43.0,42.66,43.81,44.69,44.72,45.62,44.06,42.72,42.25,38.53,41.94,41.72,43.72,46.91,49.16,48.81,49.41,47.38,44.81,41.62,38.84,34.69,31.59,29.47,27.62,26.22,26.75,26.62,25.75,26.0,27.44,25.69,30.53,33.44,36.44,41.0,44.09,46.69,47.5,48.69,49.81,49.88,50.06,49.78,47.38,47.44,44.66,40.69,41.44,39.12,39.03,38.84,39.25,39.72,39.66,40.66,42.62,44.19,46.25,48.84,51.69,54.72,57.09,58.03,59.69,56.16,57.41,54.19,52.34,51.09,48.09,46.5,44.31,42.56,41.66,41.12,41.56,44.0,44.28,43.44,46.38,45.81,46.38,46.72,47.81,48.25,48.81,50.28,50.81,51.44,52.19,52.59,51.91,50.5,48.78,46.56,44.12,41.81,39.44,40.91,41.59,45.53,48.19,51.12,53.66,54.56,54.16,54.06,53.06,52.53,51.53,49.88,50.19,47.59,48.41,47.5,47.28,47.16,47.66,46.16,44.56,41.44,39.47,37.62,37.31,38.19,39.97,43.62,46.81,48.91,50.66,51.66,51.31,50.31,47.5,48.19,46.81,45.94,45.94,44.88,41.44,40.19,37.81,35.59,34.06,33.19,32.53,32.03,32.41,34.28,35.75,34.84,38.91,38.44,37.69,39.53,38.94,38.66,38.75,38.56,36.78,37.09,34.75,34.06,33.06,32.19,32.06,33.31,34.44,35.94,38.03,40.69,42.41,45.28,46.88,46.91,46.94,46.09,44.41,43.31,41.09,38.34,36.97,34.66,33.16,31.91,29.28,32.25,31.69,33.06,34.91,37.44,37.56,37.25,37.03,35.69,35.03,35.44,35.69,37.34,39.06,37.5,40.59,40.28,39.94,41.03,40.28,37.97,36.31,34.88,34.84,33.94,34.81,36.22,37.94,39.25,40.66,41.06,41.56,40.62,39.09,37.25,35.56,34.97,33.66,33.72,34.41,34.69,34.06,34.94,34.28,33.72,32.69,33.19,30.88,30.81,30.88,30.72,31.88,32.72,34.28,36.03,37.31,37.91,39.38,40.84,41.03,40.44,41.53,40.88,39.47,38.75,37.09,34.97,32.25,30.25,29.41,28.25,28.78,28.19,27.66,27.0,27.0,26.75,27.59,29.69,33.25,36.94,41.0,43.97,45.44,47.16,45.34,43.62,40.56,36.78,32.97,28.41,24.47,21.5,19.5,19.09,18.81,19.31,21.28,22.06,23.91,24.56,26.06,26.78,28.16,30.62,33.44,36.81,39.41,41.53,43.06,43.12,39.78,40.94,37.56,36.0,34.5,31.91,30.16,28.56,28.69,30.84,33.53,36.41,38.53,39.66,39.31,37.81,37.41,35.72,35.34,34.66,14.0,14.28,12.84,10.69,7.34,3.69,0.75,-0.97,-2.41,-1.06,-0.09,1.81,3.31,4.19,4.62,4.28,3.97,4.03,3.84,5.25,6.38,7.12,8.56,8.03,7.81,7.28,6.19,5.53,4.91,5.03:negativity
25.66,24.84,25.09,23.81,23.03,22.31,23.66,24.19,24.31,26.31,27.94,28.5,30.31,32.59,34.47,37.06,38.66,39.66,40.16,39.78,37.78,36.78,34.91,33.12,31.69,32.09,31.56,31.12,30.78,29.69,28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22:23.66,24.19,24.31,26.31,27.94,28.5,30.31,32.59,34.47,37.06,38.66,39.66,40.16,39.78,37.78,36.78,34.91,33.12,31.69,32.09,31.56,31.12,30.78,29.69,28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22,1.44,0.0,-0.34,-0.06,-1.41,-0.53:30.31,32.59,34.47,37.06,38.66,39.66,40.16,39.78,37.78,36.78,34.91,33.12,31.69,32.09,31.56,31.12,30.78,29.69,28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22,1.44,0.0,-0.34,-0.06,-1.41,-0.53,1.0,-0.09,1.28,1.97,2.78,2.25:40.16,39.78,37.78,36.78,34.91,33.12,31.69,32.09,31.56,31.12,30.78,29.69,28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22,1.44,0.0,-0.34,-0.06,-1.41,-0.53,1.0,-0.09,1.28,1.97,2.78,2.25,2.84,1.31,-0.16,-1.34,-2.91,-3.09:31.69,32.09,31.56,31.12,30.78,29.69,28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22,1.44,0.0,-0.34,-0.06,-1.41,-0.53,1.0,-0.09,1.28,1.97,2.78,2.25,2.84,1.31,-0.16,-1.34,-2.91,-3.09,-2.41,-1.25,1.81,4.84,6.84,8.97:28.16,26.62,25.5,24.72,24.94,26.78,26.81,29.41,31.78,33.94,36.59,36.38,36.81,36.25,34.31,33.69,31.0,30.78,29.62,29.78,29.81,31.75,32.56,34.62,34.56,34.38,33.09,32.53,31.56,32.06,32.19,33.28,33.47,33.16,31.62,31.44,30.03,28.84,28.69,29.22,28.88,29.28,30.31,30.16,29.66,29.75,26.78,25.38,24.16,20.66,20.41,19.25,20.53,20.97,21.72,24.41,25.5,24.72,24.53,23.62,22.28,22.38,22.03,21.72,22.47,23.0,23.97,24.94,26.12,25.22,24.69,22.34,20.25,18.06,14.97,15.62,15.19,16.44,16.69,17.81,17.12,18.19,19.03,20.03,22.31,25.31,25.34,28.19,26.94,26.69,25.34,22.62,22.66,20.69,19.91,19.72,19.88,20.16,21.25,21.16,21.81,22.06,21.25,21.06,20.5,19.88,19.44,20.19,19.97,20.16,20.56,20.66,18.75,17.06,14.12,11.5,9.88,8.84,9.91,10.31,10.66,10.31,12.16,13.34,13.75,15.5,15.44,16.12,16.94,17.06,18.59,19.25,19.59,20.72,21.06,21.78,22.78,21.72,22.09,22.16,21.41,21.91,24.81,25.19,28.0,30.62,33.19,34.03,34.78,33.81,31.97,29.03,28.06,26.12,26.62,27.09,28.12,29.56,30.94,33.41,34.91,38.56,39.38,41.22,41.0,39.56,38.09,37.28,34.62,33.5,32.62,32.16,31.03,30.44,29.09,27.25,25.25,24.12,24.88,25.28,26.59,27.16,26.69,27.03,26.31,25.22,25.31,23.81,23.19,23.44,22.56,22.44,23.03,21.16,23.69,23.91,23.78,23.88,22.53,20.78,19.88,19.38,20.16,20.56,22.91,24.84,26.28,26.78,27.03,26.69,24.62,23.81,24.25,25.06,26.66,28.41,28.34,29.16,27.94,27.72,27.44,26.69,26.06,26.44,24.5,24.09,24.06,25.34,27.0,29.5,31.75,33.56,33.06,31.94,29.94,30.0,29.16,29.72,30.56,31.81,31.69,30.53,29.16,25.75,22.94,19.34,17.25,15.34,13.38,13.19,13.06,14.69,15.94,19.34,21.56,24.16,26.75,27.94,27.0,26.81,26.03,24.62,21.81,22.25,21.56,19.12,19.5,18.06,16.5,15.38,15.28,16.03,16.25,18.62,19.88,21.16,23.12,23.94,26.16,27.38,29.16,31.34,33.34,33.81,33.88,33.72,33.25,33.31,33.03,33.53,35.19,36.03,35.41,36.28,35.25,34.44,33.75,33.16,32.75,31.31,29.66,29.69,27.56,27.41,27.56,26.66,26.47,26.97,26.5,25.56,23.94,22.19,19.91,18.88,16.84,15.03,14.28,11.06,9.91,7.94,7.91,8.53,8.94,9.84,10.16,10.34,10.88,11.56,13.84,16.34,18.72,21.62,22.97,23.03,21.91,20.44,15.5,11.81,9.41,7.53,6.69,8.53,9.44,10.81,11.91,13.44,14.09,15.44,18.41,20.62,23.44,25.06,30.03,33.19,33.78,36.97,36.19,35.81,33.81,32.31,32.25,32.69,33.0,34.84,36.69,37.53,37.84,38.22,37.81,36.53,34.44,31.84,28.66,25.81,22.66,19.16,17.16,14.28,10.19,9.94,10.53,10.94,13.0,17.56,18.69,20.91,22.72,25.31,27.19,29.34,31.34,31.31,29.53,27.53,25.41,19.81,15.31,13.03,10.31,10.5,10.78,13.69,17.09,19.0,21.44,23.16,23.62,25.34,23.44,20.22,22.66,18.56,17.47,17.16,16.34,14.41,13.69,12.56,13.0,15.06,16.81,19.34,21.28,24.91,27.66,29.44,31.03,32.53,32.78,32.25,32.78,30.91,28.59,26.56,23.94,20.69,18.28,15.81,14.31,14.91,15.31,17.56,19.62,21.31,23.31,25.22,27.62,29.62,32.94,34.75,34.47,35.38,33.72,30.84,29.25,28.62,27.34,27.12,27.03,28.56,28.59,29.22,29.75,29.22,29.0,29.06,29.16,29.66,28.75,29.72,28.69,27.84,27.62,25.12,24.31,23.31,21.06,19.88,18.25,17.19,15.72,15.03,14.72,15.19,13.62,13.78,14.16,14.56,17.03,19.69,22.84,24.34,24.91,24.09,23.38,22.69,22.56,23.22,24.75,25.66,24.56,24.69,23.94,22.94,21.62,18.41,20.5,17.25,17.97,18.59,17.81,18.38,18.94,19.19,19.28,19.62,22.25,22.19,24.5,25.41,26.03,26.25,25.91,23.78,21.84,19.19,17.75,16.28,15.72,16.5,18.03,18.12,21.69,22.28,23.0,23.06,22.84,21.06,20.44,18.41,18.88,19.22,20.06,21.66,23.16,23.31,22.97,21.59,20.59,19.0,16.66,15.56,15.69,15.44,16.69,18.16,20.56,22.94,23.16,24.62,26.69,28.03,30.56,33.41,35.19,36.56,34.97,34.84,33.91,32.94,32.0,29.78,27.69,25.09,21.84,19.19,18.88,18.62,19.56,20.81,21.66,21.72,21.94,20.31,20.44,18.62,17.81,17.78,16.84,17.66,18.84,19.91,19.09,16.84,14.66,10.78,7.69,4.56,4.19,4.59,5.78,9.47,10.78,13.5,15.28,15.31,15.16,14.75,14.19,12.94,13.03,13.53,14.31,14.81,16.25,17.09,16.78,18.06,17.28,16.5,14.81,13.84,13.06,12.56,13.88,15.78,16.69,17.38,17.16,16.19,13.72,10.5,7.81,5.09,3.56,1.47,0.75,0.91,-0.97,-2.16,-3.31,-4.31,-2.84,-0.94,1.81,6.0,7.56,8.5,9.53,9.5,9.72,11.16,10.28,9.97,9.06,9.0,9.38,9.34,10.84,11.97,12.06,12.62,12.19,12.56,13.38,13.78,15.19,16.94,19.84,22.69,25.22,27.88,28.38,27.19,24.12,20.03,17.72,13.06,11.28,9.44,8.0,7.94,6.5,5.94,5.94,5.94,6.09,7.25,7.75,9.06,11.25,13.69,18.5,21.78,25.75,27.88,28.44,27.53,25.78,23.56,21.12,19.19,17.75,17.91,17.12,16.19,16.78,16.25,15.25,15.12,15.31,14.78,15.88,17.53,19.12,21.88,24.25,25.59,27.03,26.31,26.81,25.94,26.5,26.38,25.94,26.09,27.44,28.28,30.31,32.62,33.62,33.91,33.66,31.22,29.28,28.41,26.88,26.69,27.34,27.78,28.34,29.03,28.5,26.91,25.16,22.31,20.78,20.09,20.03,19.91,20.34,20.31,19.38,18.53,17.41,16.53,15.12,14.25,12.94,12.34,12.5,13.62,16.03,19.5,21.91,23.44,24.06,23.81,21.97,20.31,19.12,17.12,16.56,16.19,15.28,15.94,16.44,16.78,17.62,18.66,18.41,19.16,19.41,20.12,20.41,22.41,22.69,22.94,22.62,21.5,18.66,17.41,15.19,13.81,13.44,13.38,15.38,15.81,17.5,18.78,18.84,16.97,15.84,15.28,14.19,14.12,15.03,18.09,20.25,24.59,28.72,32.12,34.44,34.97,34.16,32.06,28.16,26.28,23.69,22.19,19.81,19.06,19.41,17.44,18.53,19.34,20.09,20.88,19.22,18.31,17.66,15.16,15.06,15.56,16.84,19.34,21.31,22.69,22.94,22.66,23.09,21.41,20.03,19.66,19.03,18.16,17.41,16.88,16.38,14.25,13.41,11.91,11.31,10.94,11.06,11.03,13.47,15.44,16.94,18.62,21.25,21.16,21.16,21.19,19.31,18.22,1.44,0.0,-0.34,-0.06,-1.41,-0.53,1.0,-0.09,1.28,1.97,2.78,2.25,2.84,1.31,-0.16,-1.34,-2.91,-3.09,-2.41,-1.25,1.81,4.84,6.84,8.97,11.41,12.38,11.28,9.94,8.28,5.25:negativity
62.12,63.09,63.06,64.53,65.34,65.44,66.19,65.66,65.25,63.41,62.62,62.09,61.19,60.41,61.69,63.81,63.81,65.25,67.12,67.53,67.41,66.47,66.66,65.47,64.66,63.69,64.44,63.94,64.88,66.88,67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19:66.19,65.66,65.25,63.41,62.62,62.09,61.19,60.41,61.69,63.81,63.81,65.25,67.12,67.53,67.41,66.47,66.66,65.47,64.66,63.69,64.44,63.94,64.88,66.88,67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19,-4.09,-3.12,-2.0,-0.12,-0.41,0.91:61.19,60.41,61.69,63.81,63.81,65.25,67.12,67.53,67.41,66.47,66.66,65.47,64.66,63.69,64.44,63.94,64.88,66.88,67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19,-4.09,-3.12,-2.0,-0.12,-0.41,0.91,0.81,0.69,-1.75,-4.16,-4.41,-7.72:67.12,67.53,67.41,66.47,66.66,65.47,64.66,63.69,64.44,63.94,64.88,66.88,67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19,-4.09,-3.12,-2.0,-0.12,-0.41,0.91,0.81,0.69,-1.75,-4.16,-4.41,-7.72,-8.59,-7.97,-8.09,-7.47,-6.84,-5.59:64.66,63.69,64.44,63.94,64.88,66.88,67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19,-4.09,-3.12,-2.0,-0.12,-0.41,0.91,0.81,0.69,-1.75,-4.16,-4.41,-7.72,-8.59,-7.97,-8.09,-7.47,-6.84,-5.59,-3.66,-2.81,-1.78,-2.34,-1.97,-3.5:67.5,69.66,70.94,71.75,72.81,72.59,74.0,74.81,74.44,76.91,79.09,80.94,82.38,83.88,84.31,83.56,83.66,83.81,84.94,86.59,87.5,88.78,88.5,89.0,87.66,87.88,88.22,87.62,88.88,88.62,88.31,87.75,86.44,85.38,83.66,82.22,79.91,79.12,78.38,77.66,77.28,77.0,76.94,76.25,75.28,76.25,78.75,80.56,83.62,87.47,89.06,91.5,91.31,91.94,91.06,89.19,88.75,88.19,87.72,89.06,88.75,90.06,89.66,89.62,89.19,88.97,88.5,88.91,87.31,87.78,84.56,84.31,82.62,81.75,82.84,83.56,83.25,84.22,84.69,83.69,83.66,85.66,86.25,86.03,87.06,87.84,85.91,86.81,86.41,86.09,83.47,81.03,78.84,75.53,72.38,72.28,71.16,72.66,74.53,76.06,78.66,81.25,82.44,86.91,87.66,90.78,91.66,91.0,90.03,87.53,85.06,83.75,82.16,80.09,79.88,81.25,81.69,84.78,88.25,91.56,93.78,95.94,97.44,96.97,96.72,96.25,95.72,93.69,92.88,90.94,88.34,87.06,84.59,84.91,85.41,84.88,85.91,85.41,85.31,85.06,84.5,84.34,84.56,84.06,82.03,81.66,78.78,79.0,79.25,79.53,79.53,81.41,79.53,80.09,77.66,77.31,75.81,72.75,71.81,70.19,69.88,70.91,71.38,73.28,74.03,76.06,77.06,76.84,78.25,77.47,78.38,78.69,79.38,80.94,82.84,84.62,85.91,86.69,86.28,84.62,82.53,78.12,75.34,72.91,72.59,73.5,74.62,76.88,76.81,76.06,76.94,77.28,78.38,78.72,79.62,80.41,79.09,78.88,79.44,78.72,79.84,79.66,80.38,80.72,82.62,85.31,86.25,87.75,88.78,88.78,88.0,87.81,87.16,88.75,87.12,87.31,87.59,85.41,83.78,82.84,82.25,80.56,80.94,81.16,80.72,82.69,83.5,84.19,85.94,86.94,86.16,86.19,87.03,87.12,87.69,89.22,90.88,91.47,93.25,93.28,94.72,95.62,95.78,96.75,98.69,98.03,98.62,99.28,100.0,100.19,101.38,101.28,100.81,100.19,98.81,97.0,96.09,94.0,91.69,90.81,90.75,90.19,89.75,91.56,91.16,90.62,93.5,92.75,92.16,93.66,92.66,93.25,90.97,92.41,91.38,90.78,90.56,90.22,90.41,90.25,90.16,92.41,91.84,92.47,94.41,94.69,96.06,96.44,98.06,98.28,98.06,96.09,95.81,92.78,90.56,88.09,85.41,83.81,82.56,83.19,83.66,85.03,85.31,87.62,86.53,87.38,89.53,90.34,91.75,91.75,90.84,88.97,86.78,87.06,86.0,86.75,85.81,87.0,84.62,83.97,84.41,84.31,84.53,84.47,84.16,83.88,81.41,79.69,77.47,76.06,76.0,74.69,76.28,76.44,78.06,75.78,77.06,75.25,73.53,72.53,72.69,72.62,73.31,74.94,76.12,78.34,79.34,81.12,81.5,82.56,84.62,83.97,86.19,85.75,86.31,86.25,86.25,86.56,86.44,89.06,87.25,87.16,88.81,88.62,89.31,90.25,90.38,91.03,89.25,88.5,87.81,86.28,84.12,83.69,81.59,80.88,78.94,78.44,75.88,75.0,74.41,74.59,75.44,76.25,77.03,76.19,77.72,77.41,79.03,79.53,81.88,83.81,85.56,85.75,86.62,86.97,85.44,84.25,82.28,81.03,80.12,77.91,77.44,78.94,79.66,81.53,81.03,79.16,79.84,78.84,78.72,79.69,82.44,83.34,81.94,81.38,79.66,77.41,77.41,77.94,77.31,79.81,79.19,80.5,82.12,84.0,85.03,86.44,88.0,87.41,88.72,87.72,88.0,86.06,87.12,86.06,88.69,89.72,89.53,90.44,91.0,89.78,90.5,90.41,90.44,90.84,91.75,92.56,94.88,97.88,101.47,103.19,104.75,104.91,103.59,100.69,98.5,95.47,90.19,90.16,88.06,87.94,88.56,88.34,88.69,87.31,84.56,85.12,83.81,84.81,83.91,84.5,85.94,85.31,85.41,87.31,88.0,88.09,87.16,86.31,85.69,82.81,82.78,83.22,83.09,83.53,85.25,84.62,84.12,84.88,85.12,84.41,84.12,82.25,81.06,79.66,78.97,79.62,82.44,83.81,85.34,87.06,85.78,83.66,83.19,82.59,80.62,80.19,79.69,78.41,77.06,76.84,76.66,76.62,76.44,75.69,74.34,73.59,70.28,69.66,67.81,66.84,66.66,67.16,66.94,68.19,68.59,69.56,70.16,71.75,72.16,72.5,72.84,71.91,72.62,72.31,71.84,71.28,71.62,70.09,70.38,70.84,72.44,74.12,75.53,77.25,76.66,78.44,78.09,80.25,81.91,85.06,87.16,87.59,89.38,89.78,86.91,85.88,84.5,84.0,82.91,87.31,89.34,92.19,96.31,95.88,96.81,97.06,98.0,98.66,103.19,105.44,106.75,107.94,106.75,103.66,102.06,101.19,99.47,99.38,99.53,100.03,102.34,103.69,104.91,107.66,108.44,111.34,112.56,114.59,115.84,114.78,114.44,111.81,109.25,106.0,103.53,102.72,100.81,100.5,101.16,104.09,105.25,108.25,112.44,115.19,118.44,118.97,120.62,120.47,117.22,115.81,114.78,111.0,111.0,108.56,106.22,105.56,103.53,103.62,105.72,104.22,107.56,105.81,105.38,106.47,103.5,106.41,106.94,109.5,110.75,111.84,113.53,113.16,111.12,113.28,110.03,109.16,110.06,105.88,105.19,107.25,105.25,109.41,104.44,108.12,105.53,99.41,102.0,98.56,100.72,99.94,100.91,101.34,99.69,95.28,94.78,93.69,92.0,94.03,94.44,93.75,92.41,91.03,89.12,85.84,85.72,84.81,85.5,86.56,89.44,90.94,89.56,89.41,87.0,83.12,81.66,80.38,80.03,80.81,78.47,79.03,79.72,76.66,76.22,73.47,74.38,71.09,68.78,64.84,63.66,61.88,58.5,57.91,56.91,53.88,53.53,54.62,54.19,56.69,57.69,58.38,58.22,60.12,57.78,58.78,57.44,57.72,56.62,55.06,54.81,54.78,55.97,55.88,57.31,58.03,58.28,57.56,55.12,52.84,51.28,48.28,47.25,47.53,47.81,47.31,47.44,48.91,48.03,47.88,48.94,48.25,48.25,49.31,50.06,50.56,51.34,52.5,53.66,53.31,52.62,53.22,53.19,52.31,53.31,53.34,54.03,53.75,55.28,55.69,55.25,54.47,52.47,51.94,52.12,50.88,51.94,50.94,49.81,48.06,48.22,46.88,49.0,47.53,46.44,46.66,45.19,45.84,47.69,48.84,51.28,53.91,54.34,54.69,56.69,56.19,55.38,56.28,56.34,56.22,55.03,55.47,55.75,56.62,59.06,62.19,65.31,66.59,68.0,68.84,69.72,68.81,70.41,71.41,72.34,71.84,71.88,72.03,70.75,71.53,71.03,71.19,71.78,71.62,70.31,72.62,73.19,73.78,75.44,76.19,76.31,75.94,74.75,75.56,73.31,72.78,73.16,74.31,75.62,77.81,82.31,82.62,83.62,85.31,83.94,83.72,82.12,82.84,82.31,82.88,82.56,83.34,83.94,83.56,84.16,85.59,87.56,90.62,94.22,97.38,99.31,101.66,100.53,100.94,99.03,98.28,96.44,95.34,91.62,89.22,88.06,86.69,86.69,88.91,88.62,89.31,91.5,91.03,91.06,92.38,90.59,90.0,88.41,86.0,85.66,85.19,-4.09,-3.12,-2.0,-0.12,-0.41,0.91,0.81,0.69,-1.75,-4.16,-4.41,-7.72,-8.59,-7.97,-8.09,-7.47,-6.84,-5.59,-3.66,-2.81,-1.78,-2.34,-1.97,-3.5,-3.78,-3.44,-2.41,-1.47,-0.22,1.16:negativity
35.44,33.0,31.62,29.84,28.5,27.56,28.25,29.12,30.28,30.91,32.0,32.94,32.0,32.62,32.59,32.16,33.91,33.38,34.72,35.28,34.41,32.94,32.31,31.16,28.56,28.22,27.84,27.41,27.62,28.62,30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19:28.25,29.12,30.28,30.91,32.0,32.94,32.0,32.62,32.59,32.16,33.91,33.38,34.72,35.28,34.41,32.94,32.31,31.16,28.56,28.22,27.84,27.41,27.62,28.62,30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19,-7.22,-11.16,-13.25,-16.66,-18.94,-19.19:32.0,32.62,32.59,32.16,33.91,33.38,34.72,35.28,34.41,32.94,32.31,31.16,28.56,28.22,27.84,27.41,27.62,28.62,30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19,-7.22,-11.16,-13.25,-16.66,-18.94,-19.19,-19.06,-17.94,-15.47,-13.41,-11.97,-10.28:34.72,35.28,34.41,32.94,32.31,31.16,28.56,28.22,27.84,27.41,27.62,28.62,30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19,-7.22,-11.16,-13.25,-16.66,-18.94,-19.19,-19.06,-17.94,-15.47,-13.41,-11.97,-10.28,-10.34,-11.09,-10.44,-12.22,-12.53,-12.91:28.56,28.22,27.84,27.41,27.62,28.62,30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19,-7.22,-11.16,-13.25,-16.66,-18.94,-19.19,-19.06,-17.94,-15.47,-13.41,-11.97,-10.28,-10.34,-11.09,-10.44,-12.22,-12.53,-12.91,-12.91,-13.47,-12.72,-13.22,-14.28,-15.31:30.31,32.41,34.59,36.19,37.84,38.84,39.56,38.22,36.47,34.19,32.5,29.44,27.78,25.78,23.81,23.12,22.31,22.62,24.0,23.84,25.28,26.03,27.31,29.09,30.62,32.16,34.84,35.19,36.22,35.38,34.28,33.06,30.12,28.59,27.47,26.34,27.69,27.91,28.72,31.06,32.53,34.28,35.53,36.06,36.38,34.25,34.38,32.25,31.25,31.91,31.84,32.41,32.91,32.06,31.25,29.84,29.78,30.0,31.81,33.31,34.59,35.19,35.0,34.84,34.47,34.06,34.84,33.75,32.91,31.78,31.47,28.56,26.28,23.06,20.31,16.88,15.62,17.19,17.78,20.06,21.78,22.38,24.06,24.12,25.56,24.72,24.44,24.66,24.84,26.38,29.44,33.56,38.66,42.69,46.09,47.16,46.94,44.97,42.22,39.41,37.0,37.16,37.69,40.81,42.91,45.84,47.31,46.59,46.66,46.0,43.47,42.38,40.78,38.69,35.78,33.72,32.28,29.56,28.25,26.16,24.5,23.56,23.12,23.81,25.0,29.16,30.78,33.91,36.47,39.06,41.44,43.06,43.94,45.12,46.12,45.41,44.44,43.69,42.31,39.38,37.78,35.12,34.38,33.66,33.84,33.94,34.03,33.84,35.09,35.0,35.22,35.53,36.56,36.28,36.03,34.5,34.5,33.88,33.16,33.59,34.53,35.97,37.81,40.12,40.0,39.78,39.94,39.69,39.03,40.16,41.53,41.19,41.5,40.66,40.97,40.62,39.44,39.53,37.16,36.19,34.75,33.41,32.81,32.5,31.88,32.81,32.88,34.19,34.91,35.84,35.91,34.72,33.97,33.06,33.16,33.94,35.0,37.69,39.03,40.5,42.06,42.16,42.47,44.75,45.12,46.62,47.97,47.19,47.22,45.16,43.62,40.91,40.06,38.0,37.5,37.72,38.06,38.78,39.91,40.75,40.56,38.69,38.75,35.62,33.25,32.81,32.31,30.62,30.66,28.88,27.03,25.47,23.72,23.44,22.94,22.66,22.06,21.69,21.94,21.09,20.41,21.16,21.03,20.66,23.03,24.53,26.69,27.25,27.53,26.91,25.44,24.66,24.06,24.06,25.12,24.34,26.16,25.5,25.62,23.97,22.19,21.09,19.06,19.12,20.97,22.5,24.28,26.62,26.84,26.06,25.25,23.84,23.16,22.38,22.31,22.84,22.62,22.5,22.84,22.03,22.38,21.62,23.19,24.16,25.34,27.0,28.19,29.0,29.28,30.34,29.12,29.03,28.47,26.44,24.34,22.97,21.25,21.72,22.59,24.38,25.81,26.81,27.25,26.84,26.28,27.12,27.78,29.56,30.94,32.12,31.84,31.03,30.34,30.94,30.28,30.66,32.03,31.84,31.31,31.66,31.53,31.72,32.56,31.94,32.81,32.19,31.5,31.44,31.81,30.84,31.25,30.91,30.88,31.62,31.0,31.69,32.34,32.06,32.91,34.0,34.25,35.06,35.34,36.12,37.69,38.88,40.94,40.88,42.03,41.03,39.56,38.41,36.72,35.66,34.19,32.66,31.16,31.06,29.94,30.0,29.31,29.41,28.81,27.34,27.03,26.25,25.44,25.69,25.12,26.78,26.12,26.5,27.34,28.12,27.81,27.66,27.94,27.44,25.81,26.56,27.12,26.81,25.5,24.88,23.41,22.78,19.81,19.25,21.62,20.84,23.75,25.75,27.44,28.31,27.59,28.31,26.31,25.25,23.47,20.81,19.81,18.97,19.03,19.78,21.69,22.78,24.41,24.41,23.5,23.0,21.31,19.06,17.59,16.28,13.69,14.31,13.47,14.84,16.94,18.44,20.19,20.66,20.53,19.31,17.94,17.84,18.78,18.69,20.72,23.12,24.5,26.69,28.09,27.25,26.34,27.53,26.56,27.69,31.62,32.12,33.84,34.53,33.97,32.0,30.47,28.66,26.91,23.88,24.25,24.19,24.5,26.0,28.06,28.19,30.5,30.5,30.44,30.31,30.44,27.88,27.66,27.09,26.5,27.88,28.72,30.28,31.0,31.5,30.31,29.19,28.72,27.81,28.0,28.69,27.81,29.16,28.03,28.03,28.06,27.88,25.62,24.31,21.38,17.56,17.22,16.16,16.19,18.03,18.78,19.78,20.66,20.81,21.88,21.81,20.34,21.88,22.16,21.72,24.5,25.16,23.41,26.16,26.56,27.19,28.94,32.47,33.06,35.31,38.72,40.19,43.62,46.81,50.38,51.78,52.78,51.66,48.62,44.0,39.44,36.12,30.94,31.12,30.16,29.47,29.03,29.25,28.47,27.56,27.44,27.66,27.12,26.62,27.16,27.12,27.66,28.06,28.53,27.81,27.75,27.03,26.16,25.34,24.38,24.72,24.12,23.78,25.41,26.78,27.75,29.56,30.06,31.69,31.53,33.06,33.97,33.94,33.69,34.16,34.44,35.31,36.38,36.62,36.5,35.84,35.34,34.69,35.06,36.06,37.53,37.81,37.75,36.56,36.31,34.38,31.88,31.91,30.34,29.72,29.91,29.91,29.25,29.22,28.69,28.06,26.75,27.25,26.84,26.94,27.75,28.5,27.56,29.25,28.28,29.09,29.38,29.94,29.5,28.5,27.62,26.62,26.0,25.28,25.91,25.84,25.91,27.59,29.12,29.84,31.94,31.84,30.81,31.38,30.06,28.94,29.78,28.81,28.88,28.75,28.09,27.78,28.44,24.16,28.56,28.5,30.25,33.62,35.97,36.81,36.72,34.81,33.41,30.78,27.5,26.69,25.31,25.91,26.19,27.34,28.19,29.69,29.72,31.69,32.06,34.5,35.16,36.22,37.72,37.06,37.69,36.5,36.72,36.12,35.16,33.97,33.53,33.41,33.06,33.69,33.91,33.41,32.16,30.78,29.28,27.31,27.62,28.06,29.41,29.81,31.88,32.53,34.16,34.41,35.41,35.97,34.56,32.78,32.97,31.22,32.0,32.38,33.19,33.12,32.41,32.0,29.12,27.44,25.38,24.06,23.06,22.62,23.88,24.69,26.59,28.16,30.28,32.41,33.44,34.94,35.91,35.31,33.69,31.34,27.97,23.59,17.75,16.94,14.72,14.81,16.31,18.66,19.81,21.38,22.81,23.19,23.75,23.94,22.69,22.16,22.56,21.31,23.53,24.06,26.16,26.16,27.28,27.16,26.72,25.94,26.22,24.81,25.25,25.12,25.12,25.34,24.62,23.72,23.09,21.88,21.28,19.41,19.53,19.66,20.62,23.34,27.19,29.72,30.56,31.16,29.47,27.5,26.03,24.53,23.03,24.25,24.53,24.56,25.5,25.94,25.56,25.25,24.94,25.03,24.41,24.12,24.09,23.72,23.81,24.44,24.12,24.0,23.34,21.75,20.09,18.91,18.44,18.81,19.88,21.44,23.59,24.78,25.91,27.25,27.84,27.91,29.72,29.25,29.38,28.22,27.25,25.59,23.94,23.81,23.41,23.19,24.28,23.62,24.34,24.03,23.56,23.84,22.81,21.44,20.06,17.66,15.66,14.53,12.53,12.44,12.38,12.88,15.12,16.06,17.41,19.22,19.38,20.97,21.44,22.88,23.16,23.62,23.78,23.09,22.06,20.31,19.19,18.94,18.66,17.09,18.47,18.97,19.28,19.72,20.25,19.94,18.91,17.72,16.38,16.03,15.0,14.0,14.91,14.81,14.69,17.28,17.84,18.94,20.5,20.44,19.41,18.16,14.94,12.69,9.66,7.94,7.16,8.28,9.41,11.62,12.75,14.66,14.81,15.03,15.53,15.16,14.19,14.19,-7.22,-11.16,-13.25,-16.66,-18.94,-19.19,-19.06,-17.94,-15.47,-13.41,-11.97,-10.28,-10.34,-11.09,-10.44,-12.22,-12.53,-12.91,-12.91,-13.47,-12.72,-13.22,-14.28,-15.31,-16.78,-19.59,-20.97,-22.03,-23.0,-22.53:negativity
17.69,14.94,12.59,11.12,10.88,13.62,14.84,15.28,15.41,17.22,15.84,15.91,18.19,19.5,16.88,21.81,22.66,22.81,23.75,24.81,24.03,21.78,22.19,20.34,15.06,23.97,21.97,25.81,32.81,36.56,38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22:14.84,15.28,15.41,17.22,15.84,15.91,18.19,19.5,16.88,21.81,22.66,22.81,23.75,24.81,24.03,21.78,22.19,20.34,15.06,23.97,21.97,25.81,32.81,36.56,38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22,34.72,33.56,32.94,32.31,33.38,31.66:18.19,19.5,16.88,21.81,22.66,22.81,23.75,24.81,24.03,21.78,22.19,20.34,15.06,23.97,21.97,25.81,32.81,36.56,38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22,34.72,33.56,32.94,32.31,33.38,31.66,32.19,31.16,30.81,31.97,31.44,32.91:23.75,24.81,24.03,21.78,22.19,20.34,15.06,23.97,21.97,25.81,32.81,36.56,38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22,34.72,33.56,32.94,32.31,33.38,31.66,32.19,31.16,30.81,31.97,31.44,32.91,34.62,36.19,37.62,39.78,41.84,43.59:15.06,23.97,21.97,25.81,32.81,36.56,38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22,34.72,33.56,32.94,32.31,33.38,31.66,32.19,31.16,30.81,31.97,31.44,32.91,34.62,36.19,37.62,39.78,41.84,43.59,43.53,43.66,40.44,42.38,38.91,39.94:38.44,39.38,38.81,38.62,37.0,36.38,34.0,33.72,31.12,30.06,30.5,29.78,30.78,30.62,29.34,30.78,30.47,30.94,31.31,34.88,30.12,32.75,31.0,27.94,29.19,30.47,28.44,28.0,26.19,21.56,19.69,16.19,13.59,10.22,9.28,7.31,6.16,7.06,7.19,6.34,6.16,5.41,4.31,4.56,4.81,6.34,4.59,8.66,10.62,12.91,17.28,21.78,23.69,22.19,21.94,17.31,14.19,11.19,8.44,6.75,6.06,5.75,5.78,6.03,3.81,6.03,8.5,12.38,14.66,19.38,18.06,18.38,15.31,14.16,10.94,8.44,5.56,0.91,0.28,0.72,-0.22,0.41,0.12,0.44,-0.53,5.47,5.62,9.16,10.38,11.31,10.91,12.38,11.53,11.5,11.06,10.56,6.84,9.81,10.66,12.16,11.66,14.0,13.25,14.56,11.62,10.72,10.56,8.56,9.97,11.41,13.38,15.56,11.19,12.75,10.59,7.03,10.09,9.0,9.53,11.19,15.72,17.31,18.31,16.53,16.84,9.91,11.03,8.47,6.34,8.25,7.38,4.59,6.16,6.69,3.44,3.56,3.44,0.41,1.47,1.66,3.34,6.59,9.34,14.38,13.53,16.94,17.66,15.84,16.34,14.44,11.56,13.75,8.66,9.03,9.44,10.97,13.41,15.41,16.53,15.75,13.94,11.66,11.0,12.12,12.16,14.28,14.53,14.69,11.5,14.12,10.88,14.69,12.81,16.66,18.66,18.28,20.53,21.16,21.66,18.12,19.38,18.06,17.78,17.81,16.91,18.5,17.94,17.41,20.5,20.19,20.28,20.59,17.28,17.78,18.16,18.28,19.31,21.91,18.66,18.06,17.31,16.31,18.59,20.41,21.16,20.75,18.47,11.69,10.47,10.38,6.28,9.28,8.41,12.5,11.72,12.66,13.28,12.19,10.56,9.41,3.56,4.31,3.62,3.69,5.88,3.47,3.06,2.34,2.56,5.62,7.97,13.06,12.38,13.94,16.88,17.84,18.5,18.5,17.06,15.25,11.94,11.34,10.0,8.12,9.81,9.56,11.81,14.84,16.09,13.62,19.66,19.09,19.5,22.31,25.56,25.38,24.91,24.81,22.84,19.84,15.25,13.78,10.16,11.22,10.44,12.44,11.44,14.19,14.53,12.53,14.69,16.12,17.72,17.78,18.56,19.78,18.78,17.62,15.56,15.78,11.78,7.88,12.0,8.12,10.75,12.31,12.41,14.25,14.16,12.88,14.31,15.78,16.88,16.81,20.34,22.28,23.69,20.94,25.44,22.88,23.41,23.75,24.84,22.53,18.62,20.5,16.84,16.06,18.72,18.41,20.44,21.97,25.03,25.62,28.28,29.06,28.75,31.31,28.97,28.31,29.69,26.03,27.75,24.5,25.94,25.12,22.5,22.44,17.78,18.34,16.44,14.12,15.06,13.75,12.56,11.78,12.06,14.81,16.19,19.53,16.88,19.0,19.66,19.34,20.56,22.53,21.31,17.84,15.84,14.31,12.28,10.19,13.41,11.56,14.28,13.78,14.41,15.84,19.72,20.78,21.38,21.06,23.03,21.62,22.56,19.19,22.16,22.09,22.25,25.16,26.5,24.94,24.34,20.78,19.59,18.41,20.06,19.88,20.81,22.0,22.0,18.84,15.81,19.19,17.53,18.44,20.81,21.81,24.06,24.34,23.66,26.66,25.41,22.78,20.69,14.56,12.25,9.16,7.38,10.56,13.94,16.66,21.16,22.53,23.16,22.06,17.69,18.03,15.31,13.03,12.81,12.44,10.66,8.22,12.56,9.66,13.25,14.69,15.84,17.47,15.56,15.28,18.91,18.06,22.62,24.81,26.84,27.34,23.56,22.53,21.0,18.59,18.16,16.16,14.25,15.31,11.44,8.81,8.16,4.41,4.41,4.03,2.16,3.62,3.72,5.44,7.69,9.84,14.5,14.22,13.56,13.81,10.91,10.94,7.91,7.03,6.12,3.06,4.19,3.56,3.66,2.59,3.84,2.03,1.09,0.34,0.88,3.62,1.16,5.31,5.97,7.19,4.69,8.06,6.31,6.06,7.53,7.12,9.81,10.53,13.22,14.62,14.88,18.06,12.47,19.03,17.78,18.53,17.88,20.41,18.69,17.31,19.25,18.5,16.12,15.72,10.19,13.19,10.03,11.53,9.72,10.5,12.44,12.53,12.19,13.03,10.59,11.91,10.38,11.69,11.66,12.62,10.5,10.38,4.56,8.66,7.91,8.88,10.62,12.88,12.81,11.66,12.28,11.75,12.16,9.06,11.59,10.94,11.31,15.84,20.66,25.94,28.94,30.69,29.34,28.16,25.78,22.84,20.91,19.25,16.84,16.34,14.81,12.62,14.12,10.31,13.56,10.31,13.09,13.41,14.22,15.34,15.25,12.31,14.19,11.78,11.66,11.91,14.78,13.91,13.06,16.06,12.75,15.06,14.56,14.66,14.56,15.91,15.84,15.53,14.56,15.03,13.0,12.22,10.19,11.56,9.34,12.31,14.06,13.19,13.94,18.31,18.56,22.06,23.78,24.62,25.12,20.62,22.28,20.62,15.84,20.69,18.78,20.34,23.16,24.06,29.31,31.25,33.12,34.44,38.84,38.34,38.41,37.94,34.16,22.84,16.91,12.69,7.47,6.47,8.0,4.81,3.69,2.62,2.38,1.88,5.31,3.81,5.34,1.31,1.06,-0.22,-5.06,2.91,5.16,10.62,15.5,21.28,21.69,21.34,20.62,18.62,18.06,17.75,14.0,17.03,16.72,17.19,20.31,20.34,22.91,19.94,18.84,20.0,19.69,22.16,23.62,25.62,26.91,28.38,24.0,28.78,27.41,27.84,27.25,26.88,23.56,20.5,17.38,14.5,13.31,9.94,7.62,3.91,5.81,5.91,4.5,5.78,6.5,3.72,3.97,4.84,3.81,8.31,6.66,8.41,10.25,10.31,10.69,10.94,9.88,6.41,4.19,2.81,1.44,0.88,0.94,2.16,2.91,3.28,5.78,7.09,7.97,8.06,6.69,7.56,9.34,8.66,11.19,12.75,14.47,16.5,16.62,15.69,15.91,15.19,14.53,14.38,14.84,15.16,10.44,10.25,7.97,7.69,6.41,6.53,8.56,8.25,8.69,6.06,6.28,5.41,5.56,6.09,5.81,6.16,6.34,5.44,5.34,3.75,3.5,3.16,5.94,6.12,5.88,7.84,3.91,3.41,1.25,0.38,2.0,1.19,3.38,1.97,3.03,3.28,2.94,4.41,4.78,4.16,5.03,4.5,4.06,-1.31,2.75,-1.84,-2.69,-2.84,-2.0,-3.03,-0.72,-0.06,2.34,3.31,6.38,4.84,6.09,6.53,6.84,6.84,6.66,6.53,7.19,5.91,5.59,6.0,6.88,3.56,1.5,4.09,-1.75,2.59,3.47,5.41,7.38,9.25,9.28,9.06,7.53,7.88,6.12,4.59,5.09,3.03,1.91,3.03,1.28,-0.41,-1.38,-0.34,-3.78,-1.19,1.12,2.91,5.25,6.38,5.81,6.75,5.94,6.03,6.5,6.91,5.81,5.66,4.34,4.91,4.62,4.53,3.0,3.09,3.44,3.66,6.0,9.72,12.34,9.53,13.94,12.16,15.22,15.31,16.41,17.25,15.09,15.28,14.59,14.78,16.06,13.44,14.44,12.72,10.81,9.25,12.5,10.44,10.06,10.34,7.38,8.69,7.12,7.31,6.88,7.53,5.78,3.41,1.78,0.53,-0.25,0.0,-1.91,-0.81,-0.59,-1.09,-0.59,-0.53,-2.34,-3.22,34.72,33.56,32.94,32.31,33.38,31.66,32.19,31.16,30.81,31.97,31.44,32.91,34.62,36.19,37.62,39.78,41.84,43.59,43.53,43.66,40.44,42.38,38.91,39.94,39.38,41.47,42.34,47.75,50.28,53.19:negativity
25.31,25.88,26.88,27.09,27.97,27.19,26.84,24.16,26.41,24.59,25.03,24.88,25.22,25.12,24.0,25.19,23.84,25.69,26.0,26.66,27.81,25.38,28.75,26.03,24.28,22.97,21.88,19.91,19.31,21.03,23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03:26.84,24.16,26.41,24.59,25.03,24.88,25.22,25.12,24.0,25.19,23.84,25.69,26.0,26.66,27.81,25.38,28.75,26.03,24.28,22.97,21.88,19.91,19.31,21.03,23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03,-6.44,-6.94,-7.34,-7.44,-6.03,-5.34:25.22,25.12,24.0,25.19,23.84,25.69,26.0,26.66,27.81,25.38,28.75,26.03,24.28,22.97,21.88,19.91,19.31,21.03,23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03,-6.44,-6.94,-7.34,-7.44,-6.03,-5.34,-3.41,-2.47,-0.78,-2.31,-2.47,-3.44:26.0,26.66,27.81,25.38,28.75,26.03,24.28,22.97,21.88,19.91,19.31,21.03,23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03,-6.44,-6.94,-7.34,-7.44,-6.03,-5.34,-3.41,-2.47,-0.78,-2.31,-2.47,-3.44,-4.84,-6.44,-6.84,-5.66,-6.59,-5.5:24.28,22.97,21.88,19.91,19.31,21.03,23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03,-6.44,-6.94,-7.34,-7.44,-6.03,-5.34,-3.41,-2.47,-0.78,-2.31,-2.47,-3.44,-4.84,-6.44,-6.84,-5.66,-6.59,-5.5,-4.06,-4.16,-3.78,-3.53,-4.59,-5.91:23.19,25.19,26.5,28.03,25.56,26.94,25.5,24.5,24.38,22.69,20.38,20.5,17.16,17.72,16.44,16.94,16.84,17.5,18.66,19.12,19.53,22.5,22.09,21.31,20.75,20.16,18.31,15.94,15.56,14.41,15.0,13.41,12.59,11.31,8.88,8.06,7.31,5.03,6.62,6.69,10.72,14.69,18.03,20.78,22.06,19.47,15.69,13.53,9.19,7.03,7.25,7.38,8.59,9.28,9.91,6.69,8.62,7.81,7.41,8.09,10.62,12.44,13.94,15.53,15.91,17.19,17.34,17.75,17.75,14.97,17.53,16.12,15.94,17.09,16.91,18.28,18.84,20.66,19.25,21.31,20.31,22.31,23.28,24.62,26.41,24.94,24.69,23.56,21.78,20.25,16.41,20.0,18.59,20.94,24.81,27.47,29.38,30.56,31.03,29.06,25.97,25.16,20.56,19.47,19.84,19.53,18.28,18.66,18.34,16.44,15.75,11.75,12.62,13.62,15.06,18.34,22.66,26.0,28.25,28.06,28.0,27.25,26.38,24.19,25.12,24.34,26.62,28.88,31.44,31.56,31.84,28.41,26.16,22.16,19.81,18.31,17.94,18.28,19.53,21.25,21.78,24.94,25.12,25.97,24.81,23.03,23.38,19.91,20.09,19.03,17.47,16.5,14.59,13.91,13.91,11.16,14.19,12.34,13.47,14.75,14.12,14.56,14.09,14.0,13.78,13.12,10.28,12.5,11.81,13.75,15.44,17.88,20.53,23.03,24.19,24.38,25.09,22.81,22.84,19.06,19.81,19.66,18.56,19.31,19.19,18.62,18.09,18.41,19.06,19.91,21.12,22.5,23.19,25.06,26.62,28.38,30.09,29.5,29.81,29.56,28.94,27.69,27.41,24.53,21.41,22.5,20.28,19.0,18.31,18.28,17.69,16.72,17.75,16.94,17.5,17.03,16.78,17.44,15.19,15.28,13.84,11.97,10.44,9.16,10.78,13.53,18.59,23.56,27.16,30.31,29.25,31.94,30.62,30.81,34.12,33.88,35.38,34.56,32.25,28.91,24.97,22.0,15.97,16.41,14.0,15.16,19.28,23.0,24.41,28.0,27.56,26.06,25.59,22.19,19.75,18.09,13.06,13.22,11.12,11.84,12.09,12.97,11.34,9.66,7.53,6.09,4.62,5.69,2.38,7.81,7.16,9.84,12.78,14.53,16.31,15.25,15.19,17.12,17.41,20.88,25.88,25.56,31.38,31.31,30.97,31.81,30.84,31.97,31.03,31.97,32.62,31.19,31.53,29.41,30.06,29.69,27.56,27.91,27.34,26.38,25.91,24.19,22.81,23.78,22.66,23.31,24.81,27.31,27.66,26.69,26.62,25.56,24.0,21.41,20.59,18.5,17.59,16.91,20.31,20.59,21.19,23.44,21.88,21.47,20.31,19.31,18.69,22.34,24.12,26.31,28.28,28.66,28.22,27.09,25.12,22.62,18.59,19.28,19.0,21.22,26.25,28.72,32.28,33.12,32.75,32.12,31.56,27.22,29.19,28.38,29.19,31.44,32.41,35.09,34.91,36.09,35.69,35.62,33.62,33.91,33.41,33.62,34.56,34.91,34.12,34.56,33.69,34.31,35.28,35.44,35.66,34.91,31.19,30.31,26.5,26.41,23.22,23.09,23.31,21.94,21.66,24.94,28.03,30.78,30.97,33.28,31.34,29.25,29.31,30.16,31.72,33.34,34.41,34.25,33.56,32.19,28.44,27.72,24.88,22.28,23.5,20.09,19.78,18.75,16.84,15.69,15.81,15.78,15.41,18.62,18.62,23.34,25.81,28.47,30.75,31.84,32.31,32.28,30.38,31.31,30.12,29.19,28.66,27.47,27.03,25.19,23.84,23.66,23.25,20.12,21.53,20.53,18.56,17.5,16.28,14.16,12.69,12.28,14.5,12.78,14.94,15.69,15.94,14.56,17.16,17.72,22.41,24.09,27.0,28.31,28.0,27.62,26.41,24.12,23.53,22.69,25.25,25.69,28.62,31.12,32.53,33.38,32.69,32.28,32.62,30.06,30.03,25.81,26.06,24.69,23.41,23.69,23.44,22.38,22.44,21.41,20.72,20.78,21.19,20.31,21.25,22.53,23.44,24.0,25.5,25.69,27.0,29.69,27.53,26.19,27.59,25.34,25.88,26.78,31.12,34.78,39.56,41.66,42.81,43.41,40.62,37.97,37.12,35.66,34.66,33.12,34.5,34.22,34.97,34.62,36.0,36.56,34.31,33.97,31.47,28.62,25.06,25.66,24.75,26.84,28.22,29.53,29.44,32.06,31.88,34.16,35.91,36.88,36.53,36.5,36.12,32.56,34.81,33.88,32.34,33.03,33.31,32.28,33.0,32.09,32.28,31.78,31.66,30.62,30.44,24.69,27.31,25.75,26.31,27.94,28.5,29.44,30.03,29.69,30.94,31.88,35.25,34.78,36.97,36.91,35.81,35.03,33.16,34.38,33.69,35.06,34.44,33.81,31.47,29.09,26.5,23.94,22.72,22.06,21.06,19.03,18.72,16.44,17.5,17.31,18.62,20.41,23.0,23.31,25.34,25.03,24.44,24.34,23.66,23.53,21.62,21.38,20.44,19.88,19.0,19.41,19.59,18.75,18.72,18.38,19.0,20.72,17.94,20.41,19.47,18.53,17.31,17.22,16.44,17.03,19.16,21.03,23.62,23.31,27.16,27.12,27.94,28.97,29.41,25.81,27.88,24.53,23.81,24.25,25.5,26.72,27.41,28.84,29.03,30.31,30.66,29.19,29.34,28.84,28.53,29.12,29.31,29.12,28.72,28.28,27.81,26.47,21.69,22.78,19.66,19.69,19.91,21.72,23.31,23.59,25.28,24.06,25.16,22.78,24.34,25.5,27.34,29.72,32.97,33.59,34.97,35.38,34.06,32.31,28.62,28.53,26.66,27.09,28.94,32.75,34.44,36.25,37.06,36.66,36.69,35.38,33.66,29.16,30.31,27.75,28.34,30.34,31.41,32.03,31.66,30.0,28.84,27.62,26.78,27.41,25.69,28.56,29.06,30.44,32.81,33.16,34.66,34.09,34.38,34.41,35.28,35.84,37.31,37.94,37.25,40.16,39.25,41.06,41.03,41.19,41.44,42.16,43.94,44.28,45.16,44.5,43.19,40.19,36.12,35.09,31.94,30.97,31.19,32.16,31.41,31.81,32.44,32.5,30.41,31.78,31.0,31.06,31.28,32.69,32.41,32.09,32.16,32.31,31.53,29.81,31.09,29.69,29.31,29.53,30.41,30.66,29.12,29.53,28.94,27.34,26.66,25.34,24.38,22.88,22.06,23.25,23.5,25.59,28.09,29.66,29.81,28.69,26.0,21.56,20.12,15.69,15.78,15.84,16.62,17.91,19.38,20.75,21.19,22.56,22.44,21.97,24.19,23.56,25.97,26.97,28.72,31.09,32.34,33.09,33.41,31.59,28.59,24.75,22.84,20.0,21.09,21.69,22.25,22.28,21.47,19.44,19.5,18.25,18.38,16.69,18.84,17.56,19.09,19.59,20.19,21.31,20.81,21.28,21.56,21.66,21.56,21.38,20.72,19.62,20.78,19.88,20.16,21.19,22.34,23.88,25.03,25.62,25.75,25.22,23.78,19.0,19.34,18.28,17.91,19.16,21.34,21.84,22.09,21.31,20.94,20.12,19.84,20.19,20.53,20.72,20.66,20.28,19.19,16.81,17.91,18.06,18.91,21.12,23.06,24.72,25.41,25.91,24.19,24.34,21.88,21.91,19.19,19.03,19.72,18.69,17.75,17.84,16.28,15.31,13.97,14.03,-6.44,-6.94,-7.34,-7.44,-6.03,-5.34,-3.41,-2.47,-0.78,-2.31,-2.47,-3.44,-4.84,-6.44,-6.84,-5.66,-6.59,-5.5,-4.06,-4.16,-3.78,-3.53,-4.59,-5.91,-6.91,-9.16,-9.84,-9.81,-9.44,-7.41:negativity
40.06,41.28,42.22,44.0,46.56,47.84,48.09,46.81,45.5,41.78,39.44,36.28,34.09,33.16,32.75,32.62,32.66,33.09,33.91,35.88,37.12,39.06,41.19,41.41,42.62,43.03,42.69,42.69,42.12,41.5,40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12:48.09,46.81,45.5,41.78,39.44,36.28,34.09,33.16,32.75,32.62,32.66,33.09,33.91,35.88,37.12,39.06,41.19,41.41,42.62,43.03,42.69,42.69,42.12,41.5,40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12,-8.94,-11.41,-15.09,-18.09,-19.53,-19.94:34.09,33.16,32.75,32.62,32.66,33.09,33.91,35.88,37.12,39.06,41.19,41.41,42.62,43.03,42.69,42.69,42.12,41.5,40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12,-8.94,-11.41,-15.09,-18.09,-19.53,-19.94,-19.59,-17.91,-16.28,-15.16,-14.72,-14.59:33.91,35.88,37.12,39.06,41.19,41.41,42.62,43.03,42.69,42.69,42.12,41.5,40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12,-8.94,-11.41,-15.09,-18.09,-19.53,-19.94,-19.59,-17.91,-16.28,-15.16,-14.72,-14.59,-14.97,-14.41,-14.31,-14.5,-14.44,-14.56:42.62,43.03,42.69,42.69,42.12,41.5,40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12,-8.94,-11.41,-15.09,-18.09,-19.53,-19.94,-19.59,-17.91,-16.28,-15.16,-14.72,-14.59,-14.97,-14.41,-14.31,-14.5,-14.44,-14.56,-13.5,-12.66,-11.56,-11.06,-9.94,-9.59:40.78,39.84,38.5,36.38,34.44,31.16,29.16,28.25,28.56,31.84,35.53,40.59,44.44,48.06,50.28,50.06,50.44,49.72,48.44,46.25,44.19,42.25,40.5,39.19,39.28,40.28,42.09,44.03,46.09,47.41,48.56,48.06,47.25,45.81,43.72,41.78,39.31,37.0,35.09,33.59,32.69,32.28,31.47,30.19,29.66,28.56,28.25,27.16,27.31,25.66,24.44,23.44,21.59,20.66,20.62,21.94,22.69,24.12,25.0,24.25,22.25,19.62,17.31,15.16,15.31,16.75,20.41,24.06,30.38,35.19,39.22,43.53,43.78,43.97,41.03,37.91,35.78,32.81,30.81,30.12,29.0,30.0,30.78,31.53,32.53,33.88,32.69,30.28,27.81,24.16,22.03,20.66,20.44,22.34,24.88,26.31,30.25,32.78,33.94,34.62,33.94,31.62,29.03,25.94,22.53,20.16,18.66,17.19,16.56,15.75,15.31,14.69,15.44,16.53,19.25,22.06,24.31,26.25,26.75,26.12,25.41,23.75,23.81,23.88,23.62,24.56,24.47,23.88,24.72,24.59,24.0,24.44,24.03,21.53,19.38,18.19,16.94,16.97,17.06,19.47,21.03,21.5,23.81,25.16,24.66,25.38,25.69,26.19,27.16,28.5,30.12,30.75,31.66,31.69,30.62,28.66,26.53,24.5,22.66,21.81,22.34,23.72,25.0,26.62,27.62,27.59,26.88,24.81,23.22,21.06,20.25,21.0,21.66,22.88,25.03,24.91,25.44,23.94,22.69,21.66,20.12,19.69,19.0,19.72,20.69,21.03,22.84,23.91,25.0,25.16,24.34,23.38,22.06,21.53,21.56,22.56,23.25,23.06,22.59,22.69,22.78,23.19,24.69,27.19,28.03,28.25,28.09,27.88,27.62,27.78,27.5,27.06,25.81,23.75,21.88,19.41,18.97,19.12,20.16,23.09,26.19,28.38,29.41,29.44,27.94,24.75,21.19,16.84,12.97,11.12,9.75,11.16,13.78,16.12,18.28,19.34,18.69,16.69,14.22,12.16,10.16,8.5,8.12,9.25,9.91,10.88,11.56,11.03,10.16,8.12,6.91,6.59,6.41,5.97,8.34,8.94,10.5,12.19,13.75,15.28,16.88,17.97,19.34,19.91,20.16,20.78,20.34,20.12,20.03,18.78,17.62,16.0,13.69,12.88,12.88,14.09,18.22,22.03,25.56,28.59,30.44,30.44,30.06,28.06,25.72,24.41,23.41,22.0,22.44,22.25,22.06,21.56,20.06,20.34,19.41,19.41,20.03,20.09,19.69,20.0,18.16,17.25,16.38,15.16,13.12,12.91,13.12,13.91,13.66,14.84,15.38,15.16,16.78,17.31,17.91,19.03,19.28,18.66,18.41,17.12,15.34,13.56,12.03,10.62,11.03,10.72,11.25,11.5,11.0,10.75,10.66,11.12,11.47,12.19,12.5,12.44,11.44,12.41,12.19,11.56,10.81,10.66,9.81,9.62,9.19,9.66,8.94,8.94,9.56,10.16,10.66,12.0,12.81,13.25,14.16,14.41,15.12,15.41,15.91,16.59,16.62,17.22,18.22,18.59,18.78,19.66,19.81,19.78,19.94,20.0,19.34,19.28,19.31,19.09,18.81,18.5,18.12,17.0,16.44,16.5,16.91,17.94,18.91,20.78,21.06,20.81,20.41,19.56,19.34,19.66,19.97,19.84,18.78,18.44,17.44,16.62,16.69,16.81,17.5,18.31,17.81,20.16,21.06,21.06,22.69,22.47,21.88,20.84,20.28,20.81,20.44,20.84,20.06,19.94,18.22,16.59,15.81,15.78,15.41,17.06,18.12,20.0,22.25,24.56,26.56,29.31,30.44,29.72,29.19,27.72,25.22,22.69,20.66,18.88,17.34,15.94,15.28,14.09,12.03,9.66,8.5,6.5,5.69,6.94,7.16,8.84,10.44,11.69,14.69,17.91,20.62,23.22,26.03,25.41,24.5,24.41,23.53,22.25,22.16,21.91,22.25,22.0,22.81,23.31,23.31,23.47,23.5,22.44,22.16,22.41,21.91,22.28,23.38,25.78,28.84,33.31,38.06,43.06,45.31,46.03,44.56,41.44,36.88,33.06,28.88,26.41,26.12,25.72,26.78,28.25,28.88,29.12,28.5,29.12,29.19,30.09,31.97,33.06,34.75,34.88,33.44,32.28,30.03,26.81,24.56,22.88,21.75,20.75,20.88,20.06,19.66,19.5,19.41,18.97,18.38,19.09,19.28,20.28,22.59,25.06,27.62,30.06,32.69,33.12,35.03,34.69,34.72,34.34,33.94,34.12,33.56,35.75,38.31,41.25,43.56,45.53,47.09,47.44,46.31,46.34,47.31,47.06,47.5,48.16,47.91,46.03,44.91,43.44,41.69,39.88,38.69,36.75,34.78,32.75,30.56,30.0,29.88,30.16,30.62,32.06,32.25,32.75,32.66,33.22,32.91,32.66,32.62,33.53,34.12,34.59,34.5,35.44,36.38,36.66,38.34,39.16,39.0,38.88,38.56,37.62,37.03,37.44,36.19,35.41,34.06,33.19,32.81,32.69,33.28,33.91,33.84,34.25,33.28,33.72,33.31,33.38,34.06,35.56,37.03,38.66,39.59,38.66,37.88,35.81,33.59,32.19,30.81,30.53,30.84,30.22,31.75,31.88,31.94,33.38,33.69,34.69,36.03,37.5,38.72,39.69,39.94,40.12,39.5,37.34,36.25,33.97,32.31,31.56,30.94,31.72,31.41,32.31,32.94,33.75,35.69,36.91,36.88,37.25,36.12,35.03,34.28,32.72,32.62,32.0,31.66,32.56,32.62,32.47,32.84,33.06,33.62,33.75,34.5,34.12,33.5,32.78,31.41,30.28,28.78,28.69,28.16,27.59,27.75,27.62,27.84,29.31,31.06,33.31,35.41,37.53,39.94,39.69,39.81,39.25,37.56,35.66,34.0,32.78,32.69,32.81,34.88,36.94,38.47,39.94,41.31,41.47,42.56,41.91,41.72,41.31,40.97,41.16,40.62,39.81,38.53,34.94,32.59,29.47,27.03,25.19,24.66,24.41,24.16,25.84,28.38,31.19,35.25,40.41,45.0,48.5,51.75,52.94,52.62,51.94,51.16,48.94,47.22,45.97,43.47,41.34,39.44,37.94,37.06,35.5,34.94,34.56,34.16,34.31,34.41,35.09,35.16,35.59,35.84,35.72,35.94,36.06,35.91,36.56,36.81,37.25,37.19,36.88,37.62,36.53,36.19,36.03,35.5,35.06,35.44,36.66,36.81,38.69,39.88,40.16,40.06,40.03,38.34,37.81,37.44,37.25,37.81,38.12,38.94,39.59,39.25,41.19,41.34,42.38,43.62,43.94,44.19,44.16,44.12,44.06,43.72,44.0,43.97,43.84,45.34,44.22,45.41,45.12,46.12,46.66,47.0,48.25,47.78,47.47,46.94,45.84,44.56,42.72,41.84,40.53,38.47,37.03,36.25,34.88,34.88,35.41,36.38,37.0,38.12,39.66,39.69,39.91,40.69,38.47,37.5,36.28,34.31,33.12,33.06,33.44,33.72,33.62,32.75,30.44,29.66,29.25,28.5,28.94,31.53,33.0,35.16,37.66,39.62,40.88,41.19,41.16,39.03,38.56,36.12,34.47,33.78,32.16,30.53,30.44,29.19,29.12,29.06,29.56,30.81,32.47,34.56,37.25,39.06,41.31,41.91,42.84,42.34,40.94,39.62,37.62,35.53,33.62,31.22,29.78,28.06,27.16,26.5,26.72,26.59,25.44,25.38,25.12,-8.94,-11.41,-15.09,-18.09,-19.53,-19.94,-19.59,-17.91,-16.28,-15.16,-14.72,-14.59,-14.97,-14.41,-14.31,-14.5,-14.44,-14.56,-13.5,-12.66,-11.56,-11.06,-9.94,-9.59,-9.97,-10.12,-10.19,-10.28,-9.66,-8.59:negativity
20.31,22.0,23.06,24.44,25.66,26.94,27.84,28.75,29.25,29.88,30.28,30.75,30.97,32.12,32.62,33.31,34.38,33.62,33.0,32.16,31.06,30.41,30.19,29.69,30.25,29.78,30.25,30.44,31.69,32.03,32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97:27.84,28.75,29.25,29.88,30.28,30.75,30.97,32.12,32.62,33.31,34.38,33.62,33.0,32.16,31.06,30.41,30.19,29.69,30.25,29.78,30.25,30.44,31.69,32.03,32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97,-7.25,-6.88,-5.56,-3.88,-3.0,-1.53:30.97,32.12,32.62,33.31,34.38,33.62,33.0,32.16,31.06,30.41,30.19,29.69,30.25,29.78,30.25,30.44,31.69,32.03,32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97,-7.25,-6.88,-5.56,-3.88,-3.0,-1.53,-1.56,-1.84,-1.41,-0.41,0.06,1.94:33.0,32.16,31.06,30.41,30.19,29.69,30.25,29.78,30.25,30.44,31.69,32.03,32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97,-7.25,-6.88,-5.56,-3.88,-3.0,-1.53,-1.56,-1.84,-1.41,-0.41,0.06,1.94,3.03,4.59,5.34,6.88,8.28,8.75:30.25,29.78,30.25,30.44,31.69,32.03,32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97,-7.25,-6.88,-5.56,-3.88,-3.0,-1.53,-1.56,-1.84,-1.41,-0.41,0.06,1.94,3.03,4.59,5.34,6.88,8.28,8.75,9.19,9.16,8.19,7.44,5.84,4.72:32.66,32.41,31.28,30.38,28.81,27.34,26.53,26.72,26.84,28.25,29.81,31.03,33.38,35.0,36.41,37.28,37.81,37.47,37.34,36.66,34.31,33.94,32.09,30.41,30.34,29.81,30.03,30.12,30.34,29.91,30.41,29.91,29.47,28.81,28.16,28.56,27.81,28.31,28.44,29.31,29.0,27.84,27.0,25.69,24.0,21.81,20.31,18.91,18.94,20.22,21.75,24.75,28.0,29.84,31.03,31.47,30.34,28.88,28.0,27.81,28.06,29.09,29.5,30.31,30.06,30.03,29.47,28.81,28.62,27.78,27.31,26.34,25.5,24.78,24.81,25.28,24.81,27.84,28.91,31.41,33.94,35.75,37.81,39.31,39.72,40.28,39.19,38.78,37.66,37.34,37.5,36.75,36.06,34.59,33.56,35.44,36.22,39.28,41.62,43.28,44.25,44.56,44.28,43.72,43.0,42.91,42.66,41.62,41.69,40.59,40.34,39.5,39.25,37.41,37.16,36.31,35.62,34.78,34.72,34.59,34.31,34.59,34.56,34.0,33.19,33.31,33.12,33.66,34.25,35.53,36.44,38.22,38.03,37.59,37.12,34.59,33.12,31.03,29.62,29.22,27.44,27.28,27.0,25.88,25.81,24.53,24.28,24.34,24.0,24.41,25.78,27.34,28.81,30.41,31.06,32.41,32.62,32.47,32.66,32.56,31.84,30.44,29.31,27.88,26.19,25.53,25.44,25.38,26.03,27.47,28.56,29.62,30.66,31.16,31.16,31.75,31.16,30.88,29.75,27.22,25.53,23.06,22.28,22.41,22.53,24.59,25.69,27.59,29.78,31.25,32.53,33.56,34.62,35.59,35.75,36.31,35.47,34.78,33.06,32.84,31.66,31.81,33.38,34.22,34.5,35.31,35.38,34.72,34.81,34.62,35.38,36.44,37.56,39.75,39.81,40.19,40.06,39.03,38.5,37.5,38.0,39.09,39.34,41.62,43.12,44.53,45.81,46.44,46.78,46.25,44.5,42.69,40.69,39.19,38.59,38.5,40.19,41.47,43.38,45.66,46.66,46.38,46.03,44.81,43.28,40.97,39.06,38.34,37.19,37.38,38.31,39.25,38.84,39.56,38.84,36.78,35.56,34.19,32.53,32.44,32.0,33.31,33.91,36.16,39.06,42.72,47.19,50.81,52.78,51.91,49.62,44.78,38.5,33.0,27.34,25.06,23.5,24.53,25.19,28.66,30.91,33.47,35.78,37.81,40.5,41.22,41.31,41.5,41.69,41.97,41.12,41.91,41.34,42.03,43.19,45.56,45.25,47.81,47.47,47.53,47.81,47.41,47.0,47.03,46.19,45.19,44.84,45.47,45.16,45.62,45.66,45.94,45.94,46.97,47.53,48.88,48.28,48.56,47.31,45.94,45.06,45.31,44.22,43.56,43.12,42.81,41.5,41.03,40.03,40.16,40.25,41.03,41.84,42.91,42.66,42.19,40.47,36.06,34.5,30.5,27.56,25.53,23.59,23.81,23.38,23.72,25.12,26.19,26.5,27.16,27.38,27.12,26.31,25.78,25.84,25.22,24.72,26.03,25.62,25.72,24.62,23.94,22.12,21.03,19.75,19.03,20.31,20.66,21.28,22.56,24.0,25.59,27.56,29.91,32.44,35.38,36.81,39.66,39.19,39.19,38.0,36.66,35.81,34.69,33.09,32.41,30.84,29.94,28.31,27.0,27.69,26.56,26.81,28.69,29.19,30.44,30.47,30.75,29.97,28.75,28.5,27.78,27.81,28.84,29.28,29.38,29.25,28.41,28.0,26.69,26.72,27.66,27.28,27.91,26.81,26.88,26.03,26.5,27.38,28.06,28.75,28.66,28.25,27.34,25.78,25.28,24.62,24.91,26.06,26.22,28.62,29.59,29.97,30.62,29.59,29.06,28.94,28.72,27.44,27.47,25.97,25.59,24.28,25.28,25.38,25.44,25.81,25.91,25.19,25.78,25.38,25.62,23.91,23.41,22.97,21.53,20.88,21.78,22.03,22.78,23.81,23.25,24.84,26.28,27.28,27.78,28.53,27.81,26.06,25.19,24.78,25.28,27.0,28.69,30.12,32.25,31.06,30.72,28.03,26.25,24.16,21.88,21.12,19.88,20.91,21.72,22.28,23.53,23.94,24.06,23.84,21.94,21.19,19.81,19.03,19.16,20.25,20.0,21.62,22.25,22.19,21.75,21.62,19.56,18.66,17.84,15.19,14.22,13.0,12.59,13.62,13.94,15.84,16.44,17.81,18.72,19.53,20.5,20.34,21.53,19.91,20.06,18.41,16.31,14.41,13.09,13.12,14.72,17.16,19.66,22.19,24.88,27.12,29.75,32.56,34.84,35.28,35.88,32.94,32.16,29.88,28.38,27.19,26.0,26.06,25.16,24.56,24.44,23.5,23.0,22.5,23.81,24.0,25.81,26.78,28.34,28.81,29.44,29.03,29.22,27.66,26.59,26.12,24.34,22.91,23.03,21.69,21.84,23.06,24.19,26.22,27.31,28.38,28.25,27.56,26.81,26.03,25.69,25.19,24.81,23.88,22.94,21.88,19.31,19.34,17.66,17.75,18.16,17.66,18.94,19.06,19.31,19.09,20.28,20.66,20.94,21.22,22.03,21.88,20.97,19.78,18.91,18.0,18.09,18.06,19.19,19.81,21.53,22.44,24.94,27.81,29.56,32.0,34.78,35.47,36.81,37.97,38.5,38.88,38.56,37.5,35.69,34.56,32.75,30.81,30.22,30.06,30.16,29.62,30.22,30.28,29.25,28.5,29.16,28.81,29.31,30.66,30.66,31.88,30.84,31.12,29.88,29.56,29.19,28.56,28.66,29.31,30.0,30.34,30.25,29.62,28.56,28.06,27.66,26.88,27.16,26.28,25.47,24.94,23.69,22.78,21.94,20.5,20.62,20.38,20.5,22.0,22.47,22.84,21.81,21.78,20.31,19.81,20.47,21.88,23.25,24.19,25.69,25.34,25.81,25.72,25.81,26.25,26.12,26.28,27.16,28.44,30.44,32.31,35.12,36.28,36.34,36.31,34.28,31.44,30.28,28.84,28.62,27.16,28.59,28.31,28.12,28.44,29.25,29.88,30.62,30.12,29.31,27.62,24.56,22.72,21.62,19.47,19.38,19.5,19.66,21.16,22.31,24.0,26.97,28.94,31.59,32.62,33.78,34.97,34.5,33.47,32.44,31.81,28.69,27.41,25.78,24.81,23.53,22.12,22.0,20.59,20.25,19.66,20.12,21.75,22.09,23.62,23.81,24.81,25.31,25.56,25.91,25.69,25.16,24.72,23.44,22.88,22.78,23.44,24.34,26.31,28.09,29.28,31.03,32.5,33.25,32.47,31.12,28.78,26.19,25.0,23.81,25.12,25.91,27.91,30.44,32.06,32.62,33.72,32.5,30.22,27.25,25.53,22.91,19.84,19.0,17.56,15.03,13.66,11.16,11.59,10.94,12.12,13.38,15.09,17.0,19.56,20.0,21.06,21.44,20.16,20.31,18.91,17.94,17.91,16.72,16.66,15.31,15.31,14.12,13.03,12.0,11.62,10.91,10.06,10.16,10.84,11.28,13.56,16.25,19.97,24.5,28.66,31.81,34.41,34.75,34.25,32.5,30.59,28.34,24.78,22.09,19.16,16.62,14.84,14.16,14.0,14.84,15.06,15.06,15.69,16.25,18.31,20.19,23.06,26.44,29.69,32.91,34.16,35.38,33.34,31.56,29.06,25.69,24.16,22.59,21.62,20.88,20.31,18.91,18.16,18.25,18.44,19.16,20.41,20.38,21.19,20.59,20.03,19.97,-7.25,-6.88,-5.56,-3.88,-3.0,-1.53,-1.56,-1.84,-1.41,-0.41,0.06,1.94,3.03,4.59,5.34,6.88,8.28,8.75,9.19,9.16,8.19,7.44,5.84,4.72,3.62,2.06,2.31,2.69,3.47,4.0:negativity
15.09,15.25,15.91,19.12,21.53,21.44,21.56,19.06,16.59,16.0,14.44,13.03,12.66,8.66,7.16,4.78,2.84,3.12,1.91,1.56,0.66,-0.84,0.53,0.09,1.0,5.38,2.81,7.56,8.62,9.53,11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59:21.56,19.06,16.59,16.0,14.44,13.03,12.66,8.66,7.16,4.78,2.84,3.12,1.91,1.56,0.66,-0.84,0.53,0.09,1.0,5.38,2.81,7.56,8.62,9.53,11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59,4.41,2.44,2.31,5.03,5.91,6.78:12.66,8.66,7.16,4.78,2.84,3.12,1.91,1.56,0.66,-0.84,0.53,0.09,1.0,5.38,2.81,7.56,8.62,9.53,11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59,4.41,2.44,2.31,5.03,5.91,6.78,6.38,6.28,5.38,5.44,4.38,6.0:1.91,1.56,0.66,-0.84,0.53,0.09,1.0,5.38,2.81,7.56,8.62,9.53,11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59,4.41,2.44,2.31,5.03,5.91,6.78,6.38,6.28,5.38,5.44,4.38,6.0,5.53,4.53,2.38,0.97,0.44,-1.22:1.0,5.38,2.81,7.56,8.62,9.53,11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59,4.41,2.44,2.31,5.03,5.91,6.78,6.38,6.28,5.38,5.44,4.38,6.0,5.53,4.53,2.38,0.97,0.44,-1.22,-2.28,0.81,-0.84,0.34,-1.03,-0.12:11.38,10.75,11.38,9.91,9.12,8.03,6.28,6.94,4.84,3.28,1.78,2.16,1.06,1.88,3.56,4.69,4.91,5.44,5.09,6.84,8.78,8.75,12.38,14.78,15.22,14.0,15.47,12.56,10.34,9.69,11.06,9.78,9.12,9.0,5.53,4.28,-0.28,-2.44,-7.19,-9.31,-6.34,-7.75,-5.28,-2.12,-0.69,-1.16,0.34,1.66,3.12,5.28,6.28,6.41,7.38,7.31,7.09,7.66,8.0,6.44,6.19,4.41,4.12,6.56,6.84,8.62,9.94,9.78,11.88,9.81,12.44,12.75,15.66,17.66,16.75,19.69,17.16,16.91,18.25,16.81,18.28,15.84,16.06,12.91,9.09,7.25,2.03,0.84,-1.72,-2.41,-1.66,-1.56,0.41,-0.28,0.88,0.66,-0.72,1.59,2.66,3.09,0.62,4.91,1.94,5.72,7.09,9.03,10.06,10.28,8.97,8.66,7.66,7.44,7.25,6.12,6.81,8.53,7.31,8.16,8.16,7.31,7.97,7.41,7.94,7.69,6.19,5.22,3.16,2.56,-0.94,-0.88,-2.12,-3.31,-7.09,-8.16,-10.09,-13.66,-13.47,-14.03,-11.78,-8.38,-4.69,-0.34,2.91,4.12,4.06,2.28,3.0,1.06,2.31,3.31,3.56,2.72,2.0,2.16,2.69,4.94,9.88,14.12,16.34,17.5,17.34,14.28,15.62,15.97,18.91,21.91,24.31,24.28,22.09,16.84,16.78,12.47,11.12,12.62,9.75,9.91,10.44,9.53,6.97,10.5,11.44,12.88,15.19,18.16,17.75,15.81,11.06,11.31,7.06,6.41,5.94,5.22,6.56,3.66,4.31,3.03,0.12,3.06,5.06,7.56,10.69,14.56,15.34,16.31,15.38,17.72,14.78,16.19,16.44,18.0,17.03,18.69,19.81,16.5,19.34,18.41,18.31,16.53,17.09,15.53,16.66,17.0,19.25,21.5,20.88,22.12,21.31,19.56,17.38,15.69,13.03,9.91,5.84,3.62,0.66,3.03,3.22,4.59,6.69,7.78,5.81,4.94,3.81,5.44,3.06,3.59,2.03,0.34,-3.59,-5.72,-7.97,-7.22,-7.69,-4.0,-0.72,-0.44,1.28,2.75,-0.22,-1.06,-1.47,-3.03,-2.75,-2.31,-3.19,-1.84,0.31,2.5,3.81,4.41,4.03,3.09,1.59,1.62,-0.09,-2.53,-0.28,-0.62,0.41,1.28,2.44,4.28,6.53,9.16,12.25,13.72,12.31,14.25,8.38,5.81,7.5,5.66,6.47,8.44,7.03,6.94,2.81,-1.41,-3.03,-5.66,-5.78,-6.22,-3.34,-6.03,0.22,0.62,2.53,5.56,7.09,8.16,8.16,8.31,6.16,6.16,9.16,9.31,10.66,13.53,12.84,13.81,12.06,12.53,8.97,9.47,9.5,9.72,8.94,10.66,10.62,12.44,14.62,17.19,18.88,19.5,19.84,15.5,16.06,13.66,13.53,17.81,16.81,18.0,21.56,18.69,18.66,18.31,17.91,16.0,18.25,15.78,16.19,15.16,14.47,14.56,14.81,11.41,15.38,16.16,17.22,20.22,21.03,20.5,18.53,17.06,17.12,19.44,21.12,26.5,28.81,27.97,29.97,27.75,27.31,23.06,23.69,19.75,19.41,19.31,19.09,18.44,15.06,15.56,13.72,7.28,9.97,10.5,10.38,11.38,17.78,21.34,22.94,29.19,31.0,30.28,30.0,27.53,23.59,23.16,20.03,19.16,19.69,20.69,21.72,22.5,27.5,26.12,27.5,28.28,27.94,26.28,22.56,20.0,18.53,15.44,16.59,16.41,16.06,15.78,15.56,15.06,17.16,17.03,16.47,14.5,16.31,12.84,15.97,17.72,18.84,18.38,17.41,16.03,10.53,7.72,5.81,4.16,3.28,4.56,4.22,-1.03,-2.09,-2.09,-4.31,-5.03,0.12,1.41,0.59,3.81,7.5,6.22,11.03,14.78,16.81,18.31,18.38,17.72,15.34,14.16,11.91,12.41,10.06,8.78,10.56,6.94,5.78,7.31,4.31,1.28,-1.88,-0.97,-2.16,-1.66,-0.25,2.12,1.56,0.62,0.91,3.75,2.28,6.28,5.28,3.19,5.06,7.56,8.91,10.09,12.66,13.38,5.91,9.06,5.56,2.81,4.81,2.09,4.53,0.53,2.12,2.84,0.0,-1.81,-3.59,-4.31,-6.03,-3.97,-3.59,-2.12,-5.41,-6.66,-6.03,-8.34,-7.12,-6.22,-6.16,-2.09,-3.81,-3.53,0.12,-1.56,0.44,1.69,-0.53,2.44,0.53,1.69,2.81,3.22,3.62,1.94,0.44,-1.47,-1.75,-2.81,-6.22,-2.62,-2.53,-1.97,-0.31,5.09,5.56,8.38,10.69,12.66,11.25,10.16,0.94,4.72,2.84,1.56,8.44,13.12,15.56,16.88,16.03,14.69,10.22,8.53,8.28,7.5,5.94,9.0,9.91,10.94,10.44,9.66,8.97,5.69,8.03,7.72,9.66,13.06,12.75,13.59,12.81,9.81,8.94,6.19,4.09,3.97,3.81,5.62,9.62,11.34,13.62,13.28,11.06,9.38,6.94,2.88,-1.12,-3.28,-4.53,-4.88,-6.41,-3.28,-2.72,-3.19,-1.22,-1.19,1.12,3.34,4.41,5.91,4.44,6.41,6.81,6.56,10.03,9.66,11.19,9.44,4.81,3.38,2.28,-0.97,2.44,2.34,3.94,3.75,5.88,4.81,4.91,5.34,6.69,7.69,6.75,4.56,6.75,5.91,3.91,6.66,10.25,9.22,11.59,10.09,11.19,10.28,8.66,6.5,4.81,1.53,1.25,0.03,-4.66,-0.09,0.12,2.19,6.78,10.53,11.31,13.97,12.44,10.62,9.72,7.66,6.25,4.53,3.84,-0.16,1.25,-2.28,-0.78,1.16,3.62,3.72,6.03,4.91,5.0,4.75,4.19,3.38,3.44,2.72,5.84,5.97,6.12,9.38,7.66,7.16,9.5,7.97,9.56,11.34,11.03,11.88,11.88,10.72,11.53,8.56,9.41,6.72,7.72,6.97,7.53,7.66,7.5,6.5,5.31,4.97,5.59,4.19,5.16,5.94,3.94,5.53,1.62,2.16,0.16,-0.69,0.91,0.38,-0.34,2.44,0.22,-2.34,-2.06,-2.38,-4.72,-3.72,-3.62,-2.47,-4.38,-5.56,-5.97,-3.88,-3.72,-1.91,0.44,-0.09,-0.44,0.78,-3.84,-0.28,-0.41,2.0,4.59,3.88,5.62,4.12,1.66,1.94,2.44,2.03,3.69,4.38,4.91,6.0,6.22,5.28,5.75,3.81,4.06,1.72,0.38,-0.47,-1.34,-1.59,-2.31,-0.84,-0.09,0.84,3.0,2.94,3.62,3.72,3.62,3.19,4.75,6.03,3.16,8.0,7.16,6.69,7.84,6.81,6.81,5.91,7.19,8.0,8.81,7.94,6.44,2.94,4.38,1.34,3.28,5.56,7.31,8.88,11.47,11.47,11.53,9.38,7.31,3.91,1.16,2.88,3.72,6.75,9.0,12.06,11.06,11.53,8.09,9.03,7.25,7.69,6.06,6.06,7.5,4.94,5.88,3.94,2.97,2.22,-0.28,-5.5,0.25,-3.22,-1.34,3.62,5.62,7.0,6.75,7.88,9.0,8.25,9.22,9.5,8.69,5.0,6.25,5.03,5.16,8.25,9.03,9.88,10.5,7.19,7.44,6.62,4.44,1.53,4.66,3.34,5.31,7.62,7.34,5.84,4.97,0.97,-0.19,1.25,-0.91,-0.97,-1.09,-4.41,-4.41,-5.34,-5.88,-3.09,-3.91,-3.19,-1.47,-2.47,-2.69,-5.41,-1.78,-3.59,4.41,2.44,2.31,5.03,5.91,6.78,6.38,6.28,5.38,5.44,4.38,6.0,5.53,4.53,2.38,0.97,0.44,-1.22,-2.28,0.81,-0.84,0.34,-1.03,-0.12,-1.19,-1.62,-0.75,-1.31,-1.09,-0.12:negativity
18.41,17.5,16.84,17.19,17.62,17.66,17.91,17.75,16.84,15.56,14.5,13.66,13.72,14.03,14.81,17.12,18.25,19.97,20.81,20.38,20.16,19.0,17.31,16.38,15.19,14.97,14.56,14.38,14.5,15.09,15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97:17.91,17.75,16.84,15.56,14.5,13.66,13.72,14.03,14.81,17.12,18.25,19.97,20.81,20.38,20.16,19.0,17.31,16.38,15.19,14.97,14.56,14.38,14.5,15.09,15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97,-23.97,-26.44,-28.41,-28.09,-27.19,-26.28:13.72,14.03,14.81,17.12,18.25,19.97,20.81,20.38,20.16,19.0,17.31,16.38,15.19,14.97,14.56,14.38,14.5,15.09,15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97,-23.97,-26.44,-28.41,-28.09,-27.19,-26.28,-24.41,-23.5,-23.34,-23.81,-24.16,-24.19:20.81,20.38,20.16,19.0,17.31,16.38,15.19,14.97,14.56,14.38,14.5,15.09,15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97,-23.97,-26.44,-28.41,-28.09,-27.19,-26.28,-24.41,-23.5,-23.34,-23.81,-24.16,-24.19,-23.59,-22.69,-20.84,-19.22,-17.59,-16.19:15.19,14.97,14.56,14.38,14.5,15.09,15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97,-23.97,-26.44,-28.41,-28.09,-27.19,-26.28,-24.41,-23.5,-23.34,-23.81,-24.16,-24.19,-23.59,-22.69,-20.84,-19.22,-17.59,-16.19,-16.34,-16.72,-16.66,-17.94,-19.47,-20.19:15.25,15.56,16.06,16.31,15.66,15.66,15.19,15.09,14.94,16.31,17.12,18.69,21.09,22.53,24.12,26.38,27.56,30.06,31.56,32.16,32.06,31.5,30.22,29.09,27.22,26.53,24.78,23.31,21.16,18.94,16.78,14.56,13.06,12.38,12.75,14.38,15.5,16.12,17.06,17.84,17.16,16.31,15.44,14.47,13.0,12.66,12.41,13.38,15.22,17.69,19.31,20.12,21.22,20.84,19.47,18.34,17.62,16.31,15.72,15.97,15.62,15.91,15.84,16.38,16.31,16.03,15.19,13.41,10.97,9.31,6.88,5.34,5.47,6.66,9.34,12.34,16.66,20.03,22.47,23.44,23.09,21.44,20.5,19.5,18.88,18.38,19.47,18.94,19.59,20.16,20.16,20.03,19.62,18.41,18.38,18.31,19.75,20.75,22.62,24.66,26.19,26.78,28.06,28.53,29.06,29.16,29.91,30.66,31.12,32.53,32.94,32.81,32.56,30.5,28.47,26.0,22.25,18.97,16.84,14.59,14.28,14.66,16.81,18.72,20.38,22.5,24.28,25.03,25.38,25.53,26.12,25.12,24.22,24.22,23.16,22.75,21.78,20.53,19.41,17.28,16.06,14.94,14.38,14.12,14.41,15.12,16.06,17.41,18.5,21.38,24.78,28.94,32.09,34.28,33.91,31.66,28.31,24.41,22.22,21.28,21.38,22.09,23.53,24.0,23.31,22.38,21.75,20.66,20.38,20.28,21.62,21.28,21.53,20.19,20.0,19.69,19.47,19.53,18.88,17.0,15.0,12.94,11.31,10.41,10.09,9.34,10.03,10.44,11.38,12.81,13.41,14.75,15.12,14.69,13.94,13.81,13.97,15.06,15.62,17.62,19.81,21.5,22.53,23.53,24.06,25.12,25.12,26.94,27.19,27.34,26.97,26.5,27.03,27.12,27.94,29.72,31.06,32.22,33.44,33.44,35.03,34.88,35.16,35.56,36.06,36.62,36.25,36.19,35.34,33.62,32.56,30.31,28.84,26.81,24.06,20.94,17.62,15.0,13.31,12.16,12.03,12.16,12.16,13.19,12.91,13.31,13.69,14.62,15.31,16.22,17.38,18.16,18.34,18.75,19.28,19.66,20.91,22.91,24.34,24.97,25.66,25.38,25.31,25.47,25.78,25.62,25.0,25.12,24.81,25.03,26.12,27.44,28.5,30.56,31.69,33.28,33.09,31.78,30.31,27.69,24.38,22.28,20.19,19.12,17.97,17.19,15.81,15.41,13.88,13.56,14.53,15.47,17.34,17.88,19.72,19.84,19.94,20.34,21.0,22.12,22.0,22.22,22.22,21.88,21.56,21.16,21.66,21.84,21.5,21.81,22.12,22.69,23.69,24.28,25.62,25.94,26.62,26.12,26.56,27.03,27.44,27.12,25.25,23.97,21.09,18.41,15.53,14.94,14.06,14.69,15.81,18.62,21.16,22.94,25.59,27.09,27.19,26.5,26.44,25.44,24.69,24.12,24.19,23.66,24.22,24.19,23.91,24.0,22.88,21.72,20.19,19.06,18.31,18.78,18.34,19.34,20.09,20.22,20.59,21.0,21.44,22.25,22.06,22.5,23.06,23.84,24.41,25.0,25.66,25.66,26.16,27.0,27.75,28.59,29.34,30.56,31.72,32.81,33.88,34.34,34.5,34.16,32.25,30.56,28.38,26.06,23.16,20.25,17.66,15.53,14.28,14.31,15.88,17.44,18.75,19.84,20.69,20.34,21.09,21.5,22.16,24.97,27.25,29.91,31.06,31.41,29.72,26.47,22.69,19.88,18.16,16.53,15.69,14.81,14.75,14.56,15.19,16.44,18.75,20.53,22.09,23.62,25.66,26.22,27.59,28.94,29.47,30.53,30.62,30.06,29.25,28.53,28.03,27.03,26.66,26.19,25.34,24.62,23.41,22.88,22.84,22.0,22.28,21.84,21.12,20.16,19.16,19.59,20.38,21.25,22.06,22.12,21.78,20.28,18.19,16.62,15.41,13.72,13.16,11.56,10.78,10.12,9.28,8.28,8.59,8.59,9.19,9.97,12.03,12.88,14.88,16.0,17.56,19.72,21.31,23.94,25.5,26.75,28.44,27.94,27.72,27.41,27.12,27.09,27.41,28.06,28.09,26.53,25.22,23.12,21.16,20.56,20.12,20.81,21.41,21.66,21.94,21.81,22.38,23.0,23.62,23.81,23.75,22.19,20.41,19.69,17.81,17.72,18.0,18.91,18.88,19.19,19.41,19.81,19.88,21.62,23.84,26.19,29.16,32.25,34.31,34.5,33.81,31.78,29.06,26.62,24.84,23.31,21.66,20.25,18.88,17.5,17.31,16.66,17.06,18.44,19.16,20.31,22.25,24.59,26.47,27.16,28.34,28.31,27.28,26.41,23.72,21.41,19.38,17.94,17.81,18.75,19.81,21.09,22.5,23.66,23.34,23.31,22.62,21.53,20.72,19.19,18.81,18.0,16.53,16.56,16.94,17.12,18.09,18.31,18.72,17.56,16.91,15.56,15.16,15.19,16.31,17.81,18.53,19.0,19.19,19.31,18.56,18.0,17.75,17.75,16.94,17.0,16.94,17.22,16.56,16.94,16.47,15.97,14.56,13.59,13.0,11.78,11.19,11.84,11.53,11.91,12.12,11.28,11.19,10.56,12.0,13.56,15.38,17.56,19.78,21.72,23.06,24.5,25.34,26.06,25.31,23.56,21.06,18.44,15.69,13.56,12.75,11.41,11.25,10.91,10.06,9.81,9.12,8.12,7.94,8.62,10.19,11.28,13.28,16.09,17.34,18.69,18.28,17.31,14.78,11.38,8.47,6.16,4.19,3.47,4.22,5.47,7.38,9.91,12.81,13.62,13.12,12.62,9.97,8.03,6.06,5.44,5.47,4.94,6.44,8.38,10.0,12.06,12.81,12.56,11.53,9.62,7.31,5.84,3.84,2.66,1.91,2.03,3.5,4.28,5.97,7.62,9.41,11.28,12.25,14.53,17.06,18.66,20.81,22.31,22.72,22.22,21.59,21.12,20.03,20.16,19.62,19.41,19.44,18.56,18.16,17.38,16.69,15.62,14.06,14.66,15.12,16.59,18.0,19.59,20.19,19.88,19.34,18.44,16.84,14.44,11.66,9.31,6.44,4.28,2.94,2.94,2.66,3.47,4.34,4.25,5.69,5.78,6.62,6.59,7.28,6.88,7.16,8.69,10.41,13.22,17.0,19.84,21.53,22.47,22.56,20.72,19.12,17.97,16.59,15.44,14.06,14.06,12.81,11.69,10.62,9.19,7.81,6.69,5.31,3.97,3.16,2.5,2.12,3.12,4.44,6.0,9.19,11.44,13.78,14.81,15.12,14.09,11.03,9.03,6.66,4.53,3.31,3.0,3.31,3.19,4.16,4.0,4.5,4.19,4.25,4.25,4.28,4.31,5.28,7.25,8.28,10.75,12.5,13.44,15.06,14.56,13.56,12.34,10.75,9.03,8.16,9.25,11.06,14.25,17.06,20.09,21.66,23.0,23.09,22.75,21.81,21.44,19.69,18.81,18.25,18.56,19.69,21.91,24.31,27.16,28.81,29.84,30.09,29.06,28.09,27.19,25.88,25.31,24.94,25.53,26.59,27.66,28.5,29.25,29.5,29.12,27.72,27.16,25.53,24.59,24.59,23.66,23.91,23.62,22.53,21.88,21.09,19.88,19.81,20.25,20.38,21.16,21.5,20.56,20.56,20.19,19.44,19.19,18.28,18.53,17.19,17.47,18.44,19.25,21.78,23.53,24.0,25.94,26.41,25.78,24.88,24.66,23.31,21.97,-23.97,-26.44,-28.41,-28.09,-27.19,-26.28,-24.41,-23.5,-23.34,-23.81,-24.16,-24.19,-23.59,-22.69,-20.84,-19.22,-17.59,-16.19,-16.34,-16.72,-16.66,-17.94,-19.47,-20.19,-21.41,-23.09,-23.94,-24.72,-25.41,-25.5:negativity
36.84,33.75,29.44,26.44,22.31,18.94,16.03,12.84,10.97,9.72,10.94,12.09,14.75,17.94,21.5,22.81,26.34,29.97,32.41,34.62,36.75,34.91,37.56,36.38,36.94,36.41,37.0,35.56,32.78,31.94,30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69:16.03,12.84,10.97,9.72,10.94,12.09,14.75,17.94,21.5,22.81,26.34,29.97,32.41,34.62,36.75,34.91,37.56,36.38,36.94,36.41,37.0,35.56,32.78,31.94,30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69,7.56,3.38,-1.66,-5.91,-9.44,-12.91:14.75,17.94,21.5,22.81,26.34,29.97,32.41,34.62,36.75,34.91,37.56,36.38,36.94,36.41,37.0,35.56,32.78,31.94,30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69,7.56,3.38,-1.66,-5.91,-9.44,-12.91,-14.75,-16.72,-18.28,-18.22,-17.53,-15.59:32.41,34.62,36.75,34.91,37.56,36.38,36.94,36.41,37.0,35.56,32.78,31.94,30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69,7.56,3.38,-1.66,-5.91,-9.44,-12.91,-14.75,-16.72,-18.28,-18.22,-17.53,-15.59,-12.88,-10.28,-6.56,-2.97,0.5,4.59:36.94,36.41,37.0,35.56,32.78,31.94,30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69,7.56,3.38,-1.66,-5.91,-9.44,-12.91,-14.75,-16.72,-18.28,-18.22,-17.53,-15.59,-12.88,-10.28,-6.56,-2.97,0.5,4.59,7.94,9.97,11.0,10.78,9.94,8.06:30.0,27.44,25.03,24.06,22.84,23.28,25.44,28.09,31.03,34.34,37.69,41.91,47.06,52.53,57.72,59.22,59.59,56.41,51.59,43.72,41.56,35.84,32.97,30.81,27.81,24.91,20.75,16.66,13.94,12.5,11.88,12.44,13.53,16.25,17.19,19.28,20.72,21.12,22.72,22.94,22.12,21.31,20.25,16.09,16.19,12.97,10.34,8.94,7.91,6.53,6.06,5.78,7.16,9.16,11.31,14.25,17.91,20.34,20.53,25.12,25.41,26.41,28.22,29.38,29.28,28.34,27.44,26.06,24.88,24.53,23.69,23.06,23.44,23.12,20.31,23.16,22.53,23.78,27.06,29.25,31.78,33.69,35.59,36.19,37.28,36.41,32.19,32.53,28.75,26.81,26.44,25.56,23.75,22.12,21.91,21.31,21.12,21.47,22.69,23.56,24.53,25.97,27.09,26.56,28.59,29.53,30.0,31.25,32.19,32.47,32.72,33.62,34.75,34.91,34.84,32.41,32.81,31.03,30.09,30.19,30.56,29.78,29.31,28.59,29.03,28.81,30.66,31.16,32.25,34.16,31.0,34.03,32.31,31.91,33.06,32.69,33.19,32.31,33.41,30.25,32.22,30.59,28.19,27.75,24.91,22.0,20.38,18.88,19.03,20.12,21.78,24.5,26.09,26.41,26.88,26.88,26.09,22.28,23.97,23.19,22.38,25.31,26.69,28.72,29.78,30.81,32.31,33.34,33.47,31.84,33.06,30.69,30.62,29.44,28.66,26.53,24.09,22.31,19.72,17.53,17.16,18.03,19.72,21.0,21.94,25.19,24.94,26.84,27.44,26.75,25.59,24.06,22.06,19.56,18.16,16.94,12.41,15.31,13.84,15.0,15.69,17.03,17.72,18.06,18.66,19.91,21.12,22.69,23.31,24.31,23.0,23.72,22.09,20.94,20.72,20.84,20.78,22.41,22.5,24.78,27.19,28.09,29.41,30.06,28.31,29.41,30.81,31.56,34.25,37.12,36.72,35.44,34.16,31.41,29.66,28.84,27.25,26.22,25.69,26.0,23.69,28.41,29.12,31.53,33.5,35.78,35.62,34.75,33.94,32.91,27.53,27.34,23.84,21.91,21.03,21.66,20.59,20.5,20.47,20.62,21.75,25.53,30.5,34.38,40.72,44.0,45.0,43.91,43.34,39.78,37.25,34.62,32.0,30.12,28.78,27.31,27.97,28.03,27.88,27.19,26.72,27.03,27.34,29.66,31.66,34.09,36.62,38.16,40.34,42.28,43.25,44.25,43.81,42.62,41.75,39.38,38.06,37.44,36.34,35.84,38.19,37.69,36.88,37.12,37.19,37.69,38.38,40.75,41.66,43.5,45.31,47.41,49.62,51.53,51.41,54.12,52.5,52.56,52.69,51.97,50.5,51.22,49.28,47.59,46.41,43.94,41.38,40.03,37.78,39.88,40.81,44.66,48.56,52.28,54.38,57.78,58.59,59.0,58.91,57.78,55.44,53.44,52.31,52.0,50.81,51.19,50.59,49.88,49.47,49.09,47.94,46.44,46.59,43.88,43.0,41.69,41.5,41.31,40.0,41.41,42.59,44.19,45.03,43.88,45.31,44.03,42.91,43.5,44.16,43.69,44.03,43.44,42.84,41.81,40.97,38.56,37.97,36.59,35.25,33.84,29.72,29.53,27.56,27.81,30.0,32.62,35.47,37.97,39.16,40.66,42.25,42.88,43.62,44.66,44.62,44.91,43.47,43.62,42.88,42.12,41.56,42.69,43.28,43.75,44.09,44.41,45.12,45.06,43.03,46.31,45.88,48.41,49.84,52.53,52.59,52.5,50.75,49.94,47.81,46.0,41.81,40.94,40.12,39.47,40.12,41.22,42.44,41.91,41.06,39.16,37.88,36.16,32.56,32.88,32.97,33.56,34.91,37.16,37.94,38.66,38.19,37.62,38.81,38.12,37.97,37.91,37.19,36.84,37.28,36.31,36.34,37.84,37.12,37.97,38.06,38.62,40.28,41.12,43.12,43.62,45.22,42.0,40.81,39.09,35.41,35.0,34.47,32.88,31.28,29.88,28.31,26.5,26.0,26.28,26.72,30.31,31.44,34.56,36.16,37.91,38.28,39.56,41.88,43.34,45.5,45.94,42.97,43.19,38.91,37.62,35.88,36.0,36.72,38.72,39.69,43.31,45.31,45.94,45.59,44.88,42.09,38.22,36.12,34.84,33.5,33.69,36.16,37.12,38.56,41.06,41.12,40.44,37.25,33.81,30.19,26.47,26.34,25.06,27.94,31.69,34.97,37.81,39.53,37.06,39.62,38.19,38.41,40.03,41.16,42.19,43.28,43.91,44.59,43.31,40.94,38.94,35.22,32.72,31.44,30.12,30.5,28.84,31.06,32.72,34.44,37.81,41.5,43.97,45.0,45.75,45.91,41.88,43.22,40.28,40.5,40.12,40.81,42.16,42.41,44.25,45.62,44.5,46.22,44.44,42.91,43.44,42.44,42.59,41.81,41.59,40.97,40.06,38.62,35.53,37.81,35.12,36.94,37.94,37.56,38.78,37.84,36.25,35.03,34.25,33.16,32.84,30.66,34.94,34.47,36.28,38.44,40.59,41.88,42.62,43.38,42.06,38.5,38.91,37.16,35.75,35.34,35.12,34.84,33.0,31.75,31.03,31.81,32.38,32.06,36.16,36.12,38.0,38.12,38.31,36.84,35.19,32.06,34.25,33.5,36.38,40.25,42.56,45.91,44.91,44.75,43.12,40.19,35.19,32.94,29.5,27.19,26.19,26.53,28.78,30.25,32.91,35.72,34.69,38.84,37.91,38.19,38.84,39.0,38.72,38.91,36.59,35.72,33.25,29.16,29.97,28.44,29.22,31.47,31.44,32.25,32.5,32.75,33.31,33.78,34.56,36.03,36.12,35.94,37.38,37.66,37.69,38.62,39.88,39.34,39.62,38.28,37.44,35.81,35.66,33.66,32.66,28.38,29.56,27.62,28.03,28.28,29.84,30.62,30.84,31.81,31.62,32.75,29.62,31.22,29.44,28.56,27.09,25.41,24.47,22.28,19.94,19.69,18.59,18.56,18.59,17.53,21.34,22.25,25.56,28.66,29.75,30.09,28.78,27.41,27.44,27.66,25.56,31.12,31.41,33.72,37.28,35.62,33.47,30.09,25.97,22.75,20.84,19.12,16.81,19.47,19.75,21.59,25.16,27.34,28.81,29.25,27.88,24.31,22.81,20.84,19.19,18.5,19.12,20.06,18.03,21.03,20.72,21.16,24.0,27.0,30.59,34.38,37.28,40.38,41.5,42.66,40.88,38.59,37.66,33.53,32.81,31.81,29.78,28.16,26.94,26.25,26.41,24.81,24.81,24.69,20.56,23.62,22.47,25.62,28.41,32.16,34.72,37.38,38.78,39.84,39.81,39.03,36.91,34.75,30.84,30.75,28.53,28.34,29.53,30.03,30.28,30.34,31.03,31.03,31.03,31.78,30.34,31.66,31.41,31.41,31.81,32.94,33.19,32.47,30.75,29.97,29.28,28.03,27.03,28.19,28.06,25.47,28.91,27.19,27.72,28.0,27.62,26.69,25.91,26.44,26.59,26.97,29.03,28.53,30.25,30.03,29.41,29.03,28.38,26.06,24.16,23.25,23.56,24.44,26.5,28.16,30.12,30.91,30.59,31.66,28.81,28.84,27.84,26.34,25.66,25.16,24.0,24.25,23.41,22.97,23.62,23.84,23.28,24.06,24.25,22.03,25.53,25.84,28.03,29.84,31.69,32.22,32.12,32.16,31.53,31.06,30.88,29.66,31.5,31.12,31.69,7.56,3.38,-1.66,-5.91,-9.44,-12.91,-14.75,-16.72,-18.28,-18.22,-17.53,-15.59,-12.88,-10.28,-6.56,-2.97,0.5,4.59,7.94,9.97,11.0,10.78,9.94,8.06,6.81,5.59,3.22,0.47,-1.31,-5.28:negativity
39.31,41.31,42.88,45.31,45.5,47.12,46.81,46.16,44.12,41.31,38.5,38.03,37.69,38.94,41.19,44.31,47.72,50.88,53.44,55.5,58.0,58.56,59.56,59.94,58.62,58.38,57.16,55.12,54.06,51.44,50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75:46.81,46.16,44.12,41.31,38.5,38.03,37.69,38.94,41.19,44.31,47.72,50.88,53.44,55.5,58.0,58.56,59.56,59.94,58.62,58.38,57.16,55.12,54.06,51.44,50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75,-4.09,-1.72,-0.38,1.56,2.44,2.03:37.69,38.94,41.19,44.31,47.72,50.88,53.44,55.5,58.0,58.56,59.56,59.94,58.62,58.38,57.16,55.12,54.06,51.44,50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75,-4.09,-1.72,-0.38,1.56,2.44,2.03,0.38,-0.41,-3.22,-6.09,-9.16,-10.5:53.44,55.5,58.0,58.56,59.56,59.94,58.62,58.38,57.16,55.12,54.06,51.44,50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75,-4.09,-1.72,-0.38,1.56,2.44,2.03,0.38,-0.41,-3.22,-6.09,-9.16,-10.5,-11.59,-10.84,-8.66,-6.22,-3.59,-1.34:58.62,58.38,57.16,55.12,54.06,51.44,50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75,-4.09,-1.72,-0.38,1.56,2.44,2.03,0.38,-0.41,-3.22,-6.09,-9.16,-10.5,-11.59,-10.84,-8.66,-6.22,-3.59,-1.34,1.62,2.75,4.12,5.19,4.25,4.25:50.81,50.5,49.94,51.56,55.12,56.94,60.44,63.25,64.69,66.53,67.88,68.44,69.47,69.31,69.03,66.41,65.53,63.41,61.28,60.34,60.28,60.91,60.38,60.12,59.12,58.06,56.56,57.34,56.41,56.88,56.06,55.16,54.25,51.06,50.5,47.38,45.03,42.94,41.62,39.69,40.06,39.88,38.69,37.72,36.25,35.38,34.69,36.75,39.62,42.09,44.38,46.22,48.25,48.5,48.56,49.62,50.66,51.5,53.06,54.34,54.94,55.31,55.25,53.62,52.0,48.62,47.94,46.31,46.0,46.31,46.62,46.81,44.75,43.62,42.5,40.41,39.75,39.0,39.44,38.06,38.78,39.09,40.75,42.38,44.06,44.06,46.62,46.81,46.84,47.34,46.56,45.97,44.69,43.62,42.62,41.78,42.38,42.53,44.69,46.69,48.97,51.81,54.5,56.94,58.25,59.31,59.44,59.97,59.62,59.5,58.56,57.78,56.81,56.88,56.94,57.56,57.78,59.38,58.31,57.62,55.88,55.88,54.16,54.38,53.5,50.69,51.66,50.5,50.19,49.81,50.66,50.38,51.62,52.56,53.38,55.47,55.0,55.31,53.81,51.84,51.03,49.12,49.44,49.88,49.69,49.56,50.56,49.53,49.81,50.0,49.97,50.66,52.44,54.31,59.34,64.25,68.5,71.19,70.88,70.38,66.31,63.81,60.12,56.5,52.16,47.75,43.94,41.38,39.91,38.31,38.81,38.5,39.0,39.88,39.75,41.25,41.31,41.78,42.44,41.41,42.53,42.88,43.62,44.19,46.56,47.25,48.56,49.06,50.91,51.31,50.81,51.12,49.5,47.94,46.94,46.69,47.41,48.0,47.38,47.25,46.38,46.06,47.12,48.56,50.75,53.19,55.19,56.81,57.75,58.91,60.0,61.31,62.31,63.16,63.44,63.38,63.5,63.94,65.5,67.0,67.44,69.56,69.59,69.12,68.88,67.31,67.12,65.81,63.94,63.44,61.31,60.78,61.25,60.38,62.16,63.06,64.06,65.06,64.66,64.31,63.81,64.0,64.25,65.06,66.0,67.44,67.38,67.09,68.0,67.56,68.25,68.06,66.38,65.34,62.38,60.44,58.16,55.12,54.75,53.41,54.06,54.81,56.69,58.38,57.25,57.75,56.84,55.0,54.94,53.56,53.62,52.38,52.12,50.38,50.19,51.0,51.38,52.25,54.38,55.31,57.0,58.69,58.34,59.78,60.06,59.25,58.25,56.75,55.62,52.5,51.41,49.88,49.19,47.44,49.62,50.0,50.94,53.09,53.81,54.06,53.75,53.5,52.25,51.25,51.12,49.12,51.03,50.69,50.31,49.88,48.5,46.5,44.0,43.94,45.62,46.78,50.25,51.56,54.06,54.38,57.09,58.31,59.56,61.62,57.59,57.19,54.38,51.53,49.88,51.06,51.25,52.38,51.94,52.41,52.31,51.31,51.5,52.34,53.31,54.56,55.94,57.25,57.75,57.62,58.25,55.88,54.75,53.44,51.97,51.66,51.41,52.94,53.97,55.81,56.75,58.06,59.69,61.09,62.38,66.12,68.31,68.78,67.69,65.91,59.62,53.97,47.44,42.31,38.72,38.88,37.91,38.53,39.94,40.75,40.94,41.5,42.12,42.88,43.44,44.56,44.38,45.12,45.56,45.62,45.31,45.62,45.69,46.56,47.22,47.41,49.0,50.16,50.0,52.09,53.56,54.19,54.75,56.41,56.88,57.69,58.38,58.0,57.56,55.66,53.41,51.62,49.0,48.44,47.44,47.69,47.5,48.16,49.81,49.56,50.88,51.88,52.19,52.56,52.5,51.31,51.69,51.72,51.62,51.5,51.47,51.12,50.81,50.56,51.44,50.94,51.44,51.19,50.38,49.5,48.94,48.0,47.94,47.0,46.75,46.5,47.25,47.44,49.06,49.56,50.28,50.44,48.69,47.69,45.38,42.81,43.06,42.06,41.66,42.0,42.25,42.0,41.94,41.75,42.31,40.69,43.22,43.0,45.25,47.62,50.56,52.62,53.16,53.06,52.0,49.25,48.44,47.12,46.56,46.12,46.5,46.94,46.75,47.44,47.81,46.88,47.78,48.5,48.94,51.44,52.31,52.34,52.25,50.19,48.31,46.28,45.25,43.28,41.69,42.06,40.69,39.25,40.19,39.12,40.25,40.91,43.66,44.94,46.81,49.06,49.62,49.06,49.31,48.31,48.12,47.56,47.59,47.31,48.19,48.56,49.25,49.88,48.62,47.12,46.91,44.16,43.5,43.69,44.41,43.62,44.69,45.16,44.81,46.16,45.97,46.44,47.75,48.19,49.28,48.44,48.53,48.88,49.53,50.19,51.19,52.66,52.62,54.0,55.56,56.25,56.94,58.28,58.16,58.88,58.31,58.56,58.94,57.59,56.16,55.06,55.03,54.81,56.19,57.59,59.69,60.06,61.44,61.38,62.62,65.5,66.78,67.31,67.31,65.81,63.38,59.81,58.25,56.53,54.81,54.03,54.06,54.12,53.62,52.75,52.41,51.31,49.69,49.0,46.91,48.53,48.94,50.62,53.31,55.53,57.12,56.94,57.12,56.75,57.03,58.38,58.78,58.66,58.66,58.0,56.75,54.81,54.66,54.88,54.5,54.88,56.88,57.69,59.5,61.25,62.84,64.56,65.0,65.16,65.53,66.69,66.62,67.09,67.56,68.09,67.31,67.5,67.38,68.31,68.38,69.25,68.5,68.94,68.78,67.12,66.94,65.62,63.78,63.25,61.06,60.31,60.44,60.06,60.19,59.75,60.06,60.19,60.06,59.81,59.44,59.31,58.38,57.66,57.72,58.25,58.78,60.56,61.5,62.03,61.25,58.81,57.38,55.91,53.88,53.81,54.88,55.72,57.78,59.12,59.81,61.41,61.5,62.16,62.25,61.84,61.25,59.03,56.94,55.31,53.81,53.38,54.06,54.75,56.38,56.66,58.06,58.19,58.19,57.03,56.25,54.56,52.94,50.62,49.88,49.19,49.44,50.66,52.03,53.84,54.62,55.38,55.0,54.75,54.53,54.38,52.81,52.28,51.03,48.62,47.75,45.19,44.75,45.19,45.94,46.88,49.38,50.94,52.5,53.0,54.19,54.28,53.81,54.69,54.56,55.12,55.84,57.28,57.91,57.59,56.62,55.62,53.88,51.44,51.28,50.72,51.56,51.62,52.06,52.28,53.0,53.56,54.5,55.25,55.62,55.56,55.34,55.81,55.06,55.0,53.66,52.25,49.47,49.06,47.12,48.31,47.19,47.12,47.28,47.25,47.81,48.0,48.03,48.31,48.38,48.12,49.25,49.91,49.47,50.5,49.88,47.75,46.88,45.38,44.81,43.75,43.25,45.44,47.69,50.22,53.66,56.94,60.75,63.62,66.12,68.34,68.81,68.0,65.38,61.81,58.38,55.31,52.12,49.53,47.5,45.19,43.88,43.62,41.56,41.06,40.56,39.41,39.12,38.62,38.06,37.88,38.06,36.81,37.0,35.84,33.62,33.5,33.31,33.06,34.69,35.44,37.12,37.62,37.25,36.88,36.94,35.38,33.88,33.62,34.56,34.66,36.88,36.88,39.0,40.38,41.81,42.69,45.12,47.75,48.78,51.19,54.19,54.75,55.81,56.06,56.25,56.75,57.31,56.94,56.06,55.34,54.31,53.31,52.69,52.88,51.88,52.5,52.0,50.88,49.75,49.12,46.38,45.62,44.56,44.0,43.31,42.38,42.66,41.19,42.38,42.44,42.31,43.69,44.19,43.81,44.31,43.31,41.44,38.75,-4.09,-1.72,-0.38,1.56,2.44,2.03,0.38,-0.41,-3.22,-6.09,-9.16,-10.5,-11.59,-10.84,-8.66,-6.22,-3.59,-1.34,1.62,2.75,4.12,5.19,4.25,4.25,3.5,2.81,1.06,0.0,-1.28,-2.91:negativity
50.19,49.62,49.69,50.69,51.47,51.84,51.94,53.81,53.25,54.5,54.5,55.16,55.38,55.06,54.25,52.72,50.19,49.41,47.53,46.53,48.91,49.94,54.19,59.75,63.88,68.66,71.88,72.94,71.25,68.25,62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72:51.94,53.81,53.25,54.5,54.5,55.16,55.38,55.06,54.25,52.72,50.19,49.41,47.53,46.53,48.91,49.94,54.19,59.75,63.88,68.66,71.88,72.94,71.25,68.25,62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72,13.09,13.28,13.66,13.62,13.97,13.62:55.38,55.06,54.25,52.72,50.19,49.41,47.53,46.53,48.91,49.94,54.19,59.75,63.88,68.66,71.88,72.94,71.25,68.25,62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72,13.09,13.28,13.66,13.62,13.97,13.62,13.84,14.16,14.12,15.22,15.84,17.84:47.53,46.53,48.91,49.94,54.19,59.75,63.88,68.66,71.88,72.94,71.25,68.25,62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72,13.09,13.28,13.66,13.62,13.97,13.62,13.84,14.16,14.12,15.22,15.84,17.84,18.38,18.41,18.06,15.41,14.19,12.53:63.88,68.66,71.88,72.94,71.25,68.25,62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72,13.09,13.28,13.66,13.62,13.97,13.62,13.84,14.16,14.12,15.22,15.84,17.84,18.38,18.41,18.06,15.41,14.19,12.53,10.97,11.31,12.38,14.09,16.72,18.78:62.22,56.19,51.69,46.56,45.38,45.66,47.41,49.88,53.0,55.06,58.44,60.81,62.69,63.66,64.25,63.03,60.34,58.34,55.25,52.44,48.5,45.62,43.0,41.25,40.59,40.41,41.25,42.62,43.94,45.12,47.19,46.78,47.19,46.0,46.16,45.31,44.81,44.81,45.19,44.41,43.44,43.19,41.84,40.16,38.94,36.84,36.78,35.94,35.69,35.56,36.12,37.62,39.25,41.34,43.81,48.03,50.81,53.41,56.44,58.72,58.56,58.69,57.75,56.41,55.0,54.34,55.03,55.72,57.22,57.62,59.78,59.28,57.81,57.94,56.72,55.31,53.28,51.94,49.5,47.41,46.44,46.22,46.16,46.56,46.06,47.5,48.19,49.09,51.16,50.84,51.19,51.03,50.12,48.5,46.72,44.34,43.91,42.31,42.0,42.66,43.81,43.5,44.12,45.78,47.16,49.12,49.31,50.66,50.88,51.38,52.69,52.81,54.69,54.88,54.69,54.88,54.78,55.38,56.0,55.69,55.66,54.66,54.62,53.62,55.44,55.88,54.44,54.94,53.47,51.72,51.62,51.09,51.16,51.34,51.44,51.56,52.03,51.28,50.44,50.97,50.78,50.84,51.66,54.12,54.12,55.0,58.5,59.16,60.94,62.62,61.78,60.03,58.06,55.81,53.06,51.91,49.81,49.69,49.31,49.06,47.03,46.19,44.03,41.25,40.44,40.38,41.47,43.47,47.47,51.19,54.19,56.59,58.38,59.34,59.88,60.69,60.06,60.81,59.47,58.41,55.97,55.38,53.03,52.19,51.56,52.41,54.38,55.97,58.66,58.97,59.41,60.75,60.56,62.03,62.69,63.75,63.62,62.81,60.94,59.53,58.06,56.88,55.84,54.66,54.53,54.12,52.38,51.66,50.28,50.34,50.5,52.62,55.84,59.91,64.0,67.16,69.12,68.62,65.5,62.16,57.34,54.53,51.41,51.12,52.16,53.25,54.88,56.22,57.78,57.56,57.91,57.44,55.44,53.03,51.12,49.41,49.0,49.94,52.44,54.31,55.81,56.03,55.53,55.38,54.72,55.59,56.56,55.66,55.25,55.34,52.91,51.06,52.69,50.81,49.81,50.91,50.56,49.41,49.12,50.34,50.34,51.59,54.31,55.56,57.53,59.44,61.84,63.56,64.94,64.84,64.84,62.53,59.78,57.75,56.75,56.16,55.44,57.53,57.12,59.09,59.97,63.16,66.25,69.16,73.47,74.94,75.31,74.41,72.09,67.38,65.56,62.62,59.03,58.34,57.03,56.25,56.31,55.91,55.72,56.16,56.94,57.69,59.62,61.84,62.44,63.25,64.25,65.56,66.44,66.66,67.12,66.03,63.97,62.47,61.62,59.31,59.16,59.19,57.97,58.41,58.91,57.56,57.97,57.91,58.53,58.78,59.25,60.31,59.59,58.78,60.19,60.31,61.62,61.81,61.38,60.31,58.78,59.69,59.81,62.0,65.0,65.88,67.69,68.62,68.25,67.41,66.41,63.81,61.94,60.62,61.12,62.38,64.75,68.19,71.62,72.62,73.5,73.12,71.0,69.34,68.06,66.53,63.56,63.62,61.53,59.94,59.12,58.12,57.56,55.12,54.34,53.59,51.56,53.81,53.56,54.53,57.09,57.69,59.28,60.16,60.16,60.31,60.72,61.75,61.44,63.38,63.41,63.44,61.94,61.22,59.56,60.38,60.16,62.06,63.62,63.66,64.56,63.0,62.28,62.12,60.53,58.56,59.25,57.31,58.06,57.19,57.72,57.0,55.5,53.81,52.03,49.81,49.53,49.81,50.97,52.16,54.22,57.16,60.75,64.0,69.66,74.75,78.41,78.81,77.12,75.0,70.47,66.44,63.62,62.0,60.06,58.09,57.38,56.16,56.03,55.81,55.44,55.72,55.41,57.09,58.81,59.78,62.5,64.44,64.84,66.31,66.0,65.75,64.5,62.78,61.81,61.94,60.44,60.75,61.0,61.12,61.69,61.06,60.88,60.91,61.47,61.66,63.31,64.44,65.56,66.84,67.81,68.03,68.91,68.41,68.94,66.88,67.88,68.19,68.06,67.84,67.25,67.72,66.53,67.16,67.81,68.84,69.66,69.97,67.94,66.69,66.31,64.44,63.66,64.12,62.94,63.22,61.94,59.91,59.47,57.62,56.06,54.88,53.12,53.06,52.03,51.75,52.06,52.56,55.03,55.91,57.0,59.25,59.62,61.56,61.0,62.31,63.31,63.31,63.47,63.47,62.53,62.12,60.94,59.81,58.5,58.06,58.81,58.62,59.38,60.03,60.5,60.16,60.97,62.56,62.69,63.31,65.16,64.19,64.22,63.69,62.94,62.03,60.88,60.41,58.97,59.12,60.38,61.41,63.94,65.59,66.19,67.25,67.0,65.44,65.5,65.5,65.19,66.38,68.56,69.78,70.38,71.25,69.78,68.5,67.19,65.78,65.19,63.94,65.31,65.59,65.41,65.03,63.69,62.41,59.94,59.53,59.91,59.94,61.66,63.12,63.06,65.19,66.28,65.97,67.75,68.44,68.72,69.94,71.22,71.41,70.66,69.88,69.06,67.78,66.38,66.5,67.06,67.84,70.09,71.28,73.94,73.59,74.31,73.38,72.16,71.56,70.5,70.38,70.84,71.47,71.66,70.0,68.53,66.75,63.56,62.12,60.94,60.56,59.94,60.59,61.0,60.53,61.69,62.31,63.34,63.94,64.91,66.06,66.28,66.44,67.66,68.5,69.94,71.06,72.75,72.5,73.16,73.16,73.38,73.5,73.94,74.31,75.34,75.41,73.31,72.44,69.25,63.84,59.25,57.47,54.38,53.19,54.81,54.91,55.84,57.38,58.62,60.22,60.06,59.41,59.19,57.34,54.81,54.5,54.62,54.59,56.22,57.47,60.03,60.69,62.16,63.0,65.12,65.16,65.69,65.0,64.25,60.94,57.53,55.44,53.16,52.69,52.31,51.41,51.78,50.5,49.38,47.56,46.56,44.53,43.25,41.72,41.06,41.56,41.41,42.44,43.12,42.66,43.81,46.53,48.0,50.88,53.88,55.88,55.31,55.34,55.69,53.84,52.81,52.72,52.38,51.19,51.41,52.31,52.25,53.31,53.47,53.56,51.66,51.03,50.25,48.31,47.88,48.28,46.09,46.84,47.12,48.44,50.16,50.81,51.03,48.69,46.03,44.44,42.06,39.97,38.66,37.31,36.62,35.0,35.03,33.5,34.0,32.69,32.41,33.72,34.56,35.62,37.41,37.69,39.25,41.19,41.56,43.12,43.47,43.88,42.69,42.81,41.94,41.12,39.81,40.59,40.22,41.06,42.03,43.81,45.34,48.16,50.31,52.56,53.56,54.59,54.12,53.28,52.41,52.0,50.97,48.94,47.69,45.31,42.78,39.0,38.44,35.69,33.84,33.88,33.41,33.75,34.28,35.69,35.62,37.0,37.03,37.94,39.78,42.16,45.53,49.31,52.22,54.72,53.69,52.5,51.12,48.59,47.12,47.44,46.66,46.78,46.5,45.41,43.44,41.0,39.0,36.03,34.94,35.84,36.0,38.88,41.16,44.22,46.62,48.28,50.25,51.25,52.81,54.12,55.88,57.44,58.91,59.62,58.91,58.56,56.81,55.72,52.97,52.53,51.41,50.31,51.03,51.47,52.84,53.81,55.94,57.25,58.19,59.34,60.53,59.66,59.19,56.69,54.66,52.34,49.44,47.0,44.81,43.69,41.56,39.53,39.75,39.12,38.41,39.09,38.91,40.72,42.91,47.5,53.19,58.69,62.47,65.72,13.09,13.28,13.66,13.62,13.97,13.62,13.84,14.16,14.12,15.22,15.84,17.84,18.38,18.41,18.06,15.41,14.19,12.53,10.97,11.31,12.38,14.09,16.72,18.78,19.94,19.53,17.5,14.12,10.5,6.5:negativity
38.81,39.41,37.28,35.41,33.38,31.31,30.47,31.06,31.75,33.78,36.12,38.12,39.25,42.06,43.22,43.31,45.03,44.62,43.94,42.81,42.53,41.03,40.53,39.25,38.34,37.03,35.62,33.44,31.69,30.06,29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84:30.47,31.06,31.75,33.78,36.12,38.12,39.25,42.06,43.22,43.31,45.03,44.62,43.94,42.81,42.53,41.03,40.53,39.25,38.34,37.03,35.62,33.44,31.69,30.06,29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84,-0.91,-0.91,-1.69,-4.09,-5.47,-6.19:39.25,42.06,43.22,43.31,45.03,44.62,43.94,42.81,42.53,41.03,40.53,39.25,38.34,37.03,35.62,33.44,31.69,30.06,29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84,-0.91,-0.91,-1.69,-4.09,-5.47,-6.19,-5.78,-3.78,-0.94,1.94,4.88,5.62:43.94,42.81,42.53,41.03,40.53,39.25,38.34,37.03,35.62,33.44,31.69,30.06,29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84,-0.91,-0.91,-1.69,-4.09,-5.47,-6.19,-5.78,-3.78,-0.94,1.94,4.88,5.62,6.19,6.44,5.59,5.25,6.66,6.31:38.34,37.03,35.62,33.44,31.69,30.06,29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84,-0.91,-0.91,-1.69,-4.09,-5.47,-6.19,-5.78,-3.78,-0.94,1.94,4.88,5.62,6.19,6.44,5.59,5.25,6.66,6.31,6.03,6.62,6.03,4.94,5.03,4.25:29.0,27.78,28.62,28.56,30.31,32.38,34.72,36.75,38.78,40.44,41.12,44.0,45.78,47.56,47.62,48.06,47.12,47.06,46.69,47.19,46.28,44.44,42.41,40.03,37.19,35.03,33.81,32.53,32.22,32.19,32.06,30.94,29.69,28.66,26.28,25.56,24.59,24.75,23.94,21.69,20.41,19.25,16.66,15.97,17.41,17.16,18.19,21.03,24.19,25.38,28.5,29.66,30.28,30.31,29.44,28.53,26.28,24.19,22.44,20.62,20.12,21.03,22.88,25.47,28.28,30.22,30.69,31.19,31.12,28.44,26.06,25.94,23.91,24.06,24.94,27.03,28.25,28.16,29.34,29.56,29.53,29.91,31.12,31.78,34.78,36.03,37.69,39.81,40.94,40.81,40.75,38.88,35.81,31.88,28.97,24.03,21.56,21.03,19.97,20.88,22.91,23.75,25.97,26.53,28.5,29.16,31.25,32.16,32.12,34.19,35.0,36.44,36.94,37.69,37.56,36.81,34.59,33.19,32.69,31.47,29.12,27.81,25.84,22.88,22.78,22.66,22.22,23.69,25.03,25.97,28.12,29.41,31.81,33.41,34.06,36.0,35.91,35.34,34.28,31.81,29.19,26.44,22.94,21.66,19.62,19.69,20.16,21.72,23.66,26.06,28.5,29.12,30.38,30.19,30.38,29.91,30.88,30.69,31.91,32.0,34.16,35.0,36.62,38.53,39.5,41.22,40.5,41.25,39.56,39.78,39.69,40.94,42.06,43.44,43.81,45.0,44.62,45.03,45.06,44.75,44.19,42.38,40.34,37.69,35.44,33.09,31.69,30.66,29.59,29.28,29.47,31.53,33.25,35.03,37.19,38.44,38.28,37.56,36.59,33.28,31.12,28.66,25.91,25.03,23.88,23.94,24.19,25.0,26.66,28.72,32.28,37.75,43.12,45.91,48.38,48.56,46.22,41.69,38.5,34.06,31.22,28.72,28.19,28.84,29.53,31.25,32.94,34.03,35.19,35.31,34.88,35.25,35.44,34.78,34.72,34.56,33.06,32.41,32.88,32.38,33.16,33.78,35.22,35.91,36.28,36.16,34.88,33.66,31.91,30.0,27.25,25.66,22.84,21.53,20.19,20.94,22.28,23.19,27.31,27.84,29.22,31.25,32.31,32.69,33.62,32.97,32.47,31.03,29.66,28.81,28.19,28.06,28.34,30.06,29.66,31.62,31.47,31.91,33.91,33.03,33.94,33.66,32.22,30.88,29.88,28.88,28.88,28.69,29.66,31.62,33.28,34.66,37.31,37.19,38.19,37.12,34.59,33.66,32.28,30.31,29.69,30.59,30.88,32.97,36.72,39.97,43.78,45.91,47.31,49.44,48.12,47.84,46.41,44.69,42.38,40.5,40.66,40.31,40.81,42.62,42.31,41.41,41.0,38.75,36.94,37.22,37.19,38.41,40.16,42.66,44.25,44.47,44.97,44.28,43.97,45.16,46.44,48.5,50.16,52.09,53.59,53.0,52.06,50.88,48.19,45.53,44.25,41.81,40.16,39.66,38.81,37.81,38.25,39.25,39.84,41.47,41.84,41.34,40.75,38.5,37.81,37.03,37.38,38.44,38.25,38.34,37.75,37.31,36.56,36.44,38.25,38.56,39.72,39.91,40.28,39.41,37.66,35.94,33.75,32.38,31.25,31.34,32.44,33.5,34.66,37.16,39.91,41.91,42.84,42.81,42.03,39.28,38.03,36.16,34.88,32.88,29.56,26.5,22.94,19.97,19.53,19.06,20.25,23.16,25.53,27.91,30.34,31.19,30.72,29.22,27.47,26.19,24.44,23.66,23.19,23.91,24.38,24.94,26.69,28.06,28.22,28.91,28.88,27.97,28.06,27.34,29.0,29.44,29.91,29.56,28.56,28.66,29.28,30.06,32.53,34.84,36.31,36.75,37.53,37.09,36.12,35.09,33.84,34.78,35.81,37.69,39.31,40.22,40.28,39.62,38.75,37.5,37.41,36.59,36.28,37.53,36.91,38.41,39.88,39.81,38.53,37.38,36.12,32.84,31.69,29.94,29.78,30.91,32.44,35.47,37.19,38.56,39.53,38.19,36.56,34.75,32.62,30.91,30.5,30.0,30.78,32.44,32.53,34.69,35.06,35.34,34.03,33.38,31.19,30.22,28.88,30.12,29.12,30.31,31.19,32.38,34.31,34.97,35.81,37.06,36.81,35.94,36.44,35.16,35.47,34.19,35.12,34.78,34.03,33.84,33.72,32.75,32.25,32.03,31.91,31.28,31.16,30.47,30.19,30.06,28.62,27.84,26.94,26.59,27.19,28.0,28.59,30.34,30.69,31.5,32.31,32.81,33.12,32.44,30.75,29.34,26.09,23.19,20.34,17.56,16.78,15.34,15.31,15.75,17.03,18.34,19.62,22.66,24.53,26.91,30.25,32.25,32.88,32.72,32.31,30.19,26.03,23.78,20.19,17.81,15.56,16.03,16.41,15.72,15.47,13.91,11.28,8.53,5.81,4.03,2.69,3.38,4.94,7.47,9.44,12.53,15.34,16.59,17.16,19.94,19.53,19.69,20.59,19.91,20.25,20.62,21.31,22.0,21.59,20.62,19.44,17.91,15.25,14.28,13.56,14.5,14.72,16.78,18.44,20.66,21.78,25.25,27.31,29.88,33.19,35.31,35.25,34.19,30.94,26.5,22.28,18.94,14.38,13.44,12.31,11.72,12.25,13.06,14.56,16.34,17.69,20.66,23.25,25.06,26.91,28.09,28.28,28.34,27.56,26.25,24.12,21.28,19.34,18.16,17.25,17.97,19.16,20.78,22.06,22.47,22.22,21.28,19.84,18.16,16.66,15.62,13.28,12.94,11.69,10.0,10.53,10.19,12.03,13.88,15.25,15.41,16.94,15.88,15.78,17.06,19.81,21.78,25.53,29.09,31.53,34.31,35.06,36.09,36.59,34.34,33.16,31.09,28.88,28.44,27.62,27.81,29.06,30.03,30.44,31.31,30.5,29.66,29.78,28.88,28.31,28.25,26.19,25.62,24.09,21.16,19.81,18.22,16.53,14.97,14.69,12.88,12.06,11.19,11.84,13.19,15.06,17.19,19.16,20.81,20.72,21.53,21.69,21.22,21.47,22.78,23.34,24.41,25.81,27.06,27.69,29.06,30.94,30.75,31.34,31.06,28.75,26.41,25.28,24.53,23.22,23.66,22.88,21.06,19.69,16.44,15.34,13.16,13.75,14.84,16.34,17.19,19.56,19.88,21.53,23.56,24.06,25.44,25.5,24.59,23.97,22.69,21.81,21.03,19.84,20.75,20.44,19.69,20.44,19.78,19.44,19.62,20.28,19.94,20.94,21.38,23.44,24.69,27.0,29.56,32.56,34.44,36.53,36.91,35.56,33.91,32.28,29.53,26.84,25.78,24.38,24.44,24.09,24.28,24.72,24.72,24.88,25.03,24.28,25.34,24.75,25.47,26.81,26.91,26.75,26.5,26.12,25.0,24.0,25.41,25.97,27.0,29.34,31.03,32.78,32.62,32.53,32.12,30.5,29.06,28.62,28.5,26.94,25.84,24.59,23.22,22.91,22.78,22.88,23.28,23.66,24.47,24.81,25.41,24.5,22.97,19.31,15.66,10.84,5.44,0.53,-3.03,-6.22,-7.59,-7.66,-8.31,-7.41,-8.09,-7.72,-8.81,-8.22,-7.22,-6.72,-5.59,-5.31,-4.84,-4.31,-3.78,-2.06,-1.56,-1.28,-0.97,-1.44,-1.78,-2.59,-2.59,-2.62,-2.28,-1.34,0.91,3.88,7.38,13.06,17.41,22.19,23.91,25.31,24.03,22.75,20.56,19.75,17.84,-0.91,-0.91,-1.69,-4.09,-5.47,-6.19,-5.78,-3.78,-0.94,1.94,4.88,5.62,6.19,6.44,5.59,5.25,6.66,6.31,6.03,6.62,6.03,4.94,5.03,4.25,4.34,2.59,2.19,0.22,-1.22,-2.22:negativity
66.56,66.28,66.28,66.19,68.75,71.28,72.44,73.44,76.28,76.34,76.69,76.38,72.84,69.41,64.28,60.44,56.69,53.38,51.62,50.19,49.69,51.28,54.66,58.28,64.22,68.75,73.72,74.44,76.38,76.91,75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75:72.44,73.44,76.28,76.34,76.69,76.38,72.84,69.41,64.28,60.44,56.69,53.38,51.62,50.19,49.69,51.28,54.66,58.28,64.22,68.75,73.72,74.44,76.38,76.91,75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75,0.56,0.41,0.09,1.38,4.31,6.62:72.84,69.41,64.28,60.44,56.69,53.38,51.62,50.19,49.69,51.28,54.66,58.28,64.22,68.75,73.72,74.44,76.38,76.91,75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75,0.56,0.41,0.09,1.38,4.31,6.62,8.81,10.94,13.56,13.16,13.0,11.81:51.62,50.19,49.69,51.28,54.66,58.28,64.22,68.75,73.72,74.44,76.38,76.91,75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75,0.56,0.41,0.09,1.38,4.31,6.62,8.81,10.94,13.56,13.16,13.0,11.81,8.41,5.78,0.62,-2.47,-6.59,-10.22:64.22,68.75,73.72,74.44,76.38,76.91,75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75,0.56,0.41,0.09,1.38,4.31,6.62,8.81,10.94,13.56,13.16,13.0,11.81,8.41,5.78,0.62,-2.47,-6.59,-10.22,-12.44,-15.22,-15.53,-14.91,-12.22,-9.0:75.31,75.34,74.88,72.22,70.53,69.22,68.19,66.94,67.0,67.44,65.81,66.38,65.81,66.34,68.09,69.69,71.75,72.31,73.47,74.41,75.16,74.25,75.0,74.69,72.97,72.16,71.06,68.94,67.12,64.19,61.66,59.97,58.84,58.06,57.91,58.56,57.66,58.16,57.78,57.66,58.09,58.06,59.16,58.19,58.09,57.25,54.19,53.38,51.25,50.12,49.94,50.69,50.69,51.22,51.62,51.0,51.31,51.66,53.28,56.25,58.56,62.03,64.53,65.47,66.66,67.19,66.53,65.72,65.38,64.28,63.5,62.84,62.0,62.25,61.12,60.72,60.06,59.56,59.44,58.84,60.34,61.03,63.41,65.25,67.56,69.0,70.91,73.5,73.06,73.88,72.12,70.0,65.81,63.19,61.53,59.56,59.59,59.12,59.06,58.56,56.5,56.44,55.19,56.19,57.06,58.44,60.31,61.88,62.94,64.38,66.0,67.28,67.41,65.75,65.81,62.5,61.0,61.03,61.03,61.16,62.25,62.84,64.28,65.91,69.41,73.09,77.09,79.12,80.56,80.78,77.53,74.66,71.06,69.31,67.94,67.69,67.78,68.25,66.66,64.5,61.34,59.06,59.34,57.94,59.03,60.66,60.38,61.62,61.97,63.06,63.66,65.09,65.97,64.44,66.44,68.22,69.41,70.69,72.25,70.94,70.5,69.0,67.44,66.53,66.34,67.19,67.41,68.91,71.06,71.19,72.25,71.84,70.81,70.5,69.28,70.44,71.91,73.88,77.16,78.06,80.34,80.91,79.22,78.28,76.94,76.31,75.66,75.25,77.16,77.34,77.25,78.44,78.94,78.59,77.94,77.19,76.28,75.94,74.41,75.53,77.38,77.66,78.88,80.16,78.56,78.56,77.09,78.12,77.84,78.19,78.53,79.81,80.16,79.44,80.81,79.91,78.81,81.06,80.69,80.81,79.66,79.44,78.28,78.41,79.41,81.12,83.31,84.44,84.72,85.34,84.66,84.72,85.72,85.28,84.53,85.41,83.44,81.5,77.94,75.53,72.16,69.25,68.41,66.19,66.03,64.88,66.72,68.0,69.88,73.31,74.91,75.25,75.91,76.22,76.5,76.94,78.84,78.69,78.25,78.81,78.0,79.56,80.12,81.53,83.56,85.94,87.88,90.41,93.28,94.12,95.94,95.25,94.5,94.69,93.25,91.91,90.56,88.16,87.62,86.44,86.81,86.78,86.94,86.31,86.81,86.06,86.59,86.34,87.06,88.38,88.44,89.06,88.78,88.06,84.53,82.44,81.75,80.25,82.31,83.75,85.69,85.47,85.06,84.25,82.56,80.69,79.06,77.25,78.72,80.41,82.28,86.38,88.5,89.97,90.09,88.81,86.59,84.12,81.31,76.91,75.94,74.28,73.62,73.56,74.78,75.75,75.62,75.62,75.53,74.81,75.78,76.41,77.66,80.5,80.06,81.88,83.09,83.78,85.38,86.62,87.31,87.06,87.38,86.31,86.91,86.53,86.12,85.19,84.44,83.81,83.56,85.59,87.69,91.84,94.28,96.53,99.47,100.66,100.41,101.44,98.66,95.88,91.66,90.5,87.78,87.31,87.56,87.94,87.12,85.25,82.03,79.56,77.31,74.69,73.19,74.19,73.81,73.91,72.91,73.28,73.31,73.84,74.0,74.31,76.62,76.84,76.03,76.56,76.25,73.97,74.38,74.19,74.56,76.34,76.66,74.12,75.16,72.5,70.28,69.03,67.59,67.38,67.12,67.47,69.56,71.03,71.91,74.12,75.38,76.19,77.53,77.94,79.0,79.31,79.75,79.81,79.12,79.06,76.75,75.03,73.25,71.97,71.25,71.66,74.28,75.53,77.59,79.06,79.44,79.44,78.81,79.16,77.91,77.16,77.75,77.0,77.19,77.44,78.19,76.41,76.88,75.16,72.91,73.44,72.16,69.5,69.25,70.75,69.31,70.78,72.62,73.28,73.94,73.81,74.06,73.06,72.69,73.94,71.94,73.5,73.12,73.66,74.56,74.0,75.94,76.03,76.81,76.34,77.66,78.0,78.91,80.44,82.47,83.88,84.69,86.91,87.75,88.62,87.38,86.94,85.44,83.31,82.0,81.81,81.84,82.38,82.84,82.34,81.44,80.78,79.0,78.81,78.12,77.59,77.69,77.81,78.25,80.12,81.78,83.03,83.94,82.88,81.91,80.59,77.56,75.56,73.81,72.94,72.28,73.97,75.0,75.53,76.81,76.78,75.84,74.03,73.28,70.94,70.94,70.5,71.62,73.03,73.66,74.56,73.91,73.19,73.41,73.66,73.53,74.12,73.69,74.34,73.59,73.47,73.88,71.66,72.19,71.75,72.38,73.16,74.78,74.88,76.16,74.94,77.38,77.44,79.94,82.28,83.16,84.66,83.56,83.09,79.44,76.16,73.75,70.56,70.31,69.44,69.31,70.34,70.19,71.16,71.81,72.53,74.97,75.47,78.56,79.97,81.53,83.84,83.94,85.06,83.91,83.44,82.31,80.91,78.34,78.38,77.47,80.31,83.34,85.56,87.81,89.66,87.5,86.22,85.5,82.31,80.56,79.69,79.88,79.78,82.06,81.41,79.56,78.0,77.16,74.34,72.97,74.62,73.19,72.81,72.31,72.0,68.88,69.03,68.22,68.69,67.94,68.91,68.56,69.28,68.12,68.38,70.62,71.47,73.81,74.91,75.0,75.47,73.38,72.66,70.91,71.56,72.88,73.62,76.69,78.28,80.56,81.91,82.31,81.53,80.38,80.03,78.56,80.69,81.16,82.81,83.81,84.69,85.81,86.19,87.5,86.59,86.28,84.31,83.69,82.0,81.19,80.41,78.34,77.03,74.56,74.62,71.22,70.28,68.66,68.03,67.81,68.06,68.19,70.5,70.81,71.78,72.56,74.56,74.69,75.16,74.44,72.19,71.28,68.0,66.56,64.38,64.28,62.09,62.53,62.91,61.22,62.16,62.44,63.66,63.69,63.44,65.66,65.0,63.31,64.97,63.16,63.25,63.19,62.84,63.38,63.19,65.31,65.06,67.0,70.31,70.56,71.97,72.19,71.75,73.38,72.56,73.44,74.59,74.56,74.56,73.31,73.84,75.0,75.25,77.66,79.5,79.72,79.53,78.78,77.44,77.19,76.94,77.12,78.53,79.88,80.88,82.47,86.0,86.78,88.62,90.31,90.25,90.06,89.16,86.94,86.22,84.88,82.91,81.94,81.34,79.28,76.94,74.28,72.19,68.34,66.66,64.03,61.25,61.28,60.06,61.16,63.31,64.56,67.25,68.0,69.16,70.5,71.38,72.94,74.12,75.38,77.19,78.03,78.5,77.47,77.41,75.56,75.25,73.38,74.5,73.81,74.38,75.19,75.28,76.06,76.31,74.91,76.06,75.44,76.44,77.16,77.91,78.19,77.53,76.56,74.97,74.19,73.78,75.25,74.91,76.31,76.25,75.69,74.28,72.28,71.31,70.06,69.41,67.47,67.62,66.25,65.97,67.34,68.97,71.03,72.34,74.34,74.88,73.81,73.19,72.69,70.81,70.06,69.25,69.16,69.66,69.81,70.56,73.22,76.5,79.56,82.5,85.12,84.31,83.44,81.59,78.53,77.31,75.88,74.0,72.12,70.47,69.25,67.81,67.38,66.69,67.12,67.44,67.81,68.25,68.44,67.75,67.91,67.31,66.91,67.59,67.94,68.66,69.53,69.56,69.91,70.31,69.22,70.06,68.12,66.97,67.97,67.41,68.81,71.12,73.06,75.03,76.03,76.5,78.75,78.41,77.66,78.75,0.56,0.41,0.09,1.38,4.31,6.62,8.81,10.94,13.56,13.16,13.0,11.81,8.41,5.78,0.62,-2.47,-6.59,-10.22,-12.44,-15.22,-15.53,-14.91,-12.22,-9.0,-4.56,-0.22,4.81,6.16,8.16,9.56:negativity
28.12,28.56,30.53,29.09,29.28,29.31,30.0,30.47,31.69,32.19,31.19,30.78,29.56,28.69,29.62,31.28,33.59,36.0,38.16,39.62,41.09,40.88,41.25,40.38,40.44,40.91,41.16,40.62,40.94,40.34,39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38:30.0,30.47,31.69,32.19,31.19,30.78,29.56,28.69,29.62,31.28,33.59,36.0,38.16,39.62,41.09,40.88,41.25,40.38,40.44,40.91,41.16,40.62,40.94,40.34,39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38,-21.94,-21.5,-19.72,-19.5,-19.06,-17.44:29.56,28.69,29.62,31.28,33.59,36.0,38.16,39.62,41.09,40.88,41.25,40.38,40.44,40.91,41.16,40.62,40.94,40.34,39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38,-21.94,-21.5,-19.72,-19.5,-19.06,-17.44,-16.28,-15.41,-13.16,-13.84,-14.06,-14.91:38.16,39.62,41.09,40.88,41.25,40.38,40.44,40.91,41.16,40.62,40.94,40.34,39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38,-21.94,-21.5,-19.72,-19.5,-19.06,-17.44,-16.28,-15.41,-13.16,-13.84,-14.06,-14.91,-17.22,-16.94,-16.19,-14.88,-12.69,-10.12:40.44,40.91,41.16,40.62,40.94,40.34,39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38,-21.94,-21.5,-19.72,-19.5,-19.06,-17.44,-16.28,-15.41,-13.16,-13.84,-14.06,-14.91,-17.22,-16.94,-16.19,-14.88,-12.69,-10.12,-8.0,-7.31,-5.94,-5.97,-6.06,-6.69:39.62,39.62,38.31,37.25,34.34,33.38,31.69,31.56,32.84,34.16,36.38,39.5,41.31,42.94,44.94,46.25,47.12,45.25,42.66,39.25,34.81,32.03,28.31,27.03,27.28,26.81,28.22,30.09,29.91,29.88,30.34,30.56,30.31,30.41,31.03,30.38,29.66,28.72,27.09,27.0,26.62,27.56,29.0,28.41,27.97,28.5,26.81,24.94,24.66,24.31,24.62,26.91,31.28,35.34,39.66,43.78,44.28,44.62,43.06,39.81,37.66,36.06,33.25,32.53,31.34,29.81,30.03,30.56,29.66,29.28,28.66,26.53,25.72,24.16,22.12,22.25,20.84,21.59,22.19,24.84,26.16,27.44,27.84,28.25,27.28,27.03,27.34,26.91,27.03,26.34,25.19,23.19,21.81,21.31,20.78,20.66,21.56,21.41,21.03,21.28,22.16,22.16,22.84,22.91,23.69,25.06,26.41,29.31,32.78,35.66,38.19,38.62,38.72,38.5,37.72,38.91,39.84,41.59,41.69,42.69,41.81,41.5,40.19,40.5,38.56,37.97,36.22,34.69,34.31,33.34,33.25,32.81,33.38,33.03,32.84,34.03,32.59,33.25,32.66,31.03,30.81,30.09,30.31,29.72,28.91,28.56,27.0,27.38,26.72,26.34,26.19,26.97,28.19,28.97,29.91,30.0,29.28,27.84,26.66,24.84,24.5,22.72,21.38,21.0,20.41,20.5,20.0,20.81,22.25,23.5,23.88,24.22,25.41,25.22,24.62,25.31,25.69,25.69,26.62,27.69,28.75,28.81,28.75,29.56,28.78,28.69,28.09,28.59,28.03,28.5,29.09,29.97,30.38,31.03,32.47,31.69,29.97,28.94,26.75,24.44,24.44,22.56,22.5,22.5,21.16,21.84,21.66,22.78,23.59,25.91,27.75,28.22,28.5,28.12,26.91,26.31,25.56,26.38,26.66,26.88,28.44,28.28,27.31,26.91,25.62,24.25,23.56,21.69,21.62,20.22,20.59,21.12,20.94,20.5,20.72,19.16,20.81,20.12,21.34,24.84,26.72,28.06,29.81,29.31,27.94,27.66,26.72,25.84,25.19,25.03,24.19,23.81,22.78,22.25,20.06,19.0,17.66,17.19,17.06,16.44,15.97,15.69,17.34,13.25,14.84,16.66,16.5,19.56,23.03,26.91,30.44,31.62,33.25,31.34,28.88,27.94,26.81,26.12,25.0,24.69,23.38,21.78,19.94,18.06,18.66,17.81,18.5,20.06,19.16,20.25,19.28,19.47,20.09,18.41,21.66,22.44,23.94,25.09,27.09,25.56,25.19,24.94,24.78,25.41,28.53,29.28,30.97,33.31,33.81,33.78,33.66,32.0,30.62,28.88,28.97,27.81,24.19,24.25,21.09,18.91,19.0,16.34,17.44,17.91,17.12,19.12,19.88,21.56,22.53,24.78,25.5,28.81,30.03,30.84,30.09,28.72,26.84,23.66,19.94,17.75,14.34,11.38,8.38,6.75,7.31,6.06,7.44,8.25,10.16,12.66,14.53,16.09,16.66,16.25,18.06,16.91,18.31,18.97,18.56,18.94,19.03,19.16,19.78,20.38,19.56,17.53,14.41,11.56,8.78,7.66,6.91,7.38,8.69,10.41,10.28,14.44,14.56,15.97,15.84,14.97,13.59,11.06,9.97,11.06,12.06,13.31,14.88,14.94,13.25,11.75,8.81,5.75,2.31,-0.38,-2.84,-3.44,-3.03,-2.5,-1.66,0.72,1.59,2.5,4.28,5.81,6.06,6.34,5.5,5.25,4.44,5.84,7.06,8.44,8.53,10.06,9.28,9.78,9.34,10.81,11.28,11.91,13.09,14.28,15.56,17.19,18.16,18.84,19.22,18.69,18.06,16.41,15.34,14.19,13.25,12.94,12.5,12.56,13.56,9.09,11.84,10.31,10.78,11.81,12.88,13.88,15.84,18.28,20.28,22.16,22.28,23.78,24.34,24.22,23.84,24.0,23.12,21.75,22.31,22.31,23.62,24.44,24.12,24.28,21.41,19.66,15.28,7.0,7.0,3.03,2.16,3.75,5.31,7.38,7.5,8.97,9.34,9.59,11.41,12.31,14.0,14.66,14.69,13.84,13.94,14.28,13.84,14.88,15.06,14.28,14.78,15.53,15.97,19.44,22.16,23.94,25.75,26.34,27.88,28.47,28.38,27.97,28.81,28.34,29.25,30.56,31.91,33.66,35.0,34.16,35.38,33.94,32.56,30.38,28.38,25.59,25.31,24.91,26.56,28.88,32.12,34.28,35.09,35.16,34.94,32.88,30.91,29.22,26.94,24.28,22.72,20.56,19.38,19.06,18.91,19.75,19.84,19.5,20.72,18.78,17.41,16.03,13.66,12.5,11.72,11.94,13.81,12.81,18.66,21.16,26.78,31.81,36.53,40.09,40.53,39.69,38.28,34.69,31.41,29.03,27.25,26.19,23.44,22.19,21.5,20.72,21.53,23.28,25.12,27.0,28.41,26.41,28.38,24.22,20.84,18.88,15.72,13.59,15.25,16.16,15.72,18.69,19.81,18.84,18.34,18.41,17.38,15.53,16.03,16.31,14.44,20.56,21.53,23.28,26.81,27.91,28.69,28.19,27.19,26.75,24.53,22.03,20.94,20.66,19.41,18.53,21.94,23.03,23.16,24.81,25.09,24.28,24.94,27.44,30.78,34.94,37.78,40.88,43.25,44.75,44.78,45.31,45.28,42.03,40.34,39.22,36.44,35.34,35.31,35.31,32.91,35.81,35.31,36.09,36.81,35.81,37.06,37.97,38.78,39.34,41.62,40.91,40.44,38.84,36.97,34.84,31.31,28.16,22.12,21.94,19.06,17.78,19.66,22.81,25.25,27.5,32.56,34.25,36.28,37.09,36.47,36.28,35.88,35.53,36.25,34.62,35.31,35.12,35.12,35.0,33.56,31.38,28.75,27.78,26.56,26.88,28.28,29.0,29.75,30.12,27.34,29.62,29.03,28.5,28.72,29.81,29.19,29.12,30.59,32.56,34.16,35.84,36.56,36.0,36.31,32.06,34.88,33.38,32.94,33.53,35.38,34.22,35.19,36.72,37.69,37.25,37.53,36.62,35.91,34.31,34.88,31.75,30.59,27.91,28.41,27.31,26.66,27.94,28.31,27.81,27.91,26.78,26.38,25.34,25.38,24.31,25.06,24.56,25.19,26.41,26.41,27.28,26.25,23.25,23.53,19.34,22.88,23.19,26.81,31.84,35.0,36.12,36.94,35.78,34.53,31.38,30.03,26.84,23.53,20.88,17.25,14.09,11.31,10.5,10.03,11.78,14.06,15.62,16.62,19.06,20.16,22.66,25.38,27.28,29.44,30.0,26.44,23.75,21.59,16.28,14.09,13.28,10.25,7.47,6.91,6.41,5.69,10.41,13.06,17.78,22.41,26.97,29.31,30.62,31.72,31.06,32.72,34.03,36.19,36.12,41.34,41.81,41.81,42.06,40.25,38.72,35.94,33.03,31.84,30.78,29.31,29.81,32.19,33.22,34.88,35.72,35.88,33.94,32.66,30.72,29.84,29.12,28.19,28.16,27.66,27.84,25.44,27.84,25.69,24.38,24.19,22.88,21.16,18.28,14.75,13.75,12.06,12.44,12.91,14.44,16.53,18.5,19.88,20.69,21.19,20.31,18.94,17.38,14.66,13.09,11.0,8.81,7.56,6.0,4.69,4.31,2.0,3.69,4.78,5.31,8.75,10.88,12.0,12.66,11.81,10.59,10.41,10.28,10.28,9.38,10.03,10.53,12.06,13.66,16.19,18.62,21.5,22.38,-21.94,-21.5,-19.72,-19.5,-19.06,-17.44,-16.28,-15.41,-13.16,-13.84,-14.06,-14.91,-17.22,-16.94,-16.19,-14.88,-12.69,-10.12,-8.0,-7.31,-5.94,-5.97,-6.06,-6.69,-6.47,-6.41,-5.91,-6.88,-6.41,-7.12:negativity
34.06,33.56,33.22,32.31,31.88,30.16,29.47,27.94,27.31,28.09,29.44,31.03,33.25,34.72,35.12,36.0,34.44,33.28,32.44,30.91,30.28,28.34,28.03,27.84,26.66,27.03,27.91,28.06,27.88,28.22,27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19:29.47,27.94,27.31,28.09,29.44,31.03,33.25,34.72,35.12,36.0,34.44,33.28,32.44,30.91,30.28,28.34,28.03,27.84,26.66,27.03,27.91,28.06,27.88,28.22,27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19,9.44,9.97,10.84,9.31,8.59,6.69:33.25,34.72,35.12,36.0,34.44,33.28,32.44,30.91,30.28,28.34,28.03,27.84,26.66,27.03,27.91,28.06,27.88,28.22,27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19,9.44,9.97,10.84,9.31,8.59,6.69,6.06,5.19,4.97,6.31,5.97,7.69:32.44,30.91,30.28,28.34,28.03,27.84,26.66,27.03,27.91,28.06,27.88,28.22,27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19,9.44,9.97,10.84,9.31,8.59,6.69,6.06,5.19,4.97,6.31,5.97,7.69,8.31,7.75,8.06,7.84,6.81,5.78:26.66,27.03,27.91,28.06,27.88,28.22,27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19,9.44,9.97,10.84,9.31,8.59,6.69,6.06,5.19,4.97,6.31,5.97,7.69,8.31,7.75,8.06,7.84,6.81,5.78,4.34,3.53,3.5,1.78,1.88,2.69:27.81,28.81,30.03,32.28,33.09,35.34,35.72,35.16,36.81,37.94,38.66,39.88,39.03,37.66,35.88,36.94,36.44,38.28,40.16,40.16,41.09,40.38,39.44,39.22,37.03,36.47,35.78,35.44,34.19,35.12,33.91,31.25,30.62,29.06,27.34,26.44,26.19,24.22,22.94,21.41,20.34,19.72,19.5,18.88,18.94,18.91,17.66,16.12,15.88,15.88,17.22,19.12,21.75,23.91,23.44,24.28,23.16,22.5,21.03,21.0,21.59,22.88,25.12,29.06,32.72,36.25,39.56,42.56,42.69,42.69,40.06,35.78,31.03,25.62,21.28,17.34,15.56,13.69,11.91,10.81,10.0,10.41,9.94,9.94,9.75,8.47,8.47,7.94,8.91,9.66,10.91,12.56,12.31,13.59,14.44,15.28,17.03,18.97,22.12,24.0,26.28,27.81,29.34,29.44,28.0,26.09,22.31,19.81,17.66,17.16,16.12,17.03,16.84,16.41,17.19,18.5,20.81,23.88,26.84,29.03,30.62,31.75,31.56,31.88,33.0,32.44,31.94,31.12,30.0,27.56,28.25,29.28,30.62,32.62,33.03,35.31,35.84,36.56,38.72,39.25,40.06,40.81,41.0,42.12,40.94,40.91,39.66,37.47,36.31,34.31,32.59,30.75,28.25,27.59,27.31,27.75,27.94,28.5,29.31,29.62,30.28,32.94,33.31,35.53,36.66,37.16,37.38,36.31,34.81,32.81,31.16,30.31,29.72,30.59,32.94,33.62,36.06,38.16,38.53,38.88,38.41,37.06,33.28,32.28,30.5,25.84,25.88,24.72,23.59,24.44,23.69,24.12,23.41,24.16,24.56,26.56,28.38,30.16,30.66,30.91,31.28,30.53,29.03,27.06,24.0,22.69,19.44,18.25,20.19,20.56,23.5,25.22,27.69,29.5,30.94,31.72,32.47,32.31,31.66,31.34,28.97,28.62,27.53,26.44,25.03,25.16,26.28,25.38,27.53,28.16,30.59,32.03,33.06,35.16,36.44,38.38,38.44,38.94,38.0,35.19,33.0,30.19,28.81,27.44,26.59,27.75,27.5,28.62,29.0,28.69,27.94,27.66,27.06,26.56,26.94,28.88,30.03,29.94,27.97,27.03,25.59,24.12,21.81,21.31,19.25,17.12,15.34,14.62,15.19,16.06,16.81,17.88,19.84,21.56,22.5,24.62,25.72,25.75,25.34,23.41,22.09,22.69,21.97,23.78,25.12,26.84,28.0,29.28,28.06,29.28,29.09,27.84,28.53,27.47,26.75,26.09,24.09,24.09,22.06,20.25,17.91,15.5,13.5,10.5,9.88,10.12,10.0,11.56,12.31,12.56,12.84,10.75,9.53,8.44,7.34,7.56,8.12,9.09,11.03,10.62,8.09,9.38,7.84,7.34,8.66,8.94,10.09,9.22,12.16,12.41,12.91,15.16,14.94,15.81,14.94,12.06,13.16,12.38,11.78,13.44,14.81,17.34,16.88,17.12,16.34,15.97,13.28,10.78,10.22,9.28,8.31,8.91,9.56,11.53,12.41,14.78,17.5,16.94,19.47,18.59,18.94,18.38,18.16,18.62,20.53,22.06,25.38,26.53,28.81,30.41,30.06,31.0,31.53,31.88,33.31,33.25,32.91,32.31,31.84,30.06,28.31,27.97,26.59,25.94,25.75,24.75,24.5,23.44,22.91,22.94,21.97,22.47,22.81,22.38,23.12,24.06,23.75,23.38,24.38,23.5,22.38,21.66,21.19,21.09,22.12,23.44,24.66,25.53,26.09,24.56,23.03,23.38,22.97,23.94,25.53,26.84,26.97,25.91,24.81,23.03,21.94,21.03,18.78,17.97,16.91,16.56,15.69,14.56,15.16,14.81,15.94,17.69,18.0,18.81,18.44,18.25,18.44,19.0,21.38,22.75,24.53,25.66,26.72,27.72,27.56,28.06,28.38,26.25,25.66,25.06,24.53,25.62,24.34,25.34,25.84,24.94,25.62,25.41,25.53,23.97,24.31,23.09,24.0,23.88,25.94,26.5,29.78,31.22,33.31,33.25,33.72,30.81,29.31,27.09,24.53,23.84,23.81,23.38,25.31,26.94,29.81,31.41,32.53,34.81,34.66,35.53,35.31,33.16,32.41,29.31,26.91,24.66,24.91,25.16,26.78,30.09,32.81,35.56,38.84,39.81,39.84,38.88,37.78,34.62,33.62,32.47,31.47,31.56,30.31,29.0,27.5,25.97,24.41,23.88,23.47,23.47,24.06,25.12,25.88,25.97,26.38,24.84,23.91,23.16,20.84,20.66,19.44,18.69,18.72,18.38,20.22,21.31,23.38,24.38,24.53,25.06,25.03,25.84,27.38,28.88,28.53,28.72,27.81,27.12,25.03,25.22,24.94,25.0,25.53,25.78,26.72,26.06,26.56,27.25,28.28,28.78,30.38,32.34,33.31,35.66,36.41,37.03,36.66,35.84,34.28,33.25,33.5,33.47,34.19,34.06,33.16,31.75,29.84,28.09,27.81,28.38,29.16,31.09,33.69,34.81,36.78,38.31,37.5,36.59,34.94,31.91,29.69,27.84,29.34,30.81,32.81,35.06,35.81,34.59,34.81,32.75,30.78,30.06,28.19,27.78,25.94,24.09,23.25,22.09,21.78,21.91,22.91,22.5,24.5,26.34,26.53,29.56,31.22,30.84,31.0,30.78,29.38,29.5,27.91,26.62,25.62,23.97,23.72,23.59,24.56,26.22,26.91,27.25,28.94,29.22,30.91,31.81,33.19,33.0,33.16,33.69,31.94,31.53,30.62,29.03,29.81,28.75,29.62,29.72,29.38,28.88,26.81,26.34,25.47,24.84,25.44,26.06,27.03,28.09,29.0,30.31,30.88,29.31,29.78,26.94,25.53,24.44,22.34,22.66,22.38,23.31,23.44,23.31,21.53,20.94,19.91,20.09,22.12,25.0,27.69,30.28,30.94,31.66,31.62,31.66,31.91,32.66,32.78,33.19,32.41,33.28,31.97,32.06,32.19,30.81,31.78,33.5,34.56,37.75,39.38,41.09,42.16,41.81,41.56,40.91,38.88,38.53,37.69,36.81,36.5,35.62,35.34,35.62,34.69,35.0,35.19,35.47,35.69,36.16,36.34,37.12,38.44,39.88,42.19,43.16,43.03,41.59,38.62,35.0,32.31,28.66,26.19,25.12,23.88,23.0,22.53,22.0,21.78,20.44,20.53,19.94,18.66,18.66,17.47,17.44,16.06,15.81,15.19,13.78,13.16,13.34,13.94,15.16,17.31,19.16,19.5,20.03,19.25,19.34,19.31,19.25,19.91,21.31,22.06,22.34,22.12,22.88,23.19,22.78,23.31,23.22,22.88,21.75,21.56,21.03,21.31,19.88,19.72,19.59,18.53,18.84,19.84,19.69,21.56,21.16,21.78,22.66,22.84,24.91,25.09,26.19,24.44,24.0,22.31,20.84,18.94,19.47,18.34,19.34,19.25,20.12,20.41,20.69,20.28,20.12,21.0,21.69,21.31,20.69,21.22,20.44,20.19,21.19,23.81,24.66,25.62,25.78,25.19,23.81,23.25,22.81,22.28,22.44,22.31,22.25,21.03,20.28,19.62,19.06,17.62,16.5,17.03,16.56,16.78,18.16,18.81,19.44,19.41,20.06,20.16,20.31,21.34,20.91,21.56,21.72,21.31,20.0,19.31,18.66,17.03,16.94,17.66,16.84,17.66,16.81,15.38,13.84,11.31,9.66,9.19,7.16,8.06,7.94,7.56,7.19,7.56,7.59,6.75,6.94,7.84,8.19,9.44,9.97,10.84,9.31,8.59,6.69,6.06,5.19,4.97,6.31,5.97,7.69,8.31,7.75,8.06,7.84,6.81,5.78,4.34,3.53,3.5,1.78,1.88,2.69,2.34,3.75,4.59,3.84,4.34,3.81:negativity
45.84,45.91,44.19,44.31,43.28,42.53,44.66,47.09,48.19,54.41,56.91,60.34,62.88,63.06,61.59,59.84,57.09,54.81,52.38,48.72,48.97,47.5,47.5,48.94,50.0,48.88,49.62,48.91,48.31,50.44,52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06:44.66,47.09,48.19,54.41,56.91,60.34,62.88,63.06,61.59,59.84,57.09,54.81,52.38,48.72,48.97,47.5,47.5,48.94,50.0,48.88,49.62,48.91,48.31,50.44,52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06,3.47,3.12,3.69,3.97,4.25,5.16:62.88,63.06,61.59,59.84,57.09,54.81,52.38,48.72,48.97,47.5,47.5,48.94,50.0,48.88,49.62,48.91,48.31,50.44,52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06,3.47,3.12,3.69,3.97,4.25,5.16,7.31,11.53,15.62,20.88,26.38,30.19:52.38,48.72,48.97,47.5,47.5,48.94,50.0,48.88,49.62,48.91,48.31,50.44,52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06,3.47,3.12,3.69,3.97,4.25,5.16,7.31,11.53,15.62,20.88,26.38,30.19,30.78,30.78,28.31,24.56,20.72,16.94:50.0,48.88,49.62,48.91,48.31,50.44,52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06,3.47,3.12,3.69,3.97,4.25,5.16,7.31,11.53,15.62,20.88,26.38,30.19,30.78,30.78,28.31,24.56,20.72,16.94,12.38,9.53,6.75,4.88,5.19,5.25:52.19,53.44,54.94,52.56,55.12,52.44,50.44,49.62,46.53,45.25,42.09,40.72,39.56,38.56,36.47,35.78,34.16,32.81,33.62,34.19,35.81,34.66,38.06,40.25,41.34,44.06,46.94,47.94,47.62,45.03,39.62,38.72,33.91,32.94,34.16,35.94,38.47,39.0,40.0,37.69,34.84,30.88,27.12,23.44,20.97,20.0,19.94,19.81,20.09,23.84,25.47,27.78,31.28,33.44,33.78,33.38,33.56,33.09,31.75,33.12,33.41,33.62,34.97,36.19,36.03,36.31,35.09,35.09,34.66,34.16,34.88,34.81,34.72,34.44,36.62,37.56,38.34,41.81,44.22,45.25,45.78,45.62,44.56,43.12,40.31,38.19,38.28,36.25,35.94,37.25,37.31,36.91,37.06,36.34,35.88,31.81,33.16,32.66,32.41,35.47,37.56,39.88,40.0,39.78,38.59,37.22,36.69,36.31,36.34,36.38,36.38,37.62,36.97,38.09,38.81,38.12,36.75,35.09,33.66,32.5,32.69,32.91,34.16,33.78,37.03,37.19,38.44,40.31,40.44,39.62,40.66,41.09,41.56,42.66,44.09,41.72,44.69,43.69,43.81,44.16,43.88,42.81,42.31,41.81,41.81,42.25,44.0,44.38,43.69,45.16,45.5,44.78,45.66,46.81,46.28,45.94,45.31,44.81,43.09,42.41,40.78,39.91,38.56,37.03,37.31,36.03,36.56,36.5,36.09,35.78,34.34,34.16,33.81,33.56,34.31,31.16,33.53,31.12,29.06,29.56,28.88,29.44,31.62,33.06,35.69,38.03,38.91,40.94,41.97,43.44,44.75,46.66,46.75,46.03,45.53,44.94,46.25,46.66,45.47,47.56,47.56,47.44,46.94,47.69,48.69,48.03,48.91,50.31,51.09,52.56,52.84,52.91,54.25,52.91,50.28,50.78,47.5,46.25,46.62,46.78,46.5,47.38,47.34,46.97,45.75,42.12,44.38,42.31,42.41,44.41,45.34,46.09,46.25,46.38,45.59,43.59,42.84,41.22,41.53,41.66,43.56,44.41,46.75,47.06,47.12,50.06,51.25,52.62,55.25,56.31,56.0,54.41,53.06,50.56,48.81,46.12,46.25,46.62,47.44,46.06,49.0,48.41,47.84,47.72,46.56,44.22,42.69,38.97,38.03,37.47,35.75,35.31,37.28,36.28,38.47,39.16,39.34,39.97,39.69,39.81,36.53,39.44,38.28,38.56,40.91,42.28,41.19,41.53,40.31,39.22,36.5,38.59,37.56,37.25,37.97,36.66,35.31,34.31,34.28,34.69,36.5,40.12,42.88,45.19,46.88,46.12,42.69,39.16,36.16,32.09,31.94,29.19,32.84,33.38,37.34,41.94,46.19,49.53,53.22,54.84,55.59,55.56,52.06,49.66,46.34,42.72,41.41,40.22,39.53,39.12,38.25,38.34,40.0,39.81,40.97,44.56,44.94,45.19,46.22,45.75,43.69,43.22,42.66,43.12,42.5,40.56,39.31,37.72,35.16,35.41,34.56,34.59,34.62,33.53,33.84,34.03,34.41,31.22,33.22,31.78,31.38,33.25,33.97,34.94,35.44,35.78,37.34,38.06,37.56,39.69,39.25,39.94,41.09,41.16,41.78,41.59,41.03,40.62,40.0,37.81,34.78,36.19,34.12,35.16,36.0,36.81,36.81,35.88,32.78,34.91,33.47,35.41,36.81,38.19,40.28,40.62,42.56,41.31,41.41,41.72,39.28,38.03,38.69,37.09,36.12,36.28,34.66,35.81,37.59,37.56,39.38,40.34,39.81,38.5,36.38,35.06,32.94,32.03,30.34,27.38,28.53,27.0,27.59,28.34,29.06,28.66,27.97,27.88,26.38,25.28,24.44,25.25,25.59,26.84,28.28,29.53,30.12,31.0,30.94,30.19,34.31,34.59,36.03,39.09,39.78,39.31,39.16,37.59,35.16,35.16,33.97,34.06,31.12,33.81,31.47,30.0,30.81,29.09,30.0,30.56,30.56,30.53,29.78,30.75,30.56,31.78,33.78,35.41,36.28,36.44,36.84,37.47,38.03,39.03,39.81,41.09,41.06,41.47,41.31,40.12,39.34,37.41,35.97,35.81,36.03,33.06,35.84,34.66,35.41,36.25,36.94,36.56,36.5,35.62,34.28,35.41,33.41,33.69,35.38,35.66,35.72,36.03,35.41,34.84,33.19,28.81,28.12,25.44,23.0,21.94,20.78,20.19,20.66,21.53,23.91,26.5,26.34,29.66,30.16,29.44,28.81,28.5,26.44,24.81,24.06,22.72,22.5,21.69,21.44,18.91,22.44,23.94,28.03,32.03,35.91,38.72,37.94,41.12,40.41,41.06,41.47,41.81,40.16,39.62,39.34,39.94,38.19,39.06,36.12,37.75,36.31,36.53,37.44,36.31,36.16,36.56,33.69,36.88,37.69,38.91,40.97,41.94,43.44,43.59,44.75,45.62,46.78,48.28,48.5,51.12,51.56,53.41,53.91,53.06,50.56,49.22,47.0,44.31,43.91,43.44,42.59,42.09,42.41,40.78,39.69,40.06,35.5,37.69,36.75,36.53,38.19,40.16,40.94,42.78,43.59,44.53,44.66,41.16,42.59,40.75,40.25,41.34,42.16,43.66,44.34,43.34,41.47,43.78,41.94,42.06,43.31,43.81,42.31,41.12,40.03,38.06,38.12,37.88,34.56,38.31,37.66,38.78,41.25,42.34,42.62,40.41,39.84,38.78,38.31,38.03,37.69,37.94,37.78,37.91,38.72,38.5,38.44,40.44,38.81,39.69,40.62,40.38,39.56,38.75,36.62,32.97,29.59,25.25,24.56,22.62,23.84,25.0,25.97,27.38,28.81,29.94,30.81,30.88,34.12,33.31,34.09,34.34,33.75,32.03,31.94,30.5,26.88,29.44,28.03,27.44,28.16,28.0,27.19,25.47,24.72,23.84,24.34,26.31,25.91,29.5,30.06,31.06,32.72,34.16,33.59,32.88,31.53,29.62,28.88,29.72,31.81,34.16,37.56,41.09,42.16,43.66,43.91,43.03,40.84,38.38,36.72,33.94,32.84,30.34,33.62,32.5,33.47,34.72,34.88,34.16,32.62,30.62,27.78,27.84,27.53,29.16,31.16,33.0,33.97,33.56,32.12,31.56,30.19,28.53,27.91,25.81,26.25,24.38,24.81,24.94,24.44,23.31,23.41,22.69,22.56,23.28,24.34,23.78,28.38,30.06,33.0,36.41,38.75,38.94,40.66,40.84,41.81,43.28,43.47,39.56,40.0,35.66,30.19,27.31,25.75,23.81,23.69,23.44,22.78,20.81,22.88,20.5,20.84,22.38,23.06,23.59,24.75,26.12,26.66,27.88,27.88,27.97,26.25,27.88,26.94,27.12,28.12,27.81,27.84,27.94,26.53,25.66,24.56,22.53,22.06,21.06,22.88,23.75,23.59,23.62,22.94,22.25,21.38,22.53,23.28,24.44,25.44,25.16,24.31,24.06,22.44,22.97,21.62,22.5,21.5,21.31,22.56,20.88,25.19,25.06,26.84,27.84,28.03,26.94,25.62,25.06,24.69,24.47,25.72,25.75,26.41,26.97,23.91,25.03,23.88,22.56,23.69,24.91,26.38,25.81,24.91,24.12,21.44,19.66,18.06,17.28,16.06,16.56,17.44,17.78,19.0,21.59,22.69,23.5,24.75,26.31,27.12,28.88,29.97,30.16,29.97,28.16,30.0,28.34,28.16,27.88,27.31,26.25,24.12,23.56,22.69,22.38,21.66,21.81,22.66,23.06,3.47,3.12,3.69,3.97,4.25,5.16,7.31,11.53,15.62,20.88,26.38,30.19,30.78,30.78,28.31,24.56,20.72,16.94,12.38,9.53,6.75,4.88,5.19,5.25,5.5,7.19,8.19,9.88,11.72,12.97:negativity
16.88,15.38,14.5,13.94,14.75,15.53,16.97,17.5,17.88,17.41,16.28,16.53,16.69,17.84,18.66,18.59,17.91,16.56,14.34,13.69,12.59,13.97,14.34,15.25,16.91,17.75,18.25,18.41,19.16,17.78,16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06:16.97,17.5,17.88,17.41,16.28,16.53,16.69,17.84,18.66,18.59,17.91,16.56,14.34,13.69,12.59,13.97,14.34,15.25,16.91,17.75,18.25,18.41,19.16,17.78,16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06,-37.06,-37.5,-37.84,-38.38,-37.91,-37.0:16.69,17.84,18.66,18.59,17.91,16.56,14.34,13.69,12.59,13.97,14.34,15.25,16.91,17.75,18.25,18.41,19.16,17.78,16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06,-37.06,-37.5,-37.84,-38.38,-37.91,-37.0,-35.78,-34.09,-32.31,-31.84,-30.81,-30.16:14.34,13.69,12.59,13.97,14.34,15.25,16.91,17.75,18.25,18.41,19.16,17.78,16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06,-37.06,-37.5,-37.84,-38.38,-37.91,-37.0,-35.78,-34.09,-32.31,-31.84,-30.81,-30.16,-29.19,-27.94,-27.31,-27.0,-28.53,-29.91:16.91,17.75,18.25,18.41,19.16,17.78,16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06,-37.06,-37.5,-37.84,-38.38,-37.91,-37.0,-35.78,-34.09,-32.31,-31.84,-30.81,-30.16,-29.19,-27.94,-27.31,-27.0,-28.53,-29.91,-31.34,-32.97,-33.59,-32.84,-32.78,-31.72:16.91,15.78,14.31,13.91,13.56,14.56,14.03,14.59,14.25,13.19,11.81,10.88,8.25,6.31,2.91,2.81,0.34,0.34,0.81,2.31,3.19,3.66,3.69,3.62,3.47,2.28,2.0,2.31,3.06,4.72,5.69,6.59,6.19,5.44,3.44,0.16,-3.88,-7.88,-11.81,-15.09,-18.78,-20.22,-20.69,-20.25,-18.44,-15.53,-13.84,-10.09,-8.12,-4.47,-0.72,1.69,5.0,7.56,7.78,8.31,4.34,1.56,-1.03,-4.06,-4.81,-3.97,-2.19,-0.81,0.56,1.78,3.69,5.12,5.5,6.81,7.56,9.56,9.22,11.22,12.09,12.53,13.41,12.94,12.16,10.97,9.5,8.34,8.06,9.34,11.12,13.69,13.53,14.03,12.53,10.75,9.78,9.28,8.66,8.47,8.62,8.94,8.81,9.78,11.16,14.16,16.16,18.72,22.09,23.34,24.84,26.5,26.56,26.31,25.41,25.62,22.22,21.28,19.69,16.88,14.28,12.31,7.59,3.34,-1.31,-3.78,-4.84,-5.16,-4.34,-3.94,-1.78,-1.81,-0.19,2.75,4.88,7.44,8.34,9.56,9.16,6.81,5.0,3.19,2.03,0.34,-1.31,-2.03,-3.06,-2.88,-1.72,1.19,3.19,4.81,7.03,7.94,8.56,9.22,10.0,11.03,12.62,12.59,13.12,12.0,11.78,11.09,10.91,11.47,12.62,13.16,12.91,14.28,12.03,11.47,11.41,10.81,10.88,10.41,11.28,11.06,11.28,13.06,12.25,12.91,12.62,12.56,11.41,10.81,8.5,7.03,4.97,0.28,0.66,0.31,1.34,4.12,7.06,9.78,11.94,14.12,16.28,17.91,17.34,16.09,14.28,11.16,8.81,9.47,9.81,9.56,12.62,13.19,13.03,14.0,13.25,12.41,13.34,11.25,11.75,10.56,10.94,12.69,14.06,17.56,22.34,25.75,28.31,30.41,29.56,27.75,24.78,22.12,19.44,16.16,15.03,12.69,11.06,12.0,11.03,12.47,12.81,13.0,14.59,14.94,16.59,18.06,21.12,22.38,23.28,24.03,23.97,22.91,22.31,22.0,21.16,21.16,20.59,21.12,19.94,18.56,18.91,18.72,18.72,20.22,19.75,18.38,15.19,13.0,10.47,9.28,9.16,10.56,12.06,15.19,17.78,21.88,24.41,28.03,29.16,30.06,29.94,29.38,28.5,27.38,26.66,24.75,23.78,22.66,21.12,21.66,21.62,22.0,22.88,24.16,23.56,23.12,22.81,21.44,21.41,19.91,20.28,18.66,17.81,15.53,14.38,12.5,12.03,11.22,11.69,10.69,12.81,14.12,15.84,18.84,19.69,21.94,22.09,22.78,22.44,23.5,23.84,23.5,23.59,22.84,21.31,19.28,18.56,17.28,16.88,17.12,17.03,18.25,16.88,17.66,18.88,19.78,20.69,22.03,22.56,23.03,21.75,21.0,19.94,18.62,20.03,20.44,20.56,21.81,22.5,23.56,23.19,21.06,21.91,21.12,21.19,22.03,22.03,22.06,21.25,20.38,19.69,19.75,18.03,19.47,18.94,19.12,19.44,19.16,20.22,18.88,21.69,22.81,24.5,24.69,24.62,23.25,20.5,19.12,16.28,16.0,15.66,15.38,15.66,16.94,16.38,17.56,17.75,18.5,18.75,19.5,20.78,21.16,21.56,23.09,23.53,24.62,26.47,27.47,27.69,26.62,25.03,23.44,20.12,18.72,16.69,15.44,15.84,14.81,15.88,17.03,18.34,20.31,22.66,23.75,26.66,27.66,28.5,28.53,29.06,28.44,28.03,29.03,27.59,25.31,24.38,20.78,18.34,17.31,16.81,17.0,18.56,19.62,21.25,22.0,21.88,22.12,22.12,22.06,22.56,23.81,25.16,26.41,27.5,25.91,25.97,24.41,24.09,23.53,23.0,21.88,21.34,21.47,21.34,22.5,23.66,24.31,25.16,26.25,27.84,29.94,31.69,32.78,31.72,30.47,26.72,23.41,20.38,20.03,19.22,20.53,22.19,21.12,21.72,21.12,19.75,19.66,19.97,20.38,21.06,21.47,22.06,21.44,21.12,19.0,18.47,16.56,13.53,12.81,11.38,9.41,7.88,8.25,8.72,9.75,12.81,14.34,17.16,18.03,18.66,18.31,16.78,15.34,13.88,13.0,11.72,11.94,13.56,15.12,17.12,18.69,21.03,22.44,23.28,23.66,25.19,25.09,24.31,24.5,24.16,23.56,23.31,22.94,23.78,24.31,24.88,24.59,25.09,25.5,24.81,26.16,26.31,26.88,27.72,29.06,29.38,30.75,30.5,30.41,29.41,29.09,27.41,26.72,25.5,23.91,23.19,21.19,19.94,18.38,16.91,16.31,14.88,14.56,13.34,14.84,14.56,14.34,15.91,16.81,16.31,18.03,18.81,19.69,19.34,18.88,19.88,19.91,21.09,22.5,22.88,24.41,24.31,24.0,23.69,26.03,25.34,28.03,29.28,31.19,31.94,31.56,32.66,30.06,28.84,27.12,25.53,25.31,24.66,25.22,26.03,27.28,27.09,27.56,26.03,25.34,23.5,22.59,21.91,20.88,21.91,21.84,22.41,23.47,24.66,25.03,25.94,25.81,25.91,24.53,23.16,22.25,20.56,18.09,18.31,17.19,17.06,18.19,19.41,20.41,20.69,20.25,18.97,17.84,15.5,15.44,15.22,17.12,18.47,20.44,21.44,22.06,21.66,21.81,21.22,22.25,23.19,23.19,24.66,24.75,26.56,28.31,30.03,31.72,31.56,29.09,25.66,21.38,18.41,15.88,13.75,12.84,10.28,12.5,12.25,12.88,15.94,17.59,19.19,20.44,21.03,22.53,22.75,23.25,24.78,23.66,23.69,23.81,21.44,20.81,19.69,16.25,16.53,15.56,15.09,17.62,19.94,21.91,25.06,25.47,28.0,27.81,27.59,28.06,27.56,27.06,27.75,28.22,29.12,30.0,29.41,28.88,28.62,27.09,26.16,26.19,25.38,22.69,23.19,22.25,22.22,22.53,22.03,22.12,22.81,23.06,23.25,24.94,23.5,25.38,24.78,24.97,26.19,26.44,27.78,27.5,27.0,25.78,24.34,22.78,21.66,21.09,20.03,19.31,18.69,18.41,17.09,18.41,18.81,18.69,20.12,22.09,23.34,26.75,27.69,30.81,33.06,33.38,34.41,34.19,33.59,31.0,28.25,26.66,25.06,25.56,26.78,27.34,30.59,30.62,31.94,33.22,32.81,32.41,29.84,29.56,26.81,24.06,23.59,21.5,21.69,21.56,23.06,23.06,24.09,23.91,23.56,21.56,19.78,18.16,17.03,16.25,15.91,16.03,15.41,14.22,13.81,12.28,10.19,11.62,11.03,13.75,16.22,19.94,22.25,22.53,22.62,22.12,20.66,19.69,18.56,17.78,17.28,17.12,17.66,18.84,20.53,22.06,22.16,21.75,20.72,19.28,16.94,13.12,13.03,10.91,10.94,12.44,13.44,15.91,17.66,17.78,19.53,19.06,18.41,17.31,14.84,10.53,7.31,4.19,0.66,0.72,0.94,3.31,4.06,3.91,5.28,4.88,5.44,4.62,6.28,5.41,4.91,6.31,7.91,10.0,12.09,14.69,15.94,16.66,16.16,15.28,12.69,8.72,7.0,3.03,2.5,3.16,5.66,9.03,13.12,15.75,18.88,19.69,19.28,17.66,16.31,14.78,13.91,13.47,14.22,15.97,17.03,19.75,20.88,22.38,24.94,26.31,29.06,30.78,31.0,30.59,29.44,27.5,26.62,25.06,-37.06,-37.5,-37.84,-38.38,-37.91,-37.0,-35.78,-34.09,-32.31,-31.84,-30.81,-30.16,-29.19,-27.94,-27.31,-27.0,-28.53,-29.91,-31.34,-32.97,-33.59,-32.84,-32.78,-31.72,-31.66,-31.34,-31.16,-30.03,-30.06,-29.78:negativity
29.41,30.75,32.03,32.34,31.03,30.19,26.81,26.06,23.91,23.06,22.19,21.84,23.19,23.78,25.53,25.94,26.56,25.94,26.28,25.72,25.56,26.5,27.97,29.44,32.34,34.31,37.09,36.72,36.31,33.88,32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44:26.81,26.06,23.91,23.06,22.19,21.84,23.19,23.78,25.53,25.94,26.56,25.94,26.28,25.72,25.56,26.5,27.97,29.44,32.34,34.31,37.09,36.72,36.31,33.88,32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44,16.5,17.88,18.25,17.69,15.66,14.44:23.19,23.78,25.53,25.94,26.56,25.94,26.28,25.72,25.56,26.5,27.97,29.44,32.34,34.31,37.09,36.72,36.31,33.88,32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44,16.5,17.88,18.25,17.69,15.66,14.44,13.0,12.0,10.41,10.38,10.56,10.53:26.28,25.72,25.56,26.5,27.97,29.44,32.34,34.31,37.09,36.72,36.31,33.88,32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44,16.5,17.88,18.25,17.69,15.66,14.44,13.0,12.0,10.41,10.38,10.56,10.53,10.28,12.25,13.06,14.25,15.44,15.09:32.34,34.31,37.09,36.72,36.31,33.88,32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44,16.5,17.88,18.25,17.69,15.66,14.44,13.0,12.0,10.41,10.38,10.56,10.53,10.28,12.25,13.06,14.25,15.44,15.09,15.12,15.25,13.81,14.44,15.31,16.28:32.5,29.84,28.84,29.12,28.97,30.06,32.25,35.16,36.72,38.81,41.44,43.53,45.94,47.66,49.62,50.81,50.47,48.94,46.94,44.16,40.19,36.94,33.53,32.25,32.12,32.5,33.25,34.62,34.34,34.0,34.03,31.94,30.38,28.41,25.81,23.31,20.41,17.25,15.25,13.97,12.94,13.34,15.81,17.69,20.25,22.66,23.34,24.06,24.41,23.12,20.81,20.5,18.75,17.94,17.44,18.06,19.16,19.16,19.5,20.69,20.31,19.78,21.81,23.66,25.94,28.88,32.88,34.22,35.75,36.06,35.78,33.03,32.16,30.91,29.69,28.03,26.0,25.62,23.44,22.38,20.84,20.94,19.25,18.91,18.88,18.97,20.47,21.75,23.25,26.06,28.19,29.69,31.16,32.06,31.0,29.47,28.16,27.78,27.38,27.34,28.91,30.56,32.12,33.44,34.59,34.62,33.66,34.12,35.44,35.84,38.12,38.88,40.25,39.66,40.19,39.66,39.69,39.06,39.03,37.69,37.06,37.56,36.75,36.72,36.81,38.16,37.0,37.19,37.28,36.59,36.22,35.94,36.25,36.19,37.56,38.59,39.78,41.56,42.12,42.25,40.44,39.16,36.91,35.72,34.56,33.84,32.59,31.88,30.31,28.44,27.22,26.06,24.78,23.25,23.38,21.41,20.94,21.06,20.31,20.72,21.66,21.38,22.66,23.03,23.72,24.47,25.31,25.56,25.94,26.25,25.53,26.56,26.06,26.38,25.53,25.88,25.66,24.16,24.28,24.91,25.94,27.28,27.81,29.53,29.19,28.66,28.66,29.06,29.44,30.0,29.53,28.66,26.94,25.12,23.59,23.09,23.72,25.25,25.94,27.38,30.09,31.69,32.75,34.62,36.41,36.31,36.41,35.28,34.62,32.41,30.25,28.94,27.62,27.03,26.44,25.91,25.78,25.09,25.66,26.94,27.5,28.81,30.41,30.91,30.66,30.38,30.41,30.97,32.84,34.69,36.66,38.69,37.78,35.97,35.12,34.19,33.91,34.44,35.44,34.69,34.38,33.91,32.88,31.16,31.38,29.97,29.0,29.06,28.12,27.59,28.81,27.66,28.66,27.91,27.88,27.88,27.56,29.06,30.44,31.19,31.78,30.88,28.69,26.44,23.66,21.88,19.66,16.16,15.06,13.88,14.28,16.81,22.03,27.0,33.06,37.94,41.78,42.41,43.06,40.53,36.69,34.16,32.5,32.84,31.75,33.69,35.62,35.09,36.5,37.12,37.06,37.06,34.66,35.09,34.62,35.78,36.88,38.5,39.03,39.0,37.78,36.06,34.44,31.84,31.31,29.44,28.31,28.59,27.59,26.06,26.28,26.06,27.19,27.97,29.75,30.0,31.5,30.81,31.94,33.59,35.5,38.59,39.72,41.31,43.03,40.59,40.16,36.94,35.66,33.03,31.25,31.31,31.34,32.12,32.5,33.88,33.25,33.69,32.53,31.94,31.44,31.5,31.81,30.69,32.53,31.81,32.59,32.62,33.88,33.19,34.88,33.44,32.94,31.28,29.75,27.06,24.84,24.59,22.56,22.62,23.69,24.75,26.78,27.75,29.31,28.44,26.22,24.53,22.56,20.12,20.31,19.47,20.0,20.62,19.97,19.75,18.16,17.34,16.59,15.97,16.56,18.31,20.31,21.16,22.12,23.69,23.97,23.5,23.16,21.94,22.16,20.91,21.88,21.47,23.25,24.28,25.31,26.81,28.94,30.34,32.12,32.62,33.47,33.22,31.06,30.38,28.03,24.62,24.09,22.56,22.41,22.91,23.84,25.94,27.41,28.69,31.28,31.12,31.41,31.34,28.03,27.56,25.59,24.62,24.16,24.19,23.75,24.47,24.16,24.47,24.69,23.69,23.88,23.78,24.22,23.03,24.5,24.91,25.06,25.75,26.47,26.25,24.31,23.66,20.41,18.44,16.62,16.16,17.03,19.03,19.94,22.41,22.91,22.56,20.72,19.0,17.16,16.25,14.78,15.56,16.12,17.53,21.31,24.78,28.59,31.78,32.0,30.66,28.41,24.03,21.72,19.41,18.88,19.0,19.81,19.53,18.59,17.75,15.75,14.03,13.25,13.12,12.5,12.19,13.06,14.22,15.66,17.38,20.88,23.12,24.97,26.0,26.97,25.47,23.56,21.16,18.66,15.03,13.72,13.78,14.94,18.62,21.31,23.28,23.59,22.44,21.34,18.94,17.62,18.25,19.5,21.75,24.91,28.31,31.16,32.78,31.47,30.97,27.5,24.88,21.12,17.81,15.66,15.41,16.03,18.09,19.78,21.88,23.78,24.81,26.5,27.53,29.25,29.12,29.28,29.34,28.28,28.06,27.72,26.34,25.19,24.06,23.78,22.22,21.19,21.69,20.56,21.81,21.25,21.59,22.53,21.25,23.0,23.81,25.22,26.69,29.16,31.62,33.66,35.38,37.94,38.41,39.03,38.12,37.81,36.84,35.62,34.75,35.12,35.34,35.06,35.03,34.19,32.06,29.84,26.56,23.81,22.59,21.0,21.31,22.38,24.56,26.06,28.19,31.41,33.44,34.0,34.16,32.75,28.84,26.0,23.97,23.34,24.06,24.91,27.66,27.78,29.81,30.06,30.06,30.94,30.25,30.75,30.12,29.31,30.31,31.31,32.53,33.31,36.16,35.84,36.84,36.19,36.19,35.28,32.91,32.03,30.66,30.06,28.81,26.91,25.81,22.09,19.16,16.03,15.0,14.44,15.34,16.25,16.94,18.06,17.88,18.16,18.03,17.44,17.81,16.22,14.44,14.38,12.88,10.94,11.25,11.62,10.75,10.66,10.19,10.91,10.72,10.75,11.69,13.81,14.28,16.56,18.41,19.91,20.62,21.28,20.0,19.06,17.72,15.84,13.97,12.31,12.22,12.31,12.03,13.47,14.38,13.91,12.62,11.25,9.56,9.31,8.0,10.0,12.25,15.75,18.16,21.12,21.53,22.34,20.31,17.97,17.53,16.41,15.84,16.06,17.25,16.91,17.16,17.09,17.38,17.38,18.03,16.53,15.41,16.38,15.03,13.94,14.94,15.28,15.56,15.56,15.69,15.97,15.69,15.38,15.25,15.09,15.25,14.84,15.66,15.06,16.41,17.09,18.0,19.44,19.22,18.56,18.22,16.25,16.06,16.72,18.88,21.47,24.09,27.31,27.97,26.94,26.25,24.78,23.94,23.25,25.94,29.75,33.31,36.91,37.75,36.28,30.62,22.75,15.66,8.34,4.16,1.69,0.53,2.03,2.94,4.91,7.44,8.09,9.69,9.25,7.75,7.38,6.5,5.75,5.56,5.66,6.0,6.44,8.75,10.91,12.97,15.66,18.03,19.19,21.56,22.5,24.31,27.12,29.25,29.78,31.72,32.47,31.94,32.81,31.88,31.91,31.16,31.03,30.91,32.41,34.16,36.06,37.94,36.62,36.09,32.16,29.31,26.56,23.25,21.41,20.16,20.31,21.88,23.94,27.34,29.5,30.94,31.53,30.91,29.44,29.12,27.56,26.88,25.44,23.38,22.12,21.41,19.91,20.66,20.12,19.97,20.19,19.44,19.59,19.31,20.25,20.25,22.28,22.41,22.78,21.53,20.22,17.16,15.72,14.16,12.53,12.56,11.06,9.69,8.06,6.38,5.31,4.72,4.94,6.25,8.19,10.28,12.34,14.84,15.72,17.34,18.84,17.75,18.12,16.91,15.56,13.38,12.53,11.62,11.16,12.78,13.47,14.94,16.38,18.28,18.38,19.03,19.28,19.59,19.16,18.91,19.69,19.44,16.5,17.88,18.25,17.69,15.66,14.44,13.0,12.0,10.41,10.38,10.56,10.53,10.28,12.25,13.06,14.25,15.44,15.09,15.12,15.25,13.81,14.44,15.31,16.28,19.81,21.03,23.88,24.28,24.28,22.06:negativity
2.31,2.06,0.53,0.12,0.91,1.47,3.62,6.22,9.78,12.53,13.47,14.69,15.38,14.66,13.72,12.53,10.53,7.59,4.25,0.94,-0.91,-3.47,-4.06,-3.78,-3.66,-3.22,-3.16,-0.91,1.59,5.34,10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62:3.62,6.22,9.78,12.53,13.47,14.69,15.38,14.66,13.72,12.53,10.53,7.59,4.25,0.94,-0.91,-3.47,-4.06,-3.78,-3.66,-3.22,-3.16,-0.91,1.59,5.34,10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62,-50.41,-49.66,-50.47,-50.03,-48.38,-47.34:15.38,14.66,13.72,12.53,10.53,7.59,4.25,0.94,-0.91,-3.47,-4.06,-3.78,-3.66,-3.22,-3.16,-0.91,1.59,5.34,10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62,-50.41,-49.66,-50.47,-50.03,-48.38,-47.34,-45.5,-42.53,-40.16,-36.97,-35.94,-34.19:4.25,0.94,-0.91,-3.47,-4.06,-3.78,-3.66,-3.22,-3.16,-0.91,1.59,5.34,10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62,-50.41,-49.66,-50.47,-50.03,-48.38,-47.34,-45.5,-42.53,-40.16,-36.97,-35.94,-34.19,-34.28,-34.72,-36.34,-39.22,-42.66,-46.97:-3.66,-3.22,-3.16,-0.91,1.59,5.34,10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62,-50.41,-49.66,-50.47,-50.03,-48.38,-47.34,-45.5,-42.53,-40.16,-36.97,-35.94,-34.19,-34.28,-34.72,-36.34,-39.22,-42.66,-46.97,-49.97,-53.31,-54.44,-55.0,-55.5,-54.81:10.16,15.28,18.66,22.31,25.25,26.12,26.78,25.81,24.56,21.53,18.22,15.25,12.62,10.34,8.16,7.25,6.62,6.69,8.0,9.91,12.5,13.91,14.22,15.0,15.91,15.12,15.44,16.69,16.38,17.34,16.97,16.53,17.34,16.91,17.56,17.38,15.38,13.5,9.66,4.53,1.41,-3.09,-6.03,-7.84,-7.62,-7.22,-6.72,-3.47,-0.06,3.91,8.44,13.19,17.38,20.03,21.97,23.31,23.62,24.06,23.75,22.0,21.0,19.44,17.69,16.47,16.69,17.25,19.06,19.56,19.88,19.41,18.03,17.0,16.41,15.69,16.25,16.53,16.09,16.06,15.56,15.47,16.56,16.91,17.72,17.5,16.88,14.91,13.5,11.53,10.22,9.75,10.5,10.66,12.69,14.12,15.19,16.62,18.53,17.91,19.0,18.09,18.19,16.31,16.31,15.38,15.12,16.62,17.66,19.91,22.12,22.28,23.56,23.47,21.44,20.28,19.22,17.69,16.88,15.66,15.09,16.06,17.12,18.75,20.94,22.88,22.88,22.72,21.75,20.28,17.44,16.47,15.78,15.31,14.78,14.88,14.84,13.41,15.19,15.47,16.12,17.0,16.5,15.03,13.16,11.66,10.0,8.56,7.0,6.28,6.22,7.75,8.38,10.88,13.72,15.78,17.25,19.59,20.34,22.19,21.5,21.09,20.97,20.88,21.06,21.03,21.97,23.94,23.81,24.38,23.41,20.56,19.81,17.0,16.34,16.97,16.16,17.16,18.16,19.0,21.19,23.53,25.0,26.62,27.0,26.81,26.09,26.69,26.16,26.5,27.19,26.88,25.47,23.19,21.28,18.72,17.31,16.88,17.06,17.34,17.94,18.06,18.25,19.38,20.81,21.56,22.31,22.28,20.5,21.31,21.53,23.31,27.41,30.75,33.81,35.97,34.38,32.19,27.56,23.44,18.22,15.5,13.12,13.06,13.69,15.59,18.69,20.53,21.12,23.09,23.38,23.94,23.84,24.66,24.56,24.69,26.34,25.03,25.56,24.12,23.78,22.94,23.5,25.03,27.06,29.12,31.09,32.84,33.91,33.25,32.34,29.94,28.41,25.59,23.56,21.09,19.28,19.59,20.25,22.69,25.0,28.78,30.44,30.88,31.53,30.5,30.53,29.28,28.19,28.88,27.69,28.06,28.69,28.88,30.03,30.44,31.5,32.41,30.97,31.53,31.78,31.66,32.66,33.56,34.12,34.0,34.5,35.81,36.03,38.31,41.12,41.5,41.09,38.69,33.0,28.5,22.94,19.47,18.19,17.12,20.06,23.56,27.72,32.84,36.66,39.25,38.5,36.75,34.97,30.72,29.47,25.56,23.47,22.31,20.44,21.44,22.78,25.06,27.97,29.91,31.28,30.81,29.91,27.81,23.78,20.28,16.88,15.25,14.03,14.47,15.41,17.94,18.5,19.94,22.12,21.06,21.47,21.56,20.53,19.81,19.31,19.06,19.69,20.44,22.59,23.72,24.91,24.31,24.19,23.12,20.59,18.69,17.56,15.91,13.34,12.56,13.06,11.56,14.03,16.0,17.75,20.81,21.94,24.41,25.0,26.78,27.72,29.19,27.12,28.28,26.41,25.0,24.41,23.91,24.41,24.22,24.09,24.59,26.06,26.38,27.94,29.0,29.34,30.41,29.94,30.03,29.72,29.28,29.78,29.69,29.75,30.78,30.75,29.56,29.66,28.25,27.72,27.25,26.97,27.44,28.94,29.38,29.66,31.31,31.97,32.75,33.34,34.19,33.66,31.81,30.84,26.12,25.88,24.75,23.06,25.88,26.44,26.56,28.22,27.16,26.22,25.94,24.09,24.31,24.78,26.84,28.19,29.0,30.44,28.25,26.84,23.12,19.12,15.59,11.38,9.53,9.44,9.0,9.75,10.97,14.72,17.53,20.66,24.16,25.84,26.88,24.66,26.25,24.84,25.06,25.31,24.56,24.75,25.53,26.41,28.62,31.28,33.03,33.97,33.12,32.12,29.31,26.09,24.38,19.31,20.12,18.69,18.69,19.94,20.72,21.69,21.69,24.09,24.94,27.59,29.19,29.41,29.19,29.06,27.88,28.94,30.62,30.94,31.94,31.66,30.47,28.75,27.0,25.88,25.84,25.19,26.31,26.5,28.0,27.59,27.69,28.03,28.38,27.69,29.72,32.25,34.84,38.47,39.66,40.75,39.28,35.91,32.66,29.19,24.16,22.22,18.97,18.0,17.78,18.06,20.31,22.44,25.53,26.53,27.91,28.12,26.66,24.88,26.03,22.91,25.12,25.22,26.5,27.44,26.75,27.12,25.38,23.25,22.91,22.94,22.19,23.81,24.41,25.03,23.78,24.0,22.88,21.25,20.59,18.78,16.69,12.88,13.06,10.78,10.91,10.84,10.91,9.69,8.53,7.97,6.88,8.31,8.03,11.03,12.66,13.84,15.97,17.25,16.84,16.56,14.5,12.78,10.5,9.53,8.59,9.41,9.28,11.69,15.19,17.94,20.97,24.59,25.34,23.31,22.56,18.03,15.56,14.41,13.69,13.56,14.09,14.41,13.0,13.94,13.19,15.47,16.69,17.41,19.88,19.19,20.16,20.91,20.88,21.62,22.53,22.72,23.91,23.44,23.56,24.16,23.25,22.69,21.56,21.28,21.31,19.34,18.19,18.44,17.47,18.88,20.84,21.66,23.56,24.28,26.19,25.97,26.62,28.22,27.31,27.12,26.75,25.72,23.69,22.94,22.09,21.81,20.94,20.78,20.62,19.12,19.62,19.78,21.09,21.56,22.28,24.19,24.12,24.59,24.31,24.81,25.31,24.5,25.0,25.69,24.41,26.78,26.69,26.22,26.97,26.56,26.78,25.75,23.34,22.34,19.38,16.78,14.75,13.16,13.62,14.06,14.59,16.66,17.0,17.62,18.41,19.44,21.0,22.0,23.19,23.25,22.81,23.06,21.31,20.41,20.19,17.97,17.12,15.81,12.91,11.34,10.53,8.56,9.16,9.06,10.84,14.03,16.12,20.53,26.0,31.75,34.69,37.25,37.59,34.34,31.25,26.75,23.62,20.16,17.06,15.41,12.06,11.44,10.22,9.62,9.53,10.78,12.69,13.25,15.72,17.47,19.03,20.5,22.12,22.81,23.38,22.72,21.25,20.22,18.06,15.94,14.19,12.34,11.31,10.03,8.34,7.84,8.38,8.06,7.94,8.66,8.19,7.94,8.31,8.5,9.34,11.19,13.06,15.38,17.91,19.06,21.38,20.44,19.69,19.31,18.09,17.12,15.94,15.81,15.06,13.84,12.53,12.31,11.19,11.62,11.59,13.03,14.62,16.59,17.34,17.69,18.09,17.19,15.62,15.66,14.41,13.53,13.41,12.56,12.06,12.06,11.06,10.75,10.38,9.84,9.62,9.12,7.81,6.75,4.97,3.53,1.12,1.09,-0.69,-0.84,-0.09,-0.81,0.28,0.38,2.38,3.69,4.78,6.78,7.41,8.16,8.66,8.66,9.5,10.53,11.56,13.28,14.78,14.88,15.81,16.16,16.22,15.16,15.19,14.0,12.91,11.97,11.31,11.06,11.66,12.28,13.81,14.81,16.78,17.91,17.94,18.84,19.12,17.78,17.5,18.34,17.72,19.31,19.31,19.12,19.53,19.44,19.75,20.06,21.81,21.75,23.66,24.34,24.31,23.72,23.06,22.19,21.34,20.06,20.41,19.44,19.0,18.16,17.78,16.81,16.03,14.66,14.03,12.94,13.56,13.94,14.94,17.25,17.41,18.12,17.84,17.38,18.38,18.72,18.62,-50.41,-49.66,-50.47,-50.03,-48.38,-47.34,-45.5,-42.53,-40.16,-36.97,-35.94,-34.19,-34.28,-34.72,-36.34,-39.22,-42.66,-46.97,-49.97,-53.31,-54.44,-55.0,-55.5,-54.81,-54.97,-54.97,-54.59,-53.69,-50.91,-48.47:negativity
89.66,89.06,88.0,85.44,84.72,83.44,83.5,85.56,87.69,88.97,91.44,92.34,93.75,93.5,94.03,92.69,90.06,88.44,87.0,85.78,86.91,89.22,90.25,92.62,94.97,95.91,95.91,95.78,95.94,94.75,93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53:83.5,85.56,87.69,88.97,91.44,92.34,93.75,93.5,94.03,92.69,90.06,88.44,87.0,85.78,86.91,89.22,90.25,92.62,94.97,95.91,95.91,95.78,95.94,94.75,93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53,32.59,31.31,30.69,27.78,27.5,26.44:93.75,93.5,94.03,92.69,90.06,88.44,87.0,85.78,86.91,89.22,90.25,92.62,94.97,95.91,95.91,95.78,95.94,94.75,93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53,32.59,31.31,30.69,27.78,27.5,26.44,26.5,27.41,29.31,29.72,32.69,33.16:87.0,85.78,86.91,89.22,90.25,92.62,94.97,95.91,95.91,95.78,95.94,94.75,93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53,32.59,31.31,30.69,27.78,27.5,26.44,26.5,27.41,29.31,29.72,32.69,33.16,34.88,34.5,34.38,33.41,31.03,29.62:94.97,95.91,95.91,95.78,95.94,94.75,93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53,32.59,31.31,30.69,27.78,27.5,26.44,26.5,27.41,29.31,29.72,32.69,33.16,34.88,34.5,34.38,33.41,31.03,29.62,29.12,29.25,31.81,35.75,38.06,41.81:93.94,93.12,93.91,94.0,94.09,95.38,95.62,95.31,94.47,94.19,93.41,92.59,94.5,97.19,100.91,105.59,110.06,112.34,114.41,113.16,110.72,108.0,102.94,99.03,96.12,93.31,89.97,89.81,88.38,87.22,87.06,86.19,86.56,85.06,83.28,83.0,81.06,81.31,81.56,81.78,82.69,82.81,81.94,79.81,76.56,73.47,69.06,65.31,62.81,61.06,59.62,60.0,61.91,62.44,66.22,68.66,70.75,73.94,76.12,78.25,79.78,80.56,80.16,79.19,75.97,74.31,72.31,70.69,70.88,72.47,75.06,77.56,79.16,79.09,77.31,73.44,69.66,66.97,65.72,66.03,67.56,69.94,73.19,74.97,76.44,78.44,79.19,80.25,80.75,81.69,82.84,83.53,83.91,83.0,81.62,81.62,81.97,83.06,86.12,88.5,90.19,90.66,90.81,91.53,91.09,91.09,91.22,91.84,91.19,91.16,92.81,91.66,92.09,91.06,90.5,89.66,88.72,88.31,89.06,89.31,90.12,91.97,92.53,92.34,91.66,91.09,91.53,91.75,93.91,96.06,97.66,99.94,100.34,101.06,102.28,102.91,104.09,105.62,105.16,105.59,103.12,103.12,101.0,99.09,98.56,96.84,95.03,93.19,91.19,90.22,91.0,90.94,93.19,93.97,95.53,96.94,97.47,97.31,96.56,95.38,94.31,92.0,91.25,90.66,89.47,89.41,88.06,86.84,88.31,88.28,89.34,91.53,93.44,94.19,96.38,96.81,98.25,99.75,100.69,101.53,101.16,101.03,99.31,97.78,95.84,93.25,92.12,91.44,90.19,89.53,89.88,89.41,89.81,90.69,88.72,88.09,86.5,84.94,85.47,85.62,86.06,87.91,88.69,88.59,90.22,89.75,91.16,89.84,91.03,92.75,91.41,93.41,93.5,91.81,90.78,87.56,84.62,81.81,79.94,80.44,82.5,85.03,87.22,89.38,90.31,90.25,90.62,89.62,88.38,87.12,85.34,85.03,85.0,83.41,84.09,83.19,81.38,79.97,77.81,76.91,77.31,77.19,80.38,82.41,83.03,84.94,85.03,84.09,83.75,82.16,80.78,79.56,78.47,78.22,78.38,79.47,81.0,81.62,83.31,85.41,85.31,88.12,90.28,92.56,94.34,96.22,96.81,96.69,95.91,93.66,91.44,88.44,85.72,84.12,82.88,81.97,81.97,80.88,80.53,79.44,79.66,79.75,79.56,80.38,81.31,82.56,81.41,84.31,84.38,85.75,86.34,86.84,85.91,85.19,83.94,84.88,85.28,88.03,90.28,89.97,90.06,86.97,84.0,80.12,77.59,75.62,74.34,73.78,75.25,75.81,79.69,83.69,85.72,87.66,88.59,85.38,82.62,79.56,75.81,73.84,73.38,72.81,74.12,75.09,77.41,78.06,79.59,79.06,78.69,77.72,77.12,76.94,76.66,77.44,78.75,80.09,81.22,82.0,82.75,83.25,81.34,80.91,79.53,78.03,76.69,75.03,75.19,75.88,74.94,75.75,76.16,77.22,78.66,80.56,82.38,84.81,85.44,85.59,86.72,85.69,85.91,87.31,86.91,87.72,88.84,88.75,88.25,87.34,86.38,85.75,86.81,85.81,85.53,85.19,82.91,82.16,81.19,80.22,77.97,77.84,76.66,75.66,75.41,76.56,77.72,79.72,81.97,84.06,85.69,85.34,83.53,80.25,77.0,75.31,71.88,72.38,71.84,72.91,74.16,73.81,74.91,75.06,75.09,76.44,76.5,78.44,78.72,80.03,79.59,78.66,79.5,78.94,78.78,80.0,81.44,81.56,80.25,78.75,76.19,73.03,69.94,68.53,66.81,67.41,66.5,67.66,68.47,69.19,70.25,70.28,72.22,72.62,73.41,74.31,74.03,74.53,72.31,72.28,71.28,70.16,68.25,69.78,69.03,67.78,70.31,71.25,72.31,75.06,75.81,77.81,78.28,77.69,77.81,77.41,75.81,76.03,75.62,75.88,75.78,75.72,75.81,75.66,74.5,74.0,74.09,73.06,73.56,74.47,75.25,76.81,78.22,78.31,80.53,81.66,83.25,84.41,84.88,84.81,83.0,81.19,79.41,78.56,77.62,76.38,76.12,75.62,74.75,75.66,75.38,74.94,76.78,77.56,77.09,78.06,78.91,79.31,79.53,80.31,80.94,80.5,79.47,80.81,78.97,78.34,76.78,74.91,71.44,67.31,64.0,60.41,57.66,58.72,60.44,64.06,69.12,72.59,75.66,76.97,76.03,74.09,71.69,70.06,67.62,67.66,67.47,68.91,69.44,69.31,69.66,68.56,66.31,65.25,63.66,62.94,62.25,63.41,63.56,64.66,65.44,67.66,68.75,71.56,74.56,76.5,79.28,80.62,82.44,83.25,82.69,80.5,77.25,74.41,70.91,69.78,69.94,70.12,70.94,72.88,73.75,74.56,76.53,79.41,80.0,80.5,80.31,79.19,76.72,77.25,78.28,81.22,83.94,87.56,90.06,91.44,91.19,90.06,89.06,87.12,84.06,83.75,81.97,81.16,82.0,82.47,82.97,83.5,83.12,83.62,82.19,82.25,81.5,80.06,78.69,77.97,77.41,77.72,77.97,77.5,77.06,75.94,74.94,73.56,72.12,71.69,70.5,70.09,69.16,68.56,68.19,66.84,66.81,65.41,64.16,65.59,64.28,64.56,65.91,65.94,64.12,64.69,64.78,62.88,62.88,62.25,61.41,57.62,58.91,58.75,59.44,61.19,63.62,63.66,63.75,62.97,62.72,61.66,61.53,60.62,61.44,62.66,65.31,68.91,72.44,73.78,74.5,74.09,71.91,70.56,69.22,68.03,66.31,65.06,64.28,64.84,63.38,64.91,64.0,64.81,67.06,66.69,68.84,69.31,67.84,67.47,67.41,67.41,68.06,69.66,70.72,70.38,70.22,68.81,67.72,68.03,68.28,68.53,69.28,68.25,66.41,64.03,62.78,62.75,61.53,62.5,64.56,64.16,65.72,68.28,69.81,73.94,76.41,78.28,78.59,77.25,76.31,74.44,72.28,70.5,68.94,67.78,65.47,65.66,65.03,65.19,65.0,64.09,63.84,62.81,64.5,65.19,65.56,66.78,67.84,66.75,65.44,66.19,66.19,66.44,66.09,64.81,63.69,61.31,59.44,59.56,58.81,58.94,59.69,60.88,61.69,64.53,66.81,70.06,72.06,74.62,75.88,75.19,74.28,71.38,70.16,67.94,67.25,67.12,67.31,67.62,67.12,65.94,65.19,63.69,61.44,61.12,60.19,59.31,59.16,58.84,58.66,58.88,60.38,61.84,64.22,66.03,67.53,67.84,66.44,65.59,64.44,62.0,61.72,61.0,60.25,59.72,58.22,58.16,57.84,57.62,58.19,59.12,60.03,60.66,61.91,63.66,64.69,65.25,65.94,66.19,66.62,67.03,67.94,67.41,67.53,66.5,65.59,65.19,64.91,65.5,65.75,65.0,63.91,63.16,63.41,63.25,63.94,65.06,64.81,66.38,67.19,68.41,69.94,70.84,70.91,71.38,70.5,70.12,68.97,67.34,65.5,64.16,62.12,59.97,59.16,57.81,56.12,54.62,54.97,54.0,55.28,57.28,59.44,61.81,63.09,65.09,64.75,64.16,64.31,63.09,62.62,62.34,61.69,61.09,59.34,57.81,58.94,59.31,59.66,61.34,61.0,61.53,59.97,56.66,53.34,50.16,46.09,43.91,41.72,40.94,40.62,40.12,39.97,40.03,39.62,39.0,37.44,37.5,37.12,37.47,38.31,39.53,32.59,31.31,30.69,27.78,27.5,26.44,26.5,27.41,29.31,29.72,32.69,33.16,34.88,34.5,34.38,33.41,31.03,29.62,29.12,29.25,31.81,35.75,38.06,41.81,43.38,42.28,41.72,39.97,38.31,37.0:negativity
29.19,31.06,32.97,32.44,32.81,33.12,33.69,33.16,33.81,33.31,32.62,31.38,31.97,31.0,31.81,33.31,33.62,36.66,38.53,40.72,42.06,42.75,42.41,42.06,40.16,37.91,34.81,33.66,31.91,31.16,32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94:33.69,33.16,33.81,33.31,32.62,31.38,31.97,31.0,31.81,33.31,33.62,36.66,38.53,40.72,42.06,42.75,42.41,42.06,40.16,37.91,34.81,33.66,31.91,31.16,32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94,1.75,2.81,3.91,3.97,4.28,3.19:31.97,31.0,31.81,33.31,33.62,36.66,38.53,40.72,42.06,42.75,42.41,42.06,40.16,37.91,34.81,33.66,31.91,31.16,32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94,1.75,2.81,3.91,3.97,4.28,3.19,2.72,1.97,0.97,0.94,1.34,2.25:38.53,40.72,42.06,42.75,42.41,42.06,40.16,37.91,34.81,33.66,31.91,31.16,32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94,1.75,2.81,3.91,3.97,4.28,3.19,2.72,1.97,0.97,0.94,1.34,2.25,3.69,4.12,5.06,6.81,7.91,9.94:40.16,37.91,34.81,33.66,31.91,31.16,32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94,1.75,2.81,3.91,3.97,4.28,3.19,2.72,1.97,0.97,0.94,1.34,2.25,3.69,4.12,5.06,6.81,7.91,9.94,11.94,13.62,14.34,14.31,13.53,12.84:32.5,34.06,35.91,38.06,38.44,38.62,37.12,34.66,32.62,32.03,31.59,33.97,36.88,39.94,42.62,44.5,45.94,45.25,46.31,44.41,42.94,41.31,38.44,36.94,35.12,34.16,35.12,35.5,37.12,38.62,39.44,38.84,36.59,32.88,28.94,24.75,22.53,23.03,23.62,26.09,29.16,28.91,29.91,28.28,25.44,24.41,22.78,24.25,25.41,27.84,29.84,32.5,35.22,38.16,42.97,45.06,46.0,46.28,44.47,41.97,38.59,37.41,36.03,34.66,34.94,36.09,35.53,37.25,36.09,36.09,35.88,35.94,35.16,36.69,36.69,37.25,37.66,38.19,37.94,39.94,40.41,42.0,44.47,44.91,46.31,46.91,47.88,49.25,49.84,52.19,53.75,55.47,55.81,55.03,53.97,51.16,47.88,45.16,42.44,41.78,43.12,43.66,45.47,46.28,46.16,46.62,45.44,45.81,45.69,46.91,47.06,48.0,47.41,46.97,46.0,45.12,43.38,41.72,41.22,38.44,35.66,34.66,32.38,30.69,30.78,30.25,31.41,32.38,33.44,35.75,37.81,39.88,42.03,44.56,46.59,46.88,47.19,47.75,46.44,45.19,45.5,45.16,44.56,42.75,41.81,39.62,37.56,36.69,34.25,33.34,32.34,30.22,29.56,31.34,31.25,35.12,39.38,42.66,47.41,49.81,51.66,54.25,53.31,52.66,52.12,49.06,47.31,47.78,44.66,46.78,45.84,45.28,45.75,45.66,44.41,44.44,44.19,44.88,44.72,46.38,47.78,48.81,50.94,50.75,51.72,51.25,48.75,48.38,45.94,45.0,46.19,44.81,46.31,45.81,44.62,42.91,41.12,41.16,39.78,38.81,38.03,37.12,36.12,35.16,34.78,36.06,35.53,37.75,39.53,39.5,39.12,39.16,37.06,34.94,34.06,33.09,32.03,32.78,33.34,30.81,32.94,29.94,28.53,28.09,28.31,29.44,30.28,32.94,35.47,37.53,38.81,40.44,41.16,42.69,42.88,43.19,44.5,44.62,45.75,47.19,46.78,47.59,47.19,46.59,46.78,45.56,45.94,44.12,42.62,42.09,40.0,38.31,36.75,35.5,34.66,34.81,35.69,38.09,38.0,39.66,40.44,40.56,40.16,39.78,40.44,39.69,38.56,40.62,38.88,40.03,38.75,39.84,39.25,39.25,39.59,39.47,38.88,38.03,37.44,36.56,34.56,32.78,31.31,29.91,28.72,30.78,30.78,33.91,35.16,37.28,38.94,37.94,37.5,36.44,35.28,33.41,30.25,30.0,27.62,28.59,31.22,33.75,37.81,40.0,41.56,42.31,41.91,41.31,40.22,38.91,38.81,37.53,35.78,35.0,33.06,30.81,30.19,28.94,29.97,30.84,30.16,30.94,31.34,31.69,31.69,32.91,31.84,30.44,30.34,26.94,25.78,26.0,24.5,24.22,24.66,23.53,24.16,23.69,23.25,21.97,21.91,22.62,21.62,22.56,24.16,24.59,25.28,27.12,26.66,27.66,27.0,25.94,27.16,24.62,24.75,23.81,24.16,23.62,23.5,26.0,27.78,32.09,32.34,34.06,34.09,32.12,30.53,31.28,32.41,33.06,34.59,35.84,35.31,32.81,31.16,29.47,26.44,25.81,27.25,26.53,28.25,30.91,31.47,33.16,34.72,35.81,37.59,38.06,38.59,41.06,41.16,40.66,41.25,39.75,37.75,34.69,32.12,31.31,28.91,28.88,27.94,29.22,28.78,30.5,29.75,30.12,28.28,28.72,29.56,30.09,32.31,35.03,37.03,37.5,38.53,39.53,38.81,40.56,40.16,41.69,41.34,40.16,39.41,38.38,35.94,35.12,34.62,32.97,32.44,30.56,30.16,28.12,27.06,26.88,26.81,26.31,27.28,27.66,28.0,28.22,26.31,26.25,25.78,25.72,25.97,27.69,27.06,27.44,26.09,26.56,26.84,26.34,26.56,27.25,25.59,26.62,26.31,26.62,26.53,25.38,25.25,23.59,21.53,20.62,20.06,17.09,16.5,14.44,13.12,11.25,10.12,10.44,11.0,13.12,14.69,16.78,16.84,17.19,16.75,17.56,18.66,20.28,22.44,25.69,25.09,25.66,26.28,25.06,24.97,25.94,26.0,26.41,26.78,27.62,29.03,29.94,32.0,34.78,35.84,38.28,40.09,39.69,39.97,39.5,39.19,38.31,37.66,36.56,35.69,35.34,34.91,35.09,35.28,34.72,33.88,33.94,32.94,31.69,31.41,31.56,31.28,31.72,31.53,31.59,30.25,28.12,26.69,23.94,23.06,21.66,22.12,24.19,25.12,25.41,27.16,26.31,25.12,24.19,23.5,23.38,24.75,26.38,28.75,31.09,32.16,33.25,32.94,32.75,31.81,31.44,31.12,30.16,29.16,28.06,27.53,26.53,26.28,26.03,25.25,25.19,24.97,25.25,24.34,24.12,23.53,23.53,23.97,23.0,27.16,28.44,28.56,30.69,30.94,28.19,28.38,26.28,25.31,25.06,24.88,24.44,25.31,26.88,26.06,28.69,29.44,29.59,32.16,34.22,36.28,39.81,42.62,43.94,45.28,44.16,41.5,37.62,35.34,31.88,29.47,27.69,27.84,27.53,29.78,30.19,31.59,32.5,31.66,31.47,30.5,29.81,28.81,27.69,26.41,26.41,26.31,27.28,28.09,27.81,29.06,29.44,30.19,32.03,34.25,36.19,37.03,37.44,38.44,38.5,38.72,38.62,38.81,37.22,35.62,34.41,33.81,34.19,34.22,36.41,38.25,38.97,40.72,41.91,43.72,44.34,45.12,45.78,45.03,43.81,44.44,44.03,43.25,43.84,43.53,43.88,44.16,44.25,45.69,46.09,45.25,45.22,44.12,42.25,40.09,38.72,37.75,37.25,36.34,34.31,34.38,32.81,31.0,30.22,27.09,27.88,24.66,22.72,21.91,21.66,20.44,21.59,20.78,21.62,21.97,21.22,21.62,23.06,23.16,24.88,26.59,27.72,28.81,30.19,32.03,32.38,33.44,34.94,33.72,33.59,33.19,33.44,33.91,33.62,35.12,35.53,36.5,36.69,37.78,38.81,38.69,40.25,41.75,41.81,42.78,42.78,42.41,42.31,41.66,42.25,42.22,43.16,42.84,42.31,41.78,39.56,37.12,33.81,31.41,29.56,28.06,27.88,29.09,30.75,32.03,33.66,35.56,35.31,35.0,34.75,34.03,32.53,33.16,32.47,32.19,31.28,31.19,32.03,33.06,33.81,34.81,34.91,35.06,35.06,34.28,35.59,36.03,38.25,39.31,40.66,41.38,40.72,39.31,37.31,35.44,33.97,32.94,33.38,33.25,32.41,32.19,31.97,31.66,32.53,32.81,32.44,32.66,32.56,32.94,34.16,36.0,36.59,38.53,38.28,38.62,37.97,36.84,36.22,35.69,35.53,36.62,37.19,39.34,40.09,39.91,39.25,38.16,36.03,34.75,33.0,31.94,29.94,27.94,25.16,22.5,19.81,17.22,15.06,14.22,12.19,10.47,8.81,7.72,7.03,6.72,6.81,7.22,7.28,7.69,8.0,8.22,9.41,9.56,8.62,7.56,6.19,5.25,5.88,6.81,8.78,12.25,13.0,13.94,14.78,15.34,16.12,17.84,19.62,21.16,23.44,23.84,25.19,25.5,25.84,24.22,23.81,22.25,19.84,18.12,18.53,19.09,23.06,26.81,33.66,38.69,42.84,44.38,45.09,44.12,42.53,41.72,40.38,39.12,37.81,35.69,34.25,32.94,31.94,1.75,2.81,3.91,3.97,4.28,3.19,2.72,1.97,0.97,0.94,1.34,2.25,3.69,4.12,5.06,6.81,7.91,9.94,11.94,13.62,14.34,14.31,13.53,12.84,11.44,9.84,7.72,6.66,5.75,3.78:negativity
66.66,66.22,64.75,65.56,65.91,66.31,66.88,67.16,67.84,67.56,67.72,68.06,67.59,67.94,68.69,67.78,67.44,68.06,67.41,70.0,73.41,78.03,83.28,88.41,90.56,91.44,91.09,89.0,86.0,83.28,81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97:66.88,67.16,67.84,67.56,67.72,68.06,67.59,67.94,68.69,67.78,67.44,68.06,67.41,70.0,73.41,78.03,83.28,88.41,90.56,91.44,91.09,89.0,86.0,83.28,81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97,15.19,13.91,12.94,13.12,12.25,12.66:67.59,67.94,68.69,67.78,67.44,68.06,67.41,70.0,73.41,78.03,83.28,88.41,90.56,91.44,91.09,89.0,86.0,83.28,81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97,15.19,13.91,12.94,13.12,12.25,12.66,12.91,13.84,14.94,16.59,18.12,18.16:67.41,70.0,73.41,78.03,83.28,88.41,90.56,91.44,91.09,89.0,86.0,83.28,81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97,15.19,13.91,12.94,13.12,12.25,12.66,12.91,13.84,14.94,16.59,18.12,18.16,18.91,19.25,19.19,18.97,20.72,22.09:90.56,91.44,91.09,89.0,86.0,83.28,81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97,15.19,13.91,12.94,13.12,12.25,12.66,12.91,13.84,14.94,16.59,18.12,18.16,18.91,19.25,19.19,18.97,20.72,22.09,21.91,23.56,24.41,25.0,23.56,23.12:81.53,79.56,78.03,78.03,77.56,77.31,79.0,79.31,80.41,82.31,83.97,84.12,85.28,85.12,86.06,86.59,85.69,86.19,85.72,84.41,83.69,81.06,79.03,76.25,73.44,71.31,70.69,71.66,72.12,73.0,73.75,71.44,69.44,65.78,64.75,63.25,62.28,61.78,62.53,60.94,61.03,60.03,58.75,59.25,58.78,57.5,58.69,57.62,58.31,58.56,58.31,59.56,59.84,61.84,62.78,65.41,68.59,71.31,72.88,73.19,72.53,71.38,70.28,68.88,68.62,68.44,67.25,66.56,66.12,66.16,67.56,67.59,68.31,68.34,67.5,67.28,66.03,65.94,66.38,66.53,66.69,67.28,67.25,67.34,67.34,66.12,65.19,64.47,62.66,61.88,60.03,60.03,60.75,60.38,60.47,59.66,58.56,56.16,54.03,53.16,51.09,51.53,51.94,52.56,53.81,55.94,56.75,58.91,59.62,60.28,59.94,59.53,58.0,56.09,55.72,53.84,53.59,54.69,54.09,53.41,54.09,54.03,54.34,55.38,56.84,58.38,58.69,57.56,58.75,57.06,58.91,59.19,59.69,61.53,61.5,61.38,61.34,61.78,61.25,62.0,60.66,60.12,59.66,57.31,55.31,54.69,52.31,50.06,49.34,49.25,50.44,51.41,51.81,54.19,53.09,52.0,53.25,51.53,51.47,52.16,52.72,52.44,53.56,54.41,55.06,54.06,55.06,54.41,54.38,54.66,55.72,56.53,57.31,57.56,56.88,57.47,56.66,57.25,56.56,56.88,56.41,55.81,54.88,54.97,53.97,53.75,53.97,55.19,56.16,56.97,58.44,58.19,55.94,54.94,53.53,52.28,52.31,53.19,55.84,58.03,60.25,63.66,65.88,66.31,66.53,65.06,62.91,60.56,57.41,56.44,55.12,55.12,56.44,58.81,61.09,62.84,63.41,62.66,61.78,60.47,60.19,59.97,60.06,61.16,59.47,59.44,58.94,57.16,55.31,54.81,52.19,52.94,51.44,50.12,50.72,49.0,48.06,47.66,48.34,48.28,49.28,51.12,50.97,51.75,51.0,51.88,50.69,50.44,50.72,50.16,49.41,50.62,51.03,52.5,54.53,56.94,59.44,60.62,62.81,63.34,63.66,63.56,65.78,66.03,67.91,69.78,71.16,70.44,70.12,70.31,69.41,69.31,68.88,67.94,66.41,64.59,62.47,61.41,62.09,62.53,63.56,66.41,66.31,68.44,67.81,67.75,67.12,67.25,66.56,67.19,65.78,66.06,66.31,66.88,68.12,69.06,70.22,71.12,70.41,68.38,68.34,66.94,65.28,64.72,64.22,63.16,61.91,61.41,60.81,60.66,61.34,60.53,62.62,61.56,62.31,62.62,63.06,62.78,62.69,60.5,59.12,57.38,55.75,54.69,53.72,54.25,54.12,55.28,54.81,55.47,56.62,56.28,57.75,57.75,59.25,59.19,59.44,60.12,61.81,62.44,62.44,62.06,60.75,59.47,57.94,57.06,58.56,59.06,60.66,62.28,61.69,62.12,61.38,61.34,60.12,60.56,60.09,59.88,60.94,60.78,61.56,61.19,60.03,58.84,57.5,55.31,55.53,55.41,56.12,57.19,57.28,58.81,56.66,55.44,54.0,53.38,52.69,54.56,55.34,57.16,58.5,59.0,60.69,61.59,62.47,61.72,60.03,59.44,58.75,59.06,61.16,62.12,63.84,63.34,64.06,62.5,62.28,61.69,59.81,59.25,60.38,59.56,63.34,65.41,70.0,72.31,72.31,71.19,69.91,65.72,62.5,60.53,59.44,58.16,58.31,58.16,57.09,56.78,56.56,55.12,56.03,55.88,58.78,59.41,62.25,65.12,68.62,68.88,70.84,70.56,69.88,68.25,68.41,67.5,67.09,66.41,66.62,65.09,63.56,64.16,60.62,59.53,58.69,58.22,56.47,56.25,55.41,55.25,54.66,55.31,56.91,58.91,60.19,60.56,61.84,60.81,59.91,58.69,56.41,55.38,54.44,53.44,53.75,53.75,54.44,55.38,56.09,57.62,58.72,60.19,61.38,63.0,62.69,62.78,62.0,60.38,59.53,58.81,58.97,60.16,59.38,59.62,58.94,58.5,58.59,58.31,57.69,56.97,58.09,56.19,55.53,56.66,57.22,56.62,57.44,58.41,59.78,61.78,62.62,62.91,61.12,58.0,54.66,52.72,49.75,49.75,51.41,52.19,53.66,56.5,58.0,58.97,58.62,56.12,56.06,54.41,53.88,55.06,55.19,57.31,57.41,58.0,58.88,59.47,60.78,62.25,62.66,63.34,61.97,61.25,60.19,57.41,57.03,57.19,56.47,56.72,56.28,55.91,54.31,53.94,53.34,52.97,56.62,57.94,60.31,63.0,62.91,63.28,62.59,62.06,62.78,63.28,63.16,61.94,61.03,59.66,58.22,57.62,58.25,57.28,58.41,57.75,58.53,58.22,58.88,59.28,60.31,60.25,60.12,60.78,60.28,58.31,58.81,56.25,55.16,53.94,54.53,52.44,53.28,52.5,51.66,51.81,52.0,52.69,53.72,54.22,56.03,56.22,56.56,57.31,59.41,57.44,59.75,60.69,60.34,60.16,59.94,59.34,57.0,57.75,56.06,56.31,55.19,54.19,51.34,48.12,47.06,45.97,47.44,50.16,56.03,59.62,63.81,66.44,66.72,65.34,63.31,61.0,57.25,56.44,53.59,52.06,51.81,51.25,49.81,49.81,49.91,51.41,51.31,52.62,54.19,53.78,52.62,50.31,50.44,48.41,49.19,50.44,51.31,53.84,54.25,54.19,56.81,56.47,57.5,58.22,59.34,58.38,58.38,56.94,56.41,55.72,54.78,53.81,53.38,51.41,52.19,49.62,49.03,50.5,50.69,53.72,57.25,60.03,62.22,62.62,61.94,60.88,59.84,61.12,62.56,64.03,65.66,65.56,66.41,65.28,65.44,64.53,64.41,63.41,62.72,61.25,58.75,56.78,55.31,54.47,55.06,55.94,56.03,57.19,56.47,55.62,55.62,56.03,55.0,53.94,54.94,54.16,54.81,55.88,56.31,56.53,54.03,54.41,53.06,52.41,53.06,53.47,54.91,56.69,59.25,60.41,61.38,61.53,59.78,58.78,55.94,54.69,53.06,53.06,52.22,53.28,53.97,54.25,55.5,56.16,57.44,58.16,59.12,60.72,61.09,62.5,63.78,66.16,68.03,68.06,68.69,66.88,63.72,59.69,56.31,53.03,50.09,49.97,48.88,49.31,50.81,52.44,54.84,56.75,57.53,59.41,58.91,57.78,58.41,58.69,57.62,57.19,56.19,54.91,52.25,50.97,49.5,47.72,48.53,48.66,49.53,51.62,51.25,51.81,52.06,51.06,51.41,51.97,51.81,53.88,54.56,56.41,57.59,58.16,56.69,57.03,55.19,54.59,54.19,52.28,52.19,51.28,49.47,49.25,49.0,48.62,48.0,47.0,44.69,43.34,41.97,39.47,40.34,39.25,40.34,42.94,42.94,48.28,50.38,52.88,55.03,54.66,53.53,52.0,51.31,49.56,47.88,48.41,48.31,48.34,48.88,49.56,51.41,53.44,57.03,62.06,65.72,67.81,68.81,69.5,68.31,68.91,69.81,70.72,70.66,69.47,67.31,63.81,60.53,57.72,56.91,56.28,55.44,56.28,53.91,52.19,49.41,47.94,44.56,44.72,44.78,45.78,47.03,50.25,52.81,55.81,56.81,56.16,55.97,51.94,48.44,45.19,43.09,41.91,40.78,42.5,43.56,46.28,48.28,50.97,15.19,13.91,12.94,13.12,12.25,12.66,12.91,13.84,14.94,16.59,18.12,18.16,18.91,19.25,19.19,18.97,20.72,22.09,21.91,23.56,24.41,25.0,23.56,23.12,23.12,21.94,22.16,24.34,25.56,26.28:negativity
7.5,9.44,10.81,11.44,13.84,15.38,18.41,21.19,24.44,27.09,28.25,29.19,27.31,26.81,24.25,22.31,19.44,18.0,14.91,13.91,11.38,8.81,8.38,7.78,7.44,8.91,11.03,14.16,16.88,19.78,22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75:18.41,21.19,24.44,27.09,28.25,29.19,27.31,26.81,24.25,22.31,19.44,18.0,14.91,13.91,11.38,8.81,8.38,7.78,7.44,8.91,11.03,14.16,16.88,19.78,22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75,-19.62,-21.12,-21.72,-21.12,-20.22,-18.91:27.31,26.81,24.25,22.31,19.44,18.0,14.91,13.91,11.38,8.81,8.38,7.78,7.44,8.91,11.03,14.16,16.88,19.78,22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75,-19.62,-21.12,-21.72,-21.12,-20.22,-18.91,-17.19,-14.53,-12.47,-10.5,-8.88,-8.88:14.91,13.91,11.38,8.81,8.38,7.78,7.44,8.91,11.03,14.16,16.88,19.78,22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75,-19.62,-21.12,-21.72,-21.12,-20.22,-18.91,-17.19,-14.53,-12.47,-10.5,-8.88,-8.88,-9.72,-10.28,-12.22,-14.44,-15.16,-16.84:7.44,8.91,11.03,14.16,16.88,19.78,22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75,-19.62,-21.12,-21.72,-21.12,-20.22,-18.91,-17.19,-14.53,-12.47,-10.5,-8.88,-8.88,-9.72,-10.28,-12.22,-14.44,-15.16,-16.84,-19.09,-18.81,-21.5,-22.41,-23.78,-25.38:22.31,23.41,24.0,23.56,23.03,22.5,20.69,20.75,19.62,19.03,19.09,16.88,14.81,13.09,10.81,8.03,7.25,6.12,6.91,8.06,10.5,12.16,14.75,16.66,18.44,18.16,18.66,18.62,18.03,18.31,19.12,18.56,18.66,16.62,14.94,13.91,12.19,11.53,9.78,8.72,7.41,5.0,4.72,3.69,4.25,5.34,5.12,6.88,7.91,10.0,11.47,14.0,14.75,14.53,16.25,15.66,16.34,17.91,19.19,20.12,22.81,23.38,24.31,24.34,23.69,23.19,22.34,23.03,24.5,25.75,28.53,31.97,34.41,36.03,37.53,36.94,34.19,32.66,30.88,30.12,31.0,31.44,32.34,32.03,30.81,28.66,26.91,24.94,23.62,22.88,22.16,22.56,23.25,23.22,24.03,26.06,26.84,28.28,28.41,30.47,28.91,29.66,28.78,28.03,28.31,27.62,28.12,27.53,25.75,25.75,23.31,21.0,20.0,18.44,17.44,17.03,18.16,17.78,20.12,20.53,21.41,22.69,23.84,23.12,24.31,23.72,23.84,23.06,22.38,21.94,21.91,23.12,24.31,25.81,27.56,27.44,27.47,27.84,27.12,26.75,26.72,27.81,27.41,26.38,26.44,24.88,23.38,21.44,20.72,19.34,18.81,18.69,19.22,20.59,22.81,24.12,25.72,27.62,26.81,26.22,24.16,21.69,19.66,17.47,14.94,14.53,14.19,14.28,14.78,14.44,14.5,14.31,14.41,14.94,16.34,19.0,19.59,20.81,20.56,18.94,16.56,14.16,11.5,8.38,7.16,5.25,5.25,6.75,8.88,11.59,14.09,15.75,17.97,17.78,18.53,18.03,17.53,15.44,15.84,14.72,14.09,14.56,15.12,15.91,17.44,19.16,19.69,20.62,21.56,21.66,22.06,21.84,22.06,22.75,23.94,23.94,25.72,26.25,27.06,26.62,25.38,25.16,24.28,22.81,21.66,20.5,19.81,18.62,16.94,16.06,14.72,13.78,14.69,15.91,19.12,22.62,26.16,30.12,30.75,32.94,31.44,28.25,24.34,18.19,14.38,9.91,7.12,6.09,6.81,7.56,10.81,14.31,17.62,21.0,24.53,25.47,26.75,25.06,22.31,20.16,17.41,15.03,15.0,15.53,17.78,18.56,20.94,20.69,22.5,22.16,21.72,22.06,20.09,18.31,15.84,14.72,12.44,14.06,15.12,17.19,20.34,23.09,24.12,25.16,24.09,22.06,21.28,21.72,21.38,23.53,25.44,26.47,27.78,26.84,27.09,26.12,25.03,24.0,22.75,22.38,19.41,18.0,16.06,13.16,12.5,12.34,13.19,14.44,16.31,17.84,18.78,19.66,18.69,18.47,16.84,15.09,13.44,13.56,12.66,14.56,16.22,17.16,19.31,21.59,21.53,23.47,24.0,23.75,23.25,22.22,18.31,16.41,13.97,11.62,10.22,10.5,9.0,9.41,9.75,9.0,9.12,11.12,12.19,13.12,15.22,16.06,17.59,18.72,18.78,19.81,19.97,21.25,22.25,21.81,22.66,20.88,20.41,17.44,15.5,14.69,13.94,14.72,16.12,17.47,19.69,20.03,20.12,20.53,19.72,19.25,18.81,18.38,18.5,18.72,19.22,19.81,21.09,22.0,24.38,27.62,30.66,35.25,39.47,44.56,46.06,48.69,48.84,47.94,46.66,44.06,41.81,39.28,37.19,35.06,33.66,32.81,31.59,31.28,30.53,29.12,29.72,28.81,28.03,28.53,28.69,28.62,30.12,29.97,29.84,29.69,27.84,25.91,23.44,21.72,19.91,17.84,18.19,18.25,20.44,23.34,26.25,30.66,33.31,35.19,35.47,33.94,31.25,27.5,22.66,19.31,15.78,13.56,12.59,10.34,10.31,10.22,8.59,6.62,7.41,6.84,7.12,8.34,9.88,10.81,11.28,12.19,13.19,13.0,13.66,14.56,15.56,17.16,18.16,19.22,19.34,17.66,15.91,14.34,13.44,12.69,13.03,14.34,15.41,15.94,17.38,19.34,18.97,21.0,21.09,22.34,23.56,22.5,22.47,20.84,19.31,17.69,16.41,15.28,15.12,13.28,14.03,14.16,15.53,17.03,18.69,19.66,20.44,21.31,22.94,22.56,23.66,22.94,21.28,19.44,16.62,14.22,13.19,12.94,12.66,12.62,13.66,14.31,14.94,14.06,15.31,16.06,16.34,17.22,18.56,20.94,22.38,23.16,25.28,25.72,26.66,27.06,29.44,30.69,32.41,35.16,36.59,36.94,38.75,38.5,38.81,38.03,36.81,33.91,32.16,28.38,24.09,22.78,19.81,16.81,15.81,14.81,14.03,15.34,17.38,19.91,23.25,26.41,29.31,32.41,35.31,35.72,35.28,34.06,32.0,29.94,28.34,28.62,28.16,28.41,26.88,25.41,22.56,19.59,15.75,14.31,12.88,13.53,17.09,19.97,23.31,26.66,28.19,30.03,29.97,30.0,30.69,30.88,33.62,35.06,37.19,39.94,42.03,44.06,44.75,46.12,45.62,45.28,43.88,41.81,40.97,38.94,36.28,36.16,35.44,33.75,32.09,32.47,29.78,28.94,28.81,28.38,27.81,28.84,29.53,28.94,30.41,31.41,32.53,33.38,34.28,35.03,34.69,35.06,35.22,36.09,37.19,37.41,39.16,40.19,41.09,40.94,42.03,38.84,38.16,34.97,31.66,29.28,27.19,26.12,24.34,25.53,25.91,26.62,27.88,29.03,30.78,30.91,31.91,32.88,32.47,32.09,32.31,31.78,28.91,27.97,26.0,24.62,21.03,21.47,20.44,18.66,17.12,15.72,14.62,13.66,13.66,14.03,14.25,13.44,14.03,12.31,10.94,10.97,8.5,8.97,9.47,10.66,12.81,14.91,16.88,18.22,18.59,17.56,17.69,16.94,15.91,16.12,16.28,16.06,16.31,16.62,15.53,15.41,15.16,16.47,17.47,18.72,19.69,20.53,22.34,23.56,25.5,27.28,29.19,29.34,30.12,29.69,29.12,28.22,27.06,26.44,26.47,25.16,24.78,23.06,22.91,22.03,21.56,21.59,20.78,20.38,18.69,16.81,15.12,12.5,11.44,10.47,9.47,9.78,10.16,11.25,10.62,10.5,9.41,9.22,8.12,7.22,7.06,6.66,6.25,6.41,7.38,7.75,10.56,12.38,14.91,18.66,20.91,23.41,24.06,24.91,25.12,24.88,25.56,26.75,26.34,26.56,25.88,23.69,23.28,22.47,23.44,25.12,26.84,28.62,30.72,33.06,35.81,38.69,42.25,44.06,46.06,45.66,45.25,42.25,41.03,38.03,36.06,34.22,31.12,30.31,29.0,27.34,26.75,26.91,26.84,26.84,27.94,29.34,30.84,31.62,32.19,34.44,34.09,34.91,35.28,36.41,35.81,34.53,34.12,33.62,31.97,32.19,31.38,30.28,29.12,27.28,24.88,24.12,23.47,21.56,22.0,22.03,22.25,22.88,24.31,25.22,25.47,27.09,27.66,29.06,29.59,29.91,30.44,28.59,27.91,26.69,25.88,25.78,24.69,22.56,22.41,20.06,19.59,18.38,18.03,18.34,17.91,18.16,18.78,19.38,20.66,20.84,21.5,23.84,24.16,25.91,27.03,28.31,28.44,27.03,26.41,25.16,24.28,23.62,23.5,22.38,21.06,20.56,18.62,17.31,16.12,15.5,14.75,15.94,18.28,19.81,21.53,23.16,23.56,23.62,23.25,22.31,21.44,21.34,20.5,19.84,19.94,19.94,18.25,16.75,-19.62,-21.12,-21.72,-21.12,-20.22,-18.91,-17.19,-14.53,-12.47,-10.5,-8.88,-8.88,-9.72,-10.28,-12.22,-14.44,-15.16,-16.84,-19.09,-18.81,-21.5,-22.41,-23.78,-25.38,-26.19,-25.72,-25.12,-22.5,-18.47,-15.69:negativity
0.38,0.38,0.69,1.81,3.56,6.06,8.69,12.56,14.31,16.38,16.75,16.59,15.72,15.53,14.94,14.0,12.5,12.06,9.5,7.28,5.0,2.81,-0.19,-1.41,-2.75,-3.41,-2.31,-1.53,0.16,3.44,4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22:8.69,12.56,14.31,16.38,16.75,16.59,15.72,15.53,14.94,14.0,12.5,12.06,9.5,7.28,5.0,2.81,-0.19,-1.41,-2.75,-3.41,-2.31,-1.53,0.16,3.44,4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22,-46.09,-46.78,-46.78,-45.78,-44.47,-42.97:15.72,15.53,14.94,14.0,12.5,12.06,9.5,7.28,5.0,2.81,-0.19,-1.41,-2.75,-3.41,-2.31,-1.53,0.16,3.44,4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22,-46.09,-46.78,-46.78,-45.78,-44.47,-42.97,-40.75,-37.0,-35.97,-33.81,-32.16,-32.69:9.5,7.28,5.0,2.81,-0.19,-1.41,-2.75,-3.41,-2.31,-1.53,0.16,3.44,4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22,-46.09,-46.78,-46.78,-45.78,-44.47,-42.97,-40.75,-37.0,-35.97,-33.81,-32.16,-32.69,-31.22,-31.03,-31.94,-31.75,-32.69,-32.12:-2.75,-3.41,-2.31,-1.53,0.16,3.44,4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22,-46.09,-46.78,-46.78,-45.78,-44.47,-42.97,-40.75,-37.0,-35.97,-33.81,-32.16,-32.69,-31.22,-31.03,-31.94,-31.75,-32.69,-32.12,-35.19,-35.91,-37.09,-39.94,-41.88,-43.31:4.28,6.12,6.5,7.62,6.75,7.91,8.03,9.5,11.34,12.31,13.44,15.94,18.28,20.0,19.62,18.62,17.06,15.16,14.53,16.16,17.16,18.62,19.16,18.75,16.66,17.03,13.44,11.91,11.03,9.0,8.12,8.56,7.44,7.66,5.84,4.19,2.53,-0.03,-1.12,-1.94,-2.72,-2.81,-2.72,-3.66,-4.09,-2.84,-3.06,-2.53,-0.84,-0.09,0.28,1.25,1.75,2.34,3.28,3.28,5.62,7.16,10.03,12.56,13.78,15.5,16.19,17.06,18.19,18.88,19.75,21.31,22.66,24.56,26.19,27.28,27.03,24.41,20.81,17.62,14.38,12.22,11.62,11.72,11.31,11.78,11.84,11.75,11.34,10.03,10.19,8.78,8.62,8.62,8.09,7.16,9.0,8.19,9.12,10.69,9.41,8.72,8.28,6.34,6.25,5.25,5.53,5.88,6.25,7.81,7.41,8.97,8.41,8.69,10.28,11.06,12.47,15.16,17.78,19.31,21.41,21.47,22.53,22.78,23.0,23.97,23.78,24.44,22.5,22.53,19.59,17.22,15.66,12.91,11.94,12.06,13.66,16.56,18.62,22.81,25.28,27.62,29.44,30.62,30.75,30.22,28.62,25.66,23.94,21.25,19.47,17.91,18.5,16.19,16.19,15.0,13.03,11.72,11.34,9.5,10.03,9.38,9.91,12.25,11.56,14.16,16.0,17.31,18.66,19.09,19.75,19.62,18.72,17.56,15.44,13.38,11.16,7.12,7.19,5.72,6.12,8.12,9.56,12.81,13.44,14.06,15.25,14.44,14.31,15.03,15.97,17.78,18.44,19.53,18.34,18.0,16.56,14.06,13.31,14.28,12.94,13.81,13.41,14.56,13.53,12.78,12.28,10.22,7.62,6.22,2.84,2.03,3.12,3.56,4.19,7.03,7.81,9.41,10.19,10.19,10.62,9.28,8.62,8.16,5.56,4.94,2.22,0.38,-1.97,-3.06,-4.69,-6.06,-6.59,-7.44,-8.47,-8.22,-8.41,-8.72,-7.34,-7.19,-5.19,-2.91,-0.16,2.0,5.59,7.12,8.84,9.53,8.53,8.44,6.84,7.06,6.69,6.75,7.06,5.81,4.16,2.88,1.91,1.28,1.47,2.56,4.28,7.06,8.84,11.56,13.78,15.0,15.56,14.75,13.31,11.69,9.19,7.41,6.91,5.62,5.56,6.62,8.16,9.56,11.53,13.28,14.84,15.03,14.72,14.53,14.28,13.31,13.0,10.59,10.75,11.06,12.06,14.03,16.75,19.53,20.5,20.81,20.12,19.94,19.69,18.75,17.97,17.72,16.38,15.69,14.84,14.22,16.03,16.38,18.34,19.38,21.06,22.78,22.84,23.16,23.31,22.25,20.56,17.94,14.19,10.28,5.78,2.03,0.91,0.81,1.81,4.91,6.81,9.72,11.78,13.38,14.16,16.03,14.16,14.28,13.31,11.53,9.81,8.88,6.5,6.62,5.94,6.06,7.0,7.91,8.34,8.69,8.0,7.66,7.69,6.56,7.28,7.94,7.91,9.69,11.25,10.19,9.91,8.84,4.44,2.53,-1.44,-3.75,-6.03,-6.0,-7.22,-7.09,-6.59,-5.56,-3.03,-0.34,2.31,5.53,6.44,7.25,7.06,6.0,6.03,6.59,7.19,5.97,5.53,4.0,0.94,0.31,-0.03,0.94,2.25,4.03,6.16,9.28,10.31,11.91,13.78,12.03,13.03,12.25,12.56,11.62,13.84,14.28,14.41,14.16,14.12,13.81,12.16,12.12,14.06,14.12,14.38,17.16,17.31,19.03,19.44,21.25,21.69,22.59,22.66,22.62,22.91,21.91,20.16,18.94,15.97,14.53,12.91,12.5,12.38,12.81,11.91,9.53,10.75,8.59,6.69,7.66,7.88,6.56,7.31,7.03,6.66,6.81,5.72,6.22,5.22,4.69,3.47,2.06,0.38,-1.97,-4.16,-5.56,-4.59,-3.78,-3.34,-0.84,-0.44,3.25,2.06,5.66,6.91,8.06,9.91,10.22,10.44,9.69,10.19,9.0,8.62,8.62,7.91,7.06,6.34,6.5,5.97,6.16,7.0,7.59,8.78,10.22,10.16,12.12,9.47,14.0,12.53,13.62,14.81,17.28,17.19,17.94,19.25,20.75,19.41,19.88,18.12,16.69,15.16,13.16,13.78,10.56,13.41,12.19,12.16,12.41,11.25,10.53,9.88,9.69,10.12,11.41,11.56,12.06,14.25,14.53,15.59,16.53,18.22,17.91,19.25,20.88,21.06,20.41,18.81,19.25,17.31,16.38,16.03,16.5,15.34,14.28,13.38,13.09,10.31,9.31,8.56,6.91,5.78,5.38,4.0,3.88,-0.59,0.81,-1.16,-1.47,-1.28,-1.5,-0.62,0.25,0.31,1.72,2.97,4.03,2.75,2.06,0.09,-1.78,-3.06,-4.22,-5.47,-5.22,-3.0,-1.06,3.09,7.25,9.59,11.12,11.06,9.03,7.94,7.19,5.31,3.84,2.91,1.56,-0.16,-0.47,-0.69,-0.97,-0.72,-0.97,-1.12,-3.06,-3.97,-3.5,-6.22,-2.34,-1.94,1.66,4.62,7.28,8.5,9.81,9.78,10.31,10.03,10.56,10.31,10.59,11.47,11.5,12.31,13.44,13.22,12.81,13.06,14.0,15.09,14.62,18.31,17.66,19.0,19.16,18.72,17.91,17.78,17.16,18.91,19.19,19.16,18.34,16.19,16.56,14.09,14.25,14.78,13.19,12.44,10.5,6.94,5.25,7.62,7.25,9.53,11.94,11.91,11.25,10.69,8.44,8.03,7.16,5.81,7.03,7.12,8.56,10.75,12.72,14.88,16.31,16.62,16.12,14.81,13.19,11.0,10.38,9.44,9.56,9.94,10.31,9.94,9.84,9.38,9.22,10.0,9.09,8.53,7.19,7.44,7.34,8.31,10.5,13.31,17.41,19.66,21.41,22.69,21.06,17.41,15.78,13.72,12.62,13.53,14.22,16.34,18.0,20.59,22.28,23.38,24.59,24.53,22.94,22.06,20.06,18.19,16.81,14.41,13.69,12.41,11.62,12.81,11.25,12.0,12.25,12.38,14.97,14.06,17.53,18.16,19.56,21.06,20.31,19.81,17.75,14.91,11.78,8.84,6.91,6.44,5.09,6.97,6.78,7.97,8.75,8.97,9.84,11.19,11.97,13.22,14.19,15.34,15.22,15.56,15.28,16.5,16.84,17.94,17.94,16.97,15.91,14.59,13.84,13.44,14.03,13.88,14.75,15.34,13.78,12.44,10.91,9.25,6.19,5.81,4.81,3.94,4.41,5.12,5.25,6.28,6.84,7.44,8.91,9.0,9.66,9.19,8.75,8.62,7.69,6.91,6.78,5.56,4.34,4.12,3.66,3.62,4.12,4.84,4.81,5.31,4.91,4.97,5.31,5.19,5.38,4.81,4.94,4.59,4.16,3.44,2.88,2.88,3.12,3.72,6.28,7.81,10.03,11.66,12.88,13.91,13.28,11.94,10.12,8.5,6.88,6.12,6.5,7.12,7.88,8.44,9.31,10.66,10.06,11.34,11.88,12.16,12.88,12.81,13.19,13.19,12.62,12.09,10.25,10.16,8.84,6.62,6.41,5.62,5.44,6.12,6.78,7.94,8.0,7.81,7.56,7.81,6.62,6.72,6.91,6.78,6.78,6.0,5.69,4.88,4.44,3.66,2.84,2.25,1.19,1.69,1.28,1.78,1.62,1.62,1.69,1.97,0.81,0.28,-0.16,-2.72,-5.84,-7.47,-10.59,-12.22,-15.09,-16.81,-19.34,-21.69,-23.84,-25.66,-26.66,-26.97,-27.22,-46.09,-46.78,-46.78,-45.78,-44.47,-42.97,-40.75,-37.0,-35.97,-33.81,-32.16,-32.69,-31.22,-31.03,-31.94,-31.75,-32.69,-32.12,-35.19,-35.91,-37.09,-39.94,-41.88,-43.31,-43.81,-44.12,-43.16,-41.41,-39.59,-37.34:negativity
13.91,17.75,22.94,27.97,30.16,33.16,34.25,36.53,38.53,40.94,41.75,41.72,38.88,35.19,31.19,26.5,23.88,21.56,21.06,21.81,23.56,26.44,28.84,31.19,32.44,33.62,34.16,34.53,34.28,33.72,32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31:34.25,36.53,38.53,40.94,41.75,41.72,38.88,35.19,31.19,26.5,23.88,21.56,21.06,21.81,23.56,26.44,28.84,31.19,32.44,33.62,34.16,34.53,34.28,33.72,32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31,-26.56,-23.53,-19.72,-16.16,-12.03,-9.62:38.88,35.19,31.19,26.5,23.88,21.56,21.06,21.81,23.56,26.44,28.84,31.19,32.44,33.62,34.16,34.53,34.28,33.72,32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31,-26.56,-23.53,-19.72,-16.16,-12.03,-9.62,-7.19,-5.25,-3.22,-0.88,-1.09,-1.56:21.06,21.81,23.56,26.44,28.84,31.19,32.44,33.62,34.16,34.53,34.28,33.72,32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31,-26.56,-23.53,-19.72,-16.16,-12.03,-9.62,-7.19,-5.25,-3.22,-0.88,-1.09,-1.56,-4.22,-7.09,-10.62,-13.38,-14.47,-14.22:32.44,33.62,34.16,34.53,34.28,33.72,32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31,-26.56,-23.53,-19.72,-16.16,-12.03,-9.62,-7.19,-5.25,-3.22,-0.88,-1.09,-1.56,-4.22,-7.09,-10.62,-13.38,-14.47,-14.22,-14.06,-11.72,-8.47,-7.31,-5.44,-4.03:32.81,32.94,31.91,31.56,33.03,34.62,35.19,38.06,41.44,44.75,49.12,52.38,55.28,58.19,59.03,59.16,59.25,57.5,54.41,50.09,45.94,39.5,33.5,29.53,26.75,25.94,27.88,29.16,32.19,34.41,36.72,38.56,41.16,43.47,45.81,47.34,47.91,48.38,47.31,44.34,41.97,38.78,33.78,30.06,26.25,24.16,22.5,22.44,23.0,24.81,25.53,26.88,27.06,26.59,27.34,28.31,30.53,32.47,36.25,38.03,40.66,40.84,41.31,40.0,38.0,36.56,33.84,31.78,29.81,26.16,24.0,22.91,21.78,22.75,24.34,25.88,26.19,25.38,24.94,24.19,23.38,23.12,23.56,23.53,24.0,24.12,25.88,28.12,28.53,30.38,30.97,31.78,31.16,30.12,30.34,29.44,30.38,30.5,31.12,31.0,30.78,30.41,30.25,28.69,29.16,29.28,30.44,32.44,34.81,38.12,40.47,43.34,44.88,46.44,47.44,47.38,46.34,46.38,43.5,40.31,38.56,34.5,32.03,30.16,28.28,26.31,24.06,24.31,21.47,19.88,20.06,18.31,19.69,20.69,23.09,26.56,30.19,32.19,34.41,36.19,36.16,35.0,33.69,30.34,28.75,25.53,23.75,22.47,22.34,21.81,20.62,19.84,19.34,18.97,18.91,19.81,21.84,25.38,28.25,30.78,32.72,33.16,32.25,31.91,29.91,28.03,25.88,24.56,24.34,24.94,26.28,28.88,29.53,31.16,32.06,30.66,31.06,31.53,32.31,33.41,34.66,37.0,38.41,39.84,43.91,46.03,49.75,52.31,51.66,50.75,46.16,42.44,37.81,35.25,34.75,34.41,35.59,35.91,36.94,37.69,37.06,35.62,34.66,33.78,32.84,31.72,34.16,34.41,36.31,38.25,38.91,38.25,37.47,35.69,34.69,34.22,34.5,34.62,35.12,34.88,34.03,32.12,29.66,27.91,25.12,24.38,23.5,22.09,21.44,22.03,22.78,23.59,26.03,27.81,26.44,27.28,25.66,24.5,25.16,25.12,29.72,31.03,33.19,35.84,35.97,36.31,35.78,35.41,35.19,34.88,35.03,34.91,34.94,36.19,38.03,38.31,37.84,38.34,38.47,36.31,35.84,36.16,36.0,35.03,34.69,33.84,34.84,33.5,32.91,32.88,31.09,30.31,29.0,27.97,28.62,29.69,31.06,31.41,28.94,31.12,28.56,28.62,28.5,27.62,27.16,24.88,23.25,21.69,21.16,22.12,21.62,23.62,24.94,25.19,26.31,24.03,26.22,27.06,27.78,30.41,31.78,32.62,32.91,32.78,32.03,32.28,31.94,31.41,30.94,28.84,28.59,26.69,25.56,25.53,25.25,26.06,26.16,24.5,26.84,25.78,28.06,29.59,32.31,34.47,35.56,38.0,39.66,39.66,40.75,40.91,39.59,37.25,36.0,33.78,31.25,27.09,29.41,27.41,28.06,30.44,30.5,32.16,31.84,32.06,32.12,31.69,31.06,31.66,30.56,27.72,31.19,30.91,33.06,36.59,38.47,39.66,37.94,35.06,32.22,28.25,25.19,23.28,20.25,21.28,21.66,22.34,23.78,25.88,27.5,29.44,31.28,33.81,36.31,38.88,40.44,41.69,41.94,41.97,41.03,40.88,39.16,39.22,39.25,37.59,36.72,34.94,34.25,33.19,32.25,34.0,33.0,32.47,32.5,33.38,32.97,33.62,33.81,32.25,31.56,31.12,31.06,31.53,31.94,32.5,32.03,31.97,30.78,27.41,28.75,26.78,26.25,26.06,28.88,28.84,32.06,34.81,39.19,43.78,49.03,51.94,55.69,55.09,53.19,48.66,45.56,41.22,36.62,34.84,32.44,31.97,32.31,32.34,32.19,32.59,33.25,31.38,32.47,31.12,30.16,29.5,28.22,28.94,26.75,30.81,33.56,37.12,40.53,43.78,45.16,45.47,45.28,44.5,43.72,41.31,40.31,38.47,36.59,36.81,36.25,33.69,33.88,33.19,34.0,35.78,37.66,39.69,40.84,40.31,43.12,42.72,43.94,43.88,45.16,44.38,44.81,44.88,44.34,43.94,41.22,43.16,43.0,42.69,44.22,43.91,43.47,42.31,40.91,39.19,38.91,36.84,36.16,33.94,34.41,33.72,33.84,34.06,33.47,31.38,29.88,27.19,25.91,25.47,24.41,24.44,26.31,26.91,28.56,30.78,31.91,32.0,31.47,29.47,30.06,28.94,27.94,28.22,28.66,28.84,28.75,28.31,29.62,30.59,31.56,33.56,35.28,36.25,37.19,35.75,37.34,36.94,39.69,40.88,43.41,42.91,42.44,41.09,38.34,37.31,36.19,34.78,34.53,33.5,32.88,29.69,33.53,32.66,34.56,35.62,37.75,38.91,38.69,38.88,39.0,37.19,35.03,32.94,30.94,27.62,27.16,27.12,25.59,25.41,25.38,24.97,22.12,25.78,25.19,26.47,28.16,29.19,28.5,27.66,28.06,27.41,26.66,27.38,27.5,26.72,26.31,25.62,22.03,23.28,23.12,23.91,26.06,29.56,32.03,33.81,35.31,35.53,35.25,32.41,31.25,29.91,26.84,29.34,28.09,30.38,32.84,35.38,37.94,40.72,42.69,45.19,44.88,44.53,44.25,42.56,40.28,39.41,35.72,36.56,35.16,34.31,34.69,33.69,31.81,29.66,28.03,26.78,25.84,26.28,26.5,28.88,30.41,32.25,33.91,35.53,35.84,34.06,36.66,34.59,35.72,35.41,35.62,34.66,34.03,33.69,32.75,33.16,33.72,34.06,35.12,36.0,35.84,37.56,37.97,37.56,38.28,37.56,37.53,37.19,37.31,38.28,39.22,39.69,39.25,38.94,37.94,36.38,35.81,33.44,30.94,30.41,27.44,26.25,27.53,26.91,26.78,26.69,25.69,25.03,23.28,23.31,23.03,23.84,26.0,27.56,30.09,32.88,35.66,37.19,38.75,38.78,38.12,37.0,36.53,35.66,35.44,34.78,30.78,31.66,28.78,27.66,26.5,26.34,26.53,25.16,25.44,26.25,26.97,28.06,28.94,29.56,30.06,30.66,32.62,34.56,36.56,38.44,40.19,42.19,42.66,43.94,45.31,45.53,46.22,45.25,44.41,44.44,43.22,40.75,40.56,38.97,37.06,35.19,34.59,35.38,35.22,35.41,37.91,38.94,41.69,43.56,45.91,46.72,46.72,45.5,42.81,40.06,37.94,35.41,34.5,32.44,31.03,30.41,28.34,27.78,27.94,28.19,27.72,26.94,26.47,22.78,23.78,21.81,21.66,22.91,23.72,24.06,25.31,25.5,27.0,28.62,29.56,30.38,30.38,29.41,28.97,27.41,27.75,27.59,27.69,27.84,27.41,27.53,28.22,29.41,30.44,32.09,32.53,33.25,32.97,30.72,33.06,31.91,33.0,34.25,36.06,36.94,36.88,37.25,35.75,34.81,32.97,31.78,32.06,31.53,31.53,31.12,30.34,28.53,27.34,27.19,28.12,29.44,31.44,33.41,35.19,35.44,36.38,36.81,36.41,36.12,36.28,35.0,34.66,33.75,32.97,32.5,31.12,30.5,28.97,27.69,26.31,24.59,22.69,22.06,21.25,21.88,22.69,22.84,23.62,24.53,26.28,27.41,28.19,28.91,29.5,30.0,30.38,30.5,31.62,31.25,30.56,30.41,30.03,29.97,29.38,28.69,29.62,30.06,31.28,32.91,33.66,35.44,34.88,33.78,33.56,33.19,34.5,36.09,37.66,39.88,40.84,41.31,-26.56,-23.53,-19.72,-16.16,-12.03,-9.62,-7.19,-5.25,-3.22,-0.88,-1.09,-1.56,-4.22,-7.09,-10.62,-13.38,-14.47,-14.22,-14.06,-11.72,-8.47,-7.31,-5.44,-4.03,-2.59,-2.84,-1.78,-1.12,-2.56,-2.16:negativity
34.62,34.66,34.88,35.06,35.31,34.59,33.34,31.78,29.72,27.91,26.41,25.28,24.12,24.0,23.84,25.06,26.12,26.78,27.91,29.41,29.59,29.44,29.41,28.12,25.47,22.5,20.28,18.66,17.81,18.31,20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56:33.34,31.78,29.72,27.91,26.41,25.28,24.12,24.0,23.84,25.06,26.12,26.78,27.91,29.41,29.59,29.44,29.41,28.12,25.47,22.5,20.28,18.66,17.81,18.31,20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56,-9.66,-10.66,-11.59,-11.72,-11.94,-12.44:24.12,24.0,23.84,25.06,26.12,26.78,27.91,29.41,29.59,29.44,29.41,28.12,25.47,22.5,20.28,18.66,17.81,18.31,20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56,-9.66,-10.66,-11.59,-11.72,-11.94,-12.44,-13.38,-14.75,-15.97,-17.31,-18.03,-19.22:27.91,29.41,29.59,29.44,29.41,28.12,25.47,22.5,20.28,18.66,17.81,18.31,20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56,-9.66,-10.66,-11.59,-11.72,-11.94,-12.44,-13.38,-14.75,-15.97,-17.31,-18.03,-19.22,-20.41,-21.75,-23.03,-23.91,-24.53,-24.59:25.47,22.5,20.28,18.66,17.81,18.31,20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56,-9.66,-10.66,-11.59,-11.72,-11.94,-12.44,-13.38,-14.75,-15.97,-17.31,-18.03,-19.22,-20.41,-21.75,-23.03,-23.91,-24.53,-24.59,-23.59,-22.84,-21.81,-21.19,-20.34,-20.38:20.16,21.66,22.56,24.41,26.12,28.16,30.69,32.56,34.28,35.19,36.5,37.12,38.53,40.0,42.41,42.88,42.84,41.81,40.0,37.88,36.22,35.69,36.72,36.66,38.5,40.09,41.38,41.78,43.47,43.44,42.38,42.12,41.47,40.12,39.62,39.44,39.09,38.06,36.53,35.38,32.75,29.69,26.56,23.34,20.53,17.16,15.69,14.28,14.25,15.62,18.12,20.91,24.09,28.12,30.72,32.44,33.12,32.16,31.72,31.53,32.59,34.38,36.66,38.5,39.97,40.38,40.25,38.97,37.25,34.16,32.03,29.25,27.28,27.38,27.22,28.12,29.72,31.31,32.31,32.69,33.25,33.66,33.12,32.78,31.88,31.0,29.81,28.12,28.03,28.69,29.34,29.5,31.06,32.31,33.91,34.56,35.38,36.78,35.44,34.88,34.5,34.41,33.84,32.53,31.25,29.5,27.66,26.72,26.69,26.66,27.69,29.03,29.78,31.81,32.91,33.62,33.72,33.25,31.59,30.44,29.06,27.72,26.91,25.81,25.81,25.66,25.38,27.06,26.69,27.53,27.5,28.16,28.31,28.69,29.41,30.69,31.66,33.66,35.19,35.81,36.91,37.41,37.09,36.47,35.38,33.91,32.28,31.06,30.31,29.44,28.97,28.59,28.0,27.41,26.41,25.75,25.69,26.56,28.38,30.75,33.81,36.66,38.28,39.81,39.62,38.88,37.81,36.59,35.81,34.41,34.31,34.06,34.0,33.31,33.75,32.62,32.88,33.25,33.03,33.59,33.44,33.19,32.84,32.62,31.56,31.94,31.12,30.53,30.91,30.25,29.25,28.84,27.5,26.5,26.0,26.12,25.59,25.44,26.25,26.38,26.12,26.28,26.62,26.12,27.66,27.56,28.88,29.94,30.88,32.34,33.31,35.06,36.62,36.88,36.91,36.25,34.0,31.94,29.56,28.25,27.19,26.34,26.56,26.47,26.06,26.16,25.25,25.62,26.12,27.22,28.03,30.03,30.97,32.78,35.16,36.78,38.62,40.5,42.12,42.28,42.19,42.0,40.09,37.53,36.34,34.56,34.06,34.28,35.62,37.28,39.75,41.16,41.38,39.75,37.28,33.75,31.28,29.12,28.94,30.31,31.69,33.5,34.53,34.31,33.91,33.22,32.53,31.28,30.94,31.38,30.25,28.88,28.06,26.78,25.72,25.16,24.91,25.09,26.03,26.69,28.78,31.22,33.41,35.16,36.22,37.81,38.0,37.88,38.66,39.16,39.09,39.62,39.56,39.03,38.78,38.19,38.88,38.25,38.62,38.31,38.12,38.31,38.34,38.56,39.31,39.12,39.38,39.25,38.62,38.16,38.0,37.44,37.94,38.69,39.44,40.81,41.84,41.0,41.06,39.03,37.19,34.19,32.69,29.81,27.88,26.62,25.19,25.59,26.53,27.78,28.62,29.38,30.41,30.25,30.25,29.94,30.75,31.03,31.28,32.16,31.56,32.31,31.94,30.41,29.44,28.53,26.12,25.62,24.0,23.72,24.25,24.94,26.22,28.0,29.69,30.69,31.12,31.62,30.06,30.19,29.25,29.03,31.5,32.88,35.03,37.06,38.72,38.91,39.44,38.56,37.97,37.25,36.5,35.53,33.59,32.31,29.72,28.59,27.75,27.84,29.44,30.09,32.09,32.78,31.97,30.94,29.59,28.75,28.78,28.66,29.88,30.78,31.81,32.53,32.78,32.31,32.03,31.88,31.5,31.72,32.91,32.66,33.69,33.72,33.03,32.09,30.12,27.84,24.81,22.12,18.66,18.0,17.56,18.62,20.94,22.25,23.84,25.44,25.91,27.81,30.06,31.91,33.97,35.66,36.25,37.03,36.44,38.16,38.0,37.84,37.88,37.78,36.25,35.12,34.59,33.12,31.28,29.84,27.97,27.81,27.03,26.97,27.44,28.66,30.41,32.16,33.66,35.75,36.78,38.34,38.88,40.03,40.81,40.53,39.38,38.06,34.16,31.62,29.41,27.34,27.16,28.06,29.69,32.28,35.16,37.31,38.94,39.72,39.56,39.81,41.06,42.22,44.0,45.38,46.62,47.62,47.28,45.69,44.34,41.31,39.25,36.91,36.34,35.56,34.94,33.91,32.22,30.56,29.25,29.25,29.09,29.31,30.66,30.09,30.38,31.62,32.75,34.62,37.34,39.28,42.38,43.53,42.88,42.62,41.28,38.62,37.53,36.28,33.91,32.66,31.66,31.19,31.56,32.69,34.56,35.31,35.75,35.47,35.19,34.34,34.28,36.09,37.41,38.47,41.28,43.0,44.31,45.09,45.22,45.12,43.72,42.75,42.19,40.91,40.69,40.47,40.16,40.69,40.97,39.69,38.81,37.44,35.97,34.16,33.62,33.28,33.91,35.5,37.19,38.94,40.88,42.69,43.0,43.16,41.91,39.59,38.38,36.5,35.12,34.28,33.59,33.66,34.09,33.12,35.12,36.0,37.03,39.12,39.69,40.59,41.19,40.91,42.06,43.25,43.78,43.72,43.41,42.09,39.81,38.22,36.12,35.12,33.88,33.41,33.81,34.09,34.81,35.34,35.94,37.16,37.5,37.91,36.94,36.09,35.09,34.5,34.69,36.03,38.19,39.06,38.94,40.56,40.47,40.12,40.22,40.53,40.09,39.12,38.91,37.31,35.28,33.34,31.5,28.81,26.72,26.81,27.44,29.06,31.53,33.75,35.56,36.06,36.06,35.19,35.12,34.56,34.97,36.25,39.12,41.91,44.16,45.25,44.94,44.19,42.22,40.34,38.88,36.81,35.19,33.84,32.19,30.78,30.56,30.66,31.28,31.66,33.09,33.25,34.84,35.81,36.94,38.38,39.31,39.5,40.41,39.28,39.16,38.06,34.75,33.34,31.0,27.0,24.31,22.69,21.44,22.5,23.53,26.88,28.5,30.66,32.59,32.78,33.88,34.03,34.94,35.44,35.47,35.31,36.06,35.88,35.31,34.53,33.59,31.56,29.56,28.19,26.5,24.81,24.44,25.75,26.0,29.12,32.31,34.75,36.91,38.62,37.88,36.44,34.03,29.97,26.41,24.31,22.31,21.06,20.66,20.31,20.0,19.81,20.12,20.69,21.34,21.44,22.75,22.56,22.88,24.31,25.31,25.28,25.94,26.66,26.91,27.28,27.06,26.88,26.66,26.41,27.31,27.88,27.78,28.72,28.06,27.66,26.34,24.03,21.81,18.34,16.0,14.44,13.25,14.09,15.31,17.19,19.34,21.47,24.44,26.19,28.84,29.31,29.16,28.81,28.06,27.94,28.94,31.5,33.59,36.03,37.12,39.09,38.62,38.25,37.41,36.56,34.75,32.44,31.03,28.88,26.31,23.97,22.56,19.94,19.56,20.0,20.56,21.47,23.12,24.53,24.84,26.78,27.84,29.03,31.19,31.19,32.47,32.75,32.5,31.22,30.0,27.94,25.69,23.38,21.09,20.44,19.94,19.97,19.62,19.94,19.16,19.34,19.31,19.78,20.09,20.69,20.94,21.72,22.22,22.31,22.91,22.5,22.81,22.97,22.75,23.0,23.0,23.97,23.41,23.66,23.97,22.66,21.94,21.31,20.31,19.97,19.31,19.91,20.44,20.78,21.34,22.06,22.25,22.62,23.12,24.19,24.69,27.09,28.0,29.31,30.31,29.38,27.88,26.47,24.94,23.75,23.72,24.38,24.88,25.19,25.34,25.06,24.66,24.44,22.62,22.22,21.56,21.06,21.38,22.12,23.28,24.38,26.16,28.62,30.19,31.19,32.28,32.25,30.56,30.56,-9.66,-10.66,-11.59,-11.72,-11.94,-12.44,-13.38,-14.75,-15.97,-17.31,-18.03,-19.22,-20.41,-21.75,-23.03,-23.91,-24.53,-24.59,-23.59,-22.84,-21.81,-21.19,-20.34,-20.38,-22.16,-24.16,-26.06,-27.28,-28.41,-26.78:negativity
19.94,18.91,17.62,16.53,15.81,15.53,15.84,17.06,18.19,20.41,22.38,23.47,24.41,24.41,23.72,22.41,21.19,20.84,20.09,19.81,20.53,21.81,22.12,24.0,22.44,23.06,22.03,22.06,22.44,22.69,23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88:15.84,17.06,18.19,20.41,22.38,23.47,24.41,24.41,23.72,22.41,21.19,20.84,20.09,19.81,20.53,21.81,22.12,24.0,22.44,23.06,22.03,22.06,22.44,22.69,23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88,-19.25,-20.44,-21.12,-22.03,-23.84,-25.84:24.41,24.41,23.72,22.41,21.19,20.84,20.09,19.81,20.53,21.81,22.12,24.0,22.44,23.06,22.03,22.06,22.44,22.69,23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88,-19.25,-20.44,-21.12,-22.03,-23.84,-25.84,-28.59,-31.19,-34.47,-35.66,-35.44,-34.19:20.09,19.81,20.53,21.81,22.12,24.0,22.44,23.06,22.03,22.06,22.44,22.69,23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88,-19.25,-20.44,-21.12,-22.03,-23.84,-25.84,-28.59,-31.19,-34.47,-35.66,-35.44,-34.19,-31.53,-27.41,-24.19,-21.41,-19.34,-18.22:22.44,23.06,22.03,22.06,22.44,22.69,23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88,-19.25,-20.44,-21.12,-22.03,-23.84,-25.84,-28.59,-31.19,-34.47,-35.66,-35.44,-34.19,-31.53,-27.41,-24.19,-21.41,-19.34,-18.22,-18.75,-18.41,-19.03,-18.22,-17.47,-17.34:23.41,23.78,23.16,22.91,22.94,21.88,23.06,23.5,25.94,28.31,31.56,35.16,37.94,39.94,40.5,40.84,42.59,42.0,43.06,43.22,42.41,40.78,38.94,36.56,34.41,32.44,30.59,28.91,28.97,27.91,28.12,27.19,26.81,26.88,26.31,25.59,25.47,25.47,24.31,24.06,23.47,20.94,19.31,18.84,17.03,16.12,16.81,17.66,18.94,20.53,22.88,24.28,25.16,26.66,28.66,27.69,28.38,28.81,29.16,29.38,29.44,29.81,29.16,28.59,28.5,28.16,29.28,29.5,30.0,30.19,29.94,29.31,28.91,27.66,26.81,24.81,21.69,20.06,16.81,15.81,15.81,16.53,18.34,20.66,23.06,25.09,26.59,26.69,25.91,25.03,22.62,21.81,22.78,24.66,26.06,28.38,29.91,30.0,30.62,30.0,31.88,31.41,32.44,33.12,33.34,34.81,36.44,36.5,37.62,37.88,38.31,36.81,35.94,34.19,33.19,32.16,32.78,32.16,31.69,31.44,30.25,28.91,28.62,27.75,26.38,26.62,25.84,24.78,24.72,24.31,24.31,24.28,24.44,25.75,25.62,25.0,24.34,22.12,21.28,20.09,20.91,21.91,22.81,24.91,25.56,26.62,28.12,28.34,29.12,28.78,28.31,27.66,27.56,27.66,27.53,28.78,28.09,26.66,26.38,26.06,24.0,23.88,24.31,24.06,24.66,25.16,25.72,25.97,26.44,25.81,27.06,26.28,26.06,25.19,24.31,22.44,20.06,17.91,16.34,13.72,12.19,12.41,12.94,13.16,14.31,16.31,16.81,18.22,18.75,19.59,20.03,20.44,20.44,22.12,21.78,20.94,19.12,17.34,14.09,12.0,9.47,9.31,8.41,8.53,9.5,10.69,14.16,17.53,20.0,22.41,23.22,23.19,22.69,22.12,21.72,21.41,19.09,18.69,18.09,16.72,16.91,16.94,17.66,17.53,18.41,18.62,20.22,21.62,25.0,25.66,28.53,30.0,30.78,30.97,29.31,29.12,27.56,28.19,30.06,32.81,35.06,37.22,36.09,34.41,31.66,27.97,26.06,23.88,24.06,24.5,24.78,26.16,26.72,28.81,31.06,32.03,33.5,34.34,34.53,34.06,33.75,33.34,32.62,31.75,30.84,28.94,27.97,27.97,26.06,26.81,27.97,28.34,27.62,28.94,29.03,28.75,29.84,30.56,32.25,32.41,32.72,33.0,31.97,31.28,31.34,29.19,29.12,28.22,26.72,26.16,25.59,23.31,21.25,19.66,16.06,15.03,13.69,14.16,14.94,18.34,21.06,23.81,26.41,28.59,29.41,29.0,29.81,27.84,26.38,24.5,22.25,19.69,17.69,16.91,15.16,15.56,13.81,14.12,13.84,13.56,13.69,13.47,13.94,13.91,14.16,13.88,14.19,13.5,14.88,15.03,15.38,17.38,17.59,18.12,17.78,18.09,19.97,19.91,21.66,23.78,24.19,24.97,26.16,26.78,27.41,28.81,28.56,28.38,25.59,23.72,20.94,19.06,18.72,19.53,22.34,22.56,24.75,25.78,23.75,22.56,21.69,20.38,19.31,19.19,19.38,19.81,22.53,23.69,25.62,26.41,26.69,26.44,25.28,24.31,23.69,23.0,22.97,23.22,24.62,25.78,27.06,28.06,30.06,30.38,30.75,30.56,30.0,29.97,30.03,30.5,30.62,31.38,31.44,30.22,30.59,28.94,28.66,27.41,27.12,26.91,26.69,27.59,29.34,28.91,30.0,29.22,27.41,26.97,23.66,22.44,20.66,20.38,20.72,21.56,22.91,23.88,23.88,24.0,23.09,21.94,21.06,20.53,19.94,19.62,19.91,18.19,17.78,16.91,17.19,16.94,16.78,17.41,17.12,16.53,18.44,18.5,18.81,19.47,18.69,18.66,18.41,16.91,16.78,15.09,12.5,11.53,9.78,9.59,10.03,10.34,11.03,12.06,13.53,15.31,17.56,18.91,19.81,19.56,18.75,17.97,17.34,16.28,14.62,13.31,12.59,12.81,13.06,13.72,15.81,16.0,16.03,15.97,15.25,15.5,15.59,16.16,15.72,16.66,17.84,19.12,20.5,23.84,26.62,29.53,32.06,31.94,32.22,30.78,28.06,26.25,24.25,22.31,20.66,19.12,19.69,18.88,19.19,19.31,18.75,19.44,20.06,21.06,22.78,25.0,27.59,28.03,30.06,29.69,28.97,28.31,26.94,26.25,25.31,25.56,26.25,28.16,27.44,27.44,25.72,22.62,20.91,18.66,18.28,16.28,17.31,17.94,18.0,19.84,21.31,22.94,25.03,24.88,25.78,25.81,25.78,26.06,25.78,25.88,26.31,25.78,25.25,25.69,25.53,26.44,26.88,26.81,27.28,26.62,26.0,25.97,26.78,28.28,28.94,30.28,30.06,29.69,27.84,25.62,23.81,20.94,18.81,17.06,15.97,15.47,14.97,15.34,16.47,16.5,18.0,18.56,19.69,20.53,21.78,21.88,22.78,22.59,23.84,24.53,25.94,27.56,29.78,31.69,32.28,32.0,31.94,29.78,28.41,26.25,25.41,24.06,22.12,21.56,21.34,19.59,19.03,18.66,17.59,16.03,15.78,14.5,14.25,14.28,14.25,14.28,14.44,13.91,13.69,14.19,13.84,14.41,15.12,16.72,17.22,20.12,21.44,22.62,22.78,22.94,21.09,20.19,17.34,13.0,10.16,6.56,3.19,1.94,1.88,3.12,4.62,6.84,10.41,11.56,14.69,16.75,17.81,18.16,18.03,16.19,13.06,10.19,6.56,5.81,3.62,3.78,4.16,5.41,6.81,9.5,13.78,16.44,20.34,21.75,23.06,24.16,24.19,24.72,24.62,24.34,23.16,20.25,17.56,14.12,11.03,10.25,8.75,9.41,10.47,10.94,11.5,11.44,10.94,10.03,10.03,9.53,10.03,10.88,11.81,12.06,13.81,15.53,16.91,18.75,19.56,20.0,18.88,16.28,14.72,12.44,11.34,11.19,11.53,12.62,13.69,13.56,13.66,13.88,13.28,11.94,11.66,11.78,12.06,12.34,13.66,14.56,16.09,16.38,17.06,17.84,18.38,17.88,18.09,18.28,18.81,19.38,19.81,20.0,20.12,20.81,21.09,22.06,22.5,21.75,20.31,18.28,17.03,16.12,16.31,17.0,18.34,19.69,21.75,21.72,21.59,21.56,21.03,19.38,17.78,16.66,15.03,12.91,11.44,7.66,5.5,2.94,1.75,1.41,4.28,7.19,10.66,15.41,20.41,24.06,27.38,30.25,30.53,30.22,29.0,28.0,26.03,24.94,23.88,21.44,19.62,17.38,14.41,12.53,11.78,9.38,9.03,9.19,10.28,11.59,13.56,15.69,16.97,17.62,18.47,18.62,18.72,19.34,19.56,19.44,19.34,18.94,17.44,17.66,17.62,17.75,17.81,17.31,16.31,15.06,12.81,10.97,9.16,7.22,6.12,5.56,5.28,6.34,7.28,9.69,12.41,14.62,16.78,18.34,19.81,20.94,21.31,21.62,21.34,20.16,19.12,17.56,16.62,15.12,13.66,13.06,12.69,12.56,13.12,14.53,15.16,15.5,15.56,15.59,15.56,16.0,16.66,16.84,16.59,14.75,13.0,11.06,9.0,7.47,6.28,6.62,6.91,7.25,7.44,7.31,6.94,5.78,5.66,5.56,4.88,6.25,5.69,5.31,5.16,5.0,3.59,4.16,2.09,1.72,0.81,1.84,3.25,5.25,7.94,9.88,11.16,11.72,11.81,11.88,-19.25,-20.44,-21.12,-22.03,-23.84,-25.84,-28.59,-31.19,-34.47,-35.66,-35.44,-34.19,-31.53,-27.41,-24.19,-21.41,-19.34,-18.22,-18.75,-18.41,-19.03,-18.22,-17.47,-17.34,-17.44,-16.5,-16.03,-15.34,-13.0,-12.84:negativity
35.03,34.75,33.75,32.56,32.03,31.31,31.59,30.75,30.81,30.56,29.69,29.44,29.34,29.81,29.78,32.5,33.94,36.5,38.53,40.06,41.78,42.66,41.44,40.31,37.72,35.72,32.66,30.62,30.5,30.16,30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06:31.59,30.75,30.81,30.56,29.69,29.44,29.34,29.81,29.78,32.5,33.94,36.5,38.53,40.06,41.78,42.66,41.44,40.31,37.72,35.72,32.66,30.62,30.5,30.16,30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06,21.84,21.41,19.59,18.31,17.06,15.06:29.34,29.81,29.78,32.5,33.94,36.5,38.53,40.06,41.78,42.66,41.44,40.31,37.72,35.72,32.66,30.62,30.5,30.16,30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06,21.84,21.41,19.59,18.31,17.06,15.06,14.62,12.62,11.38,10.19,8.78,7.75:38.53,40.06,41.78,42.66,41.44,40.31,37.72,35.72,32.66,30.62,30.5,30.16,30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06,21.84,21.41,19.59,18.31,17.06,15.06,14.62,12.62,11.38,10.19,8.78,7.75,7.75,7.5,7.72,8.25,8.91,11.28:37.72,35.72,32.66,30.62,30.5,30.16,30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06,21.84,21.41,19.59,18.31,17.06,15.06,14.62,12.62,11.38,10.19,8.78,7.75,7.75,7.5,7.72,8.25,8.91,11.28,13.66,14.81,18.41,20.22,21.19,21.56:30.62,31.75,31.84,33.22,33.06,33.41,34.12,35.12,36.0,38.25,41.41,42.72,44.81,46.31,45.81,44.78,42.31,41.28,39.5,37.38,37.47,37.16,37.16,38.75,39.56,41.34,41.84,41.31,39.38,37.41,34.62,32.25,30.75,29.5,28.19,28.62,26.81,26.34,26.06,25.0,24.66,25.69,26.69,28.41,30.12,31.38,32.19,33.41,34.53,35.59,39.19,42.62,47.56,49.78,52.31,52.34,50.09,45.56,41.75,39.28,35.94,34.44,34.78,34.34,34.0,34.53,34.56,34.56,34.0,33.34,31.38,29.38,27.0,26.06,25.22,24.81,26.12,26.41,26.12,25.88,26.06,26.31,25.72,26.5,26.81,27.62,27.5,28.56,28.81,28.03,28.03,27.41,26.66,26.81,27.28,27.56,29.06,30.03,30.5,31.28,32.38,33.12,32.69,32.94,32.44,29.97,28.38,25.56,24.62,25.19,24.16,25.66,29.56,30.75,33.19,35.62,36.25,36.19,34.78,34.22,33.28,32.69,33.41,33.88,33.88,34.25,33.59,32.84,30.91,28.81,25.88,24.0,22.12,21.19,21.56,22.69,23.78,24.44,25.38,25.53,25.91,26.19,27.03,27.69,28.16,28.41,27.56,27.16,27.28,26.97,27.03,26.88,26.44,26.12,25.78,24.31,24.88,24.06,23.12,23.44,21.78,20.62,19.81,17.66,18.81,17.94,19.03,19.94,20.22,19.44,18.5,17.25,16.09,15.03,14.72,14.84,15.19,15.56,15.81,17.0,16.81,17.78,18.12,19.12,19.56,20.41,20.78,20.72,20.12,19.75,19.72,18.44,19.22,18.56,18.75,19.09,19.16,20.22,20.5,21.91,23.75,25.19,28.0,29.06,30.84,31.22,31.25,30.59,30.75,30.69,29.19,27.03,27.19,25.56,24.28,23.72,23.75,23.22,22.09,20.81,20.94,19.88,17.81,17.59,16.0,15.41,15.53,14.69,14.44,13.56,13.38,13.06,12.06,11.25,11.56,10.41,10.28,9.56,8.5,7.84,7.53,7.09,7.5,8.66,10.19,11.84,13.78,15.25,17.47,17.81,19.19,18.19,16.53,15.03,13.03,11.94,12.59,13.81,15.44,17.31,19.44,21.22,21.94,23.72,25.94,27.78,31.56,34.44,36.72,38.41,38.31,38.12,37.03,36.66,37.19,38.59,40.44,44.03,46.84,49.12,49.75,48.75,45.78,43.41,40.34,38.97,38.72,37.97,36.91,36.47,35.12,33.03,32.34,31.88,32.06,31.31,31.59,30.75,29.06,27.34,24.41,22.12,19.75,18.0,16.81,16.03,16.25,15.97,15.62,16.38,16.72,16.31,17.62,17.91,20.31,22.16,23.34,24.28,23.34,22.28,19.97,17.81,16.81,14.81,14.12,13.88,14.34,15.06,17.31,18.84,21.12,23.31,24.53,26.56,28.69,30.88,32.12,34.62,35.69,37.19,36.75,36.72,36.06,34.44,33.03,30.28,28.38,26.84,27.28,27.62,27.94,29.78,30.72,29.41,29.5,28.75,27.41,27.34,26.31,26.53,26.16,27.72,28.16,28.28,28.56,27.03,26.03,24.53,22.5,22.16,21.34,20.69,21.44,20.84,21.22,21.91,21.09,21.31,21.12,21.25,20.28,20.41,20.03,19.56,20.19,20.69,21.81,21.06,22.34,23.5,22.62,23.62,24.34,24.0,22.62,21.53,20.44,20.03,20.09,21.56,23.38,25.38,26.12,26.75,27.0,27.44,26.66,26.38,25.53,23.81,23.12,21.66,20.25,19.75,20.28,19.97,20.19,20.16,19.97,20.06,19.75,19.19,19.38,18.28,18.06,17.5,17.34,18.38,19.44,21.09,21.69,22.72,22.81,22.66,22.47,22.06,21.38,21.53,20.62,20.53,20.41,19.28,19.47,19.94,21.12,23.28,24.84,25.84,27.31,28.5,28.94,30.34,31.12,31.09,30.53,29.12,27.44,25.5,23.19,22.0,20.31,19.19,18.91,18.0,17.56,16.88,17.16,17.16,17.81,18.19,19.53,20.03,20.66,21.69,21.59,20.28,19.81,18.59,16.06,14.59,13.12,12.06,9.97,9.84,10.16,11.38,12.94,15.38,17.16,18.97,19.69,20.28,21.25,21.81,23.25,24.19,26.41,27.69,29.19,29.25,28.56,27.44,25.31,23.12,22.28,22.56,24.19,26.53,28.44,29.06,29.03,26.62,23.94,21.59,19.53,18.56,17.69,19.16,21.22,24.0,26.56,29.0,30.06,30.09,28.84,26.16,24.91,23.53,24.41,24.78,26.31,28.31,29.38,29.56,29.72,28.31,27.81,27.0,26.12,26.03,25.66,25.56,25.94,25.31,26.41,26.53,26.97,26.56,26.56,26.91,26.03,26.19,26.81,27.41,28.91,29.69,32.0,34.19,36.81,38.56,40.19,41.41,41.84,42.97,42.75,44.16,45.62,46.78,47.44,48.06,48.59,48.31,47.19,47.75,47.91,48.22,48.81,48.41,47.41,45.72,43.34,41.06,38.88,38.12,36.88,36.69,37.44,37.81,39.06,38.94,39.69,39.44,38.91,37.88,36.88,36.03,35.72,34.94,33.91,34.5,34.5,34.19,34.31,35.31,35.69,35.75,36.44,36.88,37.06,37.28,37.34,36.47,36.0,34.06,32.84,30.34,27.84,25.69,23.69,22.66,22.59,23.97,24.69,25.81,26.62,26.81,26.38,26.03,24.66,23.41,21.44,20.12,18.5,17.31,16.09,14.88,15.25,14.91,15.06,16.41,17.56,18.06,18.5,19.12,20.31,21.06,21.97,23.0,23.75,24.66,24.78,24.56,25.09,24.97,25.56,27.44,28.06,31.03,32.53,34.38,35.59,36.84,36.94,36.38,35.19,33.16,30.94,28.25,25.31,23.25,21.12,18.81,18.28,17.81,18.0,19.12,20.53,22.69,23.75,26.31,29.06,30.56,31.66,31.97,31.53,31.03,30.16,29.44,29.66,29.66,28.56,28.31,27.62,27.25,26.56,26.94,26.94,27.56,28.56,29.25,31.0,33.28,35.38,37.0,37.66,38.72,38.81,38.09,38.06,37.44,37.16,37.28,36.56,36.56,37.56,37.16,37.56,37.25,36.5,35.81,33.5,32.41,31.59,31.44,31.69,33.06,35.97,37.59,38.47,39.41,38.41,38.34,37.53,35.97,35.53,35.56,35.19,35.5,36.19,37.78,39.56,41.88,44.56,45.91,47.03,46.62,44.44,41.41,38.62,35.56,32.59,30.5,29.06,27.12,27.16,26.31,26.53,28.09,28.91,30.91,33.41,35.31,36.16,36.12,35.62,33.41,30.88,27.88,24.91,22.94,21.5,20.41,22.09,22.81,24.06,25.19,25.62,25.91,24.59,23.97,24.0,22.5,22.31,21.75,20.66,18.91,17.25,15.19,13.88,12.22,12.19,12.28,14.31,16.44,20.38,24.97,29.66,33.56,36.91,39.38,41.41,42.78,42.34,43.69,43.88,43.69,42.47,41.81,40.5,37.22,35.25,32.94,30.94,29.72,30.16,30.81,32.09,34.56,36.12,38.41,39.78,40.94,41.62,41.97,42.88,43.38,44.06,43.91,43.0,42.84,41.84,40.62,40.94,40.84,40.97,41.44,42.38,42.66,43.12,43.09,43.5,43.72,43.81,44.56,43.91,43.16,42.47,40.47,39.38,38.03,36.56,35.59,34.25,33.56,33.09,32.19,32.31,31.47,30.31,29.09,28.81,27.25,28.56,28.5,29.75,31.06,21.84,21.41,19.59,18.31,17.06,15.06,14.62,12.62,11.38,10.19,8.78,7.75,7.75,7.5,7.72,8.25,8.91,11.28,13.66,14.81,18.41,20.22,21.19,21.56,21.19,20.19,17.94,15.62,15.31,14.5:positivity
29.06,30.84,30.41,32.31,34.38,36.56,38.44,40.0,40.78,38.94,36.62,35.16,33.44,31.59,32.0,32.16,31.62,31.56,32.22,32.0,32.53,33.19,35.69,36.03,37.91,40.06,40.84,41.28,42.12,42.22,42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94:38.44,40.0,40.78,38.94,36.62,35.16,33.44,31.59,32.0,32.16,31.62,31.56,32.22,32.0,32.53,33.19,35.69,36.03,37.91,40.06,40.84,41.28,42.12,42.22,42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94,7.66,7.97,7.12,8.12,10.44,12.03:33.44,31.59,32.0,32.16,31.62,31.56,32.22,32.0,32.53,33.19,35.69,36.03,37.91,40.06,40.84,41.28,42.12,42.22,42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94,7.66,7.97,7.12,8.12,10.44,12.03,13.94,16.56,15.97,15.5,13.16,11.12:32.22,32.0,32.53,33.19,35.69,36.03,37.91,40.06,40.84,41.28,42.12,42.22,42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94,7.66,7.97,7.12,8.12,10.44,12.03,13.94,16.56,15.97,15.5,13.16,11.12,8.81,7.03,5.5,5.44,3.41,3.25:37.91,40.06,40.84,41.28,42.12,42.22,42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94,7.66,7.97,7.12,8.12,10.44,12.03,13.94,16.56,15.97,15.5,13.16,11.12,8.81,7.03,5.5,5.44,3.41,3.25,2.75,2.19,2.41,3.41,4.91,5.81:42.59,41.97,40.72,38.41,35.06,32.09,30.16,28.94,28.25,29.12,29.5,29.91,30.69,32.19,34.38,35.56,38.12,39.44,40.84,41.75,41.91,41.19,40.25,39.09,36.19,34.34,31.38,30.03,26.25,25.69,23.91,22.91,22.0,22.34,22.19,22.06,22.97,22.12,21.34,19.75,16.66,14.69,12.41,11.0,10.12,10.75,11.78,12.47,14.0,15.34,17.62,19.25,20.5,21.16,21.81,22.06,21.75,21.78,21.75,21.53,21.28,21.94,23.0,23.59,24.62,25.22,26.5,27.69,29.28,30.34,32.06,32.47,32.41,32.09,31.41,31.62,30.22,29.91,29.56,28.78,27.69,26.91,26.44,26.69,26.38,26.5,26.06,25.62,24.5,23.44,24.16,23.78,25.0,25.41,25.59,26.28,26.78,27.81,30.19,32.0,33.91,35.31,35.16,35.25,32.81,30.5,27.84,25.56,24.06,23.06,22.66,22.53,21.31,21.78,21.66,21.78,23.47,23.53,25.47,26.81,28.0,29.47,30.38,30.31,28.91,27.75,25.62,23.25,22.5,21.41,20.78,21.75,22.53,23.91,24.47,25.56,25.78,24.16,24.16,23.56,21.78,21.75,21.53,20.72,20.0,19.91,18.94,18.88,18.03,19.41,19.53,20.44,20.97,20.94,21.66,21.38,22.41,23.16,24.03,24.72,23.97,24.03,22.59,21.28,18.62,17.94,18.31,18.12,20.19,22.22,24.09,25.66,25.94,25.88,24.84,22.81,20.56,18.16,16.25,14.53,12.69,12.28,11.62,11.06,11.06,11.66,12.34,13.59,14.0,17.28,20.12,23.56,28.53,33.56,37.41,39.38,38.75,36.12,32.16,26.66,22.75,18.19,15.19,13.91,13.41,13.0,14.09,15.66,15.34,15.78,16.59,16.41,16.94,18.16,19.09,19.66,21.53,23.25,25.12,27.59,29.91,30.94,30.69,28.0,27.31,23.38,21.12,20.5,20.44,20.84,20.69,21.62,21.56,20.66,20.62,22.56,23.69,25.41,28.88,30.78,32.22,33.28,35.38,36.44,37.31,39.03,38.81,39.34,38.28,37.03,35.62,33.81,31.62,30.88,29.22,29.19,28.97,29.56,29.31,30.06,29.69,29.34,28.94,28.31,27.12,25.97,25.62,26.06,26.44,26.44,26.81,25.81,25.34,24.53,22.5,23.62,23.12,22.5,23.31,22.91,22.47,22.34,22.41,21.44,22.84,23.06,24.25,24.91,25.06,24.97,24.78,24.06,24.06,24.69,24.56,24.62,24.22,23.03,22.03,20.44,20.03,19.56,18.84,18.44,19.25,19.0,19.56,21.0,21.91,21.84,22.34,21.84,21.5,21.25,21.81,22.78,23.41,23.62,24.09,23.84,22.53,21.47,20.16,19.31,18.75,19.19,20.06,20.0,19.78,20.06,18.94,18.41,18.44,18.16,18.41,19.03,20.19,21.41,23.16,24.94,26.16,25.62,23.69,21.44,18.12,15.56,13.66,12.06,11.06,10.88,11.34,12.25,12.88,14.16,16.03,15.12,16.41,16.88,16.66,17.09,17.72,18.12,17.41,17.59,17.34,16.16,15.06,13.78,13.16,12.91,13.53,15.06,14.94,15.31,14.91,13.62,13.41,12.97,14.41,16.22,15.94,18.78,21.28,22.88,25.31,28.19,30.66,31.34,32.03,31.28,29.56,27.47,26.44,25.38,26.31,27.47,29.06,28.62,28.5,26.56,25.03,23.19,22.16,20.72,19.69,19.66,19.38,18.56,18.34,17.81,17.06,16.22,15.25,14.69,13.66,14.09,13.75,15.31,15.91,17.53,17.59,17.72,16.44,14.94,12.28,11.38,10.12,9.41,9.97,10.12,11.5,11.97,13.38,14.0,14.06,13.44,12.84,10.88,10.06,9.22,9.16,8.91,9.53,10.41,10.56,10.81,11.84,9.53,9.44,7.41,6.12,7.41,10.41,15.81,20.5,24.69,27.06,27.5,25.41,23.5,20.81,19.62,18.34,16.47,15.59,14.0,12.44,9.66,8.09,6.5,4.88,5.03,5.31,6.34,5.66,6.75,8.59,10.09,12.25,15.06,16.59,16.44,14.34,11.91,8.91,6.03,4.53,3.41,3.06,3.41,4.22,5.78,6.41,7.38,8.28,8.81,7.62,8.19,7.66,8.0,8.81,10.44,12.53,14.44,15.56,15.81,14.94,14.81,14.94,15.28,17.81,18.53,20.81,23.38,23.66,24.78,25.19,25.62,23.97,24.16,22.78,22.84,21.78,21.84,21.81,21.12,21.0,20.25,19.78,18.38,17.75,18.94,19.03,20.25,22.5,22.28,22.38,20.25,18.16,14.88,11.59,9.91,7.69,6.31,5.94,6.81,6.12,6.56,7.5,8.66,8.81,9.44,10.31,9.88,9.47,9.81,10.31,10.62,10.91,12.22,12.22,11.66,12.28,11.47,10.31,9.56,8.94,8.19,8.62,9.12,9.25,11.31,11.75,12.62,15.19,16.69,14.97,15.22,12.75,10.06,8.12,7.44,6.41,7.12,8.41,8.91,10.31,11.41,11.31,10.88,9.81,8.56,7.38,5.88,5.06,3.25,2.53,2.84,3.84,6.91,9.97,13.31,15.56,15.53,15.84,14.41,14.19,11.91,11.41,11.12,10.03,9.12,9.19,7.75,8.59,7.94,8.31,8.59,8.03,7.75,7.78,7.12,7.56,7.5,7.03,6.97,5.56,5.69,4.84,4.62,4.62,5.72,7.03,7.84,9.59,11.38,11.91,12.34,11.66,11.31,11.75,12.62,14.19,16.28,18.16,18.59,19.12,18.38,16.62,15.38,13.81,13.06,11.97,12.41,12.81,13.06,12.81,12.81,12.19,11.19,10.28,9.25,7.91,7.56,8.5,9.47,12.25,13.97,16.78,19.19,21.12,22.44,22.91,20.94,18.88,16.06,13.66,12.0,10.31,9.56,8.69,7.62,7.72,8.28,8.59,10.16,11.38,12.81,13.25,13.5,12.94,12.16,10.53,9.81,8.69,7.78,6.84,6.38,5.66,5.12,5.78,5.84,7.84,11.38,16.0,22.06,27.53,31.44,32.53,31.66,29.06,25.59,22.12,21.0,19.56,18.31,17.31,18.41,17.97,17.06,17.16,16.25,15.09,12.97,12.41,10.62,9.41,8.75,7.84,7.12,7.72,7.94,8.19,8.28,7.69,7.41,6.19,6.0,5.44,5.03,4.78,4.41,3.53,4.34,4.59,5.75,6.72,8.66,9.31,9.69,10.66,10.56,10.25,11.09,10.72,10.56,10.06,9.28,9.03,7.91,7.53,8.25,10.19,11.03,13.72,14.91,16.66,16.53,15.5,16.31,14.59,13.62,12.56,11.56,9.72,8.38,7.69,6.91,6.88,7.16,8.25,10.06,11.44,12.81,13.5,12.78,11.91,10.88,9.12,7.56,7.28,6.44,6.09,6.66,7.28,9.28,10.75,12.56,14.12,14.75,13.53,12.22,11.53,9.06,7.81,7.0,6.5,6.0,6.47,8.16,9.47,9.84,10.81,10.69,10.12,9.56,9.56,9.0,8.03,8.41,7.62,7.62,6.78,7.53,6.88,6.75,6.91,7.06,8.16,9.16,10.5,10.34,11.09,10.28,10.06,9.66,9.69,9.91,10.81,11.19,11.44,11.25,11.19,10.16,8.0,7.56,7.16,6.66,7.62,9.0,9.88,10.22,10.97,11.03,11.53,11.06,11.69,11.75,11.91,11.59,11.38,11.16,11.06,11.19,11.41,11.94,7.66,7.97,7.12,8.12,10.44,12.03,13.94,16.56,15.97,15.5,13.16,11.12,8.81,7.03,5.5,5.44,3.41,3.25,2.75,2.19,2.41,3.41,4.91,5.81,7.81,9.69,10.25,10.31,10.72,10.06:positivity
34.0,33.94,32.38,30.94,29.62,28.84,27.75,27.91,27.91,27.91,28.53,29.16,30.31,32.28,34.03,34.69,35.19,34.44,32.25,30.53,27.94,25.31,23.84,23.28,23.59,24.97,26.19,28.19,29.56,30.81,31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12:27.75,27.91,27.91,27.91,28.53,29.16,30.31,32.28,34.03,34.69,35.19,34.44,32.25,30.53,27.94,25.31,23.84,23.28,23.59,24.97,26.19,28.19,29.56,30.81,31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12,-9.16,-10.03,-12.22,-14.28,-16.59,-17.69:30.31,32.28,34.03,34.69,35.19,34.44,32.25,30.53,27.94,25.31,23.84,23.28,23.59,24.97,26.19,28.19,29.56,30.81,31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12,-9.16,-10.03,-12.22,-14.28,-16.59,-17.69,-18.31,-17.97,-17.59,-16.34,-15.03,-13.88:32.25,30.53,27.94,25.31,23.84,23.28,23.59,24.97,26.19,28.19,29.56,30.81,31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12,-9.16,-10.03,-12.22,-14.28,-16.59,-17.69,-18.31,-17.97,-17.59,-16.34,-15.03,-13.88,-12.06,-10.5,-9.41,-8.0,-7.16,-7.59:23.59,24.97,26.19,28.19,29.56,30.81,31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12,-9.16,-10.03,-12.22,-14.28,-16.59,-17.69,-18.31,-17.97,-17.59,-16.34,-15.03,-13.88,-12.06,-10.5,-9.41,-8.0,-7.16,-7.59,-8.12,-10.09,-12.03,-14.22,-16.03,-16.94:31.94,33.06,35.31,36.5,37.59,37.91,37.44,37.81,36.16,35.41,34.62,34.44,34.78,36.31,37.38,38.0,38.5,39.06,37.72,36.5,35.16,32.59,30.12,26.97,23.78,21.31,18.94,17.78,17.94,18.56,19.84,22.88,23.62,25.19,27.62,29.41,31.03,32.72,34.28,34.09,33.0,31.09,28.09,26.06,23.19,19.91,19.03,17.69,17.97,18.66,20.38,23.12,24.94,27.28,30.0,31.28,32.06,33.53,33.84,34.44,36.44,37.69,39.31,40.56,41.0,39.59,38.06,35.06,31.97,28.0,23.91,20.44,17.19,15.59,14.94,15.88,16.03,17.75,19.53,21.12,22.16,23.56,24.62,25.31,26.72,27.16,27.44,29.25,28.94,29.44,30.62,31.78,32.25,32.75,31.28,30.81,28.94,26.84,25.75,24.72,23.34,21.28,18.81,16.31,15.28,14.28,14.03,15.31,15.5,17.03,18.91,20.0,21.81,24.28,25.62,27.91,29.94,31.66,34.06,37.0,38.88,40.12,41.16,41.44,42.19,42.56,42.78,42.72,42.97,41.94,41.16,41.41,41.84,42.31,42.56,42.31,41.0,40.16,37.03,33.91,31.09,27.91,25.19,23.59,22.84,22.94,24.16,24.69,26.41,27.94,29.66,30.12,30.56,30.75,30.44,29.66,29.12,28.91,27.31,26.31,25.0,23.88,22.53,21.66,21.69,22.16,24.06,25.25,26.81,26.88,26.69,24.84,24.16,19.31,15.88,13.0,9.81,8.16,7.97,7.91,7.19,6.91,5.41,4.56,4.53,4.16,4.72,5.5,6.34,6.31,7.09,6.41,5.34,4.56,5.53,6.62,10.25,14.28,17.81,21.69,24.03,26.91,27.22,28.56,28.91,29.47,31.25,33.44,36.22,38.59,39.84,40.47,40.94,40.75,40.0,39.0,38.06,37.81,36.56,36.78,37.34,37.47,37.53,37.03,35.53,34.41,32.5,30.5,29.41,27.97,28.06,28.56,29.0,29.44,29.0,28.38,27.34,26.5,26.0,25.72,25.0,24.28,22.5,20.84,19.72,17.75,16.44,15.28,14.22,14.22,14.25,15.34,16.41,18.31,19.59,20.78,21.53,23.0,23.66,23.19,23.41,22.66,21.25,21.19,20.69,19.25,18.66,17.31,16.31,15.25,14.44,13.91,12.44,11.78,11.25,9.78,10.12,9.44,8.66,9.94,9.5,10.0,11.28,11.34,10.81,9.91,7.72,6.28,4.5,4.44,4.59,6.81,9.28,12.56,16.0,19.53,21.56,24.31,27.06,26.94,27.91,29.31,30.72,31.44,33.88,35.22,34.78,32.03,29.06,25.66,21.0,18.69,16.91,16.16,16.31,15.84,16.25,14.59,12.94,11.59,9.44,7.16,5.66,4.34,3.22,4.31,4.72,6.62,10.53,12.28,15.53,18.72,20.94,22.91,25.88,27.28,29.19,31.31,33.81,34.75,34.41,33.47,29.62,24.69,20.25,15.81,12.25,9.03,6.16,4.0,2.78,0.06,-0.31,-0.47,-0.69,-0.16,2.31,5.19,8.12,9.75,12.34,12.78,11.0,11.19,10.03,9.53,9.59,9.06,8.94,7.91,6.91,6.22,6.19,6.56,7.06,8.44,9.97,11.81,13.19,15.19,17.5,19.12,20.09,21.34,22.44,22.84,23.56,23.41,22.5,21.5,19.12,17.62,15.94,15.19,14.88,14.66,15.28,15.06,14.81,14.5,15.53,15.56,18.12,18.75,20.53,21.53,21.72,20.69,18.56,15.78,12.62,9.91,7.88,6.38,5.44,4.41,3.0,2.06,1.53,2.16,2.06,3.22,3.28,2.94,2.97,2.78,2.91,3.69,4.28,5.12,4.91,5.41,4.66,3.22,1.78,0.31,-1.62,-2.69,-2.84,-3.69,-2.78,-2.91,-2.16,-2.09,-2.34,-2.31,-2.47,-1.97,-0.84,0.78,1.81,2.69,4.53,4.62,4.31,4.84,3.66,3.94,2.88,2.25,0.84,0.19,-0.94,-0.84,-0.97,-1.03,-0.25,0.38,0.62,0.06,0.44,-0.59,-1.84,-2.12,-2.41,-0.84,0.84,1.38,2.91,3.72,3.69,3.34,1.94,1.25,0.25,-1.41,-2.81,-2.88,-3.03,-3.34,-3.03,-3.41,-3.66,-3.28,-2.53,-3.0,-2.94,-3.22,-3.19,-3.78,-3.97,-3.94,-2.72,-2.53,-2.69,-2.22,-2.44,-3.09,-3.22,-2.56,-1.84,-1.41,-0.47,-0.28,-0.56,-1.81,-3.22,-4.44,-5.81,-7.0,-7.28,-8.16,-8.41,-8.09,-7.41,-6.12,-4.47,-3.0,-0.91,-0.41,0.31,-0.59,-1.84,-2.81,-3.47,-2.84,-1.09,0.84,3.0,4.78,5.53,5.44,4.91,3.94,3.09,2.69,3.0,3.16,4.12,5.28,6.44,7.38,8.59,7.72,8.0,7.16,5.75,4.59,2.81,0.91,-0.09,-1.12,-1.94,-1.56,-1.72,-0.97,-1.0,-1.0,-1.47,-2.22,-2.31,-3.09,-2.91,-1.59,-1.28,0.22,1.75,1.53,1.59,0.81,-0.09,-1.28,-2.25,-3.41,-4.44,-4.69,-5.38,-4.31,-3.22,-3.28,-2.06,-1.97,-2.19,-2.16,-2.66,-3.75,-4.09,-5.94,-5.88,-6.88,-4.97,-3.41,-1.62,-0.12,0.0,0.03,-1.06,-2.84,-3.03,-3.22,-2.94,-0.97,0.66,3.28,4.88,4.62,3.5,1.19,-2.66,-6.66,-9.41,-12.06,-12.28,-11.31,-10.09,-7.94,-5.31,-3.31,-2.09,-1.16,-1.34,-2.12,-2.81,-4.47,-4.5,-4.53,-3.16,-0.41,1.06,3.06,5.09,6.12,6.72,6.41,5.97,6.22,5.38,6.31,7.41,8.53,9.44,10.03,11.06,10.31,10.62,10.91,11.16,11.53,12.12,11.88,11.06,9.47,7.72,6.0,4.06,2.25,0.5,0.56,2.19,4.66,9.16,13.75,18.0,21.56,23.19,23.69,22.81,20.94,19.62,17.66,16.72,15.88,15.56,15.56,15.5,15.0,13.12,11.66,9.88,7.44,6.03,4.38,3.47,4.66,6.06,8.03,11.22,14.53,17.19,20.31,22.22,23.56,24.84,25.28,24.62,22.72,20.25,17.16,13.47,10.16,6.59,5.28,4.16,3.62,4.62,5.44,6.72,8.66,10.78,13.16,15.06,16.94,16.78,16.44,16.06,15.34,15.12,16.03,16.03,17.16,17.06,16.84,15.78,14.38,12.62,10.16,7.28,4.81,2.06,2.5,3.19,5.06,7.62,11.56,13.59,15.12,15.69,14.31,12.22,10.09,7.03,4.19,1.91,-0.38,-2.84,-4.16,-5.84,-6.69,-7.5,-8.25,-7.84,-7.81,-7.09,-5.78,-4.06,-2.5,-1.16,0.56,1.34,1.44,2.16,1.34,-0.09,-0.41,-2.12,-2.53,-3.22,-3.44,-2.94,-3.03,-1.22,0.06,1.78,3.78,4.72,5.75,6.03,5.91,7.06,7.72,9.12,11.09,12.19,13.56,13.44,13.06,13.03,11.94,10.53,9.44,8.69,7.41,7.31,6.94,6.0,5.88,5.06,3.16,2.06,0.28,-0.97,-2.28,-4.0,-5.38,-5.84,-5.94,-4.81,-3.25,-0.97,1.28,2.62,4.38,4.34,3.72,2.28,0.56,-0.31,0.16,2.03,3.22,4.69,5.34,5.97,5.5,5.19,5.66,5.66,6.41,7.12,8.41,9.44,11.34,12.94,13.34,13.81,13.97,13.06,12.31,10.44,9.69,7.94,6.62,6.56,6.84,7.66,9.78,11.28,13.69,15.5,16.38,17.0,16.22,16.06,14.22,12.81,11.12,-9.16,-10.03,-12.22,-14.28,-16.59,-17.69,-18.31,-17.97,-17.59,-16.34,-15.03,-13.88,-12.06,-10.5,-9.41,-8.0,-7.16,-7.59,-8.12,-10.09,-12.03,-14.22,-16.03,-16.94,-16.97,-16.94,-15.88,-14.28,-14.03,-12.97:positivity
54.19,54.25,54.06,55.44,55.31,56.44,57.53,57.78,59.0,59.25,57.97,57.0,56.12,54.69,55.81,56.88,59.06,61.31,62.88,65.34,66.5,68.06,69.62,69.56,68.41,67.75,66.5,64.5,63.41,62.78,61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12:57.53,57.78,59.0,59.25,57.97,57.0,56.12,54.69,55.81,56.88,59.06,61.31,62.88,65.34,66.5,68.06,69.62,69.56,68.41,67.75,66.5,64.5,63.41,62.78,61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12,4.53,4.75,5.28,7.0,6.72,7.72:56.12,54.69,55.81,56.88,59.06,61.31,62.88,65.34,66.5,68.06,69.62,69.56,68.41,67.75,66.5,64.5,63.41,62.78,61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12,4.53,4.75,5.28,7.0,6.72,7.72,9.03,9.5,11.06,12.28,12.91,12.66:62.88,65.34,66.5,68.06,69.62,69.56,68.41,67.75,66.5,64.5,63.41,62.78,61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12,4.53,4.75,5.28,7.0,6.72,7.72,9.03,9.5,11.06,12.28,12.91,12.66,12.44,11.41,11.53,11.91,13.09,14.03:68.41,67.75,66.5,64.5,63.41,62.78,61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12,4.53,4.75,5.28,7.0,6.72,7.72,9.03,9.5,11.06,12.28,12.91,12.66,12.44,11.41,11.53,11.91,13.09,14.03,16.16,17.81,17.91,19.0,20.03,18.5:61.88,62.38,62.38,63.31,64.5,65.12,66.94,68.91,69.91,71.38,74.25,75.31,76.94,78.75,79.38,80.69,80.91,81.12,79.75,78.28,76.25,72.5,69.69,66.78,63.75,61.44,59.44,57.31,55.94,55.75,55.25,55.81,57.44,58.44,59.0,59.62,58.56,58.12,56.69,55.0,53.62,52.69,51.25,51.38,51.62,51.62,53.12,53.0,54.06,55.88,57.53,59.06,60.62,62.0,61.5,61.81,61.41,62.62,63.56,64.66,66.31,67.38,67.56,66.06,65.06,63.0,62.25,61.0,60.31,60.5,60.0,59.06,58.25,58.19,58.06,58.12,59.53,59.91,59.81,60.09,60.38,61.12,61.91,62.88,63.38,64.19,64.19,64.5,65.91,67.25,69.12,71.56,73.12,74.69,75.06,74.81,73.78,72.69,72.31,70.81,70.06,67.56,66.19,63.69,60.06,57.56,54.56,52.25,49.88,49.25,49.31,50.19,53.16,57.19,62.38,66.81,69.91,71.88,70.88,68.75,66.69,65.44,64.19,64.28,64.03,63.88,63.38,62.53,62.5,61.62,62.19,62.94,62.19,62.81,62.25,62.12,60.38,60.25,59.75,59.88,60.75,61.69,63.25,64.0,63.69,63.56,62.91,61.62,61.0,60.88,61.19,61.47,62.38,63.88,65.31,66.31,67.5,67.91,68.56,67.94,67.0,67.44,66.88,68.12,69.12,71.09,73.44,74.66,74.56,75.06,74.25,73.0,71.38,70.12,69.06,69.5,69.12,69.25,71.75,73.0,73.75,75.56,77.19,77.56,77.56,77.12,75.5,74.69,72.12,71.12,69.06,69.0,68.62,69.25,70.31,70.44,71.81,72.69,73.81,74.81,75.25,75.81,75.81,75.62,75.75,74.88,73.56,71.5,69.81,67.81,67.22,65.94,65.44,64.88,64.56,63.62,63.56,63.56,64.06,64.31,65.03,65.88,65.81,65.44,65.25,65.06,65.19,65.31,66.41,66.66,67.69,69.16,69.84,70.5,70.06,69.59,67.62,66.0,63.94,62.66,61.84,60.88,60.38,61.41,61.94,62.94,63.38,64.5,64.31,63.16,62.19,60.31,57.88,55.81,53.75,52.06,52.0,52.94,54.44,56.53,59.12,61.06,61.19,61.91,60.41,59.44,57.88,55.88,53.38,51.0,49.25,47.94,48.0,49.12,49.91,51.28,52.62,52.06,53.25,52.31,51.25,49.41,48.28,46.5,46.44,46.5,47.69,49.12,50.16,51.69,52.12,52.91,53.69,54.44,55.53,56.28,56.78,56.81,57.31,58.31,59.44,60.53,62.0,63.06,63.78,64.0,64.75,64.91,64.59,64.62,63.94,64.38,64.06,65.19,66.31,66.0,66.19,65.31,64.03,63.47,62.62,62.28,61.91,61.44,60.38,60.0,59.69,60.0,59.5,59.72,59.44,58.38,58.19,58.31,59.0,61.25,63.62,67.62,70.81,72.69,73.91,72.62,70.81,67.38,64.59,62.81,61.5,62.12,63.12,64.88,67.12,68.19,69.75,69.06,68.25,67.62,65.47,64.06,62.41,60.91,60.19,58.53,58.19,57.75,57.0,57.22,57.25,57.0,57.88,57.44,57.62,56.53,55.97,54.78,54.94,55.06,55.0,55.94,55.72,55.31,53.94,53.47,51.91,50.28,49.56,49.41,49.44,48.62,49.94,51.0,51.62,52.38,53.97,54.91,56.06,57.53,59.12,60.94,62.06,63.31,62.69,62.62,61.84,61.12,60.91,61.31,61.75,62.56,63.44,64.38,64.12,63.75,63.88,62.19,61.47,60.38,59.31,58.53,57.69,58.56,58.81,59.69,59.69,59.88,58.56,57.25,54.56,52.56,50.06,47.94,46.5,45.56,45.25,45.03,44.81,44.19,43.88,43.0,42.38,41.84,41.34,41.47,41.81,42.31,43.75,45.31,46.41,48.81,51.0,52.31,54.31,55.81,56.31,56.44,57.38,57.62,58.31,57.81,57.5,58.06,58.06,58.12,59.5,59.91,59.88,61.62,62.38,63.78,65.94,67.47,67.66,67.81,66.44,64.88,64.31,63.38,63.28,62.25,61.88,60.56,59.59,57.94,56.19,55.0,53.91,53.94,53.94,54.69,54.81,54.5,54.19,53.25,53.19,52.88,53.28,54.5,54.47,56.75,58.12,59.75,60.5,61.44,60.88,60.06,59.69,59.25,59.38,58.06,57.81,56.19,53.81,52.44,50.31,49.0,48.53,47.94,49.34,49.28,51.44,53.12,53.56,55.69,57.28,58.5,59.56,60.25,60.91,60.94,60.69,59.25,59.31,58.25,56.31,55.41,55.06,53.75,54.72,56.06,57.38,60.38,61.56,63.81,65.44,66.91,68.38,69.81,71.12,72.62,73.75,75.12,74.69,73.84,72.69,70.0,65.56,62.31,59.12,56.16,54.66,55.94,58.44,61.91,66.75,71.69,74.44,76.19,75.81,73.38,69.44,65.12,61.19,58.62,56.25,55.62,55.5,55.44,54.88,56.16,57.31,58.06,58.88,59.0,59.81,58.88,58.94,58.5,58.0,56.84,55.56,54.25,52.81,51.94,51.44,49.62,48.5,47.12,44.81,43.81,42.69,42.09,42.25,43.38,42.69,43.25,43.38,42.75,43.19,42.97,43.19,43.44,44.06,44.66,45.19,46.44,46.56,47.12,46.28,45.69,45.38,45.25,44.56,44.56,43.72,42.56,41.53,41.19,41.69,42.31,45.31,47.19,48.62,48.81,48.78,48.44,47.62,47.31,47.19,46.53,46.38,46.38,46.44,47.12,47.56,47.88,47.91,49.06,49.0,48.81,47.94,46.25,43.38,41.06,38.56,37.19,35.81,35.88,36.78,37.97,39.62,41.38,42.0,42.69,42.81,43.0,42.5,42.31,42.06,41.5,40.72,40.91,40.94,42.12,43.88,45.5,46.62,47.25,46.5,45.19,43.94,43.0,42.56,41.69,42.88,44.19,45.44,46.0,47.12,48.12,48.0,47.12,47.56,46.75,45.06,44.75,43.81,44.19,44.69,44.81,45.44,46.44,46.31,47.38,47.06,47.06,46.69,47.31,46.53,46.94,47.34,46.44,45.0,43.81,41.66,40.12,38.81,39.62,40.88,40.66,41.44,41.0,39.16,38.19,38.31,38.44,39.19,39.44,39.69,38.75,37.88,38.16,37.38,35.38,35.62,34.31,33.94,34.19,35.56,36.5,37.06,36.94,36.62,35.81,36.12,36.34,37.31,39.06,39.62,40.31,39.94,39.0,39.09,39.06,40.25,42.94,43.75,44.5,44.88,43.44,42.38,40.0,38.75,37.53,36.34,35.44,34.31,34.25,32.88,32.0,30.22,30.06,31.44,31.88,32.94,34.0,33.56,32.88,32.62,32.5,33.34,33.28,33.53,34.12,34.56,35.88,38.5,41.38,44.25,47.81,49.38,50.81,50.44,49.25,47.19,45.0,42.38,41.06,39.0,37.66,37.56,36.84,36.5,37.12,37.06,37.0,37.91,37.25,37.06,36.81,36.31,36.06,35.44,34.91,34.06,34.41,34.78,34.44,35.56,36.06,36.5,37.56,38.56,40.5,42.25,44.41,46.22,47.06,46.81,47.12,46.69,45.19,44.88,43.0,41.09,39.44,38.5,37.75,38.88,39.94,41.38,42.44,42.19,41.44,40.94,39.81,38.5,37.44,36.81,36.62,36.41,37.88,40.22,42.25,43.31,44.88,45.38,45.06,45.81,46.41,46.28,45.91,44.69,44.06,41.56,41.31,38.5,37.12,4.53,4.75,5.28,7.0,6.72,7.72,9.03,9.5,11.06,12.28,12.91,12.66,12.44,11.41,11.53,11.91,13.09,14.03,16.16,17.81,17.91,19.0,20.03,18.5,18.12,17.19,15.44,14.0,12.94,12.44:positivity
100.75,100.69,100.44,98.38,97.94,98.03,96.5,94.69,93.78,92.44,91.22,91.66,92.31,94.22,96.38,99.16,100.06,101.12,101.0,99.16,97.5,94.28,91.25,88.56,86.25,84.41,83.94,83.56,83.88,84.22,84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72:96.5,94.69,93.78,92.44,91.22,91.66,92.31,94.22,96.38,99.16,100.06,101.12,101.0,99.16,97.5,94.28,91.25,88.56,86.25,84.41,83.94,83.56,83.88,84.22,84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72,37.69,38.16,38.16,36.47,36.41,35.06:92.31,94.22,96.38,99.16,100.06,101.12,101.0,99.16,97.5,94.28,91.25,88.56,86.25,84.41,83.94,83.56,83.88,84.22,84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72,37.69,38.16,38.16,36.47,36.41,35.06,32.75,30.84,29.44,28.66,28.16,28.5:101.0,99.16,97.5,94.28,91.25,88.56,86.25,84.41,83.94,83.56,83.88,84.22,84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72,37.69,38.16,38.16,36.47,36.41,35.06,32.75,30.84,29.44,28.66,28.16,28.5,29.75,29.66,31.59,32.12,33.09,33.47:86.25,84.41,83.94,83.56,83.88,84.22,84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72,37.69,38.16,38.16,36.47,36.41,35.06,32.75,30.84,29.44,28.66,28.16,28.5,29.75,29.66,31.59,32.12,33.09,33.47,32.97,32.31,30.81,28.56,27.03,25.38:84.16,84.38,84.94,85.97,87.0,87.47,88.38,87.88,86.0,85.94,85.78,85.69,86.69,87.66,88.75,88.72,89.03,88.97,88.44,87.81,87.84,86.56,86.5,87.03,85.0,84.25,83.0,81.31,80.16,79.44,78.31,78.47,78.06,77.91,78.81,80.91,81.09,81.62,82.19,79.88,76.94,74.41,71.69,69.31,67.66,67.44,68.03,68.28,69.78,71.19,71.94,72.12,73.19,73.41,74.66,76.31,78.56,80.09,82.03,82.31,81.94,81.44,79.31,77.53,76.12,75.03,75.16,75.56,75.88,76.38,77.0,75.81,75.03,73.66,73.81,71.28,71.31,70.88,70.31,70.06,69.53,69.72,69.75,70.16,71.16,71.69,73.41,73.56,72.5,72.97,72.31,72.38,73.28,74.69,76.81,78.19,79.5,79.41,78.47,77.06,74.66,72.69,71.16,69.0,66.69,64.94,62.78,61.19,60.0,59.31,58.81,58.75,58.94,59.31,60.75,60.75,62.12,62.94,64.03,64.75,65.84,65.31,66.0,66.31,65.81,66.19,66.69,68.03,68.31,69.97,71.44,71.19,70.5,69.28,69.03,68.53,67.94,67.81,66.84,65.28,64.25,63.22,62.25,62.09,62.69,63.31,63.78,64.94,65.19,65.5,65.81,67.38,68.31,69.25,70.81,70.78,70.03,69.94,68.94,70.31,71.72,72.91,75.41,77.16,78.72,80.62,80.28,80.5,78.16,76.06,73.5,70.34,66.59,64.22,60.0,57.12,55.06,54.69,55.06,55.91,57.56,57.81,58.16,58.16,58.34,58.19,58.25,57.28,55.41,54.78,53.44,54.62,54.12,55.69,56.38,55.91,54.72,52.38,51.03,49.22,47.81,48.09,48.06,47.59,47.06,47.5,46.12,45.94,46.66,46.34,46.81,47.31,46.94,46.66,45.84,44.0,43.91,42.34,42.41,42.28,43.78,45.66,47.34,49.69,51.62,52.22,53.38,51.88,51.19,50.81,49.5,49.97,50.44,51.44,52.31,54.5,56.03,56.44,58.09,57.72,58.19,58.09,58.09,58.78,58.88,59.5,58.75,59.94,59.62,59.56,61.25,62.0,63.97,65.25,67.16,67.25,66.94,65.53,64.19,62.0,61.03,59.47,58.97,59.06,58.5,59.38,59.84,59.91,61.06,60.69,60.94,60.41,60.41,59.06,59.06,59.91,59.84,61.0,61.53,61.47,60.78,58.22,55.81,53.19,51.03,48.75,48.72,48.25,48.66,49.59,51.19,52.44,54.41,55.06,55.31,55.38,52.75,51.97,51.56,51.25,51.44,52.31,52.16,51.12,49.31,48.38,48.31,49.34,51.81,55.38,57.56,59.41,61.03,61.03,59.94,59.5,58.0,55.91,54.56,54.38,52.94,53.03,53.09,53.91,53.59,54.38,54.44,54.31,55.12,55.97,56.31,56.53,57.06,54.0,52.12,50.78,50.75,51.62,56.16,61.06,66.56,70.88,73.69,74.38,71.44,69.28,65.34,62.31,61.12,59.66,58.5,58.16,56.88,56.56,57.81,57.84,59.38,61.03,62.03,62.66,62.69,63.34,63.31,61.72,62.81,63.44,62.44,62.16,62.12,61.56,60.47,59.5,59.53,59.72,59.66,60.19,61.56,62.0,63.56,64.09,65.78,65.66,65.25,64.41,62.62,60.66,58.53,56.75,55.19,56.28,54.88,57.88,59.78,61.56,64.53,67.31,67.97,68.16,69.12,68.94,68.94,70.12,69.47,70.53,70.12,70.91,71.0,70.84,70.31,69.41,68.41,66.12,64.94,63.25,60.56,57.97,56.62,54.81,53.31,52.31,51.81,51.06,51.12,50.91,51.25,50.16,49.56,48.5,47.09,46.19,46.56,47.38,46.47,45.81,45.94,43.88,42.66,41.88,41.19,40.53,40.41,41.78,42.16,43.16,45.75,46.88,49.03,50.03,50.81,50.38,51.44,51.22,52.25,52.94,53.69,53.0,53.47,53.09,53.16,54.25,56.06,57.72,59.19,60.75,61.41,60.66,59.5,56.41,53.06,50.62,49.44,48.69,50.25,52.19,53.25,54.28,54.41,54.56,55.47,55.47,56.06,57.66,57.31,57.97,57.91,56.5,55.12,53.91,51.78,50.75,49.62,48.78,48.62,47.34,46.34,45.56,43.69,42.53,41.91,41.66,42.84,44.75,47.19,49.22,51.62,52.19,53.25,54.06,54.06,54.0,54.06,53.59,53.41,51.31,50.62,48.16,47.19,46.06,46.44,45.81,45.53,45.0,44.16,43.69,45.03,47.0,49.81,52.91,56.12,58.44,60.59,60.56,60.25,58.31,56.28,54.41,52.97,52.41,53.12,53.59,54.75,56.25,57.31,59.0,60.41,62.0,63.72,64.53,65.56,64.69,64.78,63.91,61.94,60.81,60.12,58.34,59.28,58.5,59.03,59.28,58.66,59.62,59.38,59.94,60.09,59.28,57.88,55.81,52.31,48.72,46.22,43.84,43.81,44.31,46.81,50.56,53.88,56.84,60.28,61.41,63.91,65.84,67.59,70.31,71.88,73.5,71.84,70.06,67.47,63.88,60.34,58.56,56.47,54.75,54.03,53.53,54.97,54.5,56.12,58.31,59.56,60.53,63.12,63.94,64.38,64.38,63.5,61.44,58.66,55.94,51.59,48.75,46.66,45.56,45.72,46.38,48.0,49.41,48.03,49.28,48.38,48.12,49.44,50.0,51.06,53.47,55.06,57.12,58.53,60.88,61.81,61.06,60.53,58.31,56.19,54.25,52.31,50.75,49.69,48.53,47.22,47.44,47.59,49.22,51.22,54.56,56.91,59.66,61.12,61.88,61.78,62.06,61.03,60.94,61.03,60.56,60.38,60.56,60.53,60.97,61.31,62.53,63.56,63.69,64.28,63.19,62.78,60.94,59.44,58.22,57.78,58.16,58.22,58.56,58.56,57.81,58.09,57.34,57.78,58.25,59.75,61.56,63.31,65.5,66.44,67.22,67.62,66.16,65.59,64.34,62.56,61.91,61.38,59.91,60.56,60.19,60.19,61.66,62.78,64.28,65.0,64.91,64.69,62.5,62.06,60.59,61.16,61.41,61.19,59.94,60.34,59.62,59.16,59.44,60.84,61.91,62.38,63.16,63.16,61.91,61.69,61.34,60.69,60.03,58.94,58.53,57.09,57.44,59.03,59.72,62.16,63.16,62.34,61.75,60.28,58.78,57.5,55.94,55.34,54.91,54.94,54.62,53.88,54.31,54.06,53.31,54.5,55.84,57.12,57.81,59.03,59.56,59.09,60.69,59.41,59.34,59.25,57.84,56.81,54.97,54.69,53.41,52.72,52.19,51.69,51.03,51.53,51.53,53.88,55.47,57.31,58.88,59.88,59.44,59.0,57.03,54.91,53.31,51.84,51.47,51.31,51.16,51.34,50.12,50.59,49.38,49.16,49.28,49.81,49.41,49.41,49.06,48.0,46.94,46.56,44.69,43.84,43.31,41.97,42.5,42.69,43.25,44.12,43.69,44.31,44.41,45.81,47.0,48.34,50.5,51.06,50.53,50.47,51.06,50.81,52.66,55.84,58.84,61.47,63.81,63.12,61.66,58.5,55.34,51.75,49.91,48.66,48.5,48.38,49.31,51.12,52.03,53.78,55.09,54.53,54.94,54.16,52.59,52.34,51.44,51.12,50.84,50.5,51.34,50.25,52.0,52.53,52.53,53.31,52.81,52.22,51.19,50.19,49.5,48.56,46.56,46.41,45.56,44.94,44.03,45.53,45.62,45.62,47.88,48.31,49.72,37.69,38.16,38.16,36.47,36.41,35.06,32.75,30.84,29.44,28.66,28.16,28.5,29.75,29.66,31.59,32.12,33.09,33.47,32.97,32.31,30.81,28.56,27.03,25.38,23.06,22.44,21.28,21.25,21.31,21.56:positivity
15.16,14.84,16.16,16.69,18.31,18.94,18.88,18.69,15.25,14.16,12.66,7.62,9.44,8.91,8.28,11.34,12.22,14.28,14.81,16.53,18.03,17.66,19.06,16.78,18.31,16.78,17.28,18.72,19.28,17.31,17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69:18.88,18.69,15.25,14.16,12.66,7.62,9.44,8.91,8.28,11.34,12.22,14.28,14.81,16.53,18.03,17.66,19.06,16.78,18.31,16.78,17.28,18.72,19.28,17.31,17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69,-40.69,-39.81,-38.31,-36.31,-35.56,-34.06:9.44,8.91,8.28,11.34,12.22,14.28,14.81,16.53,18.03,17.66,19.06,16.78,18.31,16.78,17.28,18.72,19.28,17.31,17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69,-40.69,-39.81,-38.31,-36.31,-35.56,-34.06,-34.66,-34.75,-36.78,-37.28,-37.88,-39.56:14.81,16.53,18.03,17.66,19.06,16.78,18.31,16.78,17.28,18.72,19.28,17.31,17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69,-40.69,-39.81,-38.31,-36.31,-35.56,-34.06,-34.66,-34.75,-36.78,-37.28,-37.88,-39.56,-39.97,-41.16,-39.09,-37.81,-35.03,-32.06:18.31,16.78,17.28,18.72,19.28,17.31,17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69,-40.69,-39.81,-38.31,-36.31,-35.56,-34.06,-34.66,-34.75,-36.78,-37.28,-37.88,-39.56,-39.97,-41.16,-39.09,-37.81,-35.03,-32.06,-30.47,-29.22,-29.34,-29.59,-28.81,-29.41:17.59,16.53,15.59,17.47,19.03,22.16,24.78,28.44,30.09,30.56,31.44,28.19,25.25,23.56,20.66,19.22,17.88,17.41,15.53,16.12,13.19,13.94,13.03,13.56,12.81,12.03,13.66,12.38,13.06,15.31,14.44,16.03,15.28,16.53,17.5,16.81,17.12,15.41,13.78,9.91,6.66,2.0,1.56,-6.03,-6.09,-8.47,-8.59,-8.25,-5.53,-3.16,-0.59,-1.19,0.81,-0.47,-1.72,-3.09,-4.16,-5.88,-5.47,-4.78,-2.56,-1.16,1.31,3.31,4.28,5.06,3.0,3.25,0.53,-0.25,0.34,-0.38,0.16,2.47,3.31,4.66,7.03,9.22,9.97,9.75,10.38,7.78,6.16,4.31,4.06,2.84,0.72,2.78,2.0,1.81,2.53,3.94,4.19,3.97,5.47,5.12,4.56,4.81,3.47,5.16,7.06,8.53,8.81,7.22,8.78,5.06,3.09,3.28,1.91,0.28,-2.72,-4.56,-5.06,-3.28,-3.41,2.31,4.25,7.06,8.06,7.81,6.03,4.31,1.72,-1.97,-1.97,-4.16,-5.47,-5.22,-7.38,-7.34,-6.47,-5.19,-5.16,-3.47,-3.22,-3.81,-4.16,-2.19,-1.47,0.53,3.09,6.56,9.22,11.47,12.28,11.5,10.81,9.0,7.56,6.0,4.38,1.09,0.12,-2.06,-2.34,-2.09,0.34,1.69,2.94,5.31,5.78,7.28,9.28,8.75,9.31,9.62,9.94,9.84,8.44,6.78,6.56,4.5,0.19,1.91,-0.34,-1.72,-1.5,-2.16,-2.34,-2.69,-3.56,-1.72,-2.41,-1.69,-1.34,-0.84,-0.97,-2.09,-2.72,-5.72,-4.09,-4.16,-3.72,-0.28,2.41,3.69,6.03,6.69,7.34,6.84,5.19,5.53,5.72,5.25,6.16,7.28,7.28,9.16,10.94,11.41,12.12,10.81,9.72,5.12,5.25,3.12,3.53,4.44,7.41,8.56,9.12,8.53,9.41,9.28,10.38,11.09,12.28,13.66,13.38,15.66,16.44,16.91,17.56,18.75,18.81,18.66,19.06,18.06,15.22,13.59,10.66,9.25,7.69,7.44,3.59,6.19,5.06,4.12,8.44,10.0,10.12,12.31,12.31,12.09,13.0,13.31,12.16,13.25,13.78,14.56,14.19,14.84,15.0,12.94,11.91,9.41,4.66,7.06,5.62,7.5,9.75,14.41,16.62,19.78,23.62,25.78,26.72,26.84,26.41,25.28,25.0,23.16,22.34,20.19,20.06,18.38,17.56,17.75,17.47,16.38,14.84,16.66,14.66,13.28,14.09,12.78,10.72,9.47,8.53,8.03,6.34,6.66,6.28,5.69,5.84,5.78,6.47,6.94,7.06,6.06,2.97,4.72,2.19,1.38,2.62,2.72,1.56,-0.06,-0.22,-0.53,-0.84,0.84,0.59,0.69,1.12,0.66,-1.09,2.06,1.62,5.0,7.69,9.75,11.84,11.81,10.62,11.06,8.91,7.62,8.56,9.34,8.69,10.25,10.25,10.88,11.53,12.34,13.78,13.84,12.0,12.16,6.06,7.56,5.47,3.56,4.88,5.91,8.03,8.5,10.34,10.28,10.44,10.84,9.0,11.31,12.31,9.0,10.34,8.84,6.19,5.0,4.53,5.12,2.41,3.44,4.0,3.31,4.06,4.09,2.44,1.84,2.19,3.12,2.94,4.41,5.62,3.97,2.19,2.38,1.19,-1.75,-2.34,-5.16,-7.19,-13.84,-12.5,-15.97,-14.25,-11.84,-9.28,-8.44,-6.28,-7.66,-7.22,-8.22,-7.72,-7.16,-8.97,-4.66,-2.78,-0.59,2.69,5.06,6.16,5.31,4.31,4.44,2.88,3.97,5.19,6.0,3.47,5.78,5.41,5.03,7.19,9.03,10.62,11.81,14.19,14.12,14.72,14.59,11.81,14.19,12.41,13.75,15.59,17.06,18.62,19.0,19.62,19.53,16.56,14.78,11.56,8.12,5.28,3.72,3.56,1.12,0.78,-0.03,0.41,-1.16,0.47,0.59,1.94,2.03,3.84,3.53,2.28,4.28,4.53,6.28,8.22,7.34,6.09,4.19,1.66,-0.22,-2.84,-6.31,-8.44,-11.41,-15.03,-14.78,-15.41,-17.06,-16.59,-15.78,-16.91,-13.53,-12.22,-9.97,-6.78,-6.5,-8.34,-5.91,-7.69,-9.34,-8.53,-9.09,-8.72,-9.41,-8.34,-9.41,-10.91,-11.53,-12.47,-12.91,-13.72,-12.09,-14.09,-11.34,-13.66,-13.41,-11.91,-9.94,-8.47,-5.72,-4.34,-4.91,-4.19,-5.72,-5.53,-5.94,-4.31,-5.0,-4.38,-4.09,-4.22,-3.56,-3.81,-3.62,-3.66,-2.69,-3.06,-2.97,-3.03,-3.31,-3.78,-3.16,-3.47,-5.41,-1.72,-0.66,0.91,3.19,2.84,0.03,-1.34,-3.03,-4.47,-4.09,-3.94,-4.84,-6.44,-6.53,-8.34,-11.5,-11.94,-11.91,-11.72,-10.44,-6.94,-3.03,-0.84,0.41,3.69,3.34,3.34,3.03,0.03,0.12,-1.0,-1.38,-0.66,-0.28,-0.78,-1.25,0.03,-0.34,-0.81,-0.03,-0.12,-1.31,-1.09,0.88,1.28,2.56,3.0,0.5,3.03,1.78,2.19,2.84,5.5,5.19,6.5,5.81,6.0,4.62,3.97,1.84,1.69,-0.16,-2.34,-3.09,-2.44,-1.91,0.06,1.28,4.53,3.16,5.28,5.72,5.28,7.62,5.91,5.81,4.66,1.62,-2.81,-0.78,-4.06,-2.97,-1.66,0.44,0.81,1.5,2.25,2.41,3.41,3.44,6.56,9.78,13.88,17.66,19.5,17.62,14.59,10.44,5.19,3.44,2.41,0.81,-1.59,-0.06,-1.06,-0.31,-0.28,1.56,2.28,2.53,2.06,3.84,3.12,3.62,3.78,1.47,0.78,-0.97,-0.28,-1.66,-0.03,-0.44,-0.16,-0.94,-1.09,-1.06,0.78,2.31,3.81,0.06,5.28,3.5,4.25,6.25,7.59,10.06,9.78,11.69,10.0,10.88,10.56,9.12,9.19,8.38,2.94,4.06,1.75,0.28,1.19,3.66,4.59,3.66,3.47,2.31,1.59,0.16,-0.31,1.0,0.94,2.06,4.25,4.22,6.38,4.97,5.66,7.66,7.56,9.41,9.84,9.12,7.81,5.47,5.31,3.03,3.91,4.5,4.34,5.69,6.25,6.28,7.81,6.53,7.66,4.0,8.81,9.94,13.72,16.41,16.81,15.59,13.34,8.94,6.41,2.28,1.88,0.34,-2.34,3.25,3.06,4.78,6.44,7.09,7.97,8.0,10.0,12.25,11.03,12.69,12.31,10.03,8.84,7.97,6.34,3.91,2.44,2.19,1.47,3.78,4.22,3.12,3.66,3.25,4.81,5.44,7.62,9.06,10.03,8.69,8.94,10.38,8.34,12.81,13.38,13.03,14.91,15.88,15.94,15.62,15.72,15.59,15.06,14.81,14.47,12.12,8.66,7.94,5.0,3.41,1.56,1.41,0.41,0.5,1.47,5.16,6.81,10.91,15.03,16.88,19.0,17.69,18.03,14.59,8.0,8.78,5.62,3.97,4.28,3.97,2.62,1.75,0.88,0.16,-0.44,0.31,-0.75,-2.12,0.12,1.75,4.31,7.44,10.09,12.69,13.12,11.0,13.69,12.56,12.06,12.19,13.69,13.56,11.94,12.0,10.34,8.78,9.31,8.06,7.19,7.69,5.75,6.72,4.38,5.81,4.5,3.69,5.72,5.06,5.91,7.19,10.16,11.47,13.66,15.81,12.12,12.69,10.28,8.03,8.03,7.88,9.66,10.53,12.09,12.53,14.69,14.84,14.72,13.88,11.91,13.66,12.0,14.25,16.72,18.69,-40.69,-39.81,-38.31,-36.31,-35.56,-34.06,-34.66,-34.75,-36.78,-37.28,-37.88,-39.56,-39.97,-41.16,-39.09,-37.81,-35.03,-32.06,-30.47,-29.22,-29.34,-29.59,-28.81,-29.41,-29.09,-27.94,-27.62,-26.66,-24.69,-24.72:positivity
44.41,43.66,43.0,40.81,41.41,39.81,40.03,41.03,41.69,43.0,43.53,43.22,42.66,42.0,42.44,42.5,43.12,44.69,45.69,46.56,46.75,46.38,43.41,42.19,40.53,38.94,38.69,38.31,37.94,38.5,39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53:40.03,41.03,41.69,43.0,43.53,43.22,42.66,42.0,42.44,42.5,43.12,44.69,45.69,46.56,46.75,46.38,43.41,42.19,40.53,38.94,38.69,38.31,37.94,38.5,39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53,-12.28,-14.06,-16.97,-19.47,-20.62,-21.72:42.66,42.0,42.44,42.5,43.12,44.69,45.69,46.56,46.75,46.38,43.41,42.19,40.53,38.94,38.69,38.31,37.94,38.5,39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53,-12.28,-14.06,-16.97,-19.47,-20.62,-21.72,-21.78,-21.38,-20.03,-19.66,-18.97,-19.47:45.69,46.56,46.75,46.38,43.41,42.19,40.53,38.94,38.69,38.31,37.94,38.5,39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53,-12.28,-14.06,-16.97,-19.47,-20.62,-21.72,-21.78,-21.38,-20.03,-19.66,-18.97,-19.47,-20.03,-20.12,-19.59,-18.97,-17.09,-15.47:40.53,38.94,38.69,38.31,37.94,38.5,39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53,-12.28,-14.06,-16.97,-19.47,-20.62,-21.72,-21.78,-21.38,-20.03,-19.66,-18.97,-19.47,-20.03,-20.12,-19.59,-18.97,-17.09,-15.47,-12.66,-10.91,-10.44,-10.66,-11.84,-13.78:39.19,39.81,40.84,42.25,42.91,43.59,44.09,44.94,45.94,46.72,48.41,48.94,49.78,48.94,48.66,47.72,45.84,45.44,43.69,41.94,42.38,40.91,40.53,40.5,39.59,39.81,39.53,40.0,40.75,41.34,42.03,42.62,42.44,42.62,42.84,44.31,44.91,45.28,45.31,42.97,39.78,35.97,31.19,28.38,26.22,24.31,25.72,26.38,27.19,28.41,28.75,29.59,29.62,30.09,30.81,31.72,34.16,35.09,36.31,37.03,37.66,37.84,37.66,37.56,37.16,35.44,33.78,33.75,32.19,32.12,33.38,33.97,34.62,34.66,34.97,35.53,34.62,35.09,35.16,35.06,34.28,34.19,33.41,32.25,32.28,32.25,31.44,32.28,32.97,32.28,32.94,33.25,33.81,34.28,34.5,34.94,34.41,34.53,35.16,36.41,37.0,37.25,38.12,37.94,37.88,36.34,35.66,34.62,32.91,32.16,31.44,29.81,30.81,31.12,30.75,31.0,29.28,27.06,24.88,22.81,21.72,20.78,21.09,22.88,22.41,24.06,24.62,24.91,24.84,23.72,21.91,20.31,18.25,16.88,16.28,15.19,15.97,18.19,19.12,21.66,22.97,24.59,26.28,27.81,27.78,28.5,28.94,27.06,27.69,26.06,25.31,23.09,21.72,19.59,17.31,15.72,14.38,11.84,11.53,10.44,9.88,10.12,9.56,9.41,9.56,10.66,11.19,12.03,14.44,15.66,18.22,19.31,21.75,22.94,22.53,20.97,18.28,14.5,12.06,9.12,6.38,4.75,2.16,1.94,0.69,0.53,1.56,2.28,2.72,2.69,2.12,1.0,-1.31,-1.81,-2.53,-2.69,-2.44,-2.31,-2.66,-1.03,-1.31,-0.16,1.47,0.72,2.09,1.66,0.5,-0.09,-1.97,-3.97,-4.78,-5.66,-6.72,-5.84,-4.94,-2.44,0.94,4.38,8.22,12.56,14.41,14.03,14.0,12.31,10.44,9.44,6.69,5.19,3.0,0.66,-0.75,-1.84,-1.47,-2.28,-0.16,1.31,1.78,3.75,5.16,5.81,6.72,7.31,7.62,8.94,9.03,9.75,9.78,9.88,8.72,7.84,7.16,7.38,7.91,8.16,9.16,10.19,10.88,11.91,12.41,13.56,14.38,14.16,14.62,14.31,13.31,13.19,12.16,10.28,8.66,6.94,4.59,2.94,1.75,1.75,1.03,0.09,-0.22,-2.09,-2.69,-3.06,-2.59,-1.16,-0.41,1.44,2.38,4.31,6.91,8.97,10.81,12.5,13.03,12.19,11.59,9.62,7.59,5.94,3.97,2.75,2.56,1.25,1.41,1.38,1.28,1.62,2.16,1.66,1.12,0.84,1.09,0.38,1.09,1.94,2.62,2.94,4.44,5.09,4.66,5.06,5.53,4.66,4.78,3.84,3.16,3.22,2.34,2.56,1.62,1.06,0.47,0.31,0.72,0.44,2.75,4.38,5.84,7.69,10.19,9.91,9.91,7.41,6.75,3.62,2.69,1.56,1.62,3.53,4.31,6.0,6.56,6.41,5.94,4.81,3.41,4.25,5.25,5.81,7.06,7.09,7.66,7.09,5.16,3.78,3.19,1.09,1.97,2.22,3.53,5.66,7.88,8.56,9.09,10.06,8.91,7.41,5.97,2.69,-0.38,-2.56,-4.16,-4.22,-3.91,-2.47,-0.91,0.88,3.0,5.41,7.31,8.81,10.38,11.91,11.25,10.91,10.03,7.75,5.59,2.44,0.0,-1.72,-3.06,-1.28,0.53,3.91,7.44,9.72,10.94,12.31,11.75,11.16,9.19,7.88,5.88,2.38,0.0,-2.75,-3.09,-4.44,-3.41,-2.19,-2.75,-2.28,-2.34,-2.19,-1.56,0.38,1.97,4.66,4.69,5.0,3.81,2.88,1.5,-0.84,-2.16,-3.03,-4.03,-4.91,-5.28,-5.97,-5.72,-6.28,-6.03,-6.53,-6.97,-7.56,-7.94,-7.84,-7.41,-5.72,-3.47,-1.34,0.31,0.94,0.97,0.38,0.22,0.12,-0.03,-0.69,-0.38,-1.72,-2.34,-3.28,-3.72,-3.75,-3.25,-2.66,-2.16,-1.25,-1.16,-1.38,-2.19,-1.25,-0.94,-0.59,1.16,1.62,1.16,2.16,1.34,0.91,1.41,2.28,2.22,3.25,3.53,5.06,5.91,6.5,5.72,5.94,4.91,3.97,4.5,5.66,6.97,8.28,9.12,8.81,7.03,5.59,3.53,1.75,0.88,-0.47,0.53,-0.41,0.22,1.56,1.84,2.19,2.41,2.41,3.06,3.41,4.03,4.03,3.88,5.19,5.09,5.44,4.81,4.62,4.25,3.03,1.41,0.72,-0.72,-2.28,-4.25,-4.69,-6.28,-6.62,-7.72,-9.78,-11.19,-12.53,-14.75,-15.12,-15.72,-15.22,-13.72,-12.0,-10.03,-8.88,-7.72,-6.97,-6.84,-6.84,-7.31,-7.47,-7.28,-7.62,-7.97,-8.28,-8.78,-10.22,-11.31,-11.41,-11.09,-9.78,-8.59,-6.66,-4.88,-4.09,-2.97,-2.28,-1.41,-0.72,0.09,0.47,0.28,0.69,0.41,0.44,1.62,2.56,2.62,3.19,4.28,3.47,4.44,3.41,1.91,0.16,-1.66,-3.59,-3.66,-4.56,-2.38,0.97,3.41,6.69,10.22,11.69,13.44,13.72,13.16,11.34,9.62,7.78,5.56,3.5,2.44,2.16,2.12,2.72,3.06,4.56,3.91,3.62,3.06,1.06,0.0,-1.47,-2.69,-3.69,-4.94,-4.22,-5.22,-4.47,-1.91,-0.41,3.19,6.88,10.5,11.53,12.06,11.53,9.88,8.25,7.66,6.56,7.03,6.41,5.91,6.19,6.22,7.53,8.44,9.72,10.78,10.66,10.06,8.72,7.72,5.91,5.06,4.72,4.0,3.72,4.31,4.25,4.56,5.0,3.94,3.47,2.88,0.5,-0.72,-2.31,-3.34,-3.88,-4.19,-4.22,-4.53,-4.84,-4.31,-4.09,-3.03,-2.59,-1.44,-0.69,-0.03,1.0,2.25,4.19,4.88,6.0,7.06,7.25,8.0,8.12,7.69,6.62,3.88,2.69,0.22,-1.31,-2.06,-1.72,0.53,3.28,5.41,8.59,10.19,10.78,10.97,9.84,8.09,8.0,7.91,9.03,10.94,12.19,13.66,13.38,13.53,12.81,10.22,9.62,8.19,6.88,6.5,5.47,5.44,3.97,2.94,1.31,0.22,-0.84,-2.19,-3.72,-5.47,-7.69,-8.53,-8.81,-8.28,-6.41,-4.31,-0.66,1.41,3.47,5.62,6.62,5.78,5.0,3.56,2.03,0.84,-0.28,-1.81,-2.84,-5.5,-6.34,-7.66,-8.97,-8.41,-7.97,-7.72,-6.91,-6.56,-5.84,-4.72,-3.94,-2.97,-1.97,-0.84,-0.84,0.44,1.25,0.78,0.44,0.66,0.69,0.66,1.94,3.62,3.81,5.12,4.22,3.16,2.16,0.91,2.0,3.09,3.66,4.66,6.47,7.38,7.59,9.0,9.44,9.91,10.06,8.75,7.81,6.78,5.97,5.03,4.5,4.69,5.28,6.06,7.06,8.75,9.25,10.62,10.12,11.0,10.81,9.56,10.62,9.22,8.34,7.94,6.03,5.19,4.62,4.88,4.97,6.38,6.97,6.59,5.78,4.72,3.06,0.19,-1.22,-3.88,-5.69,-6.66,-6.06,-6.53,-5.38,-4.5,-4.59,-3.28,-2.34,-1.72,-1.84,-0.72,-0.94,-1.16,-2.28,-1.38,-1.59,-1.19,0.03,0.12,1.03,2.16,1.94,1.12,0.56,-0.16,-1.03,-1.75,-2.22,-1.84,-1.59,-1.28,-0.41,0.31,1.44,2.94,3.44,5.5,7.56,8.94,12.31,14.22,15.25,15.72,15.38,15.0,13.53,-12.28,-14.06,-16.97,-19.47,-20.62,-21.72,-21.78,-21.38,-20.03,-19.66,-18.97,-19.47,-20.03,-20.12,-19.59,-18.97,-17.09,-15.47,-12.66,-10.91,-10.44,-10.66,-11.84,-13.78,-15.16,-16.19,-17.22,-17.25,-17.97,-18.47:positivity
9.22,10.44,10.19,11.16,6.28,2.19,2.19,-1.91,-0.81,1.53,2.69,1.06,-0.59,-1.53,-3.38,-6.38,-5.44,-7.91,-6.19,-6.0,-4.94,-2.66,-1.59,-3.03,-5.16,-5.31,-5.09,-3.59,-1.97,1.16,1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41:2.19,-1.91,-0.81,1.53,2.69,1.06,-0.59,-1.53,-3.38,-6.38,-5.44,-7.91,-6.19,-6.0,-4.94,-2.66,-1.59,-3.03,-5.16,-5.31,-5.09,-3.59,-1.97,1.16,1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41,67.03,66.06,65.44,63.31,60.97,59.94:-0.59,-1.53,-3.38,-6.38,-5.44,-7.91,-6.19,-6.0,-4.94,-2.66,-1.59,-3.03,-5.16,-5.31,-5.09,-3.59,-1.97,1.16,1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41,67.03,66.06,65.44,63.31,60.97,59.94,57.41,57.44,55.91,56.06,54.53,51.88:-6.19,-6.0,-4.94,-2.66,-1.59,-3.03,-5.16,-5.31,-5.09,-3.59,-1.97,1.16,1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41,67.03,66.06,65.44,63.31,60.97,59.94,57.41,57.44,55.91,56.06,54.53,51.88,49.41,49.44,46.38,48.25,49.16,49.12:-5.16,-5.31,-5.09,-3.59,-1.97,1.16,1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41,67.03,66.06,65.44,63.31,60.97,59.94,57.41,57.44,55.91,56.06,54.53,51.88,49.41,49.44,46.38,48.25,49.16,49.12,50.5,49.75,52.06,52.12,52.94,55.0:1.81,1.47,0.56,0.5,0.5,-0.41,-1.66,0.03,-0.72,-2.44,-1.59,-1.47,-1.44,-1.53,-0.94,-2.03,-3.28,-3.72,-4.72,-5.25,-5.75,-3.69,-3.22,-2.97,-0.81,0.5,-2.56,-0.91,-1.84,-3.66,-2.03,-1.62,-1.22,-2.22,0.06,-1.56,-1.75,-1.91,-2.31,-4.78,-5.38,-5.41,-7.78,-9.56,-10.19,-11.81,-14.59,-12.0,-12.59,-11.97,-11.56,-11.03,-13.97,-13.59,-13.84,-13.69,-14.03,-13.56,-12.72,-9.31,-11.97,-10.59,-8.75,-7.22,-6.91,-6.31,-3.84,-4.34,-8.59,-6.97,-8.59,-8.25,-8.22,-6.56,-8.47,-11.84,-11.69,-15.38,-16.34,-16.62,-16.75,-16.78,-16.38,-18.25,-17.59,-19.88,-20.94,-22.28,-22.41,-22.94,-23.34,-23.5,-19.31,-17.22,-18.06,-15.22,-16.47,-16.66,-17.62,-16.72,-14.28,-17.16,-15.22,-16.84,-13.66,-15.94,-11.78,-10.53,-9.56,-7.25,-6.69,-5.97,-6.56,-8.66,-9.88,-13.91,-13.81,-16.34,-19.22,-15.09,-16.03,-16.47,-14.28,-10.03,-11.75,-7.47,-8.28,-9.94,-8.19,-8.97,-12.97,-13.03,-14.06,-13.78,-18.34,-16.66,-18.97,-20.66,-19.03,-18.94,-15.44,-11.78,-11.5,-9.59,-10.31,-17.5,-18.53,-19.03,-16.59,-16.22,-7.66,-4.91,-2.69,-1.91,-3.03,-4.75,-4.31,-7.72,-9.72,-10.38,-13.19,-15.78,-17.72,-18.22,-16.22,-15.59,-13.88,-15.56,-14.44,-17.03,-18.59,-17.19,-14.75,-14.0,-12.03,-11.25,-10.22,-12.62,-14.56,-15.25,-17.44,-17.09,-18.53,-16.0,-15.28,-15.06,-16.97,-20.28,-22.75,-25.69,-27.16,-25.16,-23.91,-23.22,-24.06,-23.56,-23.44,-25.34,-22.66,-22.81,-24.75,-29.09,-26.53,-28.03,-28.59,-25.66,-25.22,-23.84,-25.44,-25.34,-26.34,-27.34,-26.75,-29.91,-30.62,-27.22,-27.38,-23.53,-20.38,-18.34,-15.66,-13.59,-16.62,-17.22,-16.94,-19.09,-20.31,-20.81,-20.53,-20.12,-20.34,-18.94,-21.38,-21.41,-22.22,-24.09,-24.16,-22.84,-24.09,-23.44,-22.22,-22.19,-23.94,-25.53,-24.72,-27.09,-26.06,-23.47,-23.53,-17.94,-18.5,-15.84,-14.69,-15.22,-17.41,-17.22,-20.59,-20.66,-23.66,-23.66,-24.03,-22.97,-21.94,-23.56,-19.59,-19.94,-21.81,-18.97,-19.16,-23.34,-21.31,-23.31,-24.88,-24.62,-23.69,-22.78,-21.72,-20.5,-19.69,-19.47,-19.19,-18.34,-14.19,-18.38,-18.66,-19.5,-18.84,-18.28,-16.72,-15.53,-15.47,-15.97,-18.69,-21.12,-23.28,-25.72,-27.03,-30.09,-28.75,-27.84,-25.91,-22.59,-20.44,-20.12,-19.41,-23.09,-25.09,-25.09,-25.72,-25.97,-24.03,-23.09,-23.97,-27.47,-29.25,-33.47,-34.94,-33.41,-32.41,-28.53,-24.47,-23.47,-21.44,-20.22,-21.09,-21.28,-21.84,-25.47,-25.59,-30.66,-28.34,-28.72,-26.84,-24.47,-23.88,-24.44,-25.31,-27.22,-29.69,-31.72,-34.22,-36.56,-33.56,-37.41,-32.28,-33.0,-27.72,-28.25,-26.94,-25.91,-29.66,-31.34,-34.09,-33.53,-36.69,-36.22,-42.03,-37.84,-40.41,-42.28,-37.25,-36.16,-34.59,-34.03,-31.59,-32.38,-33.59,-31.34,-34.94,-38.03,-39.84,-39.88,-38.72,-36.66,-29.66,-25.78,-19.69,-14.81,-13.0,-11.91,-13.03,-14.09,-21.41,-21.41,-26.28,-27.5,-32.84,-32.41,-33.28,-37.19,-38.44,-40.78,-39.94,-38.91,-37.44,-32.88,-30.28,-27.53,-26.69,-23.69,-24.91,-24.09,-27.59,-27.66,-29.88,-29.84,-30.41,-28.94,-26.78,-30.41,-31.53,-29.06,-32.47,-32.66,-33.47,-32.34,-33.81,-32.28,-32.81,-33.66,-28.72,-27.16,-27.72,-21.53,-20.91,-19.28,-19.34,-18.66,-20.75,-23.84,-25.22,-25.78,-30.09,-29.47,-28.81,-27.09,-26.59,-24.09,-21.59,-21.28,-20.62,-22.47,-19.34,-23.44,-23.22,-24.16,-28.34,-29.06,-31.62,-33.72,-33.94,-29.09,-26.66,-23.44,-19.78,-16.09,-14.97,-15.81,-17.31,-18.84,-19.5,-21.31,-23.75,-22.31,-22.5,-23.72,-22.72,-25.75,-28.44,-30.03,-31.34,-34.41,-34.34,-34.31,-37.22,-39.81,-40.91,-39.81,-40.44,-38.5,-34.34,-31.41,-32.53,-30.59,-28.72,-30.56,-29.34,-28.56,-26.59,-27.16,-28.03,-27.28,-28.91,-32.16,-30.28,-34.72,-30.81,-30.69,-33.62,-30.72,-34.03,-38.34,-39.41,-39.78,-42.0,-40.91,-37.59,-36.59,-32.59,-33.59,-30.53,-33.66,-34.53,-36.09,-35.72,-37.62,-37.88,-34.53,-37.22,-33.72,-32.69,-31.88,-29.28,-27.47,-26.69,-28.34,-26.56,-29.09,-30.19,-30.25,-29.78,-28.81,-28.59,-29.34,-27.94,-29.66,-31.56,-30.09,-30.28,-30.22,-29.41,-27.34,-27.28,-27.34,-28.03,-30.12,-27.91,-30.59,-27.84,-28.72,-30.66,-30.31,-29.59,-29.41,-32.06,-30.72,-30.28,-33.5,-29.56,-29.97,-27.47,-26.62,-26.03,-25.84,-26.44,-26.97,-29.16,-29.97,-33.0,-33.28,-33.75,-33.06,-32.22,-30.97,-30.03,-33.09,-31.03,-31.28,-30.91,-27.62,-26.72,-24.72,-24.59,-25.91,-24.62,-28.78,-29.88,-29.59,-30.28,-31.47,-28.09,-27.28,-26.25,-25.66,-23.66,-30.72,-25.84,-28.12,-28.81,-26.53,-27.34,-29.22,-28.59,-29.72,-30.44,-29.66,-26.97,-27.91,-30.06,-27.5,-29.31,-31.69,-27.16,-28.66,-30.56,-28.53,-28.47,-27.66,-26.53,-25.84,-24.84,-26.72,-31.94,-31.53,-35.59,-34.94,-37.34,-37.69,-37.72,-39.84,-41.16,-38.84,-39.56,-35.38,-35.56,-34.75,-33.62,-32.66,-33.72,-31.44,-29.22,-30.47,-27.53,-28.16,-28.81,-30.53,-32.62,-33.59,-36.94,-36.47,-41.72,-42.81,-43.72,-44.97,-42.56,-39.78,-38.84,-38.38,-39.19,-39.25,-43.81,-42.69,-40.06,-38.72,-38.59,-30.88,-27.66,-26.03,-24.59,-24.12,-28.78,-32.06,-35.0,-35.88,-37.69,-34.78,-33.34,-32.16,-31.19,-29.03,-28.97,-26.53,-23.59,-24.84,-23.88,-24.97,-26.91,-28.03,-28.25,-25.84,-23.59,-21.41,-19.81,-18.91,-19.56,-20.0,-21.28,-19.97,-22.59,-21.91,-24.12,-22.53,-24.34,-25.75,-25.78,-23.59,-23.91,-25.16,-22.81,-22.53,-24.72,-25.16,-22.59,-24.59,-24.56,-23.97,-26.44,-28.06,-29.09,-29.91,-30.19,-30.84,-29.97,-30.06,-31.09,-33.91,-33.97,-36.97,-39.5,-35.5,-37.66,-36.22,-34.38,-34.47,-34.22,-35.88,-36.72,-38.25,-36.72,-36.03,-34.81,-33.28,-34.31,-35.03,-36.66,-36.53,-38.84,-35.0,-35.22,-34.22,-33.47,-36.56,-37.09,-40.62,-42.38,-44.66,-45.44,-44.97,-43.78,-41.31,-38.78,-39.44,-36.94,-36.16,-36.31,-37.34,-35.34,-36.53,-36.34,-35.44,-34.66,-35.34,-36.19,-34.22,-32.84,-32.78,-28.0,-26.59,-25.06,-26.22,-26.06,-26.84,-28.69,-28.34,-29.28,-28.84,-30.47,-29.94,-30.28,-32.56,-31.44,-30.19,-29.97,-28.12,-29.22,-27.75,-26.41,-27.53,-23.78,-24.53,-23.91,-24.28,-26.16,-27.06,-29.97,-31.09,-34.22,-37.41,-43.97,-41.84,-43.78,-42.66,-39.66,-39.28,-37.12,-35.59,-36.25,-34.69,-30.22,-31.91,-31.28,-31.28,-31.59,-33.44,-31.62,-29.78,-29.66,-30.09,-32.0,-31.28,-32.41,-35.66,-35.31,-34.97,-35.59,-36.34,-35.03,-33.09,-33.34,-31.47,-29.72,-28.19,-29.41,-29.31,-30.44,-31.03,-30.59,-29.03,-27.34,-26.91,-25.59,-30.41,-29.78,-31.34,-32.06,-31.59,-29.66,-32.16,-30.97,-30.56,-29.66,-28.31,-27.06,-30.91,-29.5,-30.41,67.03,66.06,65.44,63.31,60.97,59.94,57.41,57.44,55.91,56.06,54.53,51.88,49.41,49.44,46.38,48.25,49.16,49.12,50.5,49.75,52.06,52.12,52.94,55.0,55.75,57.38,58.66,60.41,60.38,59.62:positivity
37.44,34.28,30.56,28.12,25.78,25.62,26.91,29.72,32.41,35.41,37.84,39.44,40.59,40.34,42.09,42.28,42.31,43.38,43.19,42.81,41.66,40.34,37.84,35.88,33.72,31.81,30.28,30.44,30.81,30.75,31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69:26.91,29.72,32.41,35.41,37.84,39.44,40.59,40.34,42.09,42.28,42.31,43.38,43.19,42.81,41.66,40.34,37.84,35.88,33.72,31.81,30.28,30.44,30.81,30.75,31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69,-0.84,-4.62,-8.28,-11.78,-13.69,-14.72:40.59,40.34,42.09,42.28,42.31,43.38,43.19,42.81,41.66,40.34,37.84,35.88,33.72,31.81,30.28,30.44,30.81,30.75,31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69,-0.84,-4.62,-8.28,-11.78,-13.69,-14.72,-13.84,-12.56,-10.44,-8.06,-5.53,-3.12:43.19,42.81,41.66,40.34,37.84,35.88,33.72,31.81,30.28,30.44,30.81,30.75,31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69,-0.84,-4.62,-8.28,-11.78,-13.69,-14.72,-13.84,-12.56,-10.44,-8.06,-5.53,-3.12,-1.03,0.91,2.62,2.97,3.03,2.5:33.72,31.81,30.28,30.44,30.81,30.75,31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69,-0.84,-4.62,-8.28,-11.78,-13.69,-14.72,-13.84,-12.56,-10.44,-8.06,-5.53,-3.12,-1.03,0.91,2.62,2.97,3.03,2.5,1.34,-0.38,-2.09,-4.88,-6.91,-9.72:31.5,32.5,32.41,34.34,36.25,39.12,41.41,44.34,46.22,47.69,46.81,46.62,45.22,42.84,40.66,39.81,39.06,39.81,39.38,39.44,38.94,37.12,35.22,35.03,34.16,31.0,31.72,31.66,30.81,32.22,33.31,33.69,32.59,32.91,31.94,31.31,30.84,29.75,29.31,28.91,26.09,28.69,28.44,29.03,30.41,31.22,31.44,32.25,32.69,32.12,33.12,33.44,33.91,36.12,38.25,39.78,41.75,41.62,41.03,39.56,38.22,36.5,34.66,37.28,36.91,37.91,40.25,39.91,40.62,37.62,34.72,33.5,32.47,32.94,35.31,36.81,38.06,40.03,39.88,41.19,42.91,42.25,46.81,48.19,49.56,51.25,51.44,51.62,50.41,49.25,47.53,46.25,42.88,41.12,40.28,39.16,38.59,39.69,39.25,40.0,40.62,41.5,41.47,39.97,43.03,40.53,40.72,42.09,40.94,39.09,37.47,35.0,32.75,31.41,31.38,28.44,32.81,33.25,35.69,39.72,42.16,42.12,42.84,41.16,38.81,37.12,35.19,34.12,33.06,32.59,31.94,30.84,27.94,21.88,22.94,20.94,20.53,23.16,25.03,25.97,26.75,26.84,27.28,27.03,26.0,25.78,24.78,23.91,22.06,20.69,20.25,18.12,18.5,18.66,18.81,19.72,20.5,19.97,19.84,21.41,21.47,22.97,24.5,26.03,26.16,27.03,26.38,26.25,26.12,25.56,25.19,25.12,24.75,23.91,25.34,23.66,26.28,27.41,28.41,30.41,32.12,33.97,34.84,35.06,36.12,36.38,35.91,35.47,35.81,35.12,34.38,34.56,34.62,34.53,34.47,33.5,33.78,34.78,36.06,37.28,36.34,38.5,38.53,37.94,38.72,37.59,36.28,33.44,29.72,27.06,24.19,22.38,21.38,19.62,16.19,17.69,16.78,18.72,20.56,22.81,24.5,23.66,23.44,22.5,20.5,18.59,18.53,15.75,14.72,14.09,12.59,10.53,10.62,9.81,10.03,10.38,10.41,11.31,8.0,10.84,11.06,11.41,13.69,15.0,14.88,13.34,12.84,11.84,11.78,10.94,12.44,12.03,12.56,14.5,15.44,16.91,17.81,17.94,18.25,18.91,17.84,18.22,17.19,13.34,13.66,11.22,10.81,11.91,13.06,14.5,16.41,17.19,18.03,18.59,19.12,18.09,17.84,17.28,14.38,17.62,16.78,18.03,19.41,20.41,20.12,19.31,18.5,17.25,17.19,15.94,15.53,15.06,11.88,12.06,10.16,8.19,9.34,9.69,10.25,11.44,11.78,11.41,13.31,14.41,13.31,14.0,15.31,14.5,15.38,17.03,17.78,17.66,18.5,18.41,19.56,18.91,18.81,19.31,17.88,19.0,19.91,20.66,21.12,21.34,21.19,21.59,21.59,21.5,21.97,21.78,21.56,21.38,22.53,22.53,21.78,26.75,28.81,32.88,36.38,38.94,39.06,35.91,32.16,28.5,26.19,23.59,22.19,20.53,17.75,17.12,16.81,16.19,17.78,17.91,17.78,16.66,14.28,12.97,12.91,11.53,13.66,14.19,15.16,16.91,14.38,18.78,19.41,21.81,24.81,26.56,27.44,27.22,26.5,24.41,23.16,20.97,19.88,19.0,19.44,21.19,21.59,24.62,26.88,27.94,30.31,33.25,33.44,32.44,31.66,28.41,26.25,24.19,21.94,18.62,20.75,20.0,21.41,23.5,27.06,27.94,27.72,26.75,24.56,21.03,17.78,13.78,11.94,12.25,13.88,16.25,19.94,20.28,24.56,24.47,25.56,27.16,29.19,29.94,30.44,31.03,29.94,29.28,30.0,28.78,28.34,27.81,27.62,25.44,22.75,22.28,20.84,21.31,22.88,24.34,24.78,25.94,26.75,27.91,28.62,29.03,30.56,30.31,30.62,29.91,29.28,26.62,27.91,26.75,27.72,28.62,27.75,27.56,25.94,24.03,22.12,21.31,19.81,18.91,15.94,17.94,16.5,16.84,18.31,18.78,19.31,18.62,16.62,14.84,13.66,11.44,9.56,8.75,9.0,8.16,9.19,8.81,9.69,10.66,11.84,13.72,16.34,17.84,19.56,19.44,20.0,19.44,18.41,17.41,16.12,15.56,12.81,14.62,16.38,18.53,22.31,25.28,27.41,28.41,29.06,28.09,28.16,27.34,27.06,23.62,27.16,25.25,25.69,26.16,25.38,25.53,23.88,22.06,20.06,18.88,17.44,15.22,12.78,15.0,14.81,15.81,18.69,20.66,20.78,21.0,20.41,19.16,17.72,17.69,16.78,18.09,15.88,19.91,19.72,20.06,21.12,20.22,19.25,18.5,17.75,16.78,16.88,16.94,15.66,13.22,14.34,13.25,13.12,14.34,14.62,13.47,13.62,12.62,12.03,13.38,15.06,17.19,19.19,21.34,21.06,20.5,16.66,17.44,14.69,14.53,15.66,17.5,19.25,20.38,21.88,23.44,25.12,25.66,27.41,27.94,27.53,27.47,26.25,22.25,21.91,20.12,18.78,19.62,19.81,20.84,20.19,20.88,20.06,18.84,18.19,17.47,17.25,19.25,18.19,22.88,23.44,25.56,26.81,26.88,25.44,23.47,20.09,17.78,15.03,13.28,13.66,12.34,13.56,14.19,13.06,11.44,12.28,10.78,11.44,13.25,14.72,15.25,17.34,17.69,18.0,18.44,18.31,19.28,19.31,20.66,22.69,23.53,23.44,26.62,26.72,27.78,28.66,28.75,27.72,26.56,24.69,22.12,20.0,18.53,16.72,14.78,14.06,14.03,16.44,17.44,20.44,24.31,25.94,27.91,28.12,28.44,27.75,26.59,25.53,25.19,24.5,24.47,24.5,24.34,24.66,24.78,25.31,24.0,26.31,25.66,27.09,28.69,28.78,29.12,29.81,29.66,28.88,28.28,26.78,25.59,23.47,21.75,17.66,19.12,17.41,17.19,18.19,19.62,19.12,19.03,17.66,16.25,14.53,13.16,11.22,13.06,13.47,15.31,18.28,21.28,22.03,22.5,23.72,22.91,22.28,21.06,20.09,19.28,18.75,18.62,19.62,19.38,20.28,18.06,18.09,16.66,14.53,14.16,12.0,10.25,9.31,7.88,6.41,5.88,4.62,4.19,2.62,1.97,2.34,-0.59,3.78,4.38,6.69,9.72,12.0,13.44,13.94,14.59,13.41,13.41,13.91,13.12,12.66,12.75,11.53,11.09,8.53,5.41,5.19,2.91,3.94,5.31,7.12,9.38,10.97,13.19,15.91,18.28,21.0,22.62,22.88,21.16,21.28,18.22,15.88,14.78,13.72,12.78,12.06,12.69,12.56,13.56,14.38,14.25,15.34,14.88,14.91,14.41,13.69,11.44,9.88,10.0,8.66,9.44,10.5,11.12,11.94,11.62,11.69,12.03,9.25,13.22,12.03,14.03,16.16,16.5,16.56,15.56,13.81,12.34,10.84,9.84,9.62,9.03,9.38,8.56,10.84,11.41,14.03,17.62,20.97,24.22,26.34,27.81,27.25,28.19,27.66,26.88,25.69,24.16,21.91,18.06,17.41,15.44,14.06,14.19,14.53,14.09,13.06,12.69,11.56,11.25,12.16,14.16,15.62,18.75,21.34,23.22,24.41,24.56,23.06,20.62,18.06,14.62,11.75,10.59,9.31,8.81,9.06,9.31,10.72,11.56,13.62,16.09,18.0,22.69,25.72,27.16,30.88,31.56,30.47,29.66,28.12,27.69,25.41,24.78,23.53,22.84,21.66,20.19,18.84,14.69,-0.84,-4.62,-8.28,-11.78,-13.69,-14.72,-13.84,-12.56,-10.44,-8.06,-5.53,-3.12,-1.03,0.91,2.62,2.97,3.03,2.5,1.34,-0.38,-2.09,-4.88,-6.91,-9.72,-11.97,-13.25,-13.81,-13.66,-13.38,-13.47:positivity
37.06,38.53,39.81,38.84,40.19,39.34,39.16,37.06,35.88,33.31,31.28,28.62,27.91,27.66,28.34,30.09,32.25,35.84,37.34,40.62,42.53,44.0,44.25,42.94,40.62,38.88,35.06,32.91,30.91,29.22,28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84:39.16,37.06,35.88,33.31,31.28,28.62,27.91,27.66,28.34,30.09,32.25,35.84,37.34,40.62,42.53,44.0,44.25,42.94,40.62,38.88,35.06,32.91,30.91,29.22,28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84,-6.09,-4.09,-2.84,-2.84,-3.84,-4.28:27.91,27.66,28.34,30.09,32.25,35.84,37.34,40.62,42.53,44.0,44.25,42.94,40.62,38.88,35.06,32.91,30.91,29.22,28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84,-6.09,-4.09,-2.84,-2.84,-3.84,-4.28,-4.19,-6.38,-8.59,-10.22,-12.53,-14.72:37.34,40.62,42.53,44.0,44.25,42.94,40.62,38.88,35.06,32.91,30.91,29.22,28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84,-6.09,-4.09,-2.84,-2.84,-3.84,-4.28,-4.19,-6.38,-8.59,-10.22,-12.53,-14.72,-15.16,-14.72,-15.06,-14.09,-13.78,-11.31:40.62,38.88,35.06,32.91,30.91,29.22,28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84,-6.09,-4.09,-2.84,-2.84,-3.84,-4.28,-4.19,-6.38,-8.59,-10.22,-12.53,-14.72,-15.16,-14.72,-15.06,-14.09,-13.78,-11.31,-9.78,-7.81,-4.91,-2.72,-1.97,-1.28:28.72,27.44,27.56,29.56,30.31,32.88,34.59,37.06,37.88,38.09,38.91,37.75,37.81,38.25,38.16,39.25,40.28,40.12,42.03,41.06,40.56,40.81,40.66,40.72,40.69,39.81,39.16,38.28,36.91,36.69,36.53,34.62,33.19,31.06,27.84,26.34,24.66,25.25,27.03,29.78,31.66,32.94,32.19,30.56,27.44,25.19,23.06,21.09,20.88,20.09,18.88,18.66,18.31,19.12,19.5,21.88,23.25,22.88,24.12,24.44,24.06,25.41,26.97,27.78,27.75,26.25,24.06,21.12,18.5,15.62,13.66,12.47,11.94,11.91,13.34,15.66,18.06,22.44,26.12,30.22,31.25,30.78,29.75,26.06,23.59,21.78,19.31,19.47,20.06,21.06,22.56,24.44,25.53,26.22,25.62,26.62,26.25,25.47,25.62,25.56,25.41,25.16,25.12,25.47,25.47,26.12,25.72,25.25,25.47,24.06,24.47,24.56,24.88,26.66,28.28,28.91,29.03,28.0,26.5,24.5,22.38,19.66,19.94,19.38,17.72,18.0,18.66,18.16,18.53,19.88,21.69,24.31,25.22,27.16,28.31,28.5,29.03,28.31,28.19,27.06,26.81,25.81,24.06,22.5,21.88,20.28,19.0,19.06,18.69,16.94,17.03,16.72,17.12,19.12,19.34,21.16,22.78,21.56,22.44,21.5,20.34,18.69,16.5,14.06,12.5,12.0,12.25,11.91,12.44,13.47,12.72,13.47,12.81,14.06,15.31,16.66,18.72,19.81,18.72,18.22,16.62,15.31,15.25,15.53,15.69,15.47,16.09,15.97,15.78,14.62,13.47,11.38,9.72,8.94,7.81,9.03,9.28,9.56,10.81,11.53,12.03,12.16,14.0,13.94,13.56,12.91,13.56,14.0,13.84,13.59,14.09,12.19,10.75,8.97,6.59,5.66,3.41,4.34,4.78,5.62,6.75,6.88,8.66,7.84,9.19,10.5,10.41,10.53,10.34,9.44,9.47,8.66,8.5,8.69,8.44,8.91,8.19,8.66,8.09,6.72,6.12,5.38,5.66,5.62,6.56,6.75,6.41,6.41,6.09,5.56,6.69,7.28,8.78,11.41,12.59,14.59,16.25,16.75,16.53,15.72,14.78,14.44,12.12,11.72,11.59,10.53,9.78,9.47,8.06,7.5,6.31,4.88,3.78,3.56,3.25,2.41,2.81,1.56,2.44,3.78,5.03,7.75,11.16,14.75,16.59,18.72,19.41,17.94,16.31,14.38,11.59,11.28,9.47,10.22,10.88,11.31,12.78,13.75,13.75,13.94,13.56,12.88,12.22,11.16,10.59,10.53,10.03,9.94,10.94,12.31,12.97,14.69,15.38,15.84,14.5,14.56,12.47,10.34,9.12,8.16,7.84,7.81,7.97,7.91,9.06,8.12,7.78,7.75,6.72,6.28,6.62,7.56,9.25,12.84,15.41,17.0,17.34,14.84,11.78,7.09,4.47,1.41,0.19,0.66,0.78,1.56,3.5,4.28,5.53,5.88,6.22,7.16,6.91,7.38,7.69,8.38,8.12,9.22,9.91,10.53,12.44,13.56,13.25,13.81,12.81,11.16,10.56,8.53,7.75,7.78,7.91,7.5,8.25,7.84,8.19,9.28,9.72,11.0,11.38,12.47,13.53,13.97,14.12,15.88,16.25,16.53,17.47,19.12,19.66,19.69,19.88,18.97,18.88,17.44,15.38,15.19,13.41,12.56,12.5,12.88,12.78,12.78,12.84,12.25,10.41,8.81,8.16,7.56,5.38,4.69,3.91,2.69,3.34,3.41,3.28,4.22,3.88,4.28,3.31,2.81,2.62,2.03,2.5,3.0,4.78,6.69,8.22,9.44,8.31,7.94,6.41,4.59,4.38,4.06,5.31,6.09,7.47,7.47,9.28,9.62,9.03,8.34,6.75,6.03,4.16,3.72,2.66,2.28,1.81,0.19,-0.38,-1.41,-1.34,-1.0,-0.53,0.84,2.41,3.94,6.16,8.25,9.06,10.28,10.19,9.72,8.41,6.06,6.53,4.16,4.25,4.34,3.97,5.09,5.22,5.91,7.34,7.78,8.31,8.81,8.78,8.41,8.41,7.69,8.16,8.19,9.88,10.16,11.69,13.16,14.41,14.25,14.31,11.94,9.5,7.31,5.5,4.84,4.5,6.31,5.53,6.72,6.41,7.44,8.31,9.41,10.94,12.16,12.28,12.12,13.28,14.91,16.62,17.66,18.94,17.84,15.81,12.72,9.59,7.09,4.94,2.94,2.0,1.56,1.72,1.47,1.81,3.03,3.34,4.62,6.34,7.47,9.25,10.06,9.94,9.59,9.12,8.31,8.38,8.97,11.16,13.12,15.62,17.72,19.12,20.62,20.31,20.16,20.44,19.0,17.75,17.0,14.5,13.81,12.81,12.69,12.28,13.59,14.03,14.06,15.06,14.69,15.44,15.19,14.72,14.81,14.19,15.41,16.06,17.06,19.03,18.66,18.31,17.53,15.88,13.88,12.28,10.88,10.12,10.34,11.41,14.59,19.66,24.56,30.69,34.56,35.88,35.75,34.88,30.84,26.94,24.03,20.34,17.91,16.5,15.47,14.56,14.59,14.78,14.19,13.81,14.38,14.09,14.75,16.03,16.28,17.41,17.38,16.28,15.72,14.84,15.16,15.25,16.72,17.03,17.34,17.66,17.06,16.78,16.75,16.06,14.31,12.5,11.84,9.66,9.81,10.16,10.53,11.34,12.31,12.69,13.06,13.66,15.41,17.53,18.75,20.31,21.69,21.91,21.56,21.34,21.09,20.0,18.34,17.03,15.78,14.03,12.88,12.5,13.66,14.34,14.56,15.53,15.94,15.84,15.72,14.75,15.78,15.34,16.44,18.16,18.59,18.53,18.31,16.22,14.16,12.41,10.72,9.38,8.81,9.06,9.12,8.78,9.94,9.56,10.81,11.97,12.06,12.0,11.12,10.84,8.91,8.22,6.75,5.03,3.91,0.66,-1.59,-3.84,-6.19,-6.59,-7.25,-5.94,-3.41,-1.16,2.91,3.78,5.56,6.94,5.5,5.06,6.03,5.66,7.53,8.44,6.97,6.72,3.94,0.91,-1.53,-3.44,-4.53,-4.06,-4.03,-2.66,-0.97,0.06,1.44,2.19,3.75,5.66,7.34,10.12,11.81,12.09,13.47,14.31,14.03,15.06,14.47,13.88,13.47,11.72,10.41,10.28,9.41,8.75,8.84,8.59,9.41,9.66,10.38,10.94,10.31,9.47,8.69,7.94,7.97,7.47,8.44,8.28,8.69,8.94,10.34,11.31,11.78,13.78,13.56,12.84,11.28,9.5,7.56,4.38,2.69,1.56,0.81,0.94,1.66,2.72,4.44,6.16,6.88,9.66,11.78,13.44,16.25,16.19,17.81,18.12,17.38,16.69,15.88,14.56,12.97,11.03,8.62,6.44,5.38,5.81,5.44,7.5,9.28,10.94,12.28,12.81,12.91,13.66,14.22,14.06,13.91,12.31,11.5,8.16,6.22,3.97,3.19,1.34,1.16,1.0,0.16,0.41,1.19,2.72,5.28,8.34,10.69,12.5,13.0,12.69,11.62,9.97,8.41,7.19,6.31,4.03,2.03,0.44,0.91,1.06,4.56,7.75,9.56,11.09,12.12,14.0,14.84,17.75,20.22,23.12,25.44,26.25,27.41,26.5,25.94,24.25,21.44,19.84,17.88,15.5,14.19,12.31,11.66,9.75,11.88,11.97,13.62,15.81,16.28,15.94,15.97,13.53,11.5,10.09,8.41,7.53,9.19,10.66,11.84,-6.09,-4.09,-2.84,-2.84,-3.84,-4.28,-4.19,-6.38,-8.59,-10.22,-12.53,-14.72,-15.16,-14.72,-15.06,-14.09,-13.78,-11.31,-9.78,-7.81,-4.91,-2.72,-1.97,-1.28,-2.03,-2.56,-4.59,-5.97,-8.56,-11.19:positivity
20.06,20.53,22.0,23.62,24.62,25.5,27.41,28.19,28.12,28.56,27.06,26.16,22.81,21.31,19.41,17.53,16.03,15.59,14.5,14.0,14.47,15.19,16.03,16.47,16.12,15.78,14.41,13.16,12.69,13.41,13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69:27.41,28.19,28.12,28.56,27.06,26.16,22.81,21.31,19.41,17.53,16.03,15.59,14.5,14.0,14.47,15.19,16.03,16.47,16.12,15.78,14.41,13.16,12.69,13.41,13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69,-5.25,-4.56,-4.12,-3.59,-2.56,-2.34:22.81,21.31,19.41,17.53,16.03,15.59,14.5,14.0,14.47,15.19,16.03,16.47,16.12,15.78,14.41,13.16,12.69,13.41,13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69,-5.25,-4.56,-4.12,-3.59,-2.56,-2.34,-1.53,-1.09,-1.09,-0.81,-1.44,-1.41:14.5,14.0,14.47,15.19,16.03,16.47,16.12,15.78,14.41,13.16,12.69,13.41,13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69,-5.25,-4.56,-4.12,-3.59,-2.56,-2.34,-1.53,-1.09,-1.09,-0.81,-1.44,-1.41,-3.72,-3.94,-5.94,-6.06,-6.66,-6.28:16.12,15.78,14.41,13.16,12.69,13.41,13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69,-5.25,-4.56,-4.12,-3.59,-2.56,-2.34,-1.53,-1.09,-1.09,-0.81,-1.44,-1.41,-3.72,-3.94,-5.94,-6.06,-6.66,-6.28,-6.09,-5.91,-6.31,-5.59,-6.09,-6.38:13.91,15.94,17.16,17.31,17.62,16.25,15.94,14.06,13.91,13.72,13.41,13.69,14.66,17.84,21.81,26.5,31.81,35.84,37.91,37.16,34.88,30.47,26.75,22.88,19.06,15.88,13.75,11.44,8.97,7.69,7.53,7.25,8.66,9.91,9.41,9.88,9.91,8.41,6.66,6.5,5.5,3.59,3.69,2.91,3.81,3.91,3.56,5.34,6.09,6.38,8.88,10.91,12.31,14.06,16.62,18.22,20.41,20.06,20.81,19.56,18.12,16.31,14.72,14.94,13.72,13.81,13.97,14.03,13.69,13.09,12.88,11.22,11.25,10.38,10.31,11.81,13.12,15.88,17.34,19.66,21.66,21.0,20.5,19.06,17.53,16.31,15.44,15.03,15.06,15.28,15.72,15.06,15.88,15.78,15.06,14.91,14.78,12.94,11.0,8.94,5.41,4.0,1.38,0.0,-1.53,-3.34,-4.66,-6.0,-6.38,-6.88,-9.03,-9.03,-9.66,-11.03,-11.75,-11.84,-11.41,-11.28,-10.41,-10.25,-9.84,-10.28,-9.94,-9.84,-8.53,-7.59,-6.09,-4.75,-3.34,-2.44,-1.66,-1.38,-0.81,-1.72,-3.31,-3.09,-4.28,-4.53,-2.16,-0.66,1.59,3.59,4.94,5.84,5.47,5.56,5.41,5.03,4.06,2.16,0.94,-0.75,-2.06,-2.44,-2.53,-2.19,-2.44,-2.44,-1.84,-1.16,-0.53,1.5,3.66,4.84,6.81,7.97,7.31,6.81,5.91,3.88,1.09,-2.0,-5.78,-8.41,-10.69,-12.03,-12.38,-12.59,-13.09,-12.84,-12.84,-12.53,-11.59,-10.03,-8.56,-7.84,-5.97,-5.41,-6.75,-7.44,-9.38,-10.97,-11.28,-9.84,-9.28,-6.16,-5.69,-4.09,-3.38,-2.88,-4.31,-5.62,-6.88,-8.56,-9.22,-9.56,-8.56,-7.81,-7.47,-6.19,-5.09,-5.47,-5.56,-6.84,-8.62,-12.47,-13.81,-15.72,-16.34,-16.03,-15.56,-14.88,-12.72,-12.41,-9.91,-8.94,-7.41,-6.16,-6.59,-5.41,-5.34,-4.28,-2.22,-1.03,0.91,1.62,0.94,0.34,-1.28,-2.22,-2.59,-1.91,-0.78,-0.44,0.94,1.56,1.34,1.16,0.81,0.31,0.66,2.03,2.41,4.62,6.09,6.62,6.16,5.5,3.81,4.06,4.97,5.19,6.31,6.91,6.66,6.62,5.75,5.91,5.94,5.91,8.19,9.72,13.56,16.09,18.44,18.91,17.97,15.31,13.78,11.09,9.84,8.72,9.06,8.34,8.41,6.72,6.62,4.19,1.44,-0.03,-3.22,-5.19,-6.47,-8.84,-10.09,-10.16,-9.28,-8.44,-7.03,-5.75,-5.22,-5.28,-5.03,-5.72,-5.28,-5.66,-5.56,-5.66,-4.34,-4.69,-4.09,-4.34,-5.47,-8.47,-9.16,-10.28,-10.72,-10.34,-7.91,-5.84,-3.97,-0.47,1.12,3.75,6.59,7.69,9.5,10.72,10.62,10.62,9.91,7.94,6.84,4.41,3.12,2.09,0.88,0.88,-0.41,-0.66,-1.0,-0.34,-0.22,0.66,1.88,2.31,4.06,6.53,9.53,11.66,12.53,13.78,12.56,11.16,9.28,6.56,5.19,2.62,0.59,-0.22,-1.47,-3.59,-4.25,-5.0,-6.59,-6.91,-7.72,-8.19,-9.38,-9.44,-10.34,-10.91,-11.06,-10.22,-9.59,-8.38,-7.84,-7.16,-7.47,-8.56,-9.34,-9.47,-9.66,-9.09,-8.16,-7.72,-6.31,-6.31,-5.38,-5.84,-6.84,-7.59,-8.53,-9.16,-9.94,-9.06,-8.22,-7.16,-5.53,-3.72,-2.12,-1.78,-1.38,-1.16,-2.19,-1.91,-1.66,-2.75,-3.09,-4.53,-5.34,-6.81,-8.31,-9.5,-10.59,-11.69,-11.97,-12.09,-11.94,-9.19,-6.53,-3.47,0.81,2.56,3.5,2.34,0.5,-2.09,-4.09,-6.12,-6.91,-7.78,-9.56,-10.56,-12.03,-13.91,-15.19,-15.34,-14.97,-13.69,-11.72,-9.34,-7.09,-4.47,-2.47,-0.91,-0.06,-1.84,-4.44,-7.59,-11.72,-15.19,-17.34,-19.12,-20.44,-21.09,-20.72,-20.09,-18.94,-17.91,-16.31,-15.69,-15.69,-15.97,-16.16,-16.34,-16.88,-17.12,-17.69,-17.72,-18.44,-18.31,-18.59,-18.34,-19.19,-19.25,-18.16,-17.91,-17.66,-16.28,-15.09,-14.03,-12.59,-10.69,-8.47,-6.72,-5.19,-3.22,-2.16,-1.41,-2.19,-2.97,-5.09,-7.66,-10.28,-12.0,-14.69,-15.78,-17.09,-17.97,-18.81,-19.28,-20.25,-21.09,-21.41,-22.28,-21.84,-21.5,-20.47,-19.88,-19.16,-18.28,-17.47,-17.06,-17.28,-16.69,-17.59,-19.56,-20.81,-21.31,-21.28,-20.19,-16.53,-12.09,-6.5,-1.84,2.38,3.94,3.75,1.25,-1.97,-5.28,-8.28,-9.66,-9.97,-9.72,-8.19,-7.97,-7.22,-8.56,-9.72,-11.34,-13.22,-15.22,-17.41,-19.56,-20.41,-21.22,-22.09,-22.16,-22.12,-21.72,-20.78,-20.19,-18.12,-16.41,-14.88,-12.34,-10.66,-9.5,-8.88,-8.69,-9.44,-9.94,-10.56,-10.5,-10.22,-9.75,-10.22,-9.81,-10.34,-11.28,-11.66,-12.69,-13.34,-12.97,-12.75,-12.16,-12.41,-11.19,-10.91,-9.75,-7.84,-6.44,-4.84,-4.28,-3.19,-2.5,-2.09,-1.62,-1.88,-2.16,-3.72,-4.84,-6.41,-8.03,-9.47,-11.41,-12.0,-12.59,-11.97,-10.84,-9.22,-8.28,-8.66,-8.34,-8.81,-9.72,-10.09,-11.41,-12.09,-13.12,-13.84,-14.03,-14.47,-15.34,-16.47,-16.88,-17.56,-18.09,-16.66,-17.19,-16.28,-16.81,-17.59,-18.59,-18.72,-19.59,-19.0,-18.09,-17.0,-15.91,-14.44,-13.62,-13.72,-14.47,-14.72,-16.62,-18.22,-18.75,-19.47,-20.16,-19.75,-19.41,-18.94,-18.53,-18.31,-17.91,-18.0,-18.91,-19.28,-20.66,-21.34,-21.97,-21.69,-22.41,-22.41,-22.38,-23.34,-23.59,-23.59,-23.81,-23.94,-23.59,-23.69,-24.31,-24.31,-23.91,-25.09,-24.53,-24.84,-25.38,-25.69,-24.81,-24.19,-23.03,-20.44,-18.84,-15.97,-14.94,-13.22,-13.59,-13.28,-14.59,-15.84,-17.84,-19.97,-21.44,-21.34,-21.91,-20.09,-18.41,-17.22,-16.62,-16.06,-15.41,-15.09,-14.59,-13.53,-13.22,-13.47,-14.34,-14.41,-15.72,-16.31,-15.34,-14.84,-14.06,-13.59,-14.34,-14.56,-15.22,-14.97,-14.41,-12.88,-12.38,-10.72,-10.81,-11.22,-10.72,-11.0,-10.81,-10.22,-9.69,-8.81,-7.66,-6.59,-4.84,-4.56,-3.47,-3.38,-3.19,-3.34,-3.72,-3.91,-3.66,-3.84,-3.66,-3.72,-3.16,-2.94,-2.69,-0.84,-0.03,0.53,0.69,0.72,-0.28,-1.5,-2.75,-4.41,-4.97,-5.34,-5.81,-5.34,-6.03,-6.09,-6.75,-8.84,-9.34,-11.22,-12.22,-12.94,-13.5,-12.75,-11.81,-9.47,-6.06,-0.91,3.44,6.91,9.22,8.69,4.53,1.0,-2.69,-5.84,-7.72,-9.06,-10.09,-11.53,-12.62,-13.69,-12.91,-12.66,-11.0,-10.03,-8.62,-7.16,-5.19,-3.53,-1.34,-0.06,0.44,0.03,-0.72,-2.66,-3.53,-3.94,-3.66,-2.25,-1.09,0.91,0.84,1.56,1.41,0.53,0.28,0.38,-0.31,-0.22,-0.44,-0.28,-0.09,0.34,0.66,-0.12,-0.41,-1.44,-2.69,-3.78,-4.47,-6.19,-7.56,-8.78,-10.59,-10.97,-10.94,-10.69,-9.94,-9.38,-8.72,-8.34,-7.28,-6.62,-5.03,-4.47,-3.97,-3.28,-2.62,-3.47,-2.84,-2.66,-2.78,-2.47,-2.06,-1.44,-1.62,-0.66,-0.44,-0.47,-0.47,0.06,0.34,1.19,1.59,1.53,1.16,1.59,0.59,0.81,0.81,0.0,1.16,1.59,1.69,-5.25,-4.56,-4.12,-3.59,-2.56,-2.34,-1.53,-1.09,-1.09,-0.81,-1.44,-1.41,-3.72,-3.94,-5.94,-6.06,-6.66,-6.28,-6.09,-5.91,-6.31,-5.59,-6.09,-6.38,-7.84,-9.0,-11.09,-12.12,-12.53,-11.47:positivity
44.28,43.41,41.97,42.0,42.69,44.28,44.91,46.69,46.44,47.66,46.28,45.78,45.28,44.09,43.56,42.84,43.12,43.44,44.19,44.5,44.16,43.84,43.38,41.66,39.19,38.91,37.41,34.97,34.94,34.91,35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62:44.91,46.69,46.44,47.66,46.28,45.78,45.28,44.09,43.56,42.84,43.12,43.44,44.19,44.5,44.16,43.84,43.38,41.66,39.19,38.91,37.41,34.97,34.94,34.91,35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62,9.19,6.41,3.53,0.69,-0.44,-1.22:45.28,44.09,43.56,42.84,43.12,43.44,44.19,44.5,44.16,43.84,43.38,41.66,39.19,38.91,37.41,34.97,34.94,34.91,35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62,9.19,6.41,3.53,0.69,-0.44,-1.22,0.0,2.69,5.34,8.19,9.53,10.5:44.19,44.5,44.16,43.84,43.38,41.66,39.19,38.91,37.41,34.97,34.94,34.91,35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62,9.19,6.41,3.53,0.69,-0.44,-1.22,0.0,2.69,5.34,8.19,9.53,10.5,11.25,10.06,8.91,8.81,7.12,6.81:39.19,38.91,37.41,34.97,34.94,34.91,35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62,9.19,6.41,3.53,0.69,-0.44,-1.22,0.0,2.69,5.34,8.19,9.53,10.5,11.25,10.06,8.91,8.81,7.12,6.81,6.94,7.69,8.28,8.16,7.09,6.0:35.88,35.62,35.97,37.16,37.09,38.56,39.34,39.72,40.06,38.81,37.62,37.03,36.66,36.75,36.84,37.31,38.12,38.28,38.81,40.12,41.44,41.34,41.44,40.0,39.0,36.56,33.81,31.19,29.44,28.06,26.72,27.97,28.5,27.53,28.38,28.03,28.56,28.19,29.0,30.19,29.66,28.91,28.34,27.06,26.34,26.59,26.53,28.16,29.78,31.78,32.66,34.25,33.75,34.19,33.44,32.41,33.53,33.09,33.69,35.25,36.91,36.97,38.94,38.78,39.59,39.25,39.75,39.91,39.41,37.56,37.44,35.53,33.78,33.94,32.19,31.56,31.62,30.31,30.69,30.09,30.53,32.31,32.91,34.12,34.44,33.56,32.44,30.06,28.25,25.97,22.81,20.69,18.91,18.12,17.53,19.47,20.97,24.03,26.28,28.22,29.81,28.81,28.44,26.5,23.47,21.81,20.44,20.72,22.72,24.44,27.41,27.66,26.12,24.28,20.53,16.09,12.62,10.94,9.91,8.88,9.81,10.16,11.19,11.62,11.0,9.94,8.34,7.12,5.84,5.59,7.06,8.62,9.91,11.56,12.19,13.03,13.09,13.06,14.34,13.81,14.62,16.12,16.5,16.34,16.88,14.5,12.16,10.62,8.09,6.62,6.88,8.62,11.94,15.25,18.06,21.91,24.31,25.62,27.81,29.94,30.41,30.19,28.94,28.06,27.44,25.44,25.62,24.31,22.69,21.03,19.44,18.16,15.94,16.53,17.09,18.09,19.56,20.94,23.06,24.34,25.03,25.31,24.97,23.22,22.44,22.06,21.5,19.59,19.06,17.28,15.03,12.53,11.62,10.69,9.94,10.19,10.41,10.94,11.44,11.56,12.91,13.34,13.41,14.34,15.84,15.94,15.62,16.62,15.84,14.75,14.25,12.41,11.38,10.34,9.06,9.44,11.41,10.94,12.19,13.34,13.62,14.34,13.41,13.12,12.03,12.91,12.53,13.28,14.88,15.06,17.5,18.62,18.53,19.59,19.09,18.44,18.22,18.22,17.62,16.81,16.84,15.88,15.75,15.81,15.97,16.06,15.41,14.59,13.31,14.22,14.56,16.25,17.28,18.5,18.34,17.69,18.12,16.97,17.75,18.19,17.69,18.06,18.03,18.09,18.88,18.94,19.69,21.03,20.5,20.81,20.91,21.5,21.94,21.91,21.69,21.0,19.16,18.56,17.19,16.72,15.72,16.16,16.69,17.06,17.38,17.62,16.69,15.78,13.31,12.59,11.66,11.19,10.5,10.03,7.91,8.06,7.44,7.41,8.66,10.12,13.34,15.34,17.81,21.0,21.41,22.31,21.94,23.12,22.0,22.44,22.5,21.78,22.19,21.31,20.5,20.09,19.62,19.0,19.78,18.94,17.72,16.88,17.16,18.28,20.28,23.34,26.56,28.78,27.53,25.81,22.16,18.31,13.38,9.28,6.62,4.28,2.94,2.78,5.56,7.28,11.78,15.28,19.31,22.25,24.0,24.19,24.19,22.69,21.47,21.03,20.19,21.66,22.25,23.16,23.06,22.16,20.62,18.44,16.44,14.53,13.12,11.94,10.5,10.69,11.69,12.44,14.25,15.78,16.81,18.38,19.06,18.78,17.97,17.78,15.91,14.5,14.06,14.94,16.41,19.19,21.66,25.69,28.62,30.97,35.28,37.41,39.5,40.28,40.34,40.12,38.25,37.03,34.56,32.22,27.38,23.06,18.88,16.06,13.66,14.59,15.81,17.75,20.44,21.41,23.12,24.56,25.84,26.41,27.16,26.12,25.19,22.72,19.62,17.28,14.44,14.06,13.16,13.62,15.88,18.09,22.03,25.22,27.28,29.22,28.78,27.31,25.72,23.81,22.0,21.06,21.28,21.19,22.06,24.09,24.31,25.62,25.16,25.03,24.03,23.53,23.31,23.38,23.66,26.16,27.56,30.88,33.91,36.62,36.59,35.62,33.62,30.53,26.81,23.88,20.94,18.72,16.72,14.72,14.47,13.69,14.31,15.25,16.16,17.28,18.69,18.38,20.31,21.31,23.06,25.72,27.81,30.03,29.16,28.25,25.97,23.56,21.22,19.59,19.03,18.12,18.06,18.06,18.38,19.06,18.94,20.94,20.88,21.22,22.34,22.62,23.84,26.5,28.5,30.28,31.44,31.25,30.12,28.75,27.53,26.09,26.06,26.03,25.25,24.41,23.53,21.88,21.03,21.25,20.78,22.38,21.56,23.0,22.66,23.34,23.41,24.91,26.16,27.56,28.5,28.19,28.19,26.97,26.28,25.25,24.91,24.12,22.81,22.41,22.06,21.5,21.19,20.31,19.12,17.03,16.31,15.16,14.84,16.16,16.91,19.53,22.0,24.84,28.25,29.94,31.28,30.72,28.5,26.16,22.66,19.88,17.19,15.66,14.44,14.94,15.28,15.56,18.38,19.12,21.78,23.12,23.91,24.31,23.31,23.12,22.56,22.09,22.25,20.38,19.44,17.0,14.59,12.59,10.06,9.41,8.72,8.59,9.75,12.38,14.62,17.06,19.56,21.44,22.47,24.09,25.44,26.16,28.41,28.94,30.28,28.94,27.91,25.47,21.44,18.47,17.69,16.34,16.72,18.22,19.72,20.97,22.47,22.62,23.28,22.53,21.03,19.38,17.69,14.78,13.19,11.12,9.19,8.59,8.16,7.47,7.5,6.66,5.56,3.0,2.06,1.62,2.16,3.31,6.5,7.22,9.06,9.91,10.56,9.94,9.44,9.19,8.59,8.31,8.38,7.16,7.25,7.66,6.38,6.53,7.81,7.72,7.94,8.5,8.75,9.72,11.22,15.38,18.84,23.31,26.53,27.19,25.72,22.56,17.91,14.06,10.66,10.03,11.53,13.59,16.69,19.84,22.97,26.69,28.5,31.53,33.25,33.66,33.94,32.75,31.25,30.19,28.97,28.09,26.5,26.0,24.75,22.84,20.81,19.91,17.53,17.28,17.47,18.62,19.41,21.25,21.44,22.19,23.25,23.31,23.47,23.75,25.0,25.25,25.25,25.69,25.75,24.19,23.25,22.31,19.91,18.47,15.88,13.91,12.56,11.53,11.09,11.53,12.38,15.56,17.81,21.94,25.47,29.69,32.22,33.62,34.62,35.0,34.25,33.16,33.44,33.16,33.5,33.94,35.06,35.03,32.84,30.81,27.97,25.56,22.69,20.66,21.12,21.12,22.62,23.69,25.41,27.56,28.53,29.06,30.94,30.12,30.03,28.5,29.16,29.16,28.53,30.0,28.84,28.53,27.19,24.44,23.38,22.78,22.47,22.91,23.44,24.53,24.53,24.12,23.31,23.16,21.91,21.97,21.56,22.09,22.0,22.25,22.59,23.41,24.38,25.16,26.44,26.72,27.28,27.94,27.47,26.53,26.56,24.94,24.41,23.69,24.66,24.03,23.56,24.16,23.09,22.69,22.84,24.12,26.41,28.91,30.03,31.72,32.59,31.78,30.94,30.03,28.91,27.12,26.19,25.53,25.84,26.44,27.34,28.97,30.56,32.03,33.94,35.25,36.44,37.25,37.38,37.0,36.91,36.03,36.19,35.16,34.56,34.41,33.5,32.34,32.44,30.12,29.09,26.28,23.41,20.97,19.09,17.53,15.81,15.78,15.5,14.84,15.69,16.38,16.88,17.53,18.5,20.0,21.59,24.16,27.38,30.0,29.44,31.06,30.19,28.28,28.28,26.91,26.78,27.22,26.53,26.22,26.16,25.72,25.62,25.84,25.88,25.47,25.31,24.28,23.06,21.38,19.12,17.12,15.28,13.62,9.19,6.41,3.53,0.69,-0.44,-1.22,0.0,2.69,5.34,8.19,9.53,10.5,11.25,10.06,8.91,8.81,7.12,6.81,6.94,7.69,8.28,8.16,7.09,6.0,4.88,2.19,-0.97,-2.84,-5.47,-6.44:positivity
30.53,26.81,23.25,20.56,16.56,15.44,15.19,15.62,16.81,18.56,21.84,24.56,28.03,31.66,34.94,35.06,34.31,33.47,31.19,28.81,27.53,27.56,28.12,30.03,30.97,32.41,35.19,36.41,38.56,41.41,42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69:15.19,15.62,16.81,18.56,21.84,24.56,28.03,31.66,34.94,35.06,34.31,33.47,31.19,28.81,27.53,27.56,28.12,30.03,30.97,32.41,35.19,36.41,38.56,41.41,42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69,21.66,19.97,17.88,16.91,16.66,17.69:28.03,31.66,34.94,35.06,34.31,33.47,31.19,28.81,27.53,27.56,28.12,30.03,30.97,32.41,35.19,36.41,38.56,41.41,42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69,21.66,19.97,17.88,16.91,16.66,17.69,18.31,21.62,22.97,24.84,27.47,30.62:31.19,28.81,27.53,27.56,28.12,30.03,30.97,32.41,35.19,36.41,38.56,41.41,42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69,21.66,19.97,17.88,16.91,16.66,17.69,18.31,21.62,22.97,24.84,27.47,30.62,34.16,37.38,39.38,39.81,38.66,37.47:30.97,32.41,35.19,36.41,38.56,41.41,42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69,21.66,19.97,17.88,16.91,16.66,17.69,18.31,21.62,22.97,24.84,27.47,30.62,34.16,37.38,39.38,39.81,38.66,37.47,35.41,34.44,33.94,32.56,32.69,32.5:42.25,43.75,44.16,45.03,43.41,44.66,44.03,43.25,43.56,42.91,42.78,43.38,42.31,42.53,42.97,43.47,44.5,45.75,45.62,45.44,44.28,41.78,39.22,35.06,30.78,27.44,23.66,21.06,18.84,17.66,16.38,13.88,13.12,11.81,11.41,11.06,10.31,12.72,14.38,15.94,18.69,19.56,20.19,19.28,18.81,17.94,17.31,16.94,18.28,20.0,22.53,25.47,28.78,31.31,34.28,35.0,34.5,35.62,35.0,33.78,34.19,32.59,31.94,31.09,29.16,27.84,26.91,26.25,24.56,24.72,25.84,25.28,24.34,26.34,25.78,25.16,26.16,27.25,28.0,30.41,32.97,33.41,35.62,36.59,35.78,35.41,34.09,33.31,31.5,29.91,29.06,29.25,30.53,30.56,31.97,33.06,33.81,33.66,32.78,30.94,29.81,28.38,27.62,27.66,27.66,27.84,28.06,28.69,29.09,28.75,28.69,28.0,26.53,25.44,22.75,21.06,18.91,16.81,15.06,13.72,13.22,13.94,14.03,13.88,12.75,12.66,13.34,12.84,15.12,17.19,19.06,20.81,21.38,21.25,20.84,19.81,19.12,19.16,18.84,18.84,17.81,17.69,17.53,18.0,18.78,19.75,22.0,22.69,24.31,25.78,27.81,29.41,31.25,31.47,30.78,29.62,27.16,25.12,23.75,23.34,24.19,25.53,26.84,27.31,26.5,26.69,25.28,24.84,26.19,25.62,26.19,26.31,25.66,24.31,23.66,22.97,22.38,23.03,23.12,25.44,29.28,32.94,36.0,38.94,40.66,39.59,38.62,37.19,35.69,32.69,31.81,30.25,28.34,26.84,25.84,25.78,25.19,24.81,25.31,24.22,24.16,23.78,24.62,23.47,22.84,22.56,21.03,18.84,17.78,16.19,15.16,14.22,14.38,15.72,15.88,18.09,20.56,22.47,24.28,25.06,24.41,23.41,23.72,23.56,23.25,23.91,24.0,23.66,23.31,23.34,23.69,24.16,25.88,27.28,28.84,30.16,31.62,33.19,32.69,33.88,33.5,33.19,33.41,33.03,32.38,32.66,31.91,31.0,30.72,29.81,29.66,29.81,30.41,30.72,30.66,29.66,28.25,27.72,27.19,27.5,28.56,29.31,30.19,30.53,30.81,30.78,30.78,30.31,29.16,27.88,26.53,26.16,25.66,25.34,24.31,25.19,24.25,24.62,25.06,25.5,25.56,26.44,25.28,25.31,24.84,23.84,23.19,21.91,21.12,19.69,19.47,18.94,18.25,19.06,20.56,21.31,24.0,26.47,28.38,29.31,29.81,30.41,30.03,30.03,29.12,27.44,27.12,26.31,26.16,25.62,26.81,27.44,26.53,26.69,26.06,25.12,25.84,25.59,25.72,26.5,25.56,26.53,25.78,25.78,26.28,24.97,25.12,25.28,25.16,25.59,27.16,27.91,28.06,27.44,26.84,27.38,27.0,26.38,27.72,27.62,27.53,27.41,26.41,25.56,24.94,23.25,22.78,23.12,22.56,22.62,22.34,21.66,22.06,22.81,24.56,26.97,29.94,32.06,33.16,34.53,34.62,34.31,34.62,32.59,31.91,29.94,27.44,26.62,25.31,23.56,23.28,24.28,24.31,25.88,27.44,29.28,31.56,33.41,34.25,35.84,35.81,35.25,34.56,33.44,32.06,31.84,31.44,31.53,30.91,31.03,30.34,29.12,28.84,27.97,28.19,28.19,28.75,28.53,29.5,30.09,31.12,33.19,33.69,36.09,37.31,37.94,38.62,38.31,36.94,34.5,32.22,29.66,28.09,27.56,27.25,29.53,32.0,35.41,38.81,40.66,41.97,40.84,39.03,36.81,34.44,33.53,32.81,32.81,33.53,34.12,33.84,34.0,33.31,32.19,31.38,30.62,30.0,29.69,29.62,30.28,30.25,29.56,30.19,29.31,29.69,30.41,30.38,30.62,30.59,29.12,26.44,23.47,21.41,19.22,18.56,18.72,20.03,22.25,24.5,27.38,29.03,31.78,32.28,33.56,34.09,34.03,33.75,32.72,30.81,29.41,28.09,27.28,27.19,26.69,27.16,27.38,28.0,29.03,31.06,32.25,34.03,34.72,35.34,35.41,34.59,33.97,32.25,31.19,30.56,29.75,28.53,28.31,27.38,27.25,25.94,25.97,26.5,26.53,26.06,26.75,26.69,26.28,26.5,25.94,27.12,27.44,26.81,26.25,24.78,23.91,22.41,21.25,21.09,20.62,19.5,19.47,18.53,16.62,15.31,13.19,11.91,11.56,11.66,11.12,11.84,12.56,14.16,15.53,17.5,20.88,21.88,25.19,25.19,25.5,26.28,25.38,23.69,23.38,21.94,20.78,19.31,17.72,16.94,16.81,16.44,16.31,17.66,17.38,17.97,19.31,20.19,21.16,22.91,23.84,24.88,25.34,25.53,25.56,24.5,24.53,24.44,23.94,23.97,23.28,22.62,20.84,19.41,18.53,17.09,16.66,15.88,16.19,17.25,17.19,17.56,18.94,19.34,19.72,21.12,21.88,23.66,23.84,24.41,22.53,20.5,18.81,15.59,14.12,12.66,12.41,12.53,12.97,14.06,15.12,16.28,16.53,16.84,16.44,17.06,17.62,18.03,18.28,18.34,19.62,19.06,19.62,19.66,20.03,18.94,19.0,19.31,18.06,18.44,19.0,19.03,20.06,20.91,21.72,22.31,21.94,20.81,17.94,15.69,13.22,12.22,11.0,12.84,14.56,16.03,16.34,17.75,16.62,16.03,14.72,13.25,11.44,9.5,8.78,7.25,7.53,8.34,8.41,9.09,9.31,10.62,11.31,13.47,14.69,17.25,18.12,18.38,18.69,18.56,19.56,20.31,21.38,21.31,21.34,18.94,16.31,13.28,11.19,8.78,7.91,7.78,7.62,7.34,8.25,8.12,8.22,7.91,8.84,8.94,8.62,9.38,9.41,9.0,9.19,9.16,8.41,8.41,7.56,7.62,7.66,9.0,9.91,10.84,12.62,13.28,14.06,14.28,13.34,12.25,10.62,8.56,7.06,6.06,5.78,5.19,5.84,7.06,8.66,9.66,11.44,12.78,14.03,14.28,15.44,15.62,17.06,17.31,18.84,20.38,20.78,21.62,22.75,22.62,22.38,22.47,21.03,20.12,19.84,18.81,17.12,16.03,14.41,13.41,11.81,12.19,12.78,14.25,16.81,18.44,20.03,22.69,23.31,23.72,23.78,23.75,23.34,23.78,24.53,24.66,24.75,24.78,23.25,22.53,21.69,21.12,21.31,21.38,21.16,20.06,18.5,15.91,13.5,11.81,10.03,10.0,12.31,13.94,16.72,19.16,21.31,21.47,21.06,20.75,18.75,17.69,15.44,13.31,11.53,9.44,7.97,6.09,5.12,3.91,4.62,4.41,5.66,7.03,8.03,7.78,7.62,6.34,5.97,4.94,5.03,5.09,5.66,6.97,9.06,11.84,14.16,16.0,17.66,17.88,17.75,18.12,18.88,19.41,20.69,21.78,21.84,21.56,20.44,20.66,19.81,19.78,20.16,20.62,20.31,21.56,22.22,22.62,23.31,22.75,22.62,21.62,20.56,19.5,17.62,14.81,11.97,9.03,6.62,4.69,5.38,6.12,8.22,10.78,14.38,16.12,18.41,20.31,20.88,20.97,21.47,20.31,19.66,19.38,19.22,18.53,18.59,18.66,19.56,19.28,20.16,21.66,22.91,23.47,23.53,23.41,22.25,21.16,20.59,19.66,19.62,20.06,21.34,21.75,23.56,24.91,25.91,27.19,27.69,21.66,19.97,17.88,16.91,16.66,17.69,18.31,21.62,22.97,24.84,27.47,30.62,34.16,37.38,39.38,39.81,38.66,37.47,35.41,34.44,33.94,32.56,32.69,32.5,33.16,33.94,36.16,39.31,41.44,43.31:positivity
18.88,17.91,16.59,17.19,17.31,17.38,18.62,19.97,21.28,21.66,22.19,22.62,22.91,23.34,23.41,24.44,24.03,22.94,22.84,21.56,20.56,19.56,19.09,17.88,16.34,15.97,15.53,14.78,15.41,15.69,18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09:18.62,19.97,21.28,21.66,22.19,22.62,22.91,23.34,23.41,24.44,24.03,22.94,22.84,21.56,20.56,19.56,19.09,17.88,16.34,15.97,15.53,14.78,15.41,15.69,18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09,4.56,3.22,2.97,3.31,3.66,4.97:22.91,23.34,23.41,24.44,24.03,22.94,22.84,21.56,20.56,19.56,19.09,17.88,16.34,15.97,15.53,14.78,15.41,15.69,18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09,4.56,3.22,2.97,3.31,3.66,4.97,6.66,8.88,10.5,11.53,13.62,14.66:22.84,21.56,20.56,19.56,19.09,17.88,16.34,15.97,15.53,14.78,15.41,15.69,18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09,4.56,3.22,2.97,3.31,3.66,4.97,6.66,8.88,10.5,11.53,13.62,14.66,15.78,16.5,16.0,15.59,14.56,12.28:16.34,15.97,15.53,14.78,15.41,15.69,18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09,4.56,3.22,2.97,3.31,3.66,4.97,6.66,8.88,10.5,11.53,13.62,14.66,15.78,16.5,16.0,15.59,14.56,12.28,10.34,7.09,3.88,1.03,-0.97,-2.88:18.16,19.69,22.41,26.06,27.88,29.12,30.34,30.16,30.78,31.97,33.91,36.34,39.06,41.75,43.31,43.72,43.25,41.0,39.53,37.25,34.62,33.53,31.75,30.62,29.28,27.81,27.53,26.59,25.31,24.22,22.69,20.0,17.84,16.44,16.0,15.66,15.97,15.31,13.97,13.19,11.91,12.69,13.0,13.12,14.62,15.0,15.94,17.19,18.56,20.16,20.69,21.12,21.91,20.81,19.81,19.94,19.91,20.12,20.53,21.53,21.78,20.88,19.94,18.91,17.56,15.72,14.25,13.06,12.44,13.16,15.0,17.31,21.59,25.69,29.0,31.97,33.25,34.06,32.59,30.66,28.56,26.25,23.16,21.34,19.31,18.78,18.31,18.16,19.41,20.31,21.53,22.62,23.94,24.31,25.0,25.75,26.34,26.94,27.84,27.19,27.12,25.72,23.91,23.66,21.34,20.75,20.03,19.69,19.53,20.88,22.44,24.12,24.84,24.91,22.91,19.81,17.0,15.44,14.56,15.88,17.81,19.41,21.19,21.78,21.31,20.91,19.66,17.91,15.94,14.97,15.0,14.91,15.16,15.06,15.0,14.66,14.44,13.59,13.81,13.44,13.53,15.25,17.56,19.16,20.06,20.34,20.31,19.59,20.41,20.38,20.69,20.66,19.69,18.38,16.5,15.19,13.75,13.16,12.94,13.0,12.69,12.56,12.38,11.91,13.41,15.16,16.91,19.25,20.81,21.56,23.06,22.78,23.81,23.81,24.16,24.28,23.94,23.0,21.72,20.31,19.66,18.28,17.09,15.88,13.31,12.88,12.06,11.5,12.16,14.66,15.31,16.91,18.62,18.44,18.56,18.69,18.66,18.84,19.41,17.5,16.38,12.91,9.94,7.62,4.22,3.06,1.91,0.88,1.94,2.78,4.72,7.25,10.25,11.62,12.69,13.41,11.75,9.88,7.19,4.56,3.56,0.72,0.75,1.25,1.28,3.28,5.91,7.94,9.62,11.59,11.34,11.81,11.66,11.47,12.69,12.72,13.31,14.19,14.03,14.5,13.88,13.94,14.66,15.69,16.94,16.94,17.59,17.81,17.25,17.28,17.34,17.34,16.19,15.56,15.12,16.03,16.84,19.81,22.06,23.53,23.28,22.03,19.78,17.28,15.41,13.47,11.56,10.75,9.19,8.28,7.06,6.69,5.0,2.91,2.94,2.06,1.5,2.12,3.69,4.16,5.94,7.81,8.91,8.69,7.91,6.25,4.34,-0.06,-2.09,-4.47,-5.91,-6.81,-6.28,-5.0,-4.84,-3.53,-2.34,-2.22,-0.56,0.25,1.84,3.28,5.38,8.78,11.56,14.31,17.03,16.66,15.34,13.25,11.81,9.5,9.06,9.09,9.19,10.31,11.06,10.69,10.22,9.91,9.12,8.5,10.53,11.66,13.0,14.56,16.16,16.56,17.56,18.09,18.34,17.41,16.5,15.06,12.94,11.16,10.06,8.16,6.56,6.19,4.62,3.97,3.53,3.41,3.97,4.56,5.72,5.84,7.38,7.97,8.41,9.44,10.16,11.0,12.16,14.34,16.53,19.69,23.0,26.31,28.31,29.0,28.41,25.06,21.22,17.16,12.47,8.53,5.78,4.31,3.34,4.03,6.19,8.28,10.91,15.0,18.62,22.06,24.94,26.59,26.06,23.91,20.03,15.28,10.75,6.69,3.84,2.34,1.94,2.75,4.25,4.78,5.69,6.31,6.5,6.16,6.56,5.94,6.53,7.91,7.84,9.03,9.94,10.5,10.06,10.94,11.16,10.66,10.5,10.25,9.0,8.53,8.03,7.34,5.62,5.28,4.88,5.25,5.53,7.81,8.53,11.31,13.19,15.06,17.44,18.16,18.12,17.31,16.84,15.75,14.94,14.44,13.25,13.44,12.59,12.19,11.75,9.88,7.25,5.72,2.62,0.62,-0.66,-2.31,-2.78,-1.78,0.09,2.19,5.09,6.5,7.25,6.72,4.69,3.06,0.31,-2.09,-4.44,-5.75,-7.19,-8.0,-7.34,-6.94,-6.09,-4.97,-3.66,-3.59,-3.34,-3.22,-2.97,-3.69,-4.34,-5.34,-6.72,-7.94,-8.81,-9.56,-9.91,-11.06,-10.56,-10.44,-9.44,-8.19,-6.81,-5.59,-4.03,-2.44,-1.09,-1.09,-1.38,-2.59,-4.66,-6.59,-8.03,-9.41,-10.5,-10.34,-10.31,-9.56,-8.34,-6.88,-4.47,-1.44,0.66,2.78,3.78,4.0,3.75,3.25,3.94,4.72,7.12,8.06,10.59,12.25,12.5,12.5,11.19,9.56,8.03,6.38,5.03,3.25,2.75,1.03,0.56,-0.34,-1.28,-1.84,-3.03,-2.94,-2.94,-3.09,-3.19,-2.72,-1.47,-0.34,0.5,-0.28,-0.31,-1.81,-3.44,-3.53,-3.84,-3.59,-3.97,-4.19,-4.72,-5.81,-5.59,-6.81,-6.72,-6.84,-6.66,-6.12,-4.97,-4.72,-3.28,-2.19,-1.34,-0.91,-1.84,-2.84,-4.66,-5.56,-5.09,-5.22,-4.66,-4.03,-3.47,-2.44,-3.16,-2.59,-2.56,-3.47,-4.34,-4.75,-4.03,-4.06,-3.94,-3.31,-2.38,-1.72,-1.34,-1.47,-1.91,-2.47,-2.69,-2.31,-2.22,-1.88,-1.53,-2.16,-2.78,-3.38,-3.91,-4.09,-4.44,-3.31,-3.41,-3.25,-3.5,-3.22,-2.38,-0.84,-0.09,0.94,0.16,-1.22,-2.84,-4.06,-4.72,-4.38,-1.84,0.03,3.91,7.81,11.06,12.94,13.44,12.56,10.56,8.84,6.94,7.06,6.72,7.19,8.56,8.69,8.38,7.19,5.41,3.56,1.56,0.56,-0.38,-0.16,0.31,1.22,2.69,3.56,3.56,4.16,2.94,3.03,2.5,3.72,4.94,5.75,7.44,8.62,9.0,8.62,8.5,8.34,7.47,7.44,6.81,5.31,3.94,2.62,0.59,0.12,-0.19,0.0,0.0,1.25,1.56,0.97,0.47,-0.78,-1.78,-0.94,0.81,2.41,5.0,6.0,6.75,6.06,5.19,4.44,4.03,3.62,4.62,5.62,5.31,5.41,4.03,1.84,-0.59,-2.69,-4.5,-3.84,-2.84,-1.03,2.0,4.09,5.59,5.66,4.31,3.03,1.66,0.25,-0.44,-0.97,-1.72,-1.56,-1.09,-2.0,-2.22,-4.06,-4.28,-5.59,-5.66,-4.91,-4.09,-3.41,-2.5,-2.12,-1.47,-1.41,0.06,0.41,1.12,2.16,1.59,0.34,-1.59,-3.88,-6.44,-9.47,-12.56,-14.41,-16.53,-17.66,-18.0,-17.97,-17.91,-16.28,-15.09,-13.5,-11.41,-9.41,-7.09,-5.97,-4.38,-2.84,-1.09,-0.94,0.44,0.91,0.41,1.09,0.31,0.53,-0.66,-0.91,-0.81,-1.84,-1.97,-2.09,-3.31,-4.69,-5.59,-5.81,-6.03,-5.66,-4.59,-3.72,-2.91,-3.19,-2.16,-1.69,-1.34,-0.88,0.5,0.72,1.31,2.66,3.0,2.78,1.84,-0.53,-1.53,-4.59,-5.41,-5.41,-6.09,-5.97,-6.44,-6.22,-5.53,-4.44,-3.09,-1.66,-0.78,-0.91,-1.44,-1.47,-2.38,-3.47,-3.34,-3.47,-3.19,-3.44,-3.25,-3.5,-4.16,-4.34,-4.03,-3.69,-2.78,-1.31,-0.06,0.91,2.88,5.56,6.78,9.06,10.59,10.62,10.34,8.59,6.22,4.16,2.16,-0.09,-1.22,-2.53,-2.28,-2.44,-2.09,-0.69,-0.09,0.56,1.06,0.16,1.09,1.81,3.38,3.91,5.53,5.84,5.5,5.22,4.78,3.91,2.66,2.59,2.38,3.25,4.38,7.06,8.56,9.56,10.62,10.31,9.16,8.03,6.41,5.62,4.19,2.12,0.25,-1.16,-3.16,-4.09,4.56,3.22,2.97,3.31,3.66,4.97,6.66,8.88,10.5,11.53,13.62,14.66,15.78,16.5,16.0,15.59,14.56,12.28,10.34,7.09,3.88,1.03,-0.97,-2.88,-4.28,-3.94,-3.59,-2.97,-0.06,2.06:positivity
20.28,20.31,20.84,19.72,19.12,17.91,16.53,16.75,15.84,15.25,15.56,14.12,14.44,14.78,15.38,16.81,18.34,20.56,23.28,24.22,25.53,26.31,26.75,26.34,25.69,25.19,23.94,23.31,23.81,24.91,25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56:16.53,16.75,15.84,15.25,15.56,14.12,14.44,14.78,15.38,16.81,18.34,20.56,23.28,24.22,25.53,26.31,26.75,26.34,25.69,25.19,23.94,23.31,23.81,24.91,25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56,-17.34,-16.94,-16.62,-16.66,-16.66,-16.44:14.44,14.78,15.38,16.81,18.34,20.56,23.28,24.22,25.53,26.31,26.75,26.34,25.69,25.19,23.94,23.31,23.81,24.91,25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56,-17.34,-16.94,-16.62,-16.66,-16.66,-16.44,-17.03,-17.69,-19.06,-20.28,-22.47,-24.59:23.28,24.22,25.53,26.31,26.75,26.34,25.69,25.19,23.94,23.31,23.81,24.91,25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56,-17.34,-16.94,-16.62,-16.66,-16.66,-16.44,-17.03,-17.69,-19.06,-20.28,-22.47,-24.59,-24.84,-25.38,-25.5,-23.84,-22.0,-20.41:25.69,25.19,23.94,23.31,23.81,24.91,25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56,-17.34,-16.94,-16.62,-16.66,-16.66,-16.44,-17.03,-17.69,-19.06,-20.28,-22.47,-24.59,-24.84,-25.38,-25.5,-23.84,-22.0,-20.41,-18.47,-18.0,-16.97,-17.47,-18.09,-18.91:25.5,27.62,28.59,29.38,30.81,31.62,31.81,34.56,35.06,37.78,38.5,39.91,41.28,40.84,41.38,40.03,37.28,33.62,30.31,26.34,22.62,20.59,19.09,16.81,15.41,14.78,14.53,14.62,16.72,18.12,19.34,20.88,20.66,19.81,19.28,17.91,16.53,14.69,13.72,13.53,12.47,12.62,12.19,12.19,12.06,12.03,11.66,11.84,12.38,13.5,15.75,17.25,19.09,21.19,22.31,22.81,23.44,23.81,21.88,20.16,18.88,15.94,13.69,12.28,12.19,11.38,11.5,11.28,11.94,10.69,10.47,9.16,9.19,7.88,8.25,10.16,11.12,14.44,17.31,21.22,24.25,26.25,27.78,27.91,26.94,25.16,22.06,19.16,15.31,12.66,10.62,9.25,8.53,9.25,9.34,12.03,14.38,18.69,23.91,27.78,30.69,30.88,30.25,28.34,25.78,23.56,22.44,19.16,19.5,17.84,17.53,18.09,17.47,18.56,18.91,17.56,17.69,15.28,12.19,10.66,7.69,7.69,7.44,8.41,8.5,9.94,10.0,11.03,12.41,13.06,14.12,15.88,15.97,16.56,16.56,15.03,13.59,13.19,11.31,10.19,10.44,9.78,9.41,9.09,9.94,10.97,12.19,14.91,16.34,17.53,18.16,19.59,20.91,22.81,26.0,28.06,29.47,29.72,28.25,27.16,25.28,24.0,23.31,22.94,23.44,23.0,23.91,23.88,21.94,20.22,17.12,14.06,13.12,11.81,12.25,13.44,14.53,15.72,17.12,17.84,17.53,16.28,14.91,12.62,10.53,9.5,10.84,11.38,12.5,13.38,14.06,13.28,11.47,10.91,7.97,6.19,4.16,3.94,3.09,4.78,6.16,8.12,10.38,12.38,13.91,15.03,15.12,15.38,14.81,14.94,14.0,13.22,12.25,11.0,10.59,9.38,7.72,7.09,6.44,6.16,5.03,5.69,7.22,8.84,10.97,14.56,16.16,18.19,19.06,19.16,19.28,19.12,18.91,18.62,19.06,19.78,20.97,21.81,22.31,21.72,21.59,20.91,19.97,19.44,20.41,19.28,18.94,19.28,18.84,19.0,19.84,21.06,21.69,21.16,22.06,21.38,21.25,21.41,21.78,22.34,22.12,22.22,21.66,22.25,21.72,20.38,19.41,18.19,16.16,15.62,14.78,14.41,14.03,14.19,15.53,16.84,19.25,21.94,23.25,24.75,25.91,24.31,23.47,22.44,20.56,20.28,19.44,19.5,18.78,18.81,18.66,18.5,18.59,16.94,16.0,14.53,12.16,9.84,8.94,7.66,8.03,8.69,9.94,13.25,14.28,17.28,18.0,17.78,17.84,17.22,16.25,15.03,16.25,17.5,17.03,18.06,17.91,15.5,14.09,11.19,8.78,7.97,5.41,5.06,5.12,5.53,5.44,5.84,5.38,5.12,4.75,5.44,5.12,5.06,5.12,5.16,4.06,4.47,4.56,3.75,4.31,3.81,4.09,2.62,3.25,3.09,5.16,5.22,7.72,9.41,9.5,11.34,13.69,15.31,17.66,19.75,22.62,24.06,25.69,25.78,24.5,21.81,18.78,14.72,13.44,11.28,11.53,12.38,13.03,13.97,16.0,16.09,15.47,14.06,13.19,12.28,13.06,15.75,16.53,16.16,16.34,15.31,14.25,13.09,11.94,11.66,9.41,6.84,5.59,4.31,4.06,4.44,5.84,7.56,8.25,8.56,9.53,9.44,9.38,9.38,11.28,12.41,13.56,14.91,15.66,15.34,14.53,15.25,16.09,15.38,16.22,14.94,13.62,12.62,10.91,10.25,9.31,8.06,7.06,7.34,7.0,8.0,9.59,11.72,12.88,15.06,15.25,15.25,15.38,13.06,11.78,9.62,8.78,8.09,6.91,6.19,5.59,3.72,3.12,2.75,2.78,3.25,4.09,5.22,5.69,6.34,8.06,9.16,10.78,12.56,13.47,11.47,10.31,7.78,6.25,4.0,4.94,5.03,6.59,7.44,7.81,7.31,6.16,4.53,4.25,3.66,3.03,3.53,3.41,3.34,4.59,5.78,6.28,7.03,6.78,5.44,4.56,2.16,0.12,-1.88,-2.31,-2.91,-1.59,-0.59,-0.28,0.78,0.88,0.84,0.72,2.81,3.19,4.19,4.59,4.81,4.91,4.62,4.88,6.75,7.84,10.44,12.72,14.56,15.25,16.09,15.0,13.59,13.31,11.66,11.81,12.88,13.75,13.34,12.66,11.09,9.12,6.53,4.78,3.44,3.22,4.22,4.94,8.41,10.56,12.25,12.78,11.66,8.38,4.75,1.34,-0.47,-1.31,0.31,1.44,4.44,6.56,9.44,12.31,14.75,16.41,16.94,17.5,14.91,13.94,11.72,9.91,8.56,6.44,4.66,3.56,1.72,0.53,1.12,0.81,0.78,1.81,1.44,0.34,0.69,-0.88,-1.03,-0.22,0.16,2.94,3.81,5.75,7.06,6.84,5.97,4.94,3.12,2.03,2.16,0.47,0.75,-0.72,-2.31,-2.78,-3.16,-3.69,-3.84,-3.41,-2.69,-1.22,0.91,2.94,5.44,7.66,8.53,10.0,10.16,9.78,8.56,7.12,6.16,5.59,6.25,7.31,9.19,10.66,11.03,9.69,8.69,8.47,5.84,5.94,5.25,3.75,4.31,2.88,3.0,3.69,3.97,5.0,8.44,10.78,14.06,17.25,19.31,19.31,16.91,12.97,8.97,3.03,-0.03,-3.97,-5.91,-7.12,-7.47,-7.03,-6.06,-6.03,-6.31,-6.91,-7.88,-8.84,-8.47,-8.19,-5.03,-2.94,-1.53,0.94,2.19,3.59,5.31,6.88,8.19,9.78,9.97,9.16,8.09,6.72,4.56,3.31,3.28,3.41,3.03,3.16,3.69,3.31,2.06,1.53,-0.38,-1.66,-1.38,-1.03,-0.81,0.53,2.28,3.28,4.69,5.72,5.16,5.66,4.62,4.81,5.66,7.53,8.91,10.56,12.25,12.28,12.94,13.34,12.12,12.78,12.34,11.22,9.78,8.06,6.69,5.34,4.12,5.06,6.59,8.66,10.19,11.66,12.88,11.72,11.66,10.91,10.06,8.47,7.12,6.03,4.81,3.78,4.06,4.5,6.72,8.62,9.25,11.31,12.94,13.44,13.88,14.38,13.53,12.06,9.03,6.94,4.0,2.12,0.12,-0.44,-0.59,-0.16,0.16,1.47,2.72,4.62,6.03,7.19,7.69,7.5,6.69,7.16,6.22,6.31,5.12,4.34,2.66,0.56,-1.22,-2.44,-3.09,-2.75,-2.09,-0.66,-0.09,1.09,1.75,1.94,1.25,0.44,-0.06,-0.84,-1.97,-1.81,-3.22,-4.97,-4.53,-4.03,-2.66,-0.41,1.91,4.25,4.59,5.06,4.56,3.59,1.72,-0.53,-2.47,-4.28,-6.16,-6.31,-7.19,-8.72,-10.19,-12.59,-13.84,-14.09,-14.12,-12.84,-10.66,-9.03,-7.59,-5.72,-4.66,-3.66,-2.25,-1.66,-0.53,-0.06,0.28,-0.94,0.38,-0.66,-0.75,0.09,0.47,1.84,3.0,3.56,4.44,6.06,7.28,8.12,10.06,11.66,12.75,14.0,14.78,15.78,16.34,15.91,16.75,16.25,16.5,15.31,14.5,14.06,12.34,10.78,9.75,8.44,7.41,6.91,7.75,9.75,10.84,13.31,14.69,14.62,14.88,13.59,11.66,10.0,8.47,6.47,5.16,5.53,5.53,5.41,8.0,8.41,9.41,10.56,10.62,10.16,10.12,9.5,10.03,9.34,9.91,9.47,9.38,10.28,10.62,12.94,15.72,18.12,19.0,18.44,16.56,-17.34,-16.94,-16.62,-16.66,-16.66,-16.44,-17.03,-17.69,-19.06,-20.28,-22.47,-24.59,-24.84,-25.38,-25.5,-23.84,-22.0,-20.41,-18.47,-18.0,-16.97,-17.47,-18.09,-18.91,-19.91,-21.53,-21.12,-21.91,-20.56,-18.97:positivity
21.28,21.16,20.69,21.53,21.75,22.91,23.72,22.66,22.06,22.5,20.69,19.44,18.88,17.44,17.53,17.56,18.06,18.97,18.53,18.72,18.19,19.94,20.47,22.78,25.25,26.03,26.84,26.59,26.12,25.94,25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34:23.72,22.66,22.06,22.5,20.69,19.44,18.88,17.44,17.53,17.56,18.06,18.97,18.53,18.72,18.19,19.94,20.47,22.78,25.25,26.03,26.84,26.59,26.12,25.94,25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34,-20.78,-22.56,-23.28,-23.16,-23.12,-21.56:18.88,17.44,17.53,17.56,18.06,18.97,18.53,18.72,18.19,19.94,20.47,22.78,25.25,26.03,26.84,26.59,26.12,25.94,25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34,-20.78,-22.56,-23.28,-23.16,-23.12,-21.56,-20.91,-21.12,-21.31,-23.97,-24.69,-25.38:18.53,18.72,18.19,19.94,20.47,22.78,25.25,26.03,26.84,26.59,26.12,25.94,25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34,-20.78,-22.56,-23.28,-23.16,-23.12,-21.56,-20.91,-21.12,-21.31,-23.97,-24.69,-25.38,-26.56,-26.34,-24.94,-23.94,-23.09,-23.09:25.25,26.03,26.84,26.59,26.12,25.94,25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34,-20.78,-22.56,-23.28,-23.16,-23.12,-21.56,-20.91,-21.12,-21.31,-23.97,-24.69,-25.38,-26.56,-26.34,-24.94,-23.94,-23.09,-23.09,-22.53,-22.19,-22.62,-21.12,-20.53,-19.53:25.28,25.03,24.84,23.34,22.16,21.5,20.66,21.16,21.25,21.53,22.16,23.0,23.5,24.56,24.31,24.09,23.66,23.56,23.84,24.66,25.69,26.44,27.0,25.81,25.31,24.06,22.72,21.31,19.97,18.84,17.12,15.56,15.5,15.12,14.19,14.69,16.22,16.81,17.66,18.91,19.0,18.56,17.75,16.66,14.91,12.41,10.84,9.06,6.91,6.5,6.75,6.12,6.62,8.09,8.94,9.28,11.0,12.03,12.72,12.72,13.03,13.25,13.34,14.12,13.56,14.72,14.72,15.56,17.5,18.78,20.44,21.0,20.5,20.12,19.38,17.84,17.56,15.69,16.06,14.41,13.53,14.22,15.09,16.66,18.75,20.53,22.38,23.06,23.56,22.78,21.44,21.0,19.44,18.44,17.97,18.25,17.81,18.25,19.91,21.25,21.59,22.5,22.62,22.62,23.41,23.81,23.84,24.56,24.81,26.0,25.97,27.06,28.19,28.81,28.81,28.72,27.56,27.47,26.16,26.53,26.31,26.5,26.5,27.16,28.38,29.41,30.5,31.41,30.69,30.56,29.38,26.84,26.69,25.16,24.59,25.12,26.31,27.66,29.31,30.09,31.5,31.72,30.69,29.69,28.88,27.34,25.62,24.0,23.56,22.0,20.56,19.78,18.44,17.56,16.59,17.0,16.62,17.38,16.56,16.16,15.31,15.59,15.88,16.72,17.31,17.88,18.69,19.19,19.47,20.66,22.84,23.31,24.62,24.91,25.44,25.72,26.25,26.56,26.56,26.16,25.47,25.44,24.75,24.72,24.91,24.91,25.91,26.53,26.72,27.84,28.06,28.16,28.41,28.16,27.69,27.72,26.03,25.34,24.72,23.69,24.25,24.03,24.31,24.66,24.31,25.28,24.84,25.47,25.25,23.5,21.81,20.19,18.09,16.94,16.28,16.09,16.5,18.5,19.69,21.5,22.75,24.38,25.41,25.25,24.69,24.94,23.38,22.88,22.66,23.19,24.88,26.25,27.81,27.56,26.0,22.72,20.16,16.16,13.81,12.28,11.56,11.03,12.44,12.78,14.22,15.5,18.09,20.53,21.88,25.38,26.94,26.62,27.81,27.28,25.09,23.91,22.16,20.62,18.97,18.34,18.16,17.31,18.03,18.88,20.06,22.0,23.44,24.97,26.25,26.12,26.41,26.78,27.47,27.28,28.81,27.75,26.62,26.16,24.81,24.41,23.81,24.19,24.03,23.06,22.88,22.19,21.72,21.47,21.84,21.19,21.03,22.34,23.59,25.62,27.81,30.12,31.81,32.19,32.66,32.03,31.16,29.38,27.69,25.66,23.72,23.69,22.16,21.03,20.56,18.94,17.25,15.31,13.81,12.47,12.06,11.06,10.41,11.5,11.84,12.78,15.84,17.44,18.94,22.09,22.06,21.28,20.03,18.22,15.81,13.47,12.16,11.94,12.41,13.81,17.19,20.41,24.19,28.03,31.56,34.38,36.41,36.44,37.25,36.12,34.75,32.94,31.84,30.12,28.16,28.41,28.88,28.41,29.16,28.78,28.25,27.12,25.41,24.75,23.91,22.5,22.06,21.62,21.41,20.88,21.38,22.62,22.53,24.59,24.31,25.56,24.81,23.94,23.56,22.41,21.69,22.12,21.84,22.03,22.19,22.28,22.94,23.0,22.69,22.94,22.09,22.0,22.31,21.69,21.12,20.47,20.25,19.53,18.66,18.09,18.59,18.56,19.59,19.69,20.25,19.06,17.91,17.16,17.19,16.78,18.12,18.41,19.28,18.25,18.0,17.16,18.0,17.78,18.44,18.94,19.5,19.31,18.38,18.66,18.03,18.41,18.94,20.06,21.56,22.31,23.72,25.19,25.81,26.34,26.16,26.69,26.72,26.88,27.97,28.41,28.56,28.91,28.91,29.66,28.91,26.62,24.69,21.03,16.22,11.91,7.41,4.28,2.56,1.44,2.06,3.81,5.28,8.34,10.69,12.91,16.25,18.25,19.41,20.31,19.25,18.41,16.31,14.69,13.78,13.72,14.06,15.31,16.25,17.75,19.06,20.75,22.97,24.94,26.22,28.12,28.12,27.56,26.12,25.44,24.66,24.16,23.69,23.31,24.09,23.25,22.44,21.44,20.41,18.69,18.44,18.94,20.5,23.94,28.06,32.66,35.56,38.19,37.44,35.19,32.53,28.31,25.31,23.62,21.41,21.66,21.5,22.12,23.06,24.03,25.16,25.53,25.41,26.31,24.81,25.19,25.06,23.97,24.28,24.78,24.31,25.31,25.78,25.19,25.28,25.53,26.41,27.91,29.03,29.69,28.66,29.38,24.5,21.69,18.78,16.09,13.47,13.06,12.75,12.72,13.25,13.94,14.44,16.56,16.78,18.34,19.81,19.62,20.56,20.59,20.81,20.66,20.78,20.75,20.06,20.91,20.69,20.31,20.69,19.97,20.03,20.94,22.19,22.28,22.38,21.88,19.41,17.44,15.53,15.31,14.12,13.91,14.56,14.53,15.75,16.38,17.56,19.16,20.03,19.59,20.06,18.91,18.66,17.22,15.78,14.66,13.25,13.78,14.44,16.38,19.47,22.5,25.31,26.41,26.12,25.25,23.5,21.59,20.94,20.56,19.66,18.56,17.44,16.09,15.34,14.62,14.97,15.97,17.44,18.81,19.62,20.16,20.31,19.88,18.84,17.56,17.5,17.22,18.5,18.91,19.41,19.69,19.06,19.0,18.91,19.84,20.75,21.69,22.56,22.41,21.53,20.56,19.66,17.91,18.06,18.22,19.25,19.19,18.91,19.06,17.59,16.94,15.78,15.31,15.12,14.66,15.56,17.09,19.34,21.25,22.06,24.0,23.22,21.88,21.06,19.22,17.12,15.19,14.44,13.78,12.91,12.22,12.81,13.16,13.41,14.78,16.06,15.88,18.41,20.0,20.88,22.28,23.53,24.22,25.28,25.97,27.81,28.66,28.84,28.72,28.34,27.53,27.25,26.69,26.62,25.84,24.47,22.06,19.56,17.0,15.97,14.91,15.06,15.53,15.16,14.69,14.41,12.91,12.97,14.25,14.94,15.44,15.56,15.56,14.91,13.59,13.53,12.94,12.44,12.38,12.06,11.56,11.84,12.34,12.56,13.38,14.75,15.0,16.62,17.16,18.41,17.72,16.72,16.72,15.62,14.03,12.25,10.16,6.66,4.16,3.03,3.06,3.41,4.38,4.78,3.81,2.88,2.59,1.53,1.56,3.06,4.0,4.34,6.0,8.25,10.66,14.12,17.31,20.28,23.44,24.53,24.25,22.69,20.5,17.03,14.22,13.44,12.94,12.5,13.16,12.78,12.0,11.41,11.81,11.06,10.53,10.16,9.31,9.12,9.91,10.72,12.88,14.0,13.56,12.66,10.66,9.16,8.19,8.56,8.94,10.16,11.94,12.94,12.91,13.09,13.19,12.19,11.28,11.19,11.06,11.12,11.66,12.28,12.78,13.56,14.81,15.72,16.47,16.59,16.69,15.16,14.41,13.25,12.41,12.5,11.66,10.59,9.34,7.97,6.66,5.81,5.5,6.16,7.28,7.62,9.59,11.12,12.28,13.25,14.12,14.66,14.94,14.44,14.97,14.97,14.56,14.41,15.41,15.56,15.0,14.41,12.62,11.47,9.56,8.59,7.75,8.06,8.53,9.38,10.56,11.81,13.06,13.38,13.81,11.94,10.44,8.31,6.34,5.41,5.62,5.31,4.94,5.19,5.91,6.22,7.59,9.28,10.94,12.66,13.81,15.09,16.97,17.84,18.0,19.31,18.31,16.97,14.34,-20.78,-22.56,-23.28,-23.16,-23.12,-21.56,-20.91,-21.12,-21.31,-23.97,-24.69,-25.38,-26.56,-26.34,-24.94,-23.94,-23.09,-23.09,-22.53,-22.19,-22.62,-21.12,-20.53,-19.53,-18.78,-18.34,-18.5,-18.97,-19.5,-20.28:positivity
60.16,59.25,57.56,57.75,57.44,58.75,58.81,60.19,60.66,61.38,61.81,63.31,62.81,63.03,63.12,64.25,64.28,66.44,67.81,68.5,69.12,69.44,69.69,68.19,67.81,66.75,65.06,64.19,64.38,64.97,65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19:58.81,60.19,60.66,61.38,61.81,63.31,62.81,63.03,63.12,64.25,64.28,66.44,67.81,68.5,69.12,69.44,69.69,68.19,67.81,66.75,65.06,64.19,64.38,64.97,65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19,10.22,8.28,7.38,7.25,7.34,8.0:62.81,63.03,63.12,64.25,64.28,66.44,67.81,68.5,69.12,69.44,69.69,68.19,67.81,66.75,65.06,64.19,64.38,64.97,65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19,10.22,8.28,7.38,7.25,7.34,8.0,10.16,12.19,12.81,15.0,15.53,17.22:67.81,68.5,69.12,69.44,69.69,68.19,67.81,66.75,65.06,64.19,64.38,64.97,65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19,10.22,8.28,7.38,7.25,7.34,8.0,10.16,12.19,12.81,15.0,15.53,17.22,18.19,18.31,18.91,19.81,19.53,19.91:67.81,66.75,65.06,64.19,64.38,64.97,65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19,10.22,8.28,7.38,7.25,7.34,8.0,10.16,12.19,12.81,15.0,15.53,17.22,18.19,18.31,18.91,19.81,19.53,19.91,20.66,20.56,19.44,17.97,17.41,16.31:65.09,67.22,67.44,68.94,70.0,70.78,70.88,70.94,70.09,69.5,68.56,67.88,68.5,68.22,68.12,68.94,69.25,69.19,69.28,69.56,68.62,66.75,65.81,64.44,62.0,60.81,58.94,56.62,54.44,53.25,52.38,51.72,50.84,51.31,51.03,50.88,51.44,51.44,50.5,50.81,50.38,50.0,50.62,50.56,50.62,50.69,51.0,52.31,53.91,55.84,58.25,58.59,59.44,60.56,61.78,63.44,67.31,69.69,70.75,70.56,68.47,65.0,60.41,56.44,53.25,51.62,50.06,49.94,50.06,51.28,51.53,52.59,53.69,54.56,54.69,54.62,54.0,51.62,49.5,48.19,47.0,46.84,48.62,50.19,51.75,52.94,54.31,55.16,54.31,55.56,55.94,57.56,58.94,60.03,59.88,59.31,57.84,56.53,55.06,55.62,54.44,53.84,54.12,51.94,50.81,50.06,48.91,50.44,52.5,55.53,59.5,63.66,66.5,69.12,70.06,69.94,69.81,68.69,67.94,67.12,66.72,65.41,64.31,63.0,62.09,60.0,60.66,60.81,60.91,61.25,61.81,61.62,60.62,61.12,60.31,58.69,58.19,57.62,58.75,59.25,61.62,64.06,65.06,66.81,66.91,67.38,66.44,64.12,63.44,60.75,59.25,58.12,56.0,55.41,54.25,53.06,53.56,54.69,55.88,56.75,57.44,57.25,56.69,57.12,56.75,57.97,58.72,58.62,59.56,59.88,59.25,60.88,59.12,59.19,58.81,59.25,61.03,62.81,65.56,67.81,68.44,69.12,67.94,66.28,65.81,64.56,64.94,65.25,65.66,65.69,64.25,62.25,59.94,57.56,53.91,51.5,50.06,49.44,49.62,52.25,54.0,56.0,57.91,59.31,60.28,61.0,59.81,59.19,56.5,55.25,54.31,53.25,54.12,54.25,55.0,56.62,57.19,57.28,58.25,58.0,58.44,58.5,59.41,59.94,60.56,60.75,61.66,61.88,62.88,63.88,64.94,65.28,65.69,66.5,65.94,67.44,67.81,68.12,68.0,66.69,63.88,62.0,59.0,57.31,57.12,57.62,58.94,60.25,64.19,65.44,66.94,68.0,68.25,67.31,66.06,65.19,62.5,59.94,57.19,55.44,53.25,54.31,55.88,57.81,59.81,61.16,62.31,61.88,62.41,62.06,63.38,63.94,64.84,66.38,67.25,68.06,68.06,67.38,66.16,63.94,62.44,60.44,58.81,57.78,56.28,55.41,53.56,51.94,50.62,49.41,47.81,47.44,46.78,46.78,47.28,48.81,50.5,52.03,54.5,55.69,57.31,59.44,61.25,62.31,62.88,62.81,62.94,61.69,60.56,59.25,57.62,56.94,55.44,55.62,55.44,57.0,57.19,57.94,58.75,58.31,57.88,57.38,56.94,56.88,56.16,55.62,56.31,56.06,56.69,56.5,57.5,56.81,56.56,56.53,56.91,57.28,57.81,58.06,59.59,58.69,60.75,61.44,62.62,63.69,65.66,65.88,65.62,65.91,63.94,63.84,61.88,61.31,60.88,60.81,60.75,60.38,60.75,60.81,61.69,61.81,62.56,64.0,64.44,65.12,65.31,64.62,64.56,64.41,63.88,62.31,62.19,60.75,60.12,58.34,57.38,56.0,55.94,55.12,55.56,56.91,58.0,58.75,59.5,60.25,60.06,59.38,58.5,57.62,57.31,57.69,57.97,60.03,61.97,63.31,65.62,67.75,68.44,68.84,68.56,67.81,66.94,65.53,64.69,63.81,63.66,62.78,63.12,63.94,64.38,65.19,65.38,67.12,66.06,65.88,65.53,64.31,63.0,62.41,61.62,62.12,61.75,61.12,61.28,61.5,61.72,62.0,64.0,63.25,63.25,62.12,60.56,59.31,58.25,57.5,58.31,57.78,58.81,60.19,60.94,62.88,64.88,65.66,65.81,65.88,64.94,62.94,62.53,61.91,61.75,62.19,62.22,63.16,63.66,66.0,66.66,69.38,69.75,71.44,72.03,72.81,72.75,73.28,73.25,72.19,71.88,70.06,70.03,67.88,67.12,65.0,63.81,61.91,61.38,59.88,60.06,60.5,60.75,60.38,59.38,59.44,58.88,58.69,60.31,60.34,61.12,60.69,61.66,60.31,60.94,60.56,60.56,61.62,61.75,62.5,63.88,64.84,66.75,69.19,71.81,74.69,76.56,79.06,81.56,81.81,81.56,80.5,78.12,73.94,70.75,68.5,66.12,63.66,64.12,64.12,64.12,65.38,65.81,64.62,65.44,64.62,64.38,63.69,64.5,65.0,64.62,64.88,64.06,64.62,64.56,63.62,62.81,62.41,61.06,58.81,58.5,58.0,58.12,58.06,58.81,59.81,61.38,62.62,65.62,67.5,68.56,71.0,71.31,72.0,71.44,71.75,70.5,69.53,68.31,67.31,66.25,65.41,65.16,64.31,63.81,61.75,60.78,59.66,60.28,61.31,61.91,64.81,65.62,66.12,67.38,66.78,66.31,66.25,65.0,65.56,64.81,65.38,64.06,63.25,61.94,60.5,59.25,58.84,59.75,60.12,60.34,60.44,59.81,59.91,59.91,59.81,59.94,59.88,58.56,57.81,56.59,57.16,57.81,57.06,56.81,56.0,54.81,54.81,55.38,56.19,57.56,59.19,59.25,59.97,61.28,61.66,61.94,62.38,62.28,62.12,64.25,65.03,66.94,69.31,70.25,71.56,71.12,70.44,69.44,67.75,65.38,63.69,61.62,59.56,58.0,56.62,54.94,53.88,52.69,52.91,50.62,49.78,49.38,48.19,47.38,47.75,48.81,47.53,48.12,47.56,47.38,48.38,50.41,53.31,55.81,58.88,59.5,60.69,60.44,59.69,59.88,59.25,59.62,59.75,59.62,59.25,59.16,58.5,58.16,58.56,59.5,60.25,60.75,61.0,61.59,60.5,62.12,62.06,61.88,63.06,62.41,61.56,61.0,61.69,60.19,61.12,62.12,61.94,62.69,62.12,60.34,59.75,58.69,58.44,60.16,60.38,61.38,61.88,61.56,61.81,60.19,60.69,59.31,59.09,58.81,58.19,59.06,59.56,59.5,60.03,59.81,59.41,58.56,57.5,57.81,57.53,59.06,60.62,62.06,62.19,61.84,60.81,59.69,59.38,59.81,59.94,59.66,59.91,59.44,59.19,58.62,57.75,56.38,54.06,52.81,51.28,50.12,52.06,54.25,57.75,61.28,63.94,65.81,64.56,63.62,61.06,59.75,58.62,57.75,58.62,58.44,58.06,57.56,55.69,54.19,52.41,49.06,48.62,47.62,47.62,48.31,50.59,52.19,54.56,55.31,56.41,57.31,56.12,56.0,54.81,53.25,51.5,50.0,47.19,46.62,45.56,44.94,45.0,45.0,45.75,45.44,46.44,46.94,47.62,46.5,47.06,46.44,44.94,45.34,46.31,47.38,48.5,49.88,51.75,52.97,53.69,55.44,57.09,58.56,59.66,60.28,60.53,58.75,57.5,55.75,54.06,52.94,53.25,54.0,55.06,55.94,55.88,54.56,54.0,52.69,51.5,52.25,51.66,52.56,53.66,53.0,52.06,51.94,50.44,50.06,49.75,50.19,50.19,49.38,50.19,49.28,48.88,48.0,48.94,48.78,49.12,49.12,48.38,47.75,46.94,46.56,47.31,48.38,48.88,50.41,50.81,50.56,50.81,51.0,51.06,51.31,52.12,52.25,51.62,48.81,45.78,43.5,39.0,33.91,28.81,23.5,18.62,15.94,15.38,15.84,17.25,18.5,19.66,20.06,21.31,21.62,23.19,10.22,8.28,7.38,7.25,7.34,8.0,10.16,12.19,12.81,15.0,15.53,17.22,18.19,18.31,18.91,19.81,19.53,19.91,20.66,20.56,19.44,17.97,17.41,16.31,15.69,15.16,14.5,15.34,16.34,17.91:positivity
39.53,39.91,40.28,40.47,41.44,41.41,42.62,43.19,43.78,45.56,46.38,47.62,47.97,45.09,42.53,39.0,35.38,34.22,33.38,34.62,35.81,38.59,40.34,42.53,43.38,42.69,41.69,40.0,37.0,34.44,32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5:42.62,43.19,43.78,45.56,46.38,47.62,47.97,45.09,42.53,39.0,35.38,34.22,33.38,34.62,35.81,38.59,40.34,42.53,43.38,42.69,41.69,40.0,37.0,34.44,32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5,-19.16,-18.66,-18.72,-18.06,-18.22,-17.97:47.97,45.09,42.53,39.0,35.38,34.22,33.38,34.62,35.81,38.59,40.34,42.53,43.38,42.69,41.69,40.0,37.0,34.44,32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5,-19.16,-18.66,-18.72,-18.06,-18.22,-17.97,-17.88,-17.09,-17.09,-17.62,-18.0,-18.81:33.38,34.62,35.81,38.59,40.34,42.53,43.38,42.69,41.69,40.0,37.0,34.44,32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5,-19.16,-18.66,-18.72,-18.06,-18.22,-17.97,-17.88,-17.09,-17.09,-17.62,-18.0,-18.81,-19.69,-22.75,-24.12,-26.56,-27.53,-28.72:43.38,42.69,41.69,40.0,37.0,34.44,32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5,-19.16,-18.66,-18.72,-18.06,-18.22,-17.97,-17.88,-17.09,-17.09,-17.62,-18.0,-18.81,-19.69,-22.75,-24.12,-26.56,-27.53,-28.72,-28.69,-27.34,-26.47,-24.03,-22.16,-20.44:32.31,29.38,28.53,28.12,28.66,31.28,32.78,35.5,38.75,41.34,43.56,45.12,46.06,44.38,42.09,39.84,35.34,33.47,30.91,29.31,28.06,26.75,26.41,26.06,25.34,25.91,25.84,25.78,26.91,28.94,29.62,33.06,36.31,37.56,38.84,37.44,34.5,29.78,25.56,22.06,20.25,19.78,20.81,21.78,21.5,21.44,19.97,18.5,18.0,18.19,19.28,22.53,25.59,29.34,33.03,35.28,37.97,39.09,40.59,40.5,39.69,38.03,35.72,33.66,32.34,30.19,27.97,26.62,24.31,22.5,20.94,19.62,17.72,15.81,13.06,13.0,11.91,11.31,13.44,14.03,14.88,16.41,17.34,19.81,21.69,22.5,23.72,22.88,21.38,20.81,18.94,18.5,18.31,17.97,17.78,17.25,16.97,17.31,17.81,19.56,21.69,23.41,25.22,26.28,28.34,28.81,29.91,30.38,30.25,29.62,28.41,27.94,27.16,27.06,26.66,26.94,26.19,24.94,24.19,23.44,23.53,23.16,23.78,24.72,26.44,28.06,29.97,31.31,33.16,32.62,32.41,32.19,31.44,30.41,30.34,30.44,29.91,30.5,29.38,27.19,26.5,22.28,19.75,16.72,12.31,10.38,8.94,7.03,6.72,6.81,6.53,6.5,6.97,8.56,10.56,13.56,17.06,20.44,22.78,25.5,26.91,27.03,24.34,22.38,18.19,15.19,12.25,10.31,9.66,8.16,6.78,7.53,8.5,10.06,11.69,13.72,15.34,15.16,15.03,14.25,13.81,13.0,12.06,11.75,11.72,10.66,11.53,12.62,12.72,14.06,15.69,16.03,17.03,16.5,14.5,13.34,9.97,6.5,4.12,2.0,2.34,3.59,7.03,10.44,14.59,18.5,20.62,22.81,24.19,24.34,23.09,22.44,21.75,19.91,19.53,17.5,15.91,14.69,11.41,8.91,7.81,6.59,6.34,7.22,10.28,12.44,14.56,18.31,20.94,22.34,23.31,23.84,23.47,22.41,21.69,21.81,21.41,21.81,22.41,22.06,21.06,20.03,17.94,16.22,14.38,12.69,11.56,10.41,11.81,12.88,15.62,16.62,17.03,18.59,17.69,16.44,16.44,16.94,17.19,18.06,19.0,20.0,20.84,21.59,20.91,19.38,19.34,18.75,19.06,20.16,21.0,22.06,22.81,23.81,24.0,22.41,21.38,18.06,14.84,12.66,8.31,9.81,9.38,10.38,14.88,17.69,22.38,26.25,28.62,30.31,29.44,28.22,25.75,22.0,19.69,16.59,13.62,11.19,8.56,7.78,5.66,6.59,7.31,9.81,13.16,17.69,21.81,23.19,26.25,26.91,27.19,27.38,27.62,26.34,24.31,21.31,17.12,12.12,7.38,5.22,2.78,1.97,2.69,3.34,4.22,6.59,7.59,10.19,12.56,14.59,17.34,20.31,23.66,25.91,28.81,30.03,30.34,28.94,27.25,25.78,23.94,21.81,18.78,17.47,14.78,12.94,12.44,12.69,13.66,14.53,15.78,16.31,15.88,14.91,12.78,10.78,8.31,5.47,4.28,3.5,3.47,5.34,7.0,8.75,10.44,11.22,12.31,11.41,10.69,9.19,9.03,8.94,8.88,9.44,9.34,8.41,7.84,7.31,7.59,8.19,10.19,11.34,12.81,14.19,15.0,15.88,16.41,16.09,15.47,14.31,11.44,11.69,10.06,10.38,10.44,8.88,12.91,12.69,14.53,17.03,18.53,19.72,20.03,19.34,18.81,17.97,15.56,14.94,13.16,11.28,10.41,8.62,7.84,7.12,7.38,7.75,8.69,9.78,11.5,12.88,13.06,14.5,15.0,14.34,13.16,11.38,8.53,5.91,2.88,1.12,0.75,0.69,2.56,2.88,4.66,6.94,7.5,10.66,13.34,14.69,15.28,15.25,14.44,14.53,13.56,13.34,13.28,12.66,12.0,11.12,10.31,9.44,8.53,7.59,7.62,7.44,8.34,10.19,11.5,11.88,12.44,12.41,12.19,10.16,12.69,12.28,13.12,15.25,16.25,16.62,17.41,17.06,17.47,18.91,20.03,20.72,21.03,19.81,17.72,15.03,10.81,6.94,3.81,2.09,-0.22,-0.47,-0.44,-1.25,1.12,3.5,3.69,10.97,13.34,17.41,21.31,23.31,25.47,26.16,25.41,23.72,20.78,17.03,12.16,8.69,6.53,4.78,3.31,4.56,5.19,7.0,9.75,12.56,15.62,17.97,20.25,21.25,21.69,20.69,19.69,19.59,18.47,18.31,18.59,18.22,17.78,14.12,14.91,12.31,11.69,12.03,13.28,13.5,14.38,13.62,15.47,16.03,16.53,18.0,17.69,17.66,17.62,16.06,15.53,14.62,14.75,15.53,15.94,17.66,18.81,19.06,15.97,16.62,14.09,13.31,13.81,14.12,13.97,14.75,14.84,16.25,18.94,22.16,25.06,27.25,27.72,27.38,25.31,23.44,21.34,20.22,20.75,21.53,21.19,21.66,20.09,18.5,14.19,13.78,11.81,10.19,10.41,11.09,11.06,11.53,10.88,9.62,8.94,8.16,7.53,7.25,9.44,11.56,13.31,15.81,17.06,17.78,16.91,15.78,13.91,12.16,10.06,8.75,7.22,6.12,6.91,7.25,8.56,7.75,8.66,7.88,5.81,5.59,4.94,4.59,3.62,3.66,4.59,6.59,9.03,11.28,14.09,17.06,17.59,17.22,17.31,15.84,15.34,15.12,15.56,15.28,14.53,14.44,13.31,13.06,13.47,13.53,13.81,14.06,13.69,12.84,13.41,14.12,14.0,13.03,16.88,16.81,17.84,19.81,19.81,18.0,16.62,14.53,13.44,13.12,12.03,12.16,12.62,11.66,12.25,12.25,12.78,14.0,15.19,16.81,17.22,20.12,21.06,22.22,24.91,26.16,25.81,26.03,25.31,23.12,21.53,19.69,18.19,17.06,17.84,17.47,17.0,16.81,17.12,16.31,16.34,15.94,16.16,14.81,15.41,16.03,14.75,12.94,15.06,12.81,14.41,15.53,16.97,17.91,19.19,18.81,20.03,20.16,20.56,21.66,21.94,22.28,22.12,22.28,22.31,22.25,21.91,21.41,20.16,20.44,21.31,21.69,23.38,24.38,24.75,24.81,24.38,25.31,25.31,26.34,28.31,29.03,31.59,32.94,33.97,33.31,33.0,30.25,27.38,24.66,23.16,21.88,21.81,20.69,20.91,21.06,21.56,19.12,22.0,23.97,24.53,28.0,30.28,32.19,32.28,32.75,32.56,30.69,29.31,27.81,25.06,23.78,22.5,20.31,20.19,19.84,20.44,20.66,21.25,22.06,21.91,23.81,24.78,27.06,29.59,30.84,32.88,34.12,34.56,35.72,35.78,35.94,36.59,35.22,30.97,30.5,26.19,23.59,22.03,21.19,20.75,21.0,21.44,21.53,22.59,23.19,23.81,24.69,25.88,24.81,25.38,25.84,25.97,28.03,30.25,32.5,34.69,36.06,36.56,34.81,33.12,30.12,27.56,25.78,25.25,24.78,25.69,25.41,24.81,23.94,23.47,22.56,19.91,22.44,21.81,22.69,24.53,26.62,27.78,28.19,28.34,26.88,26.22,25.47,24.66,24.66,25.53,26.19,27.38,28.16,28.75,30.0,29.22,29.41,28.75,27.88,27.38,27.5,27.47,27.72,26.41,26.19,25.5,24.16,23.31,23.62,23.44,22.0,22.44,22.81,22.38,24.09,24.94,24.88,24.94,22.97,21.78,20.44,19.81,20.47,21.81,23.5,-19.16,-18.66,-18.72,-18.06,-18.22,-17.97,-17.88,-17.09,-17.09,-17.62,-18.0,-18.81,-19.69,-22.75,-24.12,-26.56,-27.53,-28.72,-28.69,-27.34,-26.47,-24.03,-22.16,-20.44,-19.34,-19.66,-21.09,-23.94,-27.5,-31.88:positivity
16.5,15.31,16.31,17.12,18.59,19.16,21.56,22.41,23.66,24.62,24.94,23.72,22.44,20.22,17.66,14.41,13.97,11.47,10.62,10.59,10.44,9.56,9.0,7.91,4.53,6.19,6.34,7.59,10.19,11.56,12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66:21.56,22.41,23.66,24.62,24.94,23.72,22.44,20.22,17.66,14.41,13.97,11.47,10.62,10.59,10.44,9.56,9.0,7.91,4.53,6.19,6.34,7.59,10.19,11.56,12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66,-45.06,-42.53,-39.19,-35.84,-34.03,-33.09:22.44,20.22,17.66,14.41,13.97,11.47,10.62,10.59,10.44,9.56,9.0,7.91,4.53,6.19,6.34,7.59,10.19,11.56,12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66,-45.06,-42.53,-39.19,-35.84,-34.03,-33.09,-31.12,-28.72,-26.56,-24.53,-22.97,-23.66:10.62,10.59,10.44,9.56,9.0,7.91,4.53,6.19,6.34,7.59,10.19,11.56,12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66,-45.06,-42.53,-39.19,-35.84,-34.03,-33.09,-31.12,-28.72,-26.56,-24.53,-22.97,-23.66,-25.38,-25.47,-31.34,-30.72,-32.75,-33.59:4.53,6.19,6.34,7.59,10.19,11.56,12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66,-45.06,-42.53,-39.19,-35.84,-34.03,-33.09,-31.12,-28.72,-26.56,-24.53,-22.97,-23.66,-25.38,-25.47,-31.34,-30.72,-32.75,-33.59,-33.03,-33.81,-33.84,-35.53,-36.16,-36.84:12.75,13.16,13.44,13.0,10.28,9.38,7.72,7.38,9.38,11.91,12.69,14.88,16.62,16.66,18.56,19.81,20.19,21.16,22.22,22.78,22.53,22.97,21.38,20.34,19.31,17.56,15.5,13.53,10.88,9.66,8.38,6.44,6.41,6.78,5.0,7.34,7.84,8.38,8.41,9.34,7.56,6.0,5.56,5.69,5.19,4.44,5.19,5.31,5.12,5.34,6.09,8.22,8.56,10.38,11.69,14.28,14.56,15.91,16.69,16.66,16.91,15.47,14.31,13.78,13.56,13.59,14.81,15.69,14.62,15.97,14.59,12.75,12.62,11.31,10.78,12.19,10.62,11.03,13.25,11.97,13.78,15.47,15.88,15.47,15.06,11.88,12.12,11.22,9.28,7.84,8.53,8.53,7.22,7.16,7.81,8.53,8.66,10.5,10.69,13.06,11.72,11.19,11.12,9.06,8.06,6.19,5.69,5.94,6.41,8.81,10.72,12.38,13.06,12.53,10.81,10.38,8.0,5.25,5.28,3.5,1.81,2.78,2.31,3.31,3.72,4.28,4.41,3.88,1.66,0.09,-1.66,-4.78,-7.19,-9.47,-13.5,-14.19,-14.44,-13.75,-11.31,-10.09,-9.81,-9.06,-10.72,-13.72,-15.28,-17.0,-17.38,-17.12,-16.94,-16.62,-17.97,-19.47,-18.62,-19.88,-19.12,-18.09,-16.53,-14.66,-13.84,-12.47,-11.72,-13.59,-14.81,-12.88,-12.66,-11.09,-8.69,-4.78,-2.0,0.06,1.12,1.47,0.78,-1.53,-2.06,-1.66,-0.72,-0.41,0.94,1.31,0.91,0.12,-0.31,-1.53,-3.38,-4.69,-5.91,-8.75,-7.84,-10.53,-6.56,-7.16,-5.62,-4.03,-4.0,-6.66,-8.44,-10.69,-13.59,-14.34,-13.78,-12.03,-11.12,-3.69,-2.94,-0.12,1.78,-0.91,-2.09,-5.69,-8.34,-10.0,-10.31,-9.47,-8.91,-10.19,-8.41,-10.34,-8.81,-8.97,-11.34,-10.0,-11.84,-12.53,-12.22,-10.41,-11.44,-10.47,-9.56,-9.41,-8.66,-9.78,-13.34,-14.09,-17.19,-18.59,-19.38,-18.09,-17.88,-16.09,-15.81,-14.38,-16.47,-13.91,-12.22,-10.75,-7.03,-3.09,-1.31,-2.09,-1.78,-2.59,-4.72,-5.84,-6.19,-8.81,-9.41,-9.94,-12.47,-8.56,-10.09,-5.69,-3.5,-1.06,1.34,2.59,3.91,4.16,5.09,5.16,4.53,2.16,-0.16,-3.41,-7.59,-9.84,-13.12,-13.31,-15.5,-16.03,-12.94,-12.59,-12.91,-8.38,-7.06,-6.53,-5.84,-6.16,-6.19,-10.09,-6.62,-7.88,-7.75,-6.72,-7.0,-5.94,-6.31,-5.38,-4.09,-4.41,-2.94,-8.09,-6.16,-6.59,-8.06,-5.38,-4.06,-4.47,-5.66,-10.47,-13.91,-16.47,-21.84,-17.72,-16.72,-14.31,-11.81,-12.41,-12.34,-13.66,-15.34,-14.66,-13.97,-14.88,-13.69,-13.28,-13.31,-13.22,-9.38,-8.97,-6.25,-2.97,-1.31,0.47,1.81,4.03,5.56,5.78,5.16,4.31,2.12,-0.69,-2.09,-9.97,-8.88,-11.19,-11.47,-8.69,-7.62,-7.69,-7.28,-7.41,-8.34,-8.72,-9.72,-11.47,-13.78,-10.91,-6.62,-2.31,5.22,9.97,10.12,9.81,8.78,3.22,0.97,-1.56,-8.47,-7.34,-9.97,-8.88,-6.16,-2.78,-0.91,-0.84,-1.22,-3.0,-4.22,-6.09,-5.91,-4.56,-5.81,-2.97,-0.34,2.09,4.78,7.31,6.94,5.94,3.38,-0.81,-2.5,-3.47,-6.0,-2.0,-2.84,-0.69,1.06,1.56,-0.38,-2.5,-1.09,-2.16,-0.94,0.28,1.53,1.47,-0.03,-0.72,-1.22,-0.94,-0.44,0.66,-1.25,-3.47,-1.22,-1.34,-0.53,1.34,1.62,0.44,-1.16,-3.09,-7.09,-7.03,-9.47,-11.53,-12.47,-10.97,-12.34,-12.09,-12.28,-12.84,-13.16,-12.03,-10.22,-8.03,-5.38,-2.47,-4.44,-2.28,-2.25,-3.88,-2.69,-3.75,-6.16,-8.53,-11.12,-15.47,-15.75,-15.12,-14.72,-12.53,-7.72,-6.94,-3.69,-1.44,-0.34,1.56,1.31,1.62,1.5,3.78,3.25,5.25,5.84,6.88,7.19,3.69,5.25,0.94,-0.59,-2.16,-3.31,-4.47,-6.69,-7.75,-9.62,-9.41,-11.25,-13.94,-11.59,-14.09,-9.56,-6.38,-1.09,2.25,5.78,3.62,4.78,2.5,0.41,-2.12,1.09,2.66,5.59,8.69,10.44,8.94,7.19,3.56,0.66,-1.75,-2.88,-2.28,-1.34,-0.09,-0.84,1.53,0.5,0.22,-0.59,-2.34,-1.72,-3.19,-4.59,-4.22,-4.47,-4.34,-3.81,-6.66,-1.84,-2.41,-1.41,-2.28,-1.16,-3.75,-6.28,-7.19,-7.56,-8.03,-7.12,-4.84,-0.47,2.41,6.34,7.56,6.56,4.62,2.88,1.62,-1.41,-0.62,-2.66,-2.78,-2.25,-6.94,-4.34,-4.41,-5.34,-3.72,0.34,1.56,4.31,6.28,8.62,9.44,12.53,11.94,15.78,18.16,20.19,20.34,18.91,18.34,15.94,14.62,13.16,12.91,11.06,7.53,5.88,2.88,0.03,-2.06,-3.53,-2.34,-3.03,-1.09,2.81,3.91,6.72,8.91,10.69,11.06,9.34,6.59,3.44,0.34,-1.16,-3.53,-3.28,-3.22,-3.97,-4.03,-4.66,-3.22,-5.84,-7.56,-5.81,-6.22,-6.38,-4.81,-2.28,-1.22,0.34,3.34,7.16,8.19,9.69,10.06,7.03,6.59,3.66,1.66,-0.72,-2.56,-2.16,-2.38,-3.03,-1.88,-2.5,-2.09,-1.59,-2.47,-0.44,-1.62,1.09,1.91,2.66,3.91,5.31,7.5,6.09,5.88,6.91,5.03,5.34,2.44,2.06,-0.19,-0.84,-0.81,-0.38,0.66,-0.44,0.47,1.0,2.34,2.12,3.81,5.31,4.19,4.81,5.38,6.03,4.62,1.25,1.88,0.44,1.47,2.94,4.5,5.19,4.56,3.19,3.56,1.94,0.59,-1.91,-0.59,-2.81,-1.25,-0.31,0.53,-0.16,0.16,-1.19,-3.44,-3.5,-5.75,-2.53,-1.09,3.0,5.78,6.34,6.09,3.88,1.84,-0.34,-4.44,-5.03,-8.69,-8.31,-6.38,-2.59,-1.91,2.31,1.75,2.12,1.19,0.91,-0.94,-0.78,-2.53,-1.44,-2.44,-0.81,1.31,4.44,6.09,6.69,6.97,3.47,-1.16,-1.34,-7.19,-6.5,-6.84,-5.88,-2.81,-0.81,0.72,2.53,2.41,2.62,0.03,3.5,0.78,1.06,1.25,-1.47,-3.06,-6.09,-7.16,-8.72,-10.34,-5.88,-3.97,-2.16,1.0,2.03,0.34,1.41,1.59,3.19,2.75,3.81,2.5,-0.09,0.88,-1.59,1.28,1.12,3.78,6.91,5.06,5.72,4.38,1.31,-1.5,-2.03,-2.59,-2.59,-2.34,-1.03,-1.84,-1.97,-3.75,-4.91,-2.94,-5.66,-3.0,-2.59,-4.88,-6.69,-5.97,-6.41,-5.47,-1.84,-0.66,7.41,11.47,15.19,18.62,19.44,17.0,15.09,12.91,9.41,3.38,6.44,5.03,5.0,7.81,9.94,9.22,8.25,6.25,4.25,3.72,0.72,2.25,1.69,3.62,3.97,4.03,3.91,2.09,2.12,2.84,2.41,3.06,3.94,1.41,-0.06,0.62,0.12,-1.84,0.66,2.22,3.44,5.12,7.41,8.94,10.56,9.62,10.34,8.28,4.69,4.28,1.66,-1.88,-1.19,-1.59,-2.09,0.84,2.81,5.06,5.5,7.06,6.59,8.78,9.44,11.0,7.97,13.0,11.44,10.28,12.25,12.91,11.53,11.12,11.25,7.78,9.09,6.69,7.81,5.97,7.22,6.16,5.06,4.81,2.06,1.66,-45.06,-42.53,-39.19,-35.84,-34.03,-33.09,-31.12,-28.72,-26.56,-24.53,-22.97,-23.66,-25.38,-25.47,-31.34,-30.72,-32.75,-33.59,-33.03,-33.81,-33.84,-35.53,-36.16,-36.84,-38.47,-37.44,-37.03,-35.16,-33.16,-30.81:positivity
10.53,8.69,7.75,8.78,10.5,11.66,12.94,15.12,16.25,18.06,18.03,18.31,17.84,16.06,14.22,11.69,8.19,4.03,2.62,3.5,1.56,3.53,6.22,7.31,6.84,6.66,8.25,6.84,6.44,5.91,4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97:12.94,15.12,16.25,18.06,18.03,18.31,17.84,16.06,14.22,11.69,8.19,4.03,2.62,3.5,1.56,3.53,6.22,7.31,6.84,6.66,8.25,6.84,6.44,5.91,4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97,-10.84,-11.62,-14.78,-18.62,-18.19,-18.41:17.84,16.06,14.22,11.69,8.19,4.03,2.62,3.5,1.56,3.53,6.22,7.31,6.84,6.66,8.25,6.84,6.44,5.91,4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97,-10.84,-11.62,-14.78,-18.62,-18.19,-18.41,-17.19,-13.91,-10.06,-8.75,-6.47,-5.28:2.62,3.5,1.56,3.53,6.22,7.31,6.84,6.66,8.25,6.84,6.44,5.91,4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97,-10.84,-11.62,-14.78,-18.62,-18.19,-18.41,-17.19,-13.91,-10.06,-8.75,-6.47,-5.28,-6.12,-7.09,-9.03,-11.31,-13.47,-16.97:6.84,6.66,8.25,6.84,6.44,5.91,4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97,-10.84,-11.62,-14.78,-18.62,-18.19,-18.41,-17.19,-13.91,-10.06,-8.75,-6.47,-5.28,-6.12,-7.09,-9.03,-11.31,-13.47,-16.97,-20.56,-22.75,-24.34,-23.62,-20.72,-17.38:4.25,2.31,0.69,-0.22,-0.81,-1.25,-1.66,-1.72,-1.0,-0.28,2.94,4.62,6.41,7.28,7.84,8.19,7.53,7.16,7.78,6.16,6.19,5.16,3.0,0.66,-1.81,-3.16,-4.84,-7.53,-8.44,-9.16,-8.28,-6.59,-5.47,-3.56,-6.34,-7.44,-9.34,-11.62,-12.59,-14.22,-13.75,-17.12,-19.22,-19.09,-21.34,-21.0,-20.66,-21.34,-20.34,-20.59,-20.66,-21.19,-20.94,-18.59,-18.72,-17.28,-15.53,-14.28,-11.72,-11.09,-10.72,-8.03,-8.19,-8.06,-8.28,-8.06,-8.03,-8.19,-6.22,-5.22,-4.94,-5.47,-7.72,-9.34,-12.09,-12.66,-14.59,-16.19,-16.47,-18.84,-18.84,-16.94,-18.47,-16.22,-15.28,-14.28,-12.84,-13.16,-11.34,-10.06,-11.16,-11.81,-11.5,-12.97,-12.72,-13.94,-13.78,-10.94,-12.84,-10.97,-13.75,-10.66,-12.66,-12.12,-11.84,-9.28,-8.59,-5.91,-5.75,-5.44,-3.59,-3.22,-2.97,-2.16,-1.25,-2.22,-3.56,-3.97,-4.38,-6.75,-8.09,-10.03,-10.06,-13.69,-14.78,-17.03,-17.0,-19.31,-19.09,-18.59,-20.28,-19.22,-17.97,-16.0,-14.59,-12.38,-10.03,-9.59,-8.97,-10.22,-11.22,-12.53,-14.78,-17.66,-17.84,-17.97,-20.28,-18.91,-16.44,-16.31,-13.72,-13.19,-12.28,-9.97,-8.97,-8.41,-8.88,-8.56,-11.09,-11.44,-12.25,-14.66,-15.22,-15.16,-17.06,-17.91,-17.47,-17.16,-16.31,-15.22,-15.22,-13.69,-17.62,-13.97,-14.06,-9.12,-3.34,1.0,4.81,5.41,4.09,2.06,-0.94,-2.84,-5.22,-7.84,-7.72,-9.34,-11.22,-12.12,-13.28,-16.69,-16.59,-17.22,-17.28,-18.56,-13.72,-14.03,-15.19,-13.28,-14.97,-15.66,-13.31,-11.12,-10.41,-10.56,-9.09,-11.81,-13.09,-14.56,-14.28,-15.66,-13.56,-13.59,-16.47,-12.19,-14.0,-13.56,-10.0,-9.09,-8.97,-8.16,-9.22,-13.22,-13.03,-15.06,-16.19,-15.69,-14.66,-13.19,-12.22,-12.22,-9.72,-9.72,-9.53,-8.31,-8.97,-9.5,-11.09,-11.53,-12.41,-12.66,-16.62,-15.81,-15.03,-14.22,-11.03,-6.66,-5.22,-4.0,-1.34,-4.03,-2.62,-5.69,-6.88,-8.38,-10.12,-13.06,-11.72,-13.19,-13.88,-11.78,-10.66,-12.34,-14.06,-12.44,-13.22,-12.41,-10.91,-8.97,-7.56,-8.72,-11.47,-13.91,-14.44,-17.94,-17.91,-16.56,-18.84,-17.34,-20.03,-19.22,-19.59,-19.38,-19.31,-19.5,-22.47,-21.34,-23.16,-21.09,-19.59,-15.97,-16.38,-14.91,-15.12,-16.59,-18.53,-18.66,-22.53,-21.72,-22.16,-23.22,-20.0,-19.09,-17.97,-19.22,-17.66,-18.22,-17.47,-16.84,-16.19,-17.81,-20.84,-22.12,-25.38,-26.5,-24.72,-26.5,-24.94,-23.44,-23.78,-26.38,-28.34,-27.03,-29.22,-27.59,-23.72,-21.59,-20.72,-20.69,-23.06,-20.19,-23.28,-20.84,-19.88,-19.66,-20.59,-21.22,-22.5,-23.47,-22.12,-21.12,-19.81,-20.03,-14.59,-14.34,-11.72,-9.44,-6.69,-5.66,-5.38,-6.94,-7.56,-8.47,-10.84,-12.94,-16.03,-19.09,-19.53,-22.31,-20.78,-20.41,-19.75,-19.09,-19.72,-20.09,-20.72,-22.69,-23.66,-25.34,-22.12,-20.25,-18.0,-13.94,-11.72,-11.44,-10.69,-10.84,-11.69,-11.66,-13.28,-17.41,-17.0,-18.53,-18.78,-17.84,-17.12,-16.81,-16.41,-17.62,-15.47,-14.84,-17.16,-14.66,-15.72,-15.59,-14.72,-16.84,-14.25,-15.34,-15.06,-14.56,-13.84,-14.03,-14.59,-15.84,-20.09,-22.25,-20.16,-20.22,-16.34,-12.72,-9.97,-8.75,-8.94,-8.59,-7.84,-7.06,-7.66,-7.06,-10.34,-12.0,-13.78,-17.38,-18.19,-19.47,-19.12,-19.09,-18.22,-16.09,-15.97,-16.03,-16.12,-18.12,-22.34,-22.56,-24.75,-24.88,-22.97,-20.97,-18.69,-18.53,-16.84,-16.28,-15.66,-15.59,-17.06,-16.19,-20.16,-18.47,-18.34,-15.5,-12.03,-8.34,-5.97,-6.53,-7.47,-11.97,-14.5,-16.47,-16.53,-15.56,-15.62,-15.16,-14.03,-13.16,-14.19,-13.47,-14.78,-14.53,-15.06,-15.03,-15.84,-15.78,-16.88,-15.78,-17.91,-20.84,-17.72,-21.03,-20.34,-19.44,-18.09,-17.31,-16.31,-15.28,-13.91,-12.53,-15.22,-14.44,-15.03,-16.31,-17.97,-19.72,-24.91,-24.03,-27.22,-25.72,-23.91,-21.47,-19.75,-18.09,-17.47,-16.22,-15.53,-15.66,-14.97,-15.03,-15.44,-15.09,-16.62,-16.69,-16.72,-17.38,-17.44,-19.69,-15.66,-17.75,-16.97,-14.5,-15.16,-15.03,-14.53,-14.12,-14.53,-19.0,-21.28,-17.84,-19.97,-19.97,-14.56,-12.59,-11.06,-8.28,-7.28,-5.41,-5.34,-4.5,-5.78,-7.97,-7.22,-9.19,-10.72,-11.38,-9.28,-11.75,-13.47,-13.47,-16.19,-19.78,-20.28,-20.59,-21.22,-22.47,-17.94,-21.84,-17.81,-15.59,-14.75,-13.72,-11.66,-11.59,-13.59,-15.84,-17.97,-19.97,-18.97,-18.56,-17.16,-15.31,-15.47,-15.72,-16.94,-14.78,-16.34,-14.47,-15.47,-12.88,-13.19,-14.47,-12.09,-11.16,-10.12,-9.19,-9.66,-10.28,-11.75,-13.38,-13.03,-16.03,-15.56,-15.59,-15.81,-13.34,-12.41,-11.69,-10.03,-12.34,-12.09,-10.16,-9.72,-9.91,-10.22,-8.97,-12.09,-13.59,-14.34,-15.72,-17.59,-16.5,-17.19,-17.88,-17.34,-18.78,-15.72,-14.22,-14.16,-10.94,-9.91,-9.59,-10.06,-10.16,-11.53,-10.28,-9.12,-9.72,-7.53,-8.22,-10.25,-9.78,-13.34,-15.69,-19.16,-18.47,-19.16,-18.06,-15.94,-11.06,-9.69,-8.53,-9.78,-8.12,-10.88,-12.91,-12.59,-15.72,-18.59,-25.41,-24.25,-27.56,-26.66,-24.84,-23.16,-23.84,-24.78,-26.53,-28.22,-30.84,-30.69,-30.28,-33.59,-28.34,-27.84,-26.47,-22.47,-19.88,-16.47,-15.03,-12.25,-9.78,-8.84,-10.34,-13.34,-12.84,-13.81,-13.41,-10.34,-8.19,-5.88,-6.5,-5.19,-6.66,-7.0,-7.34,-8.66,-9.09,-9.41,-10.78,-13.03,-15.97,-17.5,-18.5,-18.97,-18.69,-23.22,-21.53,-22.66,-22.66,-19.91,-14.53,-12.72,-12.69,-10.41,-14.03,-14.84,-16.53,-18.84,-19.59,-17.56,-16.59,-14.53,-12.72,-13.22,-13.22,-14.75,-16.72,-15.47,-13.19,-12.03,-10.19,-8.44,-10.47,-14.53,-15.97,-19.59,-22.84,-25.28,-23.84,-24.97,-24.0,-22.16,-20.69,-19.72,-20.84,-19.66,-21.22,-22.72,-25.0,-28.53,-32.84,-33.69,-35.34,-33.22,-31.66,-33.78,-30.22,-29.28,-29.03,-26.88,-25.41,-22.22,-22.44,-21.47,-21.66,-19.62,-21.22,-21.09,-19.66,-19.12,-18.84,-17.84,-17.03,-14.69,-12.34,-10.03,-6.75,-5.22,-4.38,-3.44,-6.22,-9.28,-10.66,-14.16,-15.56,-15.44,-15.28,-15.66,-14.28,-13.88,-12.59,-10.06,-8.25,-4.84,-2.09,-1.22,-1.34,-2.94,-2.34,-4.34,-3.34,-1.5,-2.41,0.41,-0.97,-1.81,-2.59,-4.22,-5.34,-8.75,-11.59,-11.66,-12.75,-16.16,-12.59,-11.38,-9.75,-7.0,-3.94,-3.28,-4.78,-5.03,-7.72,-8.44,-8.66,-8.28,-7.84,-10.16,-9.59,-11.34,-12.34,-11.09,-10.0,-8.72,-9.91,-10.72,-12.22,-14.72,-17.47,-15.59,-17.09,-16.19,-13.72,-12.97,-10.53,-11.16,-10.97,-13.75,-14.09,-17.72,-16.41,-17.88,-16.41,-16.28,-16.72,-13.78,-14.59,-15.19,-13.81,-14.59,-14.53,-19.5,-18.94,-19.28,-21.34,-18.69,-14.31,-14.12,-13.84,-15.41,-18.84,-19.62,-22.5,-21.78,-23.88,-20.81,-19.97,-10.84,-11.62,-14.78,-18.62,-18.19,-18.41,-17.19,-13.91,-10.06,-8.75,-6.47,-5.28,-6.12,-7.09,-9.03,-11.31,-13.47,-16.97,-20.56,-22.75,-24.34,-23.62,-20.72,-17.38,-13.53,-9.94,-9.59,-8.69,-9.91,-11.66:positivity
62.56,64.94,66.75,68.12,68.38,67.91,65.69,64.81,63.56,63.0,63.44,62.75,63.06,62.25,60.88,60.25,59.81,59.56,59.88,60.31,60.38,60.28,59.06,58.25,59.25,58.88,59.19,60.62,61.53,61.94,62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19:65.69,64.81,63.56,63.0,63.44,62.75,63.06,62.25,60.88,60.25,59.81,59.56,59.88,60.31,60.38,60.28,59.06,58.25,59.25,58.88,59.19,60.62,61.53,61.94,62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19,19.78,21.75,22.91,23.44,22.16,20.12:63.06,62.25,60.88,60.25,59.81,59.56,59.88,60.31,60.38,60.28,59.06,58.25,59.25,58.88,59.19,60.62,61.53,61.94,62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19,19.78,21.75,22.91,23.44,22.16,20.12,17.12,14.5,12.16,11.06,10.75,10.28:59.88,60.31,60.38,60.28,59.06,58.25,59.25,58.88,59.19,60.62,61.53,61.94,62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19,19.78,21.75,22.91,23.44,22.16,20.12,17.12,14.5,12.16,11.06,10.75,10.28,10.06,10.16,9.34,9.34,9.72,10.62:59.25,58.88,59.19,60.62,61.53,61.94,62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19,19.78,21.75,22.91,23.44,22.16,20.12,17.12,14.5,12.16,11.06,10.75,10.28,10.06,10.16,9.34,9.34,9.72,10.62,11.44,13.19,15.19,16.38,16.72,16.78:62.62,62.78,62.69,63.62,64.38,64.75,66.66,68.5,68.62,70.66,72.12,72.75,73.31,72.84,72.0,71.38,69.06,69.5,69.25,68.12,67.88,67.94,66.81,65.19,64.88,63.84,61.19,59.0,56.66,55.34,53.44,53.12,54.34,53.69,53.56,54.0,54.06,54.06,54.38,55.81,55.88,56.09,57.06,56.66,56.88,57.75,58.5,58.78,60.16,60.94,62.62,63.25,64.19,65.06,63.91,63.16,63.38,62.81,63.88,65.44,66.81,66.44,66.94,66.81,66.56,67.44,67.72,67.66,68.06,66.94,66.56,66.31,65.56,65.97,64.69,63.94,62.94,60.31,57.31,56.06,54.81,54.75,54.5,55.59,55.25,55.19,55.06,56.0,56.81,58.53,58.69,58.94,58.31,58.06,57.72,56.5,57.41,56.62,56.75,56.31,57.12,56.88,58.06,58.5,58.12,59.44,58.19,58.09,57.94,58.5,58.81,59.88,61.56,62.62,64.31,64.69,63.78,61.69,58.31,53.5,49.25,46.53,43.31,41.94,42.09,42.5,44.19,46.0,47.78,49.41,50.75,51.66,51.88,51.38,51.12,50.0,48.56,47.72,47.5,47.12,46.94,46.88,46.19,45.5,44.31,43.38,42.12,40.69,38.91,36.94,36.06,35.31,36.0,36.84,37.88,38.44,37.94,38.25,38.53,39.75,41.66,42.81,44.84,44.28,45.19,44.44,44.19,44.81,45.5,46.5,48.06,48.62,50.31,51.38,52.38,53.47,54.38,54.81,55.25,55.88,56.06,55.5,55.56,53.44,52.62,50.97,49.88,48.31,47.25,46.0,46.28,44.81,45.0,44.44,44.12,42.44,42.88,41.81,42.19,43.62,43.88,44.31,44.81,44.03,43.62,43.75,42.09,42.38,42.78,42.34,41.88,40.81,39.88,38.06,38.0,38.62,40.12,42.88,43.88,45.88,47.5,47.81,48.41,47.12,45.25,42.88,39.69,37.56,35.5,35.06,36.5,36.81,38.09,40.94,42.5,44.5,46.19,47.81,47.94,48.75,47.31,46.5,44.66,42.5,41.69,41.66,40.53,41.69,42.16,43.0,44.19,44.84,45.78,46.5,45.75,45.16,44.81,43.88,44.31,45.56,46.25,47.41,48.19,48.56,47.44,46.38,46.88,44.78,44.25,42.94,41.97,41.5,41.94,42.56,43.75,44.91,44.09,42.44,40.62,39.56,38.12,37.06,37.81,38.41,38.44,38.88,40.75,41.44,43.12,44.06,45.56,45.31,44.88,43.75,41.5,39.94,38.56,37.0,36.75,36.16,36.5,36.44,37.44,38.44,39.44,39.97,41.06,40.31,40.5,41.34,41.28,42.88,46.31,48.69,49.81,51.75,50.91,47.41,43.97,39.28,36.06,33.56,33.03,32.81,33.44,34.72,36.28,36.44,37.31,38.16,37.62,37.62,37.56,37.09,37.38,37.69,38.81,40.0,41.69,42.81,43.88,45.19,46.94,46.94,49.19,48.81,48.91,48.5,47.62,46.59,46.25,45.75,45.47,44.94,44.62,45.12,45.78,46.38,48.69,49.0,49.56,49.91,50.0,49.78,50.31,50.44,51.44,52.44,53.06,53.03,53.0,52.91,52.06,51.47,51.19,50.84,50.62,49.53,50.5,50.31,50.5,51.5,51.88,53.44,53.12,52.31,50.5,48.19,46.31,44.69,43.59,44.06,44.0,45.25,45.25,45.81,47.12,47.19,47.44,48.06,49.0,49.41,50.25,50.88,50.94,50.5,49.88,49.44,48.88,49.62,50.81,51.88,53.31,53.88,55.38,56.0,57.0,55.91,56.0,55.25,54.25,54.38,53.44,54.0,54.31,54.12,54.88,54.06,53.81,54.5,53.56,53.56,53.81,53.84,54.19,53.06,52.69,51.69,50.62,49.34,48.78,49.06,49.16,49.69,50.06,50.12,50.19,50.75,50.38,51.47,51.0,50.88,50.25,49.12,47.5,46.69,45.31,44.81,43.81,44.75,45.84,47.81,49.81,53.31,55.0,56.09,56.5,55.62,54.12,52.19,51.31,49.47,48.31,46.31,44.31,44.16,44.41,45.81,48.25,50.81,52.91,53.44,54.31,54.94,54.56,55.38,54.19,53.75,53.06,51.53,50.44,50.06,48.44,48.06,47.44,47.25,47.59,47.53,48.06,49.19,50.25,52.06,53.81,55.19,56.16,56.56,57.53,58.19,58.0,58.5,59.19,58.53,57.81,56.94,54.53,53.0,52.19,50.81,51.62,52.12,52.69,54.19,55.62,57.66,60.81,64.53,68.25,69.44,70.0,68.25,64.62,60.75,58.16,56.62,54.75,53.0,52.06,50.44,48.56,46.81,45.84,43.62,42.78,40.75,39.78,38.94,37.19,35.56,34.44,34.66,36.5,39.31,43.25,47.25,49.75,50.69,51.53,50.62,48.88,47.41,46.0,45.75,45.75,45.88,46.25,45.88,46.12,45.56,47.0,47.56,47.53,47.66,48.69,48.31,48.56,49.97,49.0,49.31,49.31,48.88,48.75,49.31,49.56,50.38,51.12,51.69,52.06,52.44,52.56,50.69,51.56,52.06,53.19,54.5,56.0,56.12,56.62,55.88,56.62,56.19,56.28,56.56,56.56,56.38,56.59,55.94,56.69,56.94,56.75,57.0,56.94,56.69,56.34,56.66,56.62,56.5,56.38,56.19,56.5,56.69,57.0,57.81,57.81,55.75,53.91,51.62,48.72,46.12,45.75,43.75,43.69,44.0,45.12,46.69,49.34,51.31,52.88,53.94,53.94,54.69,55.5,56.81,57.88,59.53,60.0,59.88,58.31,56.69,54.5,52.81,51.19,50.34,50.44,51.56,53.44,55.25,57.75,59.38,59.91,60.25,59.69,59.31,58.69,57.88,58.81,59.56,59.62,60.5,61.16,60.88,61.25,60.5,59.44,57.81,56.56,54.94,54.38,54.06,54.38,54.5,56.06,56.38,57.12,57.56,57.66,57.75,57.69,57.88,58.44,57.88,59.25,58.53,58.62,57.81,57.06,56.38,55.03,55.0,54.84,54.16,55.25,54.94,54.88,54.38,54.0,53.88,54.06,55.12,56.38,59.69,61.62,63.38,64.94,64.31,62.19,61.0,57.81,54.31,53.25,51.5,51.62,52.44,54.0,55.31,56.12,55.5,55.0,54.12,52.06,50.88,49.31,47.81,47.12,45.53,45.75,45.06,44.75,45.0,44.66,43.16,43.16,43.0,43.53,45.31,47.0,50.75,54.31,58.0,62.22,64.84,65.31,65.5,64.69,62.0,59.88,58.59,57.94,58.0,58.44,59.69,60.09,60.12,59.78,58.56,58.25,57.19,56.25,54.94,53.91,53.5,52.31,52.5,53.31,53.91,56.12,58.81,61.31,64.91,65.94,68.31,69.25,68.88,68.62,68.81,68.16,66.69,65.06,64.94,63.62,63.31,63.94,64.66,65.31,65.03,65.25,63.97,60.5,59.12,57.31,55.88,55.94,56.62,56.78,57.44,57.25,57.94,57.06,56.69,55.56,53.66,53.19,52.31,52.44,51.5,50.81,49.19,47.41,44.0,43.16,43.06,42.56,43.56,46.31,47.81,48.81,51.25,51.62,51.62,50.81,50.12,49.25,46.69,47.66,48.12,49.19,50.62,53.0,54.0,54.56,56.5,57.25,58.88,61.06,60.94,62.06,61.56,62.31,63.31,64.12,64.38,64.28,64.12,62.44,62.31,62.69,63.66,64.84,65.66,66.97,67.0,66.75,66.62,66.56,65.75,65.25,64.19,19.78,21.75,22.91,23.44,22.16,20.12,17.12,14.5,12.16,11.06,10.75,10.28,10.06,10.16,9.34,9.34,9.72,10.62,11.44,13.19,15.19,16.38,16.72,16.78,17.53,16.41,16.38,16.84,17.19,18.31:positivity
30.28,26.88,24.59,24.19,23.53,25.19,26.31,26.66,27.06,27.59,27.19,26.41,26.38,25.59,25.03,26.75,27.28,29.97,31.88,33.72,34.62,36.06,36.03,36.91,36.12,36.66,34.56,32.91,31.56,29.56,28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66:26.31,26.66,27.06,27.59,27.19,26.41,26.38,25.59,25.03,26.75,27.28,29.97,31.88,33.72,34.62,36.06,36.03,36.91,36.12,36.66,34.56,32.91,31.56,29.56,28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66,-23.12,-24.56,-26.59,-27.38,-27.03,-25.09:26.38,25.59,25.03,26.75,27.28,29.97,31.88,33.72,34.62,36.06,36.03,36.91,36.12,36.66,34.56,32.91,31.56,29.56,28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66,-23.12,-24.56,-26.59,-27.38,-27.03,-25.09,-23.41,-19.56,-17.72,-16.12,-13.97,-14.97:31.88,33.72,34.62,36.06,36.03,36.91,36.12,36.66,34.56,32.91,31.56,29.56,28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66,-23.12,-24.56,-26.59,-27.38,-27.03,-25.09,-23.41,-19.56,-17.72,-16.12,-13.97,-14.97,-15.53,-16.34,-17.97,-18.47,-18.41,-17.22:36.12,36.66,34.56,32.91,31.56,29.56,28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66,-23.12,-24.56,-26.59,-27.38,-27.03,-25.09,-23.41,-19.56,-17.72,-16.12,-13.97,-14.97,-15.53,-16.34,-17.97,-18.47,-18.41,-17.22,-15.84,-14.78,-12.84,-12.69,-12.59,-13.59:28.66,28.72,28.81,29.44,30.16,30.44,30.03,29.44,28.94,27.81,27.56,29.25,30.66,32.59,34.12,35.31,34.12,33.19,31.97,30.81,29.62,31.19,29.91,30.78,29.72,29.03,28.62,27.5,25.56,24.31,22.84,20.72,20.03,20.38,21.25,21.69,21.62,21.34,21.56,20.34,19.03,18.81,18.56,18.22,16.88,17.0,18.16,18.03,18.88,20.47,20.88,20.81,20.5,21.16,20.5,19.94,20.5,20.25,19.53,18.25,18.69,18.69,19.12,20.84,21.69,22.53,24.22,24.56,24.69,24.34,24.03,22.44,21.88,20.56,20.78,20.56,21.56,22.56,22.56,24.03,24.69,24.88,26.0,27.41,29.19,29.78,30.59,31.06,29.81,28.09,26.16,24.38,23.47,22.38,21.09,22.0,20.28,20.94,21.44,22.38,23.84,24.81,26.0,26.5,27.41,27.94,27.75,28.56,28.94,28.69,28.78,27.62,27.19,26.31,25.47,24.69,23.34,22.34,20.91,20.75,20.56,19.59,20.31,20.44,20.75,21.41,21.19,20.5,20.94,21.44,21.38,23.66,24.56,26.12,28.12,29.84,31.09,31.91,31.53,31.69,30.75,30.78,31.19,31.44,31.44,31.34,32.31,31.97,32.16,32.06,32.22,31.47,30.44,29.91,29.5,28.44,28.53,28.69,28.78,30.5,34.03,38.56,42.66,47.03,49.41,49.03,47.16,43.53,39.16,34.41,30.22,26.44,23.41,21.62,21.09,20.19,19.53,18.59,17.31,16.94,16.78,18.72,20.75,22.53,23.94,25.91,26.97,28.19,27.78,27.66,26.56,25.5,23.22,19.66,16.97,13.84,9.53,9.25,8.44,9.88,12.03,15.41,19.81,24.19,28.78,33.0,36.25,38.75,38.66,38.12,36.84,34.66,32.41,29.44,26.25,24.06,22.28,21.28,21.97,23.22,24.53,25.84,27.31,28.16,28.16,28.59,28.25,28.66,28.31,29.81,30.12,30.59,31.25,30.88,29.84,27.94,27.78,26.62,24.97,24.91,24.31,24.25,24.16,24.25,24.41,25.19,25.88,26.0,26.03,24.38,22.22,20.84,17.75,16.81,16.31,15.91,16.53,17.12,17.47,18.47,20.56,20.81,22.16,22.44,23.53,23.78,23.91,24.16,24.06,23.97,23.56,23.62,24.25,24.84,25.38,25.75,26.19,27.41,28.06,29.06,29.88,29.91,29.0,25.72,22.34,18.59,15.41,13.12,12.53,13.66,15.78,18.5,20.78,23.88,27.28,29.91,32.31,32.84,32.94,33.09,32.47,32.19,32.16,30.91,29.88,28.38,26.69,25.34,24.19,22.44,20.81,20.16,18.53,18.0,19.22,19.16,19.91,19.69,18.69,18.25,17.84,17.41,17.22,16.09,15.81,16.78,17.12,18.72,19.94,20.53,20.25,19.66,17.97,16.19,14.53,13.09,11.75,10.84,10.53,9.47,8.72,7.84,6.91,6.25,7.97,9.28,10.94,12.28,13.84,14.56,15.41,16.16,17.0,18.34,21.22,23.25,27.12,29.5,31.25,33.5,33.81,34.31,33.75,32.56,31.88,29.62,27.84,26.09,23.97,22.81,21.34,21.34,20.94,20.75,20.84,19.94,19.56,18.41,17.31,16.78,16.16,16.06,16.34,17.44,18.5,19.19,19.88,19.12,16.12,13.5,11.38,10.31,9.91,10.5,10.88,12.59,13.72,15.12,16.56,18.44,20.56,21.22,21.88,21.72,21.16,19.69,18.62,18.31,17.94,18.0,18.78,20.12,21.03,22.69,23.5,24.59,25.81,26.66,28.06,28.31,27.94,27.53,26.81,25.38,24.84,24.88,23.59,22.97,22.41,20.56,19.0,18.88,19.5,20.69,21.28,21.81,22.75,23.31,23.66,25.47,25.81,27.94,30.31,32.56,34.25,35.31,34.66,32.31,30.34,27.75,24.66,23.12,20.31,19.03,17.69,16.16,15.12,15.16,15.06,14.53,14.94,16.28,17.47,18.75,20.44,21.59,22.0,21.41,22.56,22.56,22.28,20.94,19.34,18.03,16.47,16.19,16.81,18.09,21.0,23.25,25.19,26.94,26.38,26.25,24.78,22.47,22.22,20.97,20.81,21.28,21.44,21.25,20.91,19.75,19.97,20.16,20.88,22.06,22.81,24.28,25.0,23.97,22.69,21.53,20.06,21.06,22.56,24.31,27.19,28.19,29.31,28.66,29.03,29.34,29.41,31.06,31.56,32.25,32.22,32.25,31.78,29.81,28.06,25.22,22.72,20.06,19.0,19.16,19.0,20.94,21.91,23.81,23.91,24.16,23.56,23.16,22.69,22.41,22.91,22.84,23.88,24.97,26.34,27.47,28.59,30.22,31.0,32.34,32.06,31.34,30.34,29.06,27.62,26.03,25.88,25.41,24.81,24.88,24.5,24.72,24.94,25.88,26.94,27.81,28.38,28.81,29.16,29.22,28.88,28.06,27.56,26.81,25.88,24.53,24.78,24.62,24.34,23.78,23.97,23.88,22.28,23.53,23.88,24.06,25.0,26.09,27.69,31.06,33.81,36.38,38.81,40.91,41.75,42.31,41.81,41.06,40.16,38.28,36.81,35.16,33.28,31.78,30.0,28.53,26.28,24.69,22.31,20.91,19.88,17.38,18.19,17.84,19.19,19.72,20.97,21.69,21.16,21.69,21.78,21.56,21.12,21.66,22.03,22.44,23.78,25.41,26.28,28.84,28.56,28.72,27.91,26.25,26.25,24.69,23.81,23.91,22.75,23.06,24.53,25.03,26.41,28.19,29.19,29.88,30.22,30.22,30.19,30.5,30.56,29.25,28.91,27.72,26.34,24.81,24.84,23.84,24.41,25.44,26.31,27.03,27.31,25.94,26.38,25.47,23.66,23.47,23.47,21.44,22.25,22.41,22.19,23.91,24.94,25.5,26.12,26.06,24.22,23.0,20.91,18.25,16.41,15.25,14.94,16.53,18.53,19.44,20.81,21.25,21.34,21.19,21.12,21.34,22.66,23.12,24.03,25.25,25.88,25.62,24.94,24.5,22.81,20.91,19.62,18.31,17.78,16.91,15.75,14.72,12.88,12.38,11.19,13.62,17.16,21.12,26.59,29.81,31.31,31.94,29.25,27.69,24.41,20.81,18.59,15.91,13.44,12.53,10.59,9.31,10.44,10.5,10.69,11.81,12.25,12.69,13.94,14.28,15.38,16.66,17.56,18.62,20.09,21.5,22.16,23.28,24.25,24.16,24.03,23.66,21.62,19.44,17.56,14.31,12.44,12.41,12.03,14.22,15.56,17.69,18.47,17.91,16.94,16.53,15.62,15.97,15.75,17.56,18.78,20.31,22.12,24.97,27.56,30.19,32.12,34.56,35.78,36.66,37.72,38.62,36.91,36.31,34.03,32.66,31.34,30.38,29.34,30.25,30.06,30.94,32.84,33.97,34.59,35.81,35.78,35.16,33.12,31.38,29.19,25.91,24.03,21.53,20.5,19.5,18.47,18.5,18.19,19.0,20.06,20.44,20.81,20.5,19.75,19.25,19.81,20.06,21.5,24.0,26.56,28.91,30.94,31.84,32.78,32.25,32.09,31.0,30.53,30.12,29.66,29.66,27.97,27.34,26.56,24.47,23.03,21.66,21.03,20.25,20.25,21.59,22.22,23.62,25.78,26.09,26.91,26.69,24.53,23.22,21.38,20.06,19.06,18.16,18.66,19.53,20.88,23.16,25.72,28.56,28.91,29.53,29.25,27.97,26.59,24.75,22.78,21.41,20.22,19.66,-23.12,-24.56,-26.59,-27.38,-27.03,-25.09,-23.41,-19.56,-17.72,-16.12,-13.97,-14.97,-15.53,-16.34,-17.97,-18.47,-18.41,-17.22,-15.84,-14.78,-12.84,-12.69,-12.59,-13.59,-15.34,-16.59,-19.94,-22.06,-24.47,-26.22:positivity
35.06,36.69,38.06,40.88,43.06,45.31,46.62,47.12,46.34,45.47,43.47,41.22,39.62,37.72,36.69,35.38,34.88,34.19,35.06,35.22,36.81,38.12,38.06,37.91,37.62,34.84,33.31,31.81,30.41,30.56,31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94:46.62,47.12,46.34,45.47,43.47,41.22,39.62,37.72,36.69,35.38,34.88,34.19,35.06,35.22,36.81,38.12,38.06,37.91,37.62,34.84,33.31,31.81,30.41,30.56,31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94,14.84,15.81,17.53,20.53,23.47,25.41:39.62,37.72,36.69,35.38,34.88,34.19,35.06,35.22,36.81,38.12,38.06,37.91,37.62,34.84,33.31,31.81,30.41,30.56,31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94,14.84,15.81,17.53,20.53,23.47,25.41,26.69,26.81,26.91,26.69,25.41,24.59:35.06,35.22,36.81,38.12,38.06,37.91,37.62,34.84,33.31,31.81,30.41,30.56,31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94,14.84,15.81,17.53,20.53,23.47,25.41,26.69,26.81,26.91,26.69,25.41,24.59,23.31,21.81,20.28,18.66,17.72,16.31:37.62,34.84,33.31,31.81,30.41,30.56,31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94,14.84,15.81,17.53,20.53,23.47,25.41,26.69,26.81,26.91,26.69,25.41,24.59,23.31,21.81,20.28,18.66,17.72,16.31,17.12,17.31,18.31,19.34,19.22,17.5:31.16,31.12,31.31,30.66,28.84,27.41,25.53,25.66,26.03,27.34,29.81,32.53,35.88,38.0,39.72,40.12,38.72,36.5,33.59,30.75,28.81,27.28,26.12,25.34,23.81,24.5,24.22,23.25,23.84,24.84,25.66,27.16,27.72,29.06,28.84,28.88,26.81,25.31,22.41,20.75,18.41,16.09,14.59,12.62,10.97,9.53,8.78,8.66,8.94,7.25,8.38,9.03,9.19,10.0,9.66,10.56,11.0,11.72,13.62,15.91,18.09,19.94,21.09,21.41,21.78,21.5,21.84,21.78,21.62,22.31,21.84,22.0,21.06,19.16,19.03,17.25,16.12,15.56,13.88,12.75,11.25,9.19,8.72,10.38,10.94,12.91,16.34,17.97,18.66,18.59,16.91,15.12,12.06,9.78,7.5,5.31,5.66,6.19,6.75,7.91,9.69,11.28,14.31,16.5,18.81,20.09,20.09,18.44,16.62,14.44,12.69,11.53,11.44,10.72,11.41,11.47,10.56,9.81,9.78,8.66,8.69,7.94,9.12,9.56,9.34,11.34,12.12,12.97,13.66,13.38,13.34,12.47,11.22,12.53,12.53,13.0,14.94,15.53,15.44,14.84,12.94,10.94,9.53,7.31,6.31,5.78,5.12,4.16,4.41,4.28,4.28,4.75,4.03,4.06,2.5,0.84,-0.47,-2.53,-3.41,-4.97,-5.97,-7.34,-7.75,-7.16,-5.34,-5.09,-3.72,-3.0,-2.5,-1.75,-0.66,0.59,2.25,3.28,3.78,4.25,5.44,5.91,5.94,6.16,6.31,6.34,5.03,4.28,4.25,3.59,3.69,3.75,4.0,4.97,5.16,4.69,5.25,5.69,5.78,5.81,6.0,5.72,5.84,6.53,6.28,6.31,6.5,5.25,6.25,6.25,7.72,9.41,10.81,10.84,11.03,9.34,8.78,5.94,5.75,5.84,4.59,5.94,6.94,6.0,5.91,5.53,3.84,1.72,0.22,-0.59,-1.78,-1.44,-0.25,2.5,4.97,7.16,8.94,10.16,9.06,9.66,7.94,5.72,6.0,6.09,5.19,4.75,6.16,5.47,5.97,6.94,7.59,8.53,8.91,8.34,8.53,8.09,9.56,10.19,11.03,13.69,16.03,17.16,17.38,17.09,15.66,14.44,12.62,12.06,12.0,12.12,11.75,10.06,8.41,6.16,4.41,2.81,1.69,0.69,-1.28,-0.72,-1.56,-2.16,-1.03,-0.84,-1.41,-0.72,-1.5,-0.28,0.62,2.19,3.78,4.22,5.25,5.38,5.5,5.72,5.59,5.88,5.75,6.38,4.78,5.72,5.78,4.91,4.12,5.59,5.78,5.72,5.44,6.12,5.72,5.88,6.09,7.28,7.56,8.34,8.34,8.19,6.53,5.31,4.5,4.44,3.12,4.06,5.03,5.75,6.62,7.72,9.53,11.47,12.19,13.28,11.53,11.34,9.72,7.75,7.06,6.41,5.5,4.84,3.12,3.25,4.31,3.19,4.84,5.38,7.03,6.56,5.09,3.53,2.12,0.03,0.03,-1.09,-1.34,-1.19,-1.62,-2.44,-1.47,0.62,1.22,2.94,4.5,4.5,3.59,2.75,2.81,0.44,0.25,-1.44,-4.03,-6.16,-7.94,-8.59,-9.16,-8.72,-7.75,-6.16,-5.06,-4.5,-2.16,-2.78,-2.56,-4.53,-6.69,-8.16,-9.09,-9.34,-7.78,-6.56,-4.66,-2.78,-1.19,-0.59,-1.66,-1.81,-4.12,-5.44,-5.59,-5.91,-5.28,-5.72,-5.34,-6.25,-5.91,-8.16,-8.34,-9.16,-9.91,-9.75,-8.94,-7.59,-6.22,-4.0,-1.88,-1.81,-1.34,-3.09,-4.75,-9.44,-10.72,-11.91,-12.97,-11.19,-8.16,-6.31,-4.09,-2.72,-1.84,-0.97,-1.34,-1.38,-1.34,-1.91,-2.69,-3.03,-4.22,-4.69,-5.5,-6.06,-6.56,-7.41,-7.0,-6.44,-5.81,-5.5,-3.91,-3.56,-3.25,-2.03,-1.09,-0.66,-0.88,-2.16,-2.25,-3.47,-3.5,-3.47,-2.56,-1.91,-2.59,-2.97,-3.38,-4.72,-4.59,-4.72,-3.41,-1.88,-2.09,-1.0,0.12,-0.22,0.72,0.84,1.06,0.5,-0.5,-1.66,-3.47,-4.53,-5.47,-6.59,-7.66,-8.09,-8.28,-8.28,-7.97,-7.84,-7.25,-7.34,-6.94,-7.72,-8.03,-8.94,-10.16,-11.94,-12.84,-14.25,-15.34,-15.25,-15.09,-14.47,-14.47,-12.03,-11.19,-10.62,-9.66,-9.09,-7.97,-8.03,-6.88,-5.41,-4.94,-3.41,-4.22,-4.59,-4.84,-5.16,-4.28,-3.84,-2.69,-0.66,-1.31,-2.22,-3.19,-4.62,-5.34,-6.03,-5.84,-5.5,-5.22,-4.5,-5.25,-6.16,-6.34,-7.94,-9.38,-11.38,-11.69,-11.72,-11.84,-9.38,-7.34,-5.69,-4.41,-3.66,-3.06,-3.69,-4.66,-5.25,-6.34,-6.84,-5.31,-4.53,-2.72,-1.84,-0.97,-0.44,-0.03,-0.59,-1.25,-1.69,-2.0,-2.81,-3.03,-2.59,-2.41,-1.84,-1.44,-2.28,-1.69,-0.88,-1.44,-1.78,-1.88,-1.28,-2.03,-1.34,-1.19,-1.19,-0.91,-1.81,-2.56,-2.88,-4.16,-3.69,-4.0,-3.09,-1.59,-0.84,-0.59,-0.34,-1.34,-0.75,-1.28,-1.09,-0.53,1.06,2.44,2.25,3.41,3.5,3.47,1.91,1.06,0.72,0.31,-0.41,-0.53,-0.66,-0.66,-0.41,-0.97,0.12,0.12,-0.34,-0.56,-1.09,-1.91,-2.31,-2.34,-1.94,-2.44,-1.03,0.41,1.09,1.06,1.12,0.06,-1.66,-4.41,-6.75,-7.78,-8.62,-8.97,-8.97,-7.44,-8.09,-7.62,-8.59,-8.41,-9.31,-9.72,-8.75,-8.09,-6.97,-5.59,-4.53,-3.94,-3.03,-2.25,-0.53,1.09,2.94,5.31,6.5,6.91,5.91,4.25,2.72,0.84,-0.28,-1.22,-1.47,-0.16,-0.69,2.06,4.03,6.34,11.12,14.84,16.53,18.84,18.19,15.16,11.22,6.56,3.31,0.25,-1.66,-2.66,-2.94,-3.25,-4.06,-3.72,-1.62,-2.16,-1.16,-1.84,-3.44,-3.84,-6.09,-7.78,-9.34,-11.53,-13.5,-13.78,-13.88,-12.84,-9.12,-7.06,-4.97,-1.09,0.84,3.38,4.94,6.12,6.62,6.25,4.62,2.06,-0.72,-4.81,-10.09,-14.47,-17.72,-19.97,-20.69,-19.56,-17.66,-14.5,-12.47,-9.59,-7.31,-5.91,-3.84,-3.31,-1.78,-0.56,0.81,2.62,5.28,7.72,9.19,9.56,9.78,6.91,4.72,2.16,0.91,0.5,1.0,1.06,1.47,1.56,2.31,3.25,3.78,4.91,5.91,5.66,5.06,5.72,6.53,7.31,7.06,7.62,6.69,4.84,2.38,-0.59,-1.81,-3.66,-4.84,-4.88,-3.69,-2.69,-1.16,1.19,2.28,4.31,6.25,7.34,7.06,8.06,7.41,6.72,7.06,6.06,5.5,6.19,6.25,6.94,6.34,7.03,5.72,3.03,2.28,2.12,1.16,1.03,0.28,-0.19,-1.59,-3.09,-3.41,-5.12,-5.16,-5.56,-5.31,-5.5,-4.62,-3.22,-2.44,-3.53,-3.81,-5.16,-5.84,-6.16,-5.34,-3.72,-1.47,0.88,2.0,3.44,4.44,4.19,5.06,4.44,4.31,4.56,4.69,4.16,4.28,3.84,3.09,3.0,3.31,4.34,5.84,7.94,10.41,11.94,13.47,14.78,14.28,13.81,11.94,10.44,8.84,7.28,5.41,4.91,4.72,3.56,3.12,3.41,2.22,2.34,1.91,-0.03,-0.81,-1.44,-1.88,-0.78,0.47,1.78,3.25,4.19,4.94,5.34,6.16,6.53,8.34,10.0,10.12,10.0,9.34,8.25,7.94,14.84,15.81,17.53,20.53,23.47,25.41,26.69,26.81,26.91,26.69,25.41,24.59,23.31,21.81,20.28,18.66,17.72,16.31,17.12,17.31,18.31,19.34,19.22,17.5,15.5,13.78,10.69,8.66,7.62,7.09:positivity
30.75,29.69,28.03,26.5,24.19,22.5,21.38,21.47,22.19,24.34,27.41,30.91,36.22,41.19,44.69,48.19,47.59,45.75,42.16,37.09,34.16,32.16,30.78,31.03,31.12,32.34,33.19,32.91,32.97,32.66,31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5:21.38,21.47,22.19,24.34,27.41,30.91,36.22,41.19,44.69,48.19,47.59,45.75,42.16,37.09,34.16,32.16,30.78,31.03,31.12,32.34,33.19,32.91,32.97,32.66,31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5,-5.59,-5.22,-6.0,-7.44,-9.59,-12.12:36.22,41.19,44.69,48.19,47.59,45.75,42.16,37.09,34.16,32.16,30.78,31.03,31.12,32.34,33.19,32.91,32.97,32.66,31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5,-5.59,-5.22,-6.0,-7.44,-9.59,-12.12,-14.47,-15.94,-17.19,-18.44,-19.44,-20.0:42.16,37.09,34.16,32.16,30.78,31.03,31.12,32.34,33.19,32.91,32.97,32.66,31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5,-5.59,-5.22,-6.0,-7.44,-9.59,-12.12,-14.47,-15.94,-17.19,-18.44,-19.44,-20.0,-21.09,-21.72,-21.97,-21.0,-19.56,-18.03:31.12,32.34,33.19,32.91,32.97,32.66,31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5,-5.59,-5.22,-6.0,-7.44,-9.59,-12.12,-14.47,-15.94,-17.19,-18.44,-19.44,-20.0,-21.09,-21.72,-21.97,-21.0,-19.56,-18.03,-16.53,-14.78,-13.47,-11.78,-10.59,-9.09:31.16,29.88,30.0,29.78,29.81,32.69,35.12,37.31,40.03,42.62,43.06,43.5,42.0,39.41,35.5,32.44,29.47,27.44,27.25,28.53,30.59,33.94,38.28,41.81,45.0,46.5,47.16,47.34,46.91,45.28,44.06,43.0,41.59,39.5,38.62,37.59,37.66,37.31,36.56,36.19,35.5,34.81,36.28,36.91,37.72,37.5,37.41,37.69,37.06,38.28,39.69,41.94,43.06,43.5,43.75,43.25,42.97,42.5,42.97,44.12,44.88,46.44,47.22,47.66,48.59,48.84,47.66,48.16,48.03,48.06,46.91,47.0,46.19,45.41,44.47,44.16,44.97,44.84,46.78,47.19,48.34,49.69,50.22,50.91,51.47,51.38,50.16,49.84,49.06,47.97,47.5,47.56,47.72,48.03,48.09,47.75,47.69,48.44,50.0,50.97,52.72,52.66,52.78,52.41,52.19,51.12,50.81,50.59,50.19,49.78,49.16,48.41,47.56,46.41,45.38,43.44,42.59,41.38,40.56,41.06,41.41,42.06,42.41,42.56,43.69,42.88,42.41,42.25,42.03,42.22,41.94,42.44,42.78,41.91,40.97,40.72,39.72,38.84,38.88,40.5,40.56,40.5,41.69,42.59,43.41,44.78,46.31,47.97,48.22,49.06,49.16,47.88,46.66,45.56,44.31,42.84,41.75,40.88,39.44,38.66,38.34,38.69,39.12,39.97,41.22,42.53,43.72,44.41,45.03,44.09,43.25,41.72,39.84,38.16,36.12,35.47,35.16,34.44,33.75,32.97,33.44,32.0,32.84,33.16,34.75,35.88,37.69,39.66,41.0,41.84,42.59,42.19,41.5,40.25,39.5,41.0,42.34,45.28,48.91,50.94,51.25,51.16,48.5,45.69,44.12,42.78,43.56,44.66,44.91,45.78,46.19,46.5,46.75,47.94,48.34,49.12,49.81,49.41,47.88,46.62,44.69,43.19,40.81,40.53,40.69,41.03,42.31,43.44,44.53,44.12,43.34,42.78,40.5,40.0,38.78,38.56,38.31,38.25,37.81,36.72,37.09,36.25,35.0,34.0,33.53,32.56,31.81,31.03,30.12,30.41,30.16,30.5,32.03,32.25,32.47,33.34,33.06,33.44,33.69,33.59,34.03,34.41,34.31,34.28,36.41,37.81,40.41,42.31,44.06,44.03,42.84,42.16,41.19,40.44,39.44,38.78,38.22,37.62,37.81,38.5,40.38,42.5,43.78,43.19,42.5,41.03,39.19,37.31,36.41,36.19,35.12,34.81,34.81,35.19,34.78,35.25,36.25,36.78,37.22,37.41,38.66,39.19,39.56,39.81,39.81,39.12,38.5,37.19,36.38,34.09,31.94,30.31,27.62,25.38,22.88,20.59,18.16,16.0,14.97,14.34,13.12,13.19,12.88,13.06,13.06,12.59,13.81,14.09,13.69,15.5,16.72,17.53,18.53,19.81,20.25,19.19,19.06,19.19,18.16,18.0,19.81,20.56,22.53,24.44,25.94,26.56,28.91,30.25,30.94,31.44,31.34,31.81,31.62,30.81,31.12,31.66,32.72,33.25,34.06,35.31,34.62,34.66,34.0,32.19,30.44,28.38,25.28,23.16,20.28,18.59,17.75,17.41,17.78,19.25,21.19,23.0,24.53,26.5,28.0,28.16,28.09,28.84,29.16,29.16,29.41,29.88,29.69,28.91,29.28,29.66,29.09,29.75,28.81,28.69,26.75,25.41,23.66,22.5,21.31,20.09,19.31,18.81,19.97,20.06,20.97,21.94,23.03,23.75,24.38,24.31,24.09,22.56,20.28,18.41,15.53,12.75,10.19,8.03,5.31,4.66,3.53,3.16,3.19,4.56,6.19,7.62,9.88,9.31,8.56,6.06,3.0,-0.94,-2.84,-3.69,-4.25,-2.81,-1.31,0.47,3.19,4.69,7.56,11.31,14.91,19.75,22.62,25.91,27.75,29.16,29.09,28.41,27.19,25.94,24.69,22.69,22.22,21.28,20.38,21.66,21.59,21.16,21.09,21.28,20.78,19.44,19.0,17.94,15.09,14.84,13.47,13.59,13.34,14.25,14.44,15.06,14.62,14.16,13.69,12.03,12.94,13.97,15.06,16.94,19.53,21.12,21.62,22.78,24.31,24.31,25.16,24.91,24.16,22.31,21.56,20.0,18.47,17.25,16.19,15.66,14.16,14.22,13.06,11.72,9.69,8.81,8.44,8.0,7.84,7.72,9.22,8.75,9.31,10.62,11.47,12.41,12.78,13.12,14.0,14.03,14.19,14.78,15.31,14.0,13.12,11.41,9.56,8.66,7.88,8.72,10.19,12.31,13.5,14.28,13.69,13.94,12.19,11.12,10.88,10.25,10.56,12.0,13.31,15.16,15.69,17.62,18.5,17.84,17.88,18.19,19.28,20.84,22.91,25.28,26.31,26.84,26.28,25.19,24.25,24.78,25.47,27.25,29.12,30.12,29.47,27.66,24.06,20.28,17.12,13.94,11.56,12.34,11.38,12.31,12.69,13.69,14.78,15.56,16.06,16.25,15.41,15.88,15.47,15.12,15.44,15.31,15.12,16.84,17.25,18.62,19.47,19.78,20.66,19.38,18.75,16.81,15.25,13.91,12.84,13.31,13.62,14.59,15.56,16.41,16.19,15.16,13.75,12.44,10.31,9.56,9.03,8.25,8.5,8.25,8.44,8.5,7.16,6.56,7.19,6.81,6.81,8.47,10.25,11.94,13.28,14.06,13.66,12.44,11.81,10.91,10.22,9.81,9.94,9.25,9.88,10.69,12.25,13.72,14.97,16.5,17.19,17.66,17.41,17.16,17.16,17.44,17.16,18.56,19.16,17.97,19.19,19.28,18.53,18.81,19.34,19.06,19.44,20.06,19.91,21.06,22.0,23.69,24.44,25.44,26.91,28.03,28.72,30.25,31.97,33.31,34.97,36.56,36.5,35.94,34.41,30.97,27.81,26.12,23.75,21.84,20.69,19.66,18.09,15.66,14.5,13.06,11.94,11.31,11.81,11.88,11.59,11.38,12.06,11.31,11.19,11.94,12.97,13.84,14.09,14.5,13.19,13.16,13.09,13.5,15.31,16.47,18.84,20.66,22.16,23.88,24.44,24.25,23.62,21.25,19.66,17.5,15.78,13.81,12.81,11.34,10.66,10.03,10.78,12.41,14.06,16.62,17.69,19.84,20.97,21.91,22.56,23.12,22.66,21.59,19.81,18.81,17.44,16.81,17.69,18.78,20.75,21.34,22.03,21.97,20.44,18.81,16.62,14.41,12.12,11.19,10.06,10.06,10.16,9.53,8.41,8.41,6.56,4.03,3.28,2.62,3.22,4.75,7.09,9.41,11.62,13.0,14.19,14.44,14.56,12.53,12.16,10.22,8.56,7.5,7.16,6.03,6.28,7.47,9.03,10.34,11.09,12.16,12.0,11.03,9.44,7.5,6.59,5.34,4.91,4.56,4.25,3.06,2.94,1.66,1.88,2.47,4.28,6.5,9.25,11.56,13.47,14.53,16.06,15.34,15.69,14.19,12.84,9.69,6.91,4.66,3.0,1.44,1.44,1.31,1.34,1.62,3.12,4.62,6.56,9.69,12.12,13.62,14.53,14.69,13.94,13.12,13.12,13.66,14.06,14.97,15.44,14.09,13.28,11.81,10.28,9.38,8.69,8.06,6.91,4.94,4.09,1.97,0.5,-0.03,-0.19,-0.66,-0.66,-0.53,-0.91,-0.72,-0.34,-0.31,0.25,0.53,1.66,2.06,2.34,1.22,-0.94,-2.09,-4.31,-5.84,-5.5,-5.19,-3.84,-2.53,-0.69,0.5,-5.59,-5.22,-6.0,-7.44,-9.59,-12.12,-14.47,-15.94,-17.19,-18.44,-19.44,-20.0,-21.09,-21.72,-21.97,-21.0,-19.56,-18.03,-16.53,-14.78,-13.47,-11.78,-10.59,-9.09,-7.84,-7.09,-6.88,-6.81,-7.59,-8.81:positivity
4.06,5.09,5.81,7.25,7.44,7.91,8.81,9.03,10.78,10.94,10.78,9.41,8.0,5.97,3.19,1.97,2.0,2.09,2.72,3.22,3.06,2.97,3.62,4.03,4.47,5.34,6.0,5.41,4.56,5.19,5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22:8.81,9.03,10.78,10.94,10.78,9.41,8.0,5.97,3.19,1.97,2.0,2.09,2.72,3.22,3.06,2.97,3.62,4.03,4.47,5.34,6.0,5.41,4.56,5.19,5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22,-54.81,-55.19,-55.22,-54.16,-52.97,-50.84:8.0,5.97,3.19,1.97,2.0,2.09,2.72,3.22,3.06,2.97,3.62,4.03,4.47,5.34,6.0,5.41,4.56,5.19,5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22,-54.81,-55.19,-55.22,-54.16,-52.97,-50.84,-50.53,-49.03,-47.91,-47.97,-48.0,-48.44:2.72,3.22,3.06,2.97,3.62,4.03,4.47,5.34,6.0,5.41,4.56,5.19,5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22,-54.81,-55.19,-55.22,-54.16,-52.97,-50.84,-50.53,-49.03,-47.91,-47.97,-48.0,-48.44,-48.84,-50.16,-52.16,-53.59,-54.16,-54.34:4.47,5.34,6.0,5.41,4.56,5.19,5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22,-54.81,-55.19,-55.22,-54.16,-52.97,-50.84,-50.53,-49.03,-47.91,-47.97,-48.0,-48.44,-48.84,-50.16,-52.16,-53.59,-54.16,-54.34,-53.47,-52.75,-52.06,-50.88,-50.19,-49.09:5.0,5.03,4.41,3.06,2.12,0.72,0.5,1.38,3.62,6.66,9.94,12.25,13.88,12.88,11.22,8.59,6.12,6.09,6.41,6.12,6.53,6.5,3.19,2.84,1.53,1.84,1.38,2.09,3.25,4.12,3.78,2.12,0.47,-2.84,-6.22,-9.84,-12.66,-14.78,-19.03,-21.66,-25.41,-28.5,-31.03,-33.0,-33.59,-33.22,-33.44,-31.59,-30.06,-29.09,-27.09,-24.66,-23.09,-20.78,-18.88,-16.62,-15.59,-15.16,-15.84,-16.78,-16.75,-19.16,-19.94,-19.22,-18.53,-18.12,-16.84,-15.78,-15.88,-15.19,-13.91,-13.16,-11.22,-9.53,-7.5,-5.84,-5.47,-5.28,-6.19,-8.88,-11.59,-14.06,-16.75,-19.09,-18.97,-19.94,-18.59,-17.97,-18.28,-19.22,-19.97,-20.41,-22.09,-20.66,-19.47,-16.84,-14.53,-12.69,-11.88,-11.22,-12.34,-14.22,-13.94,-14.28,-13.19,-11.84,-11.34,-11.12,-11.59,-12.56,-13.75,-14.12,-16.53,-17.47,-17.72,-20.03,-17.72,-16.84,-14.5,-10.88,-8.66,-5.12,-3.81,-1.91,-0.91,-2.72,-2.5,-5.34,-8.09,-10.97,-14.69,-15.97,-17.16,-17.81,-17.38,-18.59,-18.78,-19.53,-20.19,-21.09,-20.41,-19.72,-20.47,-20.06,-19.22,-19.28,-17.72,-15.53,-13.09,-10.31,-7.12,-5.34,-4.09,-3.84,-3.91,-6.03,-7.97,-8.47,-10.91,-11.94,-11.91,-11.84,-10.28,-9.12,-8.75,-9.62,-10.69,-11.69,-14.41,-15.41,-15.81,-16.84,-17.09,-15.22,-15.44,-13.72,-12.56,-11.41,-11.53,-11.22,-12.84,-13.09,-15.78,-18.28,-21.06,-23.0,-26.97,-30.22,-31.91,-32.81,-33.12,-32.31,-30.25,-27.59,-26.47,-23.81,-22.47,-20.81,-19.66,-18.84,-17.88,-19.62,-19.5,-20.38,-22.28,-22.66,-23.16,-24.34,-24.06,-24.69,-25.09,-25.09,-25.41,-23.91,-23.59,-23.66,-23.59,-23.34,-22.94,-21.66,-19.16,-17.34,-15.06,-13.78,-12.41,-12.34,-13.19,-13.97,-15.94,-17.31,-19.5,-20.78,-21.38,-21.44,-22.44,-22.72,-22.66,-23.5,-25.72,-25.16,-25.66,-25.16,-24.25,-22.59,-21.72,-21.0,-21.22,-22.22,-23.75,-25.47,-27.53,-28.84,-30.34,-31.56,-32.03,-31.0,-29.66,-28.84,-25.44,-22.84,-21.75,-21.19,-22.25,-24.47,-26.34,-28.66,-30.16,-30.06,-29.56,-28.66,-26.62,-24.34,-20.72,-18.03,-14.56,-13.53,-13.91,-15.91,-20.5,-24.0,-27.75,-29.97,-31.84,-32.09,-31.41,-30.72,-29.03,-26.81,-25.72,-23.53,-20.72,-18.81,-16.28,-13.44,-10.66,-7.66,-4.59,-0.38,2.12,5.66,8.72,9.44,9.16,7.06,3.38,-0.22,-4.34,-8.19,-10.28,-11.34,-11.59,-11.94,-12.84,-13.38,-16.53,-17.97,-20.09,-21.44,-22.34,-21.5,-20.91,-19.09,-17.5,-17.44,-17.0,-17.41,-18.22,-18.72,-20.16,-21.47,-22.94,-24.94,-27.44,-30.38,-31.97,-34.47,-35.94,-36.66,-36.72,-36.78,-36.16,-34.34,-32.72,-32.12,-30.22,-29.09,-28.94,-27.5,-27.28,-25.66,-23.16,-21.06,-19.5,-17.22,-16.94,-15.94,-15.66,-15.5,-14.62,-16.03,-16.03,-16.16,-16.56,-17.69,-18.34,-19.47,-21.31,-22.91,-23.62,-24.09,-23.34,-22.53,-21.16,-19.84,-20.28,-19.78,-20.34,-21.12,-22.91,-24.22,-26.19,-28.16,-29.59,-32.03,-34.94,-35.56,-38.56,-38.41,-37.59,-37.97,-36.0,-36.47,-35.88,-35.84,-36.22,-35.97,-36.12,-35.0,-33.66,-32.06,-29.22,-26.34,-23.84,-20.16,-19.16,-19.34,-20.59,-22.0,-23.53,-25.16,-24.41,-24.22,-23.5,-21.81,-21.44,-21.22,-20.44,-20.28,-20.41,-20.53,-20.59,-20.66,-23.31,-22.31,-22.84,-23.22,-23.06,-23.59,-22.34,-21.94,-21.09,-18.34,-18.03,-15.84,-14.28,-14.41,-13.38,-14.56,-14.44,-14.69,-16.09,-15.88,-16.69,-16.88,-17.69,-18.0,-18.47,-19.66,-18.25,-17.41,-17.53,-16.28,-14.75,-15.03,-14.25,-13.56,-13.59,-13.0,-13.19,-13.75,-16.09,-17.91,-18.69,-21.34,-21.59,-22.09,-22.34,-21.84,-22.22,-21.84,-22.44,-23.66,-25.69,-26.16,-28.19,-27.22,-27.03,-26.91,-27.72,-26.72,-27.19,-26.66,-24.56,-24.0,-22.09,-21.72,-21.28,-21.22,-21.16,-21.56,-21.75,-22.56,-23.22,-22.66,-21.47,-21.22,-19.72,-18.94,-19.34,-20.28,-19.81,-20.34,-21.59,-21.22,-20.78,-22.03,-21.06,-19.19,-18.84,-17.62,-14.91,-15.97,-16.06,-18.16,-20.72,-22.16,-24.41,-25.72,-25.94,-26.22,-24.44,-23.44,-22.19,-19.97,-18.91,-18.16,-15.34,-15.91,-13.5,-12.59,-11.31,-10.03,-8.84,-8.28,-8.88,-8.75,-10.31,-8.84,-8.66,-8.41,-5.66,-5.78,-6.91,-6.66,-8.16,-10.84,-12.34,-14.5,-16.34,-16.97,-18.03,-16.62,-16.56,-15.38,-14.03,-11.34,-9.66,-7.97,-6.69,-7.38,-9.34,-9.97,-11.62,-12.53,-13.34,-14.19,-14.38,-15.66,-15.81,-15.12,-14.41,-13.34,-11.75,-12.84,-12.72,-14.72,-13.41,-12.69,-10.47,-7.47,-5.59,-5.22,-5.38,-6.41,-9.09,-9.59,-9.81,-9.25,-8.28,-6.59,-8.97,-9.94,-12.88,-18.78,-22.19,-26.66,-31.03,-32.59,-34.59,-34.22,-32.84,-31.72,-28.59,-27.5,-25.84,-22.34,-22.69,-19.81,-17.09,-15.5,-13.66,-13.34,-12.66,-13.12,-15.03,-15.94,-16.97,-17.09,-17.06,-17.75,-16.19,-16.69,-16.72,-16.03,-16.28,-14.84,-14.94,-14.69,-15.22,-16.09,-18.69,-20.72,-21.34,-22.34,-21.88,-21.03,-18.59,-16.59,-15.28,-13.25,-10.72,-8.72,-6.09,-4.03,-2.41,-2.28,-2.72,-4.59,-6.53,-9.28,-11.25,-13.59,-15.69,-16.09,-16.38,-15.72,-14.03,-12.59,-9.69,-7.41,-5.41,-5.84,-6.66,-8.72,-11.03,-13.75,-15.5,-16.28,-16.97,-18.31,-18.78,-19.09,-19.59,-18.59,-16.34,-14.03,-11.16,-10.66,-10.09,-10.59,-12.0,-12.0,-12.19,-11.0,-9.59,-9.91,-8.16,-8.94,-9.72,-10.47,-12.97,-16.25,-17.84,-20.84,-20.22,-18.84,-17.66,-15.72,-13.34,-12.44,-11.16,-10.28,-9.28,-8.84,-8.34,-7.59,-8.19,-7.81,-7.94,-8.66,-7.72,-8.25,-6.0,-5.12,-4.22,-2.44,-2.38,-3.06,-4.28,-5.59,-7.47,-9.09,-10.03,-10.12,-10.97,-10.47,-9.81,-9.75,-7.97,-7.22,-4.34,-3.53,-2.66,-1.97,-1.81,-2.78,-2.84,-4.72,-5.44,-7.34,-8.84,-9.88,-10.09,-9.88,-9.25,-8.66,-6.56,-6.06,-6.66,-7.34,-8.59,-10.91,-13.81,-15.19,-15.41,-15.81,-13.56,-10.0,-7.09,-3.47,-1.19,0.56,0.06,-0.12,-2.12,-4.59,-6.03,-8.66,-10.53,-12.47,-13.5,-13.59,-13.78,-13.34,-12.66,-12.62,-11.59,-10.28,-9.03,-7.09,-6.25,-5.16,-5.25,-5.84,-6.62,-7.72,-7.62,-7.47,-8.09,-7.78,-7.72,-8.97,-9.28,-10.09,-10.75,-11.03,-9.94,-9.66,-9.62,-9.75,-10.19,-11.47,-12.53,-14.72,-15.22,-15.69,-17.09,-16.84,-16.41,-14.81,-13.41,-12.38,-9.28,-8.16,-6.47,-5.28,-5.69,-5.28,-6.09,-8.62,-10.38,-13.81,-15.28,-16.84,-17.53,-16.66,-16.84,-15.91,-16.31,-18.38,-19.94,-22.34,-23.72,-24.88,-26.28,-24.16,-24.31,-22.53,-19.81,-16.81,-14.34,-10.81,-8.09,-4.34,-1.91,1.22,3.69,2.53,-0.38,-5.38,-12.59,-18.16,-24.31,-27.94,-28.47,-29.16,-28.34,-28.47,-26.56,-25.59,-25.41,-23.84,-23.16,-22.53,-21.56,-20.22,-54.81,-55.19,-55.22,-54.16,-52.97,-50.84,-50.53,-49.03,-47.91,-47.97,-48.0,-48.44,-48.84,-50.16,-52.16,-53.59,-54.16,-54.34,-53.47,-52.75,-52.06,-50.88,-50.19,-49.09,-49.0,-48.31,-47.84,-48.88,-49.62,-49.38:positivity
57.84,56.16,55.0,54.38,54.69,53.88,54.31,55.59,54.78,56.56,56.25,57.38,56.81,56.75,55.41,53.66,52.19,50.28,49.31,49.56,50.06,49.91,50.34,50.5,49.72,48.66,48.94,48.75,49.19,50.41,51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78:54.31,55.59,54.78,56.56,56.25,57.38,56.81,56.75,55.41,53.66,52.19,50.28,49.31,49.56,50.06,49.91,50.34,50.5,49.72,48.66,48.94,48.75,49.19,50.41,51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78,-1.34,-1.66,-3.31,-4.06,-4.59,-4.94:56.81,56.75,55.41,53.66,52.19,50.28,49.31,49.56,50.06,49.91,50.34,50.5,49.72,48.66,48.94,48.75,49.19,50.41,51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78,-1.34,-1.66,-3.31,-4.06,-4.59,-4.94,-5.09,-5.78,-6.47,-6.09,-5.66,-4.12:49.31,49.56,50.06,49.91,50.34,50.5,49.72,48.66,48.94,48.75,49.19,50.41,51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78,-1.34,-1.66,-3.31,-4.06,-4.59,-4.94,-5.09,-5.78,-6.47,-6.09,-5.66,-4.12,-4.84,-5.06,-5.03,-6.91,-9.59,-11.19:49.72,48.66,48.94,48.75,49.19,50.41,51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78,-1.34,-1.66,-3.31,-4.06,-4.59,-4.94,-5.09,-5.78,-6.47,-6.09,-5.66,-4.12,-4.84,-5.06,-5.03,-6.91,-9.59,-11.19,-11.94,-13.03,-13.5,-12.56,-13.84,-13.72:51.09,51.88,52.06,50.41,49.06,48.69,46.88,47.06,49.16,51.56,52.66,53.91,54.22,52.69,50.44,48.59,44.53,42.03,39.97,39.28,39.81,41.69,43.03,43.66,44.97,44.94,44.75,44.0,43.06,40.19,38.41,37.03,34.94,34.56,35.06,36.56,37.44,37.28,37.75,35.75,33.12,31.06,28.91,27.25,26.41,26.16,26.69,27.56,29.78,32.06,34.06,35.81,37.62,37.78,38.69,37.88,36.75,36.44,36.62,37.03,37.06,37.25,35.56,34.56,34.19,35.25,36.09,36.97,38.12,38.06,36.34,35.34,33.72,31.62,31.16,29.53,28.91,27.69,27.69,28.59,31.25,33.75,37.06,40.81,42.06,43.25,43.38,43.44,42.66,41.97,41.38,39.75,38.66,36.66,33.94,31.38,29.53,28.47,30.06,31.69,35.84,39.19,43.53,45.78,47.19,47.44,45.28,42.94,40.19,37.78,37.22,36.06,36.31,35.69,36.72,37.53,37.31,37.34,34.81,33.88,32.91,32.06,32.56,34.38,36.75,38.34,40.19,41.91,42.91,43.81,44.47,45.59,46.72,46.88,46.81,46.69,46.38,46.25,45.75,45.44,45.06,44.22,43.62,44.81,44.84,47.69,51.16,53.22,55.66,56.78,56.97,55.72,54.44,53.62,52.81,52.88,53.94,55.28,56.84,58.53,61.84,64.19,66.03,66.81,67.12,64.56,62.69,59.66,57.84,56.53,56.56,58.03,58.03,59.31,60.09,59.12,59.19,57.34,55.41,53.69,52.31,51.69,52.09,53.16,54.69,56.69,57.62,58.69,58.66,57.31,56.31,55.31,54.28,53.44,53.16,51.53,50.66,51.47,51.34,51.97,52.78,53.38,52.28,50.66,48.31,44.53,42.34,40.69,40.44,41.19,44.0,46.44,48.88,51.0,52.19,52.69,52.06,52.31,53.22,52.31,51.62,50.19,48.06,45.06,42.56,42.0,41.84,41.75,42.81,43.78,45.0,46.5,48.19,49.78,50.16,50.06,48.59,45.84,43.66,41.34,39.66,38.44,38.5,38.31,37.69,37.56,36.84,36.69,36.66,36.66,38.22,39.44,41.69,43.81,46.06,47.97,48.28,50.38,50.84,50.84,51.81,50.31,48.66,47.69,46.19,45.56,45.47,44.56,44.12,43.31,42.12,40.84,40.0,39.16,38.59,39.28,40.03,41.12,42.94,45.28,47.16,49.19,49.03,49.62,48.06,46.06,44.53,42.41,40.78,39.88,39.06,39.44,39.34,39.12,40.19,40.56,42.31,45.31,45.72,48.44,49.0,48.56,49.59,49.84,49.78,49.84,50.0,49.91,49.22,47.69,46.44,44.88,44.5,43.62,43.69,42.5,41.47,40.41,39.12,38.31,37.06,36.81,36.88,37.88,39.94,40.81,42.19,43.19,44.0,44.28,44.94,46.06,46.34,47.91,49.34,50.5,50.5,50.31,50.19,50.34,50.91,52.88,55.0,57.78,61.56,65.19,67.94,69.0,69.75,67.53,65.12,63.06,59.53,57.38,55.12,53.0,52.28,52.69,52.12,52.56,52.97,53.38,52.06,52.03,49.91,48.69,47.25,45.34,44.25,43.81,43.88,46.44,47.69,49.84,50.62,49.97,49.47,48.22,47.62,46.22,45.38,44.44,43.16,43.31,41.97,41.78,41.75,41.84,41.53,41.5,41.19,41.03,41.0,40.56,39.88,40.16,39.66,39.97,41.03,42.44,42.19,42.41,42.72,43.03,44.62,46.19,46.97,47.91,48.62,48.97,49.16,49.75,49.53,49.28,50.06,50.59,51.0,50.69,49.91,49.16,48.53,46.97,45.88,44.72,44.06,41.5,39.88,37.84,35.47,33.38,31.97,31.16,30.25,29.78,30.19,30.41,30.75,31.66,32.19,33.62,35.25,37.41,39.91,41.62,43.25,44.94,45.62,45.53,44.5,42.16,39.56,35.97,33.09,30.91,29.72,29.34,30.19,31.16,33.03,34.5,36.81,38.56,40.28,42.06,42.75,43.81,43.81,42.22,40.25,36.84,33.75,30.25,28.69,27.31,28.5,29.06,30.34,32.41,33.69,34.38,34.94,35.31,34.56,33.5,32.41,31.66,30.94,30.81,31.16,31.25,30.69,30.44,29.12,27.5,25.78,24.34,24.53,23.88,23.66,24.25,24.47,24.72,24.16,24.38,24.91,26.25,26.81,29.38,30.12,31.31,32.59,33.84,34.97,35.19,35.56,34.62,34.03,32.53,31.69,30.22,29.66,29.69,28.69,28.5,27.94,27.12,26.84,27.44,27.94,28.59,30.06,32.28,34.69,37.59,40.12,42.03,44.03,45.0,43.53,41.41,37.31,33.19,28.97,25.56,22.69,19.38,17.56,16.97,16.19,16.12,16.31,16.53,16.53,16.81,17.41,19.38,22.0,26.78,30.5,32.97,33.62,31.75,29.12,26.44,23.34,21.44,20.22,20.31,21.31,22.06,23.38,23.38,23.5,23.38,22.34,21.94,20.41,19.06,18.34,17.81,18.5,19.03,21.12,22.5,24.31,25.09,26.12,26.66,28.78,31.72,35.41,40.38,44.53,47.06,48.41,47.72,44.5,41.09,38.41,36.56,34.69,32.62,31.75,29.16,27.25,26.69,26.16,25.84,26.44,27.53,28.12,29.78,31.03,32.78,33.03,34.44,35.22,35.28,34.69,35.31,35.38,34.72,34.34,34.31,33.09,32.84,33.78,32.97,32.94,32.09,31.81,30.53,29.91,28.91,28.06,27.91,29.19,30.5,31.62,32.81,34.34,34.66,35.56,35.66,35.88,35.91,36.38,36.5,36.28,36.25,36.03,36.25,36.5,37.5,38.09,37.84,37.19,35.59,33.34,30.94,28.28,25.59,25.12,24.81,24.62,26.12,28.06,28.56,30.03,30.12,31.06,31.12,30.91,31.16,30.72,31.41,32.41,32.66,33.91,34.72,34.12,33.78,33.5,32.41,31.53,31.06,30.06,30.03,31.25,31.56,33.0,33.12,33.91,34.5,34.72,34.81,35.5,35.91,35.69,35.84,35.56,35.34,34.5,34.22,32.91,31.12,30.56,29.34,28.91,28.31,27.94,27.84,27.41,27.84,28.03,28.06,28.59,29.19,30.66,32.19,33.5,35.44,37.06,37.28,37.88,37.66,34.31,32.88,31.19,30.19,30.38,31.69,34.44,35.09,35.75,34.91,33.91,32.5,31.91,31.16,31.16,31.69,32.19,32.38,33.69,34.03,35.16,35.53,36.75,36.91,37.0,37.78,38.84,39.31,40.5,40.84,40.81,39.72,39.03,36.53,35.28,33.41,31.81,30.56,29.78,29.34,28.81,29.12,30.5,31.66,33.44,33.81,34.31,34.34,34.0,33.56,32.66,31.47,30.12,29.69,29.16,28.81,28.72,28.91,28.84,28.97,29.0,29.5,29.19,30.06,31.75,32.88,34.5,35.12,36.06,36.28,35.78,35.56,35.25,34.53,34.28,35.94,35.72,36.75,37.97,39.19,38.38,37.41,36.41,34.31,31.84,30.12,28.0,26.62,25.94,27.59,30.25,32.94,36.5,39.38,42.16,45.69,48.12,49.44,49.56,48.78,46.81,43.91,41.78,39.44,37.62,36.59,35.62,34.41,33.53,33.16,33.88,34.16,33.81,33.69,32.31,31.03,28.41,26.56,24.22,22.62,21.31,20.62,19.38,19.12,18.91,19.81,20.53,22.75,23.94,26.59,29.28,31.38,33.44,35.19,36.5,36.84,37.41,36.56,35.31,33.78,-1.34,-1.66,-3.31,-4.06,-4.59,-4.94,-5.09,-5.78,-6.47,-6.09,-5.66,-4.12,-4.84,-5.06,-5.03,-6.91,-9.59,-11.19,-11.94,-13.03,-13.5,-12.56,-13.84,-13.72,-13.53,-14.06,-12.94,-12.28,-10.44,-8.34:positivity
29.66,26.88,25.84,23.72,21.72,21.0,19.56,18.5,18.56,18.94,19.31,22.19,24.75,27.28,30.56,31.25,31.0,30.28,27.38,24.69,22.94,21.12,20.44,18.81,20.16,21.16,22.25,25.66,27.81,30.09,32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47:19.56,18.5,18.56,18.94,19.31,22.19,24.75,27.28,30.56,31.25,31.0,30.28,27.38,24.69,22.94,21.12,20.44,18.81,20.16,21.16,22.25,25.66,27.81,30.09,32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47,23.75,20.69,18.62,15.66,13.47,11.88:24.75,27.28,30.56,31.25,31.0,30.28,27.38,24.69,22.94,21.12,20.44,18.81,20.16,21.16,22.25,25.66,27.81,30.09,32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47,23.75,20.69,18.62,15.66,13.47,11.88,10.53,11.12,11.41,13.75,15.56,18.41:27.38,24.69,22.94,21.12,20.44,18.81,20.16,21.16,22.25,25.66,27.81,30.09,32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47,23.75,20.69,18.62,15.66,13.47,11.88,10.53,11.12,11.41,13.75,15.56,18.41,22.12,24.66,27.94,30.5,30.91,29.81:20.16,21.16,22.25,25.66,27.81,30.09,32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47,23.75,20.69,18.62,15.66,13.47,11.88,10.53,11.12,11.41,13.75,15.56,18.41,22.12,24.66,27.94,30.5,30.91,29.81,27.53,25.06,21.91,19.06,17.53,16.41:32.28,34.19,36.0,36.81,37.28,37.75,36.53,35.69,36.38,36.38,35.62,35.16,33.66,32.28,30.69,29.91,28.75,29.78,30.09,31.59,32.56,33.03,33.03,31.47,29.0,25.56,22.53,20.31,18.81,17.88,18.0,18.38,17.91,16.0,14.97,14.31,13.81,14.19,15.94,17.12,19.38,20.38,21.31,20.56,19.12,16.84,15.38,13.66,12.62,12.31,12.0,12.0,10.81,10.31,10.09,11.03,11.78,12.22,13.06,14.06,14.66,16.06,17.91,19.31,20.5,20.84,20.34,17.72,16.22,15.28,13.28,12.19,14.47,15.69,17.81,19.88,22.91,24.12,24.41,24.25,22.66,21.44,20.0,20.22,19.84,20.62,21.19,22.94,24.22,26.81,28.56,29.97,31.97,31.53,31.0,30.81,28.97,26.88,25.44,24.56,23.69,24.06,24.94,24.44,24.28,24.69,23.62,23.47,24.16,23.53,23.66,24.25,24.72,24.81,25.84,26.78,25.91,26.38,25.91,25.19,24.19,24.0,23.22,23.19,22.94,23.06,21.72,21.06,18.94,16.81,14.34,12.34,10.53,10.84,10.81,11.44,12.56,12.56,11.09,9.69,7.03,4.56,2.31,2.53,2.66,5.69,8.97,11.75,13.56,13.28,11.84,8.88,6.78,4.19,1.44,0.94,0.28,-0.56,-0.34,-0.03,0.09,0.03,0.94,2.88,2.84,5.12,5.19,5.84,6.94,8.5,11.25,13.06,15.12,17.31,17.09,16.25,15.66,14.19,13.91,14.59,14.38,15.72,16.56,17.66,20.0,22.06,23.44,24.44,23.66,21.66,20.03,17.56,18.5,20.19,23.31,26.94,30.06,32.81,33.19,32.47,30.84,28.59,26.0,23.56,22.19,20.41,18.88,18.09,17.38,17.34,17.25,17.28,17.56,18.31,17.44,16.91,16.94,16.06,15.31,14.81,14.09,13.25,11.41,8.94,7.41,5.91,4.78,4.84,4.19,3.66,3.44,2.91,2.75,3.28,3.16,4.09,4.56,4.88,4.31,4.25,3.88,3.5,2.97,2.56,2.59,2.38,2.94,3.03,4.53,5.38,6.62,8.31,9.69,10.41,10.91,11.06,10.81,10.06,9.56,9.25,9.53,9.97,10.66,12.53,14.72,17.34,18.56,18.78,18.56,15.97,13.47,12.19,11.62,11.88,12.06,13.62,14.25,14.19,15.28,15.84,17.91,18.88,20.94,21.84,21.97,22.09,20.56,18.38,16.0,13.66,11.88,10.66,9.59,9.53,9.31,8.25,7.56,7.5,6.16,7.28,7.41,8.84,10.56,12.34,12.41,13.69,13.31,12.53,11.72,10.16,8.28,6.41,5.44,5.56,6.66,7.56,9.16,10.56,10.25,10.31,10.12,8.97,8.69,8.0,7.28,6.56,5.03,4.72,3.66,2.81,1.53,1.44,0.41,0.56,1.94,4.09,7.56,10.53,13.78,15.19,16.75,16.5,15.41,14.81,12.41,10.84,9.28,8.38,7.56,6.44,5.84,4.69,2.84,2.16,2.06,2.06,2.91,5.31,6.06,9.19,11.88,14.28,16.0,17.22,17.41,17.28,16.66,15.25,15.81,14.16,13.5,11.62,10.22,9.12,8.12,7.16,6.22,6.03,6.22,5.94,7.25,8.06,9.12,11.06,12.88,12.12,12.56,10.75,9.0,6.38,3.91,2.59,1.12,1.06,1.31,2.56,5.12,8.81,13.0,17.28,22.03,25.12,26.44,25.62,22.88,19.16,15.94,14.69,13.72,15.25,17.38,18.72,20.31,20.84,22.41,23.72,23.41,23.78,22.19,20.78,17.81,15.78,14.53,13.19,12.94,13.91,14.69,14.66,15.0,15.53,14.94,15.59,15.09,14.06,13.06,10.66,8.44,6.56,4.5,3.84,4.03,3.41,2.75,2.47,1.31,0.53,-1.22,-1.47,-0.81,-0.84,0.56,2.84,3.84,5.31,6.28,6.88,6.53,5.72,4.19,3.19,2.09,2.03,3.25,5.28,6.03,7.19,7.53,7.16,8.41,8.66,9.75,12.09,13.16,14.16,14.88,14.81,16.25,16.91,17.88,18.69,19.34,18.31,17.5,16.09,14.31,13.12,12.81,12.12,12.47,12.41,12.69,12.84,11.81,11.31,11.31,10.06,10.97,11.72,12.0,12.72,14.0,14.75,15.59,16.38,16.56,16.41,15.97,15.28,14.38,13.81,13.94,13.16,12.44,12.69,12.62,12.91,14.03,14.5,14.81,15.19,16.44,15.75,16.41,17.16,17.44,16.62,14.81,13.38,10.41,7.88,6.41,5.62,6.0,6.91,7.75,9.31,9.28,11.53,11.97,12.78,14.06,14.97,16.09,16.59,17.53,17.25,17.47,17.34,17.06,16.28,15.72,13.66,12.75,11.31,10.06,11.16,11.94,13.88,15.62,17.0,19.06,19.22,19.0,18.25,17.19,16.12,15.81,16.03,16.66,17.5,17.5,17.16,16.56,15.75,14.59,13.78,12.97,11.97,11.47,11.38,11.16,11.28,11.94,13.06,14.69,15.88,16.84,17.06,17.44,17.03,16.34,15.75,15.97,16.62,16.06,16.53,16.0,15.5,15.06,14.44,14.94,15.91,17.38,18.53,19.22,19.66,19.84,19.34,18.72,18.5,18.72,19.47,20.16,21.97,24.34,25.84,26.81,27.19,26.53,24.28,21.12,17.72,13.97,11.44,9.44,8.59,9.78,10.34,10.97,11.59,10.75,10.16,9.62,9.0,9.19,10.47,11.12,11.5,12.75,12.75,13.06,12.41,12.0,12.09,13.78,15.66,19.34,24.25,27.31,30.56,32.25,32.03,30.94,29.78,27.94,26.19,25.75,23.19,21.91,20.62,19.06,18.38,18.12,16.88,16.44,15.31,13.78,12.66,11.47,10.06,8.5,6.41,5.25,3.25,2.91,3.31,2.69,3.16,2.94,2.03,1.91,1.19,0.88,1.19,2.03,2.16,2.94,3.91,4.09,3.69,3.31,3.0,2.94,3.38,3.94,4.78,5.97,7.12,8.75,9.28,10.19,11.31,12.0,12.56,13.5,15.38,17.56,20.31,23.56,26.84,28.75,29.38,28.41,27.38,25.41,24.06,23.22,21.5,21.19,20.06,18.56,16.88,14.78,12.62,10.94,10.19,9.25,9.34,9.91,10.28,10.94,11.06,11.16,11.34,11.0,9.19,8.09,6.94,5.31,4.5,3.47,3.66,3.5,3.75,4.16,5.38,5.19,7.12,8.44,10.53,12.03,15.25,17.03,19.09,19.38,19.12,18.62,17.12,14.81,13.62,12.16,10.97,10.81,10.16,10.88,12.28,14.44,17.06,19.06,20.88,22.0,21.5,20.72,19.66,18.09,15.06,13.34,10.84,9.41,8.38,8.06,8.75,9.06,10.09,10.59,11.22,10.94,9.94,8.78,5.69,3.81,-0.06,-2.16,-3.56,-5.59,-5.84,-6.72,-6.75,-6.56,-5.62,-4.97,-4.69,-3.41,-2.47,-2.66,-1.53,0.72,2.0,4.44,5.88,6.16,6.19,5.06,4.09,3.69,3.25,3.44,4.62,5.53,6.38,7.44,8.91,8.88,8.41,8.0,6.0,3.5,2.25,-0.41,-2.22,-2.34,-2.44,-3.0,-2.12,-0.59,-0.31,-0.09,-1.41,-1.28,-1.53,-2.41,-2.31,-2.31,-2.78,-4.16,-4.25,-5.19,-5.5,-6.34,-6.41,-7.44,-8.03,-9.31,-8.09,-7.81,-6.97,-6.72,-6.41,-6.25,-5.78,-5.34,-5.06,-4.09,-2.59,-2.28,-1.47,23.75,20.69,18.62,15.66,13.47,11.88,10.53,11.12,11.41,13.75,15.56,18.41,22.12,24.66,27.94,30.5,30.91,29.81,27.53,25.06,21.91,19.06,17.53,16.41,15.81,15.81,17.38,19.5,22.25,24.72:positivity
17.75,13.44,11.72,10.84,9.28,10.0,12.31,13.53,17.31,19.19,21.12,22.16,21.06,19.0,17.53,17.44,15.47,16.12,17.84,19.5,43.31,41.38,67.59,99.5,124.94,106.88,96.34,73.19,46.88,27.19,18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19:12.31,13.53,17.31,19.19,21.12,22.16,21.06,19.0,17.53,17.44,15.47,16.12,17.84,19.5,43.31,41.38,67.59,99.5,124.94,106.88,96.34,73.19,46.88,27.19,18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19,-17.19,-20.62,-22.81,-25.22,-25.47,-24.25:21.06,19.0,17.53,17.44,15.47,16.12,17.84,19.5,43.31,41.38,67.59,99.5,124.94,106.88,96.34,73.19,46.88,27.19,18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19,-17.19,-20.62,-22.81,-25.22,-25.47,-24.25,-22.0,-18.91,-16.41,-14.06,-12.03,-11.69:17.84,19.5,43.31,41.38,67.59,99.5,124.94,106.88,96.34,73.19,46.88,27.19,18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19,-17.19,-20.62,-22.81,-25.22,-25.47,-24.25,-22.0,-18.91,-16.41,-14.06,-12.03,-11.69,-11.59,-12.53,-14.53,-17.0,-18.12,-17.09:124.94,106.88,96.34,73.19,46.88,27.19,18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19,-17.19,-20.62,-22.81,-25.22,-25.47,-24.25,-22.0,-18.91,-16.41,-14.06,-12.03,-11.69,-11.59,-12.53,-14.53,-17.0,-18.12,-17.09,-14.94,-11.38,-1.09,-0.03,7.66,14.81:18.03,13.75,13.44,14.41,14.38,16.56,16.22,16.44,18.28,47.5,47.47,64.5,96.19,123.09,106.78,98.06,74.94,51.88,36.69,27.09,24.88,22.69,20.66,20.03,18.78,18.03,18.91,17.75,17.31,14.03,13.25,10.12,7.47,5.44,3.5,2.16,0.09,-1.34,-1.59,-3.47,-3.09,-4.69,-4.0,-3.44,-2.97,-1.66,-0.78,0.66,1.16,0.34,1.78,22.06,45.53,76.75,101.19,85.56,82.19,65.62,43.41,27.91,17.66,14.44,13.25,13.0,13.19,13.19,14.22,16.12,19.28,21.47,23.44,25.06,25.81,26.06,26.62,24.66,25.12,21.84,18.06,13.56,9.19,5.78,1.59,-1.38,-2.22,-4.03,-5.84,-6.53,-6.19,-5.22,-5.78,-3.28,-1.34,-0.88,1.22,1.5,2.75,4.56,4.5,5.0,4.56,2.59,-0.12,-2.09,-6.03,-8.75,-10.59,-12.47,-14.66,-15.47,-17.09,9.56,28.84,53.22,63.31,71.25,65.06,52.19,29.94,10.03,-1.09,-4.59,-7.78,-6.78,-7.5,-7.94,-8.34,-8.62,-8.53,-8.84,18.94,40.56,69.56,87.44,82.66,77.53,63.38,40.38,21.81,10.06,4.78,1.41,-0.09,-0.78,-1.38,-2.19,-2.41,-1.66,-2.28,-2.53,-2.53,-3.09,-3.84,-5.84,-6.28,-7.56,-8.03,-6.59,-7.28,-5.94,-5.88,-7.59,-6.97,-6.22,-5.94,-6.59,-6.72,-8.06,-9.53,-11.59,-13.34,18.22,22.66,24.56,50.56,72.91,61.12,52.22,30.94,10.66,-2.28,-8.28,-11.97,-13.19,-14.0,-16.34,-16.72,-15.38,-14.16,-11.34,-9.31,-7.72,-6.59,-6.28,-6.25,-5.22,-5.41,-5.44,-6.72,-8.47,-9.41,-12.03,-13.84,-14.22,-15.03,-14.59,-12.41,-11.56,-10.12,-9.84,-9.28,-9.56,-11.06,-11.19,-11.38,-13.44,-15.81,-16.31,-18.34,-20.16,-22.03,-22.09,-22.34,-20.91,-20.03,-16.56,-14.81,-13.38,-11.81,-11.09,-10.84,4.78,4.78,29.19,59.59,83.94,65.84,57.09,35.84,8.91,-8.78,-19.66,-24.34,-27.09,-27.22,-27.0,-25.72,-25.22,-23.44,-21.22,6.09,1.56,23.69,55.88,81.69,66.41,58.53,36.28,12.94,-4.84,-14.34,-20.53,-22.03,-23.47,-23.81,-23.12,-22.25,-19.84,-20.16,-19.5,-20.44,-21.69,-23.66,-24.31,-24.66,-24.72,-23.16,-21.66,-20.31,-19.84,-19.66,-20.03,-22.0,-23.75,-24.59,-26.78,-29.22,-29.47,-29.06,-30.22,-27.75,-26.94,-3.19,19.78,48.12,68.5,51.16,43.5,25.69,1.78,-17.22,-26.94,-32.03,-34.22,-33.06,-32.41,-31.72,-30.09,-29.47,-28.66,-29.25,-29.09,-29.59,-29.56,-29.06,-27.78,-26.78,-25.22,-25.09,-25.47,-25.5,-26.44,-25.69,-24.97,-23.31,-21.41,-19.47,-17.94,-16.44,-15.31,-14.41,-14.03,-14.47,-13.41,-14.66,-15.97,-16.41,-16.72,-16.75,-16.84,-17.28,-16.72,-17.5,-17.16,-17.94,-18.06,-18.06,-18.16,-17.28,-15.91,-12.16,-10.06,23.69,44.16,63.69,68.16,80.88,68.81,54.5,29.62,9.0,-3.31,-7.81,-9.16,-8.91,-8.28,-8.59,-9.34,-9.97,-11.84,-14.34,12.41,30.88,55.16,68.25,68.66,61.41,48.69,25.91,7.47,-3.19,-6.84,-7.97,-7.66,-7.44,-7.69,-7.09,-7.84,-7.81,-6.53,-7.06,-6.5,-5.12,-4.28,-3.91,-3.97,-3.09,-4.16,-4.41,-4.44,-3.78,-4.19,-4.12,-4.16,-4.47,-5.16,-5.38,-7.22,-8.84,-9.22,-10.62,-11.0,20.94,25.06,32.31,64.0,89.94,78.38,71.47,49.62,27.12,12.59,3.91,0.56,-0.41,-0.53,0.31,-0.94,-1.72,-1.09,-1.09,-1.44,-1.34,-1.94,-1.53,-2.16,-2.84,-2.22,-2.97,-3.91,-4.94,-6.47,-7.47,-7.41,-9.31,-8.91,-7.94,-6.22,-5.16,-4.69,-3.06,-3.31,-5.5,-6.94,-8.84,-10.66,-11.34,-11.5,-9.81,-8.38,-6.66,-5.41,-5.19,-5.38,-4.53,-5.59,-4.44,-4.34,-4.91,-5.59,-4.38,-3.38,-3.91,-3.16,-3.12,-3.97,-4.59,-4.0,-4.31,-2.28,-1.28,-0.94,0.53,1.53,1.72,1.72,2.56,2.28,1.34,1.56,0.69,1.25,0.41,0.56,0.81,-0.03,0.44,2.06,2.06,1.62,0.44,-1.66,-4.06,-6.44,-7.81,-7.78,-8.34,-7.12,-7.84,-8.03,-8.78,-10.09,-9.53,-8.28,-6.47,-3.16,0.25,2.53,4.91,6.44,7.19,6.09,5.03,1.44,-2.03,-6.09,-10.84,-12.09,-15.16,-16.75,-16.19,-16.16,-16.91,-17.09,-15.72,-16.59,-16.0,-14.84,-13.41,-11.25,-9.34,-7.78,-5.69,-4.44,-5.09,-5.94,-7.34,-7.5,-9.06,-10.47,-11.03,-11.69,-11.84,-12.56,-12.62,-12.47,-12.78,-13.59,-13.47,-12.16,-11.44,-10.69,-10.47,-9.56,-9.97,-8.72,-8.09,-6.72,-5.19,-4.59,-4.38,-4.22,-4.56,-6.56,-7.53,-8.75,-8.94,-9.5,-8.16,-6.16,-5.78,-5.34,-5.69,-7.66,-7.41,-7.84,-8.88,-7.69,-6.56,-5.12,-4.91,-3.84,-2.09,-1.34,0.25,0.44,0.66,-0.75,-2.16,-3.59,-6.22,-6.56,-7.5,-9.06,-9.53,-8.78,-9.03,-8.16,-8.72,-8.84,-10.0,-12.09,-13.22,-13.66,-12.84,-13.22,-12.41,-11.97,-12.09,-12.09,-11.59,-11.41,-10.62,-8.47,-6.34,-3.56,-0.34,2.38,2.44,3.81,2.81,-0.34,-2.09,-3.53,-3.97,-2.5,-1.06,-0.84,0.06,0.34,-1.16,-2.41,-1.09,-1.53,-1.22,-1.06,-0.91,-1.41,-1.09,-2.06,-2.72,-3.0,-3.84,-5.47,-5.78,-5.94,-5.59,-5.62,-6.25,-6.91,-7.19,-7.53,-8.69,-9.16,-8.78,-8.38,-7.06,-5.94,-3.66,-1.84,-2.59,-2.59,-3.56,-4.53,-4.28,-4.78,-3.41,-3.5,-3.69,-2.97,-3.53,-2.84,-2.31,-1.09,-1.59,-0.53,0.06,-0.16,0.44,1.41,3.97,5.78,6.62,9.69,9.62,8.81,7.59,6.31,3.62,1.62,-1.22,-2.22,-2.59,-3.81,-3.5,-5.09,-6.0,-7.59,-8.88,-10.03,-10.69,-10.66,-9.97,-8.38,-6.22,-3.34,-1.19,0.69,1.12,2.12,2.91,0.5,-0.88,-2.66,-5.47,-7.47,-7.41,-7.31,-6.47,-5.53,-4.53,-3.31,-2.16,-2.03,-1.53,-1.84,-1.34,0.12,1.16,3.81,6.72,8.41,10.22,11.94,11.16,10.78,9.78,8.69,8.06,6.84,6.56,5.03,4.69,5.41,4.06,3.44,3.03,2.16,2.0,1.12,1.84,2.84,3.69,5.12,6.84,8.38,9.91,10.22,10.34,9.25,9.25,7.81,7.06,6.69,5.66,5.19,5.22,5.41,5.81,6.72,6.94,7.69,7.31,8.16,8.41,10.31,11.31,13.5,13.72,13.5,12.91,11.72,9.66,8.69,7.28,5.66,3.56,2.44,2.0,1.38,2.06,3.62,4.94,6.5,8.91,10.28,10.88,12.0,11.53,10.41,8.53,7.59,5.53,3.97,4.0,1.91,1.41,1.56,1.16,1.97,2.66,2.66,2.62,2.81,3.56,4.5,3.75,4.09,3.88,3.38,3.72,4.5,4.75,4.44,3.91,2.97,3.22,4.22,4.19,4.19,5.12,4.19,3.34,2.66,1.94,1.81,0.44,0.59,0.34,1.69,2.28,3.28,4.66,5.25,7.19,7.16,7.28,7.28,6.06,5.81,5.34,6.09,7.03,7.06,8.06,8.19,-17.19,-20.62,-22.81,-25.22,-25.47,-24.25,-22.0,-18.91,-16.41,-14.06,-12.03,-11.69,-11.59,-12.53,-14.53,-17.0,-18.12,-17.09,-14.94,-11.38,-1.09,-0.03,7.66,14.81,19.47,12.81,7.28,-2.31,-11.66,-17.78:positivity
25.56,24.53,23.38,23.44,22.22,24.94,27.44,29.88,32.19,34.03,35.25,35.56,35.25,34.12,32.81,29.75,27.38,26.31,24.47,24.69,25.22,25.78,27.31,27.78,27.88,28.88,28.34,26.94,26.0,23.91,22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06:27.44,29.88,32.19,34.03,35.25,35.56,35.25,34.12,32.81,29.75,27.38,26.31,24.47,24.69,25.22,25.78,27.31,27.78,27.88,28.88,28.34,26.94,26.0,23.91,22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06,-16.81,-17.78,-19.28,-18.59,-18.09,-16.34:35.25,34.12,32.81,29.75,27.38,26.31,24.47,24.69,25.22,25.78,27.31,27.78,27.88,28.88,28.34,26.94,26.0,23.91,22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06,-16.81,-17.78,-19.28,-18.59,-18.09,-16.34,-16.28,-14.72,-13.5,-13.44,-13.16,-13.84:24.47,24.69,25.22,25.78,27.31,27.78,27.88,28.88,28.34,26.94,26.0,23.91,22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06,-16.81,-17.78,-19.28,-18.59,-18.09,-16.34,-16.28,-14.72,-13.5,-13.44,-13.16,-13.84,-14.69,-16.62,-19.78,-21.22,-23.34,-25.44:27.88,28.88,28.34,26.94,26.0,23.91,22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06,-16.81,-17.78,-19.28,-18.59,-18.09,-16.34,-16.28,-14.72,-13.5,-13.44,-13.16,-13.84,-14.69,-16.62,-19.78,-21.22,-23.34,-25.44,-25.72,-25.53,-24.97,-22.72,-21.22,-19.97:22.03,20.94,19.59,19.03,19.5,19.56,20.34,21.28,23.03,24.0,25.88,27.0,28.06,29.53,29.41,30.12,30.53,31.28,29.84,28.69,27.53,25.22,23.78,22.16,21.34,21.34,20.22,19.12,17.84,16.03,14.34,13.03,12.34,11.75,10.31,10.78,10.69,10.19,10.12,11.31,10.75,10.38,10.97,10.53,9.97,9.72,9.47,8.66,6.66,5.59,3.56,1.34,-0.28,-0.38,-1.03,-1.12,-1.44,-0.28,0.75,1.28,2.56,3.69,5.19,5.62,6.16,7.69,7.41,7.0,7.81,6.88,7.16,7.03,8.03,7.66,7.41,7.31,5.06,4.34,3.44,2.25,1.06,0.06,-0.91,-1.72,-3.0,-2.59,-2.69,-2.53,-3.47,-4.34,-5.53,-6.88,-7.16,-7.66,-7.44,-7.97,-7.47,-7.78,-7.19,-7.28,-7.19,-6.84,-6.75,-5.91,-5.5,-5.84,-5.94,-7.88,-6.78,-8.12,-7.5,-7.44,-8.16,-9.75,-11.19,-12.22,-13.03,-14.03,-13.34,-13.22,-12.84,-11.62,-10.41,-8.84,-7.19,-6.66,-6.25,-4.53,-4.16,-2.94,-3.69,-2.59,-2.62,-4.41,-6.31,-6.41,-8.81,-10.44,-12.16,-12.47,-13.97,-12.72,-12.25,-13.09,-11.25,-12.91,-13.66,-12.66,-13.31,-13.69,-12.59,-11.59,-12.41,-9.97,-7.94,-5.31,-4.38,-3.62,-3.97,-4.38,-5.72,-6.09,-5.97,-5.41,-5.53,-4.97,-4.09,-4.19,-4.09,-5.12,-4.78,-6.94,-8.53,-9.69,-11.03,-11.06,-11.06,-9.69,-8.72,-8.53,-6.72,-5.5,-6.19,-6.22,-5.44,-6.38,-6.59,-4.94,-4.03,-3.69,-2.59,-1.22,-0.84,-0.66,-0.16,-0.03,-1.09,-3.03,-4.03,-6.19,-6.53,-6.94,-8.12,-6.66,-8.06,-7.66,-7.53,-6.09,-5.34,-4.91,-3.09,-2.03,-2.03,-1.59,-0.84,-0.16,-1.44,-0.84,-0.72,-1.5,-1.88,-0.72,-0.81,-0.59,1.62,3.28,3.56,2.62,1.25,-1.28,-5.72,-6.41,-7.12,-10.09,-9.16,-9.16,-8.78,-6.84,-4.94,-3.03,-3.31,-2.53,-3.94,-4.28,-3.62,-5.75,-5.41,-5.03,-5.59,-4.5,-3.66,-2.19,-1.22,-0.03,-1.44,-0.94,-0.84,-1.44,-1.16,1.84,4.44,9.12,12.5,14.78,16.31,14.78,11.41,8.25,4.53,1.03,-1.75,-3.62,-4.41,-3.91,-3.94,-2.72,-3.38,-1.81,-0.78,-0.16,2.91,4.69,7.12,9.53,11.0,11.03,9.0,7.31,4.56,1.62,-0.72,-2.16,-4.16,-4.28,-6.34,-5.62,-5.91,-5.59,-4.41,-4.75,-5.12,-4.09,-3.81,-0.75,1.66,5.44,8.22,7.91,8.22,7.12,5.16,4.31,2.41,2.25,1.34,1.06,0.59,1.09,0.72,0.28,0.88,0.47,1.44,2.91,4.53,5.88,7.78,9.31,9.28,9.47,9.0,8.25,6.97,5.28,3.97,1.72,-0.91,-2.19,-4.88,-5.94,-7.38,-7.5,-7.03,-7.78,-6.16,-6.56,-5.72,-6.94,-7.75,-7.28,-9.41,-9.09,-10.38,-10.03,-10.97,-11.31,-10.38,-10.22,-9.03,-7.19,-6.31,-5.09,-3.91,-2.81,-2.41,-2.0,-1.78,-1.53,-1.97,-2.88,-1.66,-1.34,-3.34,-3.31,-4.03,-3.47,-4.25,-2.34,-1.59,-0.66,-0.59,-2.25,-3.5,-5.59,-7.22,-8.09,-7.91,-8.91,-8.94,-9.53,-10.22,-10.88,-12.0,-12.06,-12.91,-13.09,-14.38,-14.84,-14.72,-15.22,-14.22,-13.22,-11.12,-9.75,-8.47,-6.47,-6.25,-6.06,-5.91,-7.16,-8.53,-8.31,-8.34,-8.88,-8.09,-6.34,-7.34,-7.19,-7.53,-8.78,-9.22,-10.31,-9.94,-10.59,-10.59,-9.78,-9.44,-8.53,-8.22,-7.78,-8.47,-8.16,-9.22,-9.84,-10.66,-11.41,-12.06,-12.28,-12.53,-11.91,-12.69,-12.06,-10.66,-8.19,-5.91,-2.06,1.31,2.5,4.81,5.31,5.78,5.5,5.16,3.94,1.69,-0.28,-1.34,-2.81,-3.28,-4.22,-3.78,-3.62,-2.84,-2.03,-1.97,-2.12,-2.09,-2.38,-1.97,-0.81,1.34,1.66,3.53,4.56,5.09,3.69,3.25,2.44,1.31,0.59,-0.53,-0.06,-1.47,-2.06,-3.03,-4.09,-4.47,-5.16,-4.47,-3.84,-2.81,-1.59,0.28,2.75,4.97,8.0,9.31,10.31,9.69,7.19,3.22,-0.47,-3.19,-5.16,-6.34,-5.03,-3.53,-2.81,-1.41,-0.94,-1.28,-1.78,-2.56,-2.66,-5.09,-6.09,-7.12,-8.03,-8.12,-7.75,-7.09,-6.59,-5.5,-6.41,-6.31,-6.16,-6.16,-7.28,-7.22,-7.16,-7.88,-8.25,-8.38,-6.69,-6.84,-5.91,-6.22,-4.84,-3.72,-2.31,-1.91,-1.16,-1.91,-3.09,-2.72,-2.44,-1.84,-1.28,-1.28,-1.12,-2.72,-3.03,-3.5,-4.06,-4.03,-4.94,-4.03,-3.88,-2.75,-1.34,-0.81,0.03,-0.09,-0.66,-0.31,-0.59,0.81,2.94,3.56,7.0,8.44,8.31,8.44,6.91,5.44,3.66,0.84,-0.84,-2.34,-2.84,-3.53,-2.84,-2.03,-1.16,-0.34,0.16,0.91,0.88,0.69,0.88,1.41,0.47,1.16,2.06,1.56,1.88,2.94,3.31,4.56,5.94,7.81,8.41,9.31,8.94,8.69,8.94,7.75,7.44,6.09,5.19,4.66,4.84,6.19,5.66,6.06,5.44,5.16,3.81,3.12,1.94,1.06,-0.5,-1.69,-2.97,-3.44,-3.41,-2.78,-2.19,-1.34,-1.25,-2.41,-2.41,-5.5,-7.19,-8.09,-8.81,-9.25,-9.06,-8.22,-9.06,-9.97,-9.94,-11.22,-12.09,-11.47,-11.84,-10.69,-10.34,-7.84,-6.84,-4.84,-2.91,-0.97,0.0,0.53,0.09,-0.19,-0.94,-0.72,-0.84,-0.75,0.31,1.62,2.19,3.0,4.0,4.25,4.41,4.88,5.12,5.16,5.69,5.81,5.31,3.53,2.69,1.41,-0.69,-2.16,-2.72,-3.88,-2.91,-2.59,-2.44,-2.22,-0.91,-2.06,-1.0,-0.22,-1.12,-1.34,-3.06,-3.12,-3.03,-1.53,0.41,2.69,4.5,5.91,5.72,5.31,4.31,3.97,3.34,3.19,3.66,3.97,3.78,4.31,3.31,2.69,1.12,0.0,-0.94,-1.16,-2.16,-0.28,-0.22,2.66,4.41,6.88,6.75,5.38,3.91,-0.06,-2.97,-5.09,-5.69,-5.38,-5.09,-3.94,-4.22,-3.25,-2.44,-2.38,-1.03,0.34,1.72,2.25,2.06,0.94,-0.28,-2.53,-3.81,-4.59,-5.72,-5.66,-5.28,-4.75,-3.78,-2.69,-1.38,-1.22,-0.34,0.12,0.22,1.19,1.53,1.59,2.53,2.12,2.88,3.75,4.0,5.75,6.28,6.12,6.5,5.81,5.22,4.38,2.53,1.16,-1.31,-1.97,-3.44,-4.53,-3.47,-4.03,-3.56,-2.69,-1.38,-0.66,0.72,2.56,3.81,4.81,6.84,8.62,8.88,9.97,8.88,7.19,4.84,2.72,0.78,-0.97,-1.16,0.16,1.25,4.12,6.69,8.19,9.88,8.88,8.06,6.47,3.56,0.12,-2.72,-4.78,-7.28,-7.94,-7.78,-8.0,-6.62,-4.16,-2.56,-0.47,1.12,2.28,3.12,2.31,2.81,3.09,3.0,3.62,4.09,3.91,3.72,4.19,4.53,4.81,5.44,7.0,7.97,9.47,10.62,11.91,11.91,11.78,11.41,8.84,8.25,6.5,5.16,5.41,5.19,6.28,6.53,6.25,7.38,7.12,7.44,7.22,6.72,5.94,3.88,3.25,2.28,1.78,2.75,4.16,5.03,6.34,6.06,-16.81,-17.78,-19.28,-18.59,-18.09,-16.34,-16.28,-14.72,-13.5,-13.44,-13.16,-13.84,-14.69,-16.62,-19.78,-21.22,-23.34,-25.44,-25.72,-25.53,-24.97,-22.72,-21.22,-19.97,-18.03,-16.84,-16.66,-17.69,-18.94,-19.78:positivity
39.56,37.28,35.69,34.44,34.44,33.94,35.34,36.12,37.34,39.03,41.25,42.41,44.47,45.88,48.25,48.91,50.94,52.47,53.16,53.94,53.44,52.25,50.0,46.81,43.91,40.28,37.75,37.28,37.34,37.12,38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09:35.34,36.12,37.34,39.03,41.25,42.41,44.47,45.88,48.25,48.91,50.94,52.47,53.16,53.94,53.44,52.25,50.0,46.81,43.91,40.28,37.75,37.28,37.34,37.12,38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09,0.81,-0.53,-0.91,-2.84,-3.0,-3.81:44.47,45.88,48.25,48.91,50.94,52.47,53.16,53.94,53.44,52.25,50.0,46.81,43.91,40.28,37.75,37.28,37.34,37.12,38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09,0.81,-0.53,-0.91,-2.84,-3.0,-3.81,-4.09,-3.84,-3.44,-1.97,-1.06,-0.03:53.16,53.94,53.44,52.25,50.0,46.81,43.91,40.28,37.75,37.28,37.34,37.12,38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09,0.81,-0.53,-0.91,-2.84,-3.0,-3.81,-4.09,-3.84,-3.44,-1.97,-1.06,-0.03,0.66,1.31,1.78,1.38,2.06,3.38:43.91,40.28,37.75,37.28,37.34,37.12,38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09,0.81,-0.53,-0.91,-2.84,-3.0,-3.81,-4.09,-3.84,-3.44,-1.97,-1.06,-0.03,0.66,1.31,1.78,1.38,2.06,3.38,3.69,4.94,5.34,5.56,5.34,3.53:38.56,39.84,40.25,41.0,41.81,43.12,43.62,44.84,44.84,45.03,45.12,45.53,47.66,49.88,51.59,54.06,54.66,54.41,54.0,52.41,51.09,48.44,46.69,43.81,40.66,38.31,35.91,34.34,34.66,34.62,35.16,35.56,35.56,34.0,32.56,30.19,28.25,26.53,25.59,24.19,23.69,22.28,20.69,21.44,21.97,25.16,29.94,33.91,40.09,45.28,49.47,54.19,58.19,60.56,61.66,59.53,54.66,48.91,43.28,38.16,35.31,35.09,34.41,36.5,39.34,42.16,45.66,47.06,49.25,48.84,47.53,45.62,44.66,42.62,41.06,37.91,34.81,30.53,25.41,22.06,17.28,15.16,14.0,14.66,16.41,18.94,22.0,25.38,26.41,27.56,26.62,25.62,25.12,24.09,25.03,26.28,27.25,29.28,30.38,31.69,32.84,34.28,33.97,34.0,33.94,33.84,33.75,34.06,35.31,37.28,39.88,40.72,40.59,40.56,38.97,35.72,34.44,33.0,32.0,31.44,31.12,30.28,29.31,27.31,26.19,25.34,24.94,24.5,25.31,26.56,27.88,29.81,30.06,32.62,32.12,32.31,32.47,31.62,29.06,26.75,24.88,23.09,20.81,20.88,20.88,21.12,21.47,22.56,23.78,23.56,24.59,25.19,26.16,26.38,26.31,25.91,25.28,22.38,21.38,19.44,17.34,15.91,14.41,13.38,13.62,13.94,15.44,17.03,18.19,18.75,19.28,19.09,19.44,19.12,19.91,20.69,21.78,22.81,23.44,25.12,24.91,25.06,26.56,24.94,26.12,25.44,25.34,25.56,25.81,26.31,26.19,27.34,27.0,28.0,28.47,30.19,32.28,33.94,33.38,35.19,34.62,34.31,35.19,35.81,36.81,36.47,36.12,35.47,34.66,32.97,32.5,31.31,30.81,29.66,29.75,30.03,30.88,33.19,35.84,37.5,38.88,38.62,37.16,35.09,31.72,30.12,28.94,28.28,28.56,28.81,30.19,30.69,31.78,32.5,33.44,33.78,33.47,32.78,31.28,30.28,29.12,29.62,30.06,31.19,32.44,33.03,33.06,32.19,31.0,29.91,28.88,28.12,27.34,27.0,26.62,26.84,25.56,26.72,27.81,29.03,30.16,31.62,32.22,33.25,33.5,34.06,33.69,34.19,35.5,36.28,37.81,39.0,40.66,42.88,44.0,45.97,47.44,48.81,49.25,50.12,49.78,48.59,46.28,44.38,43.31,42.03,41.91,42.38,42.53,42.28,40.38,39.47,37.84,35.88,34.5,33.97,32.91,32.84,32.84,33.06,34.72,35.44,36.62,38.06,38.03,37.53,36.44,34.69,33.84,33.25,34.56,35.88,37.12,38.97,39.91,40.28,40.16,38.19,36.56,33.84,31.19,28.84,27.16,26.28,26.28,26.91,28.25,30.41,31.78,33.28,35.62,37.31,38.88,39.78,39.66,38.75,36.31,33.66,31.88,30.72,30.19,31.59,32.84,33.94,35.59,35.72,34.53,33.31,32.16,29.44,28.28,27.78,27.0,27.0,27.25,29.16,31.16,32.91,33.62,34.5,34.0,33.44,32.19,31.44,30.16,30.19,29.25,29.16,29.0,28.56,27.53,26.5,25.62,23.5,22.44,22.84,23.41,24.75,25.84,27.47,28.47,30.19,31.69,32.66,33.62,34.0,33.78,33.41,32.28,31.06,28.78,26.41,23.75,21.62,19.56,17.38,15.44,13.75,11.72,10.28,10.84,12.22,12.97,15.0,15.91,18.38,19.94,23.03,25.78,28.0,28.25,29.47,28.56,27.12,25.38,23.25,20.91,19.12,17.53,17.38,17.81,17.75,19.56,20.0,20.81,21.59,22.75,23.44,25.06,26.31,28.25,29.28,30.16,29.47,28.78,26.62,23.81,22.53,22.5,21.28,21.62,23.59,24.75,26.5,29.66,32.97,34.91,36.91,37.94,36.69,34.78,32.53,29.31,27.5,25.12,23.41,21.88,19.34,17.38,14.03,12.31,11.31,12.09,15.38,19.56,25.69,31.5,36.31,41.5,44.41,45.12,45.81,43.97,41.94,38.03,33.03,27.81,21.62,16.62,13.56,11.16,10.97,13.62,17.81,22.25,28.03,33.78,38.19,40.72,42.5,42.0,40.41,38.5,37.06,35.66,33.62,32.06,30.03,28.5,27.19,26.22,25.41,23.56,22.19,20.28,17.88,17.19,16.66,18.78,22.09,26.88,33.06,38.53,42.75,45.5,45.62,43.75,41.25,36.72,31.19,28.0,23.78,20.19,18.62,17.59,17.0,16.12,16.34,16.19,16.31,16.88,17.25,18.09,19.56,21.84,23.81,27.66,31.34,34.88,38.75,40.34,41.28,40.34,38.69,35.53,32.16,29.69,26.91,25.28,23.31,23.62,22.78,22.53,22.81,22.38,22.91,22.62,22.31,22.69,23.94,26.53,28.72,31.72,33.62,34.03,33.16,31.62,28.19,25.44,22.06,19.97,18.66,17.5,17.56,17.47,17.19,18.12,18.12,19.09,20.03,21.97,23.5,25.16,27.78,29.38,32.16,34.84,37.59,39.94,42.03,41.84,41.81,40.47,37.72,36.22,33.47,31.5,30.06,28.31,27.09,24.91,24.59,23.56,23.41,23.94,25.06,26.94,28.69,30.78,32.84,34.12,35.22,35.78,35.91,36.28,35.81,35.72,35.06,34.44,33.25,33.06,32.88,32.41,32.22,30.53,30.84,30.12,30.44,31.12,32.16,33.34,33.44,34.34,33.56,32.28,30.81,28.28,25.78,23.03,21.16,20.69,21.66,24.75,29.06,33.47,37.53,41.03,43.03,44.53,44.81,45.28,43.38,42.5,41.72,40.38,39.19,38.66,37.44,36.34,34.12,31.66,30.91,28.06,26.72,24.44,23.56,22.44,21.84,22.81,23.81,25.16,27.44,29.31,31.62,36.66,39.25,42.78,44.62,46.41,46.19,46.16,44.84,42.41,38.69,33.28,28.84,24.44,21.81,20.47,20.47,19.91,19.62,19.5,19.38,19.81,20.25,20.72,22.22,24.25,26.5,29.56,32.72,35.69,37.69,39.28,40.47,40.81,40.31,39.12,37.56,35.88,33.81,32.66,30.69,30.19,28.06,26.12,23.72,21.56,19.88,18.25,17.06,16.44,15.75,15.25,14.81,14.44,14.5,14.94,15.91,18.0,19.22,20.81,21.06,21.78,21.19,21.0,20.88,20.38,20.34,19.19,19.22,18.0,17.72,17.66,18.25,17.34,17.94,18.94,19.69,20.69,23.72,25.28,26.91,28.31,30.0,30.88,31.47,31.34,31.88,30.0,28.91,27.66,26.91,25.66,24.81,23.66,22.56,19.88,18.62,16.69,16.34,16.91,17.38,18.81,21.56,23.34,25.91,28.81,30.31,31.56,31.22,29.28,27.0,24.28,22.12,19.84,19.41,19.62,21.16,24.59,28.31,31.06,34.41,36.12,34.81,35.44,34.34,33.47,33.31,33.44,35.5,35.81,35.47,34.94,32.88,29.97,28.09,25.16,22.38,20.84,19.31,18.53,18.5,18.69,20.06,22.28,24.91,28.06,28.91,29.59,28.47,25.91,22.88,20.84,19.34,18.06,17.62,15.97,14.06,11.09,8.81,7.03,6.22,7.81,9.53,11.12,13.81,14.56,15.41,16.56,16.66,18.62,19.81,22.03,23.09,24.16,24.88,25.34,25.41,26.78,27.59,28.81,29.66,29.47,29.84,28.94,27.03,24.75,22.25,18.03,15.16,11.5,9.0,6.78,5.09,0.81,-0.53,-0.91,-2.84,-3.0,-3.81,-4.09,-3.84,-3.44,-1.97,-1.06,-0.03,0.66,1.31,1.78,1.38,2.06,3.38,3.69,4.94,5.34,5.56,5.34,3.53,2.25,0.5,-0.47,-0.53,-1.69,-1.47:positivity
50.91,51.84,51.19,51.91,52.34,51.0,50.41,48.66,47.84,46.53,45.66,45.12,45.0,45.75,46.41,48.25,49.72,50.97,52.88,54.19,54.34,55.31,55.81,55.75,55.12,54.84,55.31,54.62,54.81,57.34,58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28:50.41,48.66,47.84,46.53,45.66,45.12,45.0,45.75,46.41,48.25,49.72,50.97,52.88,54.19,54.34,55.31,55.81,55.75,55.12,54.84,55.31,54.62,54.81,57.34,58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28,1.53,1.94,0.66,0.5,0.16,-0.19:45.0,45.75,46.41,48.25,49.72,50.97,52.88,54.19,54.34,55.31,55.81,55.75,55.12,54.84,55.31,54.62,54.81,57.34,58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28,1.53,1.94,0.66,0.5,0.16,-0.19,-0.16,-0.66,-0.97,-1.94,-2.56,-2.94:52.88,54.19,54.34,55.31,55.81,55.75,55.12,54.84,55.31,54.62,54.81,57.34,58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28,1.53,1.94,0.66,0.5,0.16,-0.19,-0.16,-0.66,-0.97,-1.94,-2.56,-2.94,-2.88,-1.97,-1.03,-0.22,2.19,2.66:55.12,54.84,55.31,54.62,54.81,57.34,58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28,1.53,1.94,0.66,0.5,0.16,-0.19,-0.16,-0.66,-0.97,-1.94,-2.56,-2.94,-2.88,-1.97,-1.03,-0.22,2.19,2.66,3.88,4.25,4.19,4.56,3.88,2.0:58.16,60.62,62.88,64.62,64.81,64.44,64.12,62.91,61.94,62.91,64.34,65.34,67.75,68.94,69.16,69.28,68.97,67.94,66.91,65.25,63.06,62.88,62.06,62.88,63.69,65.56,66.69,67.62,68.53,68.66,67.47,66.31,63.5,61.25,59.0,58.19,56.91,57.0,56.88,55.88,54.69,52.97,51.38,49.31,46.44,44.91,42.66,40.88,40.66,40.78,41.94,42.94,44.59,46.66,48.38,50.09,51.78,52.88,52.91,52.03,51.81,50.91,50.59,51.94,51.88,52.53,54.34,55.0,56.69,59.25,61.69,64.81,68.03,70.53,72.44,73.44,72.31,69.84,66.75,63.38,59.81,56.84,54.94,53.0,51.56,50.0,49.84,50.0,49.16,50.66,51.28,50.84,51.59,50.75,49.53,48.44,47.19,45.12,43.97,44.44,44.34,46.81,48.94,52.41,55.16,56.44,56.28,54.91,52.12,49.03,46.84,46.25,44.44,44.69,45.0,44.38,43.19,42.91,42.06,41.47,40.81,40.0,39.81,40.66,41.97,43.06,44.91,46.31,45.88,45.5,44.03,43.03,43.53,44.28,44.56,47.09,47.97,48.34,49.47,49.69,51.5,53.31,54.0,54.41,54.44,54.22,53.03,53.25,52.81,52.56,52.53,50.66,48.62,47.62,45.59,43.88,42.56,42.22,41.19,39.25,38.03,36.53,36.5,36.66,37.72,38.78,37.66,39.41,40.09,40.81,43.56,45.81,46.56,46.5,45.28,43.41,41.81,41.06,40.59,41.0,41.94,42.53,42.78,43.03,42.53,42.41,41.84,40.5,39.66,37.41,35.88,34.66,33.91,34.09,35.47,38.28,40.03,41.38,42.56,42.16,41.66,41.69,41.16,40.66,40.31,39.72,39.28,39.38,40.41,40.97,41.16,42.78,42.28,42.28,42.66,42.09,43.03,44.19,45.12,46.34,47.56,47.06,47.5,46.75,46.59,45.94,45.06,44.91,44.47,45.0,45.66,47.16,48.62,49.34,49.34,47.91,46.44,44.12,40.81,39.06,37.25,35.88,34.5,34.09,33.44,33.56,34.0,35.38,37.06,39.72,41.53,43.25,44.38,44.72,44.06,43.22,42.44,42.38,41.66,42.97,44.38,44.25,45.28,45.97,44.84,44.91,44.34,44.25,43.34,43.25,42.81,42.75,43.69,44.09,44.94,44.88,45.94,45.88,45.28,46.0,46.06,44.5,43.62,42.03,40.0,37.88,35.91,33.69,32.34,30.81,30.19,30.44,31.06,33.44,36.25,40.62,45.25,49.84,53.12,54.81,54.66,52.94,50.81,48.62,47.31,46.0,45.62,44.88,44.19,42.69,40.31,38.44,36.06,35.31,34.94,35.25,36.84,38.41,39.41,40.62,41.5,41.75,42.0,42.16,41.81,42.5,42.19,42.22,42.06,42.25,42.03,42.81,43.25,44.19,44.56,45.78,47.06,48.81,48.91,49.66,49.75,49.09,47.19,46.72,45.81,45.31,44.91,44.72,45.22,45.0,45.19,45.25,45.69,45.25,44.75,44.81,44.41,44.28,45.16,45.62,47.09,46.78,46.47,46.5,46.28,45.66,46.16,46.84,47.59,47.53,47.62,47.38,47.38,47.5,48.09,48.88,50.19,49.88,50.16,49.94,48.66,48.22,47.47,45.88,44.78,44.03,42.56,42.59,43.34,44.56,45.59,47.19,48.34,48.56,48.41,48.28,48.41,47.91,47.69,47.41,48.22,48.09,48.75,49.81,49.47,49.03,48.31,47.06,46.25,45.66,46.31,46.22,46.59,47.12,47.25,46.31,45.53,43.94,42.28,41.62,41.09,40.28,40.5,39.91,39.72,38.59,39.06,39.34,39.97,41.31,42.28,43.78,44.78,44.81,45.0,45.12,45.03,44.62,45.19,45.34,44.91,45.38,45.88,46.0,45.5,45.62,46.06,45.31,45.59,45.59,46.34,48.06,48.78,49.81,51.19,51.56,51.94,52.03,51.53,51.62,50.94,50.31,50.12,49.56,49.53,49.31,48.78,48.09,47.19,45.94,45.09,43.47,41.34,40.56,39.16,39.06,39.03,39.53,40.03,39.78,39.53,39.16,38.66,38.16,38.0,37.56,37.53,37.84,38.69,40.06,41.19,43.62,45.44,47.31,48.31,49.38,49.81,49.38,49.03,47.12,44.19,41.97,38.66,35.75,34.78,34.84,34.44,35.12,35.94,37.66,38.22,38.88,40.19,40.5,40.75,40.38,41.03,41.25,41.44,42.38,42.44,43.62,43.62,43.94,44.44,44.31,45.34,46.06,48.91,51.91,54.81,56.16,55.03,52.44,48.69,44.66,41.66,40.28,39.31,39.31,39.16,40.19,41.47,42.19,44.16,45.12,45.75,46.16,46.16,46.19,46.16,46.16,47.31,47.19,48.28,48.41,49.0,48.88,48.78,48.75,49.56,50.16,50.19,50.25,49.81,49.25,48.31,48.75,48.91,50.19,50.91,51.53,51.06,50.81,50.19,49.19,47.81,47.69,48.19,47.69,49.12,50.16,51.62,52.94,54.66,56.72,56.94,57.72,57.69,56.22,56.41,56.06,55.66,56.66,55.84,56.53,57.19,57.06,56.62,56.28,54.81,52.28,50.62,48.62,45.84,46.22,46.09,46.16,46.88,47.78,47.91,48.22,48.16,47.88,47.69,47.28,46.88,46.09,45.75,44.16,43.03,41.66,40.91,39.91,39.19,38.28,36.91,36.12,35.12,36.0,36.44,37.91,38.78,39.84,40.06,40.25,40.12,40.69,41.5,40.91,42.75,43.69,43.81,44.56,45.66,45.56,45.88,46.06,45.06,44.91,43.19,42.66,42.5,42.03,42.84,43.84,44.31,45.56,46.78,47.97,48.91,50.16,51.25,50.97,50.41,49.62,48.47,47.53,46.94,46.69,47.38,47.59,48.28,49.09,49.44,49.72,49.69,50.03,50.28,49.72,50.78,50.56,49.19,49.56,48.81,47.38,46.56,44.81,43.09,41.16,39.31,38.16,37.84,37.81,38.88,39.16,40.41,41.81,43.62,45.06,47.19,47.88,48.0,47.97,46.19,44.38,42.0,40.28,40.41,41.34,43.12,44.91,46.88,48.72,49.38,50.25,50.75,51.25,51.31,51.25,51.88,51.84,52.16,50.34,49.81,49.25,48.78,48.31,48.94,48.91,48.03,46.91,46.12,42.88,41.06,41.31,40.78,41.97,42.94,45.09,44.19,42.72,41.62,39.88,38.75,37.12,36.91,38.0,38.78,41.41,44.16,45.19,45.84,45.19,44.66,43.91,44.75,47.41,49.62,53.47,54.94,56.72,56.09,53.84,52.09,50.06,49.19,47.94,47.94,49.38,49.31,48.72,48.5,46.5,44.53,44.16,42.62,41.25,39.81,37.91,35.81,34.91,34.34,34.19,34.28,35.59,35.75,35.88,37.47,38.66,40.75,40.78,42.44,42.0,41.31,39.62,38.19,36.22,35.12,34.03,32.66,31.06,31.91,31.81,32.16,33.16,33.94,35.41,35.84,34.53,35.75,35.16,34.22,33.41,34.0,34.25,33.5,32.34,30.69,30.44,28.78,28.72,29.0,30.94,31.44,31.75,32.03,32.88,33.84,33.19,33.03,33.81,32.34,31.12,31.53,29.53,30.38,29.12,29.94,31.66,33.88,37.0,39.25,40.0,39.62,37.53,35.59,34.06,32.56,33.56,33.88,35.12,35.94,37.56,37.38,39.28,38.59,39.81,39.06,39.12,39.38,40.06,39.47,39.97,41.28,40.28,1.53,1.94,0.66,0.5,0.16,-0.19,-0.16,-0.66,-0.97,-1.94,-2.56,-2.94,-2.88,-1.97,-1.03,-0.22,2.19,2.66,3.88,4.25,4.19,4.56,3.88,2.0,1.69,0.25,0.0,1.06,2.5,6.25:positivity
54.91,54.56,52.69,49.28,44.75,40.31,36.16,35.31,35.62,37.69,41.94,44.81,48.03,50.28,50.47,50.47,50.22,49.03,47.16,44.91,44.44,43.81,42.78,43.94,44.12,43.25,42.75,41.31,38.88,36.91,35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31:36.16,35.31,35.62,37.69,41.94,44.81,48.03,50.28,50.47,50.47,50.22,49.03,47.16,44.91,44.44,43.81,42.78,43.94,44.12,43.25,42.75,41.31,38.88,36.91,35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31,4.12,2.59,0.03,-1.06,-3.06,-4.12:48.03,50.28,50.47,50.47,50.22,49.03,47.16,44.91,44.44,43.81,42.78,43.94,44.12,43.25,42.75,41.31,38.88,36.91,35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31,4.12,2.59,0.03,-1.06,-3.06,-4.12,-3.69,-2.03,1.31,3.97,7.03,10.78:47.16,44.91,44.44,43.81,42.78,43.94,44.12,43.25,42.75,41.31,38.88,36.91,35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31,4.12,2.59,0.03,-1.06,-3.06,-4.12,-3.69,-2.03,1.31,3.97,7.03,10.78,13.34,14.81,16.06,14.91,14.12,11.19:44.12,43.25,42.75,41.31,38.88,36.91,35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31,4.12,2.59,0.03,-1.06,-3.06,-4.12,-3.69,-2.03,1.31,3.97,7.03,10.78,13.34,14.81,16.06,14.91,14.12,11.19,8.5,5.91,3.0,0.62,-0.66,-1.59:35.16,33.94,33.19,33.66,35.84,39.09,42.81,48.28,52.41,57.62,60.06,61.62,62.56,61.06,59.91,58.91,56.28,55.47,55.12,54.72,55.47,55.56,57.12,56.72,55.56,55.38,53.47,50.94,48.53,46.0,43.84,41.06,38.5,36.31,35.38,33.03,31.19,30.25,28.38,26.09,25.34,24.5,24.94,25.12,27.25,27.81,30.59,31.91,33.03,33.91,34.53,34.34,33.5,32.59,32.12,30.94,31.72,32.78,35.16,36.59,39.25,40.38,41.47,40.22,39.81,39.25,37.12,35.84,35.28,32.66,31.53,29.66,27.72,27.66,26.41,28.19,27.75,28.81,29.44,29.88,29.47,30.56,30.16,29.97,29.19,28.16,28.44,28.06,28.34,29.62,30.88,31.81,32.91,33.53,34.34,33.56,33.88,34.5,35.03,34.88,34.53,35.28,35.06,34.69,35.22,34.44,33.81,33.34,31.91,31.97,32.78,32.5,33.12,34.0,33.66,32.53,33.41,33.44,33.84,34.38,35.06,35.56,35.09,35.28,35.0,35.25,34.66,34.06,33.56,31.88,29.12,27.0,24.53,22.16,19.91,19.91,19.12,18.56,20.09,20.56,21.0,22.28,23.94,25.19,26.22,26.94,27.28,28.06,26.94,26.47,25.84,24.91,24.38,23.72,24.53,24.03,24.0,24.91,25.81,26.84,28.53,29.47,29.81,29.81,27.94,26.62,26.28,24.41,23.69,23.25,21.56,20.06,18.31,17.09,15.12,13.19,12.88,10.56,9.03,8.62,8.19,7.47,7.81,7.31,8.06,8.88,10.0,11.09,11.66,13.38,12.12,12.69,12.44,12.12,11.94,12.66,12.53,13.31,14.81,16.16,17.94,20.53,21.84,24.5,26.97,29.09,31.31,34.56,37.75,42.16,44.31,48.06,49.31,49.25,48.28,44.97,41.41,36.88,32.16,27.31,22.94,18.94,15.56,10.84,8.78,6.41,5.38,5.56,7.53,9.44,11.12,12.12,12.44,12.88,12.81,12.69,13.03,14.06,15.25,16.28,17.94,17.78,18.81,17.12,16.38,15.5,13.75,12.59,11.47,10.28,9.94,8.53,7.03,6.12,5.69,5.06,5.41,6.19,8.19,8.16,10.56,12.28,14.53,16.5,19.06,21.44,23.56,25.41,26.94,25.56,24.03,21.53,16.78,13.25,11.62,9.88,10.66,12.06,13.31,14.94,17.16,20.12,21.28,23.41,24.56,24.19,23.09,21.84,19.75,17.03,16.81,15.31,13.44,11.62,10.59,8.88,9.0,9.22,11.53,13.31,14.41,16.41,16.59,17.75,19.09,20.81,22.38,24.5,23.34,22.91,19.84,16.88,14.84,12.56,11.44,10.75,9.56,8.34,7.38,6.56,5.66,5.62,6.31,6.56,9.69,10.06,11.84,14.03,14.66,14.44,13.56,12.12,10.81,8.53,7.16,6.75,6.75,7.91,8.59,10.03,12.31,12.81,15.03,16.88,17.59,19.41,19.44,21.75,22.38,24.0,23.72,23.0,23.03,19.88,17.56,16.94,16.84,16.81,18.69,19.56,20.34,19.38,18.0,18.09,17.97,18.56,19.94,21.03,21.56,20.78,19.03,17.22,17.12,16.03,16.47,18.88,18.62,18.94,19.53,18.81,19.81,19.94,21.03,21.69,20.72,20.25,19.03,18.62,18.66,18.97,19.94,20.69,20.44,20.84,19.38,18.69,17.88,16.84,16.59,17.41,18.03,19.06,20.94,21.88,23.25,23.91,23.88,23.06,21.16,19.41,18.25,17.41,17.34,18.41,20.12,20.53,19.84,19.25,17.88,15.84,14.16,12.56,11.59,10.19,8.16,7.56,5.94,5.41,4.53,6.28,7.06,7.78,10.66,11.94,13.31,14.94,16.0,16.5,16.66,16.94,16.69,14.91,13.03,11.53,8.88,7.78,7.59,7.72,9.38,10.66,12.78,13.69,13.59,13.78,14.0,13.53,13.59,14.31,14.41,14.66,14.94,14.53,14.0,12.38,9.94,8.16,6.97,6.0,6.56,7.44,10.12,10.81,12.81,13.66,13.06,12.81,12.84,11.75,11.25,10.41,10.41,9.66,8.94,8.03,7.12,5.19,4.06,2.91,1.94,1.75,2.34,4.78,6.53,9.69,14.34,16.75,19.44,18.88,17.75,15.25,10.69,7.44,4.75,2.53,2.06,3.16,4.59,5.91,7.78,8.41,8.56,10.5,10.44,11.97,14.0,14.53,15.91,16.06,17.16,16.72,16.0,15.66,14.38,13.44,11.88,10.94,11.16,12.06,13.75,15.62,18.31,20.12,21.28,22.78,22.88,23.25,22.91,23.19,22.62,21.72,20.47,19.12,17.72,15.66,14.31,12.81,11.78,11.38,11.84,13.5,16.56,18.91,22.06,23.41,24.12,23.81,22.12,21.16,19.44,17.78,16.44,15.31,14.03,13.56,11.69,12.0,12.62,12.81,14.22,14.5,15.38,15.03,15.47,16.88,16.53,16.44,16.72,15.16,14.09,12.78,12.34,12.81,13.22,13.53,13.97,13.53,12.09,10.56,8.62,7.41,6.5,5.75,6.84,8.19,10.22,12.31,13.97,15.81,16.84,16.75,17.34,16.62,16.06,16.5,16.56,18.28,18.44,18.28,18.09,16.75,14.81,13.44,12.31,12.06,11.78,11.09,10.69,11.44,11.78,13.41,14.12,16.56,17.66,17.66,18.5,18.19,18.12,17.94,18.81,18.34,17.06,14.31,12.53,10.31,9.12,9.12,10.22,11.69,11.47,12.16,11.81,10.56,9.84,8.81,7.28,7.12,7.03,6.81,7.38,8.06,10.28,10.81,11.56,12.25,11.06,10.19,7.88,6.69,6.69,6.66,8.56,10.91,11.91,13.22,14.47,14.06,14.78,15.16,14.81,14.94,14.53,14.12,12.31,11.78,12.56,13.09,14.16,15.66,16.25,15.69,14.09,13.22,12.41,12.22,12.0,12.5,11.47,10.44,8.97,7.25,7.66,8.5,10.53,12.19,14.06,16.88,18.06,18.38,19.38,19.62,19.5,19.31,18.25,18.31,17.72,17.75,18.47,19.19,19.88,19.94,19.47,19.56,17.62,16.31,14.34,11.94,10.16,8.75,8.28,7.94,8.25,9.19,10.66,12.03,14.34,15.25,16.53,16.78,16.81,16.19,15.19,14.28,14.0,14.09,14.12,15.44,16.0,17.69,17.72,17.16,16.81,16.19,14.81,15.19,15.84,18.31,21.69,25.31,30.94,34.38,36.88,37.91,36.56,34.94,31.91,29.62,28.94,27.62,26.56,25.06,23.56,21.31,19.28,17.19,15.72,14.5,14.69,15.56,16.84,19.88,21.69,23.81,25.97,26.69,28.12,29.0,28.44,28.28,27.5,25.66,24.69,22.19,20.28,19.0,17.16,16.5,16.72,16.09,17.12,17.78,18.72,20.16,22.0,24.72,25.81,26.91,26.44,25.22,24.06,22.69,22.5,23.22,24.06,25.69,26.59,27.28,27.69,27.62,27.25,26.44,25.94,26.19,26.44,26.84,27.16,27.16,26.34,25.28,24.59,24.81,23.97,24.03,24.12,23.81,23.94,24.12,22.72,21.91,20.91,19.62,18.91,17.56,17.56,17.78,17.28,17.97,18.66,19.69,20.78,21.91,22.53,22.66,22.28,21.94,21.12,20.59,20.75,20.75,22.19,23.69,25.31,27.0,27.94,27.31,26.25,24.19,21.47,18.69,16.72,15.03,14.06,13.16,13.81,14.78,17.06,20.31,4.12,2.59,0.03,-1.06,-3.06,-4.12,-3.69,-2.03,1.31,3.97,7.03,10.78,13.34,14.81,16.06,14.91,14.12,11.19,8.5,5.91,3.0,0.62,-0.66,-1.59,-2.28,-3.38,-4.62,-5.59,-7.56,-8.53:positivity
40.06,39.56,38.38,36.56,34.28,33.12,32.0,31.62,33.09,34.59,34.78,35.78,36.19,35.84,36.41,36.5,37.56,38.0,37.94,39.12,40.0,41.41,43.94,46.0,47.84,48.81,48.78,48.78,48.44,48.41,49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69:32.0,31.62,33.09,34.59,34.78,35.78,36.19,35.84,36.41,36.5,37.56,38.0,37.94,39.12,40.0,41.41,43.94,46.0,47.84,48.81,48.78,48.78,48.44,48.41,49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69,8.34,7.91,6.66,6.31,5.62,5.16:36.19,35.84,36.41,36.5,37.56,38.0,37.94,39.12,40.0,41.41,43.94,46.0,47.84,48.81,48.78,48.78,48.44,48.41,49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69,8.34,7.91,6.66,6.31,5.62,5.16,5.16,4.59,5.53,5.75,6.0,6.12:37.94,39.12,40.0,41.41,43.94,46.0,47.84,48.81,48.78,48.78,48.44,48.41,49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69,8.34,7.91,6.66,6.31,5.62,5.16,5.16,4.59,5.53,5.75,6.0,6.12,5.66,6.0,6.03,5.44,5.31,6.41:47.84,48.81,48.78,48.78,48.44,48.41,49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69,8.34,7.91,6.66,6.31,5.62,5.16,5.16,4.59,5.53,5.75,6.0,6.12,5.66,6.0,6.03,5.44,5.31,6.41,7.0,7.44,8.69,11.22,12.94,14.84:49.28,49.0,47.91,47.03,46.31,44.94,44.06,44.06,44.0,44.94,46.31,48.09,51.03,52.69,53.91,55.16,54.91,54.75,54.59,56.28,57.09,59.41,61.94,62.22,62.0,58.75,54.41,49.41,43.75,38.66,33.66,30.59,27.66,25.34,23.5,22.94,23.31,23.56,24.06,25.41,26.91,27.59,27.88,29.16,29.88,30.88,31.62,31.5,30.88,29.81,28.31,27.56,28.0,28.44,28.94,29.78,30.41,30.94,32.84,34.06,36.03,36.53,36.81,36.66,37.0,37.47,38.81,39.44,40.69,41.47,42.22,43.19,42.0,42.16,40.66,37.91,38.88,36.66,38.62,40.06,42.06,44.06,47.22,48.75,50.25,50.34,52.41,51.81,51.22,52.25,50.0,47.69,44.25,39.72,35.34,31.5,28.44,26.0,25.62,25.69,26.03,28.19,29.19,30.16,31.41,32.72,33.69,33.94,33.81,33.0,31.47,31.31,32.25,31.88,33.53,34.56,35.47,34.53,34.72,36.62,33.78,33.81,34.0,34.41,34.31,36.56,37.28,37.91,38.88,39.41,37.69,38.53,38.53,36.31,36.44,36.38,36.53,37.94,38.72,39.97,40.09,39.97,38.94,38.25,37.19,37.84,37.88,38.66,39.41,41.47,42.06,43.62,44.38,44.72,44.81,42.84,42.75,41.16,41.28,40.38,41.84,40.66,40.25,39.56,38.69,37.41,38.0,37.28,36.53,37.0,38.06,39.03,40.69,40.75,42.91,41.06,39.34,37.06,34.88,31.0,28.78,27.28,27.31,27.94,30.53,33.16,35.44,38.78,41.75,44.75,48.16,49.84,51.94,51.72,50.34,49.62,47.72,45.38,43.88,40.19,38.75,35.75,33.94,32.44,31.06,29.94,28.41,27.0,25.41,24.25,23.25,22.22,23.47,25.25,28.22,30.5,32.66,33.84,33.44,31.88,31.22,28.88,28.16,25.94,25.69,25.91,27.56,28.59,29.69,30.88,32.41,32.81,33.47,36.5,37.47,39.41,40.88,42.25,43.41,44.5,46.0,46.47,45.97,44.69,42.41,40.16,37.44,35.06,34.12,33.16,32.41,32.62,32.28,32.19,32.56,31.81,32.91,32.94,31.78,32.06,31.56,30.94,31.06,32.44,33.16,32.84,33.41,33.5,33.47,34.44,35.91,37.41,40.75,43.62,48.22,50.78,52.09,51.94,49.62,46.94,42.06,39.16,36.03,33.91,33.41,33.56,33.53,35.19,34.09,34.91,34.16,33.97,34.53,34.62,34.81,34.22,33.47,32.06,31.88,31.19,31.31,32.44,34.16,35.09,36.38,38.22,39.97,41.16,42.97,44.47,43.19,43.06,41.5,38.69,37.5,35.53,33.59,32.91,31.84,31.31,31.59,32.97,35.41,36.34,37.59,38.03,37.44,37.06,35.94,35.31,34.75,33.75,31.88,31.09,29.38,28.72,27.75,27.25,26.19,27.28,27.75,28.94,30.62,32.59,33.28,33.31,32.28,31.31,30.19,29.06,28.81,28.5,28.59,30.47,31.66,33.0,33.06,32.19,30.81,28.0,26.56,23.72,23.66,22.94,22.66,21.53,22.41,22.44,22.41,22.22,21.84,22.41,21.31,21.41,21.03,20.88,21.34,22.44,23.91,26.25,28.31,30.34,31.91,31.31,30.34,28.66,27.53,26.34,26.16,27.94,28.41,29.44,28.91,28.69,27.25,25.16,23.09,22.34,21.81,22.53,22.5,23.56,25.19,26.75,28.62,30.91,33.69,34.69,35.03,34.81,33.28,31.66,29.94,27.56,25.53,23.31,21.81,19.88,17.94,18.62,18.88,20.12,21.94,25.62,27.62,30.97,35.12,38.03,40.81,41.81,40.66,39.38,35.53,34.31,31.69,30.53,29.41,27.47,24.56,22.03,20.34,18.41,17.84,19.06,19.56,21.16,24.06,25.81,28.25,30.78,32.56,34.12,35.16,35.22,35.97,36.84,37.31,38.5,39.38,40.09,40.41,38.94,37.56,35.69,34.19,32.59,32.47,32.41,33.38,33.69,34.81,35.19,35.38,35.53,33.81,32.56,30.94,29.03,27.88,26.97,27.97,29.06,31.62,34.16,37.09,38.66,39.28,38.03,38.16,36.53,35.06,34.69,34.59,34.53,34.19,33.66,33.25,32.31,29.56,27.62,25.5,23.75,21.75,20.5,20.0,19.62,20.06,21.16,21.66,21.91,22.59,21.75,22.19,22.31,23.25,25.78,27.84,32.06,35.88,39.44,43.66,46.69,47.91,47.38,46.0,43.38,39.72,36.31,34.44,32.44,30.94,30.03,29.91,29.56,29.34,29.91,29.16,30.62,30.91,31.66,34.5,36.72,38.81,41.12,41.69,42.41,41.62,40.25,39.03,37.25,36.19,35.34,35.19,36.09,36.5,35.94,35.69,33.91,33.22,31.81,31.88,32.03,32.66,34.0,34.25,36.16,37.53,38.84,41.38,42.56,43.69,44.66,44.91,44.84,44.78,44.34,43.31,42.81,43.0,43.25,44.56,46.41,48.09,50.31,52.19,53.34,55.19,56.75,59.44,60.28,61.81,62.31,61.06,58.56,57.44,54.5,53.16,51.56,50.19,49.16,47.12,44.94,43.59,40.75,39.44,38.22,36.81,37.03,35.81,35.53,35.66,35.94,36.03,35.56,35.62,34.5,32.69,32.72,31.62,31.88,32.84,33.75,33.69,34.56,35.06,35.06,35.53,36.28,37.5,38.75,39.91,41.03,41.81,42.19,42.12,41.62,41.97,40.84,40.31,37.78,35.22,33.56,30.59,28.81,28.12,28.41,28.47,28.84,29.94,31.53,32.72,34.0,33.84,33.47,33.56,32.66,32.19,31.81,31.94,31.41,31.31,29.91,30.31,29.84,29.69,29.19,29.5,27.81,27.66,25.62,23.69,22.41,21.19,20.47,20.56,21.72,22.78,23.25,25.59,25.38,25.84,26.47,25.56,24.53,22.41,19.44,17.19,14.41,12.44,10.62,9.75,8.28,7.75,6.28,5.88,5.97,6.41,6.88,8.06,9.41,10.66,12.0,12.97,14.28,15.81,16.53,17.69,16.41,15.41,13.75,11.16,9.19,8.31,6.53,5.5,5.06,4.19,4.0,4.94,5.38,6.56,6.75,8.59,9.31,10.91,12.97,14.75,16.22,17.59,17.78,17.34,15.81,15.19,13.44,12.88,12.62,11.81,11.81,11.16,10.28,9.66,8.66,8.44,7.28,7.28,7.56,8.06,10.03,10.62,12.44,12.75,12.69,13.06,12.81,12.44,13.06,13.16,13.06,12.31,11.66,11.88,11.12,10.69,11.44,12.0,13.56,14.88,16.84,18.22,19.28,20.19,21.12,22.31,23.12,24.38,25.66,25.5,26.53,28.31,30.34,32.25,31.03,30.28,27.94,22.91,19.47,17.75,15.78,15.69,15.81,17.09,18.53,17.25,19.69,19.12,20.16,21.78,22.5,24.53,25.47,25.78,26.94,26.78,26.25,25.38,24.44,23.34,22.94,22.25,22.44,22.38,22.5,22.53,22.0,21.44,20.91,19.5,19.16,18.59,18.84,19.06,19.28,19.38,18.41,18.03,17.06,15.53,14.06,11.69,10.22,8.94,7.75,6.59,7.69,8.06,9.22,10.5,12.44,14.31,16.69,18.94,21.41,23.72,25.62,27.06,27.25,28.25,27.03,26.03,24.94,24.06,22.59,21.72,20.03,19.34,18.41,17.06,15.62,14.28,11.91,9.78,7.0,6.56,6.06,6.56,9.69,8.34,7.91,6.66,6.31,5.62,5.16,5.16,4.59,5.53,5.75,6.0,6.12,5.66,6.0,6.03,5.44,5.31,6.41,7.0,7.44,8.69,11.22,12.94,14.84,16.88,19.06,18.69,19.03,18.56,18.56:positivity
40.97,41.72,42.12,42.19,43.06,43.94,46.12,48.12,49.94,51.69,52.53,50.94,48.91,47.44,45.0,44.62,43.5,42.44,41.88,40.53,39.69,38.41,37.19,35.25,34.0,32.59,30.78,29.72,29.97,29.44,29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97:46.12,48.12,49.94,51.69,52.53,50.94,48.91,47.44,45.0,44.62,43.5,42.44,41.88,40.53,39.69,38.41,37.19,35.25,34.0,32.59,30.78,29.72,29.97,29.44,29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97,3.31,5.25,6.22,5.62,5.31,3.53:48.91,47.44,45.0,44.62,43.5,42.44,41.88,40.53,39.69,38.41,37.19,35.25,34.0,32.59,30.78,29.72,29.97,29.44,29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97,3.31,5.25,6.22,5.62,5.31,3.53,2.09,1.59,0.47,1.81,3.16,3.78:41.88,40.53,39.69,38.41,37.19,35.25,34.0,32.59,30.78,29.72,29.97,29.44,29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97,3.31,5.25,6.22,5.62,5.31,3.53,2.09,1.59,0.47,1.81,3.16,3.78,4.5,4.41,4.31,3.88,2.44,1.41:34.0,32.59,30.78,29.72,29.97,29.44,29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97,3.31,5.25,6.22,5.62,5.31,3.53,2.09,1.59,0.47,1.81,3.16,3.78,4.5,4.41,4.31,3.88,2.44,1.41,-0.47,-1.5,-2.72,-4.09,-5.34,-5.59:29.59,29.19,29.25,28.03,27.75,27.78,27.47,28.19,28.69,29.44,30.03,30.62,31.56,30.84,30.41,29.06,27.91,27.41,27.41,28.06,29.53,32.75,34.12,35.53,37.06,36.75,37.34,37.31,37.94,37.97,38.5,39.25,38.53,37.53,37.34,36.16,33.34,31.28,29.56,27.16,25.12,24.53,22.78,22.41,22.56,21.41,21.84,22.19,22.56,23.62,24.78,27.38,28.62,29.31,30.88,31.25,31.69,33.03,32.84,31.5,29.81,27.44,24.69,24.0,23.69,24.25,26.03,27.25,27.0,27.72,26.12,26.06,24.5,22.56,21.19,20.03,18.47,17.19,16.28,14.66,14.59,13.97,13.56,14.25,14.72,15.53,16.31,17.97,20.69,21.97,22.66,23.66,23.62,22.53,21.78,20.31,19.53,20.38,20.22,20.06,20.88,20.47,20.69,20.25,20.03,20.78,20.81,21.19,20.78,21.75,21.56,20.38,20.66,18.97,18.53,17.69,17.0,18.12,19.16,19.12,20.31,21.06,21.75,22.12,24.06,23.75,24.81,22.94,21.59,20.75,18.38,17.62,17.28,17.34,18.25,18.31,17.38,17.56,15.59,12.69,10.94,9.16,7.19,7.56,9.31,9.34,10.84,13.03,13.06,13.69,15.31,15.12,16.62,16.88,16.84,15.53,13.94,13.28,11.31,11.25,11.66,13.03,14.03,14.09,14.97,14.94,14.16,13.88,14.25,13.06,12.03,10.84,7.72,5.31,2.28,0.44,-0.81,-1.38,-0.84,-1.34,-0.56,-1.16,-2.44,-3.19,-4.75,-3.59,-3.81,-4.53,-2.59,-3.16,-2.22,-2.72,-2.06,-0.97,-0.97,0.66,1.59,0.53,1.25,1.41,-0.72,-1.91,-1.91,-2.25,-1.88,-1.84,-1.66,-2.41,-5.69,-8.06,-10.31,-12.59,-13.09,-12.97,-11.78,-11.28,-10.34,-10.22,-10.09,-11.0,-14.19,-13.44,-14.66,-16.44,-15.19,-14.78,-15.31,-14.97,-14.56,-16.59,-16.53,-17.69,-18.53,-17.78,-16.72,-15.06,-15.12,-10.53,-10.53,-10.84,-10.81,-10.19,-11.91,-13.19,-13.25,-12.59,-13.44,-13.59,-11.91,-8.34,-6.97,-3.53,-1.09,0.12,-1.16,-2.47,-4.84,-5.34,-8.19,-7.09,-7.28,-6.34,-6.28,-6.72,-8.25,-8.78,-7.81,-7.09,-5.94,-4.75,-5.16,-4.81,-6.31,-7.41,-7.84,-9.06,-10.34,-11.03,-11.28,-11.41,-10.53,-11.06,-11.19,-12.0,-12.34,-13.56,-14.53,-14.12,-13.16,-13.47,-12.16,-12.22,-12.41,-13.28,-14.31,-14.03,-13.38,-12.09,-10.28,-10.03,-7.62,-6.91,-5.22,-5.66,-6.34,-6.25,-7.84,-7.91,-8.22,-8.91,-8.94,-9.97,-11.28,-9.28,-9.94,-9.94,-11.0,-10.78,-12.34,-13.53,-14.47,-14.16,-14.41,-14.44,-14.53,-15.66,-16.06,-17.69,-19.19,-21.16,-23.31,-22.41,-23.91,-24.47,-25.12,-25.03,-25.72,-27.09,-26.22,-26.94,-26.31,-25.94,-24.97,-22.41,-20.5,-18.69,-20.22,-16.69,-17.66,-18.56,-16.88,-15.28,-15.59,-15.03,-16.09,-16.16,-18.84,-21.41,-22.34,-24.47,-25.66,-26.59,-25.56,-24.47,-22.03,-19.81,-20.47,-16.78,-15.66,-13.47,-12.34,-10.47,-11.84,-13.72,-15.41,-18.25,-19.72,-22.41,-23.38,-23.78,-25.47,-25.34,-25.59,-27.81,-28.34,-29.03,-28.34,-28.03,-25.56,-24.34,-23.34,-21.19,-20.19,-18.88,-17.72,-17.72,-17.62,-16.78,-16.75,-15.16,-15.44,-16.69,-20.66,-20.78,-24.84,-26.22,-26.19,-27.88,-27.84,-28.28,-27.16,-27.34,-26.28,-25.47,-24.34,-23.59,-23.5,-22.75,-22.75,-19.72,-17.84,-14.06,-10.53,-9.66,-9.31,-9.81,-13.41,-13.94,-17.06,-20.09,-20.84,-24.41,-20.56,-20.56,-18.78,-15.09,-13.0,-11.56,-9.66,-9.53,-7.91,-7.59,-7.28,-7.41,-7.75,-7.44,-7.69,-9.97,-8.16,-9.22,-7.81,-6.94,-7.84,-10.56,-12.84,-14.09,-15.78,-16.16,-16.41,-16.38,-16.41,-18.03,-17.88,-18.03,-17.59,-18.34,-14.59,-11.72,-8.81,-6.34,-3.31,-2.19,-1.66,-1.69,-1.28,-2.31,-3.22,-3.41,-3.69,-5.41,-6.56,-6.06,-6.91,-7.34,-7.19,-8.19,-9.28,-12.03,-14.09,-15.41,-15.28,-14.59,-13.22,-12.06,-9.94,-8.66,-7.19,-6.91,-5.97,-5.47,-6.75,-7.28,-8.19,-9.47,-13.28,-14.34,-17.72,-20.59,-20.72,-20.84,-19.38,-17.78,-16.12,-14.94,-13.03,-11.56,-11.16,-9.81,-9.0,-8.72,-11.38,-8.34,-11.0,-9.84,-8.84,-6.97,-6.28,-4.09,-4.78,-5.72,-7.84,-11.09,-12.72,-14.16,-15.09,-14.5,-15.16,-15.28,-16.44,-17.22,-17.91,-19.47,-20.34,-20.06,-20.03,-19.25,-18.09,-18.41,-16.84,-17.19,-16.47,-15.12,-14.59,-14.41,-12.84,-12.88,-12.31,-11.47,-10.03,-10.22,-9.59,-10.16,-11.16,-12.34,-14.34,-16.09,-16.53,-17.03,-16.22,-15.56,-13.72,-15.31,-11.78,-12.16,-10.88,-9.72,-9.94,-10.47,-11.16,-13.16,-15.47,-16.34,-18.88,-20.59,-21.59,-22.06,-23.72,-23.97,-22.84,-22.97,-22.25,-22.28,-21.56,-21.53,-19.75,-18.28,-16.22,-14.03,-12.53,-10.28,-9.09,-7.84,-7.34,-7.66,-8.19,-8.38,-10.06,-12.41,-12.19,-13.06,-12.84,-13.09,-12.53,-13.09,-13.53,-14.22,-15.28,-16.0,-16.19,-16.0,-14.56,-13.66,-13.47,-10.25,-8.59,-7.44,-5.91,-5.41,-6.47,-8.12,-10.09,-11.81,-11.91,-12.22,-12.34,-12.5,-14.47,-12.66,-13.94,-14.31,-13.44,-12.44,-10.69,-10.0,-8.16,-6.44,-5.84,-4.41,-2.06,-1.19,0.53,0.72,-0.22,-0.97,-3.59,-4.84,-6.69,-8.12,-8.72,-9.97,-11.09,-11.66,-15.28,-12.69,-14.16,-13.22,-11.41,-9.72,-9.22,-9.44,-9.31,-11.03,-11.78,-13.19,-15.03,-17.06,-18.34,-20.47,-23.09,-25.34,-28.22,-30.09,-30.41,-31.16,-28.81,-25.94,-21.84,-19.34,-16.28,-13.66,-12.41,-11.34,-10.84,-10.78,-10.59,-9.88,-8.84,-10.16,-8.59,-9.41,-9.59,-9.53,-10.09,-11.16,-12.84,-13.72,-15.25,-15.78,-16.16,-16.34,-16.03,-18.03,-14.41,-14.03,-12.66,-10.28,-9.12,-8.31,-8.84,-8.75,-8.53,-8.66,-8.0,-8.41,-8.22,-10.22,-12.56,-12.53,-14.44,-12.31,-10.28,-8.31,-5.66,-4.38,-2.59,-1.59,-0.91,0.41,0.69,0.06,-0.72,-5.66,-4.44,-6.72,-7.72,-6.94,-5.78,-5.81,-4.88,-5.91,-6.19,-6.22,-7.19,-7.12,-7.16,-6.75,-6.81,-5.84,-5.34,-5.47,-4.94,-5.16,-4.66,-4.53,-4.28,-4.16,-4.53,-8.19,-4.91,-6.31,-5.09,-3.72,-2.62,-2.47,-3.72,-4.28,-4.59,-4.22,-2.94,-0.97,0.97,1.0,6.09,7.66,9.72,11.53,11.69,9.91,7.38,6.06,3.91,3.66,3.38,4.47,5.5,6.31,7.78,9.12,11.66,14.0,15.97,17.28,18.91,17.59,16.59,15.12,13.88,12.03,11.25,11.06,11.41,11.72,11.75,11.16,10.81,10.28,9.94,8.62,8.97,9.06,8.97,8.81,8.0,4.91,1.84,-1.66,-4.5,-6.66,-7.56,-5.53,-5.34,-3.91,-2.06,-3.25,-2.97,-6.53,-6.22,-9.34,-10.31,-11.66,-13.06,-13.69,-15.03,-15.84,-15.94,-15.34,-16.59,-18.56,-20.75,-22.09,-23.84,-24.25,-22.97,-20.91,-17.34,-14.31,-10.59,-7.47,-4.88,-5.28,-2.47,-4.12,-4.59,-4.16,-4.91,-4.97,3.31,5.25,6.22,5.62,5.31,3.53,2.09,1.59,0.47,1.81,3.16,3.78,4.5,4.41,4.31,3.88,2.44,1.41,-0.47,-1.5,-2.72,-4.09,-5.34,-5.59,-7.16,-7.97,-9.5,-9.84,-10.78,-11.34:positivity
46.41,45.25,44.94,47.06,48.91,49.47,49.84,48.91,45.59,43.75,41.44,40.25,39.06,38.03,36.78,35.62,35.41,36.19,34.88,34.12,32.41,29.72,27.53,27.12,26.41,27.5,29.44,31.44,31.88,36.94,39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0:49.84,48.91,45.59,43.75,41.44,40.25,39.06,38.03,36.78,35.62,35.41,36.19,34.88,34.12,32.41,29.72,27.53,27.12,26.41,27.5,29.44,31.44,31.88,36.94,39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0,-15.66,-13.22,-10.34,-6.69,-3.31,-1.97:39.06,38.03,36.78,35.62,35.41,36.19,34.88,34.12,32.41,29.72,27.53,27.12,26.41,27.5,29.44,31.44,31.88,36.94,39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0,-15.66,-13.22,-10.34,-6.69,-3.31,-1.97,-2.69,-2.84,-5.88,-9.38,-12.66,-15.56:34.88,34.12,32.41,29.72,27.53,27.12,26.41,27.5,29.44,31.44,31.88,36.94,39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0,-15.66,-13.22,-10.34,-6.69,-3.31,-1.97,-2.69,-2.84,-5.88,-9.38,-12.66,-15.56,-17.72,-19.28,-18.97,-17.44,-15.84,-14.72:26.41,27.5,29.44,31.44,31.88,36.94,39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0,-15.66,-13.22,-10.34,-6.69,-3.31,-1.97,-2.69,-2.84,-5.88,-9.38,-12.66,-15.56,-17.72,-19.28,-18.97,-17.44,-15.84,-14.72,-14.34,-14.62,-15.78,-17.59,-18.44,-20.44:39.59,41.81,45.56,46.94,47.47,47.31,46.03,44.34,43.06,41.34,39.78,39.16,39.16,38.59,39.12,39.34,38.66,37.41,35.0,32.91,30.53,28.66,28.88,28.5,28.59,30.22,30.97,32.19,34.56,35.06,34.84,34.56,32.03,31.41,29.44,27.53,26.69,24.0,23.72,22.56,20.91,20.41,20.16,19.88,20.53,21.38,22.06,22.78,22.06,22.66,22.31,22.62,24.91,25.12,26.28,25.22,26.25,25.16,25.88,26.91,27.62,28.5,29.38,28.94,28.72,28.0,28.44,26.0,28.69,28.0,30.19,30.91,32.28,33.81,33.72,34.59,35.62,36.28,36.5,38.84,39.66,40.03,40.06,39.12,38.31,36.38,35.81,34.62,34.91,34.78,34.03,33.38,33.53,32.03,31.06,28.0,27.06,24.66,24.12,24.97,24.97,26.09,26.66,25.38,24.62,23.69,22.62,21.5,19.94,20.41,19.34,17.59,16.31,11.84,11.31,8.44,8.72,10.16,11.09,13.06,13.25,12.12,13.19,13.91,14.25,16.19,17.62,19.75,21.28,20.72,22.09,22.44,20.81,20.66,20.12,18.94,17.06,15.56,13.91,13.28,12.91,12.94,13.72,14.06,13.12,9.91,12.28,9.19,9.62,9.66,12.25,13.12,15.31,17.66,18.44,19.62,20.84,19.34,20.72,19.47,20.41,21.97,21.91,23.72,25.84,26.59,26.66,25.41,24.09,22.12,20.72,17.66,18.53,18.0,18.06,19.59,21.34,23.38,24.0,25.38,26.09,27.72,26.75,26.12,27.62,26.19,26.5,26.75,22.91,23.56,21.28,21.59,20.69,21.38,21.69,21.06,19.88,19.12,19.06,19.44,18.62,21.03,21.53,22.34,22.62,20.16,21.59,18.84,19.91,21.38,22.81,24.47,25.88,25.19,24.19,22.94,21.5,19.97,18.38,16.97,16.56,16.75,16.62,17.31,18.91,18.91,19.12,20.69,20.09,21.78,22.59,23.28,22.41,22.09,17.06,18.0,16.31,15.56,17.78,20.38,21.5,21.56,22.28,21.34,19.34,16.97,13.09,9.94,7.91,5.47,2.12,4.56,4.59,6.78,8.75,12.28,15.0,16.31,18.16,19.19,19.94,18.97,20.94,20.69,21.5,23.28,23.44,23.12,24.78,23.97,23.66,23.81,24.72,24.25,24.25,24.53,24.19,22.69,22.53,18.81,21.03,19.69,20.22,19.44,19.91,19.41,19.0,19.5,21.22,23.25,24.41,24.31,24.31,23.31,21.0,20.72,17.97,16.09,11.84,10.72,7.91,7.16,7.5,8.91,10.0,10.06,9.66,10.47,9.66,10.31,9.62,8.41,7.56,6.94,4.16,7.47,6.75,7.78,10.69,11.94,13.31,14.66,13.56,13.0,11.94,9.81,8.69,7.59,6.12,3.62,6.41,3.53,4.69,5.34,5.56,4.88,4.12,3.69,3.41,3.38,3.12,4.16,1.47,0.91,-1.75,-1.19,-2.0,-0.72,0.66,0.66,-0.22,-1.28,-0.22,0.59,2.91,6.69,9.56,11.62,12.06,10.47,12.53,11.78,12.34,13.38,13.06,11.75,10.16,8.66,7.91,8.22,9.47,10.78,12.88,14.31,13.16,15.56,15.06,14.69,15.22,15.53,13.28,13.66,12.44,11.16,12.06,13.16,13.69,13.25,12.28,11.0,10.53,8.78,9.06,8.84,9.19,7.25,10.41,10.06,11.62,11.59,12.12,12.19,11.38,11.19,12.0,12.0,11.94,13.16,11.0,12.28,11.12,11.16,12.03,12.19,13.56,14.97,13.59,13.88,15.25,13.97,15.81,16.44,17.69,17.19,16.84,17.03,17.94,18.44,20.34,20.25,23.38,25.69,26.69,28.06,28.69,27.12,25.94,24.38,22.66,20.16,21.75,21.03,21.94,23.25,24.0,22.88,21.97,16.22,15.78,12.56,10.66,10.72,11.12,12.19,13.94,16.59,18.44,22.06,24.81,26.59,26.75,29.66,30.41,32.56,34.06,35.62,35.78,35.75,34.09,32.41,29.28,27.88,25.22,23.88,22.69,21.66,20.44,19.41,20.47,21.47,23.81,26.78,26.56,32.72,33.31,34.84,35.31,34.41,33.09,29.78,26.5,23.88,20.78,17.38,14.84,11.66,8.88,7.06,9.06,10.31,13.25,18.97,22.75,27.25,29.56,30.69,29.97,27.56,25.81,22.59,21.41,20.19,20.0,19.28,18.69,19.84,19.31,18.59,17.69,13.38,13.62,10.44,10.44,10.41,12.69,13.0,14.25,16.06,16.19,17.94,19.28,20.88,22.38,24.78,23.56,26.41,26.28,27.09,27.66,29.28,29.03,28.25,27.5,26.03,24.22,23.38,17.97,18.97,17.12,16.41,17.28,19.28,20.06,20.88,21.5,20.78,19.62,17.94,14.16,14.16,13.62,13.78,15.84,17.78,18.78,19.19,19.59,18.34,17.38,15.91,14.69,16.84,17.5,20.69,23.56,24.0,25.22,24.06,22.94,20.69,20.0,15.03,15.31,13.66,13.75,16.16,17.31,18.66,19.78,20.38,21.59,21.88,20.38,23.44,22.62,24.81,26.41,27.25,27.59,27.25,25.56,25.34,24.31,23.22,21.88,20.75,19.81,18.94,19.94,20.69,21.62,21.06,23.78,24.16,24.41,25.03,25.34,25.31,24.22,23.56,23.84,23.91,24.53,24.03,22.31,23.94,23.06,23.69,24.81,25.81,25.84,25.16,24.31,22.56,18.78,18.59,17.69,19.81,21.25,23.25,25.09,26.16,26.62,28.41,28.62,28.81,26.38,26.78,24.62,23.31,24.34,25.31,26.0,26.66,28.12,28.94,28.97,27.19,26.75,22.44,19.25,14.41,11.34,7.81,5.34,4.94,4.69,6.22,8.0,10.31,13.69,16.12,17.94,18.38,20.88,19.91,19.44,20.41,19.94,17.78,17.09,15.66,14.38,14.78,13.41,12.72,10.88,9.31,9.25,8.91,10.69,13.09,14.0,14.66,14.53,15.12,16.53,17.66,19.5,21.34,21.62,22.88,21.94,21.25,16.84,15.94,11.53,9.03,7.5,6.75,6.28,5.16,5.0,4.84,5.75,5.69,5.75,7.44,7.31,8.5,7.88,7.22,7.12,5.81,5.91,7.25,7.84,8.94,8.84,6.66,7.59,5.75,4.12,3.12,4.16,4.44,4.56,6.88,8.19,9.56,9.94,10.84,11.91,12.34,12.31,16.25,17.47,20.12,21.91,25.97,27.47,27.81,27.91,26.16,24.72,23.03,21.0,19.72,20.59,18.84,21.09,21.16,20.53,20.69,20.06,20.0,19.19,19.28,19.78,20.91,20.41,23.12,25.66,29.0,32.5,38.19,41.09,41.41,40.69,36.91,33.16,27.09,22.78,22.03,20.06,22.38,24.16,25.12,24.88,22.94,20.44,18.19,16.81,12.75,14.03,13.25,14.94,17.06,19.78,19.56,19.47,19.38,17.78,17.22,18.03,18.59,19.44,17.03,19.5,18.5,18.94,19.44,18.72,18.12,16.19,14.5,12.66,11.84,11.56,11.5,11.56,11.94,13.31,13.12,14.56,16.06,17.41,18.25,17.97,18.44,17.31,16.84,17.38,13.75,17.0,16.84,17.34,18.91,20.47,21.88,22.03,22.97,23.34,24.62,25.28,25.78,26.31,23.88,26.16,24.81,24.59,25.25,24.34,24.62,23.38,22.28,22.34,20.41,22.94,22.16,23.09,24.06,24.78,23.47,22.66,21.0,-15.66,-13.22,-10.34,-6.69,-3.31,-1.97,-2.69,-2.84,-5.88,-9.38,-12.66,-15.56,-17.72,-19.28,-18.97,-17.44,-15.84,-14.72,-14.34,-14.62,-15.78,-17.59,-18.44,-20.44,-21.41,-21.69,-23.0,-21.38,-20.22,-20.16:positivity
80.47,80.88,81.0,81.56,82.06,83.22,84.38,85.0,84.66,83.19,81.06,79.34,78.81,78.78,80.25,81.94,83.56,84.56,85.62,86.0,84.78,84.0,82.28,79.88,77.72,76.5,75.97,75.91,75.62,75.78,76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81:84.38,85.0,84.66,83.19,81.06,79.34,78.81,78.78,80.25,81.94,83.56,84.56,85.62,86.0,84.78,84.0,82.28,79.88,77.72,76.5,75.97,75.91,75.62,75.78,76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81,11.66,12.38,10.69,8.88,5.88,3.16:78.81,78.78,80.25,81.94,83.56,84.56,85.62,86.0,84.78,84.0,82.28,79.88,77.72,76.5,75.97,75.91,75.62,75.78,76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81,11.66,12.38,10.69,8.88,5.88,3.16,-0.91,-3.97,-6.0,-8.91,-8.53,-6.53:85.62,86.0,84.78,84.0,82.28,79.88,77.72,76.5,75.97,75.91,75.62,75.78,76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81,11.66,12.38,10.69,8.88,5.88,3.16,-0.91,-3.97,-6.0,-8.91,-8.53,-6.53,-4.0,-0.28,4.28,8.16,12.06,14.47:77.72,76.5,75.97,75.91,75.62,75.78,76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81,11.66,12.38,10.69,8.88,5.88,3.16,-0.91,-3.97,-6.0,-8.91,-8.53,-6.53,-4.0,-0.28,4.28,8.16,12.06,14.47,16.56,17.84,16.03,15.19,12.88,10.62:76.47,77.19,77.34,77.91,76.97,76.31,75.69,75.44,75.84,77.0,78.16,79.41,80.47,81.47,81.69,82.16,82.91,83.34,84.12,85.38,85.62,86.16,85.88,86.41,86.69,87.16,86.91,86.03,84.03,83.12,81.34,80.94,80.22,79.81,78.03,74.41,74.56,73.12,72.19,72.56,73.62,70.88,69.62,67.81,65.56,65.5,65.88,66.16,67.53,68.31,68.31,67.69,66.66,65.66,63.0,60.97,60.06,58.56,57.41,57.88,57.62,58.53,59.97,60.41,61.56,61.78,61.06,60.38,59.84,59.38,58.28,57.94,57.81,56.25,56.5,56.75,55.97,56.84,56.97,57.91,58.5,58.78,59.03,58.75,57.19,56.34,55.56,54.81,55.44,55.53,55.94,56.38,56.06,56.28,55.16,54.91,54.41,54.5,55.78,55.5,56.88,57.5,57.56,57.78,57.56,57.62,58.44,58.44,59.47,59.62,60.38,59.94,58.97,58.03,57.34,56.62,55.75,55.94,56.0,56.12,56.12,55.41,55.91,55.25,55.72,55.88,56.47,56.28,56.66,56.47,55.41,54.28,53.69,52.31,50.75,49.5,49.75,48.12,47.66,48.19,48.78,49.66,50.44,51.88,53.31,54.56,54.94,55.38,55.44,55.69,55.47,56.16,55.88,56.19,57.0,56.84,56.5,57.34,56.44,56.72,56.66,55.5,55.03,54.19,53.09,52.44,52.31,51.94,52.16,52.31,51.81,51.78,52.0,52.62,53.41,54.97,55.88,57.75,57.47,58.28,58.44,58.16,58.72,58.44,57.47,57.34,57.44,57.66,57.12,58.31,56.59,55.97,56.34,56.47,56.69,57.78,58.44,56.75,55.88,55.19,53.91,52.66,52.38,51.66,51.31,51.38,51.72,52.28,53.28,54.62,56.72,59.47,63.09,66.25,69.66,73.12,74.94,76.28,75.81,73.91,70.44,67.88,65.31,62.56,61.72,60.19,59.28,58.44,57.69,56.69,56.22,55.97,56.56,56.97,57.66,58.31,58.31,58.25,58.47,58.19,57.88,59.25,59.28,60.44,60.41,60.56,60.47,59.56,59.97,60.56,61.91,62.66,65.22,66.22,68.5,69.44,71.19,72.56,71.97,71.97,71.31,68.56,67.34,64.81,62.91,61.31,59.69,58.94,58.88,58.16,58.19,57.66,57.47,57.88,57.62,59.12,59.94,60.56,61.5,61.25,61.06,62.06,62.06,63.03,63.56,64.97,66.09,67.16,67.53,67.81,67.25,65.47,63.66,61.78,60.88,59.62,58.97,58.44,57.44,55.38,53.94,51.44,49.19,46.88,44.25,42.16,39.28,38.94,38.44,39.41,42.88,44.66,47.5,49.56,50.34,50.59,50.78,50.38,51.0,50.53,51.84,53.56,54.34,56.84,58.53,57.78,57.94,57.59,57.12,58.38,59.19,60.41,60.66,60.12,59.09,57.62,55.81,53.84,52.06,51.0,50.44,50.03,51.12,52.5,53.94,54.31,53.88,53.81,51.75,49.75,48.69,47.5,47.06,47.03,46.69,48.19,47.38,48.41,49.78,50.41,51.0,52.47,52.12,53.09,53.75,55.0,55.88,56.31,56.41,54.56,53.09,51.84,49.12,47.94,46.88,46.31,45.34,45.31,45.22,45.38,45.19,45.91,45.16,45.0,44.66,42.66,42.22,41.53,40.56,40.97,41.06,42.59,44.12,45.47,47.53,49.16,49.53,49.69,48.81,47.97,47.38,47.19,46.41,46.59,46.31,45.56,45.91,46.38,46.94,47.97,48.66,49.16,49.06,48.66,47.19,44.88,43.31,41.31,38.84,38.06,37.28,36.66,36.38,37.19,37.88,38.62,40.75,41.81,42.53,43.03,43.03,42.41,42.06,42.16,40.59,40.28,40.28,40.66,40.84,40.75,40.88,40.28,38.44,37.56,37.44,37.38,39.91,41.62,45.0,49.66,51.19,52.66,52.09,50.06,47.69,42.81,41.62,40.16,39.03,39.06,40.31,41.91,43.66,45.81,48.31,49.72,50.47,51.56,52.34,52.59,53.12,52.78,53.0,52.81,52.28,52.53,52.94,54.44,53.97,54.31,53.88,52.31,51.91,51.47,50.31,50.66,50.03,47.75,45.44,41.56,36.5,32.5,28.16,23.91,21.5,19.94,18.94,18.81,19.75,20.81,21.94,22.81,24.06,24.69,25.69,27.47,29.12,30.72,32.78,34.19,35.78,37.25,39.12,41.06,42.09,43.41,43.41,43.03,42.41,40.75,40.5,39.41,39.41,40.41,41.06,42.69,45.12,45.56,46.78,47.75,48.12,47.94,49.0,48.91,49.44,50.41,51.16,51.66,51.41,51.06,49.12,47.41,45.69,44.03,44.16,44.62,45.31,45.75,46.69,48.31,49.22,50.69,53.0,55.31,57.56,59.28,60.28,61.88,62.59,62.03,61.0,60.09,58.16,56.5,54.5,52.5,51.84,50.56,50.56,50.28,51.88,53.62,55.81,57.44,60.53,63.03,63.5,66.06,66.84,68.03,68.75,67.31,66.5,63.44,60.06,57.22,53.97,51.06,48.94,47.25,45.56,45.28,44.66,44.66,44.72,45.44,44.59,45.19,44.06,43.06,42.53,41.53,40.91,41.28,40.28,40.09,39.78,38.88,39.81,39.78,40.34,40.59,40.31,38.69,37.28,35.19,31.69,30.94,30.69,30.78,32.22,34.59,36.69,38.12,41.16,43.84,46.31,48.25,49.25,49.28,48.97,45.75,44.16,42.25,40.44,39.97,39.69,39.38,38.84,38.38,38.41,38.84,39.28,40.88,41.97,42.5,43.03,43.66,44.22,43.5,43.81,43.22,43.34,44.09,45.88,46.31,47.31,47.56,46.72,45.5,43.72,42.06,39.12,37.19,34.28,33.28,30.91,30.44,30.56,30.44,32.09,34.25,36.12,37.91,39.34,39.75,39.94,40.38,40.22,40.12,40.09,40.84,41.72,42.28,42.97,44.31,45.41,47.03,48.81,48.81,49.31,46.81,44.25,41.34,39.94,38.75,38.66,38.81,38.41,38.56,37.78,37.25,37.44,37.72,38.72,40.06,41.03,41.69,41.53,39.88,39.06,38.0,37.94,38.44,39.41,41.44,42.69,43.78,43.94,43.91,42.66,41.72,42.19,42.53,43.34,45.16,45.34,47.28,47.97,49.06,49.28,50.06,49.44,48.38,47.53,48.31,48.59,49.94,50.78,52.66,52.19,53.62,54.0,54.81,55.31,55.75,55.56,56.31,57.28,58.97,61.28,62.66,63.66,63.41,61.69,60.25,58.88,56.41,55.81,53.94,53.62,52.91,53.25,54.97,56.06,57.12,58.28,57.59,56.06,54.69,53.19,50.5,50.0,48.62,47.25,47.28,45.94,45.88,45.5,43.69,42.56,40.69,39.72,38.97,39.59,40.16,40.66,41.47,41.03,41.94,43.72,44.03,44.38,44.44,43.75,41.47,41.41,39.16,38.69,38.81,38.53,38.94,40.12,41.41,42.72,44.78,46.88,50.78,52.03,54.84,55.84,56.0,55.66,54.16,52.5,51.0,47.72,45.09,43.12,41.19,41.25,41.91,44.38,46.34,48.69,50.5,51.06,51.22,51.41,51.31,50.53,50.25,50.56,49.78,49.81,48.06,48.12,46.91,46.5,46.69,46.53,46.75,45.94,46.16,46.31,46.53,46.88,47.53,47.41,46.0,46.44,45.69,44.84,45.69,44.59,44.06,44.34,43.69,44.12,44.81,43.56,43.53,42.56,41.38,40.84,40.81,11.66,12.38,10.69,8.88,5.88,3.16,-0.91,-3.97,-6.0,-8.91,-8.53,-6.53,-4.0,-0.28,4.28,8.16,12.06,14.47,16.56,17.84,16.03,15.19,12.88,10.62,8.25,6.12,5.41,4.41,3.78,3.81:positivity
19.06,20.56,21.31,21.03,20.91,19.88,17.5,16.19,13.69,11.94,10.5,8.84,7.84,6.97,7.5,6.31,7.5,7.66,8.69,10.22,10.62,14.31,16.5,18.56,19.44,20.25,19.25,18.53,19.34,20.69,23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66:17.5,16.19,13.69,11.94,10.5,8.84,7.84,6.97,7.5,6.31,7.5,7.66,8.69,10.22,10.62,14.31,16.5,18.56,19.44,20.25,19.25,18.53,19.34,20.69,23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66,-25.94,-25.66,-25.91,-25.59,-27.34,-29.0:7.84,6.97,7.5,6.31,7.5,7.66,8.69,10.22,10.62,14.31,16.5,18.56,19.44,20.25,19.25,18.53,19.34,20.69,23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66,-25.94,-25.66,-25.91,-25.59,-27.34,-29.0,-29.38,-30.53,-31.41,-32.44,-34.53,-37.16:8.69,10.22,10.62,14.31,16.5,18.56,19.44,20.25,19.25,18.53,19.34,20.69,23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66,-25.94,-25.66,-25.91,-25.59,-27.34,-29.0,-29.38,-30.53,-31.41,-32.44,-34.53,-37.16,-38.88,-41.91,-44.22,-44.5,-43.97,-43.59:19.44,20.25,19.25,18.53,19.34,20.69,23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66,-25.94,-25.66,-25.91,-25.59,-27.34,-29.0,-29.38,-30.53,-31.41,-32.44,-34.53,-37.16,-38.88,-41.91,-44.22,-44.5,-43.97,-43.59,-43.34,-41.66,-40.12,-38.44,-35.81,-32.31:23.28,26.72,28.0,27.88,25.62,21.81,18.12,14.22,11.84,11.19,10.38,11.66,14.12,16.09,19.12,20.72,22.94,24.06,25.06,25.03,24.66,23.66,21.31,19.03,17.53,14.06,12.06,9.56,7.66,5.19,2.81,-0.03,-1.84,-4.16,-6.34,-8.03,-8.34,-9.41,-9.31,-8.47,-6.81,-5.97,-6.53,-5.62,-6.06,-6.44,-6.69,-6.12,-6.28,-5.16,-3.97,-0.81,1.78,3.22,4.53,4.28,2.81,1.47,-0.62,-0.44,-1.16,0.31,1.81,3.12,3.91,3.16,3.28,3.19,3.41,3.56,4.91,5.31,5.56,7.09,6.16,5.62,3.66,1.97,0.62,-2.91,-4.22,-6.44,-8.28,-9.34,-10.41,-10.72,-12.22,-12.03,-11.34,-10.66,-9.97,-7.66,-6.41,-5.28,-5.0,-6.03,-7.44,-8.69,-10.12,-12.62,-13.59,-16.03,-17.66,-18.47,-17.94,-15.97,-15.19,-14.22,-13.22,-14.75,-16.69,-19.84,-22.72,-25.44,-26.75,-27.38,-24.69,-22.34,-20.12,-15.34,-11.91,-8.69,-4.5,-2.16,0.62,1.91,0.66,-0.47,-2.66,-4.41,-6.12,-6.03,-5.16,-4.72,-3.69,-2.41,-1.91,1.72,2.03,4.16,6.72,6.84,6.75,6.41,4.59,3.41,1.66,-0.25,-0.12,-0.72,-0.81,-0.94,0.0,-0.44,-0.44,0.06,-1.56,-1.56,-2.84,-3.59,-3.34,-4.03,-2.06,-1.97,-3.03,-2.84,-4.41,-6.75,-8.41,-8.88,-9.91,-10.75,-9.88,-9.41,-9.84,-7.81,-7.84,-8.16,-8.06,-9.12,-10.03,-10.88,-13.5,-13.19,-16.12,-17.56,-17.81,-18.34,-17.44,-15.69,-12.78,-9.59,-8.19,-7.56,-6.22,-6.59,-7.97,-8.28,-9.78,-11.19,-12.97,-14.66,-16.66,-16.84,-17.22,-17.69,-15.66,-15.94,-15.28,-14.41,-14.22,-12.19,-9.53,-7.91,-5.12,-3.41,-3.12,-2.5,-3.72,-5.31,-6.28,-7.69,-7.78,-8.66,-8.47,-9.22,-9.28,-9.66,-10.19,-9.66,-9.88,-9.72,-9.22,-9.84,-9.06,-9.28,-10.72,-10.53,-12.62,-13.81,-15.25,-14.97,-15.28,-15.41,-14.88,-14.97,-14.72,-14.56,-14.91,-14.97,-14.66,-13.78,-10.94,-7.91,-4.59,-1.47,-0.56,0.0,-1.28,-3.75,-4.56,-6.62,-7.78,-7.59,-8.5,-8.47,-8.41,-7.22,-6.91,-5.94,-4.72,-4.66,-5.38,-4.31,-7.81,-10.25,-12.88,-16.41,-17.72,-18.78,-18.03,-17.59,-17.22,-16.62,-17.31,-16.78,-17.41,-16.78,-16.22,-14.47,-11.97,-9.28,-6.0,-2.66,-1.16,0.81,0.69,-0.22,-0.94,-3.28,-5.5,-6.72,-8.44,-7.69,-7.34,-5.53,-4.09,-3.28,-1.78,-1.09,-0.22,-0.12,0.22,-0.38,-1.84,-3.25,-5.78,-7.22,-8.59,-9.81,-10.44,-10.59,-10.34,-10.41,-9.47,-8.62,-8.34,-6.78,-5.72,-5.47,-4.88,-3.81,-4.78,-5.47,-5.38,-7.91,-10.59,-11.31,-12.44,-12.78,-12.75,-12.38,-12.72,-12.84,-13.88,-13.44,-13.41,-12.84,-12.19,-13.06,-12.19,-12.34,-12.09,-12.28,-11.84,-11.59,-13.19,-13.06,-14.19,-14.16,-14.0,-15.06,-15.72,-16.84,-18.56,-19.38,-21.0,-21.5,-21.34,-21.09,-19.5,-17.97,-16.88,-15.34,-14.59,-13.16,-13.03,-10.97,-9.62,-9.38,-7.59,-7.03,-7.62,-7.09,-8.22,-8.06,-8.31,-9.47,-9.91,-10.22,-11.69,-12.25,-12.28,-13.34,-14.53,-15.38,-15.94,-16.56,-16.69,-16.5,-16.34,-16.31,-15.94,-15.22,-14.28,-13.16,-12.34,-12.03,-11.75,-12.06,-13.06,-12.69,-14.41,-15.22,-16.47,-17.84,-19.09,-18.94,-20.0,-18.97,-17.84,-17.03,-16.47,-15.62,-14.66,-13.34,-11.22,-10.22,-9.47,-9.22,-10.81,-12.28,-12.22,-13.47,-14.09,-14.72,-14.78,-14.44,-14.41,-13.81,-12.53,-11.44,-10.66,-11.22,-11.19,-11.19,-11.59,-11.41,-10.25,-9.72,-8.78,-7.84,-6.84,-5.19,-3.94,-4.16,-3.53,-3.0,-3.94,-4.72,-4.94,-7.16,-8.06,-8.53,-8.91,-8.75,-8.84,-7.03,-6.22,-5.75,-5.47,-5.06,-5.06,-5.97,-5.97,-5.75,-6.28,-6.59,-6.66,-8.12,-9.72,-10.41,-10.66,-10.59,-9.94,-10.03,-9.78,-10.53,-11.94,-12.66,-13.47,-12.94,-12.34,-11.47,-10.22,-8.72,-8.38,-7.66,-6.38,-7.16,-7.62,-8.16,-10.09,-10.91,-11.94,-12.59,-12.59,-12.34,-11.41,-10.84,-8.94,-7.31,-4.94,-1.56,0.91,2.22,2.84,0.5,-2.66,-6.53,-10.16,-12.72,-13.81,-13.91,-12.19,-11.16,-10.53,-9.22,-9.91,-9.69,-9.62,-9.72,-9.5,-9.59,-9.75,-9.59,-9.09,-8.94,-8.56,-8.41,-8.38,-8.16,-8.59,-8.31,-7.03,-7.25,-6.59,-5.47,-5.34,-5.34,-6.03,-6.94,-8.06,-8.53,-8.66,-8.03,-7.53,-6.91,-6.91,-6.41,-6.75,-6.88,-7.72,-8.16,-8.34,-8.84,-8.53,-8.09,-8.66,-8.97,-9.59,-10.03,-10.28,-9.38,-8.34,-6.12,-4.72,-3.91,-2.72,-2.09,-1.5,-1.28,-0.72,0.34,1.03,1.66,1.84,1.78,0.38,-1.47,-3.22,-6.0,-8.62,-10.62,-11.84,-12.28,-10.97,-9.91,-8.16,-7.16,-6.84,-5.84,-5.97,-5.19,-4.94,-5.09,-4.47,-5.06,-4.97,-4.56,-3.72,-3.41,-3.16,-2.0,-2.56,-1.84,-0.53,-0.47,-0.53,-0.16,-0.62,-1.47,-1.41,-2.72,-3.88,-4.72,-5.22,-6.53,-6.03,-6.84,-6.34,-6.78,-6.41,-6.12,-5.69,-5.72,-5.97,-6.59,-8.22,-8.94,-10.16,-10.78,-10.16,-10.47,-9.34,-9.19,-9.91,-9.19,-10.28,-10.97,-10.97,-10.22,-9.53,-9.34,-6.47,-5.62,-4.41,-3.44,-3.75,-4.19,-4.53,-6.53,-6.66,-7.62,-9.62,-9.91,-10.44,-10.41,-9.66,-8.25,-7.56,-5.97,-4.88,-4.62,-4.78,-6.25,-7.81,-9.75,-10.72,-10.97,-11.03,-11.34,-11.28,-11.31,-12.06,-11.47,-10.59,-9.22,-6.78,-5.34,-2.47,-0.25,1.53,3.16,4.56,5.88,6.06,7.88,8.34,8.06,7.31,6.06,3.44,2.56,-0.06,-1.59,-3.91,-5.03,-6.59,-6.78,-6.59,-5.69,-3.94,-1.88,-0.56,1.56,1.12,2.09,2.09,1.25,0.81,-1.34,-3.91,-6.78,-8.94,-11.69,-12.34,-12.69,-12.22,-10.94,-9.0,-6.94,-5.53,-4.44,-3.53,-4.41,-4.72,-4.72,-4.44,-5.16,-5.22,-5.03,-5.78,-5.66,-5.34,-5.53,-5.19,-5.25,-4.62,-3.34,-1.97,-0.91,-0.88,-0.34,-0.12,-0.91,-1.34,-2.09,-3.19,-4.59,-6.0,-7.03,-8.03,-9.81,-10.44,-11.31,-11.06,-10.59,-10.16,-7.47,-5.66,-4.72,-2.97,-1.66,-1.31,-0.66,-1.03,-1.44,-2.34,-3.44,-4.97,-6.09,-7.75,-7.06,-6.5,-4.84,-1.38,2.03,4.81,5.94,6.97,5.31,3.56,2.31,2.0,2.84,4.38,5.62,6.81,5.75,5.56,4.31,2.31,1.94,0.78,1.28,1.31,0.56,-0.22,-1.03,-2.44,-2.56,-3.31,-2.72,-3.69,-3.34,-4.47,-6.19,-6.88,-8.31,-8.94,-8.59,-8.28,-8.44,-6.84,-6.94,-6.41,-5.53,-5.19,-5.06,-3.94,-3.66,-2.31,-2.09,-1.03,0.31,1.88,3.44,5.22,6.34,5.75,6.09,5.66,5.81,5.62,5.0,5.53,5.03,5.34,5.0,4.28,3.62,2.06,1.12,0.28,-0.19,-0.44,-1.59,-2.44,-3.47,-4.0,-3.56,-3.0,-2.19,-0.47,0.66,-25.94,-25.66,-25.91,-25.59,-27.34,-29.0,-29.38,-30.53,-31.41,-32.44,-34.53,-37.16,-38.88,-41.91,-44.22,-44.5,-43.97,-43.59,-43.34,-41.66,-40.12,-38.44,-35.81,-32.31,-30.19,-28.34,-27.84,-27.59,-27.91,-28.09:positivity
84.53,82.72,78.31,73.53,69.22,66.5,64.81,65.31,67.28,70.03,72.69,75.44,78.31,80.16,80.66,79.75,78.25,75.53,72.69,70.59,68.44,68.97,71.38,74.06,77.91,81.03,82.75,82.22,79.78,76.88,74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0:64.81,65.31,67.28,70.03,72.69,75.44,78.31,80.16,80.66,79.75,78.25,75.53,72.69,70.59,68.44,68.97,71.38,74.06,77.91,81.03,82.75,82.22,79.78,76.88,74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0,25.81,22.88,17.81,13.25,8.72,4.94:78.31,80.16,80.66,79.75,78.25,75.53,72.69,70.59,68.44,68.97,71.38,74.06,77.91,81.03,82.75,82.22,79.78,76.88,74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0,25.81,22.88,17.81,13.25,8.72,4.94,3.28,2.69,3.75,6.53,10.28,14.34:72.69,70.59,68.44,68.97,71.38,74.06,77.91,81.03,82.75,82.22,79.78,76.88,74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0,25.81,22.88,17.81,13.25,8.72,4.94,3.28,2.69,3.75,6.53,10.28,14.34,18.16,21.56,23.06,22.5,20.56,16.81:77.91,81.03,82.75,82.22,79.78,76.88,74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0,25.81,22.88,17.81,13.25,8.72,4.94,3.28,2.69,3.75,6.53,10.28,14.34,18.16,21.56,23.06,22.5,20.56,16.81,13.16,9.16,7.0,7.78,7.81,10.19:74.5,71.84,70.19,70.31,70.94,72.81,74.59,78.19,81.62,85.16,89.28,91.81,93.19,94.28,92.91,89.66,86.72,83.47,79.5,77.31,75.34,74.53,75.0,75.16,76.69,78.81,80.56,82.59,83.0,82.91,81.34,79.06,77.69,75.59,74.12,74.0,73.84,74.28,74.69,75.19,75.12,74.56,73.34,71.31,67.91,64.5,61.56,59.19,58.69,59.66,63.56,68.06,73.41,77.62,82.03,82.81,82.12,80.03,77.66,74.5,71.88,69.88,69.44,68.19,69.44,70.0,72.38,73.12,74.0,75.47,74.94,76.41,78.03,78.06,80.0,79.41,78.47,77.72,77.0,75.69,76.28,75.88,76.16,75.94,75.34,74.53,74.69,74.31,75.16,75.22,74.56,74.31,73.41,73.44,74.81,76.31,77.97,79.06,80.88,82.03,82.75,83.06,83.31,82.84,82.0,82.25,82.06,81.25,81.62,81.38,79.84,79.16,78.91,78.56,78.94,80.28,81.25,80.78,79.94,78.91,78.44,78.78,80.41,83.75,86.03,86.84,86.66,85.69,83.16,82.09,80.69,80.25,78.72,77.56,75.56,72.97,70.31,69.59,68.19,67.34,67.31,68.09,68.62,69.25,70.38,70.19,71.0,70.91,71.28,72.38,73.62,73.91,74.62,74.44,73.62,72.88,71.19,70.44,69.81,69.38,70.28,71.19,70.81,70.91,69.56,68.06,67.03,65.97,65.41,65.44,67.06,67.91,70.12,72.12,74.0,76.19,77.53,78.88,80.72,81.69,82.38,82.81,83.06,82.5,80.62,79.72,76.5,74.53,72.66,71.59,71.22,71.56,71.78,72.22,73.41,74.72,75.66,78.62,80.0,82.19,83.75,84.41,85.12,84.69,83.47,82.5,80.5,78.44,76.34,74.03,72.59,71.31,70.78,70.06,69.0,67.44,65.53,64.09,63.44,63.69,63.69,63.12,62.91,61.31,61.06,61.0,62.0,62.75,62.53,63.09,61.38,61.28,61.88,62.59,64.12,65.69,65.91,65.25,64.66,63.09,62.31,62.41,62.78,64.81,65.62,65.81,67.28,68.38,69.56,70.88,72.0,74.59,73.91,73.31,74.56,74.44,76.06,77.91,81.25,83.66,84.78,86.16,87.28,87.0,86.0,86.66,85.0,84.03,83.75,82.84,82.41,82.22,83.34,83.66,83.12,83.0,81.94,80.84,79.31,78.66,78.16,77.56,76.31,75.38,73.69,72.88,70.88,70.84,70.59,71.38,71.0,71.94,72.22,72.66,74.94,76.75,77.66,78.56,78.28,77.34,75.09,72.81,71.06,67.72,65.12,63.62,62.0,60.53,58.53,56.84,54.72,52.84,52.62,52.66,54.44,55.31,55.81,55.75,56.81,56.62,57.12,58.69,59.88,61.31,63.41,64.41,65.94,67.41,67.62,67.72,67.62,67.06,66.75,65.47,64.91,62.72,61.19,60.66,58.66,58.44,58.31,59.0,59.91,59.62,61.53,62.75,63.31,66.0,68.06,70.56,71.41,72.75,73.0,71.59,70.88,69.41,67.62,66.19,64.28,63.78,63.44,63.81,65.19,66.41,68.12,69.94,71.59,73.28,74.28,75.66,75.81,76.5,78.34,79.56,79.91,80.16,80.25,79.16,78.28,78.19,76.66,75.75,73.31,70.88,68.75,66.38,63.66,62.81,63.03,64.03,66.34,68.56,72.0,73.19,74.72,74.59,74.16,72.41,70.06,67.94,65.34,62.78,61.34,59.81,59.0,58.0,58.0,58.09,58.91,58.97,59.59,58.91,56.56,55.5,53.22,50.69,49.09,47.31,45.03,42.94,41.66,41.78,43.09,44.94,47.94,52.06,55.5,58.62,61.16,63.12,64.06,64.28,63.69,63.81,62.75,62.44,62.0,62.19,61.34,61.0,62.22,62.78,64.22,65.47,67.03,67.47,68.25,69.03,70.03,71.31,71.91,73.22,74.03,73.12,72.41,70.81,69.12,65.94,63.91,60.16,56.66,55.28,54.66,54.44,57.25,60.06,62.81,66.22,69.62,71.75,73.78,74.66,75.06,75.47,76.41,77.09,76.66,76.69,75.59,74.16,72.78,72.0,71.44,70.44,68.0,67.19,65.69,64.25,64.81,65.44,66.56,67.66,69.0,69.59,71.31,71.25,72.69,73.44,72.94,73.56,73.16,71.19,69.94,69.81,69.38,67.97,67.69,67.53,66.66,65.59,63.44,62.19,60.69,59.03,58.06,57.72,57.28,56.38,55.88,53.94,53.47,52.38,50.28,50.69,51.53,51.94,54.09,55.44,56.06,55.47,54.94,54.75,53.56,55.44,56.91,61.31,65.62,68.25,71.41,70.31,67.84,64.06,60.38,58.06,55.53,55.19,55.81,55.59,56.56,57.22,58.16,58.81,60.12,60.94,61.28,62.16,61.28,60.97,59.25,59.31,57.97,57.97,59.34,59.56,60.81,60.97,60.91,60.03,57.62,57.44,55.69,53.53,52.56,50.94,49.69,48.12,47.94,48.75,49.31,50.81,52.06,52.88,53.59,52.84,52.78,52.28,52.0,52.0,54.12,55.28,57.59,59.91,61.78,64.22,65.78,68.59,71.25,73.66,76.44,78.31,79.34,78.31,76.34,73.78,69.72,66.25,63.22,61.16,60.28,60.44,61.16,61.78,61.81,61.69,60.12,58.97,56.69,55.94,55.19,54.38,54.59,55.12,55.44,56.56,57.44,58.91,60.69,61.72,62.09,61.22,60.22,58.72,56.53,55.31,54.03,51.53,50.0,46.62,44.47,44.0,42.69,44.56,46.69,49.25,51.44,53.44,54.22,54.81,54.34,53.69,52.03,51.03,49.09,46.81,44.72,43.31,42.09,41.72,43.28,44.97,47.69,51.16,54.5,56.62,59.12,60.38,62.19,62.62,62.56,63.44,62.25,61.12,60.41,59.97,59.34,58.53,58.34,57.41,56.62,55.38,54.66,52.75,51.41,49.16,47.44,44.94,42.72,40.75,38.41,36.41,34.75,34.31,34.56,33.88,32.59,31.91,28.81,26.81,24.19,23.0,22.34,21.44,22.38,23.41,25.53,28.25,31.03,35.06,37.88,41.0,44.25,45.5,47.25,47.78,47.12,45.84,44.5,43.03,41.66,40.16,39.72,40.31,41.22,44.03,46.62,50.66,54.03,56.56,59.31,61.31,62.59,63.16,63.47,63.66,64.28,63.88,63.88,64.0,63.31,62.91,64.5,65.22,67.0,69.16,70.06,71.06,72.41,72.06,73.53,73.12,72.88,72.53,71.12,69.16,68.56,67.56,65.69,64.94,64.16,63.31,62.72,61.72,61.75,61.0,61.56,62.44,63.75,67.44,70.5,74.38,75.31,76.09,74.0,70.69,67.03,63.31,61.0,59.0,57.62,57.41,57.72,58.16,59.03,59.88,61.25,61.28,60.94,61.06,62.25,61.94,62.75,64.69,65.56,65.91,66.62,66.59,66.25,66.12,65.12,64.88,64.56,63.94,64.53,65.31,65.06,65.69,65.72,66.0,66.06,65.84,67.0,67.69,67.91,69.41,69.78,70.25,69.84,69.91,70.69,70.59,71.62,71.91,72.31,72.16,71.34,71.06,70.78,70.66,69.66,68.84,67.66,67.0,67.19,66.69,67.16,67.34,66.12,65.06,64.66,65.12,66.34,67.66,69.81,70.72,71.19,72.28,73.19,73.78,74.53,74.72,75.16,74.06,73.31,71.66,69.41,67.06,65.12,63.84,63.41,63.06,62.94,62.34,62.16,61.44,61.72,62.0,25.81,22.88,17.81,13.25,8.72,4.94,3.28,2.69,3.75,6.53,10.28,14.34,18.16,21.56,23.06,22.5,20.56,16.81,13.16,9.16,7.0,7.78,7.81,10.19,13.25,15.75,17.34,18.12,18.56,16.12:positivity
48.56,47.47,47.44,47.44,47.69,47.88,48.56,48.66,48.5,48.16,47.28,45.5,44.41,43.38,41.59,40.06,39.56,38.25,37.62,38.62,38.31,39.78,40.5,40.72,40.44,40.84,40.62,41.84,42.31,41.91,42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34:48.56,48.66,48.5,48.16,47.28,45.5,44.41,43.38,41.59,40.06,39.56,38.25,37.62,38.62,38.31,39.78,40.5,40.72,40.44,40.84,40.62,41.84,42.31,41.91,42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34,8.09,6.62,6.5,6.81,6.06,6.72:44.41,43.38,41.59,40.06,39.56,38.25,37.62,38.62,38.31,39.78,40.5,40.72,40.44,40.84,40.62,41.84,42.31,41.91,42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34,8.09,6.62,6.5,6.81,6.06,6.72,6.91,6.44,6.03,5.0,3.53,1.53:37.62,38.62,38.31,39.78,40.5,40.72,40.44,40.84,40.62,41.84,42.31,41.91,42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34,8.09,6.62,6.5,6.81,6.06,6.72,6.91,6.44,6.03,5.0,3.53,1.53,-0.56,-1.78,-4.19,-5.59,-6.41,-7.56:40.44,40.84,40.62,41.84,42.31,41.91,42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34,8.09,6.62,6.5,6.81,6.06,6.72,6.91,6.44,6.03,5.0,3.53,1.53,-0.56,-1.78,-4.19,-5.59,-6.41,-7.56,-8.91,-9.78,-9.78,-9.38,-9.47,-8.84:42.94,42.28,42.09,42.06,43.0,43.12,44.5,46.19,47.56,48.66,50.31,52.72,53.47,54.72,55.25,55.19,55.38,55.28,55.44,55.19,54.81,53.91,53.94,53.28,52.66,52.19,51.28,50.69,50.28,49.69,48.5,47.19,47.47,46.06,45.72,46.28,45.09,42.94,41.81,39.84,39.19,38.91,38.84,38.5,36.56,34.66,32.28,29.25,25.5,26.19,24.59,26.75,28.53,29.66,29.47,28.31,27.75,26.28,26.81,27.28,28.34,29.0,30.62,31.78,33.47,34.66,34.97,34.69,34.56,34.5,34.72,35.44,36.0,35.62,33.28,30.56,28.06,24.97,23.72,23.12,22.5,22.84,22.88,23.31,21.81,25.47,25.19,27.19,30.28,31.62,32.94,34.0,33.91,35.66,36.31,37.06,37.41,36.59,35.88,34.75,32.53,31.69,30.59,30.44,30.62,30.69,31.53,32.06,32.53,33.62,34.0,34.66,34.0,34.69,34.88,33.88,33.28,33.0,31.53,30.62,30.94,31.0,30.88,30.5,31.03,30.75,30.09,31.41,31.88,33.97,35.22,36.25,36.03,35.25,33.97,32.75,31.31,30.59,30.56,30.94,32.31,33.03,33.75,34.62,34.47,33.44,32.12,31.88,29.28,27.44,26.62,26.03,24.88,23.38,24.41,24.56,24.69,25.81,28.0,28.44,28.69,29.88,29.44,29.94,28.81,28.41,28.16,27.41,27.94,27.91,28.38,27.84,26.66,25.03,23.28,22.72,22.16,22.31,23.31,21.38,19.47,19.62,15.91,15.09,14.75,14.16,13.41,14.03,13.84,15.12,17.09,19.44,22.19,24.47,25.41,25.44,25.97,24.94,24.94,26.38,25.69,25.56,24.81,23.25,21.59,18.84,17.88,16.31,14.5,15.0,14.78,16.06,17.97,18.94,23.06,26.41,29.34,33.12,35.34,35.38,33.53,30.69,27.66,24.28,20.88,19.16,16.84,16.31,16.72,16.94,19.16,22.72,25.47,30.12,33.16,35.56,35.38,35.47,33.69,32.19,30.19,28.0,25.06,19.19,18.03,13.94,12.28,12.31,11.69,11.84,12.84,14.03,15.94,17.44,18.31,18.62,18.91,19.28,20.56,20.53,21.34,22.88,22.62,21.62,24.66,24.41,25.06,26.06,26.56,25.56,25.06,25.69,25.53,27.81,29.06,29.88,30.16,29.16,28.19,26.44,25.34,22.66,21.72,21.03,19.31,20.62,22.66,24.22,25.19,26.78,27.16,27.81,27.44,29.0,29.56,29.38,29.72,30.34,29.97,30.38,27.19,28.84,26.5,24.5,25.31,25.31,25.06,24.97,24.34,24.56,24.0,23.56,24.34,24.69,24.16,23.0,21.78,18.75,17.31,15.31,13.38,16.03,16.0,17.31,18.12,19.12,18.75,18.78,20.31,21.78,23.03,24.44,22.53,24.38,23.94,23.62,24.91,24.81,24.91,23.91,23.19,22.28,21.97,22.53,22.94,21.72,24.12,24.69,25.91,28.34,30.06,29.56,29.31,27.62,26.16,25.91,25.81,25.31,26.09,26.31,26.5,24.75,27.31,27.69,28.5,30.88,32.5,32.56,33.44,32.97,32.12,29.94,27.84,25.03,21.91,18.56,15.88,13.19,9.78,11.88,12.62,16.06,19.03,22.78,25.16,26.91,29.31,30.16,30.59,30.56,30.62,30.22,28.5,27.88,26.12,24.09,22.44,19.47,19.38,18.03,18.69,18.88,19.78,19.56,18.41,17.62,16.72,16.16,16.5,16.72,17.38,17.69,16.81,15.19,14.28,12.19,12.94,13.56,15.19,18.31,20.28,21.78,23.0,22.75,22.88,22.84,22.97,22.38,23.62,23.69,23.25,24.03,24.56,24.34,24.94,24.59,24.44,24.81,24.41,24.06,23.09,23.25,22.5,22.78,23.5,25.19,26.41,26.59,26.28,25.66,24.25,20.91,23.5,22.78,25.22,27.19,28.78,29.0,27.78,26.28,23.62,20.84,19.16,17.94,16.25,16.47,17.97,19.06,20.59,21.97,21.06,20.16,20.84,19.59,19.44,20.84,20.84,19.44,19.81,19.81,19.53,19.59,20.09,20.34,19.69,19.09,21.59,22.56,26.84,29.19,31.56,30.66,28.78,27.03,23.62,21.91,21.88,21.75,23.38,25.06,27.69,27.38,29.66,29.94,30.69,30.84,28.91,26.34,24.06,21.12,18.53,16.78,17.31,17.0,18.81,19.53,21.19,20.06,22.0,21.12,21.53,22.78,23.88,24.34,25.31,25.84,25.0,24.97,23.31,23.31,23.34,24.06,24.75,26.28,24.81,25.41,25.81,26.5,27.16,29.09,29.0,28.69,28.06,28.09,28.69,30.31,31.56,32.91,33.81,34.53,34.75,31.66,33.41,31.94,31.16,32.06,31.88,31.91,31.16,30.94,30.62,29.09,28.66,26.56,25.84,24.91,21.41,25.31,25.31,28.09,32.31,35.25,38.19,39.62,39.66,39.25,37.81,37.06,35.84,35.91,35.22,33.34,31.47,28.69,26.69,26.47,26.22,27.97,29.81,31.5,33.16,34.62,34.69,33.22,32.12,29.66,28.94,27.31,26.06,26.19,23.41,25.56,25.19,26.19,28.56,30.25,31.19,31.31,29.16,28.19,24.5,22.84,20.88,20.09,19.66,19.59,19.66,18.84,16.28,17.56,15.94,16.69,16.34,15.78,15.19,13.94,13.91,14.09,15.0,15.97,15.91,16.94,18.25,19.19,20.84,22.12,22.41,21.41,22.56,21.03,21.06,22.31,22.16,22.34,21.28,21.12,19.5,18.19,16.91,16.38,16.12,16.75,18.31,19.78,21.12,22.44,22.25,19.69,20.97,19.0,18.34,18.38,19.06,18.31,17.78,17.03,16.41,16.75,15.97,17.62,18.12,19.19,21.41,23.56,25.22,26.12,26.69,28.5,28.59,29.47,30.84,30.56,29.25,27.47,24.5,22.31,20.28,18.09,17.47,15.19,15.62,14.94,15.5,16.53,17.78,17.66,17.25,16.41,15.47,15.22,14.56,15.41,16.16,17.03,18.31,18.81,19.84,17.66,20.0,17.56,16.41,16.06,13.91,13.94,12.56,12.47,13.28,14.09,14.94,16.72,17.97,18.69,18.19,20.19,21.16,20.81,22.94,23.72,23.91,23.78,22.97,23.28,23.19,24.72,27.41,29.94,32.75,34.47,35.56,35.62,32.66,28.38,27.88,24.09,22.5,21.0,19.81,17.91,15.5,14.75,14.5,15.28,17.75,20.88,24.41,27.75,29.94,31.84,30.72,30.81,28.75,26.16,24.53,23.25,21.59,20.41,19.53,19.22,19.69,20.91,22.91,25.28,26.75,28.91,28.41,29.28,29.5,28.28,29.84,29.75,28.91,27.84,26.41,24.91,22.88,22.72,20.59,18.72,17.78,14.5,13.94,14.44,13.91,16.31,18.34,20.41,21.16,23.12,23.62,24.69,25.69,27.09,27.34,28.12,29.12,29.38,30.06,28.66,27.56,28.16,27.78,29.62,31.72,33.44,33.44,33.47,32.09,29.81,27.81,26.5,24.88,24.06,24.12,24.56,24.81,25.47,26.16,22.62,24.41,20.94,21.09,19.97,18.31,18.31,18.41,18.31,20.09,20.84,21.38,21.88,20.94,19.53,17.81,15.56,12.69,10.41,7.16,7.19,5.59,6.0,7.25,9.03,10.59,12.16,14.31,15.56,17.0,18.31,19.12,19.0,19.19,19.94,19.41,20.19,20.94,21.34,8.09,6.62,6.5,6.81,6.06,6.72,6.91,6.44,6.03,5.0,3.53,1.53,-0.56,-1.78,-4.19,-5.59,-6.41,-7.56,-8.91,-9.78,-9.78,-9.38,-9.47,-8.84,-8.47,-8.91,-9.34,-10.16,-11.25,-12.44:positivity
54.91,55.12,56.09,56.38,55.97,55.75,55.41,55.03,55.47,54.97,55.69,56.38,55.94,55.19,52.97,50.16,46.16,43.44,42.0,41.0,40.75,41.91,43.0,44.62,45.78,45.84,45.94,45.12,43.78,42.97,41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22:55.41,55.03,55.47,54.97,55.69,56.38,55.94,55.19,52.97,50.16,46.16,43.44,42.0,41.0,40.75,41.91,43.0,44.62,45.78,45.84,45.94,45.12,43.78,42.97,41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22,27.34,27.38,27.78,28.66,28.97,30.0:55.94,55.19,52.97,50.16,46.16,43.44,42.0,41.0,40.75,41.91,43.0,44.62,45.78,45.84,45.94,45.12,43.78,42.97,41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22,27.34,27.38,27.78,28.66,28.97,30.0,30.41,31.34,33.03,34.81,38.28,40.5:42.0,41.0,40.75,41.91,43.0,44.62,45.78,45.84,45.94,45.12,43.78,42.97,41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22,27.34,27.38,27.78,28.66,28.97,30.0,30.41,31.34,33.03,34.81,38.28,40.5,42.69,43.25,41.5,39.34,36.59,32.06:45.78,45.84,45.94,45.12,43.78,42.97,41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22,27.34,27.38,27.78,28.66,28.97,30.0,30.41,31.34,33.03,34.81,38.28,40.5,42.69,43.25,41.5,39.34,36.59,32.06,31.09,29.38,28.56,29.75,30.25,32.34:41.94,42.62,43.47,44.38,45.16,46.75,47.81,48.34,50.0,51.84,53.47,54.81,56.44,57.06,56.41,56.19,55.69,56.88,56.31,57.12,58.62,59.19,59.81,60.44,61.12,61.5,61.28,60.84,59.94,57.28,57.03,54.41,53.03,52.25,51.25,50.62,51.38,52.25,53.06,53.47,53.44,52.81,50.97,48.81,47.16,45.88,45.06,44.66,45.84,48.19,50.97,53.41,56.94,57.84,58.97,59.22,57.31,57.03,55.91,55.41,55.66,56.31,56.5,56.59,55.41,54.41,52.91,51.94,51.31,51.66,51.97,52.81,52.69,52.38,50.94,50.66,49.12,49.25,48.66,49.53,51.19,53.03,54.84,57.03,57.56,57.97,58.25,56.06,55.66,54.5,53.19,53.12,50.97,51.38,52.44,53.12,55.03,56.19,56.94,56.5,55.62,54.38,53.84,51.97,52.06,52.0,52.41,52.81,53.41,53.59,52.5,52.53,51.81,51.44,51.53,52.06,52.59,52.56,52.5,52.44,52.44,52.62,53.31,52.97,54.91,55.75,58.88,60.53,62.81,64.34,64.56,63.25,60.88,57.91,55.88,54.0,54.31,56.22,58.22,60.94,63.78,64.03,64.66,62.41,59.5,56.44,51.81,49.91,48.47,47.62,48.25,48.97,49.81,50.66,51.09,51.75,50.69,50.94,50.28,49.44,49.31,48.12,47.0,45.5,43.25,41.94,39.88,38.75,37.69,36.72,35.66,35.47,35.44,34.84,35.97,37.44,38.56,40.81,42.12,41.81,42.78,42.44,41.72,40.66,39.78,38.31,37.38,36.88,36.41,35.0,33.91,33.34,31.56,30.12,30.31,30.62,33.06,35.72,39.81,43.84,47.25,50.53,51.56,53.34,51.66,51.25,49.44,47.25,46.34,45.78,44.91,45.0,45.25,43.47,42.09,41.06,40.16,38.91,38.25,39.06,38.94,39.88,41.59,42.44,43.0,42.56,42.41,41.66,40.16,39.59,37.94,36.5,35.19,32.91,31.34,30.56,30.0,29.38,29.44,29.38,30.03,31.06,31.88,32.19,33.5,34.16,34.88,36.16,37.06,38.53,39.47,40.44,41.25,40.66,40.19,39.5,38.66,38.69,38.16,37.59,36.69,35.53,34.06,33.44,32.94,33.88,34.94,37.22,39.12,40.41,42.38,43.78,43.69,43.72,43.72,42.56,43.38,43.38,43.88,43.94,45.31,45.31,45.12,44.09,41.81,40.25,39.25,36.34,35.5,34.81,33.81,32.94,32.94,34.34,35.78,37.12,38.97,40.5,41.0,41.66,41.69,41.03,40.78,40.0,38.81,37.84,36.31,35.38,34.84,34.03,34.22,35.62,37.81,40.19,43.25,43.94,45.0,44.94,45.0,43.78,42.72,41.34,41.38,40.78,41.34,41.72,42.91,42.69,42.94,42.56,40.91,40.25,38.5,37.59,37.28,35.75,35.94,36.62,36.09,38.03,38.25,39.25,40.19,39.81,39.0,38.0,36.56,34.53,33.66,32.84,32.41,32.06,32.84,33.75,34.44,35.75,35.19,33.31,33.03,31.69,32.34,33.69,35.69,38.56,40.5,41.94,42.12,42.09,40.94,40.69,39.47,38.88,39.12,38.25,38.97,39.97,39.62,39.53,38.75,37.59,36.88,36.56,36.53,38.34,40.25,44.12,48.47,53.03,56.16,55.59,54.09,50.12,45.12,40.44,37.72,36.84,36.81,37.62,39.19,40.66,41.22,41.0,40.31,39.16,37.81,35.28,34.72,34.41,33.84,35.16,36.88,38.44,39.0,39.75,39.28,37.91,37.12,35.97,34.5,31.88,30.06,27.28,24.72,22.75,21.0,19.25,18.44,18.06,18.34,19.41,19.78,21.0,23.75,25.41,28.03,29.72,30.59,30.75,29.06,27.81,25.94,25.19,25.06,25.78,27.25,29.06,29.41,29.56,29.03,27.47,26.94,25.94,25.69,25.56,25.31,26.12,27.12,28.31,30.78,33.84,37.19,39.44,41.47,41.12,41.28,40.5,39.47,39.31,38.44,37.12,35.47,33.31,30.78,28.56,25.47,24.75,24.72,25.5,27.66,30.28,32.62,35.03,37.38,38.88,39.88,40.44,39.44,38.72,36.91,33.84,32.09,30.06,28.59,27.53,26.81,24.78,23.62,21.69,19.78,17.66,16.12,14.59,13.28,13.25,14.44,16.53,19.53,22.56,25.38,26.44,26.69,25.91,23.81,22.59,21.41,20.62,21.69,23.19,24.0,25.44,27.06,26.62,27.31,27.19,27.78,26.69,26.88,26.5,26.56,27.94,29.91,32.66,35.03,37.09,37.72,37.34,36.38,35.88,35.56,36.81,38.62,40.81,41.94,42.25,41.12,38.09,35.81,35.34,34.06,34.78,36.31,37.12,37.81,38.34,38.94,39.16,38.31,37.72,35.72,33.59,31.59,30.22,29.34,28.91,29.66,30.16,29.31,28.72,27.47,26.34,25.56,23.41,22.62,21.81,18.84,17.03,15.06,13.19,12.03,12.25,12.81,12.12,12.56,13.06,13.03,13.56,15.12,16.0,16.94,17.06,17.81,15.25,14.03,12.0,10.0,10.41,10.06,11.66,13.62,16.16,19.12,22.5,25.78,28.22,30.75,30.81,30.97,30.59,29.78,29.28,29.91,30.19,29.88,29.75,29.31,29.09,28.31,27.31,26.5,25.44,24.34,23.47,24.03,24.66,25.78,27.53,28.88,30.81,31.59,32.44,31.03,29.88,27.59,26.06,24.16,23.31,23.53,23.31,23.25,24.75,25.94,27.94,32.34,35.56,38.62,40.53,41.5,42.44,42.06,42.66,41.78,39.62,37.41,33.03,29.38,27.19,24.28,23.69,23.78,24.41,24.91,25.75,26.22,26.59,27.12,27.69,28.06,27.72,26.88,25.69,24.09,23.47,23.81,24.75,25.44,25.88,26.66,27.34,26.81,26.41,26.38,24.69,23.44,22.12,20.31,19.44,19.22,19.03,19.38,19.78,19.53,20.19,20.03,19.69,20.44,21.66,21.5,23.75,24.03,23.12,22.12,20.09,18.81,17.69,16.66,17.41,18.25,20.12,21.5,23.47,25.56,26.16,28.12,29.5,30.34,31.12,30.5,29.72,28.66,27.69,25.94,25.09,24.56,23.91,23.12,24.5,24.0,23.97,23.94,23.06,21.66,20.28,18.97,18.22,17.81,18.25,17.56,17.28,17.0,17.03,15.19,15.34,15.16,15.84,16.62,16.97,16.41,15.78,14.81,15.19,14.47,14.44,14.09,12.56,12.28,10.81,10.44,10.41,10.16,10.16,9.94,8.97,8.44,8.34,8.88,10.28,11.12,12.88,13.44,13.69,14.41,14.09,15.06,16.84,17.69,18.84,20.06,20.12,20.06,20.0,19.66,19.94,19.81,19.28,19.41,19.5,18.53,18.03,17.59,17.19,16.19,14.62,12.88,10.31,8.34,6.69,5.59,5.84,5.88,6.81,7.44,8.03,7.69,7.91,7.34,7.16,5.44,5.75,5.38,5.25,5.88,6.69,6.69,6.75,6.72,6.06,5.06,4.78,3.41,3.81,3.94,4.25,4.88,6.19,6.75,8.25,8.47,10.5,10.91,11.81,12.88,14.25,14.94,15.34,15.38,14.31,12.72,10.94,8.84,8.25,7.72,7.41,8.0,8.25,9.03,9.78,11.0,11.19,11.69,10.88,10.5,9.88,9.78,9.16,9.25,9.12,8.06,7.66,7.06,7.28,6.38,7.56,7.81,9.19,10.75,11.22,27.34,27.38,27.78,28.66,28.97,30.0,30.41,31.34,33.03,34.81,38.28,40.5,42.69,43.25,41.5,39.34,36.59,32.06,31.09,29.38,28.56,29.75,30.25,32.34,32.84,33.44,33.72,33.0,32.66,31.41:positivity
38.69,37.91,38.81,40.09,40.31,40.06,40.75,40.28,38.81,36.91,35.56,34.0,32.59,32.69,32.34,32.34,32.25,31.56,30.34,29.28,27.62,26.25,25.12,23.41,23.53,22.94,24.03,25.78,27.19,28.91,31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91:40.75,40.28,38.81,36.91,35.56,34.0,32.59,32.69,32.34,32.34,32.25,31.56,30.34,29.28,27.62,26.25,25.12,23.41,23.53,22.94,24.03,25.78,27.19,28.91,31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91,-26.59,-26.47,-25.84,-25.47,-25.47,-24.53:32.59,32.69,32.34,32.34,32.25,31.56,30.34,29.28,27.62,26.25,25.12,23.41,23.53,22.94,24.03,25.78,27.19,28.91,31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91,-26.59,-26.47,-25.84,-25.47,-25.47,-24.53,-24.66,-25.5,-27.59,-28.34,-28.53,-29.59:30.34,29.28,27.62,26.25,25.12,23.41,23.53,22.94,24.03,25.78,27.19,28.91,31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91,-26.59,-26.47,-25.84,-25.47,-25.47,-24.53,-24.66,-25.5,-27.59,-28.34,-28.53,-29.59,-28.38,-25.84,-24.34,-21.97,-20.88,-20.34:23.53,22.94,24.03,25.78,27.19,28.91,31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91,-26.59,-26.47,-25.84,-25.47,-25.47,-24.53,-24.66,-25.5,-27.59,-28.34,-28.53,-29.59,-28.38,-25.84,-24.34,-21.97,-20.88,-20.34,-20.59,-22.09,-23.16,-24.06,-25.84,-26.16:31.25,33.03,33.31,34.34,34.81,34.0,33.91,33.94,33.78,32.62,32.31,32.0,30.56,30.16,29.25,27.94,27.94,26.81,26.31,26.47,26.69,27.25,27.62,28.22,28.72,28.25,27.72,26.81,25.03,24.53,23.44,22.53,21.78,20.34,17.84,15.34,13.91,11.75,9.28,8.31,7.03,5.91,5.69,5.22,5.41,8.0,9.06,10.97,13.19,16.66,18.25,20.5,21.56,21.97,22.25,20.75,19.28,17.34,17.12,16.81,17.53,18.78,18.31,19.94,20.62,21.09,20.91,21.12,19.62,16.56,14.44,12.28,11.03,11.41,12.19,14.03,14.75,16.19,17.81,18.41,19.84,20.09,20.69,19.06,17.06,16.12,12.84,11.0,10.16,9.31,10.59,11.69,13.5,16.06,18.19,20.72,23.16,24.25,25.12,22.78,20.62,18.56,16.0,14.59,14.62,13.62,14.47,13.94,15.06,16.81,17.69,19.31,20.28,20.12,19.78,17.06,13.56,11.78,10.28,9.28,9.91,11.62,13.81,15.97,18.09,20.28,22.72,23.19,24.38,25.53,25.34,23.94,22.78,21.59,19.31,17.56,16.31,14.12,12.62,10.75,9.44,9.81,10.5,11.5,13.75,15.81,17.5,18.06,17.31,17.06,15.66,15.03,14.78,15.19,16.81,16.66,16.75,15.88,13.25,10.31,7.38,5.06,3.09,2.47,2.34,2.44,3.5,4.09,6.75,8.56,9.34,10.59,9.91,8.97,8.62,7.41,8.53,9.44,9.66,10.12,10.78,9.12,8.12,6.88,5.28,5.12,4.59,4.88,6.19,6.62,7.69,9.41,11.81,13.91,15.66,18.25,19.31,20.28,21.06,21.16,21.94,21.44,20.28,19.12,17.34,15.0,13.53,11.31,10.16,9.0,9.69,10.5,9.62,10.16,11.34,12.72,14.62,18.31,21.19,23.03,24.12,24.72,22.88,21.69,19.78,16.84,14.88,12.56,11.59,11.0,9.88,11.81,12.81,13.69,14.0,13.44,13.03,11.34,9.31,8.94,7.62,7.5,8.0,7.69,8.34,8.91,9.0,9.81,9.81,10.0,10.97,10.97,10.66,9.72,9.19,7.03,6.28,6.16,5.78,5.66,3.88,2.38,1.59,0.22,-0.22,0.53,1.44,3.59,4.81,5.19,6.72,7.5,8.97,9.78,10.44,10.66,9.66,9.09,8.62,7.47,6.56,6.78,5.97,5.31,4.62,4.03,2.81,3.03,4.06,4.25,6.12,9.56,11.56,14.0,14.47,14.0,12.06,9.88,7.28,5.06,3.5,2.34,3.19,4.94,7.62,9.84,12.0,13.03,13.06,10.59,8.12,5.81,2.84,0.53,-1.88,-3.97,-5.81,-7.38,-7.81,-8.12,-6.84,-6.41,-5.84,-4.31,-3.72,-3.47,-2.97,-4.03,-2.34,-3.34,-2.25,-1.53,0.0,1.38,3.31,4.81,5.62,6.28,6.44,7.0,6.5,5.38,5.0,3.66,3.06,2.78,2.5,3.09,2.34,2.91,2.28,1.44,1.53,0.16,0.56,0.12,-0.25,1.38,2.19,2.75,3.94,4.56,4.31,4.12,3.62,3.88,3.94,4.5,5.75,6.91,7.91,9.03,9.5,9.5,11.12,11.91,13.0,13.47,13.66,14.03,13.88,12.38,12.62,13.09,12.31,12.25,11.78,11.0,11.12,11.22,10.5,10.12,10.25,9.75,10.06,10.72,11.41,11.34,11.38,10.03,9.38,7.44,5.44,4.66,2.78,1.91,1.38,0.62,0.28,-0.25,-0.34,-1.09,-0.81,-0.81,-1.59,-2.38,-4.12,-6.03,-8.5,-11.5,-12.22,-13.41,-14.31,-13.41,-12.41,-10.81,-8.72,-6.47,-4.09,-2.25,-0.41,1.56,2.16,3.09,2.88,0.72,-2.28,-4.66,-7.88,-9.09,-10.72,-10.16,-9.88,-10.19,-9.12,-8.66,-7.91,-6.81,-5.94,-4.0,-2.72,-0.59,1.25,1.25,2.53,2.25,2.34,3.66,4.91,6.91,9.0,11.72,13.03,13.19,12.41,10.44,9.09,8.34,7.34,7.56,7.38,7.28,6.81,5.78,4.59,3.34,1.25,0.12,-1.97,-3.47,-3.0,-2.72,-1.59,1.81,3.0,4.41,5.81,6.53,6.38,6.34,5.06,3.34,1.44,0.25,0.62,1.12,3.94,6.56,9.44,11.84,13.44,13.12,11.66,10.31,6.09,3.69,1.66,-0.69,-1.78,-1.69,-1.66,-0.69,-0.19,0.16,0.72,1.25,1.0,1.44,1.94,1.88,2.28,1.53,1.66,1.34,0.66,0.38,0.59,0.22,0.34,0.41,0.09,1.12,0.81,0.12,-0.28,-1.62,-3.31,-3.31,-3.22,-2.38,-0.97,-0.28,1.91,3.81,5.94,6.41,6.97,6.34,4.34,3.69,1.81,1.78,1.19,2.62,4.78,7.41,10.62,14.56,16.88,19.19,20.25,20.44,19.84,18.19,17.34,15.75,15.12,14.47,13.0,13.41,13.31,13.78,13.94,14.5,14.28,15.0,15.0,15.44,15.12,15.78,15.75,16.12,16.91,17.53,17.94,17.06,16.41,16.12,15.31,14.88,14.72,14.25,13.0,12.69,11.62,11.47,11.12,10.91,12.56,13.81,16.0,17.12,17.31,16.81,14.81,13.66,12.19,10.94,9.53,7.78,6.78,4.56,3.53,1.75,0.56,1.06,0.72,0.91,1.91,2.16,2.94,4.59,6.62,8.75,11.06,12.19,13.44,13.12,12.0,11.94,10.75,9.72,9.69,9.88,9.25,9.09,7.78,5.91,3.59,2.06,0.09,-0.59,-1.47,-1.88,-1.09,-0.97,0.16,1.34,2.25,4.0,5.19,6.16,7.41,8.0,7.91,7.97,8.19,6.91,5.91,5.0,2.75,0.41,-2.06,-4.91,-6.34,-7.34,-7.47,-6.19,-5.53,-5.91,-5.25,-4.81,-4.16,-3.19,-1.0,1.53,3.44,6.0,7.06,7.69,7.62,7.78,6.78,5.03,4.56,3.0,2.41,2.5,2.69,3.84,5.81,6.94,9.25,9.56,9.56,8.69,7.09,4.91,2.94,0.41,-0.59,-0.97,-0.84,1.38,3.84,5.56,7.34,9.44,10.62,10.38,9.59,8.09,6.28,4.5,2.22,1.12,0.81,0.38,0.91,2.06,3.56,6.06,9.72,13.56,17.81,21.94,25.75,28.03,29.12,29.0,27.81,25.25,22.5,21.53,19.84,18.16,17.59,16.56,16.16,14.91,13.75,13.5,11.16,9.88,8.31,6.44,6.38,6.34,7.75,10.53,14.81,18.53,21.81,25.25,26.94,27.12,26.5,25.0,22.97,20.06,17.81,15.06,12.91,11.09,10.31,10.22,10.81,13.28,15.62,18.53,21.56,24.41,25.88,26.94,25.94,24.19,21.69,17.94,16.75,16.28,16.69,18.31,19.59,20.41,21.56,21.28,19.94,19.72,19.94,19.97,21.62,22.62,23.62,24.06,24.0,24.53,24.16,23.66,22.34,21.94,20.72,20.16,19.97,20.03,20.66,21.84,22.16,22.41,22.81,22.31,20.91,19.97,19.25,18.03,17.78,18.53,18.31,18.31,18.47,16.94,15.34,14.69,13.56,13.19,12.75,11.19,10.16,8.72,7.34,7.0,8.16,9.22,9.66,10.69,11.69,11.03,11.81,11.81,11.97,11.69,11.41,10.66,9.78,9.28,8.88,9.91,9.78,10.47,11.69,12.0,12.94,13.69,13.03,12.5,11.06,8.16,5.44,3.31,1.19,0.72,1.0,1.53,3.03,3.72,4.5,4.91,-26.59,-26.47,-25.84,-25.47,-25.47,-24.53,-24.66,-25.5,-27.59,-28.34,-28.53,-29.59,-28.38,-25.84,-24.34,-21.97,-20.88,-20.34,-20.59,-22.09,-23.16,-24.06,-25.84,-26.16,-25.75,-26.34,-25.94,-25.34,-24.78,-24.66:positivity
79.69,79.56,79.06,76.69,74.19,72.38,70.12,68.5,66.31,66.0,64.56,64.38,64.62,64.69,65.56,66.06,65.81,66.31,66.06,65.09,65.81,65.78,66.31,66.5,66.94,65.5,65.44,64.56,63.81,64.0,63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06:70.12,68.5,66.31,66.0,64.56,64.38,64.62,64.69,65.56,66.06,65.81,66.31,66.06,65.09,65.81,65.78,66.31,66.5,66.94,65.5,65.44,64.56,63.81,64.0,63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06,22.59,24.19,24.69,24.56,22.84,21.62:64.62,64.69,65.56,66.06,65.81,66.31,66.06,65.09,65.81,65.78,66.31,66.5,66.94,65.5,65.44,64.56,63.81,64.0,63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06,22.59,24.19,24.69,24.56,22.84,21.62,19.62,17.19,14.94,13.44,11.94,11.56:66.06,65.09,65.81,65.78,66.31,66.5,66.94,65.5,65.44,64.56,63.81,64.0,63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06,22.59,24.19,24.69,24.56,22.84,21.62,19.62,17.19,14.94,13.44,11.94,11.56,10.78,10.66,10.91,11.16,11.97,12.97:66.94,65.5,65.44,64.56,63.81,64.0,63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06,22.59,24.19,24.69,24.56,22.84,21.62,19.62,17.19,14.94,13.44,11.94,11.56,10.78,10.66,10.91,11.16,11.97,12.97,13.62,14.91,14.81,15.44,17.06,16.91:63.41,63.88,64.44,65.5,67.31,67.81,69.06,69.38,69.66,70.38,71.44,73.06,74.84,75.56,75.97,75.84,75.38,75.06,74.38,74.56,74.06,73.12,73.19,72.12,72.06,72.38,72.81,73.5,73.31,72.19,71.62,70.25,68.91,67.94,67.25,66.06,64.94,63.88,62.44,61.5,59.81,58.44,56.69,56.69,55.44,56.5,57.78,59.19,60.88,62.94,65.12,67.0,69.16,70.25,71.03,71.25,71.81,70.81,71.25,71.47,71.12,72.09,71.5,71.44,70.44,69.25,68.66,68.25,67.91,69.19,70.03,71.38,71.81,72.38,72.91,73.31,74.12,74.94,75.53,75.62,75.72,74.34,74.0,72.56,71.12,69.56,69.19,69.53,69.25,70.66,71.38,72.69,73.31,73.66,73.91,73.53,72.94,72.38,72.78,73.5,74.19,73.81,74.0,72.88,71.81,71.69,72.12,73.06,74.12,75.19,75.16,76.94,76.81,77.66,76.91,76.94,76.06,75.03,75.0,76.06,76.88,78.5,80.31,81.94,85.28,87.19,89.69,91.56,91.25,90.56,88.81,86.75,85.31,83.94,83.81,84.44,85.03,86.56,87.25,86.56,85.31,84.06,82.81,81.94,82.38,81.81,81.0,79.66,77.81,76.38,75.06,72.88,71.5,70.69,69.06,67.94,66.62,66.12,64.38,62.75,61.5,60.38,59.62,60.31,60.12,62.31,63.78,65.06,66.94,67.91,68.44,68.53,67.38,68.5,67.12,68.06,69.0,69.53,71.56,72.62,74.5,76.62,78.0,80.31,81.81,82.19,83.25,82.69,82.25,82.0,81.31,80.25,80.0,77.88,77.75,76.69,76.0,76.72,77.0,76.44,75.97,73.81,70.97,69.25,68.06,67.03,67.06,67.5,67.03,66.88,65.25,64.88,64.0,63.25,62.94,61.97,61.75,61.62,60.56,60.81,60.44,60.62,60.06,60.16,61.0,60.81,62.31,63.44,64.47,65.5,67.38,67.62,67.5,69.09,69.0,69.25,70.38,70.88,71.62,71.62,71.06,70.06,68.0,66.0,63.56,62.56,60.41,59.5,59.94,60.75,61.94,64.03,65.62,67.28,67.31,68.12,67.94,68.25,68.38,69.06,69.75,70.62,71.31,72.34,72.94,74.31,75.44,76.5,77.62,78.5,79.44,79.31,79.03,77.75,76.06,74.88,73.75,72.31,72.31,72.38,72.12,72.75,72.94,72.5,72.66,71.03,69.31,68.12,66.5,65.19,64.03,64.06,63.62,64.25,65.25,66.56,68.31,69.19,70.0,71.03,71.06,71.31,71.62,72.69,71.97,72.88,73.25,72.5,71.38,70.62,69.28,67.12,66.12,65.19,63.81,63.91,64.72,65.75,67.06,69.5,69.88,71.38,72.5,71.34,71.12,69.81,68.31,66.75,65.12,64.62,63.88,63.69,64.19,64.19,66.06,68.06,70.19,72.38,74.69,76.19,76.41,77.09,76.94,77.19,76.31,75.62,74.5,72.62,69.56,67.44,65.62,63.88,63.84,64.19,65.5,67.38,69.25,72.06,75.38,78.12,80.44,82.12,82.69,81.75,79.56,76.38,73.44,70.16,67.72,65.25,63.22,62.34,61.25,60.91,61.69,63.06,64.0,64.06,64.69,64.5,63.91,63.88,63.75,63.81,63.59,63.31,63.75,65.12,66.62,67.88,70.75,71.91,73.03,73.81,74.62,73.16,72.69,71.56,70.59,70.19,70.31,71.03,71.12,72.12,73.0,73.88,73.94,74.06,75.0,74.53,74.06,74.44,74.0,72.5,71.81,70.69,69.56,69.69,69.56,69.38,69.34,69.12,69.03,68.06,67.84,67.06,65.06,63.75,61.41,59.94,57.06,55.38,54.88,53.75,54.0,54.94,56.19,56.41,58.91,60.94,62.44,64.44,65.56,65.81,66.19,65.62,65.94,66.97,65.62,65.72,67.28,68.12,68.38,72.25,71.75,70.88,70.19,69.44,66.06,65.62,63.12,61.75,61.31,60.03,61.28,63.5,64.31,66.0,67.66,68.69,70.12,68.16,69.31,66.44,65.69,65.75,65.12,64.5,63.56,62.41,60.94,58.97,57.69,57.97,56.69,57.28,57.91,58.25,59.0,59.53,58.5,58.28,58.03,57.06,55.56,54.31,55.38,54.38,54.69,55.5,55.91,56.0,55.38,55.09,55.22,53.59,52.38,51.62,50.31,50.53,51.19,51.81,52.78,53.5,54.31,56.0,56.38,56.94,56.78,55.97,55.12,54.62,54.78,55.0,54.44,54.88,55.56,55.62,55.31,56.53,56.25,55.62,56.53,56.88,54.81,53.5,51.94,50.22,49.0,48.44,49.56,51.56,52.25,53.41,54.5,53.69,52.81,51.81,50.62,48.75,48.06,46.75,45.47,46.31,46.94,47.94,48.69,49.31,48.25,47.56,46.47,46.62,45.84,46.78,48.69,50.31,51.38,52.09,52.53,51.12,50.94,49.81,49.06,48.12,47.0,45.19,44.44,44.41,46.16,45.53,47.31,47.81,48.0,47.12,46.5,46.06,45.62,45.19,45.94,46.88,44.41,45.81,47.38,50.56,53.56,58.0,62.62,63.88,62.62,60.31,58.81,55.81,54.81,52.81,53.88,53.69,52.19,51.62,52.06,51.53,52.75,54.19,56.44,62.56,61.44,58.44,60.0,56.94,53.5,54.03,56.66,57.62,57.38,58.44,59.06,58.75,60.81,61.91,62.88,63.31,63.19,62.69,61.19,60.5,59.5,58.94,58.0,57.69,56.88,56.16,56.34,54.19,53.62,52.66,50.44,50.5,51.06,51.62,52.19,53.5,53.84,53.94,53.0,49.69,48.81,44.25,43.56,40.81,40.88,41.25,42.56,44.25,45.25,45.88,46.41,47.06,46.44,45.41,44.53,43.38,41.66,40.53,40.66,41.03,41.69,43.06,41.53,41.88,41.88,41.12,42.44,43.44,46.12,49.31,50.75,54.0,57.06,59.44,62.44,63.44,64.69,63.44,61.5,59.62,58.62,58.38,58.56,59.5,59.38,58.38,58.25,57.31,56.03,55.0,54.5,53.03,53.06,51.75,52.38,53.25,54.12,55.69,56.06,56.78,56.19,56.25,54.69,55.84,56.06,56.56,56.34,56.66,57.34,58.06,58.91,60.16,61.56,62.12,62.75,63.69,62.66,62.88,62.12,61.19,60.78,61.12,61.25,61.06,58.94,58.5,56.62,55.41,54.94,54.88,55.06,55.81,55.06,56.03,55.94,55.38,55.56,54.84,54.81,54.5,55.06,55.81,56.19,57.31,57.09,56.25,55.5,54.25,53.25,52.56,52.28,51.56,50.88,50.69,50.12,50.31,50.0,51.06,52.12,53.62,55.25,56.12,57.34,57.31,56.69,57.0,56.12,55.28,54.25,53.5,53.19,52.22,52.94,53.56,54.75,55.19,56.75,58.31,59.69,60.44,61.5,62.56,62.81,62.62,62.81,62.12,61.25,59.81,58.59,57.81,57.0,57.25,58.0,58.56,60.94,60.88,61.66,63.31,61.94,61.62,61.06,59.25,58.03,56.19,55.62,54.47,54.62,55.25,56.03,59.75,62.31,64.12,69.28,70.25,71.38,71.06,68.38,65.56,62.5,60.12,58.69,57.69,59.44,58.88,60.03,61.31,61.94,62.62,62.97,63.66,65.06,65.31,65.66,64.88,63.75,62.69,61.44,60.12,59.69,58.62,58.62,58.94,59.06,58.38,59.69,59.31,58.88,60.06,60.88,60.06,60.75,60.06,22.59,24.19,24.69,24.56,22.84,21.62,19.62,17.19,14.94,13.44,11.94,11.56,10.78,10.66,10.91,11.16,11.97,12.97,13.62,14.91,14.81,15.44,17.06,16.91,17.53,16.53,15.69,15.03,14.91,15.41:positivity
11.31,9.5,10.88,10.28,13.03,15.16,14.62,16.28,14.06,13.44,11.44,11.84,11.56,11.5,12.62,13.28,13.25,13.66,13.31,12.16,11.0,8.53,4.53,4.69,2.28,2.5,4.91,7.28,9.94,12.47,14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91:14.62,16.28,14.06,13.44,11.44,11.84,11.56,11.5,12.62,13.28,13.25,13.66,13.31,12.16,11.0,8.53,4.53,4.69,2.28,2.5,4.91,7.28,9.94,12.47,14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91,-41.78,-41.84,-41.16,-39.22,-37.41,-35.31:11.56,11.5,12.62,13.28,13.25,13.66,13.31,12.16,11.0,8.53,4.53,4.69,2.28,2.5,4.91,7.28,9.94,12.47,14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91,-41.78,-41.84,-41.16,-39.22,-37.41,-35.31,-33.81,-32.25,-32.84,-32.53,-32.62,-34.28:13.31,12.16,11.0,8.53,4.53,4.69,2.28,2.5,4.91,7.28,9.94,12.47,14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91,-41.78,-41.84,-41.16,-39.22,-37.41,-35.31,-33.81,-32.25,-32.84,-32.53,-32.62,-34.28,-33.31,-34.69,-34.66,-34.72,-35.75,-35.34:2.28,2.5,4.91,7.28,9.94,12.47,14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91,-41.78,-41.84,-41.16,-39.22,-37.41,-35.31,-33.81,-32.25,-32.84,-32.53,-32.62,-34.28,-33.31,-34.69,-34.66,-34.72,-35.75,-35.34,-36.06,-37.19,-37.56,-38.88,-40.56,-42.84:14.88,17.44,18.53,20.06,20.31,19.88,18.94,17.91,15.12,13.44,12.16,11.47,12.09,13.56,11.62,15.34,14.78,15.84,17.41,19.06,16.59,15.0,12.78,10.72,8.25,7.28,7.28,6.91,6.97,5.69,5.03,4.66,3.19,2.03,1.0,-1.03,-1.59,-2.59,-1.72,-2.38,-1.97,-1.44,-1.62,0.25,1.94,3.44,6.28,7.25,8.84,11.28,10.72,10.47,10.62,10.25,9.22,9.41,8.12,8.94,8.88,9.03,10.69,12.09,11.97,12.06,11.16,11.66,11.97,13.25,13.88,14.69,13.44,13.31,12.09,10.78,11.31,11.56,11.53,12.28,12.19,11.81,11.69,11.38,8.25,12.28,11.94,13.0,14.31,13.97,12.22,10.28,10.03,9.03,8.41,9.03,9.47,9.88,10.62,11.38,14.88,17.44,20.84,25.53,27.53,27.41,26.28,23.06,19.56,17.16,16.69,15.06,15.59,14.78,10.28,12.31,10.25,9.16,10.53,11.44,11.19,11.5,12.31,11.84,10.44,10.91,8.75,9.41,9.78,10.06,11.44,11.91,13.16,14.12,13.91,13.31,13.66,12.66,12.06,12.31,11.69,11.09,11.34,11.22,11.88,9.47,12.41,10.56,10.59,9.38,7.84,4.69,3.25,1.75,0.09,0.19,0.41,-0.22,-0.03,0.84,1.75,3.19,4.62,6.38,6.88,7.03,6.81,7.62,9.06,6.91,9.69,8.19,7.19,7.59,7.44,8.44,8.41,8.62,6.41,5.56,3.81,2.88,2.03,0.62,1.19,0.88,0.31,1.66,3.31,5.09,5.28,4.88,3.62,5.28,4.28,3.88,5.97,6.75,4.53,4.66,3.22,1.81,2.62,2.09,1.38,1.0,0.12,-0.69,-0.97,-0.97,-0.28,0.31,0.31,0.09,-0.53,-1.84,-5.28,-2.91,-4.03,-2.5,-1.47,-0.94,-3.09,-4.66,-5.69,-6.56,-6.59,-5.94,-4.56,-3.47,-3.28,-4.22,-4.94,-6.47,-9.22,-10.66,-12.41,-13.22,-14.97,-15.97,-14.91,-14.66,-14.0,-11.22,-9.56,-7.03,-7.12,-5.41,-5.47,-6.72,-6.69,-7.5,-8.91,-11.0,-12.09,-13.84,-14.53,-14.66,-13.47,-10.53,-8.22,-4.81,-1.66,0.56,2.91,4.06,4.75,2.44,3.78,1.81,0.59,-0.94,-0.44,-1.03,-2.38,-3.22,-2.91,-3.66,-5.22,-4.09,-4.19,-3.84,-2.94,-1.97,-3.69,-4.03,-4.78,-5.78,-6.16,-5.09,-5.31,-2.88,-1.5,-0.16,0.25,-0.28,-0.91,-1.72,-3.78,-5.41,-8.59,-8.72,-10.97,-12.78,-11.03,-9.97,-9.5,-8.06,-7.53,-6.84,-6.97,-8.38,-7.47,-8.81,-9.38,-10.97,-14.06,-12.03,-12.97,-12.34,-9.69,-9.22,-10.5,-10.97,-13.09,-15.22,-17.78,-18.16,-20.53,-21.22,-19.97,-18.31,-20.25,-16.75,-18.91,-19.28,-19.56,-18.47,-15.16,-11.97,-7.66,-0.94,5.25,8.28,11.03,9.53,6.81,1.25,-6.09,-9.81,-14.69,-15.22,-16.41,-15.16,-14.34,-12.81,-11.66,-8.94,-5.47,-3.16,-0.94,1.0,2.47,2.97,1.94,1.12,0.34,-2.09,-3.25,-4.72,-5.69,-9.19,-12.34,-15.16,-16.97,-20.62,-20.34,-22.94,-23.72,-23.81,-23.28,-21.66,-18.16,-14.69,-11.75,-10.12,-8.78,-9.69,-9.44,-9.31,-9.5,-7.09,-6.09,-4.47,-1.47,-1.62,-1.41,-2.28,-3.06,-5.97,-10.16,-13.94,-16.72,-18.56,-17.38,-15.72,-12.06,-10.47,-8.69,-6.66,-7.5,-2.72,-2.44,0.66,3.28,4.66,5.94,7.62,6.25,6.84,6.56,3.31,2.41,0.47,-6.25,-4.12,-7.41,-8.47,-9.59,-9.09,-10.19,-11.34,-11.88,-11.97,-12.16,-11.25,-11.34,-10.25,-9.59,-12.16,-11.5,-15.03,-16.41,-17.59,-19.56,-19.16,-18.0,-17.75,-14.19,-10.66,-8.66,-6.28,-4.84,-3.72,-5.34,-6.72,-11.72,-14.94,-19.91,-24.78,-29.41,-31.22,-34.81,-36.03,-36.59,-34.91,-32.84,-30.53,-26.78,-24.03,-21.59,-18.62,-15.66,-15.28,-11.97,-9.78,-9.75,-11.03,-11.91,-15.44,-16.28,-17.16,-17.66,-16.56,-15.69,-14.03,-15.22,-10.69,-9.66,-6.34,-2.47,1.16,2.88,4.44,4.0,1.78,0.59,-3.53,-7.09,-6.44,-9.09,-7.91,-6.91,-5.16,-4.53,-4.59,-4.47,-5.06,-7.31,-8.69,-11.09,-12.97,-13.88,-14.0,-13.59,-11.47,-12.53,-7.81,-8.44,-8.94,-7.34,-7.03,-7.22,-6.28,-5.62,-4.59,-3.16,-1.47,0.88,1.72,1.41,1.31,-0.75,-2.47,-4.28,-5.62,-7.97,-9.19,-10.78,-11.53,-10.41,-9.69,-8.28,-8.25,-9.84,-8.47,-10.0,-11.59,-10.03,-9.16,-8.94,-8.84,-7.31,-7.34,-6.72,-6.88,-9.38,-9.31,-10.84,-13.72,-13.03,-12.41,-10.84,-9.16,-7.72,-7.28,-5.94,-7.03,-7.44,-8.34,-7.47,-7.53,-7.25,-5.34,-6.09,-6.72,-8.72,-11.59,-12.84,-14.66,-16.03,-16.06,-15.84,-14.47,-13.97,-15.28,-13.56,-12.03,-11.53,-8.69,-5.34,-2.84,-0.94,-0.34,-1.16,-1.41,-2.38,-4.06,-3.03,-3.69,-4.94,-2.75,-2.38,-0.53,1.03,1.44,0.66,-2.19,-5.34,-7.47,-9.5,-10.16,-10.38,-7.72,-8.22,-3.94,1.12,4.38,10.53,15.69,17.56,16.69,15.41,12.62,9.97,7.66,7.38,3.69,6.44,4.72,4.25,3.06,2.28,-0.91,-2.72,-4.97,-6.34,-7.34,-8.5,-8.41,-9.84,-10.34,-9.78,-9.03,-9.31,-7.19,-8.84,-6.03,-5.97,-3.84,-1.38,0.28,1.56,1.94,1.44,0.69,0.78,0.16,1.84,2.84,5.25,6.5,7.72,8.62,8.34,9.06,7.44,7.12,7.44,6.78,7.97,6.25,5.62,2.38,-1.0,-3.19,-4.19,-3.44,-2.34,0.47,3.72,6.22,8.78,10.97,10.09,10.41,10.62,9.94,10.34,10.56,10.72,11.75,9.38,8.5,8.38,5.53,3.44,2.09,-0.12,-1.94,-4.09,-4.22,-5.06,-5.0,-3.84,-2.59,-3.84,-0.09,0.31,0.81,2.25,2.81,0.91,-1.28,-2.06,-4.78,-4.94,-4.91,-4.66,-4.47,-4.59,-4.59,-5.44,-5.59,-6.09,-7.16,-7.84,-6.34,-6.38,-4.09,-3.03,-2.28,-3.38,-4.53,-6.62,-7.75,-8.53,-9.31,-9.12,-9.91,-9.53,-8.69,-7.19,-5.97,-4.47,-4.16,-4.06,-4.78,-5.19,-6.72,-8.78,-7.66,-8.53,-7.72,-5.84,-3.41,-1.47,0.03,-0.12,-0.38,0.5,0.03,-0.22,0.81,1.28,2.62,3.53,5.62,8.25,6.84,9.0,7.06,6.19,6.31,5.91,5.59,4.47,2.94,2.53,0.31,0.47,-0.28,-0.66,-0.06,-1.22,-0.72,-1.16,-0.84,-0.69,0.12,1.12,2.03,1.34,4.94,4.81,5.59,6.47,7.0,7.06,5.31,3.41,2.84,0.19,-1.22,-2.19,-3.75,-4.66,-7.31,-10.91,-11.06,-14.28,-14.44,-13.31,-11.34,-10.44,-8.53,-7.72,-5.59,-4.22,-1.53,1.56,3.62,6.16,7.31,8.25,7.03,5.47,3.59,1.0,-3.66,-4.09,-5.97,-7.16,-6.94,-6.44,-6.44,-7.16,-5.59,-4.91,-3.03,-0.78,1.78,3.78,4.31,8.81,9.31,10.31,10.38,9.94,7.66,5.25,3.88,2.81,1.78,2.62,2.69,3.59,3.31,3.03,3.16,1.78,1.78,1.88,3.19,5.38,8.44,10.16,11.91,-41.78,-41.84,-41.16,-39.22,-37.41,-35.31,-33.81,-32.25,-32.84,-32.53,-32.62,-34.28,-33.31,-34.69,-34.66,-34.72,-35.75,-35.34,-36.06,-37.19,-37.56,-38.88,-40.56,-42.84,-44.78,-48.03,-47.69,-46.28,-43.56,-39.03:positivity
52.78,53.06,54.19,54.69,55.03,55.06,53.41,52.5,50.69,48.41,47.66,45.75,44.41,43.53,42.53,42.53,42.19,41.75,42.16,41.53,41.06,40.44,40.0,39.59,39.19,38.84,38.81,40.44,41.19,42.69,43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62:53.41,52.5,50.69,48.41,47.66,45.75,44.41,43.53,42.53,42.53,42.19,41.75,42.16,41.53,41.06,40.44,40.0,39.59,39.19,38.84,38.81,40.44,41.19,42.69,43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62,-1.16,-0.47,1.53,3.19,4.12,5.5:44.41,43.53,42.53,42.53,42.19,41.75,42.16,41.53,41.06,40.44,40.0,39.59,39.19,38.84,38.81,40.44,41.19,42.69,43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62,-1.16,-0.47,1.53,3.19,4.12,5.5,6.22,6.19,4.88,4.0,1.53,-0.97:42.16,41.53,41.06,40.44,40.0,39.59,39.19,38.84,38.81,40.44,41.19,42.69,43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62,-1.16,-0.47,1.53,3.19,4.12,5.5,6.22,6.19,4.88,4.0,1.53,-0.97,-2.81,-4.41,-5.41,-5.16,-4.38,-4.09:39.19,38.84,38.81,40.44,41.19,42.69,43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62,-1.16,-0.47,1.53,3.19,4.12,5.5,6.22,6.19,4.88,4.0,1.53,-0.97,-2.81,-4.41,-5.41,-5.16,-4.38,-4.09,-3.94,-4.97,-5.97,-8.09,-9.91,-10.81:43.19,43.91,44.25,43.28,43.25,42.94,42.88,43.41,44.12,44.84,46.69,48.78,50.91,52.28,53.81,54.06,54.47,54.53,54.38,55.34,55.5,55.62,55.53,54.28,52.28,50.09,48.06,45.47,43.41,41.19,39.97,37.97,36.31,35.06,33.44,31.94,29.66,28.88,28.09,28.5,28.72,29.84,30.62,32.0,33.38,33.91,34.44,33.97,35.12,35.28,36.28,37.75,40.03,41.47,43.84,45.06,46.19,46.5,46.66,46.69,46.19,46.59,46.88,46.91,47.72,47.44,47.59,48.0,48.0,48.91,49.75,50.81,52.0,51.12,50.94,50.28,48.19,48.31,47.34,46.69,47.31,47.31,46.44,46.03,45.66,45.19,44.5,44.31,43.97,44.09,45.09,45.31,46.69,47.5,47.75,48.28,47.84,47.09,47.0,46.66,47.72,48.31,48.91,48.94,48.69,48.31,47.78,48.0,49.03,49.91,50.06,51.56,51.69,51.78,51.69,52.25,51.72,51.78,51.97,51.59,52.69,54.12,54.88,55.84,56.56,56.53,57.0,56.0,56.25,55.62,55.53,55.72,55.81,55.38,55.47,55.38,55.38,55.56,56.91,58.81,61.06,64.31,65.34,66.28,66.28,64.09,61.12,57.5,53.72,49.81,46.84,44.47,42.88,42.38,41.94,40.81,41.19,40.94,40.91,41.16,41.12,41.12,40.94,39.91,39.31,37.66,37.53,36.72,36.06,35.56,36.19,36.75,40.0,41.94,44.78,47.34,49.16,49.91,50.78,50.59,49.88,48.56,47.31,45.69,45.03,45.03,44.53,45.22,45.78,45.72,46.12,45.62,46.19,45.41,45.06,45.16,44.5,45.25,46.06,47.0,48.06,46.5,45.62,43.75,41.12,40.0,39.72,40.53,42.44,44.06,46.22,47.41,48.78,50.03,49.09,49.25,47.84,46.69,45.34,43.44,41.34,39.47,36.94,35.25,33.91,32.56,32.97,32.19,32.84,32.31,32.72,32.0,32.12,32.53,32.81,33.56,33.19,34.53,35.09,36.5,37.53,39.19,40.56,40.88,40.94,40.06,38.56,36.69,35.81,34.62,35.16,37.19,38.91,42.53,45.38,47.81,49.03,48.25,47.66,45.25,43.19,40.88,40.56,39.41,39.28,39.22,37.72,36.47,35.88,34.88,34.28,34.47,35.75,37.56,40.19,43.47,46.69,49.31,50.12,50.5,49.72,47.56,46.66,45.06,45.06,44.41,45.69,46.19,45.91,47.16,47.28,46.72,46.91,46.31,46.94,47.5,47.62,50.22,51.5,53.0,54.31,53.28,51.12,48.66,46.19,43.34,43.12,42.94,41.81,41.91,41.81,40.84,39.72,38.94,38.09,37.66,36.81,37.56,38.28,40.28,42.66,44.72,47.16,49.62,50.06,50.81,49.75,47.62,45.12,41.88,39.16,36.59,34.47,33.06,32.06,32.28,32.56,32.62,34.44,35.66,38.25,40.78,43.62,47.28,49.25,50.84,53.12,53.03,52.88,52.28,50.81,49.0,46.94,45.44,44.06,44.25,45.19,45.78,46.31,47.44,47.66,47.16,46.16,43.91,43.91,41.56,41.25,42.78,43.81,46.31,48.44,50.5,51.0,49.91,47.81,44.88,42.12,39.25,37.5,36.31,35.75,34.75,34.84,34.78,35.38,35.25,36.62,36.75,38.31,39.91,42.0,44.84,47.94,50.78,52.25,52.0,51.06,47.75,43.31,39.0,35.03,31.56,29.03,26.5,26.06,25.25,25.19,26.66,27.84,29.66,31.69,33.16,34.66,36.38,37.34,39.19,39.75,41.12,42.25,42.62,43.16,44.41,44.66,45.94,46.72,46.19,45.78,44.72,43.69,42.19,40.72,39.62,38.72,37.5,36.53,35.66,34.59,34.19,33.31,34.66,34.31,34.66,35.44,36.06,36.5,37.69,39.22,40.81,42.5,43.19,43.22,42.34,41.69,40.94,40.78,41.06,41.69,41.88,43.97,45.75,48.28,50.66,52.88,54.75,55.56,55.97,55.88,55.56,55.03,54.94,53.56,51.69,50.38,47.31,45.47,43.59,41.84,40.72,40.31,40.53,40.44,41.41,41.69,41.91,41.53,40.72,40.53,40.03,39.56,40.12,38.91,38.69,38.69,37.94,37.84,38.91,38.53,38.94,38.91,38.62,37.28,36.69,36.22,35.22,37.03,37.56,39.25,39.78,39.69,39.81,38.78,38.41,37.72,38.78,40.16,42.25,43.88,44.66,44.81,43.31,43.09,41.38,41.16,41.03,42.25,43.44,44.41,46.16,47.38,47.78,47.97,47.78,47.62,46.31,45.44,44.69,42.75,42.53,41.69,41.28,41.25,40.75,40.34,39.34,38.16,37.78,36.31,36.25,37.62,37.44,38.56,40.81,41.06,42.06,42.06,41.84,40.38,39.56,38.81,38.12,38.88,40.56,41.84,43.91,45.81,47.62,50.03,50.06,50.03,50.16,49.06,48.5,48.34,48.38,47.72,47.62,46.84,45.88,45.78,45.56,45.69,46.12,47.44,47.91,47.75,47.28,46.5,44.81,43.44,41.81,41.09,40.41,40.31,40.41,40.25,39.56,38.72,37.19,35.97,33.16,31.59,29.75,29.16,27.44,27.41,27.44,28.47,28.88,29.75,30.88,31.44,30.69,30.22,28.53,27.53,25.88,24.38,23.91,23.53,22.5,23.44,23.03,23.97,25.72,26.22,28.28,28.5,28.97,29.81,30.84,31.81,33.69,36.03,39.12,42.16,44.19,47.5,48.5,49.56,48.53,47.41,45.81,43.06,41.72,39.38,37.88,36.78,35.47,34.72,32.19,32.44,30.38,29.5,29.53,29.28,27.91,27.84,28.12,28.78,29.91,32.06,33.91,35.44,37.41,37.69,37.69,37.53,36.44,35.78,35.38,35.5,36.12,35.56,36.06,35.31,34.16,32.03,31.12,29.16,29.25,28.16,29.12,29.88,30.28,32.56,33.34,34.06,34.03,33.81,33.78,32.94,32.31,32.78,31.16,30.84,29.94,29.28,29.47,29.38,29.94,30.56,30.16,28.66,27.06,25.78,24.12,23.84,25.06,25.81,28.72,30.72,33.44,35.72,36.94,37.84,37.88,36.62,35.0,34.28,33.16,32.81,32.75,32.25,32.06,31.81,31.72,32.06,33.0,32.69,32.16,32.66,31.5,31.19,32.34,33.03,34.31,34.72,35.56,36.19,36.41,37.31,38.5,39.03,39.03,38.03,37.0,34.16,33.75,32.53,31.69,32.91,33.66,33.75,35.44,36.5,37.28,40.19,40.91,43.06,43.28,43.0,42.5,40.38,39.28,38.31,37.31,37.34,36.62,36.47,34.69,33.56,31.31,29.06,28.44,27.56,26.34,27.44,28.0,29.06,30.31,33.16,34.94,36.19,36.78,35.78,34.56,34.25,32.88,32.22,32.56,32.06,32.59,33.31,34.34,35.91,36.5,38.25,38.22,39.0,38.34,38.16,37.38,36.88,37.53,38.91,40.09,42.31,43.19,42.59,42.19,39.41,38.12,36.31,35.16,33.66,32.72,33.06,34.06,34.88,36.62,38.66,39.69,39.78,38.5,38.44,36.94,36.94,38.0,39.38,40.53,41.78,43.12,44.41,45.81,46.19,45.91,45.03,42.78,41.41,40.16,38.56,37.31,36.62,36.34,35.53,35.53,35.78,34.97,35.28,35.25,35.94,38.0,38.41,39.62,40.09,39.44,38.31,38.69,37.41,37.78,37.16,37.75,38.59,38.97,38.44,37.62,-1.16,-0.47,1.53,3.19,4.12,5.5,6.22,6.19,4.88,4.0,1.53,-0.97,-2.81,-4.41,-5.41,-5.16,-4.38,-4.09,-3.94,-4.97,-5.97,-8.09,-9.91,-10.81,-11.97,-11.72,-10.59,-8.31,-5.84,-3.66:positivity
21.22,21.44,20.91,20.19,20.41,20.0,19.03,18.31,18.12,17.03,16.28,15.91,15.47,15.06,14.06,14.41,14.28,14.94,14.88,15.0,14.84,15.53,15.66,16.06,17.75,19.19,20.84,22.5,23.28,23.22,22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75:19.03,18.31,18.12,17.03,16.28,15.91,15.47,15.06,14.06,14.41,14.28,14.94,14.88,15.0,14.84,15.53,15.66,16.06,17.75,19.19,20.84,22.5,23.28,23.22,22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75,-23.59,-22.78,-22.19,-22.28,-21.91,-21.47:15.47,15.06,14.06,14.41,14.28,14.94,14.88,15.0,14.84,15.53,15.66,16.06,17.75,19.19,20.84,22.5,23.28,23.22,22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75,-23.59,-22.78,-22.19,-22.28,-21.91,-21.47,-21.66,-22.03,-22.06,-22.22,-22.97,-24.09:14.88,15.0,14.84,15.53,15.66,16.06,17.75,19.19,20.84,22.5,23.28,23.22,22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75,-23.59,-22.78,-22.19,-22.28,-21.91,-21.47,-21.66,-22.03,-22.06,-22.22,-22.97,-24.09,-25.22,-26.53,-28.53,-30.09,-31.03,-31.72:17.75,19.19,20.84,22.5,23.28,23.22,22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75,-23.59,-22.78,-22.19,-22.28,-21.91,-21.47,-21.66,-22.03,-22.06,-22.22,-22.97,-24.09,-25.22,-26.53,-28.53,-30.09,-31.03,-31.72,-32.56,-32.62,-32.59,-31.56,-31.06,-30.16:22.78,22.06,21.12,20.0,19.69,18.94,18.28,17.47,17.22,16.03,14.78,14.81,15.12,15.56,16.91,19.44,21.41,23.66,25.84,27.81,28.25,28.19,27.09,25.66,24.81,24.06,22.44,23.97,24.31,25.06,26.53,27.47,28.56,28.75,28.34,27.31,24.59,22.19,18.56,14.44,12.03,8.66,6.78,5.66,5.31,6.78,8.12,10.44,14.19,16.97,18.75,20.69,21.94,22.81,22.75,22.03,21.53,21.38,21.41,21.44,22.53,22.69,21.75,20.44,19.47,17.5,17.44,18.44,19.38,20.41,20.84,20.84,19.16,18.59,18.56,18.19,18.38,18.0,17.41,16.34,15.44,15.41,16.0,17.44,18.56,20.34,20.5,20.19,20.31,20.88,21.16,21.91,23.12,25.12,26.12,27.25,28.0,29.19,27.88,28.34,28.06,28.94,29.44,30.47,31.16,30.5,29.19,28.69,26.81,27.25,26.62,25.56,24.72,22.84,20.59,17.62,16.56,14.81,13.91,14.16,15.06,15.34,16.31,17.56,18.41,18.94,18.31,19.19,17.97,19.19,19.94,20.34,20.5,20.47,19.47,18.28,17.56,17.12,16.0,14.62,14.78,13.59,12.97,13.22,14.44,14.88,15.94,16.03,15.62,14.69,14.44,12.53,11.75,11.91,11.66,12.34,13.22,15.84,18.31,21.12,22.75,23.81,24.19,23.0,20.84,19.75,18.69,18.16,17.31,16.28,16.19,16.59,16.06,17.94,18.66,20.75,21.66,22.41,21.66,20.91,20.53,19.81,18.72,18.91,19.12,19.94,20.5,21.19,22.84,24.34,25.69,26.97,28.22,28.75,28.41,28.56,28.56,29.75,30.94,31.88,33.41,34.34,35.28,33.78,32.56,30.66,28.06,25.88,24.09,23.12,20.53,20.69,19.38,18.16,17.34,17.16,16.38,16.34,16.41,16.84,17.12,17.03,18.06,17.53,17.12,17.69,17.66,18.03,18.81,20.78,21.59,21.31,22.5,21.72,20.75,19.78,18.09,16.19,14.91,12.69,11.84,10.59,10.44,11.06,11.16,12.81,14.16,15.28,17.28,18.0,18.03,17.97,18.62,17.94,16.78,16.09,15.28,15.22,14.5,15.38,15.44,16.03,16.88,17.62,17.91,19.84,21.47,22.16,22.53,21.72,19.5,16.91,13.38,11.81,9.53,8.75,7.78,7.62,7.44,7.19,7.0,5.66,4.62,3.59,2.25,1.28,1.44,1.31,2.09,1.81,1.53,1.19,0.0,0.62,0.88,0.81,2.09,1.88,1.34,2.25,1.56,1.66,1.5,1.84,2.69,3.56,6.06,7.81,9.72,9.91,10.12,9.06,7.25,6.31,6.56,5.12,6.69,7.88,7.72,8.31,8.69,7.19,5.84,4.81,3.62,3.19,3.19,4.62,7.06,9.31,10.94,11.88,12.56,11.47,11.41,11.41,11.16,11.94,11.94,12.12,13.69,13.56,13.09,13.47,12.5,11.22,9.69,8.03,6.0,4.41,3.78,3.03,2.41,2.25,3.03,3.38,3.72,4.94,5.81,5.25,4.91,4.72,4.06,3.78,3.81,3.25,3.25,1.72,1.22,0.47,1.44,2.06,2.47,0.91,-0.62,-2.41,-4.34,-4.75,-1.97,1.44,5.81,9.72,11.97,13.56,12.81,11.41,10.69,10.62,10.22,11.03,11.69,11.44,10.34,8.75,6.41,4.19,1.62,-0.09,-2.97,-4.0,-4.69,-4.91,-4.62,-3.66,-3.09,-1.47,-0.19,0.47,1.75,1.78,0.59,-0.59,-1.91,-3.72,-4.16,-4.16,-3.16,-1.62,-0.94,0.03,0.84,0.12,0.72,-0.28,-1.66,-3.03,-4.72,-6.12,-5.34,-4.59,-3.09,-0.56,0.31,1.06,1.19,0.66,0.66,0.03,-1.22,-1.19,-2.53,-2.09,-0.28,0.41,2.94,4.5,4.66,3.41,1.88,0.31,-1.38,-2.56,-2.09,-1.69,-1.19,-0.97,-0.09,0.12,0.94,0.66,1.06,1.91,2.84,4.5,5.88,7.09,7.78,8.12,7.47,6.78,6.12,4.31,3.41,1.88,0.31,-0.31,0.09,0.81,2.44,4.25,5.69,6.03,5.81,4.16,2.84,0.47,-0.69,-1.72,-2.19,-2.31,-2.47,-2.41,-3.0,-2.47,-2.38,-1.78,-0.84,-0.53,0.69,0.72,0.91,1.44,1.81,3.5,4.94,5.94,7.25,7.47,7.41,6.84,6.0,6.19,6.59,8.12,10.78,12.31,14.03,15.06,14.03,13.25,11.72,9.12,6.81,4.28,1.62,-0.91,-3.84,-5.31,-5.91,-7.16,-6.5,-6.06,-5.69,-6.34,-6.28,-6.78,-7.16,-7.0,-5.91,-4.91,-3.47,-1.88,-1.22,-0.09,-0.16,-0.38,-1.34,-1.91,-2.47,-2.53,-3.34,-2.72,-2.09,-1.34,0.19,1.22,2.53,2.31,1.28,0.0,-1.0,-1.59,-2.0,-1.81,0.0,1.59,3.59,6.59,9.56,10.91,12.28,11.81,10.16,8.31,6.59,5.94,3.53,3.06,3.12,1.56,1.97,2.34,2.62,2.22,2.31,1.94,2.44,2.56,3.53,3.94,4.59,4.94,4.97,4.31,3.38,2.5,1.47,0.0,-0.69,-2.03,-1.66,-1.28,-0.22,0.56,2.25,3.59,3.94,3.97,4.88,4.91,5.0,4.88,4.06,3.34,0.97,-1.22,-2.34,-4.09,-4.34,-5.41,-5.44,-5.56,-5.34,-6.16,-6.59,-5.34,-4.16,-2.88,-0.03,1.47,2.34,2.03,1.16,-1.06,-2.34,-3.69,-4.53,-4.81,-5.34,-4.97,-5.16,-5.03,-3.72,-2.22,-0.44,0.78,2.53,3.38,3.81,4.12,3.84,3.06,4.28,4.12,3.94,5.16,5.34,5.72,5.09,4.69,3.69,1.94,2.03,2.12,2.81,4.78,6.97,8.53,10.31,11.44,11.78,11.28,10.44,9.41,7.25,7.12,5.97,5.47,5.19,4.69,4.38,3.78,3.16,3.0,2.19,1.44,0.81,0.34,0.12,0.0,0.69,1.16,2.5,4.81,6.66,7.41,8.16,7.88,6.72,5.16,4.62,4.16,3.19,4.06,3.62,2.66,1.81,0.16,-0.53,-1.22,-1.44,-0.59,-0.25,1.53,2.59,1.94,2.41,1.25,-1.19,-2.75,-5.31,-6.59,-7.34,-6.22,-4.66,-3.62,-2.06,-0.97,-0.88,0.03,0.06,0.59,1.62,3.31,4.81,5.97,7.91,10.34,11.28,12.22,10.97,10.12,5.94,2.81,0.12,-2.72,-3.94,-3.66,-3.12,-1.22,1.31,4.69,7.94,10.81,13.75,14.5,15.06,15.34,14.69,13.78,13.34,12.03,10.69,8.56,6.53,6.03,5.53,5.91,6.97,7.66,8.06,7.97,8.31,7.06,7.09,7.03,6.22,5.78,5.22,5.03,5.38,4.91,5.62,6.41,7.03,8.47,9.19,9.56,8.53,6.06,2.81,-2.22,-5.78,-9.09,-11.03,-11.06,-9.84,-8.06,-4.75,-1.16,2.91,7.19,9.81,11.19,11.16,9.97,8.16,5.28,3.06,0.62,-1.09,-1.31,-1.09,0.16,1.47,2.25,2.16,1.28,0.0,-0.41,-1.28,-0.16,1.5,3.53,5.59,8.06,10.47,11.69,13.22,13.84,14.34,14.09,13.59,11.19,8.94,5.81,3.81,1.31,-0.09,0.34,0.56,1.91,4.09,5.38,6.62,6.66,6.59,6.19,4.25,2.5,1.94,0.44,0.78,1.19,1.22,1.75,1.56,2.03,2.53,3.47,5.12,5.94,7.56,8.44,9.03,10.75,-23.59,-22.78,-22.19,-22.28,-21.91,-21.47,-21.66,-22.03,-22.06,-22.22,-22.97,-24.09,-25.22,-26.53,-28.53,-30.09,-31.03,-31.72,-32.56,-32.62,-32.59,-31.56,-31.06,-30.16,-28.31,-26.84,-24.5,-22.06,-20.75,-19.62:positivity
29.16,29.28,29.47,28.78,28.69,29.19,29.38,29.56,29.53,30.5,30.66,30.12,29.84,28.56,27.88,25.88,25.19,25.59,25.94,25.91,25.81,25.88,25.12,24.22,25.0,25.31,26.06,25.78,25.81,25.25,24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69:29.38,29.56,29.53,30.5,30.66,30.12,29.84,28.56,27.88,25.88,25.19,25.59,25.94,25.91,25.81,25.88,25.12,24.22,25.0,25.31,26.06,25.78,25.81,25.25,24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69,-18.03,-20.56,-22.44,-20.38,-16.53,-12.41:29.84,28.56,27.88,25.88,25.19,25.59,25.94,25.91,25.81,25.88,25.12,24.22,25.0,25.31,26.06,25.78,25.81,25.25,24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69,-18.03,-20.56,-22.44,-20.38,-16.53,-12.41,-7.03,-2.16,1.5,4.06,6.81,8.06:25.94,25.91,25.81,25.88,25.12,24.22,25.0,25.31,26.06,25.78,25.81,25.25,24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69,-18.03,-20.56,-22.44,-20.38,-16.53,-12.41,-7.03,-2.16,1.5,4.06,6.81,8.06,7.78,8.09,7.31,6.91,7.41,8.22:25.0,25.31,26.06,25.78,25.81,25.25,24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69,-18.03,-20.56,-22.44,-20.38,-16.53,-12.41,-7.03,-2.16,1.5,4.06,6.81,8.06,7.78,8.09,7.31,6.91,7.41,8.22,8.62,8.5,7.28,7.03,5.81,5.03:24.72,24.66,25.56,26.25,26.88,26.62,26.0,24.5,23.44,22.12,21.91,22.09,23.09,23.12,23.38,24.38,24.16,23.97,23.53,23.72,23.53,23.25,23.81,25.53,25.38,26.16,26.44,25.78,25.72,25.41,25.5,25.56,25.69,26.12,24.53,24.69,24.19,23.62,22.62,22.16,20.44,17.62,16.44,15.06,13.0,13.91,13.03,12.47,11.78,12.5,11.81,12.91,14.06,15.44,17.0,17.25,18.19,18.69,18.91,19.94,20.84,21.5,22.72,22.94,22.47,22.16,23.34,22.97,24.75,25.75,25.03,24.25,22.16,20.09,18.19,17.66,17.22,17.44,17.53,16.53,16.38,15.56,14.44,14.34,13.97,13.31,14.47,15.69,16.75,18.81,19.91,20.0,18.75,18.34,17.28,16.66,15.56,15.19,14.38,13.38,12.0,11.25,10.16,8.09,8.03,6.06,4.44,3.94,1.78,1.69,1.88,3.31,4.91,5.81,6.81,6.16,4.31,1.94,0.31,-0.59,-1.78,-1.97,-1.44,-1.62,-0.72,0.38,1.19,2.84,4.25,5.94,8.97,10.69,13.38,16.31,17.31,18.81,18.97,19.12,19.25,18.75,18.16,17.94,17.19,15.22,14.12,12.5,10.56,9.5,8.47,8.25,8.31,7.84,7.78,7.5,6.22,6.06,6.34,7.06,7.0,7.22,8.41,8.59,7.66,8.09,6.28,5.03,3.91,3.06,4.44,5.06,6.56,8.0,10.41,10.69,13.0,15.31,17.5,18.78,21.09,21.41,21.56,21.94,20.72,20.0,17.12,13.72,10.97,7.5,4.06,2.44,0.38,-0.72,-1.53,-2.94,-3.66,-4.62,-6.06,-5.97,-5.59,-4.69,-2.81,-1.94,-0.94,-0.5,-1.09,-1.91,-3.44,-5.38,-7.41,-8.84,-9.47,-8.31,-5.56,-1.66,2.97,6.06,8.53,9.44,9.03,8.03,6.5,6.28,7.03,6.44,8.06,8.16,9.69,10.31,9.62,10.69,10.41,10.75,10.5,11.69,12.78,13.88,15.69,15.62,16.22,16.28,15.78,15.75,16.56,18.03,17.62,18.41,18.06,17.66,18.16,17.91,17.22,16.44,16.06,14.97,13.62,13.19,13.25,13.72,14.22,14.41,16.16,17.0,18.19,18.69,19.16,19.09,19.06,18.44,18.34,18.09,19.25,19.38,19.31,19.31,18.5,18.5,16.44,15.03,14.88,12.91,10.81,8.88,8.53,7.22,8.0,10.19,13.44,15.81,19.19,21.81,22.53,22.56,21.69,21.06,19.31,17.41,16.81,16.0,14.25,12.03,9.97,8.0,5.81,4.5,4.56,5.06,5.5,7.69,8.28,10.38,12.06,14.19,15.69,16.97,17.75,17.66,16.12,15.72,13.69,11.75,9.59,7.25,4.34,2.84,1.25,0.62,0.31,0.81,1.81,1.94,2.56,3.31,4.09,5.78,6.84,8.0,9.84,10.81,10.94,12.03,14.28,15.66,17.16,18.19,18.69,17.56,14.91,13.53,11.06,9.19,8.5,7.25,7.56,7.72,8.25,10.03,10.03,11.28,12.31,13.66,14.44,15.91,16.56,16.91,17.22,16.5,16.72,16.31,15.28,14.31,12.81,12.25,11.44,10.12,10.06,9.88,10.66,11.56,12.5,13.81,15.31,16.5,16.75,16.66,16.69,16.22,14.06,11.97,10.22,7.44,4.03,1.72,-0.28,-2.41,-2.25,-1.84,-0.19,2.31,4.69,6.91,9.56,10.16,10.94,10.12,10.03,9.09,8.84,8.25,7.97,8.56,9.03,9.72,12.06,13.62,14.66,14.72,15.16,14.69,14.31,13.0,11.31,10.41,9.12,8.69,8.81,9.03,9.78,8.69,7.03,7.31,5.84,4.94,5.19,5.44,6.59,7.19,7.66,6.91,5.31,4.03,1.69,0.12,-0.53,-0.69,-0.78,-1.06,-0.66,0.66,1.88,3.16,4.91,6.78,9.44,13.25,17.12,20.31,24.0,25.56,24.91,23.25,21.78,18.31,15.31,12.69,10.16,8.44,7.69,7.03,7.03,6.84,7.44,6.44,5.38,3.34,1.69,-1.66,-4.06,-4.69,-5.0,-5.16,-3.75,-2.56,-0.22,1.56,3.34,3.94,3.56,1.81,-0.06,-2.72,-5.84,-5.88,-6.53,-5.72,-4.03,-2.22,-0.88,-0.22,-0.03,0.12,0.66,2.41,3.84,4.84,6.84,8.66,10.09,11.38,12.53,12.03,10.97,9.19,7.66,5.94,5.81,5.16,6.25,6.5,7.25,8.69,9.16,9.06,8.34,7.69,8.0,7.75,7.72,8.31,8.06,7.53,7.31,7.34,8.91,11.06,12.91,15.22,16.81,17.78,17.56,16.44,15.03,13.94,12.12,11.12,11.25,11.69,11.53,12.34,12.12,10.84,11.12,9.53,8.66,8.09,8.25,8.72,8.44,9.06,8.94,8.25,8.53,7.41,6.22,4.97,3.41,1.16,-0.5,-2.22,-3.69,-4.0,-3.47,-2.0,-0.22,2.47,4.75,6.16,7.94,10.75,11.34,12.34,11.69,10.44,7.62,3.88,1.12,-0.59,-1.66,-1.69,-1.47,-1.31,-0.84,-0.78,-1.12,-1.41,-1.84,-2.03,-1.91,-1.31,0.03,1.66,2.44,3.19,2.59,2.22,0.41,-1.09,-3.47,-5.44,-6.91,-7.72,-7.34,-7.09,-5.84,-4.72,-3.84,-4.59,-3.91,-2.53,-2.34,-0.91,1.12,2.94,4.5,6.34,6.75,7.56,6.81,6.28,4.31,1.72,0.19,-1.22,-2.66,-3.69,-2.91,-2.41,-1.81,-1.66,-1.91,-2.09,-3.47,-4.09,-4.34,-3.56,-2.72,-2.28,-1.84,-1.78,-3.22,-3.97,-4.91,-5.22,-4.44,-4.22,-2.59,-2.38,-1.72,-1.09,-1.03,-1.34,-1.81,-2.75,-4.09,-4.81,-5.5,-5.34,-4.28,-3.34,-1.09,0.06,1.84,3.44,5.06,5.91,6.38,5.53,5.16,3.84,2.16,1.31,1.62,1.25,1.53,2.06,1.84,1.44,0.56,0.0,0.66,1.0,1.78,2.44,2.5,2.5,2.28,1.84,2.16,4.0,6.78,9.72,12.06,14.28,13.12,11.12,7.81,4.53,3.16,2.22,2.5,3.31,4.06,4.91,5.66,5.28,5.78,5.75,6.41,6.5,5.84,5.66,3.84,3.81,2.88,3.56,4.81,6.19,6.06,6.84,5.66,4.28,2.16,0.91,-0.47,-2.19,-2.22,-2.94,-3.78,-3.97,-3.59,-2.41,-1.41,0.38,1.34,2.28,2.16,2.19,0.84,0.81,0.53,-0.47,-0.44,0.03,0.0,1.41,2.28,4.06,5.75,6.91,7.31,8.0,8.69,8.94,9.53,11.16,11.75,13.0,14.09,13.0,13.22,13.66,13.75,16.0,16.78,18.34,18.81,19.47,18.25,17.16,16.56,15.94,15.16,14.69,14.44,13.84,13.03,12.69,11.84,12.12,13.06,14.5,16.34,18.22,20.12,20.81,21.09,20.53,20.81,19.66,18.66,19.12,17.09,16.22,14.81,14.12,11.84,11.56,11.25,11.56,12.84,14.5,16.06,18.34,19.56,20.06,20.62,20.12,19.28,16.88,16.25,15.38,14.56,14.66,14.25,14.31,14.19,14.66,15.34,16.03,16.81,16.25,14.97,12.72,10.19,8.09,5.94,6.38,7.38,9.44,11.97,14.62,16.41,17.81,19.41,19.16,19.16,19.03,18.66,17.97,16.62,16.44,15.28,15.12,14.91,14.88,14.69,15.09,16.06,17.12,18.19,19.69,20.34,20.22,19.62,17.94,16.69,15.69,-18.03,-20.56,-22.44,-20.38,-16.53,-12.41,-7.03,-2.16,1.5,4.06,6.81,8.06,7.78,8.09,7.31,6.91,7.41,8.22,8.62,8.5,7.28,7.03,5.81,5.03,4.03,5.44,5.16,4.06,4.5,4.56:positivity
12.22,11.06,11.31,11.09,11.34,11.62,12.53,12.5,13.0,14.0,14.06,14.19,14.06,14.28,14.84,15.34,16.75,18.19,19.53,21.41,21.94,22.56,22.16,20.28,19.12,18.34,18.28,17.56,18.0,18.38,18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41:12.53,12.5,13.0,14.0,14.06,14.19,14.06,14.28,14.84,15.34,16.75,18.19,19.53,21.41,21.94,22.56,22.16,20.28,19.12,18.34,18.28,17.56,18.0,18.38,18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41,-9.47,-10.91,-11.22,-11.72,-10.94,-10.06:14.06,14.28,14.84,15.34,16.75,18.19,19.53,21.41,21.94,22.56,22.16,20.28,19.12,18.34,18.28,17.56,18.0,18.38,18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41,-9.47,-10.91,-11.22,-11.72,-10.94,-10.06,-8.88,-8.19,-7.69,-7.16,-7.12,-7.0:19.53,21.41,21.94,22.56,22.16,20.28,19.12,18.34,18.28,17.56,18.0,18.38,18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41,-9.47,-10.91,-11.22,-11.72,-10.94,-10.06,-8.88,-8.19,-7.69,-7.16,-7.12,-7.0,-6.78,-6.47,-6.53,-5.97,-6.34,-5.69:19.12,18.34,18.28,17.56,18.0,18.38,18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41,-9.47,-10.91,-11.22,-11.72,-10.94,-10.06,-8.88,-8.19,-7.69,-7.16,-7.12,-7.0,-6.78,-6.47,-6.53,-5.97,-6.34,-5.69,-5.72,-4.62,-3.69,-2.72,-2.5,-2.66:18.16,18.41,18.62,19.75,21.19,22.41,24.06,25.06,24.81,24.19,22.56,21.22,20.44,19.84,20.12,21.31,22.03,22.44,23.09,21.88,19.47,16.16,12.28,8.09,7.06,7.81,12.53,18.28,23.0,27.72,29.88,28.75,26.91,23.97,19.41,15.53,10.88,6.91,3.69,1.38,-0.44,-1.22,-1.62,-2.0,-2.91,-2.88,-1.72,-1.59,-0.09,2.28,2.69,4.59,5.72,6.91,8.28,10.22,11.66,13.56,15.69,17.0,19.41,20.34,20.88,21.78,21.62,20.53,19.31,17.66,15.91,14.44,13.81,14.5,15.16,16.31,18.0,18.78,19.75,19.25,19.12,18.84,18.69,18.97,19.66,21.53,22.56,24.66,26.06,26.78,27.12,25.31,24.19,22.28,20.25,19.25,17.41,16.56,15.53,14.69,15.62,16.16,18.47,20.5,21.41,22.03,22.59,22.38,22.03,22.09,21.53,22.09,21.62,21.16,20.34,20.19,18.12,16.25,14.12,12.75,11.53,10.59,9.88,11.28,10.75,11.31,12.03,11.97,11.78,10.53,10.38,10.16,10.03,11.06,13.38,14.56,16.41,17.28,17.94,17.41,17.06,15.94,14.81,14.0,14.25,15.22,16.47,18.81,21.03,23.12,25.06,27.78,29.81,30.06,30.66,30.5,29.94,30.12,30.09,30.16,29.81,28.62,27.06,24.59,21.78,20.62,19.38,19.16,19.94,21.0,22.06,22.62,23.09,22.88,23.75,23.53,23.44,23.59,23.0,22.34,22.75,22.31,22.5,23.44,23.62,23.25,24.34,23.03,23.88,23.69,23.38,22.56,21.84,20.25,18.62,16.81,15.91,15.81,15.03,15.81,17.91,19.03,20.78,22.53,24.81,26.91,29.06,31.31,33.53,34.0,33.28,31.69,30.16,28.38,27.53,27.56,28.31,28.47,28.38,27.94,26.44,23.78,22.12,21.75,20.78,20.81,22.66,24.59,26.06,27.91,29.84,30.28,29.62,27.91,26.25,23.38,21.25,21.22,20.19,20.94,21.5,21.12,21.06,20.12,19.0,17.41,16.62,14.5,13.03,12.19,11.47,11.66,12.78,13.62,14.75,14.97,15.53,15.25,14.19,12.12,10.31,6.97,5.19,4.19,3.41,4.62,5.06,5.78,4.91,4.69,3.84,3.91,4.66,6.66,8.69,11.75,13.06,13.94,15.72,15.59,15.72,16.78,17.06,17.41,19.72,22.28,25.91,30.06,34.19,35.62,35.5,33.41,29.53,25.03,21.22,18.06,15.94,15.56,15.19,15.62,17.47,18.38,18.56,18.5,17.81,16.69,14.56,13.0,9.94,7.38,4.88,1.44,-0.06,-1.22,-1.97,-2.0,-0.97,-0.22,1.66,3.91,6.72,9.47,11.91,13.91,13.75,12.78,11.31,9.0,5.91,4.69,2.34,2.16,1.25,1.5,1.0,0.19,-0.5,-0.78,-0.66,0.38,2.12,5.12,7.84,11.34,14.06,17.56,19.75,19.81,19.38,18.0,14.94,13.06,12.56,12.41,12.41,12.16,12.16,12.34,11.44,11.06,11.66,11.84,11.91,11.22,10.5,9.94,8.78,8.03,7.16,6.34,5.53,3.16,1.94,-0.94,-2.88,-4.31,-4.47,-3.41,-2.53,-0.53,1.38,3.25,4.78,5.84,7.06,7.5,8.03,7.12,6.31,5.91,5.22,5.19,6.97,8.03,9.72,10.25,10.31,10.38,9.94,9.62,10.62,10.5,10.09,10.84,10.81,10.41,10.0,10.41,9.19,9.91,8.06,6.88,5.81,3.69,0.72,-0.78,-3.78,-5.72,-7.66,-10.41,-10.44,-10.25,-9.0,-6.03,-3.53,-0.53,2.31,3.34,4.78,4.84,4.19,2.53,0.16,-2.09,-3.78,-5.06,-5.78,-5.91,-5.81,-5.84,-6.94,-6.97,-8.09,-9.69,-11.19,-13.66,-13.94,-14.22,-13.44,-10.66,-7.84,-5.84,-3.78,-2.22,-0.25,0.06,1.41,2.41,2.28,3.66,3.81,4.31,5.03,5.31,5.12,4.97,4.12,2.69,1.16,0.53,0.5,0.75,1.47,1.47,-0.34,-0.19,-1.91,-1.62,-1.66,-0.16,1.31,2.72,4.66,5.25,7.69,9.84,10.66,11.28,11.31,9.81,7.69,5.28,3.09,0.56,-1.09,-3.31,-5.41,-5.97,-6.41,-6.38,-5.41,-4.38,-2.72,-1.59,-0.81,1.03,3.19,4.38,7.97,10.34,12.03,12.88,12.0,9.72,6.41,2.81,-0.78,-3.09,-5.62,-6.91,-7.78,-8.66,-8.72,-8.66,-8.81,-8.97,-8.22,-8.75,-9.06,-7.91,-7.72,-6.56,-5.22,-3.66,-2.59,-2.22,-3.16,-4.09,-5.69,-7.06,-7.94,-6.06,-4.47,-1.06,3.91,6.34,8.03,8.34,5.72,1.75,-2.19,-5.22,-8.22,-10.47,-10.56,-10.91,-10.22,-9.84,-8.72,-8.91,-10.03,-10.56,-11.88,-12.44,-12.41,-11.72,-11.56,-11.5,-10.59,-10.28,-9.28,-8.97,-8.97,-10.44,-11.44,-12.72,-14.78,-14.28,-14.16,-13.41,-11.09,-7.59,-4.75,-1.78,-0.44,-1.44,-1.84,-3.72,-3.97,-3.38,-3.09,-2.84,-2.34,-3.88,-3.72,-4.34,-4.22,-3.91,-4.31,-4.41,-4.22,-4.09,-2.59,-0.66,2.53,5.22,5.91,6.66,6.19,4.88,4.16,4.0,5.53,5.84,6.31,6.09,5.56,4.5,3.25,2.16,1.56,0.91,-1.31,-1.25,-2.59,-3.53,-4.59,-4.59,-3.81,-3.94,-2.59,-2.06,-2.84,-4.34,-4.78,-6.41,-6.69,-6.97,-7.16,-8.19,-8.94,-9.91,-10.09,-10.97,-10.12,-11.03,-11.31,-12.78,-13.84,-15.38,-17.84,-19.5,-20.53,-20.84,-20.34,-17.69,-15.41,-12.59,-9.34,-6.97,-4.59,-1.84,-0.53,1.12,3.0,3.22,3.38,4.16,4.97,5.06,5.06,5.91,6.66,7.53,8.06,9.84,10.19,8.72,7.94,5.59,2.44,1.19,0.66,-0.06,-0.03,-0.06,1.69,1.97,2.81,3.84,4.69,3.97,3.75,3.47,3.53,3.78,3.12,3.78,4.19,4.16,4.41,4.56,3.12,1.69,-0.47,-1.75,-2.69,-3.72,-3.12,-2.25,-1.41,-0.19,1.47,2.75,3.47,4.03,3.62,3.5,2.25,1.69,1.28,0.31,-0.22,-1.34,-1.69,-1.66,-2.66,-2.28,-0.41,-0.75,1.84,3.34,3.78,4.38,3.66,2.09,0.44,-1.59,-3.12,-3.97,-5.69,-5.75,-4.47,-3.47,-0.66,2.44,6.22,9.0,10.66,11.5,11.78,11.06,9.84,7.97,6.16,4.31,1.44,-0.59,-3.34,-6.09,-7.97,-9.56,-10.97,-10.16,-9.47,-8.78,-7.75,-5.69,-4.0,-4.03,-2.72,-3.56,-3.78,-5.59,-7.09,-7.66,-8.34,-8.81,-8.47,-6.91,-6.97,-6.84,-5.44,-6.12,-5.41,-5.0,-5.22,-3.62,-3.06,-1.69,0.0,1.91,4.75,7.47,11.53,13.62,14.41,12.84,9.03,4.94,0.69,-1.47,-3.41,-3.44,-4.38,-4.28,-4.16,-4.59,-4.72,-4.44,-3.44,-3.44,-1.78,-1.0,0.0,-0.59,-1.25,-1.69,-3.44,-3.28,-3.38,-4.31,-3.84,-3.41,-2.75,-2.09,-1.97,-0.84,-1.5,-2.72,-3.72,-4.62,-5.47,-5.03,-5.56,-4.94,-4.16,-3.91,-3.38,-2.59,-1.66,-1.03,0.0,0.28,0.25,0.56,-0.91,-1.59,-2.72,-3.72,-4.97,-4.34,-3.69,-3.16,-2.47,-1.19,-0.97,-0.97,-0.09,-0.69,-1.06,-0.59,-1.59,-1.62,-1.03,-0.16,0.0,1.41,-9.47,-10.91,-11.22,-11.72,-10.94,-10.06,-8.88,-8.19,-7.69,-7.16,-7.12,-7.0,-6.78,-6.47,-6.53,-5.97,-6.34,-5.69,-5.72,-4.62,-3.69,-2.72,-2.5,-2.66,-2.59,-2.72,-1.88,-2.28,-1.5,-1.09:positivity
25.88,25.94,26.44,26.59,26.31,26.16,25.72,26.12,25.72,25.56,27.03,26.53,27.19,27.81,26.66,26.56,25.84,24.12,22.31,19.44,17.81,17.47,15.91,15.69,16.66,16.44,17.0,16.69,18.47,18.28,20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19:25.72,26.12,25.72,25.56,27.03,26.53,27.19,27.81,26.66,26.56,25.84,24.12,22.31,19.44,17.81,17.47,15.91,15.69,16.66,16.44,17.0,16.69,18.47,18.28,20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19,9.03,8.34,7.72,7.25,6.19,5.91:27.19,27.81,26.66,26.56,25.84,24.12,22.31,19.44,17.81,17.47,15.91,15.69,16.66,16.44,17.0,16.69,18.47,18.28,20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19,9.03,8.34,7.72,7.25,6.19,5.91,4.78,3.06,2.91,1.97,1.56,1.84:22.31,19.44,17.81,17.47,15.91,15.69,16.66,16.44,17.0,16.69,18.47,18.28,20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19,9.03,8.34,7.72,7.25,6.19,5.91,4.78,3.06,2.91,1.97,1.56,1.84,1.91,1.19,1.41,1.53,1.16,0.16:16.66,16.44,17.0,16.69,18.47,18.28,20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19,9.03,8.34,7.72,7.25,6.19,5.91,4.78,3.06,2.91,1.97,1.56,1.84,1.91,1.19,1.41,1.53,1.16,0.16,-0.41,-1.84,-2.81,-3.84,-5.16,-6.78:20.41,21.62,24.16,25.94,28.25,29.38,29.28,27.44,27.81,25.81,24.0,25.56,26.09,27.03,28.94,30.12,30.5,30.81,29.69,28.62,26.28,24.62,22.03,18.72,16.0,14.19,13.34,12.81,11.53,11.03,8.69,6.91,5.0,2.69,2.03,-1.25,-0.84,-1.31,-1.12,0.31,3.12,3.81,4.62,3.88,0.47,-1.97,-5.0,-7.53,-7.22,-7.34,-4.34,-3.59,-2.69,-2.28,-3.34,-5.94,-8.19,-9.03,-10.78,-12.44,-12.53,-12.28,-11.84,-11.84,-11.62,-12.09,-14.44,-14.72,-13.59,-12.12,-9.66,-7.09,-6.16,-5.59,-6.34,-6.53,-7.31,-9.09,-9.03,-11.94,-13.12,-14.31,-16.31,-15.44,-16.69,-16.5,-16.88,-16.22,-16.28,-16.25,-16.84,-17.28,-17.97,-18.34,-17.59,-16.62,-15.28,-13.28,-10.66,-9.28,-8.59,-8.59,-9.0,-8.69,-8.72,-8.22,-8.25,-8.41,-9.16,-11.09,-12.03,-12.94,-13.41,-15.09,-14.84,-16.06,-16.72,-17.19,-17.72,-16.94,-18.75,-18.97,-19.72,-20.72,-23.34,-23.97,-25.62,-26.0,-24.41,-23.06,-19.56,-15.91,-12.09,-9.53,-7.47,-5.84,-6.31,-6.09,-7.34,-8.53,-9.41,-9.72,-9.47,-10.81,-11.34,-12.47,-14.31,-16.09,-17.19,-17.28,-18.28,-18.75,-18.44,-18.59,-18.38,-19.22,-18.28,-17.09,-17.25,-16.44,-16.09,-15.09,-14.62,-14.22,-13.66,-13.16,-15.22,-15.16,-17.84,-17.91,-18.59,-17.59,-17.09,-15.22,-13.94,-13.59,-12.75,-11.38,-10.16,-10.34,-10.38,-11.84,-13.69,-14.22,-15.31,-14.91,-14.34,-12.97,-11.97,-10.69,-9.78,-9.06,-7.34,-7.66,-7.47,-5.97,-7.56,-6.56,-5.84,-6.06,-5.5,-6.5,-7.75,-9.69,-10.44,-12.28,-12.81,-12.66,-12.34,-11.94,-10.91,-10.09,-10.91,-9.44,-9.62,-10.41,-10.19,-10.09,-10.84,-11.78,-13.16,-14.28,-15.56,-15.84,-16.97,-17.09,-16.66,-15.78,-15.97,-14.09,-14.72,-14.25,-14.78,-14.88,-14.78,-15.28,-14.5,-14.47,-14.34,-13.47,-13.34,-13.97,-13.12,-13.12,-11.66,-11.09,-9.28,-8.75,-7.59,-6.47,-6.97,-5.78,-6.53,-5.97,-6.31,-6.53,-7.22,-6.72,-5.59,-5.28,-2.81,-3.28,-3.47,-5.5,-7.28,-9.16,-10.59,-10.97,-10.84,-10.84,-10.28,-10.38,-10.19,-9.84,-8.19,-7.44,-7.34,-7.44,-9.16,-10.44,-11.47,-10.84,-8.62,-7.44,-3.72,0.81,4.25,6.38,7.12,6.94,2.81,-0.09,-3.78,-7.25,-7.78,-9.22,-8.28,-7.72,-7.09,-8.34,-9.09,-9.81,-11.31,-12.12,-13.09,-12.53,-11.16,-10.47,-10.09,-9.34,-9.09,-8.41,-8.16,-7.91,-6.56,-5.97,-5.19,-5.09,-4.69,-5.59,-7.16,-7.41,-8.53,-8.38,-8.19,-8.88,-8.28,-9.28,-9.28,-8.78,-7.59,-5.78,-3.41,-1.22,0.44,-0.59,-1.72,-5.0,-8.47,-11.84,-14.69,-15.47,-16.72,-13.78,-12.69,-9.53,-5.19,-1.41,1.25,3.56,4.56,4.25,3.56,2.41,0.78,0.0,-1.5,-3.16,-3.66,-5.03,-6.34,-5.97,-5.78,-4.47,-2.97,-0.59,0.78,1.66,2.53,2.0,0.59,1.56,1.5,2.59,4.0,3.81,3.69,2.53,2.06,0.72,1.19,0.91,0.34,1.06,1.16,0.62,1.81,1.94,2.94,3.53,3.47,4.62,4.72,4.72,4.81,5.06,4.81,3.16,2.66,1.16,0.47,-1.53,-3.53,-5.16,-6.5,-7.97,-7.88,-7.03,-6.81,-5.22,-5.66,-4.72,-4.97,-3.06,-2.94,-1.03,0.0,-0.09,0.0,-1.66,-2.31,-3.47,-4.09,-3.97,-2.91,-1.91,-1.56,-0.91,-0.31,0.16,-0.59,-1.06,-2.03,-3.53,-4.25,-6.09,-6.16,-6.03,-6.78,-7.12,-9.34,-9.5,-10.91,-11.03,-10.34,-9.53,-8.09,-7.22,-6.81,-5.31,-5.31,-5.66,-5.69,-6.28,-7.19,-9.12,-9.69,-12.34,-11.69,-11.91,-10.72,-9.16,-8.16,-7.84,-6.59,-6.72,-7.69,-8.44,-8.84,-9.94,-10.03,-11.38,-11.56,-11.72,-13.59,-13.41,-14.16,-14.19,-12.53,-11.06,-9.91,-9.0,-8.44,-10.22,-8.66,-9.66,-9.47,-9.59,-9.06,-9.22,-8.62,-9.66,-9.22,-8.81,-9.28,-9.19,-10.41,-12.53,-14.09,-16.91,-19.16,-19.47,-19.72,-18.28,-16.44,-14.47,-12.69,-11.97,-11.66,-11.44,-11.94,-12.47,-12.59,-13.19,-13.06,-13.19,-12.22,-12.12,-11.22,-11.31,-11.62,-10.56,-9.19,-6.88,-3.0,1.69,5.0,7.97,10.0,8.34,8.28,4.56,2.47,0.78,-0.28,-1.25,-1.28,-1.84,-1.91,-2.03,-3.09,-3.22,-4.03,-5.34,-5.62,-6.28,-6.72,-6.44,-7.34,-7.59,-8.59,-10.41,-10.88,-11.12,-11.28,-10.72,-10.59,-9.38,-9.47,-8.81,-8.5,-8.06,-7.22,-7.91,-7.66,-8.19,-8.88,-9.06,-8.69,-7.91,-6.84,-5.38,-4.62,-2.72,-1.12,-0.34,0.56,0.5,-0.38,-1.38,-3.28,-4.84,-5.69,-6.44,-5.5,-4.81,-3.81,-1.69,-0.03,1.16,0.88,0.38,-0.09,-1.88,-2.59,-3.25,-3.91,-4.09,-5.59,-6.75,-8.06,-7.88,-9.0,-8.66,-7.38,-7.16,-6.09,-5.81,-5.66,-6.75,-4.59,-4.94,-4.03,-2.12,-1.34,-0.84,-0.44,-0.72,-2.66,-4.25,-5.31,-6.91,-7.44,-7.34,-6.78,-7.03,-6.28,-5.44,-4.91,-4.28,-3.12,-3.38,-3.19,-2.69,-2.34,-1.81,-1.31,0.03,-0.41,0.28,-0.19,-0.53,-1.56,-3.25,-3.62,-5.81,-6.91,-8.59,-7.72,-7.09,-7.16,-5.25,-3.97,-2.69,-3.06,-4.09,-6.22,-8.38,-8.62,-9.69,-9.31,-7.47,-7.59,-7.44,-7.66,-8.84,-9.12,-8.97,-7.53,-5.91,-3.94,-1.69,-0.41,0.12,-0.34,0.44,-0.91,-1.94,-3.44,-5.22,-5.75,-7.0,-7.38,-6.59,-5.78,-5.31,-4.88,-5.31,-4.53,-4.94,-4.75,-4.84,-4.75,-3.97,-2.72,-0.38,1.56,3.81,5.56,5.47,5.44,2.56,0.0,-2.59,-5.44,-5.34,-5.81,-5.19,-4.59,-4.44,-5.03,-5.34,-5.34,-5.31,-3.03,-0.5,1.97,3.44,5.88,5.31,6.69,3.44,1.81,0.31,-2.56,-3.41,-4.69,-5.69,-5.91,-5.03,-3.44,-1.03,0.12,1.03,0.53,0.12,-0.75,-1.34,-1.25,-0.66,-0.22,0.66,0.75,1.16,2.38,2.47,3.81,4.44,5.28,4.56,3.94,4.75,4.41,5.31,6.16,6.44,6.62,5.88,4.94,5.28,4.94,6.53,7.88,7.5,6.41,3.84,0.12,-3.84,-6.66,-8.94,-10.53,-11.38,-10.72,-10.81,-8.72,-7.5,-5.59,-3.84,-3.06,-1.97,-3.47,-2.88,-3.34,-4.28,-4.09,-4.62,-5.81,-5.12,-6.56,-4.84,-3.66,-2.03,-0.47,1.03,1.84,2.66,0.94,2.53,2.56,1.84,0.84,0.0,-2.41,-5.34,-7.62,-9.5,-9.84,-10.28,-8.84,-7.75,-6.59,-5.69,-6.12,-5.06,-5.53,-6.22,-3.97,-4.22,-2.03,0.47,2.56,4.12,5.25,5.44,5.66,4.31,3.81,3.62,2.22,1.47,1.53,0.66,0.53,0.41,1.28,1.94,3.69,4.0,6.66,6.91,7.56,8.16,7.91,7.69,7.06,6.34,6.12,5.0,5.09,4.81,4.5,4.03,3.38,3.0,2.81,1.88,1.19,-0.03,-0.88,-1.94,-3.66,-1.59,-1.5,0.06,2.81,5.19,9.03,8.34,7.72,7.25,6.19,5.91,4.78,3.06,2.91,1.97,1.56,1.84,1.91,1.19,1.41,1.53,1.16,0.16,-0.41,-1.84,-2.81,-3.84,-5.16,-6.78,-8.09,-10.28,-11.06,-12.28,-12.41,-10.53:positivity
29.03,28.88,29.5,29.19,29.41,29.5,28.0,27.38,25.94,24.25,21.66,20.06,18.56,16.0,16.5,16.38,16.5,18.03,19.0,20.03,20.53,21.03,21.44,22.41,24.0,25.12,26.94,27.53,27.62,27.06,26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62:28.0,27.38,25.94,24.25,21.66,20.06,18.56,16.0,16.5,16.38,16.5,18.03,19.0,20.03,20.53,21.03,21.44,22.41,24.0,25.12,26.94,27.53,27.62,27.06,26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62,-15.22,-14.34,-14.66,-15.47,-15.25,-14.97:18.56,16.0,16.5,16.38,16.5,18.03,19.0,20.03,20.53,21.03,21.44,22.41,24.0,25.12,26.94,27.53,27.62,27.06,26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62,-15.22,-14.34,-14.66,-15.47,-15.25,-14.97,-15.47,-16.34,-17.22,-18.59,-20.88,-22.03:19.0,20.03,20.53,21.03,21.44,22.41,24.0,25.12,26.94,27.53,27.62,27.06,26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62,-15.22,-14.34,-14.66,-15.47,-15.25,-14.97,-15.47,-16.34,-17.22,-18.59,-20.88,-22.03,-24.03,-25.72,-25.31,-25.56,-25.06,-24.22:24.0,25.12,26.94,27.53,27.62,27.06,26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62,-15.22,-14.34,-14.66,-15.47,-15.25,-14.97,-15.47,-16.34,-17.22,-18.59,-20.88,-22.03,-24.03,-25.72,-25.31,-25.56,-25.06,-24.22,-22.47,-19.56,-17.84,-15.66,-14.16,-12.22:26.84,26.16,23.59,21.56,19.56,17.22,15.12,14.31,14.09,14.94,15.75,17.44,19.03,20.5,21.81,23.69,24.25,25.41,26.38,25.81,24.78,24.25,22.44,21.25,18.31,16.75,13.62,12.06,8.69,7.97,7.09,5.41,4.75,4.38,3.78,4.41,3.44,2.38,2.94,1.81,2.5,4.28,5.03,5.97,7.31,8.16,8.56,9.69,10.22,10.34,11.41,12.41,14.31,16.91,17.44,19.12,19.59,19.31,18.31,18.38,17.41,16.03,15.22,14.06,11.84,10.44,8.19,6.03,3.16,2.28,2.25,1.91,3.53,5.5,8.12,10.22,12.41,14.66,15.69,16.31,16.62,16.88,15.62,14.06,10.94,9.97,7.81,6.66,6.44,6.47,4.94,4.31,4.28,3.5,4.69,6.75,6.91,8.62,10.5,11.38,12.25,15.06,16.62,17.41,17.78,15.81,14.5,12.84,11.44,9.69,9.31,9.47,8.94,8.31,8.56,9.62,10.28,9.91,11.41,11.41,12.03,13.62,14.34,16.0,16.19,16.69,16.44,15.88,16.06,14.81,14.44,15.0,16.0,17.38,19.97,21.44,22.06,23.47,23.25,23.03,23.0,22.0,22.41,23.53,23.47,24.69,25.66,24.72,23.28,22.03,20.69,20.16,19.62,21.44,20.81,21.69,23.88,25.0,26.62,30.72,32.56,34.31,34.97,33.44,30.16,24.19,18.69,11.66,7.78,3.22,0.62,0.59,1.22,3.16,5.5,8.31,11.53,14.5,14.84,17.16,17.94,18.94,19.66,20.5,20.66,19.75,18.53,16.19,13.72,11.84,9.06,6.41,3.94,2.84,1.66,1.88,2.94,4.06,6.75,9.19,9.66,13.06,14.06,15.69,18.19,20.19,22.53,24.28,26.06,27.94,29.72,30.06,30.25,29.88,29.75,27.62,26.59,24.59,22.03,19.56,18.62,17.38,17.34,16.84,17.09,18.59,19.66,22.5,24.78,27.56,28.38,27.47,26.06,23.19,21.06,18.56,15.34,15.16,15.16,17.66,20.12,23.66,26.91,28.06,28.06,28.06,27.09,24.59,22.62,22.16,21.66,21.59,23.34,24.34,24.53,25.09,23.97,22.81,22.56,22.56,22.09,22.53,21.91,21.81,21.12,21.78,23.19,24.78,27.53,29.75,31.78,33.53,34.12,33.25,32.41,30.53,28.69,26.56,25.12,23.59,22.12,21.12,19.97,19.12,18.31,17.66,18.62,18.75,19.09,20.28,19.16,18.25,17.28,16.81,16.44,15.88,16.28,16.22,16.0,17.47,19.09,21.06,22.06,23.34,22.97,20.56,18.03,15.59,11.25,8.38,6.06,4.09,3.78,4.25,5.16,6.78,8.56,9.44,10.19,11.16,10.38,10.44,10.78,11.47,11.12,11.22,12.28,12.53,14.09,15.09,17.47,19.06,20.59,20.66,21.06,21.34,19.88,19.06,16.88,15.31,13.56,12.31,13.22,14.88,16.5,18.97,20.19,20.31,22.03,20.09,20.12,19.19,18.53,18.0,17.75,18.5,19.03,20.03,21.41,22.53,25.59,26.88,29.88,31.16,31.84,30.31,28.44,24.94,22.84,19.84,17.78,16.94,16.5,17.47,18.28,18.62,19.44,19.84,20.25,21.75,22.53,22.59,23.22,22.03,20.0,17.56,15.94,11.97,10.81,9.0,8.38,9.28,9.81,10.06,11.47,10.66,10.69,10.44,10.25,9.78,8.19,7.0,4.75,2.41,1.59,2.12,3.38,7.41,11.84,15.59,18.19,19.12,18.38,15.94,12.94,11.25,8.59,8.25,8.31,8.31,9.34,10.28,9.69,8.88,8.16,6.25,5.31,5.16,4.91,5.06,4.81,4.31,2.53,2.09,1.44,1.19,0.38,1.31,-0.41,0.03,1.03,1.38,1.12,0.94,-0.16,-1.34,-2.47,-5.03,-5.69,-6.25,-6.66,-6.97,-4.72,-2.72,-0.88,0.81,2.44,3.62,4.03,3.25,4.12,4.06,4.59,5.44,4.78,5.56,4.81,4.94,5.47,5.81,6.5,6.75,6.56,6.62,6.91,8.56,9.94,12.38,15.25,17.31,19.41,20.41,21.78,21.88,21.91,20.84,18.62,14.31,9.19,4.22,-0.5,-3.41,-5.38,-5.19,-4.56,-3.5,-0.56,0.19,1.38,1.22,-0.09,-1.88,-2.88,-3.47,-3.0,-1.97,0.44,3.16,5.12,7.97,10.97,12.66,13.47,13.47,11.75,8.81,6.16,2.5,0.34,-1.19,-1.97,-0.34,1.69,3.34,5.97,7.94,8.5,9.31,9.66,9.41,8.12,8.62,9.69,10.28,12.31,14.44,15.28,16.06,16.34,16.31,15.94,15.19,14.56,13.44,12.19,10.78,10.31,9.5,8.25,7.16,7.12,6.47,7.06,9.03,10.44,12.69,14.94,16.78,19.16,19.59,20.72,20.78,19.22,17.59,16.16,14.66,12.38,11.53,11.09,10.38,10.09,9.38,9.5,8.09,6.84,6.62,5.75,4.16,4.03,2.56,1.62,1.69,1.69,1.47,3.12,3.34,2.75,2.78,1.56,0.41,-1.06,-2.22,-1.03,0.38,2.19,5.12,7.53,9.81,11.84,13.47,14.41,15.44,14.38,11.94,11.0,8.06,6.56,5.88,6.94,7.91,8.81,10.91,11.62,11.97,11.94,9.94,8.41,5.47,2.38,1.12,-1.66,-2.78,-3.66,-3.66,-2.28,-0.66,1.53,5.03,6.06,7.16,8.38,8.78,8.34,8.12,8.06,6.41,5.81,4.53,2.81,2.66,1.62,1.31,0.81,1.72,2.22,2.62,3.44,3.44,3.34,2.31,2.12,1.44,0.38,0.34,-0.09,-0.03,-0.19,0.28,1.06,2.72,4.44,5.88,6.12,5.03,3.56,1.16,-1.41,-2.59,-2.81,-3.59,-2.0,-1.19,1.78,3.47,4.66,6.84,7.75,7.88,8.41,8.81,9.19,8.94,8.84,9.16,9.44,8.78,9.09,8.84,9.38,11.62,14.06,16.19,17.62,17.12,15.78,13.44,10.56,8.0,6.16,4.44,3.19,2.53,2.31,2.59,3.72,5.03,6.5,7.16,7.91,7.5,6.88,6.94,6.34,6.5,6.0,5.97,7.0,7.31,8.38,10.19,12.16,14.06,15.31,17.19,17.69,16.78,16.88,16.62,15.91,16.69,15.88,16.56,15.12,12.38,9.47,5.81,1.19,-2.09,-4.69,-7.62,-8.03,-7.94,-6.56,-4.47,-0.94,2.16,5.62,8.22,9.78,11.62,12.5,14.0,15.16,16.66,17.94,19.28,19.12,20.12,19.41,17.66,16.06,13.91,11.53,10.84,10.12,10.03,9.25,9.34,8.91,8.31,7.94,7.69,6.53,5.53,4.5,4.31,3.72,2.91,4.25,4.06,4.41,4.84,5.34,5.84,4.41,3.84,3.34,2.12,3.0,4.09,5.56,7.72,9.94,11.47,12.12,12.28,11.38,10.53,9.53,8.78,8.0,8.5,8.72,8.72,8.94,8.69,7.81,7.19,6.78,6.22,6.62,7.56,9.0,11.53,13.94,16.75,18.25,18.16,17.31,16.19,13.62,11.19,9.56,8.12,6.5,5.44,5.88,7.28,8.94,10.97,12.0,12.5,12.5,13.56,14.56,16.38,18.19,19.78,19.81,20.5,20.22,18.53,17.66,15.41,13.91,12.41,11.03,10.56,9.88,9.22,8.38,7.91,6.69,4.88,4.66,4.44,2.25,2.56,3.0,3.34,4.97,5.94,7.5,7.78,9.09,9.62,-15.22,-14.34,-14.66,-15.47,-15.25,-14.97,-15.47,-16.34,-17.22,-18.59,-20.88,-22.03,-24.03,-25.72,-25.31,-25.56,-25.06,-24.22,-22.47,-19.56,-17.84,-15.66,-14.16,-12.22,-12.72,-12.66,-12.41,-11.5,-11.97,-12.0:positivity
42.31,43.38,42.75,42.38,42.5,42.31,41.47,40.38,40.22,38.44,37.53,35.91,35.38,34.56,35.31,35.72,35.66,36.94,37.69,36.38,36.38,35.66,35.31,35.03,34.28,33.66,34.25,35.75,38.31,41.31,43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19:41.47,40.38,40.22,38.44,37.53,35.91,35.38,34.56,35.31,35.72,35.66,36.94,37.69,36.38,36.38,35.66,35.31,35.03,34.28,33.66,34.25,35.75,38.31,41.31,43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19,-9.91,-9.72,-9.72,-10.09,-10.94,-11.44:35.38,34.56,35.31,35.72,35.66,36.94,37.69,36.38,36.38,35.66,35.31,35.03,34.28,33.66,34.25,35.75,38.31,41.31,43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19,-9.91,-9.72,-9.72,-10.09,-10.94,-11.44,-11.41,-12.41,-12.38,-13.72,-15.72,-16.22:37.69,36.38,36.38,35.66,35.31,35.03,34.28,33.66,34.25,35.75,38.31,41.31,43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19,-9.91,-9.72,-9.72,-10.09,-10.94,-11.44,-11.41,-12.41,-12.38,-13.72,-15.72,-16.22,-18.22,-17.72,-16.84,-16.59,-15.72,-15.0:34.28,33.66,34.25,35.75,38.31,41.31,43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19,-9.91,-9.72,-9.72,-10.09,-10.94,-11.44,-11.41,-12.41,-12.38,-13.72,-15.72,-16.22,-18.22,-17.72,-16.84,-16.59,-15.72,-15.0,-14.72,-14.97,-16.5,-18.06,-19.34,-20.84:43.72,46.38,46.03,45.88,44.62,44.53,43.47,42.59,41.56,41.16,40.44,39.69,40.94,40.03,41.19,40.78,41.44,41.72,44.03,44.88,45.97,46.59,44.69,43.75,41.88,38.31,36.47,34.81,33.41,31.0,30.28,30.03,28.5,28.88,30.41,31.69,32.19,34.81,34.94,35.0,35.28,34.03,32.75,30.69,30.5,30.59,31.41,31.75,32.0,31.12,30.53,29.47,30.62,30.66,31.19,30.31,29.97,28.25,27.88,27.47,27.12,26.84,26.5,25.94,25.75,25.28,25.16,24.28,24.72,24.06,24.38,26.81,27.84,30.28,31.03,30.75,32.81,32.06,32.28,33.47,34.34,32.84,31.66,29.38,27.09,27.12,27.81,29.25,31.66,34.25,35.78,36.59,37.56,38.22,37.88,38.0,38.62,38.12,37.25,36.53,33.81,31.34,27.12,23.31,20.44,17.09,14.75,13.25,11.53,9.75,9.03,8.5,8.94,10.0,11.22,11.59,13.75,14.03,14.28,15.75,15.53,16.62,17.72,17.53,16.28,17.09,16.06,16.56,17.03,17.0,16.59,16.62,15.56,14.41,15.16,14.0,14.38,14.78,15.12,16.16,16.19,14.56,15.31,11.78,10.06,9.91,9.34,10.41,10.12,9.56,9.81,8.62,8.69,8.66,8.16,9.03,7.62,7.16,7.19,6.25,8.28,8.38,8.94,12.16,12.84,14.53,14.84,15.19,17.69,18.16,18.19,18.91,18.81,16.97,15.56,11.88,10.25,9.28,8.16,7.97,8.94,9.75,8.81,9.31,9.44,9.22,10.69,12.12,13.16,13.41,13.0,12.72,12.5,11.12,11.03,10.38,8.5,5.06,2.47,-0.59,-3.16,-2.88,-1.91,0.12,2.44,5.0,5.94,6.62,6.25,6.0,4.84,3.97,2.25,1.91,0.66,-2.28,-3.72,-5.78,-8.16,-9.91,-9.72,-9.31,-8.94,-8.66,-7.34,-6.47,-4.59,-3.47,-1.84,0.12,1.38,0.12,-0.53,-1.88,-3.72,-5.59,-5.06,-6.72,-4.94,-4.03,-3.56,-0.94,-0.19,0.12,0.78,2.38,3.41,3.06,2.31,2.81,2.0,1.53,2.69,4.03,6.0,6.81,8.03,7.88,6.25,5.97,6.31,6.53,7.06,9.34,9.91,11.81,11.56,10.66,9.38,5.66,2.91,0.22,-1.47,-2.5,-1.41,-0.06,1.25,3.19,4.06,4.66,5.12,4.44,3.19,3.0,2.12,2.19,1.38,2.88,4.59,6.12,8.44,9.34,10.81,9.0,7.94,5.75,4.78,5.19,4.56,4.34,4.31,2.16,1.62,-0.09,-0.16,-0.47,1.34,1.28,1.47,1.66,1.47,2.78,1.53,1.22,-0.53,-1.44,-3.34,-4.41,-2.84,-1.94,-0.66,1.41,1.62,0.81,1.78,1.69,2.69,3.78,5.06,5.44,5.25,4.44,2.97,2.62,2.12,2.47,3.03,4.0,3.78,3.28,1.78,1.81,1.75,2.34,2.0,3.22,4.16,5.16,5.56,6.06,6.22,8.19,7.91,10.41,14.28,15.22,18.19,18.69,18.41,16.81,15.03,12.5,10.59,9.5,7.41,6.56,4.66,1.56,-0.44,-3.06,-5.22,-6.41,-8.28,-6.84,-7.56,-6.59,-5.97,-4.53,-3.91,-3.09,-2.78,-2.25,-2.16,-2.91,-3.34,-5.09,-5.81,-5.31,-5.34,-4.81,-4.97,-3.88,-5.44,-6.19,-6.44,-8.06,-7.28,-5.41,-2.47,0.5,3.81,6.19,6.69,5.41,3.06,1.03,-1.72,-3.56,-4.22,-4.84,-4.19,-3.09,-1.75,-0.69,1.03,1.72,3.03,2.94,3.38,4.0,2.91,2.62,2.03,1.53,2.0,2.38,2.91,3.81,3.25,3.44,2.84,2.94,3.5,3.66,4.66,5.56,6.5,7.12,7.5,7.84,7.41,7.12,6.78,7.62,8.41,9.16,9.56,10.5,11.56,11.19,11.06,11.81,12.34,11.94,12.44,13.34,13.12,12.28,12.09,10.06,11.47,12.62,14.06,14.84,16.25,16.0,15.81,15.66,17.78,17.69,19.72,19.56,20.09,20.25,19.72,18.94,18.09,17.44,15.19,12.88,11.0,9.34,7.31,6.22,4.56,4.31,4.34,3.94,5.41,7.12,8.53,10.31,11.59,12.56,12.72,14.09,14.5,14.97,15.69,14.78,15.5,14.88,13.03,12.44,10.66,10.5,10.31,10.16,11.75,11.81,13.19,13.88,13.97,14.41,14.09,14.38,14.69,14.75,13.94,13.81,13.06,12.56,11.5,10.44,10.31,9.16,9.19,10.25,10.62,14.31,15.16,16.97,18.34,17.78,18.12,18.75,19.16,20.44,20.97,22.41,21.88,21.56,20.62,19.59,18.56,17.0,16.72,16.59,15.41,15.31,13.31,13.38,12.78,12.25,12.59,12.62,12.03,11.81,10.66,10.34,11.19,10.78,12.06,11.81,12.59,11.62,10.72,10.03,8.75,8.78,9.44,9.88,10.0,10.38,9.09,7.75,5.41,4.22,4.34,4.22,5.0,6.66,8.0,8.72,9.31,9.75,9.06,9.25,8.06,7.22,6.31,5.19,5.88,6.5,7.03,8.12,9.31,9.78,11.31,10.5,11.66,12.94,13.62,14.31,16.19,16.0,15.75,16.66,17.0,16.12,16.78,16.62,15.94,15.88,14.69,14.78,14.16,14.03,15.16,15.91,18.06,20.72,21.06,23.25,24.5,23.53,23.56,23.31,22.25,22.69,21.75,21.41,21.41,20.5,21.0,20.5,19.66,19.22,17.94,17.75,17.03,15.88,15.91,14.97,14.0,14.0,14.75,15.72,16.5,17.5,17.44,17.59,17.91,17.34,19.38,18.75,20.88,20.72,21.84,21.97,22.09,22.84,23.47,23.28,23.88,22.81,20.41,18.78,14.91,12.62,9.69,8.88,8.81,10.06,13.31,16.03,19.38,22.97,23.97,24.56,24.38,23.31,21.28,19.53,17.72,17.19,16.12,16.88,17.84,17.78,20.81,21.06,21.38,22.84,23.19,24.25,25.38,27.28,30.03,31.5,34.62,36.19,38.94,38.66,39.19,36.78,33.41,28.56,25.88,22.19,21.69,21.03,21.69,23.56,24.12,25.78,25.28,25.75,24.28,23.03,22.03,22.34,22.34,23.16,23.12,23.16,23.12,20.94,20.38,18.66,17.38,17.78,18.06,20.0,22.5,25.66,28.78,30.91,32.25,33.12,33.19,33.22,33.31,31.06,29.81,27.19,24.41,21.88,19.91,17.94,16.19,16.19,14.72,14.78,16.19,16.38,17.84,20.44,22.16,23.72,24.62,23.94,24.0,21.94,19.88,17.81,16.0,14.91,14.5,14.78,16.72,17.44,19.66,21.38,23.66,26.0,27.69,29.38,30.66,29.62,28.81,28.16,27.19,25.94,24.47,23.69,21.41,19.56,17.41,14.53,13.03,11.38,10.38,10.53,11.59,12.03,13.94,16.0,17.59,19.69,20.66,21.19,21.31,20.84,20.5,19.84,18.94,19.66,18.59,18.0,18.12,17.5,16.56,15.16,12.22,12.06,9.78,9.62,10.66,11.81,12.69,13.62,13.88,13.81,14.69,16.22,16.81,17.66,19.75,20.44,20.53,20.31,21.28,21.03,20.81,20.78,21.31,20.81,20.69,21.78,22.97,23.47,24.19,25.19,24.56,23.69,23.12,21.59,20.12,20.66,20.94,20.5,20.91,22.06,21.66,22.12,22.5,23.31,23.22,24.81,24.16,23.91,22.97,20.94,19.34,17.19,-9.91,-9.72,-9.72,-10.09,-10.94,-11.44,-11.41,-12.41,-12.38,-13.72,-15.72,-16.22,-18.22,-17.72,-16.84,-16.59,-15.72,-15.0,-14.72,-14.97,-16.5,-18.06,-19.34,-20.84,-20.69,-19.16,-16.91,-14.09,-10.97,-9.06:positivity
36.31,35.94,34.72,31.88,29.84,28.44,28.66,28.78,30.81,32.19,33.66,35.12,36.03,36.34,37.09,36.41,36.06,34.84,33.62,32.75,32.41,31.12,29.31,27.91,26.41,23.41,21.5,20.06,17.62,16.03,15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03:28.66,28.78,30.81,32.19,33.66,35.12,36.03,36.34,37.09,36.41,36.06,34.84,33.62,32.75,32.41,31.12,29.31,27.91,26.41,23.41,21.5,20.06,17.62,16.03,15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03,-27.38,-30.28,-31.09,-31.22,-30.47,-29.66:36.03,36.34,37.09,36.41,36.06,34.84,33.62,32.75,32.41,31.12,29.31,27.91,26.41,23.41,21.5,20.06,17.62,16.03,15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03,-27.38,-30.28,-31.09,-31.22,-30.47,-29.66,-27.75,-25.69,-24.84,-22.91,-20.41,-18.03:33.62,32.75,32.41,31.12,29.31,27.91,26.41,23.41,21.5,20.06,17.62,16.03,15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03,-27.38,-30.28,-31.09,-31.22,-30.47,-29.66,-27.75,-25.69,-24.84,-22.91,-20.41,-18.03,-14.91,-12.84,-11.41,-9.69,-9.81,-11.22:26.41,23.41,21.5,20.06,17.62,16.03,15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03,-27.38,-30.28,-31.09,-31.22,-30.47,-29.66,-27.75,-25.69,-24.84,-22.91,-20.41,-18.03,-14.91,-12.84,-11.41,-9.69,-9.81,-11.22,-11.97,-13.09,-15.09,-17.09,-19.41,-21.59:15.03,15.84,17.34,19.84,23.03,26.44,29.12,31.94,33.38,35.0,36.34,37.38,38.19,36.97,35.72,34.09,32.56,31.78,30.81,30.69,30.19,29.97,30.0,30.88,31.62,32.56,32.25,30.91,29.91,27.78,26.66,27.5,27.69,29.19,30.72,31.59,32.12,32.66,32.56,31.47,31.06,30.56,30.28,30.84,31.06,32.28,32.62,34.06,34.81,35.34,36.5,36.56,35.94,35.94,35.16,33.81,32.5,31.16,31.66,29.16,29.19,28.78,27.75,27.72,26.81,25.94,25.84,25.97,28.0,29.41,31.81,33.69,33.88,34.16,33.66,31.94,31.56,31.22,29.94,31.0,31.53,33.16,35.16,36.94,39.34,39.94,40.31,39.94,39.47,38.88,37.62,36.22,35.78,34.16,34.84,35.31,35.12,34.56,34.5,32.38,30.53,28.03,27.19,25.47,24.88,25.25,26.09,27.97,31.38,33.72,36.06,38.81,39.78,39.97,40.44,40.81,40.12,40.69,40.81,40.91,40.69,40.12,38.0,37.44,34.69,32.25,30.31,28.88,27.28,27.84,27.88,29.34,30.19,30.12,30.22,29.19,27.53,27.16,24.28,22.09,20.84,19.16,17.94,18.72,20.12,21.84,23.59,25.91,26.88,27.91,27.94,28.81,27.31,27.84,26.81,26.94,26.69,28.31,29.44,29.97,32.03,33.06,33.31,32.78,31.75,31.12,31.12,30.41,30.91,31.53,31.66,31.88,29.88,28.84,27.19,26.09,25.38,24.97,26.0,26.72,28.91,31.0,32.44,34.34,35.81,36.56,37.09,37.06,37.84,36.34,35.16,33.78,31.62,29.84,27.62,26.53,25.66,23.91,23.94,23.94,24.0,25.06,26.72,27.56,28.75,30.03,31.44,32.5,33.31,33.41,33.09,32.56,31.41,30.81,30.69,30.31,30.31,30.56,30.75,31.22,31.69,31.5,31.47,31.56,30.84,30.44,30.97,30.81,30.19,31.31,32.06,33.31,35.28,37.97,40.69,43.06,45.88,46.94,45.88,44.5,41.56,37.59,34.31,31.28,29.84,28.81,27.97,29.06,29.06,29.44,29.0,28.62,30.38,33.0,36.62,41.59,44.66,48.28,49.62,49.28,48.25,46.06,43.88,42.09,40.56,37.38,35.56,34.44,33.06,31.69,31.97,33.72,34.72,36.0,37.53,37.56,37.91,35.91,34.59,33.0,30.03,29.19,27.72,26.06,26.09,26.03,26.16,25.41,25.25,23.34,21.16,19.91,17.78,17.0,15.66,14.66,13.94,14.78,16.56,19.31,22.09,25.72,28.81,31.56,33.81,36.12,38.09,39.47,39.31,40.59,40.38,38.06,36.78,33.56,31.25,27.91,23.91,20.31,18.56,16.31,14.81,14.59,14.38,14.84,15.31,17.94,20.56,24.69,28.34,31.5,33.47,34.0,34.19,32.69,31.44,31.16,30.44,32.06,32.41,33.66,34.41,34.81,35.28,35.66,34.97,33.91,33.5,31.62,30.25,30.06,29.62,29.19,29.12,28.75,29.19,29.94,30.62,31.84,32.41,34.5,34.5,35.16,35.28,35.69,35.03,33.44,32.5,30.62,28.56,26.19,24.34,23.69,23.28,22.25,22.09,23.78,23.22,23.91,24.41,24.28,25.44,25.53,25.31,25.81,25.66,24.81,25.34,24.53,25.56,26.56,28.03,30.62,32.34,33.66,35.19,36.12,37.12,37.72,37.31,37.06,34.69,33.28,30.75,28.31,26.91,26.38,27.38,26.78,28.34,30.19,31.16,32.06,34.19,34.0,34.81,35.16,35.41,36.62,35.38,34.53,32.09,29.97,26.53,24.75,23.44,22.34,23.41,23.81,24.38,24.78,25.41,25.31,26.22,25.88,25.66,26.09,25.47,25.56,25.31,25.66,26.56,26.16,27.47,27.03,27.5,28.0,29.56,31.34,32.84,35.03,36.34,36.06,37.03,36.34,35.59,36.06,36.5,36.5,36.31,37.03,37.53,38.19,38.69,40.31,39.84,39.62,40.19,39.72,39.81,41.22,42.03,42.0,40.81,40.28,38.75,38.31,36.5,35.97,34.31,32.75,31.56,30.12,29.47,28.53,27.72,26.78,27.19,26.59,27.62,29.19,30.78,31.25,31.88,32.5,31.5,32.19,32.16,32.38,32.78,33.38,34.59,36.12,37.47,38.19,38.28,36.91,35.19,32.72,31.22,30.94,31.28,32.38,34.19,36.12,37.22,36.28,34.78,33.0,30.31,27.81,24.69,21.5,19.25,16.41,15.16,14.59,15.69,17.53,19.19,22.06,24.94,26.94,28.5,30.34,30.88,31.44,32.34,32.56,33.5,33.69,33.56,33.38,33.12,32.66,33.06,32.97,32.41,32.47,32.09,31.44,32.09,31.28,31.75,32.34,31.84,32.34,32.56,33.16,32.88,33.28,32.66,33.16,33.16,33.22,34.34,36.41,38.47,39.88,40.94,40.91,40.69,38.19,36.38,36.12,34.22,34.81,34.53,34.16,33.94,33.19,32.91,31.91,30.56,29.47,27.56,25.72,24.22,23.06,21.91,21.75,20.59,19.41,19.41,19.12,19.0,21.12,22.81,23.44,25.5,27.12,27.97,29.16,29.66,30.31,29.06,27.5,26.25,23.41,21.56,20.44,19.06,19.09,20.28,21.5,22.12,22.22,23.12,22.84,22.56,22.03,21.53,20.94,17.75,16.31,14.38,13.38,13.72,13.97,15.03,16.09,16.09,16.5,17.19,18.12,18.91,20.31,21.12,20.41,20.06,18.0,17.12,16.19,15.94,15.22,15.91,17.34,18.81,21.97,25.06,27.75,29.69,30.16,30.25,28.94,26.66,25.41,22.22,21.56,20.34,19.0,18.53,18.0,17.75,17.66,18.94,19.81,20.69,21.75,22.62,21.41,21.53,21.38,19.91,19.38,18.19,17.59,15.72,16.25,16.25,16.53,17.16,18.38,19.03,19.69,19.66,20.56,20.22,20.16,21.09,19.78,19.78,20.12,19.0,18.53,17.41,16.56,15.59,14.66,15.03,14.91,14.28,14.12,13.22,13.59,13.31,14.88,16.25,16.5,18.5,17.88,17.47,16.28,16.28,15.0,14.56,15.16,14.84,16.19,17.44,18.28,18.97,20.0,20.75,21.94,22.78,23.66,24.81,25.16,25.62,27.03,26.5,27.03,26.09,24.16,22.69,20.47,18.03,16.97,16.59,16.44,16.91,18.03,18.78,19.53,21.53,21.69,22.28,22.81,22.41,22.06,21.66,21.19,20.41,18.84,18.56,17.47,17.22,17.31,16.0,15.66,15.94,16.62,18.03,20.69,23.28,27.19,27.34,28.31,27.53,25.56,23.31,22.09,22.09,22.56,23.56,24.91,24.78,24.62,25.0,25.16,25.66,24.44,23.34,22.62,21.66,21.56,22.25,22.97,23.41,23.41,23.16,23.53,25.22,26.25,28.12,29.91,30.91,30.72,29.88,28.75,26.56,23.53,21.03,18.12,15.44,14.66,14.66,14.5,15.0,16.69,17.84,19.62,21.69,23.12,24.88,25.22,25.59,24.72,23.31,21.66,18.75,15.25,10.81,6.34,3.84,1.28,-0.47,1.62,3.5,7.56,11.88,17.38,21.91,26.22,28.69,31.16,32.06,31.66,30.53,28.25,25.91,23.56,20.81,18.19,15.94,13.44,11.25,9.44,7.5,6.22,5.25,4.19,4.41,5.03,6.12,8.78,11.34,13.88,15.81,16.66,16.22,14.81,14.03,12.12,10.62,8.03,-27.38,-30.28,-31.09,-31.22,-30.47,-29.66,-27.75,-25.69,-24.84,-22.91,-20.41,-18.03,-14.91,-12.84,-11.41,-9.69,-9.81,-11.22,-11.97,-13.09,-15.09,-17.09,-19.41,-21.59,-24.16,-27.34,-29.12,-31.25,-33.19,-33.78:positivity
46.12,44.31,44.38,44.5,45.97,49.19,52.69,55.25,58.28,60.47,60.34,59.88,58.0,55.03,52.84,50.28,48.59,47.69,47.66,48.06,48.34,48.28,47.44,47.66,46.69,46.91,47.5,49.12,51.66,52.44,53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44:52.69,55.25,58.28,60.47,60.34,59.88,58.0,55.03,52.84,50.28,48.59,47.69,47.66,48.06,48.34,48.28,47.44,47.66,46.69,46.91,47.5,49.12,51.66,52.44,53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44,13.94,11.38,10.0,9.53,8.56,9.91:58.0,55.03,52.84,50.28,48.59,47.69,47.66,48.06,48.34,48.28,47.44,47.66,46.69,46.91,47.5,49.12,51.66,52.44,53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44,13.94,11.38,10.0,9.53,8.56,9.91,11.47,15.16,19.28,22.84,24.88,26.06:47.66,48.06,48.34,48.28,47.44,47.66,46.69,46.91,47.5,49.12,51.66,52.44,53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44,13.94,11.38,10.0,9.53,8.56,9.91,11.47,15.16,19.28,22.84,24.88,26.06,24.28,21.25,19.06,16.44,14.19,13.31:46.69,46.91,47.5,49.12,51.66,52.44,53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44,13.94,11.38,10.0,9.53,8.56,9.91,11.47,15.16,19.28,22.84,24.88,26.06,24.28,21.25,19.06,16.44,14.19,13.31,12.44,11.94,11.56,11.28,11.41,11.44:53.94,55.19,54.28,52.91,51.25,49.78,48.75,48.84,49.75,50.06,50.72,51.41,51.19,51.84,53.41,55.0,55.72,56.31,56.97,55.69,55.19,54.28,52.94,52.44,51.91,51.66,51.97,52.06,50.94,49.88,48.06,48.44,47.06,46.62,46.66,46.44,45.03,43.69,41.44,36.81,34.31,31.06,28.88,28.72,29.62,31.41,33.66,35.16,37.88,40.09,41.41,44.34,44.31,44.41,43.72,42.25,41.56,40.53,40.0,40.03,39.78,39.47,41.38,42.69,44.16,46.69,48.88,48.91,51.81,52.09,52.31,52.72,52.44,51.69,50.28,46.72,44.53,42.0,37.38,34.91,32.03,28.97,27.09,25.81,25.59,26.38,28.0,30.81,33.94,35.44,36.94,37.69,38.06,36.53,35.91,35.12,34.5,33.97,34.0,32.75,33.0,32.19,31.25,31.69,30.88,30.5,31.47,32.44,34.19,34.5,35.56,35.59,34.28,32.06,30.88,28.88,27.97,27.91,28.69,30.94,33.06,36.69,39.75,43.53,46.62,47.47,47.91,47.28,44.25,40.5,37.19,34.56,32.62,31.0,31.78,33.25,35.97,37.44,40.34,42.41,43.25,44.19,44.5,45.44,46.25,46.03,43.69,41.75,39.47,35.78,31.81,28.56,25.38,21.88,18.91,17.44,17.06,16.97,18.56,20.03,21.06,23.12,24.41,26.19,29.25,30.16,32.53,33.31,32.91,34.06,35.66,36.72,39.59,40.66,42.59,41.78,40.53,38.66,35.19,32.72,31.0,28.84,28.0,28.12,29.84,31.66,35.0,38.75,42.81,45.06,46.84,47.38,47.03,47.31,46.66,47.38,46.56,45.91,45.31,44.38,41.47,39.38,37.5,33.12,31.47,28.91,27.38,27.69,28.94,30.94,33.03,36.47,38.5,39.69,40.69,42.03,41.81,42.25,42.88,43.31,44.19,44.31,44.22,45.31,43.97,42.59,42.28,41.44,41.0,40.53,41.22,42.25,42.03,42.25,42.03,41.56,41.12,40.56,39.94,39.72,39.53,38.88,38.81,39.75,40.56,41.28,41.81,42.88,41.09,41.19,41.12,41.5,41.94,42.47,42.12,41.06,38.06,36.03,34.44,32.78,31.16,33.75,34.5,35.56,37.66,38.56,40.0,41.94,43.12,45.19,47.31,49.47,49.66,49.38,47.75,46.31,44.0,41.28,40.75,39.75,40.25,39.66,39.44,39.16,38.72,38.94,40.31,41.94,43.34,44.78,45.31,45.56,47.06,48.59,49.5,51.0,52.66,52.0,50.28,48.16,45.62,41.81,40.81,39.16,38.56,37.72,36.84,36.28,35.38,35.19,34.94,34.53,35.09,34.81,34.38,34.22,33.16,32.38,31.69,29.72,29.81,28.12,27.5,28.53,28.69,29.06,30.19,31.06,32.78,34.12,35.06,36.84,38.28,39.09,40.16,42.31,43.56,44.84,47.12,47.62,48.03,49.28,48.88,50.62,51.34,51.94,51.94,51.5,51.84,51.81,52.0,52.91,54.28,54.62,55.28,56.0,54.88,54.06,52.56,51.03,49.16,47.31,45.06,43.66,43.19,41.53,41.34,40.47,39.16,38.12,36.72,34.94,34.78,34.34,32.34,30.53,31.09,30.28,30.5,31.91,32.91,33.09,32.66,31.69,31.25,30.0,29.22,28.78,28.75,30.19,31.16,32.62,35.81,38.38,41.91,45.5,47.94,49.62,49.56,48.53,47.41,45.09,43.56,42.75,40.59,40.22,39.88,37.72,37.31,36.41,37.28,38.53,40.88,42.5,44.69,46.03,46.06,46.06,45.44,43.75,42.81,41.97,41.34,41.16,40.69,40.5,39.84,39.31,37.78,36.91,35.25,33.5,31.91,30.88,30.56,30.44,30.38,30.25,30.69,30.06,30.34,30.0,29.31,29.34,29.0,29.53,30.25,31.5,33.31,33.84,35.91,37.41,37.16,37.81,37.25,35.66,35.81,33.59,33.78,32.44,32.88,33.38,35.25,37.38,40.91,43.28,44.16,44.81,45.06,45.03,44.69,45.97,47.53,48.09,50.56,51.16,51.97,52.09,50.38,48.69,46.94,45.66,45.19,45.12,46.09,46.81,48.72,49.75,51.06,51.28,51.0,48.31,45.12,42.25,36.91,34.62,33.94,31.97,31.25,31.69,31.81,32.5,34.16,36.22,37.44,39.44,39.66,39.88,39.44,39.44,39.81,39.16,40.03,40.5,39.25,38.44,37.25,36.5,33.47,31.31,29.06,27.25,26.62,27.44,28.75,30.66,31.97,33.03,33.91,35.06,37.31,38.34,38.75,39.72,38.81,38.56,38.5,38.44,38.84,37.94,36.84,35.97,34.91,34.44,34.19,33.69,33.66,33.56,32.38,32.44,31.5,31.66,31.97,31.41,32.44,32.69,32.59,32.47,32.62,33.19,33.66,35.66,37.28,40.84,43.19,44.47,45.69,44.75,43.44,42.19,41.75,39.81,39.91,41.12,41.56,41.78,42.56,43.16,42.31,41.97,40.62,41.25,40.59,39.94,40.81,41.34,40.66,41.19,41.09,41.12,40.19,39.41,38.62,37.12,35.19,32.16,29.56,26.94,25.06,23.94,25.41,25.78,25.81,27.22,27.03,27.44,27.59,28.84,29.62,31.5,32.53,33.84,34.31,34.59,32.38,29.69,26.97,23.16,19.5,17.25,16.66,16.72,17.66,19.88,20.72,22.84,23.0,22.5,22.62,22.66,22.91,23.25,25.41,27.69,29.91,32.44,33.94,35.12,35.66,36.03,35.97,35.22,34.81,33.72,31.69,30.69,29.69,30.0,29.56,30.75,32.53,33.94,34.16,34.81,34.69,34.03,34.84,35.84,37.88,38.81,39.66,39.16,36.94,34.19,31.38,29.94,29.97,29.41,29.41,29.56,28.31,26.06,24.19,22.44,21.66,21.03,22.0,21.75,22.84,23.28,24.5,25.41,26.5,26.69,26.31,25.66,24.56,22.47,19.94,18.38,15.69,13.28,10.88,9.84,10.19,8.81,12.34,15.12,16.41,19.09,19.97,20.28,22.16,21.91,22.72,24.41,25.78,27.34,27.0,27.0,27.84,26.69,27.41,28.25,28.81,28.91,29.03,30.0,30.06,30.38,30.56,30.41,29.0,28.78,27.78,26.44,26.47,25.97,26.28,27.16,28.97,29.72,31.06,32.12,32.91,34.16,33.5,33.62,32.09,29.78,27.97,25.56,25.59,24.97,24.66,25.09,25.16,24.66,25.19,25.62,25.81,27.25,28.19,29.94,31.84,34.0,35.62,36.16,35.56,34.0,31.91,29.66,28.44,28.75,27.69,28.72,29.47,30.41,31.75,32.75,34.28,34.81,35.75,35.09,35.94,36.03,35.81,37.06,37.62,38.19,38.41,37.94,37.28,35.72,34.66,32.81,32.12,30.84,29.97,30.66,29.41,29.31,28.19,27.81,27.53,27.84,27.97,27.88,27.38,27.5,25.56,25.12,26.19,24.97,25.41,26.38,27.12,28.19,29.53,33.12,33.91,35.44,36.38,36.91,37.66,38.41,39.06,41.06,42.56,42.81,43.88,43.25,41.62,39.25,37.88,35.88,34.12,33.53,32.06,32.06,32.25,32.28,32.38,32.62,31.81,30.53,29.62,27.69,26.69,27.56,27.84,27.94,29.75,30.5,31.69,32.22,32.34,32.69,31.41,29.81,29.5,29.28,30.0,31.53,33.53,35.62,35.78,36.75,35.88,35.41,35.03,35.38,36.31,37.34,38.97,39.44,13.94,11.38,10.0,9.53,8.56,9.91,11.47,15.16,19.28,22.84,24.88,26.06,24.28,21.25,19.06,16.44,14.19,13.31,12.44,11.94,11.56,11.28,11.41,11.44,10.75,11.88,11.62,12.56,14.0,15.69:positivity
20.94,20.03,20.66,20.31,21.44,22.06,23.22,24.34,25.75,26.72,27.28,28.03,28.56,28.03,27.53,26.84,26.16,25.28,25.12,25.81,27.69,27.94,28.56,28.03,26.44,23.62,21.41,19.94,19.34,19.44,22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97:23.22,24.34,25.75,26.72,27.28,28.03,28.56,28.03,27.53,26.84,26.16,25.28,25.12,25.81,27.69,27.94,28.56,28.03,26.44,23.62,21.41,19.94,19.34,19.44,22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97,-20.31,-19.38,-18.62,-16.97,-14.88,-12.69:28.56,28.03,27.53,26.84,26.16,25.28,25.12,25.81,27.69,27.94,28.56,28.03,26.44,23.62,21.41,19.94,19.34,19.44,22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97,-20.31,-19.38,-18.62,-16.97,-14.88,-12.69,-9.34,-5.94,-3.41,-0.84,0.56,0.44:25.12,25.81,27.69,27.94,28.56,28.03,26.44,23.62,21.41,19.94,19.34,19.44,22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97,-20.31,-19.38,-18.62,-16.97,-14.88,-12.69,-9.34,-5.94,-3.41,-0.84,0.56,0.44,1.0,-0.91,-0.75,-2.34,-4.28,-4.69:26.44,23.62,21.41,19.94,19.34,19.44,22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97,-20.31,-19.38,-18.62,-16.97,-14.88,-12.69,-9.34,-5.94,-3.41,-0.84,0.56,0.44,1.0,-0.91,-0.75,-2.34,-4.28,-4.69,-6.19,-6.53,-7.62,-8.53,-9.59,-10.72:22.0,23.75,24.53,26.0,25.97,25.66,23.12,20.56,18.94,18.41,19.78,21.81,25.47,28.5,31.31,33.62,34.62,35.56,35.19,33.34,31.25,27.5,25.25,23.25,21.69,22.0,21.94,23.94,24.19,25.22,26.72,27.81,27.09,25.31,23.28,18.56,13.94,9.94,6.31,4.41,2.72,3.53,4.5,5.91,8.94,11.44,14.91,17.72,20.34,21.69,23.38,23.0,23.06,22.41,21.66,21.28,23.62,23.53,25.88,26.75,26.88,26.12,25.12,22.59,20.5,18.31,17.03,14.91,12.75,11.19,8.66,9.06,9.06,9.53,11.12,13.25,14.41,16.44,18.81,20.53,22.09,24.0,24.81,25.47,26.94,27.16,26.91,27.56,27.88,28.38,29.69,30.69,31.69,31.94,34.75,36.34,37.97,39.03,38.16,35.97,31.16,27.69,24.16,21.78,20.75,21.69,22.28,25.31,26.69,29.72,31.16,32.09,32.81,32.12,30.03,26.56,22.28,18.41,15.81,13.31,11.97,13.34,15.12,17.44,21.41,26.34,31.31,34.03,37.66,37.88,37.0,35.28,34.25,32.81,32.5,30.78,29.81,26.5,24.72,22.66,21.69,21.03,21.41,22.28,22.34,20.81,19.78,16.62,13.97,11.19,9.78,11.41,13.5,16.72,20.31,23.19,25.06,25.53,26.12,26.31,26.5,26.41,27.06,28.0,28.69,29.0,29.16,28.16,27.0,25.72,23.69,21.19,19.19,15.56,13.81,10.16,7.06,5.66,2.56,1.97,1.56,2.0,3.16,3.12,3.94,3.81,3.91,4.28,5.06,6.06,6.88,7.69,9.16,11.31,12.19,13.12,13.16,13.25,12.25,12.31,12.28,11.78,12.12,12.16,12.44,13.81,13.72,14.31,15.47,15.69,15.03,15.19,13.47,11.97,10.5,9.25,7.56,7.28,6.75,6.44,7.72,9.44,11.22,13.66,14.34,15.62,14.19,12.06,10.78,8.81,7.44,7.0,6.56,8.38,9.94,11.81,14.12,14.31,14.16,12.31,10.12,8.31,7.84,7.56,7.25,9.16,10.69,11.28,12.16,12.69,11.75,11.38,10.44,9.69,10.06,9.34,10.66,11.34,11.53,12.78,13.12,12.81,12.28,11.09,9.25,7.56,4.88,2.5,0.78,-0.66,-0.84,0.94,2.59,4.84,6.72,9.03,9.72,10.22,10.31,9.12,7.56,5.53,2.5,-0.19,-1.66,-3.34,-2.94,-1.72,0.41,0.94,3.38,4.72,5.81,7.97,10.56,11.22,12.53,13.31,13.62,13.75,14.78,15.44,15.72,15.03,14.62,15.03,13.94,13.41,14.0,13.34,12.16,12.03,11.81,10.53,11.06,12.56,12.72,15.81,18.25,19.44,21.47,22.12,21.31,20.5,18.66,16.5,14.22,12.78,11.84,10.94,11.03,12.5,11.88,12.59,12.5,12.5,13.31,15.72,17.38,19.06,19.69,19.5,18.12,18.0,17.47,16.94,16.75,16.56,15.28,14.0,13.81,14.81,15.16,16.0,17.62,18.56,18.44,17.44,17.59,16.62,15.62,15.78,13.81,13.31,12.81,12.06,11.38,13.03,13.25,14.53,14.38,15.09,15.03,16.75,18.91,20.72,22.88,25.16,26.72,28.94,29.81,30.34,30.16,27.81,27.34,25.53,24.62,24.94,25.62,25.94,25.75,24.91,23.94,20.78,19.0,16.22,14.88,13.62,14.06,15.31,17.06,18.5,20.78,20.0,20.91,19.44,18.12,16.69,15.97,15.78,16.56,16.5,16.81,16.5,15.19,15.75,14.06,14.19,14.34,14.16,14.75,14.41,15.0,15.16,15.56,16.56,17.16,18.62,19.53,20.03,20.69,21.12,21.56,23.28,25.41,26.0,25.41,24.38,21.0,18.34,15.47,14.66,15.56,15.28,18.56,20.22,22.53,24.78,25.53,26.28,25.88,25.41,23.47,21.44,19.91,17.28,17.0,17.56,18.38,20.66,23.78,25.62,26.75,28.31,28.41,27.97,29.25,29.12,29.84,29.25,28.72,28.03,26.66,25.34,24.16,23.66,24.0,22.31,22.25,22.5,22.84,24.0,25.47,27.16,28.0,29.47,29.81,29.38,29.06,27.06,24.75,22.72,20.19,16.44,13.88,11.06,8.75,7.66,8.19,9.47,11.69,13.16,17.0,18.31,20.38,22.19,23.72,23.31,22.12,20.28,18.41,16.41,15.97,16.06,17.91,19.31,22.69,24.91,28.34,29.91,30.16,30.62,30.34,29.25,28.69,28.94,28.59,30.03,30.84,32.97,33.41,33.47,33.53,31.81,30.53,29.56,27.88,26.41,25.44,24.25,24.31,23.03,24.0,24.66,23.16,22.62,20.72,18.84,19.06,17.44,17.78,17.66,17.66,17.88,16.88,16.94,16.78,16.84,16.84,16.41,16.69,15.41,16.03,15.91,15.09,15.41,15.38,14.16,13.19,12.34,10.31,9.25,9.72,11.81,14.84,18.03,21.0,22.41,23.56,21.44,19.97,17.19,14.41,12.19,11.62,11.47,13.19,15.44,17.56,18.69,20.03,20.69,21.47,21.47,21.84,22.12,22.28,21.66,21.72,22.41,22.44,22.78,24.19,25.53,27.41,27.84,28.19,27.41,26.5,25.41,24.0,23.81,22.41,20.25,19.47,17.31,14.0,12.31,10.0,8.81,8.75,9.81,12.06,14.09,16.84,19.03,20.16,20.72,20.0,20.09,19.22,18.59,16.88,15.69,14.66,12.25,11.59,11.16,11.75,12.31,14.16,15.16,16.19,16.06,15.47,15.38,14.5,13.12,12.19,10.81,10.25,10.0,11.81,14.5,18.94,23.75,29.12,34.16,35.38,34.62,31.91,26.19,20.66,17.66,15.28,14.09,13.19,12.41,11.41,10.41,9.81,10.28,11.16,11.06,11.97,12.5,14.25,13.88,14.19,13.75,14.41,14.41,14.91,17.34,18.66,19.94,22.66,23.62,23.88,24.19,24.0,23.06,21.97,20.34,19.16,17.12,15.31,15.16,13.56,14.09,12.44,12.5,11.78,11.12,9.88,9.81,10.75,10.94,13.47,15.34,18.38,19.31,22.56,23.97,27.44,30.5,33.69,36.66,37.62,36.97,36.69,34.66,32.69,30.09,27.16,24.16,19.94,18.34,17.38,15.34,15.78,16.44,17.91,17.0,17.62,18.47,17.91,18.25,18.72,20.06,21.47,22.94,25.03,27.09,29.97,30.56,31.12,32.31,31.16,28.91,26.41,22.56,19.81,16.12,15.31,15.97,15.88,16.91,16.91,16.75,15.84,15.34,14.53,14.94,16.12,16.12,17.03,18.0,18.72,18.66,19.72,19.88,20.31,21.91,23.53,23.75,25.78,25.91,26.0,24.44,23.38,22.0,19.62,18.81,18.34,20.28,22.06,23.25,26.06,26.25,24.91,23.97,22.81,21.38,20.69,19.94,20.56,19.56,19.5,20.19,20.56,21.28,22.31,22.19,22.84,22.66,21.72,21.44,22.09,21.53,21.97,22.09,22.06,22.84,21.62,21.34,22.72,22.5,22.88,24.75,25.5,25.25,24.19,22.0,19.78,16.06,13.16,10.91,9.19,8.81,8.44,8.81,9.75,10.03,11.06,12.06,13.03,15.03,15.47,15.91,16.19,14.53,12.88,11.41,10.75,10.53,10.25,11.28,11.44,12.56,13.31,13.28,13.06,12.38,11.19,10.47,10.81,10.44,11.16,11.62,12.28,14.28,15.31,17.94,19.81,21.97,-20.31,-19.38,-18.62,-16.97,-14.88,-12.69,-9.34,-5.94,-3.41,-0.84,0.56,0.44,1.0,-0.91,-0.75,-2.34,-4.28,-4.69,-6.19,-6.53,-7.62,-8.53,-9.59,-10.72,-12.09,-13.66,-14.28,-15.88,-16.59,-15.69:positivity
28.16,25.19,24.56,24.19,24.09,25.16,23.41,24.81,27.06,30.22,34.16,36.84,42.41,40.91,42.16,42.62,41.91,41.69,41.34,40.16,38.12,37.47,36.19,34.38,32.84,35.06,31.06,35.81,38.56,43.34,47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31:23.41,24.81,27.06,30.22,34.16,36.84,42.41,40.91,42.16,42.62,41.91,41.69,41.34,40.16,38.12,37.47,36.19,34.38,32.84,35.06,31.06,35.81,38.56,43.34,47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31,-45.25,-46.41,-47.81,-50.28,-47.09,-45.59:42.41,40.91,42.16,42.62,41.91,41.69,41.34,40.16,38.12,37.47,36.19,34.38,32.84,35.06,31.06,35.81,38.56,43.34,47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31,-45.25,-46.41,-47.81,-50.28,-47.09,-45.59,-41.84,-37.66,-31.88,-28.53,-27.81,-26.84:41.34,40.16,38.12,37.47,36.19,34.38,32.84,35.06,31.06,35.81,38.56,43.34,47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31,-45.25,-46.41,-47.81,-50.28,-47.09,-45.59,-41.84,-37.66,-31.88,-28.53,-27.81,-26.84,-28.06,-30.12,-32.72,-33.5,-34.72,-34.34:32.84,35.06,31.06,35.81,38.56,43.34,47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31,-45.25,-46.41,-47.81,-50.28,-47.09,-45.59,-41.84,-37.66,-31.88,-28.53,-27.81,-26.84,-28.06,-30.12,-32.72,-33.5,-34.72,-34.34,-35.41,-37.97,-36.47,-38.06,-38.34,-36.06:47.81,52.44,56.0,57.97,59.06,57.25,55.75,54.56,50.25,46.91,43.41,41.0,37.81,37.81,37.06,37.47,37.81,37.62,40.06,40.72,41.09,42.91,42.91,43.91,43.78,42.69,42.06,38.69,36.28,33.12,29.94,28.88,26.31,25.44,25.56,24.19,25.28,24.56,24.16,22.41,22.66,21.34,21.84,22.91,22.94,23.5,21.91,19.31,18.5,17.91,16.06,16.16,17.81,17.69,16.53,16.0,15.81,14.69,13.78,11.78,13.91,10.97,11.44,12.66,12.5,13.62,14.69,14.12,13.81,13.75,13.78,14.09,14.47,14.19,14.28,16.16,16.69,17.94,18.16,18.59,18.78,18.28,17.38,18.06,18.03,16.47,16.94,16.19,14.0,14.41,12.41,9.19,11.44,13.88,16.97,21.0,24.91,26.41,27.75,28.31,27.91,29.31,27.56,25.75,22.44,20.28,17.44,15.66,16.25,15.69,16.28,15.06,14.81,14.44,14.19,12.81,16.91,19.41,19.28,24.59,23.84,24.12,22.31,19.31,18.28,17.59,16.25,17.03,17.53,16.12,16.62,16.03,15.44,14.78,12.09,9.53,9.94,10.28,11.62,15.69,19.94,20.84,14.84,18.28,17.06,15.47,16.69,18.12,16.03,12.0,9.03,3.84,0.19,-0.62,-0.53,-0.72,2.53,4.91,7.06,8.44,8.72,9.0,10.25,9.91,8.12,8.44,8.91,8.06,5.12,6.5,2.72,3.28,3.62,4.88,5.94,7.12,6.84,6.44,5.06,2.16,4.56,4.38,6.22,8.41,9.16,10.09,8.56,8.28,8.44,7.25,7.03,2.53,2.06,-0.72,-0.75,-1.06,-0.75,-0.47,-2.34,-2.47,-2.78,-2.56,-1.47,-1.84,-6.19,-4.81,-9.22,-10.91,-9.06,-4.88,-2.66,-0.91,1.78,0.66,-3.06,-4.72,-8.47,-10.88,-14.47,-13.72,-14.59,-16.84,-12.66,-10.09,-8.75,-6.66,-4.94,-4.56,-5.59,-4.81,-5.69,-8.28,-7.03,-7.38,-6.47,-5.09,-1.97,-0.59,1.41,0.56,1.0,0.41,-3.84,-1.06,-1.06,-0.91,1.34,2.19,2.03,0.88,-0.72,-1.44,-2.16,-0.94,-0.91,1.12,3.06,2.38,4.5,5.06,4.38,6.41,6.78,7.25,7.66,6.5,6.78,4.41,5.25,0.22,0.84,-0.03,-0.44,1.25,3.56,4.16,6.09,7.59,8.09,10.53,11.5,12.41,11.0,9.62,9.16,6.28,8.03,7.12,7.94,8.97,7.91,8.03,7.25,7.09,8.53,7.0,6.03,3.12,2.0,0.38,-2.31,0.94,0.94,3.44,3.81,6.66,6.75,7.34,7.94,8.22,7.22,2.69,4.84,1.0,-0.59,0.12,-1.88,-1.84,-3.75,-4.03,-3.38,-3.31,-2.53,-2.47,-3.47,-2.47,-5.81,-2.66,-2.22,-0.97,1.59,2.44,2.28,3.03,2.91,2.81,1.66,-0.84,-0.25,-3.09,-3.12,-3.62,-3.09,-4.22,-3.09,-3.34,-3.22,-3.28,1.62,2.06,4.94,8.94,9.78,11.19,11.16,11.88,7.09,8.53,4.94,3.91,2.06,-0.41,0.22,-3.41,-3.03,-2.31,-2.91,-1.59,-1.44,-1.84,-4.03,-7.28,-5.62,-7.31,-8.16,-6.47,-9.84,-8.38,-8.91,-9.41,-8.88,-8.59,-7.06,-7.59,-7.47,-5.44,-5.91,-5.59,-6.72,-7.19,-7.47,-6.88,-7.59,-6.09,-2.69,-1.34,1.69,5.09,6.06,5.38,4.81,3.62,4.47,3.69,5.19,5.44,4.12,5.56,4.75,3.38,3.81,2.94,1.88,0.94,-0.31,-1.38,-5.41,-9.09,-6.34,-7.88,-5.44,-3.47,-0.47,0.16,-1.69,-0.91,-0.97,-2.53,0.09,0.19,0.81,2.31,3.28,2.69,2.62,0.91,-0.41,-0.69,-1.84,-2.09,-1.97,-4.06,-1.78,-2.03,-0.09,2.91,4.28,3.44,2.5,0.75,-2.97,-2.81,-5.84,-6.38,-6.25,-6.78,-6.97,-6.38,-3.59,-4.84,-2.53,-2.97,-5.03,-2.03,-1.88,-0.47,1.06,7.47,9.38,12.06,14.62,15.72,12.88,10.31,3.19,-0.78,-5.94,-7.66,-8.72,-6.28,-2.19,-1.75,0.16,2.28,0.94,1.06,-1.22,-5.91,-7.03,-9.31,-9.72,-7.81,-6.72,-3.41,-2.56,-0.72,-1.72,-0.88,-1.16,-6.66,-4.19,-6.84,-4.59,-1.5,0.47,3.5,4.59,5.06,5.62,5.06,6.03,5.91,6.19,5.06,5.06,3.44,-0.41,1.59,-1.41,-4.59,-5.22,-7.78,-7.28,-6.31,-4.28,-1.84,-1.16,0.25,-2.84,-0.09,-0.72,0.31,1.69,3.19,4.94,4.53,7.88,7.34,8.88,8.5,9.41,8.62,4.12,6.94,3.19,3.19,2.66,2.12,4.56,6.06,9.94,12.09,15.25,15.31,16.56,14.56,11.47,13.12,11.94,12.59,16.22,18.28,19.31,19.0,17.94,15.84,10.25,11.5,9.91,8.56,8.88,9.97,8.41,7.28,5.69,5.06,4.72,5.0,5.56,5.56,6.12,10.56,11.53,15.03,17.09,17.41,18.5,15.19,16.03,14.0,13.97,10.47,10.66,8.22,6.59,5.12,3.22,2.25,0.19,0.84,-1.5,0.47,1.81,3.16,6.19,7.44,7.06,10.59,11.97,12.41,16.19,18.31,19.91,21.03,20.81,18.72,17.25,13.91,11.53,7.66,4.66,6.53,6.94,10.25,15.19,18.06,21.25,24.03,25.53,25.66,24.88,19.19,20.84,16.44,16.03,17.31,15.72,15.5,15.78,12.41,12.25,9.69,8.06,6.66,4.31,6.53,6.75,11.03,13.69,16.0,16.16,14.06,11.62,6.53,2.62,0.34,-2.09,-2.47,-0.5,1.03,3.44,3.91,7.0,8.28,9.25,10.47,10.72,9.56,7.94,2.78,5.19,1.78,1.41,2.62,2.59,1.66,0.81,0.78,-0.19,-0.94,0.5,0.06,-0.09,1.0,2.97,2.38,3.38,0.81,-0.25,-1.72,-4.97,-3.78,-5.0,-3.78,-2.53,-2.5,-2.69,-3.75,-4.84,-5.62,-5.53,-6.62,-5.66,-5.69,-8.47,-5.59,-6.75,-5.78,-3.78,-0.78,1.19,2.72,4.25,4.97,5.81,7.22,5.38,8.56,8.22,9.44,10.69,13.41,14.62,17.34,17.06,12.41,13.41,7.78,3.03,3.03,1.88,0.88,1.25,2.59,2.81,4.16,1.16,1.5,-0.56,-4.84,-4.97,-6.06,-6.81,-5.28,-4.78,-3.59,-3.66,-3.84,-4.31,-4.62,-6.19,-4.09,-5.66,-3.03,-1.66,0.66,1.41,0.22,0.28,-1.03,-1.81,-1.78,-2.06,-2.19,-0.72,0.72,3.0,6.34,7.97,7.94,6.38,4.28,1.0,-2.16,-3.47,-7.94,-4.91,-5.56,-4.38,-2.19,-1.12,0.62,1.62,5.03,5.56,6.66,9.28,5.31,9.19,8.81,9.03,11.72,12.22,12.5,11.69,12.94,12.53,13.66,14.53,14.59,14.19,11.44,14.91,9.16,12.94,12.44,10.41,10.81,9.34,7.66,6.28,4.53,1.0,1.62,0.56,0.03,2.09,2.62,3.47,2.06,1.62,1.03,-0.12,-1.97,-4.47,-4.31,-7.66,-4.34,-2.47,-0.72,0.66,1.91,2.38,1.28,2.09,3.72,2.28,5.38,4.12,4.56,4.09,3.84,2.75,3.25,2.31,1.34,0.66,-0.94,-2.22,-2.62,-3.09,-3.59,-4.91,-1.84,-2.03,-0.94,-0.78,-1.88,-1.16,-1.53,0.53,2.12,4.78,7.41,6.34,9.31,-45.25,-46.41,-47.81,-50.28,-47.09,-45.59,-41.84,-37.66,-31.88,-28.53,-27.81,-26.84,-28.06,-30.12,-32.72,-33.5,-34.72,-34.34,-35.41,-37.97,-36.47,-38.06,-38.34,-36.06,-35.47,-37.38,-35.59,-34.34,-32.84,-27.91:positivity
44.69,42.5,40.41,38.66,37.5,37.53,37.69,38.62,39.62,42.16,45.97,50.44,54.66,57.56,58.62,57.62,54.0,49.47,44.78,41.22,38.09,36.22,35.31,35.03,36.19,37.91,39.59,40.5,42.25,42.25,42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34:37.69,38.62,39.62,42.16,45.97,50.44,54.66,57.56,58.62,57.62,54.0,49.47,44.78,41.22,38.09,36.22,35.31,35.03,36.19,37.91,39.59,40.5,42.25,42.25,42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34,43.94,41.34,38.59,36.94,35.78,36.62:54.66,57.56,58.62,57.62,54.0,49.47,44.78,41.22,38.09,36.22,35.31,35.03,36.19,37.91,39.59,40.5,42.25,42.25,42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34,43.94,41.34,38.59,36.94,35.78,36.62,36.62,37.62,37.38,37.56,37.25,38.56:44.78,41.22,38.09,36.22,35.31,35.03,36.19,37.91,39.59,40.5,42.25,42.25,42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34,43.94,41.34,38.59,36.94,35.78,36.62,36.62,37.62,37.38,37.56,37.25,38.56,40.28,43.0,44.44,47.06,47.38,47.69:36.19,37.91,39.59,40.5,42.25,42.25,42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34,43.94,41.34,38.59,36.94,35.78,36.62,36.62,37.62,37.38,37.56,37.25,38.56,40.28,43.0,44.44,47.06,47.38,47.69,46.0,45.25,43.69,41.75,40.78,40.38:42.03,40.69,39.94,38.69,38.66,38.84,39.97,40.91,42.22,43.81,44.78,46.59,48.12,48.94,49.81,50.62,51.16,50.38,49.88,48.72,47.31,45.0,43.22,41.72,38.78,37.0,34.59,32.81,31.81,30.94,31.56,31.19,32.62,33.06,34.06,34.62,35.38,35.88,37.5,38.28,41.34,43.88,46.44,50.16,52.78,54.75,56.84,57.56,58.0,56.97,55.72,53.72,52.91,51.34,51.22,50.47,50.53,50.91,50.28,50.44,50.88,50.62,51.91,51.53,52.66,53.31,54.16,55.81,55.94,56.62,56.72,55.69,52.97,48.94,47.25,46.12,44.16,43.69,43.94,42.84,40.84,39.34,38.12,37.53,36.16,36.53,35.31,35.12,35.16,35.81,36.31,37.22,37.5,37.62,37.75,37.81,36.69,37.91,39.12,39.44,40.69,42.44,43.56,44.94,45.44,45.66,45.94,46.91,46.62,46.38,47.03,46.34,46.09,45.44,44.5,43.06,41.06,39.5,38.78,38.91,40.03,40.47,42.28,40.53,39.06,39.12,37.62,37.94,39.69,40.12,41.59,42.31,42.47,40.69,42.34,41.59,42.06,43.53,43.56,44.44,44.5,44.5,44.44,44.28,44.56,46.28,45.88,46.91,46.62,46.81,46.38,45.28,44.66,43.66,42.53,39.88,38.62,37.25,35.62,35.22,36.34,36.31,37.59,38.25,38.84,37.81,36.88,35.09,33.31,32.84,31.16,32.81,33.88,35.66,38.84,42.03,44.25,47.0,48.38,48.28,48.12,48.0,49.44,49.94,49.62,51.88,52.69,53.56,54.81,54.38,54.91,52.91,53.41,52.69,51.09,51.41,49.5,47.75,44.91,42.28,41.53,39.81,38.91,39.5,38.91,39.94,39.41,37.75,36.06,33.12,31.69,30.31,31.34,32.81,34.5,37.16,38.75,38.12,38.12,37.28,36.16,35.66,35.66,36.78,39.12,42.62,48.16,51.91,54.81,56.25,54.81,51.47,48.25,44.88,42.69,41.16,40.28,40.06,40.0,40.31,40.66,40.69,41.53,42.94,43.88,45.44,45.84,45.19,44.12,42.88,40.25,38.16,37.91,36.78,36.66,35.88,36.56,36.94,37.56,39.12,40.94,42.03,41.31,41.62,40.75,38.84,37.5,38.09,38.03,38.44,38.81,39.25,40.06,40.56,40.09,41.31,41.91,41.53,42.0,42.19,40.94,41.0,41.56,42.56,44.25,45.66,47.84,49.75,50.31,50.56,51.41,50.31,48.66,46.66,45.19,43.34,43.06,42.28,41.94,41.62,41.38,40.0,40.0,39.59,38.53,37.56,35.53,36.09,35.56,35.88,37.53,38.06,38.12,38.16,37.81,36.84,36.88,36.06,36.5,36.0,36.5,35.84,35.31,35.12,33.72,31.75,30.78,30.31,29.56,30.25,30.62,31.91,32.44,32.88,33.31,33.81,33.5,34.16,35.31,37.22,38.31,40.28,42.25,41.41,39.31,36.19,33.19,30.34,28.5,27.69,28.31,29.91,31.22,32.38,33.19,34.66,35.66,35.81,37.12,37.81,38.44,38.09,37.0,34.66,33.12,30.94,28.75,27.91,27.28,27.56,29.31,30.62,33.28,36.28,38.5,40.22,41.31,40.84,39.62,37.88,36.78,34.75,33.28,32.84,31.25,30.03,30.25,30.28,30.94,31.66,32.16,31.5,30.28,30.12,30.0,31.12,32.59,36.78,39.53,42.88,46.53,46.91,48.66,47.66,45.78,43.38,41.34,39.72,38.09,37.91,37.53,36.88,35.44,33.81,32.03,30.12,28.94,27.69,27.03,27.5,28.0,28.59,30.81,31.94,32.53,33.97,34.34,34.09,34.91,33.66,32.94,31.56,30.47,29.34,29.81,30.91,32.56,34.28,36.09,36.88,36.44,38.56,39.03,40.66,40.56,39.81,39.09,37.06,34.97,33.56,31.0,30.16,29.12,28.12,28.5,28.97,29.31,30.06,30.25,30.28,29.72,29.34,28.28,26.31,25.62,25.94,26.31,27.69,29.5,31.62,33.31,34.19,35.62,38.19,39.25,42.09,44.12,46.88,47.12,48.34,46.69,43.94,43.66,42.47,41.38,42.0,41.81,42.56,41.28,40.06,40.22,38.94,39.53,40.19,41.28,43.69,45.53,47.25,48.56,48.97,47.62,46.25,45.41,43.84,44.69,44.0,44.12,44.22,43.66,43.03,43.0,42.56,42.5,42.81,43.0,43.34,43.12,42.91,42.28,41.66,40.0,39.12,38.38,37.25,35.03,33.5,32.03,29.72,28.81,27.5,27.25,27.38,27.31,28.53,29.03,30.09,32.28,33.38,34.38,35.28,35.56,34.5,34.72,34.94,35.09,34.72,35.41,34.97,34.44,34.41,33.47,33.78,33.41,32.5,33.41,32.5,32.0,31.91,31.34,30.5,29.06,28.31,27.84,26.56,26.41,26.16,27.12,26.94,27.09,28.28,29.44,29.44,30.81,31.47,31.03,30.31,29.06,26.84,24.38,22.22,19.47,16.28,14.53,12.78,11.5,11.66,11.84,12.78,12.56,13.19,13.72,14.34,14.41,14.34,14.78,13.59,13.25,11.97,10.44,9.19,6.91,6.59,6.12,6.97,7.91,9.53,11.19,13.5,15.16,17.16,19.31,21.06,22.38,22.44,21.78,21.19,20.06,18.12,16.59,15.78,14.34,13.44,13.44,14.22,14.69,16.06,16.91,16.56,16.62,16.88,16.38,16.78,17.22,16.78,17.19,16.47,15.09,13.97,13.03,11.75,10.78,8.34,7.84,6.28,5.31,5.69,6.81,8.56,9.41,10.66,12.28,13.41,15.09,15.75,17.03,16.84,16.88,16.66,16.34,14.69,14.0,12.94,12.66,12.69,13.69,15.19,16.12,17.44,18.5,18.25,19.03,19.12,19.12,19.81,20.38,21.84,22.31,23.03,22.78,21.56,20.09,18.16,15.75,13.94,11.47,10.28,8.84,9.25,9.06,10.12,11.91,12.91,13.31,15.62,16.28,17.69,19.12,20.25,21.94,22.88,24.38,25.81,26.56,26.28,25.91,24.78,22.56,21.62,21.28,21.0,20.72,21.22,22.16,23.84,23.53,24.41,25.34,24.41,24.06,22.66,22.66,21.88,22.06,21.19,20.28,19.91,17.56,16.5,16.66,18.31,21.16,25.75,28.56,29.84,30.88,28.56,25.06,21.44,18.31,15.16,14.06,13.19,13.31,14.81,16.81,19.19,20.31,22.94,24.62,25.25,25.41,25.16,24.0,23.91,23.25,22.38,22.12,21.62,20.03,18.03,17.31,15.12,13.31,13.84,13.75,13.94,15.12,15.81,17.72,17.81,18.72,19.28,19.03,19.31,18.97,18.53,18.31,19.41,20.16,21.06,22.56,23.53,24.91,25.19,26.66,27.81,29.25,30.03,30.84,30.56,31.25,31.16,32.06,33.59,33.53,34.56,34.5,34.16,32.62,30.66,29.62,27.44,26.5,25.66,24.94,25.91,25.81,26.0,26.56,26.94,27.5,28.5,27.66,27.47,27.47,27.81,27.44,28.38,29.69,30.22,30.38,30.78,29.97,29.44,27.16,25.38,23.56,20.41,18.56,16.91,15.44,15.41,15.62,16.34,17.25,18.12,19.62,20.69,21.56,21.41,20.5,20.19,17.94,16.44,15.0,13.56,12.06,11.0,8.81,7.72,5.41,4.19,2.31,2.41,4.0,6.81,10.5,14.69,17.44,19.31,19.28,18.69,17.06,15.25,13.25,11.34,43.94,41.34,38.59,36.94,35.78,36.62,36.62,37.62,37.38,37.56,37.25,38.56,40.28,43.0,44.44,47.06,47.38,47.69,46.0,45.25,43.69,41.75,40.78,40.38,41.31,41.78,43.88,45.91,47.44,48.84:positivity
25.31,25.03,26.25,25.81,25.84,26.19,24.91,24.34,23.78,23.41,24.5,25.06,24.62,25.91,25.78,25.72,23.97,21.31,18.41,14.56,11.06,9.09,8.16,8.19,8.88,11.19,12.38,14.09,15.84,16.66,17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84:24.91,24.34,23.78,23.41,24.5,25.06,24.62,25.91,25.78,25.72,23.97,21.31,18.41,14.56,11.06,9.09,8.16,8.19,8.88,11.19,12.38,14.09,15.84,16.66,17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84,-13.09,-11.72,-11.25,-11.03,-11.22,-11.5:24.62,25.91,25.78,25.72,23.97,21.31,18.41,14.56,11.06,9.09,8.16,8.19,8.88,11.19,12.38,14.09,15.84,16.66,17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84,-13.09,-11.72,-11.25,-11.03,-11.22,-11.5,-12.28,-11.94,-12.53,-13.06,-12.91,-13.84:18.41,14.56,11.06,9.09,8.16,8.19,8.88,11.19,12.38,14.09,15.84,16.66,17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84,-13.09,-11.72,-11.25,-11.03,-11.22,-11.5,-12.28,-11.94,-12.53,-13.06,-12.91,-13.84,-14.28,-14.81,-15.62,-16.19,-17.25,-18.88:8.88,11.19,12.38,14.09,15.84,16.66,17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84,-13.09,-11.72,-11.25,-11.03,-11.22,-11.5,-12.28,-11.94,-12.53,-13.06,-12.91,-13.84,-14.28,-14.81,-15.62,-16.19,-17.25,-18.88,-19.94,-21.88,-22.16,-23.19,-23.91,-24.53:17.53,18.91,20.09,20.47,21.47,20.16,19.53,16.78,15.31,14.25,14.31,15.66,16.66,18.12,19.59,20.66,20.12,20.78,20.28,18.66,17.94,17.44,16.59,17.53,17.09,18.34,19.72,20.66,21.62,23.16,23.66,23.69,24.19,23.28,22.09,20.44,17.44,13.78,9.19,5.09,2.38,-0.06,-1.97,-2.16,-2.03,-2.09,-0.09,-0.28,2.5,5.72,7.72,10.0,13.16,14.5,14.31,13.94,12.78,11.31,10.31,9.06,9.53,10.5,11.56,12.28,13.06,13.41,13.38,12.22,12.34,12.5,12.47,12.72,12.94,11.88,11.41,10.56,10.28,10.28,9.91,10.06,9.06,7.94,7.47,6.78,7.22,6.81,7.47,9.09,7.97,9.78,9.81,7.47,8.22,7.5,6.28,5.03,4.91,4.22,2.53,2.16,1.84,2.12,2.44,3.41,2.91,2.94,2.56,2.94,3.62,4.78,6.41,6.28,6.59,7.5,6.62,6.94,6.44,5.59,4.66,3.12,2.12,1.16,0.44,0.28,0.03,-0.28,0.03,0.03,1.38,1.0,2.81,3.19,3.47,5.16,6.0,6.47,6.94,7.03,6.5,5.66,4.75,2.81,0.41,-1.09,-2.59,-4.19,-4.66,-3.97,-2.44,-0.84,0.25,2.47,4.28,4.97,5.16,5.59,4.56,4.44,3.94,4.06,4.25,4.66,5.69,6.09,6.19,6.81,6.44,6.69,5.66,6.09,5.56,5.41,5.53,4.53,4.19,3.44,3.06,2.28,2.16,3.5,4.56,5.81,7.09,8.84,10.56,11.28,12.94,14.84,15.28,15.25,15.31,13.72,14.09,13.59,14.56,16.41,18.5,20.06,20.12,21.44,21.69,20.38,19.88,19.12,17.53,16.84,15.19,13.34,11.44,9.91,8.69,7.09,7.53,7.62,8.34,9.81,9.31,10.34,11.25,10.69,10.84,9.69,9.97,9.0,9.44,9.34,9.84,8.88,7.03,5.19,3.66,1.69,0.81,-0.34,-2.09,-2.09,-1.84,-2.97,-3.0,-3.59,-3.91,-4.97,-5.81,-6.16,-5.16,-4.84,-3.88,-2.69,-2.28,-1.41,-2.06,-3.03,-2.69,-2.72,-2.97,-2.69,-1.28,-1.62,-1.31,-0.78,-0.97,-0.47,-0.59,0.19,0.72,1.12,1.91,2.22,2.91,2.69,2.38,3.47,3.44,2.5,1.78,-0.16,-1.84,-3.53,-5.0,-4.78,-4.94,-4.28,-3.22,-1.91,-1.84,-1.19,-0.84,-0.09,0.53,1.53,2.19,2.72,3.38,2.53,2.09,1.84,0.47,0.09,-0.84,-1.97,-0.72,-1.59,-0.41,1.03,2.53,3.5,4.16,4.31,4.22,3.81,3.56,2.69,3.0,3.66,4.19,3.44,3.78,3.03,2.44,2.53,2.44,3.88,5.94,7.97,8.66,10.06,10.06,9.69,8.09,7.28,5.31,4.0,3.91,3.75,3.94,5.31,5.16,4.62,4.94,4.88,4.06,3.19,1.88,0.91,-1.22,-2.22,-2.81,-2.94,-3.38,-2.19,-3.38,-3.84,-4.56,-6.0,-6.84,-6.91,-5.84,-4.81,-2.84,-1.06,0.56,1.94,3.09,3.41,3.72,4.12,3.81,3.12,3.22,1.31,0.06,-1.69,-2.34,-1.97,-1.41,-0.59,0.88,1.91,2.5,2.44,1.31,0.0,-2.78,-4.81,-6.59,-6.78,-5.69,-4.22,-1.53,0.5,3.12,3.03,3.22,2.09,-0.34,-1.94,-4.12,-6.16,-7.22,-7.41,-7.16,-7.31,-5.84,-4.31,-1.38,1.5,5.0,8.31,10.16,10.31,10.56,7.41,6.16,4.41,2.47,0.16,-0.16,-1.84,-2.09,-2.72,-2.28,-1.91,-2.72,-3.31,-3.34,-3.81,-3.16,-3.16,-3.22,-4.22,-4.81,-5.66,-8.09,-8.66,-8.44,-8.44,-7.84,-6.47,-5.06,-3.59,-4.06,-3.28,-3.06,-3.22,-3.34,-3.78,-3.91,-3.47,-3.22,-3.41,-3.06,-2.66,-2.84,-3.31,-2.66,-1.84,-0.25,1.41,2.5,5.41,7.72,10.91,13.31,15.0,16.97,17.0,17.28,16.91,16.94,15.97,14.41,13.03,11.25,8.84,8.0,6.75,6.97,7.81,9.19,10.09,11.56,13.16,14.31,14.06,15.03,15.22,15.56,15.12,15.28,14.81,13.03,12.81,11.38,10.19,9.47,8.19,6.81,5.72,5.16,5.03,5.28,7.06,8.0,9.09,9.66,9.62,8.75,8.56,7.03,6.31,4.62,4.09,4.53,3.91,3.94,5.25,6.56,7.41,8.22,9.12,8.69,8.19,7.19,5.69,4.03,2.0,0.06,-2.03,-2.59,-3.47,-3.59,-3.09,-2.12,-1.34,-0.44,-0.56,0.09,0.41,1.53,2.06,3.19,4.22,5.0,5.59,6.41,7.06,8.12,8.09,8.41,8.66,8.91,8.56,8.12,8.53,8.06,7.25,8.62,8.62,9.44,10.62,10.25,9.62,8.38,7.5,6.25,4.5,3.38,2.06,1.12,-0.19,-1.44,-1.53,-1.22,-1.16,0.16,1.47,2.66,3.75,5.16,5.03,6.75,5.81,5.53,5.19,6.03,6.19,7.03,8.59,9.06,10.12,10.06,9.06,9.19,8.94,8.75,9.12,9.84,10.94,11.06,11.59,11.16,10.62,9.94,8.28,7.19,6.47,5.53,5.75,6.06,7.34,9.03,9.91,10.78,11.03,10.06,8.22,6.19,3.69,2.72,2.28,3.12,4.0,4.47,6.47,6.62,6.56,7.12,7.41,7.0,7.19,6.91,7.5,7.16,6.41,6.31,5.72,5.19,4.84,4.25,4.25,4.84,4.0,5.03,5.06,4.94,5.38,4.91,4.91,4.72,5.16,6.53,7.19,7.62,8.38,7.66,6.84,6.56,5.94,6.66,6.94,7.69,9.47,9.69,11.22,11.97,13.53,15.31,18.19,20.66,23.53,25.62,25.91,25.47,23.91,21.56,19.56,17.69,15.81,13.56,12.53,10.34,9.06,7.47,7.66,7.12,6.34,6.34,7.38,6.84,8.12,9.94,12.5,14.38,15.53,16.16,17.25,17.91,18.62,19.59,20.31,20.66,20.28,19.19,17.66,15.06,13.91,11.19,10.16,10.0,10.0,11.28,12.91,14.81,16.28,18.41,19.69,20.09,22.0,21.31,21.0,19.69,18.56,17.34,16.06,15.81,16.47,17.41,18.84,20.62,21.47,22.06,22.62,22.94,21.88,21.69,21.91,20.59,20.66,20.28,20.34,20.97,21.62,22.5,23.28,22.56,21.44,20.41,18.66,18.56,18.06,17.53,17.06,16.19,15.12,13.56,12.53,11.03,10.59,10.81,10.66,12.25,13.91,14.41,15.72,16.94,16.66,16.5,16.16,15.91,15.84,15.34,15.41,15.0,14.16,12.41,10.19,7.97,5.56,3.38,1.12,0.06,-0.91,-1.34,-1.16,0.56,1.62,2.78,3.72,3.03,2.16,-0.22,-2.62,-4.25,-5.72,-6.78,-6.66,-5.72,-4.84,-3.53,-2.38,-1.59,-2.22,-3.34,-5.03,-5.09,-5.66,-4.59,-3.19,-1.09,0.94,2.56,4.16,5.72,6.69,7.47,7.16,6.62,4.88,2.41,0.31,-1.56,-2.72,-3.72,-4.03,-4.22,-4.09,-4.56,-4.03,-3.16,-2.28,-0.19,1.31,3.25,4.94,6.25,7.34,8.31,7.41,7.34,4.81,1.91,-2.09,-5.12,-8.28,-11.31,-13.28,-15.75,-17.34,-19.25,-21.69,-22.88,-23.22,-23.59,-23.34,-22.53,-20.97,-20.22,-18.97,-18.0,-16.53,-15.91,-14.72,-14.84,-15.0,-16.44,-16.84,-13.09,-11.72,-11.25,-11.03,-11.22,-11.5,-12.28,-11.94,-12.53,-13.06,-12.91,-13.84,-14.28,-14.81,-15.62,-16.19,-17.25,-18.88,-19.94,-21.88,-22.16,-23.19,-23.91,-24.53,-24.28,-23.22,-22.53,-20.69,-19.97,-19.25:positivity
30.62,30.69,31.47,32.53,32.31,32.16,32.22,31.62,31.91,32.47,33.41,34.53,34.72,33.94,33.44,33.0,33.25,34.03,34.91,35.12,34.5,33.66,31.56,30.19,28.38,26.69,25.56,24.19,23.0,22.22,21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56:32.22,31.62,31.91,32.47,33.41,34.53,34.72,33.94,33.44,33.0,33.25,34.03,34.91,35.12,34.5,33.66,31.56,30.19,28.38,26.69,25.56,24.19,23.0,22.22,21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56,-16.78,-15.88,-14.22,-12.22,-10.41,-10.5:34.72,33.94,33.44,33.0,33.25,34.03,34.91,35.12,34.5,33.66,31.56,30.19,28.38,26.69,25.56,24.19,23.0,22.22,21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56,-16.78,-15.88,-14.22,-12.22,-10.41,-10.5,-10.38,-11.53,-12.75,-13.47,-13.78,-13.62:34.91,35.12,34.5,33.66,31.56,30.19,28.38,26.69,25.56,24.19,23.0,22.22,21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56,-16.78,-15.88,-14.22,-12.22,-10.41,-10.5,-10.38,-11.53,-12.75,-13.47,-13.78,-13.62,-14.03,-14.16,-13.91,-13.72,-12.62,-10.66:28.38,26.69,25.56,24.19,23.0,22.22,21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56,-16.78,-15.88,-14.22,-12.22,-10.41,-10.5,-10.38,-11.53,-12.75,-13.47,-13.78,-13.62,-14.03,-14.16,-13.91,-13.72,-12.62,-10.66,-8.88,-8.09,-8.16,-8.06,-9.72,-11.41:21.91,22.72,22.88,23.19,23.62,23.06,22.84,22.62,22.44,22.78,23.72,24.62,27.38,29.94,32.56,35.47,37.88,38.56,39.31,38.91,37.38,36.03,34.97,32.94,32.5,31.5,31.31,30.31,29.31,27.94,25.88,23.81,21.84,19.16,16.19,12.94,9.06,6.66,4.84,2.31,2.69,3.75,5.38,8.06,11.53,14.25,15.81,16.75,16.69,15.66,14.12,13.5,13.34,12.94,13.78,15.44,18.41,21.34,24.56,27.91,30.41,31.84,33.62,35.28,36.31,37.62,37.56,38.41,38.0,37.16,36.28,35.31,34.84,32.62,30.94,30.25,29.84,28.56,29.94,30.69,30.44,31.75,31.41,31.72,31.16,31.62,30.78,30.31,29.47,28.34,28.38,28.41,29.34,30.12,30.81,30.12,29.5,27.88,26.62,25.91,25.47,23.88,21.66,20.38,18.78,19.06,20.06,21.5,24.44,26.25,26.72,27.0,27.06,25.25,24.41,23.72,23.16,24.44,26.28,28.81,31.94,34.44,34.44,33.66,30.69,26.5,22.16,17.69,15.28,14.09,13.19,13.91,14.91,16.03,18.06,19.31,21.19,21.84,21.72,21.31,20.28,17.94,16.69,14.19,12.34,12.5,11.97,12.31,14.56,15.91,16.62,17.72,17.81,19.09,19.38,20.12,21.12,20.56,20.03,18.12,16.72,14.75,12.53,10.81,9.91,9.03,8.56,9.81,10.66,11.34,14.0,15.69,17.91,20.66,22.5,23.41,24.0,21.5,20.25,17.34,15.44,14.75,14.78,15.19,16.31,19.34,22.19,23.81,26.25,27.16,26.84,26.53,25.12,23.56,23.66,23.09,23.59,24.66,25.31,25.19,25.16,23.81,23.88,22.28,21.94,20.5,20.28,18.53,17.78,17.03,16.25,15.75,15.16,14.25,14.84,14.56,14.69,14.94,15.09,16.16,16.19,18.44,18.97,19.84,18.88,17.31,14.78,13.12,11.53,11.06,11.97,12.94,14.0,15.41,15.47,16.31,17.44,18.0,19.47,20.66,22.28,24.12,25.94,26.41,27.78,27.62,27.47,27.31,27.0,26.88,26.56,24.91,24.53,22.31,21.97,21.31,20.81,21.47,22.03,22.03,22.88,22.31,22.56,22.12,22.56,24.25,25.84,28.53,30.41,31.25,31.69,31.69,31.25,30.66,30.38,30.38,29.84,28.53,27.81,25.91,23.69,22.53,20.59,20.75,20.47,19.81,20.41,20.19,20.94,20.91,21.56,21.28,21.0,20.22,19.91,19.31,20.28,20.78,22.03,23.28,23.91,24.0,23.62,23.41,23.62,23.62,24.28,23.31,23.88,24.09,24.41,25.78,25.66,25.91,25.78,24.88,25.28,25.94,27.38,29.97,32.25,33.25,35.25,35.38,35.09,33.88,32.47,30.31,29.44,28.03,27.91,27.22,26.94,26.34,25.31,24.31,23.78,21.5,19.41,17.28,14.84,12.62,10.81,10.03,11.03,12.16,12.75,14.5,16.28,17.16,18.34,19.69,21.59,21.41,22.69,23.09,21.97,21.69,21.69,22.19,22.12,22.66,23.56,23.78,23.31,24.16,23.28,22.34,22.78,21.56,21.09,19.41,17.53,15.62,12.62,10.66,9.69,10.06,12.56,13.19,15.44,16.16,15.91,13.44,12.84,12.16,11.94,12.66,14.22,15.69,17.16,17.91,18.69,18.25,19.09,18.72,18.41,18.22,17.28,15.44,13.72,11.59,9.94,8.62,9.12,9.03,11.72,12.53,12.94,14.34,13.62,13.94,13.62,13.5,13.06,13.03,13.38,14.34,16.0,18.31,20.94,23.59,24.81,26.06,26.94,27.12,26.69,25.5,25.31,23.31,21.03,20.34,18.31,17.69,16.66,15.25,14.56,14.69,14.88,14.78,15.25,16.41,16.78,16.56,17.5,19.03,18.94,19.66,19.56,18.66,16.31,14.56,12.78,10.34,8.53,7.19,4.97,4.38,2.5,1.66,2.34,1.91,2.38,3.25,3.84,4.06,4.53,4.44,4.81,4.88,4.03,4.41,5.16,6.69,8.25,10.59,11.75,12.75,12.75,12.0,11.09,11.12,11.53,11.91,13.91,15.06,15.16,15.38,15.62,15.16,15.59,15.19,15.84,16.31,17.06,18.16,19.25,20.81,21.94,21.91,21.66,20.56,18.81,16.62,15.19,13.44,12.12,10.88,12.56,13.62,15.25,18.5,20.75,22.41,24.28,25.88,26.38,26.78,27.94,28.47,28.34,29.03,29.16,28.44,28.25,27.56,26.38,25.25,23.56,21.75,20.5,18.56,17.5,16.97,15.62,15.47,15.03,15.41,15.69,17.91,18.94,19.91,20.44,18.88,18.28,16.94,15.94,15.44,14.69,15.16,14.84,14.88,15.0,14.62,15.16,13.53,12.75,12.19,10.47,10.88,11.09,12.28,13.31,13.56,14.72,14.38,13.19,12.75,12.88,12.81,11.66,12.25,11.41,11.75,10.53,10.56,9.66,8.91,8.59,8.94,8.59,8.44,7.94,6.34,4.88,3.78,3.97,4.22,5.97,7.53,9.09,9.34,10.31,10.69,10.28,11.0,10.25,8.88,9.19,8.91,10.06,11.66,13.81,14.06,13.12,12.38,10.59,9.91,10.41,12.25,14.75,18.53,20.62,22.19,23.47,21.59,20.41,17.47,13.62,11.09,7.56,5.5,4.28,4.62,6.69,10.06,14.31,17.62,19.25,19.31,17.47,16.25,15.53,15.62,16.34,17.31,18.0,17.22,16.66,15.41,14.12,12.84,11.03,10.75,10.19,9.31,9.53,8.88,7.88,8.22,8.34,9.91,11.41,12.53,13.69,13.19,12.81,13.56,12.81,12.84,12.78,12.31,11.59,10.5,8.66,7.31,6.0,5.38,5.34,5.06,6.06,6.62,7.75,9.84,12.16,15.25,18.03,19.06,20.69,20.75,20.59,20.84,21.22,21.47,22.03,21.38,21.31,21.38,20.78,20.91,20.69,20.62,21.0,21.28,21.69,21.94,23.28,24.59,25.91,27.94,29.53,29.59,29.03,28.06,26.38,23.72,21.19,19.25,15.81,12.62,10.53,8.56,7.16,6.78,6.41,6.78,7.44,8.19,9.34,10.94,10.97,11.0,10.62,10.56,10.31,10.75,12.09,12.38,13.53,13.84,14.44,14.97,14.97,15.31,15.06,14.06,13.62,11.75,10.62,9.69,8.44,7.31,7.25,6.66,8.03,8.44,9.69,10.81,12.03,13.19,13.25,13.59,12.81,12.16,10.94,10.06,8.56,7.88,7.28,6.56,7.31,7.12,8.16,9.25,11.06,13.06,15.41,18.16,19.62,22.06,22.28,22.94,23.25,22.09,21.31,20.09,18.84,17.53,16.47,16.53,16.28,16.16,16.34,15.12,14.66,12.94,11.56,11.88,12.09,12.62,13.62,14.25,14.5,15.34,15.53,16.84,16.72,16.41,15.59,14.75,13.91,13.81,14.09,14.78,14.94,15.78,16.34,16.06,15.94,15.78,15.72,15.47,15.41,14.94,14.31,14.56,14.88,15.53,16.81,19.06,20.91,23.34,25.41,27.47,28.81,29.94,30.0,30.53,29.56,29.31,29.09,28.94,28.47,28.25,27.84,27.88,27.22,26.28,25.16,24.59,22.81,22.81,23.78,23.75,25.38,25.56,26.0,25.28,24.03,22.56,20.5,19.09,17.59,17.25,17.81,18.88,20.31,22.03,23.0,25.0,25.28,24.84,24.81,22.56,20.56,19.56,-16.78,-15.88,-14.22,-12.22,-10.41,-10.5,-10.38,-11.53,-12.75,-13.47,-13.78,-13.62,-14.03,-14.16,-13.91,-13.72,-12.62,-10.66,-8.88,-8.09,-8.16,-8.06,-9.72,-11.41,-12.75,-14.19,-15.47,-16.81,-17.97,-19.81:positivity
16.81,18.75,20.53,22.56,23.84,24.88,25.19,24.88,24.03,22.91,21.97,20.62,19.88,19.88,19.41,20.31,21.06,21.22,21.69,22.53,22.16,22.09,22.44,21.16,19.81,18.06,15.47,12.97,10.53,9.34,8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94:25.19,24.88,24.03,22.91,21.97,20.62,19.88,19.88,19.41,20.31,21.06,21.22,21.69,22.53,22.16,22.09,22.44,21.16,19.81,18.06,15.47,12.97,10.53,9.34,8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94,-30.94,-28.97,-27.25,-24.88,-23.72,-22.22:19.88,19.88,19.41,20.31,21.06,21.22,21.69,22.53,22.16,22.09,22.44,21.16,19.81,18.06,15.47,12.97,10.53,9.34,8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94,-30.94,-28.97,-27.25,-24.88,-23.72,-22.22,-20.62,-20.69,-19.66,-20.22,-21.19,-22.84:21.69,22.53,22.16,22.09,22.44,21.16,19.81,18.06,15.47,12.97,10.53,9.34,8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94,-30.94,-28.97,-27.25,-24.88,-23.72,-22.22,-20.62,-20.69,-19.66,-20.22,-21.19,-22.84,-24.16,-25.69,-27.34,-27.66,-26.84,-26.28:19.81,18.06,15.47,12.97,10.53,9.34,8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94,-30.94,-28.97,-27.25,-24.88,-23.72,-22.22,-20.62,-20.69,-19.66,-20.22,-21.19,-22.84,-24.16,-25.69,-27.34,-27.66,-26.84,-26.28,-25.09,-23.5,-21.47,-20.22,-20.12,-20.81:8.5,11.06,12.66,15.69,20.0,22.69,25.53,27.66,27.94,29.62,29.09,28.44,28.38,27.56,25.88,24.47,23.91,22.94,23.38,24.22,24.06,23.5,22.44,19.56,17.47,16.56,16.06,16.28,17.56,18.56,19.47,21.12,21.0,20.94,19.28,17.62,15.84,13.53,11.66,10.97,10.31,10.81,13.5,14.44,15.06,14.41,12.84,10.84,9.41,8.5,7.59,8.12,7.72,7.62,9.62,11.81,13.66,17.31,20.12,21.06,22.81,23.06,23.81,24.38,23.94,23.16,21.25,19.28,17.38,15.25,13.91,14.12,14.0,14.5,16.28,18.16,19.09,20.41,23.38,25.12,27.34,28.91,31.12,31.25,30.81,31.47,31.22,31.03,30.12,28.66,26.16,23.78,22.31,20.75,20.28,19.47,19.44,18.44,19.94,20.66,21.69,24.62,26.19,28.16,28.44,28.44,27.16,26.34,25.81,25.72,25.75,25.62,25.69,24.75,25.06,25.16,25.0,25.56,25.66,25.78,25.88,23.59,21.84,20.06,18.47,17.66,17.5,16.69,16.66,15.75,13.81,13.5,13.5,13.5,11.81,11.88,11.34,11.03,9.97,9.78,9.31,9.31,9.28,10.47,13.91,15.94,16.56,18.38,17.69,18.19,17.88,16.97,16.84,16.66,16.31,16.41,16.06,15.84,14.66,13.94,12.31,9.81,7.12,5.34,3.19,1.5,1.41,1.97,3.34,5.31,8.59,12.78,17.06,20.16,22.66,25.28,26.5,26.78,27.25,26.75,25.66,23.59,21.62,19.72,17.97,16.91,17.12,17.28,17.09,17.66,18.16,18.06,17.94,18.44,17.03,18.22,19.5,20.5,23.22,26.12,28.81,31.94,33.56,33.91,33.06,31.22,28.91,26.22,24.16,22.72,21.16,19.16,17.69,16.84,15.53,13.91,14.19,12.75,11.19,10.44,9.62,8.0,6.31,6.62,7.09,9.28,12.34,16.72,19.12,21.28,21.91,22.16,21.78,19.66,19.31,17.41,15.81,13.69,11.16,8.09,6.41,3.84,3.97,4.47,4.44,5.97,7.66,9.34,10.28,12.34,13.5,14.47,15.56,16.66,17.31,18.25,19.06,20.56,20.88,21.16,21.75,21.81,22.16,21.25,21.44,20.72,18.84,16.41,14.69,12.38,10.56,10.16,11.06,12.5,15.31,18.38,22.72,26.56,29.12,29.19,27.62,24.69,21.03,17.19,15.19,13.31,11.94,12.09,11.62,13.09,15.06,15.66,16.91,17.62,16.91,17.66,18.41,19.5,21.25,23.25,24.38,26.34,27.34,27.81,27.88,27.38,25.56,21.72,18.28,13.72,8.78,5.97,3.41,2.62,3.38,5.41,7.78,9.78,11.91,13.81,14.56,14.91,14.03,12.88,11.5,8.34,6.12,4.06,2.5,2.81,2.38,4.44,7.16,8.97,11.19,13.25,13.38,12.91,13.62,13.81,13.31,12.78,12.94,12.69,12.5,13.16,14.56,16.38,18.5,20.72,22.75,24.78,24.72,25.31,26.56,25.56,24.59,24.88,22.09,20.03,16.84,14.22,12.91,10.78,10.25,11.56,11.44,12.09,11.97,11.88,13.16,13.0,12.69,13.31,14.06,14.53,14.81,15.09,17.47,18.31,20.03,22.56,23.5,23.12,21.75,18.22,14.88,12.38,9.69,8.81,7.75,7.62,7.41,7.16,7.19,8.25,7.47,6.31,6.16,4.62,3.34,3.12,3.12,4.31,5.56,7.78,8.94,10.0,10.91,10.5,9.31,9.97,10.06,11.22,10.56,11.72,11.44,11.81,11.41,11.66,12.25,12.53,12.81,12.72,13.0,12.81,13.38,13.06,12.91,13.41,13.19,14.19,15.94,17.62,19.78,22.0,23.75,23.94,23.59,22.44,20.53,18.25,15.66,14.25,12.09,11.31,10.66,11.31,12.03,14.06,17.31,21.81,25.88,28.91,31.94,32.31,31.31,27.97,25.28,22.03,19.28,18.06,18.31,18.5,18.81,18.94,16.97,17.12,14.91,13.31,11.47,10.41,9.12,7.31,8.34,8.88,10.69,12.59,13.75,15.84,16.56,16.78,16.41,16.34,15.72,16.0,16.22,18.81,20.91,22.31,23.28,23.66,22.94,21.84,19.56,16.75,13.62,10.12,8.41,7.53,7.28,9.0,11.09,13.47,15.66,18.59,20.22,21.44,22.94,22.5,21.44,19.78,16.56,13.72,9.06,4.34,0.81,-1.84,-2.47,-1.78,1.16,4.69,9.78,13.72,17.62,21.34,23.94,23.94,22.84,21.03,18.0,13.12,9.47,6.06,4.22,1.81,2.31,2.75,4.38,5.66,7.44,10.0,10.19,11.56,12.03,11.69,12.53,13.78,14.81,16.53,16.91,16.75,15.78,15.31,14.44,12.66,13.41,14.44,14.44,14.97,15.56,14.94,12.41,10.44,9.44,8.5,6.91,7.53,8.28,9.47,10.72,11.09,11.44,9.5,7.88,4.56,0.97,-1.5,-2.91,-3.59,-1.44,1.31,5.72,9.28,13.5,17.19,18.44,19.78,20.0,17.88,15.41,12.12,8.28,4.12,1.56,0.12,-1.22,-1.16,-0.97,-0.59,0.31,0.91,2.28,2.72,4.19,4.66,5.41,7.03,7.25,8.41,9.72,10.44,11.41,11.66,10.62,10.03,8.59,6.84,4.69,3.66,2.28,1.16,0.12,0.03,0.41,0.22,0.72,1.91,2.53,3.0,4.81,5.69,6.34,7.03,6.69,6.91,7.03,7.84,8.19,9.44,10.56,11.69,12.38,12.47,12.5,11.56,10.44,8.75,8.0,6.34,4.69,3.06,1.28,0.0,-1.09,-1.88,-1.12,-0.56,0.56,2.38,2.59,3.84,4.0,2.81,1.59,0.84,0.41,0.41,0.69,1.78,2.66,3.31,4.38,5.44,5.91,5.66,5.03,4.31,2.81,1.0,0.69,1.09,0.84,0.97,1.16,1.53,1.28,2.03,2.44,4.12,5.38,6.12,6.84,8.56,8.66,8.81,9.38,10.28,11.44,11.78,11.78,11.97,11.28,10.06,9.78,10.28,11.25,13.34,16.56,18.19,18.41,18.31,16.78,14.66,12.91,11.03,10.34,8.53,7.06,5.91,4.81,4.25,3.34,3.94,3.28,4.06,3.19,3.38,4.53,5.06,7.41,10.25,12.44,15.38,16.56,17.06,16.91,15.25,14.06,12.91,11.28,10.56,9.69,10.0,10.34,10.22,11.28,11.38,11.28,10.75,9.72,8.75,7.5,5.88,5.16,5.0,5.72,6.19,7.78,9.97,10.66,12.28,12.34,12.44,11.72,9.22,7.78,5.47,3.12,1.84,0.88,0.62,1.06,1.66,2.66,2.66,2.72,1.56,-0.19,-1.84,-5.69,-9.0,-11.06,-12.84,-11.53,-9.41,-6.72,-3.5,-1.56,0.72,2.16,3.25,4.41,5.53,6.28,7.19,7.97,8.31,8.81,8.41,7.34,5.69,4.28,2.41,2.09,1.78,2.56,5.06,6.88,9.03,10.81,11.28,9.12,7.31,3.03,0.03,-2.66,-4.31,-4.06,-3.78,-3.31,-2.81,-2.16,-2.25,-1.22,0.28,1.25,0.31,-2.09,-6.41,-12.16,-18.28,-22.97,-24.72,-23.62,-21.03,-17.47,-14.56,-13.28,-14.34,-17.09,-20.06,-21.75,-22.41,-22.72,-21.84,-21.03,-20.53,-20.59,-21.19,-21.53,-20.47,-19.84,-18.47,-16.91,-16.19,-15.09,-16.75,-18.03,-17.78,-17.56,-15.53,-12.22,-8.75,-5.59,-3.94,-30.94,-28.97,-27.25,-24.88,-23.72,-22.22,-20.62,-20.69,-19.66,-20.22,-21.19,-22.84,-24.16,-25.69,-27.34,-27.66,-26.84,-26.28,-25.09,-23.5,-21.47,-20.22,-20.12,-20.81,-22.66,-25.41,-29.44,-33.62,-37.06,-39.56:positivity
0.12,-2.47,-6.16,-6.38,-8.03,-8.72,-8.62,-10.66,-10.91,-11.59,-11.22,-11.16,-9.66,-8.09,-7.03,-5.81,-5.34,-4.97,-2.16,-1.47,-0.09,1.41,1.19,1.06,-0.66,-0.34,-1.41,-1.53,-1.78,-2.28,-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84:-8.62,-10.66,-10.91,-11.59,-11.22,-11.16,-9.66,-8.09,-7.03,-5.81,-5.34,-4.97,-2.16,-1.47,-0.09,1.41,1.19,1.06,-0.66,-0.34,-1.41,-1.53,-1.78,-2.28,-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84,-63.34,-66.16,-69.06,-70.5,-73.22,-74.38:-9.66,-8.09,-7.03,-5.81,-5.34,-4.97,-2.16,-1.47,-0.09,1.41,1.19,1.06,-0.66,-0.34,-1.41,-1.53,-1.78,-2.28,-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84,-63.34,-66.16,-69.06,-70.5,-73.22,-74.38,-74.44,-74.69,-73.06,-72.03,-70.28,-68.44:-2.16,-1.47,-0.09,1.41,1.19,1.06,-0.66,-0.34,-1.41,-1.53,-1.78,-2.28,-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84,-63.34,-66.16,-69.06,-70.5,-73.22,-74.38,-74.44,-74.69,-73.06,-72.03,-70.28,-68.44,-66.22,-64.25,-63.84,-62.81,-63.34,-62.34:-0.66,-0.34,-1.41,-1.53,-1.78,-2.28,-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84,-63.34,-66.16,-69.06,-70.5,-73.22,-74.38,-74.44,-74.69,-73.06,-72.03,-70.28,-68.44,-66.22,-64.25,-63.84,-62.81,-63.34,-62.34,-60.47,-59.06,-57.84,-56.53,-57.03,-57.41:-2.09,-2.97,-2.78,-1.72,-1.16,-0.91,-0.06,0.09,-0.34,-1.0,-0.97,-0.34,0.09,0.91,2.94,4.28,6.16,7.78,10.59,12.38,13.06,12.69,9.91,7.56,4.47,1.0,-0.59,-1.31,-3.09,-3.0,-2.78,-2.81,-1.19,0.91,3.53,5.81,6.31,5.94,4.97,1.19,-0.22,-3.47,-6.84,-9.44,-13.78,-14.88,-18.03,-19.78,-21.41,-21.31,-22.28,-22.34,-22.88,-22.03,-20.31,-17.84,-15.72,-10.91,-7.28,-5.19,-2.84,-1.91,-1.47,-0.22,-0.06,1.38,2.09,2.31,2.0,0.69,-2.0,-4.28,-6.16,-7.53,-8.34,-8.16,-6.34,-6.53,-7.62,-8.47,-10.41,-10.34,-11.28,-10.0,-8.34,-7.34,-5.59,-5.53,-5.56,-4.88,-4.47,-5.06,-5.41,-5.81,-8.0,-10.03,-11.62,-13.22,-13.59,-13.44,-12.84,-9.84,-8.22,-6.69,-3.94,-3.59,-3.88,-3.88,-4.72,-6.41,-6.66,-6.69,-6.06,-5.66,-4.91,-4.34,-4.03,-4.56,-5.06,-5.62,-5.59,-6.44,-6.66,-7.91,-6.84,-7.72,-7.59,-5.84,-5.59,-5.41,-5.31,-5.97,-5.53,-6.44,-6.44,-5.84,-3.97,-2.47,-0.75,1.06,1.75,1.44,1.03,-0.41,-1.81,-3.66,-4.84,-5.22,-5.78,-4.44,-3.75,-2.16,-0.41,-0.56,1.16,2.81,2.31,3.81,2.72,2.47,1.06,0.81,1.09,0.5,0.28,-1.19,-3.28,-5.38,-6.72,-7.22,-6.72,-6.44,-2.06,0.28,2.28,4.28,3.69,-0.56,-3.66,-7.59,-9.62,-10.88,-8.28,-5.28,-2.12,0.12,1.75,2.28,2.0,0.62,0.44,-0.91,-2.72,-4.91,-8.28,-10.28,-11.34,-11.47,-10.47,-9.19,-7.66,-6.84,-6.47,-6.72,-7.34,-7.56,-8.47,-8.34,-7.09,-7.41,-8.38,-7.84,-7.91,-7.53,-7.22,-5.97,-6.56,-7.69,-9.28,-8.78,-7.94,-8.16,-6.34,-6.53,-6.44,-6.34,-5.69,-4.59,-3.03,-0.97,0.44,0.78,2.09,1.81,0.97,0.59,1.16,0.91,0.78,1.75,1.31,0.75,0.91,1.06,2.03,2.81,3.31,3.31,1.91,2.34,2.5,2.16,2.78,2.84,1.22,-0.22,-3.09,-5.66,-7.53,-9.84,-10.38,-11.41,-11.75,-11.56,-11.12,-11.28,-10.78,-11.16,-10.91,-12.03,-11.5,-11.44,-12.09,-12.47,-12.44,-12.97,-13.19,-14.22,-15.12,-14.66,-14.16,-13.59,-12.59,-10.19,-9.28,-8.19,-8.72,-8.31,-8.19,-9.84,-8.34,-8.47,-9.91,-8.78,-10.09,-11.91,-13.94,-16.53,-18.84,-21.38,-21.66,-20.66,-20.69,-19.19,-19.31,-18.78,-18.47,-18.19,-17.62,-16.28,-15.97,-14.16,-13.31,-11.16,-11.5,-11.03,-11.91,-13.41,-15.12,-16.53,-16.75,-15.59,-15.19,-14.16,-11.69,-12.97,-13.44,-15.06,-15.97,-17.22,-18.44,-18.22,-18.5,-19.56,-19.84,-19.94,-20.81,-19.69,-20.16,-20.34,-19.28,-18.44,-19.53,-19.69,-20.22,-22.88,-23.91,-25.47,-28.09,-28.84,-29.41,-29.69,-27.78,-27.03,-25.97,-25.03,-26.09,-27.22,-27.34,-27.94,-26.47,-25.22,-23.69,-20.59,-18.53,-18.03,-16.66,-16.09,-18.78,-19.25,-21.59,-23.84,-25.38,-25.97,-25.66,-24.91,-22.84,-21.59,-19.19,-17.75,-15.69,-14.78,-12.53,-11.16,-11.22,-10.56,-11.28,-12.41,-13.72,-14.59,-15.12,-14.38,-13.09,-10.09,-8.12,-6.34,-6.66,-7.34,-8.69,-10.66,-12.09,-14.03,-14.56,-15.59,-16.94,-17.28,-17.34,-16.06,-15.97,-15.56,-13.97,-13.41,-12.5,-10.97,-9.47,-7.91,-7.16,-8.69,-6.97,-7.25,-9.38,-10.84,-13.09,-16.12,-19.38,-22.03,-24.0,-24.66,-23.53,-22.47,-21.94,-20.97,-20.22,-20.81,-21.16,-21.75,-22.19,-21.97,-21.38,-20.03,-17.56,-15.44,-13.16,-11.47,-10.84,-10.16,-11.62,-13.41,-14.44,-15.81,-16.56,-16.0,-15.78,-14.0,-11.72,-9.78,-8.91,-7.94,-7.69,-10.47,-12.62,-14.62,-17.0,-18.34,-20.03,-18.75,-17.97,-15.38,-13.41,-11.72,-10.66,-11.72,-13.59,-15.41,-17.34,-17.53,-17.34,-16.34,-13.94,-14.06,-13.59,-14.53,-16.81,-16.16,-17.78,-16.09,-15.62,-14.25,-14.75,-14.94,-15.22,-15.91,-17.09,-15.53,-14.81,-12.47,-10.59,-8.28,-7.06,-6.22,-6.09,-6.47,-7.62,-7.41,-8.47,-9.81,-10.56,-11.84,-12.59,-13.94,-13.91,-13.59,-13.53,-12.81,-13.56,-12.84,-12.97,-13.03,-13.22,-11.78,-11.53,-9.91,-9.25,-8.31,-8.12,-7.91,-8.91,-9.66,-10.56,-9.94,-10.0,-10.06,-9.0,-8.22,-9.44,-10.34,-11.38,-12.5,-13.56,-13.28,-13.28,-11.66,-11.47,-12.0,-11.47,-10.66,-11.72,-10.38,-10.47,-10.94,-12.16,-13.59,-14.31,-17.16,-18.09,-19.0,-19.38,-19.44,-20.19,-20.56,-20.53,-21.31,-18.91,-18.34,-16.44,-14.09,-13.31,-12.91,-13.19,-12.97,-13.47,-14.41,-13.59,-14.91,-16.03,-15.31,-14.59,-13.28,-11.5,-8.84,-7.28,-7.78,-8.62,-7.97,-10.22,-12.47,-12.88,-14.19,-15.06,-15.31,-14.75,-15.72,-16.31,-18.03,-19.0,-20.66,-21.47,-22.09,-22.19,-22.53,-22.84,-22.09,-19.81,-18.66,-17.03,-15.59,-14.09,-14.78,-15.47,-15.22,-14.38,-14.47,-13.94,-13.0,-12.66,-12.91,-12.78,-11.59,-10.34,-10.16,-9.06,-8.91,-7.94,-7.59,-8.25,-8.47,-9.56,-10.97,-12.97,-13.53,-14.69,-15.03,-15.22,-14.56,-14.12,-15.28,-14.34,-15.03,-16.56,-15.72,-15.69,-15.91,-16.06,-17.19,-18.06,-19.19,-21.09,-21.97,-21.91,-22.47,-23.97,-23.22,-22.22,-23.59,-22.53,-22.09,-21.53,-20.5,-19.16,-18.06,-18.12,-17.78,-16.84,-16.72,-15.47,-13.75,-12.88,-13.12,-12.91,-14.28,-14.47,-14.84,-15.16,-15.84,-16.0,-16.59,-17.69,-17.59,-18.34,-16.12,-14.88,-13.59,-12.38,-10.97,-10.09,-9.16,-8.16,-6.94,-5.81,-5.34,-4.31,-2.59,-2.84,-2.34,-3.47,-4.09,-6.03,-6.34,-7.47,-8.28,-9.19,-10.56,-12.78,-14.84,-15.19,-15.91,-16.47,-17.84,-17.25,-18.53,-18.09,-18.16,-17.03,-16.34,-16.22,-15.34,-14.34,-15.09,-15.47,-15.97,-18.06,-18.44,-19.78,-20.28,-19.94,-19.41,-18.44,-17.41,-15.66,-15.06,-14.53,-12.84,-12.66,-10.59,-8.56,-6.41,-4.09,-4.66,-6.09,-8.91,-12.44,-15.28,-18.03,-18.5,-18.28,-18.72,-18.19,-19.06,-19.72,-19.75,-21.31,-22.91,-23.31,-22.47,-21.72,-19.16,-15.59,-13.09,-11.34,-10.47,-10.88,-9.44,-8.59,-9.34,-7.69,-8.19,-8.59,-9.91,-10.34,-12.66,-14.78,-17.47,-18.56,-19.72,-19.72,-20.03,-19.41,-19.5,-19.5,-19.34,-20.31,-19.34,-18.28,-18.72,-17.25,-16.97,-14.66,-12.81,-11.16,-9.84,-8.84,-8.16,-8.28,-8.09,-8.5,-8.09,-7.94,-8.59,-8.34,-7.91,-7.0,-6.31,-3.41,-3.03,-1.28,0.59,1.25,2.91,2.31,1.84,0.66,-2.38,-5.28,-7.19,-9.5,-10.16,-11.78,-12.59,-14.09,-15.06,-16.41,-18.34,-18.97,-18.59,-19.72,-20.69,-21.84,-23.28,-26.47,-27.78,-30.91,-33.91,-36.84,-42.09,-45.66,-49.09,-51.66,-52.91,-53.94,-53.22,-52.84,-51.66,-50.56,-48.97,-47.84,-44.09,-41.66,-39.22,-35.34,-33.19,-32.75,-32.09,-33.25,-31.41,-31.16,-31.41,-30.44,-30.34,-30.28,-28.34,-27.5,-26.56,-25.31,-24.19,-24.03,-24.84,-63.34,-66.16,-69.06,-70.5,-73.22,-74.38,-74.44,-74.69,-73.06,-72.03,-70.28,-68.44,-66.22,-64.25,-63.84,-62.81,-63.34,-62.34,-60.47,-59.06,-57.84,-56.53,-57.03,-57.41,-58.88,-58.03,-58.19,-57.59,-57.22,-57.16:positivity
19.16,20.31,19.66,19.62,19.62,21.44,22.81,23.88,25.06,24.84,24.38,23.62,23.22,22.97,23.62,24.94,25.75,26.53,27.19,26.5,25.22,24.44,23.78,23.41,25.0,27.12,29.38,31.81,34.78,36.62,37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12:22.81,23.88,25.06,24.84,24.38,23.62,23.22,22.97,23.62,24.94,25.75,26.53,27.19,26.5,25.22,24.44,23.78,23.41,25.0,27.12,29.38,31.81,34.78,36.62,37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12,-34.06,-35.25,-36.72,-35.5,-35.44,-34.53:23.22,22.97,23.62,24.94,25.75,26.53,27.19,26.5,25.22,24.44,23.78,23.41,25.0,27.12,29.38,31.81,34.78,36.62,37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12,-34.06,-35.25,-36.72,-35.5,-35.44,-34.53,-34.72,-33.81,-33.84,-34.97,-37.28,-38.16:27.19,26.5,25.22,24.44,23.78,23.41,25.0,27.12,29.38,31.81,34.78,36.62,37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12,-34.06,-35.25,-36.72,-35.5,-35.44,-34.53,-34.72,-33.81,-33.84,-34.97,-37.28,-38.16,-38.22,-38.56,-37.19,-34.03,-31.28,-28.38:25.0,27.12,29.38,31.81,34.78,36.62,37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12,-34.06,-35.25,-36.72,-35.5,-35.44,-34.53,-34.72,-33.81,-33.84,-34.97,-37.28,-38.16,-38.22,-38.56,-37.19,-34.03,-31.28,-28.38,-26.38,-25.66,-25.09,-26.66,-27.44,-27.75:37.62,39.94,40.84,40.72,40.75,39.5,37.41,35.06,33.47,31.91,31.03,29.91,30.19,28.91,29.5,30.5,30.53,32.41,33.44,33.56,33.81,34.78,36.19,38.22,39.56,41.12,41.31,42.09,41.28,41.84,41.31,40.28,38.03,36.75,33.47,30.09,28.41,25.81,24.56,22.94,22.12,21.56,20.09,18.72,17.19,14.59,12.12,10.12,9.41,8.19,8.41,10.66,12.09,15.5,18.88,22.0,24.72,25.78,26.56,26.19,26.28,24.31,23.12,22.91,21.66,22.16,22.56,23.25,24.03,21.94,20.09,16.69,12.72,11.09,9.91,9.66,11.59,13.31,14.72,16.97,19.12,19.25,20.75,21.19,21.53,21.34,22.62,23.06,23.16,24.22,22.84,23.59,22.44,22.12,22.06,23.91,23.69,25.06,26.16,27.03,26.12,25.84,24.94,23.53,22.19,21.91,21.31,21.16,21.09,20.5,20.62,19.16,17.62,15.19,13.0,10.97,9.06,8.56,9.34,11.06,12.47,15.0,17.5,18.38,19.19,19.19,19.0,18.03,18.62,19.0,20.78,22.75,24.75,26.06,27.22,27.06,24.69,23.0,20.31,18.06,15.44,15.06,13.78,13.78,14.59,16.0,18.81,20.88,23.28,25.91,27.53,29.94,33.16,35.41,36.44,36.69,34.78,29.56,24.25,19.31,14.38,11.06,9.0,7.91,6.5,5.5,4.5,4.28,3.56,2.84,3.78,5.06,3.91,3.44,3.03,2.5,3.62,5.69,7.81,10.72,12.62,12.62,12.44,12.81,12.81,11.19,12.12,11.28,10.31,9.53,9.41,8.78,8.5,8.5,8.44,8.16,9.94,9.69,11.31,11.97,13.0,14.31,15.0,14.62,13.88,11.94,7.75,3.47,0.31,-3.91,-6.09,-7.28,-7.97,-7.34,-7.22,-5.28,-2.81,-0.59,2.75,4.69,5.31,5.84,5.69,5.31,4.0,2.78,1.56,0.25,-0.72,-2.03,-2.81,-3.81,-5.09,-7.19,-8.59,-8.84,-9.94,-8.81,-8.34,-7.41,-5.44,-2.88,-0.84,3.47,6.91,9.84,12.94,14.31,15.38,15.19,13.41,13.03,10.25,9.56,8.59,8.09,7.81,7.91,7.25,6.66,6.34,6.06,4.25,3.88,2.31,0.59,-1.44,-4.47,-6.84,-10.66,-12.19,-14.38,-14.28,-12.31,-10.16,-8.34,-6.25,-4.06,-1.59,0.53,2.81,5.56,6.84,8.31,7.91,7.09,7.19,6.28,6.03,7.03,7.31,7.28,6.25,5.81,4.66,2.34,-0.09,-1.81,-4.09,-5.97,-6.84,-7.41,-6.22,-5.22,-3.16,-0.84,2.53,5.06,7.84,10.56,12.66,13.84,16.16,17.97,19.38,19.47,18.84,16.06,11.38,7.84,4.81,2.44,1.47,1.47,1.41,0.06,-1.25,-3.22,-4.94,-7.16,-7.09,-6.91,-5.16,-1.47,1.81,7.62,11.31,15.0,16.91,17.34,17.53,15.12,14.34,11.31,9.72,7.19,4.59,2.72,-0.81,-4.16,-6.03,-9.56,-11.66,-12.81,-11.28,-10.19,-6.09,-1.56,3.53,9.31,13.41,16.88,18.91,18.91,17.62,16.06,13.81,12.28,10.69,9.41,9.31,10.53,10.38,11.75,12.59,11.28,13.19,12.09,10.75,10.34,10.56,10.16,10.81,11.94,12.72,13.28,14.31,13.47,13.09,12.06,10.59,8.41,6.97,4.84,2.91,0.69,-1.66,-2.88,-4.38,-4.72,-4.97,-5.03,-6.0,-7.19,-7.84,-7.56,-6.31,-3.91,-1.31,2.5,4.66,6.34,8.0,8.53,8.97,10.94,13.16,16.38,18.62,19.31,18.12,14.94,11.16,5.59,2.81,1.16,0.09,0.44,0.59,1.06,1.53,2.44,4.5,6.06,7.16,9.94,9.69,9.06,8.12,5.59,3.81,-0.31,-1.47,-3.78,-4.72,-4.91,-4.31,-2.84,-0.66,-0.12,1.31,1.38,1.94,2.38,2.19,3.69,5.94,7.16,8.81,10.5,10.78,9.5,8.41,8.03,7.06,6.56,5.81,5.12,4.22,1.81,-0.19,-2.25,-3.72,-5.59,-6.34,-6.53,-7.09,-6.81,-5.91,-4.84,-3.44,-2.59,-2.59,-1.44,-2.38,-2.81,-2.53,-2.44,-1.62,0.06,-0.09,0.44,-0.97,-2.97,-5.53,-8.5,-11.12,-12.47,-14.0,-14.59,-15.03,-14.22,-13.69,-13.12,-11.47,-9.34,-8.06,-6.09,-4.97,-4.94,-6.47,-7.22,-8.34,-7.91,-7.16,-4.06,-1.97,-1.56,-2.03,-2.28,-3.75,-4.34,-4.16,-1.84,0.19,2.56,5.81,7.47,8.84,8.94,9.12,8.28,7.41,6.0,5.56,4.59,3.88,2.78,3.06,2.84,4.16,4.62,5.53,6.06,5.84,4.75,4.44,3.53,3.25,2.28,1.81,0.88,0.16,-0.47,-0.5,-0.72,-1.31,-1.31,-1.59,-3.0,-3.25,-2.41,-1.69,-0.28,2.25,5.25,7.34,9.53,11.12,12.09,11.97,10.5,9.94,7.19,5.53,3.41,2.75,2.22,3.41,5.56,8.66,11.81,13.84,14.75,15.12,15.66,14.69,14.62,13.62,11.94,9.25,7.31,5.34,4.12,4.06,4.5,5.25,6.06,6.47,7.56,9.22,9.62,12.31,13.91,15.69,17.47,18.62,18.91,18.03,16.81,14.19,12.09,9.91,8.94,8.75,9.5,11.56,13.06,13.97,14.31,14.16,13.03,11.0,9.75,7.5,5.12,3.56,2.44,2.31,1.88,2.66,3.16,4.41,4.78,6.06,7.12,8.34,8.38,8.41,8.44,7.44,6.5,6.09,5.28,4.88,3.69,2.38,2.44,1.66,1.47,2.28,1.41,2.53,1.62,1.31,1.38,1.41,2.16,2.84,4.06,4.78,5.44,6.03,6.03,5.41,5.56,5.53,7.38,8.81,11.47,13.78,16.5,19.12,22.31,23.94,23.91,23.09,19.41,15.38,11.06,7.75,5.94,4.84,4.34,4.72,5.44,6.91,7.94,9.47,8.78,9.25,8.03,7.09,6.75,6.44,7.09,7.53,6.91,8.0,7.69,7.03,6.06,4.69,3.34,3.56,3.22,4.53,6.38,8.16,8.94,9.72,9.31,8.97,7.28,7.34,6.25,5.62,5.66,6.0,6.88,7.25,7.75,8.81,8.78,9.03,7.78,7.03,5.38,3.06,2.72,2.88,4.53,7.84,11.5,15.09,18.41,20.19,22.38,24.16,25.56,27.12,28.06,27.88,26.41,24.69,22.84,20.03,17.03,14.5,11.12,8.69,6.53,6.09,6.38,7.06,9.19,10.91,13.72,15.16,16.97,17.41,16.41,16.56,15.72,15.5,16.06,17.66,18.62,20.16,21.16,22.12,20.5,18.91,15.34,12.5,10.09,8.53,7.34,8.19,7.31,8.47,8.06,7.03,7.16,5.31,4.97,4.0,4.0,4.31,5.06,6.06,7.44,9.16,9.66,10.03,10.0,9.75,8.0,7.16,5.56,4.41,4.03,2.91,4.03,4.38,5.31,6.34,7.22,7.12,6.94,5.56,5.25,4.72,3.44,3.06,1.56,1.56,-0.22,-1.59,-3.0,-5.44,-8.22,-10.34,-11.28,-11.34,-9.94,-7.81,-4.84,-2.66,-2.22,-1.53,-1.03,-2.09,-2.59,-2.28,-3.22,-3.34,-3.22,-3.09,-2.62,-1.88,0.34,1.69,3.16,5.19,6.53,7.19,7.0,6.28,4.72,3.56,1.66,2.38,1.94,2.41,2.16,2.06,1.56,0.69,-0.31,-0.72,-1.97,-2.38,-2.56,-2.03,-0.12,-34.06,-35.25,-36.72,-35.5,-35.44,-34.53,-34.72,-33.81,-33.84,-34.97,-37.28,-38.16,-38.22,-38.56,-37.19,-34.03,-31.28,-28.38,-26.38,-25.66,-25.09,-26.66,-27.44,-27.75,-28.59,-28.12,-26.44,-25.44,-23.72,-22.41:positivity
4.44,3.62,1.41,-1.59,-3.19,-5.5,-7.03,-6.0,-4.91,-2.16,1.03,4.38,7.06,9.94,11.25,12.81,12.91,14.94,13.44,12.16,11.16,9.31,7.25,6.88,7.25,7.19,8.09,9.28,8.91,9.53,8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19:-7.03,-6.0,-4.91,-2.16,1.03,4.38,7.06,9.94,11.25,12.81,12.91,14.94,13.44,12.16,11.16,9.31,7.25,6.88,7.25,7.19,8.09,9.28,8.91,9.53,8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19,-39.47,-41.84,-43.81,-45.97,-47.88,-49.16:7.06,9.94,11.25,12.81,12.91,14.94,13.44,12.16,11.16,9.31,7.25,6.88,7.25,7.19,8.09,9.28,8.91,9.53,8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19,-39.47,-41.84,-43.81,-45.97,-47.88,-49.16,-50.06,-49.66,-48.5,-47.31,-43.59,-39.91:13.44,12.16,11.16,9.31,7.25,6.88,7.25,7.19,8.09,9.28,8.91,9.53,8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19,-39.47,-41.84,-43.81,-45.97,-47.88,-49.16,-50.06,-49.66,-48.5,-47.31,-43.59,-39.91,-37.16,-35.09,-33.78,-33.81,-34.31,-34.69:7.25,7.19,8.09,9.28,8.91,9.53,8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19,-39.47,-41.84,-43.81,-45.97,-47.88,-49.16,-50.06,-49.66,-48.5,-47.31,-43.59,-39.91,-37.16,-35.09,-33.78,-33.81,-34.31,-34.69,-36.53,-38.56,-40.81,-42.41,-44.0,-43.59:8.5,8.03,10.06,10.56,12.56,14.88,16.31,17.03,17.09,16.81,14.38,12.81,11.38,10.44,11.12,12.06,13.12,15.09,15.69,15.66,14.97,13.91,12.19,10.94,7.88,7.16,5.19,2.06,1.19,-0.72,-3.22,-4.94,-6.56,-7.56,-8.44,-8.75,-8.56,-8.09,-6.59,-5.78,-3.03,-0.72,1.03,2.84,1.66,1.03,0.53,-1.91,-3.28,-1.53,-2.09,-1.22,0.06,0.16,0.97,-0.09,-1.22,-1.16,-1.88,0.12,0.06,2.41,4.06,6.0,7.25,8.5,9.0,9.09,8.25,6.97,7.19,6.34,4.28,5.03,5.56,4.78,5.62,5.94,5.94,6.62,5.97,6.69,7.81,8.81,9.84,9.56,8.5,7.56,4.59,3.25,1.19,-1.59,-1.66,-5.12,-6.66,-8.06,-10.81,-12.22,-12.72,-12.72,-12.69,-12.97,-13.28,-14.69,-14.88,-15.09,-15.88,-14.78,-14.16,-13.19,-9.78,-7.16,-3.97,1.0,4.91,7.78,9.69,9.5,7.25,4.75,0.19,-3.44,-7.0,-9.34,-10.38,-10.56,-10.44,-9.34,-8.88,-9.34,-8.41,-8.28,-9.22,-9.44,-10.22,-11.28,-11.94,-13.59,-14.88,-16.66,-19.44,-21.41,-24.44,-27.41,-29.59,-33.47,-35.66,-36.72,-36.72,-35.38,-31.97,-28.47,-24.66,-20.41,-17.38,-14.91,-13.75,-12.03,-12.34,-12.06,-10.34,-8.22,-5.59,-4.16,-3.19,-4.44,-7.16,-10.12,-12.34,-14.03,-14.75,-14.78,-17.09,-17.75,-19.53,-22.16,-21.84,-21.34,-20.94,-18.06,-17.09,-12.81,-9.56,-8.81,-5.47,-4.06,-4.34,-4.94,-6.19,-9.16,-11.34,-13.97,-17.09,-21.34,-24.31,-29.09,-31.44,-33.72,-33.38,-33.59,-32.66,-30.91,-29.91,-29.16,-28.03,-27.78,-26.59,-26.41,-23.97,-22.84,-20.34,-18.66,-17.34,-16.22,-16.47,-16.47,-16.56,-16.03,-16.56,-14.81,-15.0,-15.81,-15.28,-16.22,-16.91,-16.47,-17.38,-15.94,-14.22,-12.25,-9.56,-7.62,-2.91,-1.94,-2.75,-0.03,-0.75,-1.81,-0.94,-1.12,-3.19,-3.66,-5.22,-6.88,-7.72,-8.72,-9.66,-11.19,-12.75,-14.59,-16.84,-17.0,-17.47,-17.91,-16.72,-16.16,-14.31,-12.66,-9.59,-7.0,-5.75,-3.69,-4.12,-4.84,-6.25,-7.81,-8.38,-11.16,-13.59,-16.12,-20.31,-21.72,-24.06,-24.34,-24.72,-24.53,-24.47,-22.75,-21.41,-18.09,-15.28,-12.47,-10.0,-7.41,-5.47,-5.41,-3.53,-4.28,-5.47,-4.34,-5.31,-6.25,-7.16,-7.56,-9.69,-10.81,-10.88,-11.59,-12.19,-12.78,-13.56,-13.66,-13.91,-13.91,-14.59,-13.91,-14.47,-16.28,-16.0,-15.78,-16.28,-16.66,-15.34,-15.56,-15.06,-13.56,-13.91,-14.31,-15.0,-16.81,-18.38,-19.09,-21.03,-21.38,-20.53,-20.12,-18.09,-14.97,-12.88,-12.75,-12.28,-16.41,-20.41,-23.41,-25.28,-26.66,-26.5,-26.38,-26.0,-25.25,-24.53,-23.72,-23.34,-23.97,-25.47,-27.91,-30.03,-32.34,-33.56,-34.53,-34.09,-34.12,-33.97,-33.94,-33.84,-34.91,-35.09,-36.28,-37.12,-37.59,-37.66,-37.22,-37.88,-36.22,-37.09,-37.47,-37.69,-38.0,-37.84,-37.38,-33.88,-30.94,-28.41,-22.97,-20.44,-19.28,-19.0,-19.62,-21.38,-23.72,-26.28,-27.16,-29.53,-30.31,-31.84,-32.47,-32.16,-33.31,-34.09,-34.31,-33.12,-30.84,-28.53,-26.53,-22.22,-22.16,-21.38,-20.94,-20.47,-21.0,-22.41,-23.09,-23.84,-27.69,-29.72,-31.69,-35.28,-37.97,-40.91,-42.06,-42.84,-42.59,-39.59,-35.84,-31.66,-27.03,-23.47,-20.28,-18.97,-19.16,-19.06,-18.31,-18.16,-18.69,-18.81,-18.91,-20.34,-21.97,-22.69,-24.56,-27.16,-28.97,-32.16,-33.5,-32.78,-34.62,-34.53,-35.09,-35.44,-36.91,-35.59,-34.72,-32.22,-31.16,-30.66,-30.0,-29.81,-29.34,-29.16,-28.47,-28.28,-28.06,-29.25,-29.5,-29.06,-30.62,-31.16,-32.41,-32.34,-33.91,-33.59,-33.22,-32.16,-31.69,-29.66,-28.59,-27.69,-25.19,-23.53,-21.81,-20.78,-19.59,-20.06,-19.47,-20.22,-19.0,-19.94,-19.84,-19.41,-20.19,-20.03,-20.03,-19.06,-18.03,-17.75,-18.16,-18.97,-20.0,-20.09,-20.44,-18.72,-17.41,-16.38,-15.78,-13.78,-13.72,-13.03,-12.47,-12.72,-14.22,-15.28,-16.16,-17.5,-17.97,-17.66,-17.97,-17.0,-16.41,-13.41,-12.34,-10.84,-10.78,-12.09,-14.84,-17.31,-18.84,-21.28,-22.31,-22.59,-23.31,-22.53,-21.47,-20.66,-19.34,-18.88,-18.56,-18.53,-18.28,-17.22,-16.91,-15.5,-15.09,-14.41,-13.72,-13.28,-12.53,-11.78,-11.91,-11.88,-13.19,-13.84,-16.16,-17.28,-19.81,-20.78,-20.94,-21.84,-22.06,-22.41,-22.09,-23.16,-22.84,-21.94,-21.25,-21.91,-19.41,-18.09,-17.59,-14.53,-12.19,-10.22,-9.34,-7.97,-8.94,-10.28,-10.53,-11.03,-11.03,-9.31,-7.84,-5.41,-2.59,-1.38,0.31,0.62,-0.88,-2.19,-3.69,-5.59,-7.44,-8.78,-9.59,-10.31,-10.94,-9.47,-8.16,-5.91,-5.75,-5.16,-4.22,-6.41,-6.59,-5.78,-8.44,-8.88,-10.59,-12.72,-14.84,-17.09,-17.38,-17.34,-17.53,-16.19,-15.31,-14.66,-14.22,-12.03,-10.56,-8.84,-7.09,-6.12,-5.84,-7.22,-8.59,-10.81,-11.75,-13.34,-13.19,-13.34,-13.91,-12.72,-13.09,-13.84,-13.25,-12.72,-12.91,-10.84,-8.12,-5.56,-1.06,1.72,5.66,8.12,8.94,7.38,5.22,1.81,-2.09,-5.72,-7.88,-8.56,-11.22,-11.12,-11.59,-12.22,-11.31,-12.69,-11.06,-12.59,-12.28,-12.22,-13.12,-13.22,-13.53,-15.06,-15.84,-17.09,-15.72,-15.75,-13.69,-10.28,-7.09,-3.41,0.59,4.41,7.66,8.62,9.81,9.5,9.25,6.84,6.31,3.38,2.25,1.53,0.31,2.34,4.09,7.25,9.19,10.25,10.06,8.91,6.31,4.78,0.72,-0.84,-1.75,-3.44,-2.22,-0.59,0.44,1.75,3.38,4.94,3.84,5.28,3.44,3.59,2.69,2.66,3.59,5.16,6.81,10.12,11.62,13.41,14.5,14.34,12.5,11.0,9.97,8.16,8.28,8.78,8.75,9.12,9.97,8.75,8.19,7.69,7.0,7.56,8.88,10.03,11.88,13.44,14.28,14.59,15.69,14.81,13.81,12.69,10.84,9.47,8.25,6.34,4.31,1.41,-0.69,-3.12,-5.16,-5.41,-6.19,-5.91,-4.09,-3.09,-0.75,1.38,3.25,4.12,4.84,5.06,5.06,5.78,6.38,6.09,6.53,4.84,4.97,3.44,1.91,0.94,-0.38,-2.16,-2.28,-4.56,-5.38,-6.03,-8.19,-7.84,-7.34,-6.44,-3.5,-1.34,0.62,2.53,3.47,3.97,4.16,4.59,5.16,4.31,5.62,4.28,4.25,3.12,0.47,-1.78,-4.41,-7.5,-8.72,-10.94,-10.97,-11.59,-10.47,-9.03,-7.81,-6.16,-6.16,-5.03,-4.88,-4.66,-4.28,-3.56,-3.0,-3.72,-3.53,-4.16,-4.47,-5.47,-4.38,-5.34,-6.59,-5.28,-6.34,-5.22,-3.44,-1.44,0.5,2.97,4.41,5.44,6.84,7.12,7.47,8.78,9.12,9.91,10.66,9.81,9.97,9.53,9.19,8.09,7.69,5.88,5.25,3.41,3.38,4.19,5.25,6.72,7.12,9.19,9.91,10.5,11.25,10.25,9.78,7.88,5.97,5.81,5.06,4.62,5.03,5.25,4.38,3.69,2.81,1.53,1.44,1.0,1.53,1.59,1.19,-39.47,-41.84,-43.81,-45.97,-47.88,-49.16,-50.06,-49.66,-48.5,-47.31,-43.59,-39.91,-37.16,-35.09,-33.78,-33.81,-34.31,-34.69,-36.53,-38.56,-40.81,-42.41,-44.0,-43.59,-42.31,-40.66,-38.34,-35.44,-34.44,-32.72:positivity
24.81,26.75,28.41,29.94,32.06,33.62,34.44,36.41,37.09,38.56,39.91,40.56,40.62,41.06,39.53,37.56,35.5,33.62,30.59,27.12,24.94,23.16,23.03,24.91,29.31,34.34,39.69,43.81,45.91,47.56,46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56:34.44,36.41,37.09,38.56,39.91,40.56,40.62,41.06,39.53,37.56,35.5,33.62,30.59,27.12,24.94,23.16,23.03,24.91,29.31,34.34,39.69,43.81,45.91,47.56,46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56,18.94,20.06,22.53,24.91,27.19,29.34:40.62,41.06,39.53,37.56,35.5,33.62,30.59,27.12,24.94,23.16,23.03,24.91,29.31,34.34,39.69,43.81,45.91,47.56,46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56,18.94,20.06,22.53,24.91,27.19,29.34,30.91,32.19,33.91,35.03,37.19,38.0:30.59,27.12,24.94,23.16,23.03,24.91,29.31,34.34,39.69,43.81,45.91,47.56,46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56,18.94,20.06,22.53,24.91,27.19,29.34,30.91,32.19,33.91,35.03,37.19,38.0,38.44,38.44,37.12,35.06,33.12,31.69:29.31,34.34,39.69,43.81,45.91,47.56,46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56,18.94,20.06,22.53,24.91,27.19,29.34,30.91,32.19,33.91,35.03,37.19,38.0,38.44,38.44,37.12,35.06,33.12,31.69,29.22,26.31,24.56,22.59,21.81,22.56:46.53,45.94,42.44,39.91,36.09,31.72,28.62,27.03,25.81,25.91,27.09,29.06,31.06,32.0,34.06,34.97,36.16,35.31,35.25,34.66,32.94,30.5,29.31,26.72,24.69,23.25,22.19,21.12,19.94,20.03,18.28,17.62,16.59,13.97,13.34,11.41,10.62,9.31,9.56,8.53,8.81,9.34,9.69,9.88,10.66,9.59,8.06,7.44,6.94,7.31,8.78,12.38,16.44,21.91,24.56,26.75,26.81,25.03,22.59,20.06,19.69,19.59,20.91,21.75,23.5,23.91,24.38,25.47,26.22,27.44,28.25,27.47,27.38,26.84,24.19,23.31,22.69,22.06,21.56,22.28,23.06,23.31,25.34,27.69,30.62,33.94,37.06,39.41,40.69,40.19,40.0,37.56,35.28,34.09,31.78,31.06,30.69,29.31,28.41,28.06,27.09,26.19,26.06,25.78,26.25,26.28,26.34,26.75,27.81,28.09,28.72,29.47,30.38,30.88,32.16,33.22,34.66,34.72,34.5,33.53,31.59,30.81,28.88,27.97,27.31,26.66,25.94,26.25,26.59,26.88,27.06,27.06,27.34,27.16,27.12,27.06,26.66,27.19,27.47,28.88,29.31,30.66,31.72,32.16,32.19,31.62,30.09,27.25,24.12,21.62,19.31,18.91,19.03,18.91,21.0,22.66,24.84,27.09,29.19,31.03,32.5,33.38,34.31,34.56,34.84,34.16,32.56,30.44,28.31,26.09,24.62,25.53,25.0,26.34,28.22,29.84,31.31,33.31,33.94,35.38,35.75,35.25,35.31,34.94,34.78,33.44,32.78,31.22,29.91,27.47,25.75,23.94,22.66,21.97,21.78,22.19,22.78,24.09,26.41,28.69,30.66,33.31,33.81,33.38,32.53,30.5,28.31,26.31,24.06,22.0,20.16,18.62,17.06,16.66,17.38,17.72,20.12,21.66,23.16,24.38,24.06,24.25,21.91,20.56,18.72,16.88,15.94,15.0,15.28,15.84,16.25,17.69,17.66,17.81,16.78,15.41,14.38,12.44,11.56,9.12,8.12,9.31,10.53,13.31,16.72,19.19,20.31,21.44,20.94,21.12,20.06,19.28,18.31,17.0,16.0,14.56,14.28,13.56,13.16,13.06,13.62,15.12,16.41,17.94,19.69,20.59,21.28,21.91,21.16,21.34,20.31,19.56,19.12,19.5,20.44,21.03,20.84,21.41,20.78,20.75,21.41,22.0,22.69,22.84,23.62,24.03,23.72,24.75,26.06,27.22,27.78,26.19,24.88,22.81,20.22,18.34,17.72,19.12,20.19,19.69,21.19,21.03,20.25,19.78,20.5,20.44,20.25,21.06,20.72,21.12,22.94,24.97,29.44,33.09,34.59,35.59,33.47,30.03,25.56,22.44,20.06,17.84,18.12,17.88,17.53,16.88,16.91,15.84,15.34,15.56,16.06,17.06,17.78,19.41,20.34,20.78,21.69,21.19,20.34,18.25,16.16,14.62,12.06,10.91,10.06,9.41,8.97,7.69,6.94,6.03,4.31,4.06,3.34,3.28,4.78,6.12,7.78,8.94,10.53,11.75,11.78,11.62,10.53,9.38,8.19,8.0,7.91,8.91,10.91,12.28,13.66,14.06,14.78,15.41,15.62,16.97,17.53,19.62,20.19,21.19,21.47,20.41,19.66,18.5,17.06,16.12,14.62,14.59,13.38,13.94,12.88,12.69,13.53,13.25,13.88,14.94,14.84,15.53,15.34,16.03,17.25,18.0,18.69,17.81,16.19,14.25,11.75,10.5,9.09,7.69,7.91,6.97,6.31,5.38,5.78,6.03,6.38,7.03,7.91,8.94,10.28,10.94,11.69,13.25,13.38,13.56,12.72,11.19,9.16,7.12,5.03,4.25,4.56,3.22,3.97,3.47,3.16,4.28,5.31,6.75,8.72,10.19,11.69,12.81,12.81,13.31,13.28,12.5,11.97,11.16,10.84,9.91,9.31,9.0,9.25,8.84,9.44,9.94,9.56,9.62,9.56,10.03,10.0,10.31,10.16,10.75,10.66,11.81,13.22,16.38,18.88,21.69,21.56,22.25,21.81,19.25,18.03,16.72,15.41,14.03,13.81,13.53,13.19,13.56,13.72,13.62,13.44,12.12,12.5,11.75,12.44,12.53,13.97,15.72,17.5,18.44,19.62,20.28,21.03,20.56,20.69,20.0,18.69,17.41,16.47,14.5,13.28,12.91,11.66,10.03,9.75,8.84,8.25,9.84,10.5,13.12,14.94,16.53,17.31,16.41,14.06,11.88,9.06,5.53,2.97,0.34,-1.22,-3.16,-3.28,-2.72,-1.97,-1.16,0.5,1.94,3.53,5.31,7.16,8.44,10.31,12.12,13.09,14.41,13.19,12.56,11.12,9.81,10.09,9.78,10.41,11.5,11.78,11.75,10.22,9.06,8.19,6.91,6.44,6.72,7.44,7.84,9.16,10.72,11.81,12.56,14.34,13.56,12.81,11.5,10.66,10.34,10.78,10.91,11.88,13.38,15.53,17.19,17.91,18.59,16.81,15.75,13.31,12.25,11.94,11.56,11.56,10.69,9.72,9.0,6.62,5.94,4.88,5.16,5.81,6.94,7.94,9.69,10.31,10.94,10.28,8.91,7.44,5.94,4.72,4.0,3.78,4.56,5.75,7.41,10.16,11.66,13.69,15.06,15.19,15.31,15.09,14.84,14.28,13.22,12.38,11.0,9.62,8.53,7.28,7.19,6.72,8.09,9.06,11.28,12.88,15.56,18.12,19.38,20.66,21.44,21.19,20.72,20.28,19.12,18.53,17.69,18.34,18.5,18.31,18.72,18.56,17.62,16.62,15.78,14.38,13.97,14.25,14.81,14.72,14.56,15.06,13.72,13.53,12.69,11.78,12.34,11.66,11.88,11.5,10.88,10.31,9.81,9.0,8.91,9.06,9.12,10.19,10.44,11.38,11.84,11.53,11.59,11.22,10.22,9.97,9.81,9.66,9.59,9.34,7.41,6.25,4.19,2.69,2.31,2.16,3.09,4.34,5.06,6.94,7.56,8.03,8.53,9.25,9.69,9.31,9.0,8.5,6.28,6.69,5.84,5.41,5.69,5.62,5.47,5.38,5.31,5.56,5.19,6.25,6.41,6.59,7.06,7.59,8.03,9.06,9.94,10.91,10.88,11.5,10.69,9.12,7.94,6.03,5.25,5.5,4.31,4.91,3.81,3.16,3.06,2.06,0.75,-0.09,-0.81,-1.16,-0.59,0.62,2.31,3.75,5.31,7.41,7.66,7.34,7.12,6.25,5.22,4.5,5.06,4.03,3.94,5.12,4.53,5.19,4.81,5.34,5.12,6.31,7.72,9.75,11.91,14.72,16.75,18.34,19.16,19.78,19.78,19.84,18.5,18.53,18.56,18.06,18.62,19.09,19.53,21.03,22.0,22.94,23.75,24.78,24.06,25.16,24.69,25.41,25.5,26.0,27.06,25.31,24.09,22.12,18.81,17.22,15.12,15.19,14.84,15.47,15.81,16.88,17.34,17.75,17.53,16.81,15.41,13.91,12.38,10.94,11.41,12.06,13.28,14.38,15.25,15.97,16.38,16.62,17.91,18.72,19.06,21.03,21.56,21.5,21.12,20.75,19.66,18.62,18.41,17.88,19.28,21.62,24.69,29.34,32.62,35.62,36.44,33.88,30.94,26.19,22.31,19.56,18.41,17.72,17.88,18.81,18.78,18.5,19.56,18.28,18.5,19.97,18.75,20.5,20.59,21.62,23.0,24.0,24.94,25.81,26.84,27.31,27.66,28.94,29.16,30.53,30.56,18.94,20.06,22.53,24.91,27.19,29.34,30.91,32.19,33.91,35.03,37.19,38.0,38.44,38.44,37.12,35.06,33.12,31.69,29.22,26.31,24.56,22.59,21.81,22.56,24.47,28.0,31.88,35.75,38.56,40.56:positivity
23.28,23.84,24.56,25.38,26.88,28.72,30.03,31.66,33.06,34.22,34.38,32.72,31.56,28.06,25.19,23.72,22.88,23.91,26.81,28.28,30.19,32.62,33.31,33.25,33.88,34.62,33.75,33.66,34.0,34.56,35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5:30.03,31.66,33.06,34.22,34.38,32.72,31.56,28.06,25.19,23.72,22.88,23.91,26.81,28.28,30.19,32.62,33.31,33.25,33.88,34.62,33.75,33.66,34.0,34.56,35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5,-24.78,-25.34,-25.78,-25.22,-25.31,-23.22:31.56,28.06,25.19,23.72,22.88,23.91,26.81,28.28,30.19,32.62,33.31,33.25,33.88,34.62,33.75,33.66,34.0,34.56,35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5,-24.78,-25.34,-25.78,-25.22,-25.31,-23.22,-21.0,-19.06,-16.25,-14.75,-14.12,-14.53:26.81,28.28,30.19,32.62,33.31,33.25,33.88,34.62,33.75,33.66,34.0,34.56,35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5,-24.78,-25.34,-25.78,-25.22,-25.31,-23.22,-21.0,-19.06,-16.25,-14.75,-14.12,-14.53,-16.53,-18.59,-21.94,-23.38,-24.28,-23.72:33.88,34.62,33.75,33.66,34.0,34.56,35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5,-24.78,-25.34,-25.78,-25.22,-25.31,-23.22,-21.0,-19.06,-16.25,-14.75,-14.12,-14.53,-16.53,-18.59,-21.94,-23.38,-24.28,-23.72,-22.53,-21.19,-18.78,-17.19,-17.06,-17.19:35.56,36.41,35.78,35.09,33.91,31.53,30.28,28.66,26.5,25.31,24.56,24.69,25.03,26.03,26.44,26.66,26.69,26.88,25.72,24.91,24.25,22.69,20.72,18.53,16.66,13.66,11.94,9.06,6.88,5.16,1.78,0.19,-0.38,-0.41,0.69,3.03,5.16,7.78,9.09,10.5,10.59,9.72,9.31,8.31,7.62,9.06,10.38,12.78,15.56,17.34,18.41,20.31,20.69,21.16,21.12,23.19,24.47,25.22,26.56,27.56,28.41,27.47,26.5,24.81,22.22,20.41,17.56,16.94,14.94,14.16,13.31,13.0,13.91,14.34,16.06,18.25,20.19,21.41,23.38,23.53,22.88,21.97,19.72,17.44,14.78,12.59,9.59,7.69,7.59,8.81,10.25,14.28,17.69,19.97,20.75,20.75,19.06,18.19,16.91,14.75,14.28,12.75,11.5,11.34,11.31,11.47,12.41,14.12,14.12,14.22,14.53,13.94,12.81,13.03,13.84,14.41,14.72,14.75,14.16,13.19,11.44,10.41,8.38,7.53,7.31,7.62,8.19,9.94,11.19,13.5,14.53,16.69,19.12,20.72,23.19,24.81,24.78,24.69,23.69,21.34,18.38,14.91,12.16,9.66,8.59,8.62,9.47,11.34,12.97,14.41,15.75,15.69,15.66,14.53,14.31,14.0,14.03,14.31,13.72,13.75,13.03,11.69,11.81,10.06,10.53,10.75,10.69,12.91,15.12,16.91,18.56,20.59,19.88,19.34,17.12,15.12,12.38,8.47,5.44,3.66,2.72,2.72,6.31,10.06,15.38,18.91,21.59,21.75,20.56,19.0,18.59,16.84,16.41,15.78,14.25,13.34,10.66,8.56,7.38,5.69,5.31,5.81,6.31,6.81,7.0,7.5,8.22,8.06,8.0,7.97,8.25,8.88,9.56,11.44,13.06,14.41,15.69,16.28,16.84,17.12,17.06,16.53,13.84,13.06,10.56,9.19,8.31,8.62,9.69,11.03,12.28,14.16,14.75,14.78,14.62,14.44,14.81,15.38,18.88,20.59,23.47,27.06,27.72,27.31,25.97,22.78,18.91,15.06,12.19,9.59,7.28,7.41,7.12,6.41,7.44,6.97,6.66,5.94,4.91,3.94,3.12,2.69,2.91,3.16,2.94,4.28,4.84,5.56,6.94,8.22,8.62,8.94,8.56,7.06,7.34,6.75,6.16,6.75,7.38,7.03,7.34,7.69,8.56,8.94,8.41,8.66,8.34,9.06,9.56,10.91,13.31,14.69,15.72,17.19,16.88,16.56,14.88,12.88,11.34,8.81,6.91,5.78,4.84,5.53,6.25,8.16,11.66,13.97,16.78,19.06,18.94,19.44,17.06,14.31,10.59,5.84,2.94,0.25,-0.81,-0.31,-0.03,-0.25,1.09,1.66,2.31,3.66,5.28,6.31,7.5,7.28,7.06,4.5,1.72,-1.72,-5.84,-9.47,-12.47,-14.69,-16.31,-16.56,-15.91,-14.88,-13.47,-10.91,-7.47,-4.56,-1.31,0.0,0.31,-0.22,-1.97,-4.97,-6.78,-8.78,-9.97,-11.88,-13.0,-13.84,-13.34,-12.19,-10.22,-8.09,-5.34,-4.53,-2.41,-2.03,-1.97,-1.88,-2.28,-1.47,-0.22,1.69,4.78,7.25,9.78,10.94,10.91,10.88,8.78,7.56,6.59,4.91,4.72,3.81,3.03,2.53,1.97,0.38,0.28,0.28,0.44,0.06,0.06,1.0,1.22,2.81,3.88,4.56,4.81,2.75,0.81,-2.47,-4.91,-7.78,-8.41,-7.0,-4.81,-2.53,0.03,2.34,4.06,4.84,5.25,4.75,4.5,3.28,2.59,1.72,2.16,1.78,1.62,1.09,0.31,1.09,2.34,5.0,7.78,10.66,12.16,11.47,9.19,6.69,2.72,-0.91,-2.91,-3.31,-3.19,-3.31,-2.59,-3.03,-3.56,-3.91,-4.28,-3.22,-2.84,-1.88,-1.19,-0.06,-0.09,0.09,-0.34,-0.75,-1.72,-2.91,-4.28,-6.34,-6.72,-6.78,-5.56,-4.09,-1.84,0.0,0.62,1.0,0.91,1.16,0.84,0.34,0.03,-0.56,-1.34,-1.5,-1.28,-0.34,0.41,1.53,3.72,4.66,5.56,5.16,5.31,4.09,2.56,2.06,0.66,0.09,-0.25,-0.56,-0.84,-1.41,-0.75,-0.97,0.19,0.44,1.38,1.19,1.16,1.09,1.41,1.66,3.81,5.78,8.06,10.69,13.03,14.25,14.0,13.12,12.12,10.31,8.03,6.34,6.16,4.97,3.84,3.81,3.62,2.88,2.84,2.12,0.75,0.31,-0.47,-0.19,0.94,1.81,2.03,1.78,2.44,1.44,1.81,1.28,1.06,1.72,1.47,1.25,1.28,1.34,2.31,1.91,2.16,2.41,0.38,-0.69,-1.5,-2.84,-3.59,-4.16,-3.81,-3.41,-2.88,-0.41,1.78,5.0,6.53,6.38,4.66,1.91,-2.09,-5.22,-6.91,-7.06,-6.22,-3.91,0.06,3.53,7.72,10.56,13.47,15.41,15.34,14.38,12.81,9.66,6.81,5.09,4.41,4.88,5.81,6.66,7.59,8.34,8.47,7.75,6.84,6.69,4.75,2.81,0.06,-1.81,-4.09,-6.47,-7.97,-9.12,-10.09,-11.09,-11.97,-11.66,-10.16,-9.16,-5.81,-2.84,0.16,3.44,4.97,4.78,3.16,1.81,-0.84,-1.97,-2.56,-2.06,-1.91,-1.53,-1.34,-0.41,0.16,-0.12,0.16,-0.62,-1.44,-2.69,-3.59,-2.34,-1.59,1.0,4.09,7.0,10.03,11.34,12.66,12.34,11.31,8.69,6.56,3.97,1.78,-0.09,-1.5,-2.75,-2.69,-2.5,-1.41,0.69,3.12,5.19,6.88,7.25,7.91,7.47,8.03,8.78,9.5,10.47,10.94,11.25,11.66,10.62,10.78,12.06,13.53,16.38,20.34,23.62,25.44,25.47,24.28,20.84,17.06,13.19,9.94,7.19,4.56,3.69,2.78,2.94,3.06,3.88,4.91,5.38,6.5,7.0,9.06,10.03,11.31,11.88,12.81,12.28,10.69,10.06,9.16,8.16,8.09,8.41,9.16,9.75,9.38,9.62,10.03,10.62,11.31,11.5,12.91,12.62,10.75,9.34,8.06,6.0,5.41,5.94,7.16,9.28,12.19,13.75,15.53,15.88,15.38,13.78,13.06,10.88,9.12,7.88,6.78,6.75,7.22,8.41,9.78,10.47,10.59,9.38,7.78,5.38,2.31,1.19,-0.53,0.0,0.53,3.16,5.53,7.16,8.16,8.62,7.69,6.31,4.22,1.62,-1.09,-3.16,-5.69,-7.12,-7.84,-6.47,-5.72,-3.38,-0.56,1.28,2.59,3.62,4.59,4.19,3.34,3.34,2.81,1.91,2.12,1.34,0.59,-0.19,0.53,1.75,1.97,3.22,3.75,4.03,4.62,6.12,7.81,9.47,10.47,10.81,10.41,9.59,8.56,7.06,6.81,5.88,5.03,4.56,4.22,4.69,4.81,3.84,3.84,2.69,1.53,1.03,1.03,1.94,3.41,5.03,6.62,8.03,8.97,9.38,8.28,7.53,5.53,2.94,0.09,-1.44,-3.47,-4.19,-4.72,-4.75,-4.56,-4.38,-5.0,-4.81,-5.47,-5.84,-5.69,-5.72,-5.97,-6.03,-5.34,-4.06,-3.0,-1.53,0.56,1.62,2.78,3.78,3.28,3.75,3.03,3.06,2.16,2.0,1.34,0.0,-1.12,-1.38,-2.88,-3.06,-1.91,-0.66,1.31,2.09,4.12,5.69,6.5,8.25,9.94,10.5,12.09,13.12,15.16,17.16,18.66,20.66,21.62,21.19,19.56,17.44,14.78,11.5,-24.78,-25.34,-25.78,-25.22,-25.31,-23.22,-21.0,-19.06,-16.25,-14.75,-14.12,-14.53,-16.53,-18.59,-21.94,-23.38,-24.28,-23.72,-22.53,-21.19,-18.78,-17.19,-17.06,-17.19,-17.84,-19.0,-19.91,-20.62,-20.84,-21.12:positivity
27.0,27.84,29.75,30.16,31.34,32.06,32.97,34.38,35.34,37.03,37.19,38.19,37.81,37.0,36.72,36.41,36.47,36.84,37.53,38.03,38.47,39.03,40.53,41.22,41.88,42.16,41.28,39.53,37.53,35.47,31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62:32.97,34.38,35.34,37.03,37.19,38.19,37.81,37.0,36.72,36.41,36.47,36.84,37.53,38.03,38.47,39.03,40.53,41.22,41.88,42.16,41.28,39.53,37.53,35.47,31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62,-38.59,-37.5,-35.0,-34.16,-32.22,-31.34:37.81,37.0,36.72,36.41,36.47,36.84,37.53,38.03,38.47,39.03,40.53,41.22,41.88,42.16,41.28,39.53,37.53,35.47,31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62,-38.59,-37.5,-35.0,-34.16,-32.22,-31.34,-30.62,-29.5,-28.47,-26.72,-25.31,-23.66:37.53,38.03,38.47,39.03,40.53,41.22,41.88,42.16,41.28,39.53,37.53,35.47,31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62,-38.59,-37.5,-35.0,-34.16,-32.22,-31.34,-30.62,-29.5,-28.47,-26.72,-25.31,-23.66,-22.97,-22.41,-21.97,-22.84,-23.88,-23.69:41.88,42.16,41.28,39.53,37.53,35.47,31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62,-38.59,-37.5,-35.0,-34.16,-32.22,-31.34,-30.62,-29.5,-28.47,-26.72,-25.31,-23.66,-22.97,-22.41,-21.97,-22.84,-23.88,-23.69,-23.44,-23.78,-21.53,-20.34,-18.47,-17.0:31.97,28.59,24.06,20.66,18.81,18.19,18.69,19.81,21.34,23.5,24.19,26.31,27.78,28.12,30.38,30.78,31.94,33.16,34.41,34.25,34.12,33.31,32.47,29.78,26.94,25.19,23.56,22.0,20.94,22.25,22.47,23.97,24.75,25.47,24.88,24.94,23.28,22.28,21.75,20.22,19.03,16.78,15.06,13.53,11.03,12.06,11.56,11.94,13.25,14.69,15.62,17.12,18.84,21.28,21.34,23.03,25.34,26.91,29.59,31.72,32.62,33.25,32.62,29.31,26.56,23.0,21.19,19.12,18.81,19.72,20.44,22.62,24.47,26.12,26.53,27.84,27.81,29.34,30.06,30.66,30.88,30.38,27.72,25.06,22.38,19.56,17.5,16.97,15.19,16.22,16.19,15.84,16.88,17.84,18.56,20.53,20.97,22.78,23.66,24.44,24.84,23.91,22.78,20.19,15.78,13.0,10.03,9.28,9.19,10.03,12.78,13.06,13.5,14.41,13.84,14.69,14.31,14.91,15.09,13.59,12.19,11.62,10.25,9.78,9.88,8.59,9.34,9.81,9.81,12.19,13.56,15.94,19.31,23.28,25.66,28.0,27.28,25.78,23.78,21.91,20.41,20.66,19.56,19.38,18.84,17.34,17.44,18.91,20.5,22.44,23.78,23.69,23.06,20.56,18.06,14.81,11.06,8.41,5.72,4.5,4.59,5.69,7.16,9.06,11.16,12.81,15.12,16.44,17.25,17.41,16.81,14.97,12.84,11.78,9.78,8.06,5.88,4.25,1.72,-0.81,-2.84,-4.81,-7.0,-7.69,-7.06,-7.53,-4.09,-0.91,1.62,6.19,8.53,9.84,11.31,9.5,9.78,9.91,9.22,9.81,10.06,10.84,10.34,10.34,9.62,9.97,10.16,10.03,10.91,12.38,12.0,13.84,14.72,14.28,13.56,12.53,11.44,9.78,9.41,8.94,9.84,11.19,13.31,15.59,17.22,19.38,18.72,17.56,15.44,14.06,11.62,9.28,9.66,9.69,9.12,11.06,11.62,11.56,11.91,10.16,9.53,8.66,7.03,6.94,7.03,5.56,4.88,5.06,4.31,2.5,2.03,1.31,0.28,0.22,0.88,1.97,3.72,5.19,6.25,6.09,4.88,2.94,0.69,-1.22,-2.19,-0.88,2.0,5.25,9.84,12.97,15.28,18.03,18.16,19.16,18.25,15.03,12.12,8.78,6.34,4.44,4.12,3.84,3.59,4.31,5.06,5.25,5.38,5.88,5.62,6.25,5.78,4.66,5.19,3.53,3.69,3.38,3.12,3.91,4.19,3.97,5.34,6.34,7.91,9.12,11.0,11.53,11.91,10.78,8.56,6.62,4.75,2.19,-0.25,-1.16,-1.78,-2.72,-2.72,-1.91,-1.09,-0.66,1.53,4.44,6.94,10.03,12.81,14.66,14.78,13.06,10.62,6.5,2.34,-2.84,-7.28,-10.34,-12.47,-13.41,-13.38,-10.78,-8.5,-5.0,-1.47,0.44,2.03,2.19,1.62,2.0,1.03,1.97,2.0,2.41,2.22,0.03,-1.09,-2.47,-4.78,-5.16,-6.19,-6.94,-5.78,-4.72,-3.16,-0.03,2.31,5.19,6.97,8.5,8.59,8.19,8.56,7.94,9.06,8.59,8.0,6.56,3.59,-0.16,-2.97,-5.59,-8.47,-9.34,-10.19,-8.75,-6.56,-5.88,-3.19,-1.88,-0.97,-1.12,-1.53,-2.19,-3.41,-3.19,-2.53,-1.44,0.22,1.31,3.16,2.78,2.94,1.78,0.06,-2.09,-4.22,-5.25,-6.41,-7.69,-8.34,-9.34,-10.34,-10.19,-9.22,-7.06,-6.5,-6.16,-5.94,-6.59,-5.72,-3.34,-0.81,2.47,5.25,6.38,7.69,8.81,8.91,9.12,10.16,9.44,8.56,8.38,8.72,10.19,10.06,11.53,12.59,12.81,13.31,12.62,12.28,11.56,9.31,8.16,7.22,3.91,1.38,-0.28,-2.75,-4.19,-3.59,-4.09,-4.06,-5.41,-7.59,-7.97,-9.47,-9.81,-9.53,-9.41,-9.06,-9.47,-9.78,-8.78,-6.91,-5.31,-2.91,-1.91,-1.5,-1.72,-3.53,-4.34,-7.09,-9.16,-11.16,-12.62,-14.44,-15.41,-13.84,-12.94,-11.72,-7.66,-4.41,-2.28,1.0,2.72,3.66,4.09,3.97,3.25,1.91,0.34,-2.34,-4.66,-8.66,-11.97,-15.19,-19.09,-21.41,-23.03,-22.97,-21.94,-20.31,-18.91,-16.34,-15.03,-12.09,-10.22,-6.84,-3.97,-2.31,0.62,1.38,2.25,3.97,4.19,5.47,6.06,5.53,5.53,4.44,2.5,0.94,-1.44,-3.75,-6.16,-7.34,-8.69,-8.06,-6.84,-5.25,-1.19,2.25,6.03,9.94,13.0,15.81,16.69,16.19,13.69,9.47,5.81,1.31,-1.19,-1.56,-0.28,1.59,3.75,3.81,2.66,-0.66,-3.75,-6.25,-7.75,-8.72,-8.56,-7.53,-5.09,-3.75,-0.06,2.62,5.12,6.56,7.34,6.28,4.59,3.0,1.38,-0.66,-2.22,-2.03,-2.22,-2.66,-2.75,-1.72,-1.16,-0.94,-0.09,1.53,1.22,2.03,3.28,4.03,5.69,5.25,4.72,3.19,1.06,-1.5,-3.31,-3.97,-4.59,-4.06,-3.72,-2.53,-2.56,-2.41,-3.06,-4.03,-5.28,-5.81,-6.56,-7.16,-6.56,-6.12,-6.03,-4.44,-2.66,-0.34,2.06,3.19,3.19,2.78,1.28,-0.72,-2.16,-2.72,-4.22,-2.94,-1.41,0.59,2.72,4.28,4.91,3.84,1.19,-0.28,-2.16,-4.06,-3.53,-2.59,-1.5,0.75,2.28,3.03,1.78,-0.25,-2.78,-6.09,-8.34,-10.69,-10.81,-10.19,-8.34,-6.56,-4.22,-2.41,-1.47,-0.56,0.62,1.16,1.81,3.25,4.88,6.34,6.88,7.19,6.72,4.53,3.38,2.12,0.47,-0.47,-1.44,-1.81,-1.97,-1.34,0.88,2.47,5.0,8.62,10.53,11.31,12.44,11.91,10.66,9.03,9.34,8.97,10.0,11.38,12.16,13.66,13.59,12.72,12.16,10.56,9.38,7.44,7.41,7.5,8.31,8.31,8.19,7.72,7.19,5.91,5.5,5.28,4.69,5.0,6.0,6.09,7.44,7.78,8.12,7.31,5.75,4.81,3.59,2.59,1.69,2.16,3.25,4.41,6.06,7.41,8.25,7.53,7.22,7.44,8.22,8.53,9.0,9.75,10.38,10.12,11.78,12.81,13.31,13.75,14.19,13.91,12.88,12.16,10.97,11.12,10.03,10.03,10.75,11.03,11.38,10.91,10.72,10.06,7.97,8.19,7.91,7.5,8.59,9.47,11.31,11.78,12.59,13.44,13.31,13.03,13.06,12.06,11.41,11.25,10.94,11.75,12.06,13.31,13.72,13.94,13.88,13.0,11.81,10.62,9.44,10.0,9.53,10.25,11.41,12.25,13.75,14.44,15.5,16.59,17.31,17.59,18.69,18.94,18.34,18.0,16.94,15.53,14.69,13.47,13.16,13.72,14.5,15.19,15.88,16.06,16.06,15.81,15.81,15.25,16.0,17.09,17.78,18.31,19.03,19.38,18.5,17.97,17.06,16.56,15.84,15.38,15.81,15.62,14.56,14.16,13.25,12.19,12.25,12.72,12.75,14.69,16.31,17.66,20.31,22.44,24.81,27.78,29.25,30.44,31.34,30.84,30.53,30.31,29.56,28.94,28.53,26.91,25.25,23.09,20.59,19.12,17.38,17.06,16.84,17.19,18.19,19.62,20.97,22.84,23.34,23.88,24.03,24.16,23.31,22.25,22.31,21.75,21.66,21.69,21.81,21.62,20.0,20.06,18.81,19.41,21.31,23.84,27.62,-38.59,-37.5,-35.0,-34.16,-32.22,-31.34,-30.62,-29.5,-28.47,-26.72,-25.31,-23.66,-22.97,-22.41,-21.97,-22.84,-23.88,-23.69,-23.44,-23.78,-21.53,-20.34,-18.47,-17.0,-15.59,-15.47,-16.0,-17.94,-20.22,-23.72:positivity
43.16,46.16,48.31,50.5,50.81,50.78,48.53,46.62,43.66,42.19,40.56,38.38,37.09,35.69,34.0,31.34,29.19,27.19,24.47,23.12,22.72,22.28,22.91,24.38,25.81,27.69,28.81,29.56,29.31,27.66,25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91:48.53,46.62,43.66,42.19,40.56,38.38,37.09,35.69,34.0,31.34,29.19,27.19,24.47,23.12,22.72,22.28,22.91,24.38,25.81,27.69,28.81,29.56,29.31,27.66,25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91,-4.53,-3.28,-0.59,-0.31,-0.41,-1.19:37.09,35.69,34.0,31.34,29.19,27.19,24.47,23.12,22.72,22.28,22.91,24.38,25.81,27.69,28.81,29.56,29.31,27.66,25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91,-4.53,-3.28,-0.59,-0.31,-0.41,-1.19,-3.22,-5.56,-8.41,-11.03,-13.72,-16.25:24.47,23.12,22.72,22.28,22.91,24.38,25.81,27.69,28.81,29.56,29.31,27.66,25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91,-4.53,-3.28,-0.59,-0.31,-0.41,-1.19,-3.22,-5.56,-8.41,-11.03,-13.72,-16.25,-17.31,-17.47,-17.47,-16.62,-15.91,-15.41:25.81,27.69,28.81,29.56,29.31,27.66,25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91,-4.53,-3.28,-0.59,-0.31,-0.41,-1.19,-3.22,-5.56,-8.41,-11.03,-13.72,-16.25,-17.31,-17.47,-17.47,-16.62,-15.91,-15.41,-15.0,-14.09,-14.59,-13.09,-12.16,-11.38:25.69,23.72,20.94,19.81,18.84,19.03,20.78,22.91,25.44,25.88,26.84,26.5,25.88,26.34,26.25,27.19,28.12,29.19,29.78,30.28,31.0,30.69,31.44,32.53,32.34,32.91,32.28,31.31,29.56,28.28,24.34,21.56,17.81,14.78,11.94,10.28,9.22,8.28,8.25,9.25,9.97,12.69,15.25,16.66,19.22,19.66,19.16,19.31,19.25,19.84,20.53,21.0,21.19,21.09,20.69,20.31,21.16,21.16,21.0,21.44,20.5,19.38,19.03,17.38,17.72,17.84,19.03,19.56,20.38,20.81,19.38,17.53,15.5,14.41,13.97,14.19,15.28,16.31,16.78,17.22,17.66,17.25,18.53,18.5,19.69,19.84,21.0,20.84,21.06,21.81,22.25,23.28,25.5,26.41,29.09,31.53,33.0,34.34,34.0,33.34,32.91,31.44,29.81,29.72,28.88,28.56,28.25,28.59,29.34,29.88,29.78,29.09,28.91,27.66,26.44,25.38,25.62,24.44,23.72,23.75,24.09,25.41,27.09,28.56,30.5,32.16,32.38,33.06,32.62,33.16,32.94,33.81,33.5,33.69,33.5,33.16,32.47,31.19,29.66,27.69,26.25,24.66,23.97,22.75,22.38,21.84,21.66,21.59,21.47,21.53,20.81,20.84,19.41,18.72,18.53,17.69,17.97,16.75,16.69,16.09,15.31,17.0,19.38,22.47,27.06,30.88,33.5,34.12,33.22,30.56,26.5,23.53,20.94,18.06,16.53,15.81,15.16,15.72,16.84,18.69,20.06,22.16,22.38,22.22,22.22,21.75,22.28,22.91,24.06,25.81,27.78,29.09,30.66,31.94,31.66,31.16,29.84,29.16,28.38,27.97,26.44,26.53,25.09,23.66,22.47,21.47,20.53,20.5,20.94,21.31,22.5,23.62,24.84,26.56,26.66,26.41,26.91,24.81,24.94,24.12,25.0,25.47,25.91,26.62,27.06,27.06,28.03,28.78,28.94,28.06,28.38,27.16,27.22,26.12,25.75,26.62,27.69,28.22,29.97,32.12,32.88,32.78,32.03,31.38,29.75,28.06,26.84,25.44,24.81,25.69,25.72,25.03,25.12,24.81,25.41,25.44,26.62,27.75,28.19,29.25,29.41,31.34,32.56,34.12,35.66,36.06,34.81,31.81,28.06,22.72,17.03,13.34,10.91,9.97,10.72,12.19,13.81,15.75,17.06,19.31,19.84,22.31,25.12,26.81,29.47,32.09,33.41,34.38,32.78,31.19,28.62,24.81,21.84,19.88,18.03,17.94,17.81,18.62,18.03,19.81,20.22,20.56,21.62,21.84,23.47,23.69,23.81,23.62,23.31,23.34,23.22,23.25,24.53,25.06,24.94,26.81,26.97,27.84,28.56,28.81,29.62,29.41,28.81,28.56,27.03,25.53,25.38,24.5,24.97,25.09,26.31,26.94,27.81,27.69,27.56,27.41,27.56,25.91,25.34,24.44,23.53,22.66,22.06,22.31,23.88,24.88,26.28,27.44,28.81,29.66,30.06,30.72,29.94,28.62,25.62,22.91,19.47,16.62,15.38,14.72,15.25,17.44,19.91,23.25,26.25,28.19,30.78,32.44,32.69,32.44,31.03,28.69,25.56,21.19,17.62,14.0,12.56,11.62,11.44,12.59,13.66,15.84,17.88,20.69,24.5,27.62,30.88,32.31,32.94,31.78,29.41,27.66,25.94,24.44,24.88,26.0,26.72,29.16,31.09,31.47,32.81,32.97,32.34,31.47,30.25,28.66,27.25,28.16,28.78,30.62,32.56,32.91,32.06,31.84,30.0,28.19,27.69,27.34,26.66,26.06,26.44,23.91,21.47,20.41,16.81,14.78,13.06,12.78,12.34,11.75,12.81,14.31,16.5,20.34,24.53,28.91,31.31,32.09,30.56,26.91,23.38,19.75,17.41,16.41,15.28,16.28,17.03,16.56,17.28,16.81,18.62,18.25,20.28,22.31,22.84,24.31,24.31,23.84,23.75,22.94,22.34,20.94,20.56,19.97,19.66,20.72,21.31,22.62,24.62,25.09,24.56,23.53,21.19,18.47,16.75,15.16,15.97,16.56,18.88,21.44,23.03,25.16,27.97,30.22,33.41,35.31,36.66,37.25,36.69,35.78,34.03,32.56,30.75,29.28,29.16,28.53,28.53,28.19,27.97,27.12,26.66,25.56,25.28,25.69,26.94,29.66,32.19,36.19,39.12,41.44,43.06,42.84,41.5,39.75,37.16,34.22,31.97,30.44,28.66,28.38,28.09,27.28,26.28,24.84,22.03,20.75,18.66,17.31,16.0,15.16,15.28,15.41,16.75,19.75,21.5,24.41,24.94,25.56,24.34,23.62,22.12,22.44,22.09,22.56,23.88,25.22,25.16,27.0,27.62,27.03,27.28,28.03,26.59,27.19,26.81,26.81,26.94,26.25,27.34,28.28,29.41,30.25,31.31,30.72,29.53,29.31,28.38,26.88,26.41,25.38,24.5,23.84,22.09,21.69,21.28,19.75,18.78,18.12,18.41,18.81,19.66,22.41,24.28,26.66,27.66,29.06,29.78,30.31,30.12,29.88,29.03,27.62,26.69,23.53,21.38,19.69,18.38,17.56,16.84,17.62,18.19,19.41,20.94,22.0,24.0,26.44,28.25,30.19,32.62,32.59,32.0,30.56,29.0,25.22,22.75,20.56,20.03,20.41,21.88,23.88,24.69,25.0,25.78,25.16,26.03,26.16,26.97,27.44,28.94,30.91,34.66,36.66,39.25,40.66,39.56,37.03,33.81,29.84,27.12,23.03,21.28,20.22,19.31,20.56,21.88,22.97,24.44,26.84,27.34,28.03,28.09,27.84,27.88,27.62,29.0,30.44,31.72,34.34,35.81,36.91,37.44,36.66,35.84,33.78,32.66,31.41,30.03,29.62,29.66,29.06,29.12,29.19,28.69,30.09,31.34,32.75,34.56,36.56,38.78,39.84,41.0,40.94,40.19,38.12,35.91,34.03,31.03,29.66,29.19,29.78,30.22,32.31,34.94,37.56,40.56,43.09,45.19,45.84,46.19,45.81,45.38,44.94,42.38,41.53,39.31,35.84,33.62,31.62,28.72,27.16,24.69,22.25,21.12,19.69,20.19,20.62,23.53,24.34,25.66,27.25,27.53,28.16,29.69,31.53,34.19,36.94,38.69,39.66,38.56,35.97,35.19,32.91,31.72,32.19,33.34,33.62,34.91,35.84,36.94,37.16,39.19,39.31,39.84,40.16,39.19,38.56,37.84,36.84,36.44,35.81,36.91,36.0,35.44,34.91,34.25,33.44,32.66,33.06,32.97,32.22,32.5,32.25,31.72,31.47,31.12,31.69,32.09,32.09,32.16,33.22,33.06,33.5,33.81,33.94,33.91,34.19,34.09,33.91,34.12,34.28,34.94,35.94,37.0,38.28,39.19,39.25,39.38,37.66,35.28,32.0,28.91,26.66,24.28,22.94,22.31,21.75,22.0,23.41,23.97,24.84,27.34,28.91,31.06,32.59,34.53,35.03,34.66,33.16,31.53,29.25,27.22,25.44,24.41,23.25,23.38,23.28,23.56,23.47,24.5,25.31,26.56,28.16,29.72,30.28,31.31,31.72,31.56,31.97,30.91,29.88,29.19,27.28,26.38,26.03,26.0,25.97,26.0,26.75,27.53,26.81,27.94,27.28,27.62,27.81,29.19,30.59,31.69,33.5,32.12,29.38,26.78,22.94,19.94,19.12,19.25,20.0,20.91,22.41,24.16,25.78,27.5,28.47,30.5,31.47,31.84,32.91,-4.53,-3.28,-0.59,-0.31,-0.41,-1.19,-3.22,-5.56,-8.41,-11.03,-13.72,-16.25,-17.31,-17.47,-17.47,-16.62,-15.91,-15.41,-15.0,-14.09,-14.59,-13.09,-12.16,-11.38,-11.12,-10.0,-9.84,-9.5,-9.69,-11.22:positivity
32.16,31.94,31.56,31.38,31.97,31.06,30.53,30.84,30.38,31.22,30.81,31.75,31.72,32.53,34.28,35.53,37.81,40.03,41.66,44.06,44.75,44.5,44.5,42.56,41.97,39.56,37.38,36.66,35.62,36.56,37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78:30.53,30.84,30.38,31.22,30.81,31.75,31.72,32.53,34.28,35.53,37.81,40.03,41.66,44.06,44.75,44.5,44.5,42.56,41.97,39.56,37.38,36.66,35.62,36.56,37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78,14.28,14.91,15.38,15.88,17.66,18.09:31.72,32.53,34.28,35.53,37.81,40.03,41.66,44.06,44.75,44.5,44.5,42.56,41.97,39.56,37.38,36.66,35.62,36.56,37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78,14.28,14.91,15.38,15.88,17.66,18.09,18.75,18.88,19.88,20.53,19.44,20.22:41.66,44.06,44.75,44.5,44.5,42.56,41.97,39.56,37.38,36.66,35.62,36.56,37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78,14.28,14.91,15.38,15.88,17.66,18.09,18.75,18.88,19.88,20.53,19.44,20.22,20.41,19.94,20.34,20.78,21.38,21.81:41.97,39.56,37.38,36.66,35.62,36.56,37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78,14.28,14.91,15.38,15.88,17.66,18.09,18.75,18.88,19.88,20.53,19.44,20.22,20.41,19.94,20.34,20.78,21.38,21.81,22.88,22.62,23.25,21.88,21.19,19.31:37.31,38.75,39.59,40.31,40.78,40.91,41.88,41.19,41.72,40.19,39.44,38.72,37.97,38.69,40.12,41.44,44.19,44.94,46.0,46.44,45.53,44.41,42.31,40.19,37.78,36.56,33.88,31.38,31.12,30.62,31.72,32.97,35.66,36.97,39.09,39.81,40.31,40.19,39.47,36.91,34.91,30.97,27.84,25.16,24.03,22.53,22.22,24.19,24.84,26.5,27.78,28.0,27.69,27.53,26.69,26.62,27.5,27.72,29.0,28.41,27.81,28.41,28.03,28.94,29.28,29.72,30.94,31.91,34.09,35.34,37.56,37.81,36.75,36.44,33.81,33.5,33.25,33.28,33.31,34.28,34.06,34.19,34.78,34.34,34.56,33.5,32.44,31.19,30.53,29.44,28.69,27.09,26.03,24.81,24.69,23.97,25.03,25.84,26.31,26.88,27.28,28.78,28.84,30.09,30.84,30.03,30.69,30.78,30.84,31.28,30.56,30.5,29.56,28.0,26.56,24.66,23.44,22.31,21.25,21.28,22.72,23.66,25.91,27.84,29.25,29.69,29.25,28.44,26.16,25.41,25.41,24.69,25.69,26.88,26.38,27.5,27.97,27.56,28.25,27.19,26.41,25.03,24.28,25.34,26.09,27.03,28.06,29.94,29.94,29.66,31.25,32.72,32.31,32.44,32.41,31.59,30.06,29.09,29.94,29.97,31.94,35.16,38.28,40.34,40.81,39.34,37.44,35.34,32.59,30.94,31.06,29.91,29.16,28.69,27.47,28.78,26.91,27.5,27.94,27.19,28.03,28.66,28.12,28.38,28.03,27.06,26.94,26.34,27.22,28.31,29.12,29.78,29.62,28.44,27.16,27.56,27.94,28.44,30.5,31.25,30.97,30.69,29.69,29.03,28.69,29.12,27.62,27.91,26.09,25.88,25.44,26.12,27.41,28.66,30.09,31.69,32.12,31.38,30.72,30.03,27.78,27.06,25.62,25.16,24.06,25.84,26.09,26.97,28.94,30.66,30.97,32.84,34.28,34.44,34.06,33.38,31.97,29.47,27.81,25.47,23.59,21.75,21.59,21.53,22.34,23.69,26.62,28.06,30.19,30.69,31.12,30.75,31.22,30.78,29.97,29.88,28.5,27.5,27.31,27.28,26.69,26.84,26.81,26.03,25.62,24.69,23.47,21.03,19.59,15.72,13.78,11.19,9.91,10.09,11.44,12.72,14.53,17.06,18.53,19.91,20.66,21.88,22.19,22.94,22.94,22.78,22.16,21.5,20.25,19.66,18.28,16.47,15.94,14.81,15.41,16.44,17.44,19.03,20.5,21.12,22.56,23.56,23.62,23.97,24.03,22.91,23.34,24.31,25.28,27.19,29.69,31.62,33.44,34.5,35.12,35.75,34.66,35.38,36.0,35.62,35.56,35.81,33.62,31.94,30.12,27.97,25.12,22.59,20.28,18.19,17.78,16.56,16.25,17.53,17.94,19.53,21.12,22.75,24.62,26.03,27.5,26.0,25.66,23.06,20.81,18.53,16.97,15.94,15.19,14.31,15.0,15.69,17.38,19.94,22.72,25.06,27.16,27.97,27.81,27.94,27.44,27.12,26.56,25.75,23.84,22.84,20.69,19.12,18.09,19.66,21.16,23.81,27.03,27.94,28.28,27.47,26.53,23.91,22.62,21.72,21.56,21.53,22.44,23.78,24.25,24.94,25.59,24.28,23.09,22.19,20.44,21.84,22.88,25.97,29.72,33.16,35.97,36.84,34.75,32.81,29.28,25.78,23.72,22.97,22.41,22.91,24.44,25.78,26.16,26.06,25.97,24.81,24.03,23.16,22.78,21.06,20.06,17.69,15.97,14.25,13.09,12.88,15.06,17.38,20.53,22.91,24.97,27.53,28.72,29.16,29.47,29.69,28.34,26.84,24.06,20.53,17.16,14.22,12.22,11.81,11.69,12.62,15.0,17.78,20.81,24.41,27.47,31.41,33.22,34.53,35.28,34.81,34.44,33.59,32.81,32.28,31.31,31.06,30.69,29.94,29.91,29.16,30.25,31.06,31.56,32.81,33.12,33.0,32.34,31.12,29.94,29.72,30.19,30.44,30.88,31.19,30.75,30.69,30.81,31.56,31.69,33.53,34.03,34.56,35.0,33.53,32.56,30.5,29.81,28.16,27.25,26.97,25.91,26.81,26.5,26.62,27.31,28.44,30.12,31.47,32.28,33.34,33.09,31.94,30.53,28.06,25.75,24.41,22.41,22.66,22.78,23.44,24.41,26.44,27.47,29.19,30.69,32.34,33.69,34.66,34.75,34.91,34.91,34.53,33.31,31.44,28.5,24.5,21.56,18.25,15.94,15.5,16.34,18.25,20.16,21.56,22.34,22.28,21.56,20.34,20.28,20.53,21.03,21.91,22.88,24.03,24.38,25.53,27.44,29.09,31.19,31.53,32.59,31.28,29.97,27.66,25.09,24.28,22.16,21.84,21.22,20.38,20.31,19.62,19.44,19.0,19.62,20.97,22.31,24.56,26.66,28.0,29.28,29.78,29.25,29.69,27.28,25.91,24.34,22.44,20.06,18.12,15.41,13.25,12.03,11.69,11.62,11.94,13.47,14.69,16.72,17.94,19.44,20.53,20.12,19.91,19.66,18.44,17.16,16.41,14.94,13.91,13.25,13.12,12.56,12.69,13.12,12.66,12.69,14.12,15.19,16.72,18.31,19.28,18.66,18.38,17.5,17.16,16.59,16.09,15.31,14.25,13.31,12.19,10.81,10.0,10.75,12.19,13.47,14.41,15.31,16.5,16.53,16.81,16.38,17.31,16.28,16.28,17.25,18.22,20.03,24.09,27.38,30.16,31.62,32.78,30.31,28.28,25.12,21.72,18.88,15.94,13.75,12.28,12.0,11.91,12.19,13.25,14.53,16.0,18.03,19.72,21.69,23.28,24.28,25.84,25.88,26.59,26.62,26.5,26.09,25.31,24.81,24.56,24.53,23.69,24.62,25.41,26.03,28.19,28.91,29.88,30.41,29.75,30.06,30.53,30.72,29.97,30.59,28.81,26.94,25.44,22.81,21.53,19.84,19.16,19.62,19.56,20.25,20.28,20.81,21.31,22.06,23.41,24.53,25.75,26.81,27.03,26.91,26.78,25.5,24.97,25.69,25.72,25.72,27.0,26.25,26.81,26.28,27.28,26.66,27.28,26.38,26.03,24.69,23.59,22.03,19.5,17.84,16.53,16.12,16.44,18.0,19.69,21.94,22.88,23.69,22.84,22.5,22.69,22.44,22.22,23.44,23.44,24.62,25.12,25.03,25.44,24.69,23.81,23.62,22.78,22.56,22.62,21.91,22.0,22.66,22.56,23.44,24.25,25.41,26.12,27.56,28.31,29.19,29.66,29.88,28.72,26.56,25.69,24.62,23.81,23.62,23.41,22.06,21.25,20.41,19.88,19.44,19.41,19.22,18.75,18.97,20.16,20.59,22.44,23.62,24.91,24.81,24.28,25.0,25.75,26.56,28.25,30.19,31.75,32.19,32.88,33.28,33.28,34.12,33.88,34.19,33.25,32.44,32.16,31.12,30.28,29.59,29.06,27.91,28.0,27.69,27.41,26.59,26.53,26.81,26.06,25.56,24.88,23.62,22.81,21.91,21.88,21.78,22.06,23.34,24.03,25.34,26.34,26.28,27.25,27.81,28.81,30.0,31.31,31.94,32.75,31.97,31.69,29.66,27.66,26.16,24.31,23.06,21.34,20.38,18.91,18.19,17.03,16.69,16.31,16.78,17.44,18.81,20.78,22.34,24.56,25.41,25.81,26.06,24.25,23.62,24.03,24.62,25.78,14.28,14.91,15.38,15.88,17.66,18.09,18.75,18.88,19.88,20.53,19.44,20.22,20.41,19.94,20.34,20.78,21.38,21.81,22.88,22.62,23.25,21.88,21.19,19.31,17.06,14.12,12.38,10.56,10.75,11.19:positivity
25.81,26.66,28.47,29.12,30.34,31.69,30.91,31.44,32.12,33.56,35.16,35.94,37.47,36.44,35.25,34.31,32.97,32.84,32.94,32.34,32.69,32.5,31.97,31.84,31.75,31.16,30.88,30.09,30.25,29.91,30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31:30.91,31.44,32.12,33.56,35.16,35.94,37.47,36.44,35.25,34.31,32.97,32.84,32.94,32.34,32.69,32.5,31.97,31.84,31.75,31.16,30.88,30.09,30.25,29.91,30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31,10.91,12.38,14.94,16.72,18.66,20.31:37.47,36.44,35.25,34.31,32.97,32.84,32.94,32.34,32.69,32.5,31.97,31.84,31.75,31.16,30.88,30.09,30.25,29.91,30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31,10.91,12.38,14.94,16.72,18.66,20.31,19.94,18.56,15.06,11.34,7.31,4.78:32.94,32.34,32.69,32.5,31.97,31.84,31.75,31.16,30.88,30.09,30.25,29.91,30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31,10.91,12.38,14.94,16.72,18.66,20.31,19.94,18.56,15.06,11.34,7.31,4.78,3.66,4.41,6.16,8.56,11.03,13.31:31.75,31.16,30.88,30.09,30.25,29.91,30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31,10.91,12.38,14.94,16.72,18.66,20.31,19.94,18.56,15.06,11.34,7.31,4.78,3.66,4.41,6.16,8.56,11.03,13.31,15.19,16.41,17.81,17.69,17.09,16.44:30.59,30.97,30.94,31.0,30.47,30.28,29.75,29.31,29.62,30.66,33.06,35.03,38.19,41.66,42.97,44.59,44.78,44.59,43.91,42.44,42.12,41.47,40.16,39.5,38.0,36.81,35.03,33.88,32.44,31.69,31.0,30.56,30.19,31.69,31.97,34.0,34.75,35.59,36.66,37.0,37.53,38.16,38.53,38.56,38.31,38.47,37.16,36.12,34.41,32.19,30.53,30.0,30.22,32.22,34.69,36.94,38.53,39.31,40.09,39.28,38.69,36.5,35.69,33.53,32.09,30.75,31.09,30.22,29.25,28.72,28.31,28.0,27.31,27.31,27.06,26.41,25.53,25.38,24.53,22.78,22.22,21.28,20.44,21.34,22.75,24.78,27.06,28.19,29.03,29.03,29.12,27.97,27.38,25.66,25.22,23.94,23.0,22.41,23.06,23.03,22.41,22.75,21.69,22.0,22.12,22.66,23.03,24.44,25.53,26.53,27.59,29.44,30.06,31.12,31.88,33.22,33.53,34.78,36.69,38.31,39.47,41.25,42.66,42.72,42.44,42.19,41.25,41.06,41.19,41.41,40.84,42.19,42.06,41.53,40.12,38.06,36.5,33.75,31.69,31.62,31.31,32.31,33.66,34.91,36.12,37.31,36.66,35.31,34.16,31.16,29.81,28.31,27.0,27.38,28.09,29.72,32.31,34.41,38.03,40.16,40.81,42.0,42.5,43.22,43.75,44.47,46.69,47.78,47.62,47.56,46.97,45.41,43.84,41.91,40.56,38.31,35.19,33.53,30.91,28.47,26.75,23.75,22.38,21.34,20.19,20.78,21.66,23.75,24.59,25.78,26.78,27.22,26.41,25.84,25.0,23.34,22.34,21.34,21.44,22.22,23.5,25.53,28.19,31.59,33.81,37.0,38.5,40.72,40.75,42.06,42.66,44.16,45.88,47.62,49.94,52.28,53.94,54.25,53.66,52.16,50.25,47.56,45.16,43.81,42.25,40.38,38.38,36.22,34.44,33.31,32.59,33.03,33.69,33.97,34.53,34.81,34.81,34.56,35.88,35.66,36.5,38.0,39.47,40.78,41.69,42.44,42.12,41.75,40.78,39.03,38.19,37.31,35.97,34.88,33.72,32.88,32.56,32.0,32.78,33.0,33.16,34.06,32.84,33.47,33.06,32.84,34.34,34.62,34.97,35.41,34.81,33.56,33.06,33.25,34.81,36.75,39.03,40.06,41.38,41.38,41.56,40.62,41.12,40.38,38.41,37.84,35.72,35.28,34.31,34.31,34.81,35.53,35.62,35.88,36.25,36.88,37.19,36.72,36.94,35.66,34.41,33.28,32.66,32.0,32.0,32.41,33.56,34.06,35.0,36.53,36.5,37.19,38.84,38.09,38.72,38.69,38.28,36.44,34.88,33.56,32.59,32.09,32.47,33.84,34.03,35.66,36.59,37.03,38.41,38.12,38.06,37.19,37.06,37.16,37.34,37.91,38.44,39.06,39.03,39.31,40.0,40.12,40.06,40.25,40.31,39.81,38.69,38.41,38.62,38.44,38.88,39.72,39.66,39.81,39.0,37.56,36.03,34.09,33.41,32.47,31.81,32.16,32.16,31.94,31.97,32.47,32.62,33.62,34.5,35.41,36.53,36.94,37.84,36.81,36.75,36.62,35.78,35.94,35.53,35.56,35.59,35.84,36.59,36.94,37.94,38.56,38.34,38.41,37.25,37.09,36.09,35.41,35.28,35.34,35.56,36.03,35.34,35.09,34.19,33.16,32.56,31.03,29.81,28.47,27.34,26.31,25.75,26.59,28.12,29.56,32.59,34.19,35.81,37.25,38.22,39.16,40.28,40.38,40.41,39.0,36.56,33.31,29.81,25.88,21.69,18.0,14.47,12.03,10.94,10.47,11.28,12.75,15.12,16.91,18.5,19.12,19.84,20.25,19.31,18.69,17.56,15.94,14.75,13.62,13.16,14.09,15.38,16.81,16.31,17.34,16.31,16.5,17.19,17.91,19.38,21.0,23.28,25.81,29.16,32.81,34.19,34.69,32.44,28.5,24.44,19.88,16.88,14.84,14.75,15.28,16.75,18.25,19.47,21.0,21.66,20.66,20.66,19.06,17.34,16.72,15.44,15.25,14.78,15.16,15.69,16.88,18.25,20.22,22.47,23.47,24.34,25.47,25.56,24.91,25.41,25.69,25.25,24.94,24.5,24.34,24.91,25.12,25.56,25.31,24.53,22.66,21.09,19.78,19.41,19.31,19.81,20.69,20.75,21.59,21.34,21.28,21.94,22.53,23.31,24.5,25.44,26.66,27.94,28.5,30.28,30.19,30.16,30.28,29.91,29.81,29.62,29.91,29.97,29.44,29.91,29.44,29.53,30.19,31.09,31.31,31.5,31.0,30.09,29.94,29.25,30.34,31.88,33.53,37.06,39.78,42.06,43.31,43.06,42.34,39.94,38.03,35.81,32.91,30.66,26.91,24.69,23.31,21.94,22.25,21.38,20.59,19.06,17.44,15.16,13.91,13.34,12.47,12.16,12.09,11.88,11.94,11.78,12.16,11.38,11.0,10.75,8.81,7.88,7.88,7.66,6.94,7.28,8.06,7.81,9.19,11.06,12.22,14.78,16.16,17.59,18.12,18.94,20.12,21.34,23.62,25.44,27.03,27.91,27.84,28.59,28.12,28.62,29.41,30.06,30.56,31.31,31.94,32.53,32.03,31.88,30.66,29.31,28.53,27.03,27.81,26.66,25.81,24.44,23.5,21.81,19.34,18.53,18.31,18.34,19.0,21.44,23.06,23.44,25.41,24.62,24.41,23.41,22.66,22.16,20.84,21.5,21.5,21.81,23.16,23.12,23.88,23.69,22.53,21.78,20.06,19.53,18.94,18.69,18.94,19.16,19.06,19.16,18.88,18.28,17.97,16.84,15.97,13.91,13.47,12.34,12.94,14.16,15.28,16.5,17.94,18.56,18.84,19.09,19.31,20.06,19.72,21.0,21.94,23.28,24.12,24.28,24.34,23.66,22.03,20.16,18.06,15.56,12.94,10.88,8.72,7.16,6.16,4.66,3.69,3.91,4.0,4.53,5.0,5.66,6.19,7.06,8.09,9.75,10.44,10.62,9.78,8.66,7.62,7.12,7.72,9.62,12.91,18.41,22.66,26.97,29.91,31.44,30.41,28.88,27.69,25.66,23.34,21.41,19.84,18.34,17.03,16.59,16.28,16.75,14.84,15.19,15.19,14.75,14.62,14.94,14.94,15.06,15.12,14.53,14.56,15.06,14.16,12.31,11.53,9.41,7.78,5.31,4.53,4.53,4.56,4.41,5.16,5.94,6.66,7.19,7.66,8.97,9.56,9.62,10.53,11.0,12.06,13.41,15.25,16.69,18.03,18.47,18.84,17.75,16.22,15.41,14.16,13.91,14.06,14.62,15.81,17.41,18.69,20.69,22.28,22.69,22.75,22.72,22.34,21.69,21.06,20.78,19.72,18.5,17.44,15.5,14.0,12.5,12.31,12.06,11.44,11.25,10.62,10.53,10.59,10.91,11.91,11.44,10.78,9.53,8.66,7.81,7.56,8.19,7.41,6.28,5.66,4.12,3.16,3.75,4.66,4.66,5.69,5.44,4.75,4.06,3.66,2.94,3.44,2.69,3.19,3.31,3.19,5.06,6.25,7.34,8.44,9.12,8.56,7.19,7.25,6.41,5.69,5.72,5.47,4.88,5.72,5.66,6.03,6.75,7.84,8.31,9.31,10.19,10.56,11.53,12.38,13.53,15.03,16.62,18.06,19.47,19.66,20.19,19.25,18.94,17.69,16.22,15.81,15.59,15.31,10.91,12.38,14.94,16.72,18.66,20.31,19.94,18.56,15.06,11.34,7.31,4.78,3.66,4.41,6.16,8.56,11.03,13.31,15.19,16.41,17.81,17.69,17.09,16.44,15.66,14.81,14.38,13.31,13.69,13.69:positivity
26.0,25.44,26.06,27.69,29.28,31.41,32.94,34.06,34.69,33.91,32.88,31.19,29.12,28.44,27.78,28.47,30.72,32.0,34.75,36.44,38.25,39.34,38.88,38.16,36.69,34.72,33.69,32.72,32.84,32.41,33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41:32.94,34.06,34.69,33.91,32.88,31.19,29.12,28.44,27.78,28.47,30.72,32.0,34.75,36.44,38.25,39.34,38.88,38.16,36.69,34.72,33.69,32.72,32.84,32.41,33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41,-9.75,-11.03,-10.16,-9.72,-8.97,-7.09:29.12,28.44,27.78,28.47,30.72,32.0,34.75,36.44,38.25,39.34,38.88,38.16,36.69,34.72,33.69,32.72,32.84,32.41,33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41,-9.75,-11.03,-10.16,-9.72,-8.97,-7.09,-7.22,-6.06,-5.19,-4.88,-4.81,-5.12:34.75,36.44,38.25,39.34,38.88,38.16,36.69,34.72,33.69,32.72,32.84,32.41,33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41,-9.75,-11.03,-10.16,-9.72,-8.97,-7.09,-7.22,-6.06,-5.19,-4.88,-4.81,-5.12,-6.09,-6.28,-6.53,-6.16,-5.41,-4.44:36.69,34.72,33.69,32.72,32.84,32.41,33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41,-9.75,-11.03,-10.16,-9.72,-8.97,-7.09,-7.22,-6.06,-5.19,-4.88,-4.81,-5.12,-6.09,-6.28,-6.53,-6.16,-5.41,-4.44,-3.53,-2.28,-1.41,-0.78,0.12,-0.44:33.88,34.0,34.44,35.06,34.94,36.31,36.5,36.09,36.28,36.0,35.53,35.91,37.06,38.22,37.91,38.59,36.06,34.19,31.22,29.75,27.38,25.09,23.03,20.16,17.38,14.41,11.91,10.38,8.38,8.56,8.94,10.81,13.25,14.06,15.56,15.5,12.78,9.72,7.0,3.69,0.81,-0.91,-2.88,-4.16,-4.47,-4.59,-2.69,-1.03,1.62,2.81,3.12,4.5,4.84,5.94,7.0,7.69,9.25,9.97,10.66,11.38,12.16,13.47,14.81,15.25,15.94,17.5,17.69,18.5,19.09,18.25,18.69,19.03,20.56,23.19,26.28,30.03,32.53,33.31,33.34,31.41,29.03,25.59,23.38,19.41,16.62,13.84,10.72,11.25,10.66,11.41,12.5,13.41,13.16,12.34,11.5,9.44,7.66,6.81,5.78,5.0,5.31,4.78,5.25,6.38,9.19,11.56,16.06,18.47,20.88,22.09,21.12,21.69,21.56,21.66,22.25,21.72,20.91,19.44,17.72,15.97,15.75,15.09,15.34,15.59,15.06,14.12,12.53,11.25,10.12,9.41,9.5,9.47,10.09,11.12,11.78,12.94,14.94,16.28,17.94,19.69,20.16,20.53,19.06,17.28,15.53,12.31,10.19,7.28,4.12,1.53,-1.25,-3.72,-5.19,-5.28,-5.84,-5.34,-4.81,-3.12,-1.41,-0.38,0.88,1.91,3.19,3.47,4.28,3.81,3.94,3.06,2.44,1.09,0.53,-0.06,-0.25,-0.72,-0.34,0.16,-0.78,-1.59,-2.38,-3.16,-4.34,-6.09,-7.88,-8.41,-8.22,-8.28,-6.09,-2.72,-1.19,0.62,1.69,2.22,2.91,1.81,2.06,2.12,1.53,-0.66,-2.0,-3.25,-3.59,-3.78,-1.94,-0.31,1.47,3.38,4.16,5.94,6.19,7.53,9.31,9.69,11.41,12.25,11.44,11.0,9.5,8.78,6.5,4.75,3.25,1.66,-0.41,-1.66,-1.47,-1.06,-0.28,0.06,-0.03,-1.16,-3.12,-3.72,-5.31,-4.44,-3.34,-1.84,0.0,1.03,1.72,1.56,0.84,0.12,-1.19,-2.78,-4.09,-5.38,-6.53,-6.84,-7.16,-6.22,-5.75,-4.34,-3.59,-2.22,-2.03,-1.22,-0.94,-1.59,-2.47,-3.62,-4.69,-6.59,-7.59,-9.06,-9.22,-10.69,-10.34,-9.78,-9.5,-8.97,-8.47,-8.03,-7.66,-7.62,-7.28,-6.81,-6.31,-5.69,-6.28,-5.53,-4.91,-3.88,-2.84,-2.56,-2.09,-3.34,-4.09,-5.12,-6.09,-7.0,-7.5,-9.34,-9.09,-10.91,-11.69,-12.41,-12.34,-12.56,-12.06,-11.44,-11.16,-10.22,-10.22,-9.81,-9.88,-9.47,-9.41,-8.25,-8.91,-8.84,-9.34,-11.16,-12.47,-13.19,-13.28,-13.34,-12.03,-10.16,-7.94,-5.31,-3.34,-1.72,-0.34,0.5,0.38,-0.69,-2.34,-4.0,-5.09,-6.72,-7.31,-7.84,-7.62,-6.56,-7.06,-5.59,-3.34,-3.41,-2.5,-2.12,-2.03,-2.78,-3.47,-3.78,-3.16,-3.59,-3.16,-3.28,-3.12,-2.38,-2.94,-2.56,-1.38,-0.31,1.06,1.62,2.84,2.69,1.19,-0.78,-2.59,-4.84,-6.81,-8.16,-7.78,-7.09,-5.62,-3.97,-1.22,1.38,2.12,1.56,1.03,-0.22,-0.38,-0.81,1.34,4.91,8.03,11.53,14.12,14.5,13.56,11.06,7.09,3.47,0.97,-0.31,-0.88,0.56,2.16,3.28,3.94,3.12,2.66,2.5,1.88,1.16,1.22,0.28,0.16,0.28,0.81,1.97,2.81,4.03,3.47,3.66,3.28,3.69,4.19,5.72,7.25,7.94,8.5,8.84,6.94,5.94,4.38,3.0,2.12,2.25,3.06,3.34,4.75,6.31,7.19,7.22,7.53,7.06,7.56,6.78,6.88,8.06,7.72,8.03,8.78,8.72,8.34,7.22,5.84,4.94,3.78,3.34,3.62,4.66,6.56,7.31,9.78,10.78,12.53,13.19,12.62,12.91,11.22,9.44,7.5,4.84,3.59,0.59,-0.44,-1.44,-2.25,-1.81,-2.09,-1.69,0.0,0.25,0.94,1.69,1.12,1.31,0.59,-1.28,-2.09,-3.41,-4.84,-5.38,-6.0,-4.16,-3.88,-1.62,0.72,2.81,4.62,5.97,5.97,5.69,3.62,1.31,-2.12,-4.69,-6.0,-7.22,-8.09,-7.34,-6.97,-6.66,-7.03,-6.94,-6.59,-6.44,-5.09,-4.84,-3.78,-2.12,-2.06,-1.09,0.16,0.69,1.53,1.88,2.06,2.28,2.5,1.91,2.31,2.62,2.41,2.5,3.56,3.34,4.19,4.41,3.81,4.19,3.88,4.12,4.41,3.72,3.78,3.81,4.06,4.66,6.12,7.47,8.12,9.16,10.25,10.19,11.06,10.84,11.31,12.59,13.0,14.31,15.06,15.34,14.94,14.28,13.25,13.5,12.75,13.09,13.38,13.16,12.09,10.94,9.88,8.62,8.62,7.91,6.5,5.62,4.12,2.75,1.31,0.66,1.69,2.28,2.34,3.78,5.69,7.38,8.94,10.31,11.81,11.25,10.88,11.03,10.66,11.38,11.16,11.44,11.44,11.53,11.88,11.69,11.81,12.69,11.41,10.53,10.25,9.12,9.19,8.78,6.97,6.81,4.56,3.19,2.81,2.5,3.41,4.09,5.22,5.94,7.31,7.94,8.41,8.56,9.62,8.88,9.41,9.66,10.22,10.53,10.31,11.25,11.75,12.88,14.34,14.25,13.75,13.25,11.5,9.78,8.44,7.53,7.12,6.97,7.31,7.5,9.12,9.31,9.81,10.62,10.34,10.16,9.81,9.78,9.72,9.44,9.62,8.72,8.28,8.81,8.53,8.31,8.97,9.81,11.53,12.5,14.41,15.88,15.72,15.88,15.12,14.56,14.5,15.25,16.09,18.34,20.44,21.03,21.84,21.09,19.78,17.41,15.56,13.69,12.31,11.16,10.44,11.88,12.94,14.41,15.53,14.69,14.22,12.5,10.38,8.94,7.41,6.59,6.16,5.66,6.59,8.12,9.34,11.28,13.72,15.41,18.28,18.62,18.06,17.72,15.41,13.94,12.41,11.03,11.06,10.09,9.91,9.62,9.59,8.84,9.0,8.88,8.94,9.34,9.91,10.66,11.41,11.69,12.62,13.34,13.31,13.94,13.81,14.0,12.84,12.38,12.47,11.59,11.66,11.84,12.25,13.91,14.81,15.41,16.66,16.56,16.25,15.94,16.44,16.53,16.25,17.41,18.78,20.5,22.34,23.66,25.22,26.66,26.66,26.06,24.56,23.16,20.16,16.88,14.16,12.88,12.25,13.06,14.47,16.06,17.47,17.94,18.47,19.94,20.84,21.16,21.75,21.88,20.5,19.91,18.94,18.38,18.09,18.81,19.59,19.12,19.75,18.88,17.66,15.31,12.91,11.12,10.28,9.53,9.03,8.78,7.81,6.06,4.97,4.22,4.09,4.31,4.97,6.62,7.56,9.31,10.19,12.66,14.53,15.16,15.72,15.22,14.31,12.31,10.53,8.88,7.44,6.72,6.78,6.59,7.06,8.09,8.28,9.41,10.66,11.94,13.88,14.81,16.09,17.56,17.38,18.66,19.62,20.06,20.88,19.84,18.19,15.94,14.09,12.81,12.09,12.31,13.34,13.44,13.78,13.19,12.53,11.19,10.09,9.19,8.94,8.53,8.28,8.06,8.12,8.09,7.94,8.06,9.47,11.12,11.91,12.56,12.53,11.38,10.19,7.69,7.06,6.69,6.25,7.09,7.31,8.25,8.97,8.72,8.31,7.16,5.88,5.28,3.56,3.41,-9.75,-11.03,-10.16,-9.72,-8.97,-7.09,-7.22,-6.06,-5.19,-4.88,-4.81,-5.12,-6.09,-6.28,-6.53,-6.16,-5.41,-4.44,-3.53,-2.28,-1.41,-0.78,0.12,-0.44,-0.69,-0.62,-1.59,-1.44,-1.47,-1.59:positivity
36.88,36.94,36.72,36.19,36.69,37.72,38.44,40.06,41.09,42.47,41.81,40.59,39.53,37.94,38.09,39.16,41.0,43.09,44.84,45.31,45.34,42.5,40.34,37.19,33.97,31.78,28.94,27.78,27.22,26.69,28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75:38.44,40.06,41.09,42.47,41.81,40.59,39.53,37.94,38.09,39.16,41.0,43.09,44.84,45.31,45.34,42.5,40.34,37.19,33.97,31.78,28.94,27.78,27.22,26.69,28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75,0.53,-1.59,-2.97,-5.44,-7.16,-7.59:39.53,37.94,38.09,39.16,41.0,43.09,44.84,45.31,45.34,42.5,40.34,37.19,33.97,31.78,28.94,27.78,27.22,26.69,28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75,0.53,-1.59,-2.97,-5.44,-7.16,-7.59,-6.69,-5.53,-3.66,-2.28,-1.03,-0.34:44.84,45.31,45.34,42.5,40.34,37.19,33.97,31.78,28.94,27.78,27.22,26.69,28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75,0.53,-1.59,-2.97,-5.44,-7.16,-7.59,-6.69,-5.53,-3.66,-2.28,-1.03,-0.34,-1.22,-0.66,0.59,1.66,3.16,4.88:33.97,31.78,28.94,27.78,27.22,26.69,28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75,0.53,-1.59,-2.97,-5.44,-7.16,-7.59,-6.69,-5.53,-3.66,-2.28,-1.03,-0.34,-1.22,-0.66,0.59,1.66,3.16,4.88,6.0,6.12,4.19,1.69,-2.66,-6.41:28.19,27.97,29.69,31.06,30.81,32.81,33.38,34.44,35.69,36.62,37.84,39.09,40.31,41.78,42.31,43.06,42.41,41.94,41.94,41.41,41.78,40.81,40.31,38.41,37.0,37.31,35.81,34.94,34.5,32.28,29.69,27.12,23.84,21.56,18.38,15.62,13.56,10.38,7.78,7.03,6.16,5.66,6.06,7.16,7.84,9.12,9.62,10.94,11.19,12.31,11.66,13.16,13.59,14.16,14.03,13.19,13.5,13.06,12.38,13.53,14.19,15.59,16.56,18.75,20.31,22.53,25.44,26.84,26.72,27.94,26.47,25.47,26.5,24.91,25.31,23.31,21.28,18.72,16.09,13.75,12.78,12.53,12.41,11.22,11.5,11.66,11.84,12.34,14.78,17.0,17.09,17.0,17.56,16.66,14.62,14.75,15.59,16.84,18.03,18.84,19.5,18.72,17.41,16.38,15.94,15.28,16.06,18.28,18.09,19.69,20.72,20.44,20.16,19.88,19.41,19.28,19.31,20.25,21.66,22.91,22.94,23.0,23.28,22.53,19.97,19.12,18.66,17.97,18.12,17.88,18.53,18.12,16.59,16.53,15.94,16.03,15.69,16.12,17.12,18.91,20.94,23.31,24.44,25.94,26.03,25.69,24.66,22.91,22.88,21.28,20.97,22.0,23.84,26.53,26.12,26.62,25.16,21.31,17.22,14.41,11.12,10.81,8.72,9.66,10.59,11.78,14.03,16.69,19.34,20.91,21.62,22.41,21.78,21.78,21.06,20.12,19.28,17.38,15.66,14.28,13.44,11.44,11.12,12.09,12.41,13.72,16.12,17.56,17.66,20.19,19.12,20.53,21.91,22.62,24.62,25.0,26.09,26.53,25.38,25.84,25.25,23.84,22.72,21.75,21.19,21.12,19.69,20.81,21.5,21.25,23.09,24.84,26.56,28.0,29.97,30.94,30.81,30.41,29.31,28.66,28.78,29.34,31.19,33.28,35.41,37.31,38.34,38.44,37.97,37.03,36.44,34.69,34.78,34.94,32.44,32.25,28.78,24.91,22.72,19.25,19.25,18.69,19.53,20.88,22.88,25.47,26.84,28.31,29.44,28.97,29.72,30.0,29.38,28.16,27.25,25.59,24.81,24.5,24.06,23.25,22.34,20.28,18.66,17.56,17.19,18.06,18.06,17.72,17.91,18.09,18.25,19.72,19.69,20.53,19.09,16.62,14.0,9.94,7.94,6.97,7.44,8.97,10.56,11.47,12.03,11.59,12.06,12.53,12.41,12.53,12.0,12.19,13.12,13.53,14.94,16.25,16.88,17.41,15.5,15.06,12.75,10.31,9.09,7.94,6.84,6.84,8.94,10.28,13.06,15.53,17.0,16.94,16.41,16.06,14.72,14.91,14.72,15.75,17.16,18.12,21.19,21.97,22.5,23.38,22.94,22.38,22.25,21.69,21.56,21.12,20.69,19.38,20.94,20.94,21.34,22.47,22.44,22.78,22.19,22.44,22.19,22.62,22.5,22.44,20.28,18.88,15.97,13.19,11.06,9.81,10.06,9.31,9.78,11.84,12.66,14.16,15.97,18.62,20.94,22.56,23.81,24.81,25.41,25.34,24.59,22.25,20.84,18.62,17.31,15.25,16.0,16.0,15.34,15.38,15.53,16.16,14.94,14.5,13.44,12.16,11.16,11.28,11.88,13.41,14.22,16.0,16.94,18.19,19.62,20.12,21.84,22.69,22.59,24.5,24.97,25.56,25.94,25.91,25.91,24.44,23.47,22.56,21.62,20.94,21.28,20.09,21.22,19.81,19.66,21.06,21.03,21.72,22.69,23.38,24.28,24.72,25.69,27.41,28.75,31.69,34.25,35.66,36.31,35.16,33.62,30.06,27.56,24.12,22.34,20.44,19.97,18.81,19.06,19.91,19.34,18.56,18.56,17.31,16.94,15.91,16.59,15.94,15.31,14.28,13.84,14.09,14.22,16.34,18.72,20.78,21.81,22.66,22.25,21.88,21.0,19.31,19.5,18.44,17.53,17.69,18.06,18.69,19.31,19.75,20.34,21.19,21.19,21.38,19.94,18.28,15.56,13.94,12.06,10.22,9.41,9.81,9.81,7.44,7.41,7.81,8.09,9.94,13.56,18.34,21.91,24.97,27.81,31.06,32.62,33.91,34.31,32.84,30.38,27.0,23.97,21.56,20.62,20.31,19.41,18.62,16.88,15.88,13.34,12.03,10.75,11.25,10.94,11.0,11.22,12.06,12.12,13.25,14.06,15.75,15.19,15.94,15.34,14.5,14.44,13.69,14.22,14.84,16.56,18.41,19.0,19.88,19.88,19.84,17.53,15.66,13.25,11.09,9.0,8.16,8.0,8.88,10.56,11.97,12.91,13.28,13.06,12.31,11.19,10.28,9.62,9.66,9.69,10.94,12.84,15.12,17.25,17.69,17.75,18.06,16.0,14.81,13.44,12.5,13.19,12.69,12.38,13.5,13.91,13.94,14.78,14.75,15.16,14.22,15.09,14.12,14.03,13.66,14.59,14.25,15.44,16.19,16.88,15.53,14.38,13.28,12.69,12.34,12.5,13.47,13.0,12.38,12.06,11.06,10.91,12.41,11.5,11.59,11.31,9.66,9.31,7.72,7.78,6.44,6.22,6.34,6.16,6.25,7.72,9.44,10.75,12.5,13.31,13.28,12.62,11.69,9.66,8.44,6.56,5.28,3.34,3.38,2.75,4.19,6.66,9.03,11.75,14.22,15.41,14.69,14.09,11.94,10.12,8.94,7.62,8.28,8.91,8.81,9.91,11.12,11.12,11.31,11.47,10.19,8.66,6.47,5.09,4.22,5.16,6.81,10.41,14.0,17.41,19.72,21.31,21.88,22.25,20.53,17.88,14.94,11.28,7.69,4.72,3.16,3.66,3.72,4.44,5.31,6.69,6.81,7.31,9.06,10.94,13.41,15.34,17.41,19.41,19.62,18.94,19.97,19.34,21.25,24.44,26.56,27.5,27.5,25.09,22.31,19.25,16.41,14.19,13.53,12.91,13.03,13.38,15.34,16.78,18.94,19.28,20.25,20.66,20.38,20.28,20.12,20.06,20.84,19.56,19.62,18.75,19.06,18.0,16.69,15.88,14.41,12.19,11.44,10.41,11.56,12.38,14.19,16.12,17.56,18.31,18.5,17.06,15.69,14.38,13.66,12.91,12.5,12.47,12.75,12.72,13.59,14.94,16.16,17.06,18.78,20.25,22.28,23.78,24.56,24.09,23.06,20.88,19.0,17.78,16.41,17.5,17.19,17.44,17.53,17.78,17.56,18.12,18.0,18.22,18.25,19.47,19.06,20.5,21.53,21.38,21.72,20.25,19.44,18.91,17.16,17.28,17.56,17.81,17.72,17.19,16.81,16.56,15.47,15.12,15.94,15.25,15.44,14.94,15.06,15.41,17.0,18.78,19.72,19.66,19.25,16.16,13.62,11.12,10.28,9.81,10.19,12.16,12.81,13.53,14.75,14.66,15.69,16.78,18.16,19.56,20.34,21.69,21.56,20.06,19.16,17.41,16.03,15.66,15.25,15.31,15.62,15.03,15.31,15.38,15.66,16.16,17.56,18.75,19.94,21.16,21.03,21.81,22.97,23.69,25.25,25.84,26.94,26.97,26.47,25.53,25.31,26.19,26.72,26.91,27.56,27.16,25.5,25.06,23.66,23.97,24.25,24.69,25.44,25.91,27.41,28.44,29.19,30.34,31.34,31.22,30.91,31.03,31.97,32.62,33.5,34.38,34.31,35.5,35.25,35.88,36.41,36.12,36.56,36.56,36.66,37.06,37.69,38.66,39.75,0.53,-1.59,-2.97,-5.44,-7.16,-7.59,-6.69,-5.53,-3.66,-2.28,-1.03,-0.34,-1.22,-0.66,0.59,1.66,3.16,4.88,6.0,6.12,4.19,1.69,-2.66,-6.41,-10.22,-13.16,-15.06,-16.47,-17.53,-17.97:positivity
-14.53,-13.41,-12.75,-13.44,-13.94,-13.28,-13.5,-11.81,-10.34,-13.47,-9.53,-7.5,-5.59,0.28,3.44,5.91,6.5,4.12,2.38,0.38,-2.41,-4.56,-4.78,-5.91,-7.28,-10.0,-11.16,-11.91,-12.66,-12.31,-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97:-13.5,-11.81,-10.34,-13.47,-9.53,-7.5,-5.59,0.28,3.44,5.91,6.5,4.12,2.38,0.38,-2.41,-4.56,-4.78,-5.91,-7.28,-10.0,-11.16,-11.91,-12.66,-12.31,-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97,-58.31,-55.94,-54.16,-52.31,-50.88,-49.59:-5.59,0.28,3.44,5.91,6.5,4.12,2.38,0.38,-2.41,-4.56,-4.78,-5.91,-7.28,-10.0,-11.16,-11.91,-12.66,-12.31,-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97,-58.31,-55.94,-54.16,-52.31,-50.88,-49.59,-48.19,-48.56,-46.81,-47.47,-47.91,-44.81:2.38,0.38,-2.41,-4.56,-4.78,-5.91,-7.28,-10.0,-11.16,-11.91,-12.66,-12.31,-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97,-58.31,-55.94,-54.16,-52.31,-50.88,-49.59,-48.19,-48.56,-46.81,-47.47,-47.91,-44.81,-44.62,-41.53,-40.88,-40.06,-41.16,-42.84:-7.28,-10.0,-11.16,-11.91,-12.66,-12.31,-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97,-58.31,-55.94,-54.16,-52.31,-50.88,-49.59,-48.19,-48.56,-46.81,-47.47,-47.91,-44.81,-44.62,-41.53,-40.88,-40.06,-41.16,-42.84,-44.69,-46.09,-46.44,-46.59,-47.84,-46.94:-10.91,-10.09,-8.75,-7.38,-4.44,-1.09,1.69,4.22,5.66,7.12,7.59,5.28,3.94,2.62,-0.56,-2.31,-4.03,-5.19,-6.44,-6.22,-5.25,-3.53,-3.88,-1.84,-2.31,-0.19,1.72,2.62,4.0,3.66,1.41,-0.41,-3.66,-5.16,-6.5,-6.59,-4.56,-4.19,-2.69,1.5,1.59,0.84,3.56,1.78,-0.47,-3.0,-4.31,-6.69,-9.84,-12.31,-14.78,-16.5,-19.47,-18.59,-16.34,-14.31,-10.06,-6.59,-3.06,1.09,6.03,8.62,11.81,12.81,13.62,11.41,8.75,5.97,1.91,-1.88,-5.72,-8.72,-12.12,-13.97,-16.94,-17.62,-18.31,-18.47,-17.56,-16.88,-15.91,-13.66,-12.47,-10.5,-8.38,-5.62,-3.59,-1.78,-1.16,-0.12,1.06,2.06,3.59,5.72,7.66,8.53,9.91,8.78,10.44,10.5,11.31,13.12,11.66,11.69,9.88,8.16,6.94,6.34,6.69,6.28,5.31,5.91,4.94,2.0,2.34,2.66,3.44,5.44,8.09,9.25,8.81,8.06,7.12,3.47,1.97,1.5,-2.59,-1.38,-1.66,-3.22,-0.84,-1.41,-1.06,-1.22,-1.59,-1.84,-1.66,-2.0,-0.53,-0.38,-0.97,-0.09,0.75,0.31,-0.06,0.56,-0.22,-1.69,-1.56,-3.78,-2.53,-1.75,-0.53,1.78,2.94,3.16,3.62,3.03,1.22,-0.53,-3.66,-6.34,-6.81,-6.94,-6.59,-3.72,-1.94,-0.78,2.41,3.66,6.78,9.34,8.91,9.25,7.88,4.62,2.81,1.06,-1.56,-1.09,-0.75,-0.34,0.41,0.0,-0.84,-2.09,-4.69,-4.28,-4.09,-1.28,0.22,3.31,5.62,5.56,3.97,0.97,0.28,-2.34,-2.5,-1.38,-1.69,-1.66,-1.59,-0.94,0.94,1.59,3.34,3.66,3.69,5.0,5.56,7.06,8.28,8.09,7.91,7.53,5.06,3.12,0.91,-2.41,-5.59,-8.97,-13.22,-15.47,-16.66,-17.38,-17.53,-16.12,-15.09,-13.28,-13.47,-12.47,-9.81,-10.34,-10.16,-7.84,-9.0,-8.16,-8.09,-9.31,-9.88,-14.34,-15.94,-17.41,-18.16,-17.47,-16.81,-16.0,-16.5,-16.19,-16.19,-16.09,-15.16,-14.38,-13.44,-12.34,-10.97,-9.09,-6.78,-5.75,-3.72,-2.66,-3.81,-3.0,-4.44,-4.31,-5.06,-6.88,-9.47,-9.84,-10.28,-9.78,-9.03,-4.0,-2.19,0.62,2.31,5.09,4.69,3.0,1.66,-1.59,-5.16,-8.66,-10.19,-12.66,-14.91,-16.59,-18.59,-22.81,-23.84,-25.34,-25.38,-24.06,-24.72,-21.28,-19.28,-15.59,-10.19,-4.53,0.38,4.84,5.69,4.53,0.41,-5.41,-13.0,-20.34,-24.12,-27.16,-28.25,-26.28,-26.09,-26.34,-25.06,-25.81,-25.28,-24.53,-24.0,-24.41,-23.16,-24.78,-24.25,-23.47,-22.97,-21.44,-18.62,-17.03,-15.69,-13.75,-12.94,-12.53,-12.62,-12.72,-13.22,-13.84,-16.16,-16.84,-18.38,-18.5,-17.84,-14.78,-13.12,-11.19,-10.16,-10.09,-11.06,-10.25,-10.31,-11.66,-12.44,-13.84,-14.12,-16.59,-15.62,-16.09,-15.44,-13.88,-13.66,-15.22,-14.59,-14.72,-15.72,-14.66,-14.84,-15.97,-15.91,-17.56,-18.28,-16.0,-17.19,-17.97,-17.59,-18.03,-19.25,-17.78,-18.09,-18.25,-18.09,-17.28,-15.47,-13.69,-12.69,-11.47,-15.09,-13.22,-14.94,-14.22,-12.97,-12.47,-13.66,-14.03,-15.09,-16.44,-18.03,-20.22,-21.44,-22.34,-24.47,-26.47,-28.94,-31.09,-30.78,-30.41,-28.31,-25.59,-25.94,-23.88,-22.69,-23.09,-23.25,-24.03,-24.97,-29.84,-33.09,-35.72,-38.34,-39.72,-39.41,-39.5,-38.72,-38.22,-37.34,-38.22,-34.44,-34.06,-33.31,-30.75,-32.81,-31.69,-30.75,-33.69,-31.34,-31.19,-31.06,-29.88,-31.31,-30.69,-32.22,-33.19,-34.22,-34.97,-32.69,-28.84,-25.47,-19.84,-15.81,-13.56,-14.78,-15.47,-17.16,-17.56,-16.62,-15.5,-13.75,-14.28,-14.09,-15.75,-17.28,-19.28,-20.78,-24.47,-22.94,-23.69,-21.56,-20.47,-16.66,-17.31,-17.34,-13.47,-13.09,-11.44,-8.16,-8.44,-9.88,-11.56,-12.16,-14.53,-13.31,-14.19,-13.72,-16.16,-17.06,-20.62,-21.53,-23.16,-23.59,-24.34,-24.81,-25.09,-25.53,-24.72,-25.22,-22.88,-21.31,-18.22,-16.69,-14.81,-13.41,-13.34,-14.19,-17.16,-17.47,-20.97,-21.94,-22.81,-23.09,-21.22,-22.16,-21.69,-22.06,-20.72,-22.72,-20.34,-19.38,-17.97,-16.84,-14.78,-13.5,-13.47,-12.53,-10.09,-8.97,-9.06,-9.03,-11.72,-15.5,-17.25,-19.84,-19.66,-18.38,-17.69,-16.75,-17.47,-18.03,-19.47,-20.34,-24.19,-25.75,-26.94,-27.0,-27.03,-28.28,-24.03,-23.16,-19.41,-15.91,-13.72,-14.62,-13.06,-14.97,-14.66,-16.28,-16.78,-17.41,-20.09,-21.81,-22.34,-24.88,-23.16,-22.44,-21.38,-18.75,-16.47,-17.41,-19.09,-17.72,-17.81,-16.09,-13.47,-13.59,-12.28,-13.22,-14.34,-14.59,-15.72,-15.94,-16.34,-16.34,-15.59,-15.22,-13.28,-13.59,-13.22,-14.19,-13.47,-16.66,-11.66,-10.19,-5.69,-0.94,1.16,3.03,1.66,-0.72,-0.34,-1.78,-2.28,-3.16,-8.69,-11.0,-15.16,-16.59,-17.12,-15.09,-15.19,-15.91,-18.53,-19.28,-19.16,-17.59,-16.28,-18.09,-15.22,-19.91,-21.31,-24.16,-24.59,-23.59,-22.91,-21.25,-20.22,-17.28,-20.0,-15.88,-15.47,-15.44,-14.47,-13.56,-11.47,-12.66,-11.16,-9.66,-9.53,-10.97,-12.19,-13.94,-18.44,-18.16,-19.91,-22.22,-20.97,-19.19,-15.44,-12.41,-7.0,-4.56,-4.56,-6.28,-8.91,-7.94,-8.72,-7.28,-5.41,-3.0,-3.38,-0.97,-0.53,2.0,1.81,4.31,3.06,2.0,0.56,0.03,-1.78,-2.56,-3.0,-2.47,-1.41,-1.56,-1.84,-6.84,-6.59,-9.38,-11.34,-9.31,-8.69,-6.41,-5.97,-6.78,-7.34,-6.66,-6.84,-5.91,-2.06,-0.47,-0.53,-1.62,-3.62,-6.72,-7.81,-7.41,-8.25,-5.81,-3.91,-3.62,-3.28,-2.06,-4.09,-6.59,-6.12,-8.81,-7.38,-7.59,-8.62,-6.09,-8.06,-6.84,-6.31,-4.34,-4.09,-3.94,-4.44,-2.97,-2.91,-2.94,-0.09,0.06,-2.53,1.38,0.28,1.03,2.31,2.94,3.44,3.41,2.56,1.0,-1.69,-3.22,-3.91,-8.44,-3.84,-5.28,-3.12,1.03,1.75,0.44,-0.72,-2.72,-4.94,-7.59,-8.03,-8.09,-9.16,-10.66,-8.25,-9.94,-11.47,-10.84,-12.91,-13.47,-12.47,-11.06,-9.97,-6.0,-5.22,-3.12,-2.56,-6.06,-3.31,-6.09,-6.62,-6.88,-4.59,-3.34,-2.03,1.0,3.31,2.91,3.03,0.78,-0.66,-5.31,-5.75,-8.34,-10.41,-9.72,-11.03,-6.75,-4.84,-2.03,-0.81,-1.16,-0.03,-2.56,-2.91,-6.5,-7.22,-8.19,-10.88,-8.72,-8.81,-10.69,-9.69,-11.66,-11.44,-12.47,-11.34,-11.41,-10.72,-9.59,-8.97,-9.53,-10.44,-11.34,-11.47,-13.03,-11.16,-11.91,-10.84,-10.03,-7.78,-5.56,-3.31,-0.19,1.06,1.69,2.56,1.66,-1.34,-4.16,-6.59,-7.91,-9.47,-9.5,-7.91,-7.84,-7.19,-6.81,-6.06,-5.72,-5.81,-3.53,-4.78,1.0,2.25,4.06,6.44,6.06,5.44,4.66,3.19,1.91,-0.84,-1.34,-5.5,-8.75,-8.28,-9.84,-8.97,-7.19,-6.91,-7.06,-8.44,-9.09,-10.34,-8.56,-7.34,-8.97,-8.09,-8.38,-9.72,-5.5,-2.97,-58.31,-55.94,-54.16,-52.31,-50.88,-49.59,-48.19,-48.56,-46.81,-47.47,-47.91,-44.81,-44.62,-41.53,-40.88,-40.06,-41.16,-42.84,-44.69,-46.09,-46.44,-46.59,-47.84,-46.94,-48.28,-49.5,-51.16,-52.06,-52.5,-52.47:positivity
19.38,20.59,20.12,20.81,21.81,22.66,23.88,24.88,23.94,22.41,21.16,19.56,18.59,17.94,17.44,17.53,18.75,20.19,21.69,23.06,24.69,25.69,25.47,26.5,26.62,25.88,24.5,22.81,22.91,22.38,23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69:23.88,24.88,23.94,22.41,21.16,19.56,18.59,17.94,17.44,17.53,18.75,20.19,21.69,23.06,24.69,25.69,25.47,26.5,26.62,25.88,24.5,22.81,22.91,22.38,23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69,5.34,7.19,7.81,9.53,10.94,11.56:18.59,17.94,17.44,17.53,18.75,20.19,21.69,23.06,24.69,25.69,25.47,26.5,26.62,25.88,24.5,22.81,22.91,22.38,23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69,5.34,7.19,7.81,9.53,10.94,11.56,11.53,10.97,9.5,7.31,4.75,4.03:21.69,23.06,24.69,25.69,25.47,26.5,26.62,25.88,24.5,22.81,22.91,22.38,23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69,5.34,7.19,7.81,9.53,10.94,11.56,11.53,10.97,9.5,7.31,4.75,4.03,1.59,-0.75,-0.69,-0.97,0.06,2.47:26.62,25.88,24.5,22.81,22.91,22.38,23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69,5.34,7.19,7.81,9.53,10.94,11.56,11.53,10.97,9.5,7.31,4.75,4.03,1.59,-0.75,-0.69,-0.97,0.06,2.47,5.44,8.16,10.41,12.78,12.66,13.09:23.12,25.28,26.62,28.34,30.56,31.78,32.62,33.78,32.56,32.06,29.75,27.41,25.53,23.06,22.69,22.19,23.16,24.44,26.88,27.72,29.22,28.91,28.34,26.47,23.97,21.28,18.66,16.03,15.03,14.53,12.94,13.19,13.56,12.59,12.66,10.44,8.38,5.53,3.91,1.81,1.34,1.19,3.56,3.16,4.44,6.03,5.56,6.06,6.69,6.47,5.0,5.69,4.38,3.31,3.81,4.12,4.72,6.62,9.16,9.19,9.75,9.81,10.41,10.28,10.66,10.78,10.0,8.94,8.25,6.81,6.22,5.84,5.31,5.5,5.81,5.88,7.06,7.53,7.16,6.84,6.59,5.56,4.72,4.44,3.72,1.94,1.53,1.66,2.06,3.25,4.66,6.94,8.12,9.81,10.16,12.59,13.41,14.66,15.19,14.78,13.78,14.66,14.56,15.62,17.0,18.03,17.28,16.91,16.31,17.03,17.09,19.06,22.28,25.19,28.56,30.25,29.94,27.44,23.31,19.94,14.38,11.69,9.03,7.06,5.28,5.09,5.12,6.0,6.97,9.28,9.84,11.97,12.69,12.16,13.34,13.47,13.5,14.12,15.44,14.81,15.91,16.34,15.12,14.12,15.16,13.56,12.34,12.53,10.81,9.59,8.12,6.78,5.38,4.84,3.94,5.12,6.66,7.62,9.16,12.81,13.84,15.34,18.91,19.75,19.91,21.25,21.06,21.31,21.5,21.88,21.66,22.12,21.78,19.97,19.84,20.28,19.94,19.88,21.34,21.94,22.19,21.69,20.44,18.94,17.41,15.94,14.5,14.28,14.06,14.31,14.91,15.47,16.03,16.62,17.16,17.03,16.31,15.5,14.38,14.38,12.25,12.06,11.84,10.31,9.53,8.72,9.31,8.44,8.28,6.84,5.69,4.81,3.34,2.09,2.81,3.06,4.03,5.94,5.69,6.59,6.28,6.31,6.62,6.91,8.31,9.56,11.28,12.25,13.28,14.56,15.44,16.12,15.75,14.69,13.06,10.34,7.19,4.31,1.47,-0.16,0.72,1.38,5.16,8.06,11.75,15.69,17.69,19.16,19.94,18.78,16.84,14.81,11.91,10.53,8.5,7.69,4.31,3.5,1.75,1.81,2.88,3.53,6.09,7.34,9.28,10.88,12.03,13.72,14.28,15.28,14.62,13.06,12.84,11.0,9.22,6.62,5.5,3.81,2.78,2.31,1.53,0.72,0.09,-0.34,-1.72,-1.5,-2.31,-2.47,-1.03,-0.97,0.16,1.81,1.5,1.56,2.16,1.72,1.81,1.88,1.75,0.34,-0.53,-1.28,-0.09,0.72,3.19,5.25,6.66,7.28,8.88,9.44,10.28,11.59,11.88,12.06,12.5,11.16,10.81,11.5,11.47,12.72,13.44,14.38,14.62,13.78,13.84,13.53,11.28,10.16,11.03,10.0,11.72,14.38,16.56,17.56,17.81,16.94,16.16,16.28,17.56,21.53,24.72,29.41,34.31,36.69,38.31,38.41,36.56,34.19,31.62,29.91,28.03,27.12,26.5,25.41,25.78,25.16,24.44,24.47,23.09,23.06,23.03,21.91,21.59,22.03,21.44,20.81,21.09,19.81,18.81,16.94,15.75,14.66,15.25,16.84,19.06,21.81,24.28,26.19,27.22,27.25,28.38,27.34,27.53,25.81,24.31,23.28,21.59,19.72,18.91,18.22,17.91,20.12,22.56,26.47,30.66,33.72,36.06,38.56,38.53,38.94,39.12,40.0,40.81,41.34,42.38,42.62,42.03,42.41,41.28,41.25,40.41,39.69,39.81,38.81,39.53,39.09,39.62,38.56,37.62,36.91,36.25,35.56,34.81,34.81,34.31,33.44,31.88,31.47,29.25,28.09,26.66,26.12,25.16,24.94,24.62,24.12,24.81,25.28,25.78,26.81,27.66,28.72,29.19,29.53,29.62,31.44,31.81,32.31,32.62,32.62,32.56,30.06,29.47,28.5,27.41,28.69,29.06,30.47,31.94,31.66,32.12,32.12,31.28,31.25,30.69,29.84,27.69,25.38,22.62,19.94,18.84,18.78,19.91,21.62,23.56,25.91,26.97,26.31,25.72,24.31,22.81,21.22,20.78,22.44,23.53,24.56,25.72,25.72,26.75,27.12,27.78,28.44,27.81,26.25,23.59,20.19,18.22,17.06,17.0,17.44,17.66,18.06,17.44,16.81,15.38,14.72,12.5,11.16,11.06,11.06,12.19,14.28,15.56,16.56,18.06,17.94,19.0,19.91,20.56,21.34,21.47,23.16,24.47,24.62,25.59,26.84,26.62,27.06,27.97,28.47,28.72,29.56,29.28,28.88,29.47,30.19,31.22,32.69,34.06,34.19,34.5,33.69,33.66,33.38,33.12,33.0,33.19,31.16,29.84,27.81,25.28,23.44,21.66,22.16,22.88,24.03,24.66,24.5,24.44,23.28,22.44,22.12,21.34,21.25,21.34,21.16,20.88,20.34,19.69,19.0,20.03,21.47,24.16,29.06,32.81,36.12,38.44,38.31,34.94,31.94,28.66,26.25,25.38,25.41,26.66,26.88,26.81,27.31,27.38,27.75,28.81,28.38,30.22,31.69,31.56,32.69,32.53,32.0,30.59,27.84,27.44,26.25,25.69,25.91,26.5,27.31,28.62,29.72,30.16,29.62,28.41,27.44,26.12,25.0,26.03,26.69,27.16,28.31,27.16,27.06,25.69,23.88,23.12,22.56,23.62,25.34,27.72,29.53,32.22,32.75,32.91,34.53,34.19,36.41,37.47,38.0,39.69,39.28,40.19,40.88,42.0,42.12,43.91,44.88,45.16,44.94,44.66,44.78,44.38,44.09,43.41,42.12,40.38,37.97,36.06,34.34,34.44,35.09,36.75,38.38,40.53,40.91,43.25,43.56,44.81,47.19,49.16,50.19,49.38,48.53,46.38,43.31,41.94,39.78,40.31,41.94,43.56,46.19,49.31,51.28,52.88,54.25,54.5,54.44,53.41,51.81,48.75,46.38,44.44,42.25,41.56,41.81,42.91,43.5,45.41,43.16,42.22,42.53,41.81,42.06,43.38,44.56,44.69,44.56,44.0,41.88,40.59,38.56,37.06,35.91,36.16,37.06,37.84,38.53,38.0,38.22,38.06,37.62,36.78,35.97,35.34,34.0,33.16,33.66,33.31,34.62,36.03,37.84,39.25,40.78,43.09,45.25,46.88,48.12,48.16,47.16,46.06,42.84,41.12,39.38,37.72,37.53,37.84,39.41,41.25,44.41,46.94,49.19,49.78,50.22,48.94,47.25,45.72,44.06,43.44,41.91,41.16,39.66,38.44,37.34,36.12,35.94,35.84,35.16,33.38,33.66,31.88,29.66,29.0,29.03,28.62,28.78,29.16,28.88,29.5,29.09,30.19,30.94,31.72,33.09,34.66,34.84,36.88,36.84,36.75,37.62,36.09,35.16,35.56,34.94,35.84,37.19,38.12,39.31,40.28,40.94,41.94,41.66,41.16,38.97,35.97,33.41,31.88,30.5,30.0,30.06,29.72,29.0,27.53,26.0,25.81,25.0,25.84,27.53,27.56,27.78,29.16,28.38,28.56,28.16,28.44,29.09,28.84,28.31,28.44,27.31,27.53,27.88,28.19,28.78,29.06,30.12,29.25,30.06,30.94,31.38,32.53,34.56,36.0,36.56,36.75,36.66,34.75,33.56,31.31,30.19,29.59,30.94,33.81,36.19,38.59,40.31,41.25,40.78,40.56,38.91,38.31,36.69,35.28,34.44,33.16,31.5,30.62,29.78,29.81,30.69,5.34,7.19,7.81,9.53,10.94,11.56,11.53,10.97,9.5,7.31,4.75,4.03,1.59,-0.75,-0.69,-0.97,0.06,2.47,5.44,8.16,10.41,12.78,12.66,13.09,11.84,9.72,6.81,4.03,2.38,1.25:positivity
28.09,27.75,27.22,28.38,28.84,28.19,29.12,28.0,27.22,27.09,25.81,26.0,26.0,24.81,24.19,22.16,21.16,19.69,19.03,18.94,19.88,21.0,23.06,23.94,26.25,26.38,26.72,25.28,24.28,22.62,22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31:29.12,28.0,27.22,27.09,25.81,26.0,26.0,24.81,24.19,22.16,21.16,19.69,19.03,18.94,19.88,21.0,23.06,23.94,26.25,26.38,26.72,25.28,24.28,22.62,22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31,-16.81,-16.47,-16.84,-16.47,-15.44,-15.66:26.0,24.81,24.19,22.16,21.16,19.69,19.03,18.94,19.88,21.0,23.06,23.94,26.25,26.38,26.72,25.28,24.28,22.62,22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31,-16.81,-16.47,-16.84,-16.47,-15.44,-15.66,-15.84,-15.84,-15.28,-15.03,-14.53,-13.84:19.03,18.94,19.88,21.0,23.06,23.94,26.25,26.38,26.72,25.28,24.28,22.62,22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31,-16.81,-16.47,-16.84,-16.47,-15.44,-15.66,-15.84,-15.84,-15.28,-15.03,-14.53,-13.84,-14.28,-15.16,-17.91,-21.31,-24.38,-26.81:26.25,26.38,26.72,25.28,24.28,22.62,22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31,-16.81,-16.47,-16.84,-16.47,-15.44,-15.66,-15.84,-15.84,-15.28,-15.03,-14.53,-13.84,-14.28,-15.16,-17.91,-21.31,-24.38,-26.81,-28.25,-28.22,-26.03,-25.09,-22.03,-20.41:22.0,20.81,19.72,20.44,21.31,22.81,23.81,26.69,27.78,29.0,28.66,27.44,26.78,25.31,24.12,24.25,24.91,25.47,28.56,30.03,32.19,34.38,33.84,34.0,32.47,30.16,28.41,26.72,24.69,23.28,22.28,22.97,25.53,28.41,30.5,31.69,32.19,29.19,26.53,21.97,17.16,12.16,7.72,3.88,1.62,1.75,1.75,3.41,6.41,8.44,10.12,10.69,10.91,9.53,9.69,8.78,7.47,6.62,5.09,3.81,2.56,2.28,2.41,3.31,3.56,2.91,3.28,3.06,3.28,3.12,3.44,4.12,5.31,5.25,7.0,7.97,7.91,7.75,7.56,7.06,7.0,7.34,8.66,8.25,8.84,9.12,7.22,7.31,6.31,6.53,6.09,6.12,6.25,7.41,9.09,11.16,13.69,16.38,19.16,21.25,22.56,21.88,20.22,16.88,14.06,10.38,7.59,5.66,4.25,3.59,3.28,5.62,7.69,10.66,12.75,15.12,15.59,15.25,14.69,13.22,12.53,12.41,10.31,10.31,10.12,8.28,6.44,5.34,3.56,1.69,-0.28,-1.03,-2.34,-2.34,-3.41,-1.81,-1.19,-0.72,1.53,2.41,4.0,5.31,7.34,8.16,9.72,12.38,13.12,13.5,15.19,15.0,15.69,16.5,16.41,15.66,15.12,14.28,13.19,13.22,13.34,13.09,13.88,13.66,12.56,10.81,9.16,6.56,5.69,4.66,4.5,6.0,6.03,6.5,7.41,6.91,6.5,6.56,6.66,5.19,4.94,4.69,5.16,5.44,6.34,7.03,6.38,5.88,5.91,4.19,3.5,2.88,1.72,2.16,2.56,4.66,6.5,8.03,8.75,9.66,9.22,9.06,8.12,8.53,8.94,8.75,8.69,8.53,7.56,7.19,6.41,5.41,5.31,6.16,5.22,5.81,7.25,9.94,11.88,14.5,16.41,16.19,15.41,13.47,11.44,10.5,8.69,7.97,5.91,4.28,2.34,-0.78,-4.03,-7.0,-8.78,-9.97,-8.81,-5.81,-3.41,1.38,4.41,6.84,9.38,9.91,9.5,8.91,7.03,4.62,1.5,-0.72,-2.19,-3.41,-4.44,-4.66,-4.16,-4.41,-3.47,-1.91,0.12,1.78,3.44,4.91,7.28,8.97,10.16,12.88,13.97,15.03,14.25,12.88,11.03,8.72,6.25,5.47,5.53,6.19,6.53,6.31,5.56,4.56,4.12,2.62,3.5,5.41,7.56,10.53,12.69,14.97,16.91,17.31,17.75,18.84,19.47,18.44,19.12,21.31,23.53,25.16,26.19,25.38,22.38,18.66,13.81,11.91,10.34,9.81,10.62,11.5,11.31,11.53,10.41,9.53,9.41,10.06,10.94,12.16,14.81,15.84,15.97,17.84,17.41,18.06,18.16,16.47,16.03,15.59,15.19,16.0,15.41,17.12,17.53,17.78,18.28,18.91,20.25,20.81,21.59,22.62,23.03,22.78,21.56,20.81,20.66,19.16,17.94,17.28,15.62,15.0,13.41,12.59,12.84,12.22,12.81,13.12,12.34,12.88,12.12,12.38,13.66,14.25,15.44,17.31,16.31,15.78,14.66,13.06,11.62,11.62,11.53,11.91,12.19,12.56,13.81,14.94,16.0,18.19,19.62,20.94,23.12,23.03,23.91,23.88,23.16,22.38,22.06,21.22,21.88,21.78,22.81,22.62,21.94,19.28,15.78,12.09,8.41,6.34,4.69,3.81,5.41,5.72,6.19,7.53,7.31,7.44,6.88,5.34,5.44,5.34,5.53,6.31,7.25,8.12,9.06,9.84,8.94,8.03,6.31,4.16,2.81,1.53,1.69,1.06,-0.03,0.5,0.5,0.78,1.5,3.31,4.72,5.28,6.31,6.69,6.81,5.75,5.75,5.03,4.38,5.91,7.25,9.31,11.16,11.69,12.25,11.31,11.12,11.25,11.09,11.22,11.69,11.59,10.56,9.53,7.28,4.66,2.81,1.44,-0.22,1.09,1.91,2.66,3.25,3.78,3.53,2.75,1.97,1.91,1.91,1.56,1.44,1.66,3.0,3.25,5.38,6.56,6.5,8.88,9.81,11.12,12.94,15.25,15.97,16.97,16.28,14.53,13.25,12.72,11.28,11.62,12.44,11.66,11.44,10.94,10.12,10.5,10.22,11.22,13.0,13.53,14.25,14.72,14.84,13.94,13.59,13.31,12.81,12.69,13.56,13.47,13.81,15.16,15.72,17.31,19.25,20.19,19.72,19.84,18.59,16.0,14.81,13.72,12.56,12.09,10.53,9.56,8.56,7.16,6.66,7.28,6.72,6.84,6.38,5.31,4.75,2.88,1.75,0.97,1.47,2.56,4.91,6.38,8.06,9.62,10.81,11.0,11.25,11.41,11.03,10.34,9.69,7.09,5.81,3.81,1.69,0.44,-0.41,-1.59,-0.72,-2.59,-3.12,-2.94,-3.19,-2.47,-0.47,1.81,3.78,5.72,7.44,8.38,8.47,9.69,12.03,14.34,17.97,22.06,24.62,26.03,24.03,21.06,18.0,13.81,10.94,9.25,9.44,10.41,12.28,13.66,15.69,18.06,18.28,18.28,18.94,17.66,16.06,15.12,13.59,12.69,12.62,13.31,14.69,15.94,17.38,18.53,20.25,20.16,18.69,17.31,15.06,12.81,12.06,12.69,13.56,14.62,15.59,16.25,14.34,12.31,9.72,6.72,4.34,2.91,0.56,-0.09,-1.38,-2.41,-3.16,-3.84,-3.38,-2.53,-1.16,1.47,3.41,5.56,8.81,10.66,12.88,15.47,17.09,17.56,18.75,19.28,18.31,18.78,18.19,17.78,17.78,16.69,15.97,16.44,15.25,15.88,16.03,15.5,14.53,12.28,11.34,10.19,8.72,8.62,9.53,10.12,10.0,10.06,9.78,7.44,6.81,5.75,5.09,5.19,6.72,7.72,9.41,10.03,10.56,9.72,10.0,9.69,9.16,10.06,10.06,10.19,10.62,10.91,11.91,12.56,12.84,13.81,14.41,13.59,12.91,11.16,9.66,7.12,5.94,5.0,4.31,5.34,6.09,6.72,8.09,7.78,7.94,8.28,8.66,9.22,9.97,11.94,12.5,13.5,15.12,15.81,15.03,15.41,13.22,10.66,8.72,8.72,9.44,10.41,13.66,15.44,16.31,16.22,14.41,11.88,9.19,8.56,8.0,8.41,9.56,9.91,9.44,9.72,8.75,9.56,9.72,9.69,9.47,8.59,6.5,5.0,3.22,2.81,3.44,5.03,6.41,9.06,10.44,12.16,13.53,15.12,16.16,16.47,16.16,14.88,14.03,13.81,14.0,15.03,15.12,14.66,13.41,11.28,9.53,7.56,6.66,5.56,5.12,3.69,3.19,3.16,3.91,4.38,6.06,7.28,8.69,9.94,11.38,13.69,14.88,16.56,17.53,18.16,18.5,19.0,18.06,17.78,16.0,12.78,9.12,3.69,-1.38,-5.41,-6.47,-6.28,-3.38,-0.59,2.94,6.22,8.72,10.69,11.97,13.31,13.41,13.66,13.69,14.53,14.94,16.06,16.12,16.81,15.19,13.84,11.78,10.06,8.72,8.06,7.16,6.38,5.69,5.09,3.97,4.72,5.41,7.0,9.25,10.75,11.25,11.62,12.0,11.25,10.44,9.31,6.97,4.16,0.22,-2.84,-4.53,-5.75,-4.59,-3.09,-1.72,-1.25,-0.59,-0.44,-0.97,-1.97,-3.5,-3.72,-5.09,-5.03,-2.66,0.31,4.94,9.84,13.06,15.16,16.31,16.0,13.91,11.38,8.25,5.25,1.88,-0.44,-2.06,-2.72,-4.03,-5.31,-16.81,-16.47,-16.84,-16.47,-15.44,-15.66,-15.84,-15.84,-15.28,-15.03,-14.53,-13.84,-14.28,-15.16,-17.91,-21.31,-24.38,-26.81,-28.25,-28.22,-26.03,-25.09,-22.03,-20.41,-20.72,-20.34,-20.69,-22.0,-23.81,-22.84:positivity
65.66,64.75,62.69,61.53,60.56,59.12,59.56,61.31,63.28,66.19,68.59,70.84,71.56,71.47,69.28,66.53,64.28,60.69,59.69,59.72,60.22,63.25,66.91,70.78,74.5,77.91,79.44,78.81,76.62,72.62,69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44:59.56,61.31,63.28,66.19,68.59,70.84,71.56,71.47,69.28,66.53,64.28,60.69,59.69,59.72,60.22,63.25,66.91,70.78,74.5,77.91,79.44,78.81,76.62,72.62,69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44,7.19,4.78,2.5,0.28,-1.84,-2.31:71.56,71.47,69.28,66.53,64.28,60.69,59.69,59.72,60.22,63.25,66.91,70.78,74.5,77.91,79.44,78.81,76.62,72.62,69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44,7.19,4.78,2.5,0.28,-1.84,-2.31,-1.91,-0.56,1.47,3.94,6.41,8.16:59.69,59.72,60.22,63.25,66.91,70.78,74.5,77.91,79.44,78.81,76.62,72.62,69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44,7.19,4.78,2.5,0.28,-1.84,-2.31,-1.91,-0.56,1.47,3.94,6.41,8.16,9.25,9.75,8.12,6.44,4.06,2.03:74.5,77.91,79.44,78.81,76.62,72.62,69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44,7.19,4.78,2.5,0.28,-1.84,-2.31,-1.91,-0.56,1.47,3.94,6.41,8.16,9.25,9.75,8.12,6.44,4.06,2.03,0.44,0.06,0.62,3.44,6.5,9.72:69.22,65.03,61.28,61.28,60.53,62.09,64.84,68.47,72.12,74.31,76.78,78.59,80.16,81.25,82.41,82.59,81.69,78.91,76.56,72.66,70.25,67.91,68.47,67.41,68.0,68.16,66.72,66.44,65.28,65.0,65.47,64.56,64.66,64.19,63.88,64.28,64.78,65.16,65.12,63.94,62.53,60.03,58.31,55.81,54.91,52.84,52.88,50.59,47.75,46.5,45.75,44.88,47.41,50.16,53.75,57.12,59.06,61.62,63.47,64.59,65.31,64.53,63.72,62.97,62.12,62.78,64.94,67.91,71.16,73.62,74.88,75.47,75.16,74.78,73.34,71.59,70.84,68.44,66.94,65.53,65.47,65.97,66.12,67.25,67.31,67.94,67.25,65.41,66.12,65.16,64.62,65.16,65.25,65.22,64.56,63.25,61.81,60.16,58.53,57.88,59.66,60.62,62.91,66.81,70.03,73.94,76.16,77.34,75.47,72.06,67.72,62.62,59.25,57.47,56.62,55.28,55.16,54.84,54.66,54.06,53.91,53.94,53.72,53.28,53.81,53.81,54.34,54.62,53.31,54.0,53.25,52.72,51.38,50.06,50.12,49.25,48.38,47.69,48.16,48.88,49.81,51.69,54.31,55.53,55.78,56.81,57.5,57.88,58.62,59.53,59.59,58.28,57.25,56.59,55.62,55.84,57.0,59.47,62.03,64.72,66.94,67.81,67.16,66.12,64.94,63.94,62.72,63.5,63.19,63.88,64.81,65.88,65.94,65.69,66.34,66.06,65.44,65.09,65.25,64.84,64.0,63.44,62.12,61.06,59.03,57.09,56.5,56.25,55.56,56.0,56.16,56.0,55.81,55.28,53.81,53.31,53.31,53.0,53.56,54.56,55.72,56.5,56.59,57.06,55.72,54.94,53.31,51.34,50.09,48.38,47.91,47.19,46.91,48.34,48.81,48.91,49.84,49.31,49.31,49.28,49.97,50.03,50.19,50.66,49.97,50.34,50.44,50.28,51.62,51.84,53.34,54.5,56.59,57.5,58.03,59.0,59.12,59.91,60.25,61.22,62.0,62.31,62.75,62.53,62.28,61.34,61.06,61.19,59.56,59.62,59.59,58.0,58.66,58.19,58.25,59.12,58.91,59.06,58.75,58.94,59.16,58.66,59.34,60.31,61.25,62.03,61.91,61.62,61.38,59.69,58.38,56.09,54.44,53.12,51.03,50.75,50.12,50.25,51.41,52.72,54.66,56.28,57.66,58.16,58.47,59.06,58.09,58.16,58.41,57.69,58.12,58.47,60.31,61.44,62.78,63.69,64.47,63.78,63.44,63.78,63.47,63.16,63.09,63.62,63.12,63.19,63.91,63.62,63.84,63.94,64.53,64.44,63.78,63.25,61.94,60.84,59.91,58.5,58.31,57.0,55.59,55.84,56.78,58.91,62.12,66.88,71.06,73.62,75.16,75.22,71.5,68.88,65.97,63.53,62.31,60.75,60.5,59.72,59.19,60.31,61.56,63.69,66.5,67.81,69.12,69.0,68.12,66.12,64.66,63.06,59.81,59.09,57.19,55.5,55.66,54.81,55.16,55.62,56.16,56.78,58.09,59.06,61.19,61.75,62.16,63.0,63.03,62.62,62.59,62.66,61.88,61.5,61.53,61.16,62.19,62.19,62.41,61.69,62.44,62.06,62.0,62.94,62.41,62.69,62.75,62.47,61.25,61.41,61.25,59.78,60.0,59.78,59.66,60.19,59.69,59.81,58.5,57.0,54.75,52.12,49.47,48.97,47.66,47.56,48.22,47.94,48.34,46.81,46.88,46.44,46.38,47.0,46.56,46.69,45.88,45.09,44.0,42.09,40.56,38.91,38.56,38.28,38.84,40.69,41.34,42.88,43.34,42.62,43.06,41.81,40.88,40.75,40.16,40.94,42.62,43.31,45.81,46.84,48.62,48.94,49.72,49.66,49.12,49.66,49.16,50.06,51.44,51.72,53.09,54.5,54.94,56.0,57.41,57.38,57.06,55.56,54.03,53.41,51.97,52.38,53.0,53.28,53.44,53.12,52.12,51.62,50.72,50.41,50.66,50.53,50.84,49.91,48.78,48.12,46.03,45.12,43.81,43.5,43.72,43.09,44.09,44.78,46.88,49.16,52.28,54.72,56.72,57.47,57.53,57.19,55.78,55.03,54.38,53.94,53.06,51.31,50.09,47.03,44.41,41.88,39.72,38.56,38.03,38.0,38.94,40.81,43.41,45.31,46.19,46.69,45.28,43.72,42.03,40.81,40.34,40.31,42.38,44.78,48.09,51.78,54.5,57.09,59.25,59.91,60.69,61.12,60.06,58.31,57.72,57.31,58.12,58.78,60.03,61.34,61.72,60.31,60.5,60.06,58.94,58.5,57.25,56.75,55.66,54.81,54.31,53.66,53.94,52.88,52.78,52.88,52.97,54.5,56.34,57.81,59.28,59.66,58.25,55.19,51.78,48.56,45.59,43.72,44.41,45.16,47.34,50.0,51.28,52.06,51.41,49.5,47.38,46.06,45.09,44.84,45.22,45.97,46.31,48.0,49.38,50.75,51.75,52.44,52.56,51.62,51.5,51.47,50.19,49.75,48.97,48.78,48.53,48.19,48.69,49.44,50.53,52.38,54.22,57.12,58.88,60.53,60.31,59.81,59.41,57.78,57.91,57.22,57.53,57.59,57.78,58.22,59.28,59.94,60.75,60.88,61.25,61.03,61.09,61.66,61.97,62.44,64.09,64.69,66.09,68.03,69.34,70.0,69.59,68.97,65.72,63.44,61.72,59.78,59.25,58.75,59.34,59.09,59.75,59.91,59.94,59.97,60.0,60.44,61.0,61.06,60.94,59.81,59.25,57.81,57.44,57.31,57.0,57.62,58.06,59.03,59.41,59.44,60.53,62.25,63.38,65.22,67.25,67.88,68.38,67.28,65.94,65.25,63.47,61.44,60.56,58.81,59.19,58.81,59.53,58.97,59.88,60.0,59.78,60.31,60.91,60.56,60.62,60.84,61.25,61.69,61.75,61.78,61.31,60.88,59.91,58.81,57.44,54.66,53.78,51.47,50.12,50.25,50.16,51.78,53.19,55.06,57.28,60.28,63.25,65.66,66.5,67.12,65.69,63.28,61.44,58.25,55.94,53.34,52.22,51.38,50.41,50.5,50.84,50.41,49.44,48.09,46.88,45.69,44.44,44.44,45.12,45.09,46.56,48.03,49.28,50.69,53.34,55.38,57.59,60.31,62.44,63.56,63.97,63.5,62.75,61.91,60.25,59.12,58.31,57.53,57.06,56.12,56.41,55.44,56.34,56.97,56.62,56.97,56.06,54.56,52.25,52.81,52.5,52.94,54.62,53.53,53.06,52.56,52.38,52.81,54.97,55.78,57.09,57.34,57.25,57.06,56.06,55.69,55.75,54.66,54.78,54.12,53.16,52.12,52.5,53.12,54.84,56.5,58.19,58.69,59.72,60.06,60.09,60.19,60.31,59.16,58.56,57.28,56.16,55.0,55.41,56.06,56.69,57.97,58.44,58.53,59.28,58.16,59.94,62.31,63.78,66.81,68.22,68.94,67.66,65.44,63.06,60.09,58.66,56.69,56.0,54.97,54.56,54.31,53.41,54.09,55.41,55.72,56.81,57.56,56.5,56.06,54.12,53.34,52.19,51.81,52.75,53.38,54.44,56.44,57.03,58.56,59.88,60.16,59.72,58.94,56.84,54.28,52.38,50.84,49.66,49.25,48.44,47.84,46.91,44.94,42.31,39.66,36.12,34.06,31.59,29.44,27.34,25.06,24.22,23.44,23.69,24.91,27.19,28.78,29.97,31.44,7.19,4.78,2.5,0.28,-1.84,-2.31,-1.91,-0.56,1.47,3.94,6.41,8.16,9.25,9.75,8.12,6.44,4.06,2.03,0.44,0.06,0.62,3.44,6.5,9.72,14.25,17.25,19.66,20.0,18.75,16.03:positivity
24.81,27.31,28.44,28.84,28.38,27.53,24.81,22.62,20.66,19.16,17.03,14.78,13.62,12.31,12.53,12.75,13.88,14.91,16.66,17.62,17.84,19.69,19.69,20.25,20.03,19.59,19.44,18.97,17.72,17.66,17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06:24.81,22.62,20.66,19.16,17.03,14.78,13.62,12.31,12.53,12.75,13.88,14.91,16.66,17.62,17.84,19.69,19.69,20.25,20.03,19.59,19.44,18.97,17.72,17.66,17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06,-14.44,-13.78,-13.25,-12.16,-11.94,-10.97:13.62,12.31,12.53,12.75,13.88,14.91,16.66,17.62,17.84,19.69,19.69,20.25,20.03,19.59,19.44,18.97,17.72,17.66,17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06,-14.44,-13.78,-13.25,-12.16,-11.94,-10.97,-10.41,-10.09,-9.72,-11.34,-13.94,-14.72:16.66,17.62,17.84,19.69,19.69,20.25,20.03,19.59,19.44,18.97,17.72,17.66,17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06,-14.44,-13.78,-13.25,-12.16,-11.94,-10.97,-10.41,-10.09,-9.72,-11.34,-13.94,-14.72,-17.81,-20.19,-21.75,-23.97,-25.59,-25.34:20.03,19.59,19.44,18.97,17.72,17.66,17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06,-14.44,-13.78,-13.25,-12.16,-11.94,-10.97,-10.41,-10.09,-9.72,-11.34,-13.94,-14.72,-17.81,-20.19,-21.75,-23.97,-25.59,-25.34,-24.81,-22.94,-20.56,-17.5,-15.47,-14.38:17.06,15.75,14.94,13.41,13.44,12.5,12.84,12.88,14.31,15.75,16.31,18.31,19.78,20.38,20.69,20.41,20.22,20.12,18.72,18.81,19.16,18.12,18.56,19.16,21.59,20.5,20.78,18.81,15.91,13.16,11.59,9.34,7.66,6.69,4.78,3.81,2.69,2.56,1.84,1.62,0.97,0.69,-0.09,-3.47,-5.94,-8.19,-11.94,-13.22,-13.16,-12.44,-11.34,-10.47,-10.0,-9.97,-10.06,-10.25,-9.66,-7.47,-7.09,-5.31,-2.84,-3.41,-3.97,-3.91,-3.19,-4.59,-1.59,0.09,3.66,5.62,7.88,9.38,8.5,7.81,6.38,4.16,2.56,-0.19,-4.09,-7.09,-11.94,-14.78,-17.66,-19.78,-21.47,-21.62,-21.31,-21.06,-18.53,-15.28,-13.69,-10.25,-8.59,-6.81,-6.41,-7.22,-5.06,-4.44,-4.34,-3.47,-2.94,-2.53,-2.66,-1.91,-2.81,-3.22,-3.97,-5.97,-7.53,-8.34,-8.91,-10.09,-10.34,-9.84,-10.94,-9.72,-7.97,-7.75,-8.53,-8.69,-9.16,-9.91,-9.19,-7.16,-5.91,-4.47,-3.12,-2.34,-1.69,-0.62,0.75,1.0,1.41,0.91,0.22,-2.81,-3.75,-5.16,-7.0,-8.16,-10.66,-11.5,-13.28,-14.0,-13.56,-12.22,-10.12,-7.97,-4.81,-1.75,0.5,1.59,3.34,3.12,1.78,0.44,-0.09,-1.22,-2.81,-2.84,-3.97,-4.03,-5.12,-6.47,-7.22,-8.22,-9.97,-10.59,-10.47,-10.91,-9.69,-10.22,-10.06,-10.75,-11.12,-10.94,-10.56,-8.03,-5.16,-2.53,0.66,3.88,5.34,5.0,6.22,3.38,1.44,-0.47,-2.59,-4.44,-6.84,-6.84,-7.84,-8.34,-7.34,-6.69,-6.44,-5.94,-5.34,-6.09,-6.69,-7.59,-7.66,-9.22,-8.03,-7.66,-6.25,-6.09,-4.25,-4.22,-4.28,-4.69,-4.66,-4.97,-5.94,-5.34,-4.72,-5.34,-4.56,-4.22,-5.16,-4.84,-5.06,-5.47,-3.78,-3.03,-3.06,-3.03,-2.97,-4.03,-6.03,-7.34,-8.72,-9.47,-9.75,-9.0,-9.22,-8.59,-7.16,-6.22,-4.78,-3.66,-2.78,-2.28,-1.41,-1.91,-1.06,-1.09,-1.56,-1.19,-1.16,1.09,3.19,5.31,7.94,9.53,9.56,8.94,6.78,3.69,-0.12,-4.94,-8.53,-11.09,-12.72,-11.88,-10.78,-9.22,-8.88,-7.06,-6.06,-5.06,-3.81,-2.09,-2.22,-2.72,-2.84,-4.38,-6.72,-8.66,-9.91,-11.03,-11.97,-10.09,-9.25,-6.84,-3.88,-1.41,0.53,2.97,4.78,5.91,5.41,5.5,2.69,0.88,-1.69,-4.28,-5.16,-6.28,-7.12,-6.41,-6.69,-5.59,-4.34,-3.56,-1.41,-2.22,-1.84,-2.66,-4.66,-4.56,-4.97,-5.19,-4.44,-3.09,-1.59,0.5,2.72,4.28,3.0,1.84,0.47,-2.03,-2.94,-3.31,-2.91,-2.47,-3.06,-3.28,-3.47,-3.34,-3.34,-3.09,-2.91,-0.22,-0.97,0.16,0.84,0.03,-0.94,-3.06,-3.84,-4.03,-2.44,-1.69,0.81,3.25,4.62,7.34,10.31,13.25,16.16,18.28,18.28,16.97,14.56,12.69,9.81,8.38,6.25,5.72,5.03,3.94,3.66,2.69,1.38,0.06,-1.22,-2.91,-4.28,-5.16,-5.84,-6.66,-6.97,-7.09,-6.94,-6.03,-5.59,-4.91,-4.03,-3.97,-2.97,-0.94,-1.06,-0.12,0.66,-0.28,0.28,0.28,-0.16,0.06,-1.97,-2.78,-3.47,-5.47,-5.09,-4.31,-4.84,-2.47,-2.38,-1.66,-1.69,-0.47,0.38,0.84,0.41,-0.28,-1.28,-2.16,-2.34,-1.16,-0.09,0.88,1.5,1.94,2.06,2.69,4.12,4.69,4.66,4.84,5.06,6.28,6.94,9.19,11.0,11.12,10.53,10.81,10.22,9.94,9.53,7.41,6.5,4.81,3.69,2.5,2.0,1.53,-0.03,-0.97,-2.34,-1.94,-2.84,-2.5,-1.59,-0.59,-0.31,1.22,1.81,2.31,2.78,3.47,2.88,4.03,3.78,3.38,3.94,3.25,4.16,3.97,2.81,2.34,0.03,-1.09,-3.34,-4.91,-4.91,-5.59,-4.41,-3.84,-2.66,-0.69,0.09,2.38,3.19,4.16,4.53,3.69,3.28,1.19,1.03,0.41,0.47,1.31,2.12,1.94,1.81,-0.31,-1.28,-1.75,-2.19,-1.06,0.69,2.03,3.69,5.53,6.94,7.72,9.66,10.66,10.5,10.53,10.66,10.81,9.88,10.06,7.84,6.47,3.19,1.41,-0.09,-0.59,-0.84,-0.56,-0.09,-0.19,-0.28,-0.31,-0.72,-1.06,-1.19,-0.97,-0.47,-0.28,0.34,-1.09,-1.84,-2.19,-2.97,-1.59,-0.94,-0.12,0.38,-0.19,-1.53,-3.09,-4.19,-6.75,-7.28,-7.06,-6.59,-6.03,-5.28,-4.41,-5.44,-4.91,-4.94,-5.28,-4.56,-4.34,-2.75,-1.94,-1.28,0.59,0.53,1.91,2.62,2.09,2.66,2.56,2.28,1.78,2.56,2.56,2.16,2.44,2.25,2.03,2.0,1.22,1.41,1.69,3.0,3.41,5.19,5.38,5.81,6.12,5.62,6.44,7.69,8.12,9.38,10.94,11.81,13.56,14.0,13.06,12.22,11.25,11.12,10.44,11.44,12.03,11.81,11.84,11.94,10.84,12.03,11.94,11.69,12.5,11.25,10.66,10.19,8.41,7.25,6.94,6.72,6.69,7.47,6.97,7.34,5.56,5.56,5.62,6.06,9.0,9.66,10.16,11.59,11.0,10.56,9.75,9.88,8.5,7.56,5.59,4.75,3.72,3.34,4.06,6.09,9.31,12.81,14.09,15.44,14.41,10.66,7.59,5.03,2.59,2.44,2.53,2.56,2.88,3.31,3.06,2.88,1.81,1.75,-0.56,-1.09,-2.03,-3.41,-4.16,-3.72,-3.34,-2.0,-0.44,0.88,1.28,1.06,1.31,0.72,-0.53,-0.59,-0.41,-0.34,-1.12,-0.91,0.31,1.28,3.31,2.91,5.0,5.03,4.44,5.88,6.56,7.94,7.44,6.97,5.59,4.59,1.81,0.44,-0.69,-2.09,-3.34,-3.72,-3.06,-2.41,-2.28,-0.69,0.91,3.53,5.47,8.03,11.62,11.97,12.09,12.69,12.72,12.47,13.34,14.38,13.84,14.91,15.62,16.31,17.16,16.81,16.66,17.28,16.28,15.56,15.41,14.41,12.91,12.31,12.12,9.31,8.53,6.84,5.94,5.5,7.72,8.5,10.62,12.09,12.75,13.94,14.84,15.75,16.59,17.22,16.66,14.81,14.88,13.0,11.56,11.66,10.5,9.62,8.94,7.75,6.31,5.88,6.19,6.66,8.66,10.5,12.72,15.0,15.81,15.88,15.41,14.12,13.53,13.56,13.59,13.66,14.41,14.28,13.69,12.31,12.44,12.38,12.5,14.56,15.38,16.31,16.16,14.62,15.28,14.94,14.81,14.22,14.0,13.06,12.44,12.75,12.59,11.78,11.53,10.41,7.56,6.62,6.03,5.09,4.72,5.16,4.62,5.56,6.72,8.12,9.66,12.69,14.81,17.34,19.06,20.81,21.66,22.16,22.88,23.47,22.31,23.72,23.78,22.62,22.56,20.81,18.94,16.69,14.69,15.22,14.94,15.78,16.78,17.16,17.69,17.34,16.59,17.03,15.75,15.09,15.69,16.03,17.5,17.91,18.91,20.38,19.44,18.31,18.16,17.41,16.91,18.19,19.47,21.78,23.69,25.91,26.53,26.31,25.28,23.59,21.97,20.59,20.38,20.19,19.94,20.75,19.97,20.0,19.31,17.5,16.81,15.78,13.75,13.0,12.53,13.31,13.06,-14.44,-13.78,-13.25,-12.16,-11.94,-10.97,-10.41,-10.09,-9.72,-11.34,-13.94,-14.72,-17.81,-20.19,-21.75,-23.97,-25.59,-25.34,-24.81,-22.94,-20.56,-17.5,-15.47,-14.38,-13.5,-13.72,-15.84,-16.41,-16.97,-18.03:positivity
4.78,5.03,5.28,6.38,5.34,4.81,5.44,5.16,5.03,5.78,6.06,3.69,3.12,-0.41,-1.97,-3.16,-4.22,-3.81,-3.47,-1.97,-1.84,-1.72,-2.66,-3.09,-2.28,-2.41,-1.03,1.25,2.34,3.88,4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03:5.44,5.16,5.03,5.78,6.06,3.69,3.12,-0.41,-1.97,-3.16,-4.22,-3.81,-3.47,-1.97,-1.84,-1.72,-2.66,-3.09,-2.28,-2.41,-1.03,1.25,2.34,3.88,4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03,37.25,36.16,34.25,32.91,31.47,31.66:3.12,-0.41,-1.97,-3.16,-4.22,-3.81,-3.47,-1.97,-1.84,-1.72,-2.66,-3.09,-2.28,-2.41,-1.03,1.25,2.34,3.88,4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03,37.25,36.16,34.25,32.91,31.47,31.66,32.81,34.88,35.97,36.56,34.38,32.25:-3.47,-1.97,-1.84,-1.72,-2.66,-3.09,-2.28,-2.41,-1.03,1.25,2.34,3.88,4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03,37.25,36.16,34.25,32.91,31.47,31.66,32.81,34.88,35.97,36.56,34.38,32.25,31.53,28.94,29.75,29.88,30.25,30.59:-2.28,-2.41,-1.03,1.25,2.34,3.88,4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03,37.25,36.16,34.25,32.91,31.47,31.66,32.81,34.88,35.97,36.56,34.38,32.25,31.53,28.94,29.75,29.88,30.25,30.59,29.16,29.94,28.75,27.5,28.59,27.84:4.91,5.53,5.47,6.38,3.53,3.81,2.84,2.62,3.22,5.03,6.44,6.28,6.19,6.25,5.69,4.19,5.12,4.97,2.66,0.41,-0.47,0.72,0.5,2.69,5.34,7.88,7.41,7.41,4.5,2.41,-1.41,-5.41,-6.41,-7.66,-9.12,-8.44,-9.19,-8.91,-8.91,-9.59,-11.78,-10.53,-14.59,-14.66,-15.06,-14.91,-14.19,-14.28,-14.41,-13.09,-11.22,-10.09,-6.88,-6.28,-4.16,-1.53,1.22,4.38,6.06,7.44,6.5,2.53,0.12,-2.59,-4.94,-9.03,-10.31,-13.97,-17.16,-18.78,-22.94,-23.62,-23.09,-21.44,-19.78,-18.97,-18.59,-18.72,-22.22,-25.03,-25.03,-24.84,-22.09,-19.75,-18.22,-16.72,-17.44,-17.72,-18.25,-20.84,-20.38,-23.88,-24.72,-23.41,-23.91,-21.47,-21.97,-17.53,-19.03,-19.09,-18.91,-19.59,-23.47,-23.97,-24.41,-24.97,-23.84,-20.88,-17.41,-13.25,-9.97,-7.19,-5.66,-6.53,-10.16,-14.28,-19.72,-24.31,-24.59,-28.06,-25.97,-24.44,-24.22,-21.19,-21.03,-17.97,-17.66,-18.72,-14.97,-15.97,-15.41,-15.31,-16.81,-16.88,-18.72,-19.84,-21.31,-19.16,-19.91,-18.69,-17.0,-21.34,-20.47,-21.06,-19.97,-18.91,-17.78,-16.09,-16.72,-17.12,-17.09,-18.38,-18.72,-19.84,-19.34,-18.28,-17.06,-12.72,-13.09,-13.09,-13.62,-13.44,-15.72,-17.09,-17.16,-16.72,-17.97,-17.41,-17.47,-16.72,-17.56,-19.72,-19.84,-22.22,-21.66,-24.16,-22.47,-23.59,-23.66,-22.81,-21.25,-23.47,-22.91,-26.69,-23.34,-27.91,-26.16,-23.41,-23.97,-22.16,-20.97,-25.31,-24.53,-26.19,-28.59,-27.66,-26.59,-26.72,-26.97,-30.75,-31.03,-34.53,-34.72,-37.16,-35.81,-34.75,-34.12,-33.94,-33.53,-33.31,-36.03,-37.09,-38.47,-39.59,-39.84,-38.09,-37.47,-35.72,-33.41,-30.41,-28.53,-27.53,-32.44,-31.66,-33.47,-34.84,-30.84,-28.0,-27.69,-27.16,-25.84,-26.22,-24.19,-24.19,-22.59,-23.81,-22.72,-25.03,-22.56,-24.16,-22.31,-20.28,-20.03,-21.66,-21.88,-23.78,-22.72,-21.84,-19.84,-18.78,-18.12,-20.84,-21.75,-23.5,-23.19,-25.25,-24.22,-22.75,-25.09,-25.12,-23.12,-24.88,-27.34,-26.31,-27.16,-29.03,-25.91,-26.16,-24.59,-25.91,-28.62,-25.97,-26.78,-25.53,-24.03,-26.94,-27.22,-26.84,-28.62,-25.56,-23.84,-21.69,-24.16,-24.41,-27.53,-28.84,-29.03,-29.44,-28.94,-29.34,-29.06,-28.72,-28.44,-27.28,-27.28,-27.09,-27.09,-26.12,-23.75,-24.03,-22.62,-19.97,-19.97,-19.09,-19.38,-18.97,-21.84,-22.28,-23.72,-24.69,-25.81,-25.59,-25.09,-26.75,-25.59,-26.09,-25.84,-24.97,-27.06,-24.91,-26.19,-25.72,-25.97,-23.09,-24.03,-25.78,-28.19,-30.03,-32.59,-35.66,-35.31,-37.28,-35.34,-34.22,-33.75,-35.56,-33.78,-36.38,-34.03,-33.12,-31.03,-28.34,-25.59,-24.69,-27.84,-26.34,-28.53,-29.5,-28.69,-31.88,-29.53,-28.66,-29.66,-28.66,-27.12,-29.94,-29.78,-31.28,-30.78,-32.88,-33.75,-35.12,-38.31,-38.59,-40.09,-42.25,-40.88,-43.34,-42.56,-40.75,-40.16,-36.84,-34.72,-31.53,-33.75,-34.78,-36.06,-41.28,-40.66,-41.59,-41.97,-42.62,-41.75,-42.53,-42.28,-41.31,-42.62,-42.62,-44.28,-45.28,-44.16,-45.81,-41.59,-40.31,-39.91,-40.12,-41.03,-45.72,-49.59,-48.31,-49.75,-48.84,-45.59,-42.84,-42.97,-40.72,-40.66,-40.44,-39.78,-37.22,-36.59,-34.66,-32.84,-31.91,-34.28,-30.62,-32.84,-33.66,-29.12,-27.47,-26.56,-25.31,-27.97,-31.38,-34.78,-36.91,-37.44,-40.19,-37.91,-38.22,-39.09,-36.72,-35.47,-34.59,-32.47,-32.34,-32.72,-35.19,-34.59,-35.84,-38.0,-38.81,-39.94,-37.44,-40.66,-37.16,-34.97,-37.56,-36.34,-37.16,-38.53,-37.47,-41.28,-40.59,-41.78,-42.16,-42.56,-43.22,-45.03,-45.72,-48.81,-50.84,-51.03,-52.09,-55.47,-52.75,-51.94,-52.94,-48.97,-45.84,-44.19,-42.28,-41.53,-43.28,-44.34,-46.06,-49.16,-50.16,-48.59,-48.31,-50.03,-48.0,-48.09,-51.5,-50.34,-47.84,-45.84,-43.78,-43.22,-38.97,-41.28,-42.28,-42.84,-43.28,-44.38,-48.41,-44.66,-43.75,-43.19,-38.53,-39.41,-35.09,-35.78,-36.34,-35.41,-36.41,-38.88,-39.66,-41.22,-43.78,-43.16,-43.28,-45.38,-42.53,-41.59,-42.0,-38.81,-36.72,-39.06,-40.12,-38.72,-40.91,-41.09,-38.66,-42.66,-41.34,-43.47,-44.0,-41.0,-38.84,-35.09,-32.44,-32.03,-34.12,-38.34,-40.03,-46.0,-47.59,-47.66,-48.06,-46.88,-42.72,-41.47,-36.78,-41.22,-36.56,-40.16,-40.69,-41.91,-42.88,-42.91,-44.97,-45.59,-47.56,-50.03,-50.28,-48.56,-50.06,-47.53,-46.72,-47.5,-47.41,-44.53,-44.09,-41.88,-42.38,-42.0,-42.03,-42.44,-43.0,-42.09,-40.91,-40.97,-41.91,-42.16,-42.12,-41.34,-41.47,-40.84,-40.16,-41.88,-40.22,-39.97,-41.03,-38.78,-36.94,-38.47,-39.19,-37.41,-38.66,-39.59,-39.06,-39.09,-38.0,-40.38,-42.09,-42.84,-46.81,-47.22,-44.69,-42.28,-40.34,-36.91,-33.34,-35.06,-35.91,-36.47,-37.72,-38.84,-38.34,-40.97,-39.47,-37.5,-37.53,-33.84,-33.72,-29.84,-29.44,-29.59,-25.78,-27.28,-27.31,-29.16,-29.41,-29.44,-30.34,-30.47,-27.5,-24.03,-21.22,-20.03,-16.47,-18.25,-25.81,-26.06,-28.28,-29.88,-27.09,-28.81,-29.84,-31.47,-37.47,-37.09,-37.09,-36.88,-36.03,-35.94,-35.47,-35.97,-37.69,-37.88,-38.94,-38.16,-40.12,-38.53,-38.5,-40.28,-39.84,-40.22,-38.06,-38.53,-36.75,-34.31,-33.59,-33.66,-28.91,-27.56,-26.41,-23.38,-22.28,-21.34,-22.06,-21.66,-23.0,-24.97,-23.78,-25.06,-27.34,-24.62,-27.22,-25.59,-26.94,-25.03,-24.53,-24.22,-23.12,-21.81,-22.53,-21.53,-19.66,-22.47,-19.84,-21.69,-22.22,-21.72,-22.09,-22.47,-25.09,-25.47,-26.22,-28.34,-24.19,-22.72,-18.81,-16.66,-15.09,-18.09,-17.28,-19.34,-20.44,-21.59,-19.81,-19.34,-18.59,-16.03,-13.84,-11.84,-12.84,-15.66,-16.97,-23.03,-21.06,-20.97,-18.97,-15.47,-14.47,-13.0,-14.03,-14.72,-15.38,-14.78,-14.84,-15.44,-15.19,-17.97,-16.22,-20.22,-18.53,-19.72,-22.34,-17.91,-17.53,-15.84,-12.84,-11.84,-12.66,-13.84,-15.06,-16.09,-17.12,-17.97,-16.91,-16.91,-17.59,-19.0,-19.62,-21.91,-23.88,-23.56,-23.5,-21.47,-20.25,-18.78,-17.5,-19.78,-20.44,-20.0,-20.0,-19.62,-19.94,-18.28,-19.09,-20.09,-22.69,-22.53,-20.94,-21.25,-18.88,-15.88,-14.19,-13.78,-15.41,-14.59,-16.38,-17.81,-18.59,-21.59,-20.69,-21.44,-18.47,-15.81,-12.53,-9.72,-8.34,-13.09,-10.47,-11.09,-10.69,-8.84,-7.84,-7.38,-9.53,-11.34,-13.25,-15.0,-16.5,-15.75,-15.16,-14.66,-12.66,-11.94,-10.47,-12.03,-10.72,-9.84,-8.97,-6.75,-4.19,-3.56,-4.22,-7.78,-12.03,-15.78,-18.19,-19.38,-19.56,-17.16,-15.84,-14.66,-16.72,-13.97,-15.66,-13.44,-11.06,-8.97,-8.38,-6.97,-6.47,-8.81,-8.09,-10.22,-12.59,-13.84,-13.72,-13.53,-12.44,-11.91,-11.91,-15.31,-17.38,-19.66,-22.16,-23.09,-23.06,-21.03,-20.81,-18.34,-15.84,-15.22,-14.28,-13.44,-15.84,-16.91,-17.59,-19.47,-22.03,37.25,36.16,34.25,32.91,31.47,31.66,32.81,34.88,35.97,36.56,34.38,32.25,31.53,28.94,29.75,29.88,30.25,30.59,29.16,29.94,28.75,27.5,28.59,27.84,24.91,29.19,27.06,28.81,32.0,34.12:positivity
27.12,26.84,28.34,30.41,31.0,32.53,31.41,30.19,29.19,27.53,26.81,25.84,24.97,25.59,26.78,29.28,31.69,34.19,36.25,35.84,35.81,33.91,32.34,31.44,30.44,30.03,29.94,29.28,28.31,27.31,26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62:31.41,30.19,29.19,27.53,26.81,25.84,24.97,25.59,26.78,29.28,31.69,34.19,36.25,35.84,35.81,33.91,32.34,31.44,30.44,30.03,29.94,29.28,28.31,27.31,26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62,-11.44,-10.5,-9.72,-8.03,-6.59,-6.06:24.97,25.59,26.78,29.28,31.69,34.19,36.25,35.84,35.81,33.91,32.34,31.44,30.44,30.03,29.94,29.28,28.31,27.31,26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62,-11.44,-10.5,-9.72,-8.03,-6.59,-6.06,-6.03,-7.41,-9.09,-10.94,-12.44,-13.97:36.25,35.84,35.81,33.91,32.34,31.44,30.44,30.03,29.94,29.28,28.31,27.31,26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62,-11.44,-10.5,-9.72,-8.03,-6.59,-6.06,-6.03,-7.41,-9.09,-10.94,-12.44,-13.97,-14.97,-15.44,-14.28,-13.59,-11.38,-9.66:30.44,30.03,29.94,29.28,28.31,27.31,26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62,-11.44,-10.5,-9.72,-8.03,-6.59,-6.06,-6.03,-7.41,-9.09,-10.94,-12.44,-13.97,-14.97,-15.44,-14.28,-13.59,-11.38,-9.66,-7.94,-7.28,-7.41,-8.22,-8.31,-8.75:26.84,25.78,25.31,24.62,23.88,22.5,21.69,20.62,19.81,19.31,20.41,22.56,24.0,26.56,28.03,29.31,29.75,29.28,30.22,28.94,28.34,27.38,25.56,23.06,21.25,19.19,17.84,17.59,18.34,19.53,21.25,24.34,25.25,26.28,26.41,25.47,25.53,24.69,24.44,25.5,23.97,24.03,23.69,22.78,21.44,20.06,19.28,18.44,16.88,17.28,16.84,16.78,17.34,17.31,18.81,20.97,23.03,26.16,27.78,28.75,28.34,26.53,24.56,22.31,20.91,19.69,19.97,19.88,18.69,18.12,16.66,15.56,14.72,14.78,15.38,16.56,17.88,19.69,21.69,23.19,25.12,25.34,27.28,28.78,28.41,28.81,27.94,26.06,23.69,20.84,18.38,16.94,15.66,14.41,13.47,13.06,12.97,13.81,14.91,16.88,17.94,18.38,18.59,17.91,17.28,16.19,15.97,17.22,18.81,20.34,23.06,25.44,25.69,25.41,24.78,23.03,21.62,19.94,19.16,18.97,18.44,19.09,18.66,19.56,19.41,17.66,16.66,14.28,12.44,11.16,11.25,11.91,14.16,18.38,22.47,26.5,31.41,33.47,35.41,36.16,35.66,34.38,33.09,31.31,29.66,27.06,25.62,24.41,23.69,22.75,21.47,21.16,21.0,21.25,22.72,23.59,25.44,27.31,27.78,28.22,27.84,25.84,22.06,17.66,13.03,8.97,5.06,3.56,2.47,2.91,2.91,3.06,2.88,2.56,2.53,2.5,3.59,5.16,6.28,7.94,9.31,9.69,9.31,9.31,8.41,8.25,8.75,8.88,10.53,12.16,12.5,12.62,13.0,13.06,13.22,14.41,15.12,16.84,17.19,16.84,16.5,15.03,13.31,12.5,10.81,11.41,11.34,12.28,13.31,14.31,16.62,18.62,19.91,23.0,25.91,28.69,32.69,34.97,36.88,37.53,35.62,33.56,30.06,25.44,21.41,17.62,15.66,14.34,15.06,16.25,17.84,19.03,19.0,18.78,18.16,16.28,15.78,14.31,13.31,11.53,8.75,7.41,5.25,3.72,2.31,2.22,2.41,2.97,4.03,5.31,6.41,7.56,7.41,7.78,8.03,8.41,7.97,7.56,7.12,5.16,3.19,1.0,0.34,0.03,0.69,2.16,3.44,5.12,5.66,5.75,5.84,6.38,5.53,5.31,4.88,4.78,4.81,5.41,6.19,8.06,10.0,12.06,14.16,15.84,15.78,14.88,13.12,11.31,8.44,6.81,6.31,4.62,4.81,5.34,6.09,7.5,8.53,9.56,10.62,9.78,10.72,10.41,11.28,11.56,12.34,12.16,11.56,10.41,8.91,6.25,4.66,2.41,1.53,1.12,2.22,3.56,4.28,5.56,6.81,6.03,3.94,2.56,1.25,0.91,0.22,2.53,4.53,7.16,9.31,10.53,11.41,10.53,8.69,6.84,4.91,2.59,1.06,-0.81,-1.44,-1.75,-2.84,-3.5,-3.84,-4.28,-3.47,-3.66,-1.06,1.03,3.22,5.06,7.16,9.03,10.66,11.25,11.94,11.69,10.75,8.81,6.88,5.66,3.84,1.53,-1.09,-1.94,-3.97,-5.28,-5.0,-3.88,-0.97,2.31,5.69,10.06,13.72,16.41,18.31,18.06,18.44,15.97,13.59,11.41,9.38,8.78,8.53,8.94,10.72,11.75,12.72,13.62,12.53,12.5,10.78,9.59,7.94,6.66,6.09,5.97,6.06,6.16,6.44,6.38,7.0,8.28,8.81,10.19,11.56,11.75,10.66,9.5,7.44,4.44,3.28,2.56,1.41,2.19,2.5,2.66,3.56,3.75,4.06,4.81,6.28,6.28,6.34,6.91,6.06,5.75,5.41,6.19,7.16,8.09,9.31,11.25,11.41,11.56,11.0,9.91,8.69,7.47,6.41,7.25,8.75,11.16,14.19,16.41,16.44,15.62,13.38,9.91,6.5,4.53,3.47,3.12,4.0,4.62,4.91,4.56,4.78,4.84,5.88,7.03,9.03,10.97,11.97,12.94,13.66,13.84,13.16,11.97,9.03,6.16,3.5,0.59,-1.5,-1.53,-1.59,-1.34,0.0,0.44,0.5,1.25,1.38,1.31,3.66,4.78,6.06,7.31,7.62,7.06,6.59,5.06,2.94,0.06,-2.78,-6.22,-7.66,-7.94,-6.31,-1.97,1.56,5.28,8.94,10.06,10.66,10.81,9.28,8.09,5.53,4.09,2.78,1.69,1.62,1.88,2.53,4.12,6.12,7.84,9.12,9.62,9.22,7.69,5.91,4.31,3.78,2.66,1.12,0.03,-0.94,-1.53,-1.53,-0.66,-0.09,1.5,1.25,1.41,0.53,-0.84,-1.56,-2.94,-3.25,-3.47,-3.38,-2.22,-1.31,0.03,1.28,2.22,3.22,3.25,3.78,4.12,3.44,2.75,1.44,1.09,0.5,-0.41,-1.66,-3.31,-3.53,-4.75,-3.97,-2.03,1.38,3.47,5.25,6.72,6.5,5.59,3.97,2.06,0.28,-1.28,-2.56,-2.78,-1.94,-1.84,-2.03,-2.34,-3.5,-4.66,-6.47,-8.62,-8.97,-11.66,-12.09,-13.34,-13.91,-13.56,-14.41,-13.44,-12.78,-12.12,-10.16,-8.28,-5.16,-1.91,0.75,2.66,4.19,4.38,3.25,3.12,2.59,2.16,1.75,2.03,1.31,0.94,-0.06,-0.34,0.28,0.88,2.09,3.53,4.78,5.94,6.06,6.62,6.88,6.56,6.69,6.0,5.56,5.75,4.31,3.59,3.62,2.78,2.59,2.81,4.16,5.78,7.47,9.88,11.16,12.94,12.88,12.22,10.25,7.69,4.62,1.25,-0.97,-2.59,-2.94,-1.0,1.03,4.06,7.22,9.03,10.25,11.12,9.53,7.69,4.78,2.41,0.44,-1.31,-1.34,-0.41,0.75,2.31,4.09,6.12,7.16,7.78,8.66,8.5,8.19,7.53,4.66,2.62,-1.47,-5.59,-7.88,-9.66,-8.06,-6.31,-2.5,2.19,6.06,10.06,13.81,14.88,15.5,14.94,13.69,12.31,11.44,9.53,8.44,6.28,5.34,4.75,4.84,6.72,8.41,9.97,10.91,9.81,8.78,6.59,4.59,3.97,4.09,5.06,6.88,9.84,13.34,16.5,19.91,23.0,24.81,24.75,23.81,22.62,20.06,19.25,18.12,18.0,18.03,18.09,18.12,19.16,19.22,19.62,20.09,20.12,19.44,19.53,18.88,19.69,21.09,21.88,23.41,23.53,23.5,23.16,23.59,23.59,24.66,24.84,24.88,26.06,25.91,26.41,26.5,27.34,28.31,27.97,28.44,28.28,27.72,27.16,26.66,25.78,26.78,27.94,30.34,32.91,34.59,35.25,33.84,32.12,29.53,27.31,26.25,25.06,25.16,25.34,25.03,25.06,24.5,23.94,23.44,23.66,25.03,26.53,28.59,30.84,31.62,31.53,30.72,28.84,26.56,23.44,21.72,20.34,19.72,20.0,20.66,21.34,21.09,20.97,20.84,19.41,18.53,16.28,15.41,15.06,14.31,14.72,15.19,15.44,16.97,18.22,20.66,22.84,24.78,26.12,26.06,23.69,21.53,18.16,14.41,12.25,9.56,8.78,8.25,7.38,8.0,7.19,5.69,5.94,5.38,6.03,7.16,9.12,11.88,13.91,16.53,18.0,18.16,17.69,15.75,14.72,14.38,14.31,15.81,17.31,18.84,19.31,19.16,19.38,18.62,18.94,20.16,20.62,20.72,19.94,19.28,18.19,17.94,18.44,19.59,22.0,24.0,26.5,27.88,29.25,30.06,29.06,26.81,24.56,22.12,19.62,-11.44,-10.5,-9.72,-8.03,-6.59,-6.06,-6.03,-7.41,-9.09,-10.94,-12.44,-13.97,-14.97,-15.44,-14.28,-13.59,-11.38,-9.66,-7.94,-7.28,-7.41,-8.22,-8.31,-8.75,-8.53,-8.31,-7.59,-7.97,-8.78,-10.31:positivity
11.91,12.12,13.84,16.91,19.78,22.53,24.12,25.56,23.59,23.44,22.19,20.53,18.81,17.78,15.38,12.75,11.25,10.34,10.88,11.5,12.69,13.81,13.69,13.72,13.09,12.94,13.59,13.31,14.16,15.59,16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31:24.12,25.56,23.59,23.44,22.19,20.53,18.81,17.78,15.38,12.75,11.25,10.34,10.88,11.5,12.69,13.81,13.69,13.72,13.09,12.94,13.59,13.31,14.16,15.59,16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31,6.94,3.25,-0.06,-2.09,-2.97,-2.44:18.81,17.78,15.38,12.75,11.25,10.34,10.88,11.5,12.69,13.81,13.69,13.72,13.09,12.94,13.59,13.31,14.16,15.59,16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31,6.94,3.25,-0.06,-2.09,-2.97,-2.44,-0.34,2.88,6.12,8.81,10.84,10.72:10.88,11.5,12.69,13.81,13.69,13.72,13.09,12.94,13.59,13.31,14.16,15.59,16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31,6.94,3.25,-0.06,-2.09,-2.97,-2.44,-0.34,2.88,6.12,8.81,10.84,10.72,8.5,5.91,2.31,-0.16,-2.38,-3.09:13.09,12.94,13.59,13.31,14.16,15.59,16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31,6.94,3.25,-0.06,-2.09,-2.97,-2.44,-0.34,2.88,6.12,8.81,10.84,10.72,8.5,5.91,2.31,-0.16,-2.38,-3.09,-1.34,-0.75,2.09,3.97,6.94,9.25:16.59,18.09,19.16,19.41,19.44,18.12,16.56,13.78,12.03,8.53,5.53,2.62,1.41,1.47,3.56,5.81,11.38,15.97,19.94,24.75,27.41,29.47,29.69,28.41,26.69,22.75,18.09,13.81,9.62,6.41,5.0,5.0,5.84,7.0,8.75,10.53,11.44,13.25,12.41,12.66,11.25,9.22,8.22,7.44,6.47,6.38,6.03,6.03,7.0,8.06,10.56,12.66,14.25,16.69,17.78,16.84,17.34,16.81,16.72,16.03,15.94,15.25,14.75,15.34,15.88,16.97,17.44,19.03,20.16,19.28,20.34,19.34,18.41,17.41,16.06,15.16,13.34,11.69,10.94,8.44,6.66,4.34,2.22,1.12,-0.53,-0.47,-0.06,-0.53,-0.59,-0.03,-1.25,-0.84,-0.88,-0.34,0.59,0.56,0.78,0.75,1.0,0.69,0.47,1.31,1.41,3.44,5.28,7.19,9.25,10.31,11.12,12.0,13.16,13.5,14.12,15.72,16.25,15.59,16.06,15.69,14.25,14.25,13.31,13.31,13.59,13.12,13.03,13.03,13.97,14.06,14.62,15.03,14.88,15.94,15.38,14.62,14.56,13.25,11.41,9.81,7.47,6.38,4.12,4.31,3.0,2.25,1.12,1.06,0.69,1.62,2.06,5.03,5.75,6.91,8.94,8.94,9.25,8.53,8.91,8.69,9.31,10.12,11.84,13.69,14.81,16.06,16.25,15.16,15.38,14.28,14.0,12.62,12.94,12.0,13.66,13.69,14.69,15.94,17.0,18.22,19.56,19.69,20.12,19.84,18.72,18.62,18.44,18.31,18.81,19.16,19.16,19.41,19.28,19.62,19.34,18.91,17.59,17.19,15.28,14.06,14.91,14.59,15.81,17.41,18.94,19.5,19.62,19.81,20.41,20.47,21.72,24.66,25.81,27.16,27.94,26.97,25.69,24.38,23.0,21.31,20.69,19.31,18.53,17.47,17.69,17.38,17.62,17.38,17.03,16.59,16.81,17.16,17.78,17.66,18.62,17.81,17.41,18.34,17.09,15.81,15.25,14.72,14.12,14.28,15.38,16.06,16.53,15.69,15.0,13.62,11.91,12.12,11.94,12.56,14.53,14.19,15.06,16.34,17.0,18.75,19.19,19.94,19.41,18.75,17.44,17.66,16.31,16.41,15.5,15.94,16.16,16.78,18.31,19.97,22.16,23.5,25.69,27.22,27.12,28.41,27.44,27.06,26.31,25.72,24.91,24.94,25.88,25.69,26.84,27.12,26.47,25.06,23.06,21.5,18.78,16.91,15.78,13.62,12.06,11.12,10.25,9.75,9.12,9.0,8.38,7.41,7.25,7.34,7.34,8.19,9.72,11.41,13.38,15.75,17.56,19.62,19.66,20.28,19.69,18.84,17.56,15.97,14.69,13.88,12.72,13.31,14.78,15.56,17.31,18.38,19.44,20.19,22.22,24.44,25.53,27.25,28.03,26.91,26.28,25.09,23.06,21.31,20.06,19.66,19.53,21.03,22.25,24.31,25.09,26.19,26.19,23.66,22.44,20.5,18.38,16.59,14.66,13.88,11.97,11.19,10.41,8.75,8.56,7.28,7.66,8.56,9.62,11.69,14.22,16.34,17.66,19.84,20.69,20.22,19.16,17.5,15.53,13.09,11.56,10.78,9.72,9.06,9.66,11.81,13.25,16.41,19.62,23.09,24.81,27.72,28.81,28.91,28.84,28.31,26.03,23.56,20.28,17.12,14.38,12.44,11.41,11.53,12.41,14.0,14.94,16.88,16.81,18.06,18.78,18.06,18.22,17.44,15.66,14.34,13.34,13.62,14.53,15.78,17.56,19.81,20.69,21.75,22.38,21.84,20.62,20.19,18.66,17.94,17.78,17.0,16.81,16.56,15.41,15.09,14.44,13.56,13.97,12.94,13.38,14.34,13.53,13.75,13.5,13.53,13.69,13.88,13.72,13.78,12.94,11.78,10.94,9.66,8.16,6.56,5.69,4.56,5.0,5.78,8.0,11.56,15.97,19.5,22.97,23.47,22.69,20.31,18.22,15.5,14.5,13.31,12.03,11.53,10.66,9.34,7.81,6.06,4.22,2.91,1.81,1.69,1.34,2.16,2.72,5.16,5.03,7.06,8.31,8.88,10.25,11.38,13.0,14.56,15.56,16.25,16.81,16.56,15.72,15.56,15.47,15.06,15.5,15.97,16.94,17.09,17.25,17.31,17.25,17.59,17.91,19.38,20.28,22.12,23.47,25.12,25.75,26.03,26.28,25.25,23.34,21.09,18.0,15.5,13.19,12.56,12.44,12.69,12.91,13.94,13.56,13.31,13.28,12.47,12.0,11.06,10.38,8.25,6.28,4.78,2.5,2.06,0.91,2.56,3.34,5.69,7.19,8.09,9.09,8.91,9.25,8.91,8.66,9.16,9.75,10.03,10.78,12.25,13.41,14.09,14.69,15.44,14.91,13.5,12.25,10.56,9.88,9.47,10.31,11.41,12.34,14.19,14.31,15.41,15.16,13.69,12.16,10.56,7.41,4.41,2.31,0.72,-0.28,0.0,0.19,0.81,1.28,1.75,1.53,2.16,2.59,3.69,4.28,4.75,5.16,5.31,5.16,5.62,5.66,5.72,5.97,5.56,4.72,3.91,2.31,1.38,-0.59,-1.03,-1.59,-0.31,1.53,3.06,4.94,6.81,7.78,7.47,7.06,5.94,5.31,3.94,3.19,1.94,1.03,-0.09,0.12,1.22,1.75,2.88,4.41,4.53,4.19,3.34,2.78,1.94,0.94,-0.16,-0.5,0.12,0.31,1.84,3.03,4.41,5.78,6.25,7.28,8.44,9.34,9.91,10.28,11.06,10.69,10.66,9.56,9.16,8.56,7.88,6.84,5.59,5.34,3.91,2.28,1.44,-0.03,-0.41,-0.22,0.69,1.97,2.56,3.44,3.94,3.0,1.97,0.69,-0.28,-0.44,0.0,1.38,3.16,3.97,4.19,4.22,4.19,2.97,2.81,2.16,1.62,1.84,1.53,0.69,1.34,1.22,2.25,2.56,3.31,4.59,4.91,6.09,7.47,7.62,8.0,7.44,6.78,5.91,4.72,3.66,2.81,2.56,1.03,0.5,-0.31,-1.66,-1.72,-1.38,-0.81,1.25,2.66,4.03,5.25,5.91,6.62,6.16,6.09,6.03,5.62,6.44,7.28,8.91,10.94,11.69,10.31,8.19,3.66,-0.31,-3.72,-6.72,-8.28,-8.41,-8.12,-6.81,-5.03,-4.69,-3.31,-3.16,-3.28,-3.88,-4.31,-5.44,-6.56,-7.06,-7.41,-7.81,-7.69,-6.97,-5.84,-5.0,-2.34,-1.0,-0.59,1.16,0.38,-0.28,-2.38,-4.91,-6.16,-8.06,-9.94,-10.81,-11.94,-11.78,-11.09,-9.12,-6.94,-4.88,-2.03,0.34,1.62,3.28,2.84,2.81,2.91,2.12,1.84,0.94,0.34,-0.06,-0.75,-0.09,0.69,1.66,2.75,4.0,4.97,5.44,7.06,8.34,9.81,10.69,11.16,11.0,10.62,9.91,9.19,8.53,7.56,7.69,8.53,9.72,10.78,11.81,12.78,12.81,12.53,10.56,8.78,7.0,5.31,4.38,4.62,5.19,5.53,6.78,6.41,6.5,5.66,4.72,4.0,2.81,2.56,2.56,3.03,4.38,5.47,6.84,7.47,7.91,8.75,9.25,10.22,11.38,11.91,13.66,13.72,15.06,16.12,16.28,16.16,16.34,15.81,15.03,14.5,14.06,13.97,14.53,15.38,16.84,16.91,17.84,18.31,17.16,17.06,14.81,13.47,12.28,11.34,11.5,10.59,11.16,9.97,8.97,7.31,6.94,3.25,-0.06,-2.09,-2.97,-2.44,-0.34,2.88,6.12,8.81,10.84,10.72,8.5,5.91,2.31,-0.16,-2.38,-3.09,-1.34,-0.75,2.09,3.97,6.94,9.25,10.56,11.56,13.38,14.09,14.44,15.41:positivity
34.88,36.72,37.34,35.88,35.66,34.38,32.75,31.78,31.41,30.5,31.38,31.62,31.66,32.19,32.25,32.41,32.66,33.88,34.91,35.66,36.59,37.19,37.66,36.69,36.53,36.31,35.75,34.88,34.5,33.88,33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25:32.75,31.78,31.41,30.5,31.38,31.62,31.66,32.19,32.25,32.41,32.66,33.88,34.91,35.66,36.59,37.19,37.66,36.69,36.53,36.31,35.75,34.88,34.5,33.88,33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25,-13.09,-10.75,-9.5,-8.03,-8.06,-8.91:31.66,32.19,32.25,32.41,32.66,33.88,34.91,35.66,36.59,37.19,37.66,36.69,36.53,36.31,35.75,34.88,34.5,33.88,33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25,-13.09,-10.75,-9.5,-8.03,-8.06,-8.91,-9.94,-10.97,-12.75,-13.69,-13.84,-14.59:34.91,35.66,36.59,37.19,37.66,36.69,36.53,36.31,35.75,34.88,34.5,33.88,33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25,-13.09,-10.75,-9.5,-8.03,-8.06,-8.91,-9.94,-10.97,-12.75,-13.69,-13.84,-14.59,-13.12,-13.44,-13.72,-13.06,-11.47,-10.19:36.53,36.31,35.75,34.88,34.5,33.88,33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25,-13.09,-10.75,-9.5,-8.03,-8.06,-8.91,-9.94,-10.97,-12.75,-13.69,-13.84,-14.59,-13.12,-13.44,-13.72,-13.06,-11.47,-10.19,-8.78,-7.41,-6.09,-6.47,-6.72,-6.97:33.06,31.56,30.62,28.81,27.09,24.91,22.91,21.66,20.69,19.56,20.12,22.28,25.88,30.44,34.41,37.81,39.47,40.19,39.66,36.44,34.03,30.38,25.88,22.44,18.12,14.12,11.66,8.53,7.06,5.41,4.44,3.5,1.78,1.62,0.56,0.0,0.16,0.53,0.62,1.12,1.69,1.41,1.81,3.25,4.69,7.53,11.34,13.81,17.78,20.34,23.38,26.84,29.62,31.94,33.0,31.72,28.34,22.88,18.09,14.69,12.12,12.16,13.53,15.38,16.78,17.16,17.34,15.78,12.94,9.53,4.97,-0.06,-5.12,-8.0,-8.81,-10.34,-9.47,-7.72,-6.53,-6.19,-5.94,-5.53,-4.91,-4.38,-2.94,-1.0,1.41,3.44,5.5,7.19,9.88,9.56,9.78,9.25,7.97,6.09,5.09,3.19,2.16,0.94,0.81,0.56,1.5,2.84,5.38,8.75,11.56,15.16,17.25,18.16,18.78,16.84,16.16,15.41,14.84,16.16,17.16,17.94,16.91,15.97,14.94,12.66,10.41,9.19,8.28,6.75,6.56,6.19,6.16,5.88,6.31,5.5,5.66,7.41,7.88,9.66,12.16,14.59,18.0,19.84,20.03,19.22,17.25,13.81,10.66,7.5,5.0,3.03,1.53,3.47,3.06,6.31,9.03,10.5,12.62,14.03,14.94,14.66,13.78,12.12,11.12,10.0,9.31,7.75,6.75,4.94,2.53,1.91,2.06,2.66,6.81,8.22,10.31,11.47,10.88,9.28,8.19,8.09,7.19,7.25,7.84,8.28,7.81,8.12,7.47,6.66,6.41,7.53,8.16,9.16,11.0,12.19,13.06,13.12,13.69,12.69,12.81,11.16,10.28,8.62,5.81,3.38,1.66,-1.88,-3.34,-3.69,-2.22,-0.72,2.16,5.81,8.78,10.72,12.41,11.69,9.72,7.75,5.47,4.53,4.06,5.31,6.81,7.28,9.12,10.22,10.56,11.03,10.44,8.81,7.88,6.59,5.75,5.56,5.81,6.06,5.94,5.75,5.69,6.28,6.06,7.69,8.31,9.25,10.97,12.25,12.69,13.06,13.72,12.5,12.41,10.5,8.09,7.25,5.5,3.72,4.06,4.28,3.88,5.25,8.69,11.31,15.19,19.47,21.41,23.31,22.28,20.44,19.34,17.5,15.72,14.91,13.75,12.16,11.31,10.88,10.34,11.47,11.69,12.97,14.62,16.16,17.25,18.47,18.88,18.41,17.72,17.91,17.16,16.88,16.5,17.12,17.5,17.22,17.72,17.69,17.56,16.88,16.62,15.97,15.22,15.31,12.44,12.16,13.03,13.84,18.19,21.78,26.38,28.25,29.0,26.41,23.88,20.25,16.34,12.53,10.5,8.03,5.78,4.94,6.06,6.53,7.94,9.66,10.56,10.38,11.5,10.22,10.28,10.62,12.06,11.12,12.44,13.53,12.09,12.62,13.62,13.25,14.78,14.66,13.97,14.25,12.31,11.12,10.44,9.09,7.81,7.72,7.25,8.03,8.88,10.31,12.31,14.81,15.84,14.97,14.78,13.69,11.94,11.06,9.62,8.06,6.5,6.19,4.06,4.34,4.56,4.31,3.78,3.25,2.69,1.56,0.69,1.25,0.59,2.81,3.59,3.94,5.16,6.12,6.25,7.16,8.81,8.94,10.81,10.47,8.16,7.34,5.91,4.69,3.91,3.41,3.66,3.19,1.44,0.84,0.91,-1.59,-1.94,-4.22,-5.88,-6.0,-5.84,-4.91,-2.53,-0.41,-0.41,0.41,0.03,-0.53,1.22,2.41,4.31,6.81,9.62,12.28,12.72,12.72,11.06,8.75,4.66,1.84,1.12,1.38,3.22,5.25,8.19,8.56,10.34,10.69,9.41,8.38,6.41,5.81,6.25,3.91,5.19,6.5,4.84,4.91,3.53,3.47,2.91,2.88,2.38,2.5,2.75,2.59,2.69,4.12,4.66,4.38,4.88,4.53,4.62,4.12,1.84,1.31,-0.25,-2.22,-2.41,-3.97,-3.84,-4.34,-2.19,1.66,3.75,7.16,8.38,10.56,11.03,11.91,13.44,14.69,14.81,15.56,15.88,15.44,15.66,13.75,12.25,10.47,7.97,5.69,4.66,4.88,4.53,4.56,5.47,5.84,4.88,4.16,4.81,5.0,5.69,7.38,10.34,12.53,14.12,15.19,15.75,13.91,12.19,8.69,5.81,2.31,0.75,-1.69,-3.22,-3.62,-4.09,-3.72,-4.19,-3.84,-4.22,-4.03,-5.09,-6.84,-6.53,-6.94,-5.84,-3.75,-1.34,1.41,2.59,2.75,2.56,2.31,0.38,-0.84,-1.84,-2.91,-1.84,-2.41,-2.28,-2.16,-0.66,1.19,3.19,4.88,8.03,9.97,9.31,9.16,10.22,8.72,8.91,10.56,11.31,12.59,12.84,12.97,13.06,11.56,12.09,11.56,11.31,11.94,11.84,12.94,14.22,15.97,16.81,16.69,18.0,16.5,13.5,13.06,12.31,9.28,9.88,11.06,12.41,16.12,20.12,22.09,23.28,23.59,21.72,18.09,14.56,10.19,7.31,7.38,5.69,7.62,8.34,8.44,9.91,9.66,10.22,12.06,12.19,14.44,15.44,18.53,21.0,22.12,23.72,23.88,21.88,19.59,16.56,15.66,13.59,13.94,13.69,14.78,15.72,15.34,16.22,16.75,17.75,17.31,18.12,19.09,18.97,19.91,21.25,21.56,22.31,21.03,19.53,17.16,14.62,11.12,9.06,6.56,6.44,6.03,6.34,6.56,8.31,6.88,6.91,6.38,4.91,5.25,5.25,5.84,7.19,9.91,11.88,15.03,17.75,20.94,20.44,21.19,20.94,18.16,17.03,16.84,15.94,13.91,12.06,9.88,5.75,2.34,-1.03,-3.81,-4.56,-5.19,-6.06,-4.47,-1.94,0.59,5.59,10.44,15.25,20.25,22.81,23.81,24.06,21.84,19.28,16.59,13.38,10.41,6.09,4.16,1.75,0.38,2.12,2.09,2.19,3.19,3.06,2.44,1.38,2.12,3.75,4.53,5.91,8.38,10.31,12.06,12.91,12.31,12.91,13.56,11.81,13.25,13.22,12.5,11.69,11.5,11.06,11.0,11.47,11.47,11.97,12.72,12.47,12.06,10.91,9.88,8.94,7.94,8.5,9.28,9.5,10.66,11.41,9.41,10.69,11.0,11.84,13.41,13.69,14.41,15.0,13.94,12.59,13.69,12.84,12.34,11.12,10.0,9.53,9.06,10.03,12.5,16.19,17.91,18.94,19.44,18.91,18.03,18.0,16.88,15.72,16.41,15.41,14.0,16.0,15.88,15.72,16.91,14.31,13.88,10.81,9.94,10.34,9.41,11.72,13.44,14.62,17.69,20.03,21.53,21.91,21.44,18.75,15.91,14.41,12.72,13.03,15.19,15.12,14.88,15.38,13.53,13.97,13.91,12.97,14.22,13.88,14.81,15.94,16.94,18.5,17.56,16.41,13.69,11.66,9.41,8.56,8.44,8.53,9.47,8.38,7.81,7.81,6.12,7.31,9.31,8.44,10.12,10.47,9.72,9.56,10.16,13.38,13.41,13.28,13.28,10.81,7.25,3.75,0.78,-0.09,-1.06,-1.03,0.69,1.0,1.81,2.44,1.41,1.16,1.41,0.59,-1.06,-1.91,-3.75,-4.78,-4.56,-5.84,-5.44,-5.09,-5.72,-7.41,-7.72,-7.5,-7.28,-5.91,-4.81,-3.09,-1.16,0.0,2.78,6.12,9.62,13.62,15.84,17.62,18.0,16.66,15.41,13.94,13.44,12.12,12.41,12.72,12.12,12.53,11.47,10.44,9.25,-13.09,-10.75,-9.5,-8.03,-8.06,-8.91,-9.94,-10.97,-12.75,-13.69,-13.84,-14.59,-13.12,-13.44,-13.72,-13.06,-11.47,-10.19,-8.78,-7.41,-6.09,-6.47,-6.72,-6.97,-7.84,-9.22,-9.34,-9.59,-10.25,-9.34:positivity
11.97,14.66,16.22,18.12,20.03,19.03,20.66,21.06,20.66,22.41,23.94,25.62,26.59,27.03,26.31,27.0,26.03,28.0,28.97,30.06,30.69,30.38,29.06,25.78,27.97,26.31,26.69,26.84,26.62,23.94,21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22:20.66,21.06,20.66,22.41,23.94,25.62,26.59,27.03,26.31,27.0,26.03,28.0,28.97,30.06,30.69,30.38,29.06,25.78,27.97,26.31,26.69,26.84,26.62,23.94,21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22,-44.16,-43.44,-42.09,-41.94,-42.22,-41.91:26.59,27.03,26.31,27.0,26.03,28.0,28.97,30.06,30.69,30.38,29.06,25.78,27.97,26.31,26.69,26.84,26.62,23.94,21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22,-44.16,-43.44,-42.09,-41.94,-42.22,-41.91,-42.12,-41.41,-40.84,-39.59,-39.16,-37.78:28.97,30.06,30.69,30.38,29.06,25.78,27.97,26.31,26.69,26.84,26.62,23.94,21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22,-44.16,-43.44,-42.09,-41.94,-42.22,-41.91,-42.12,-41.41,-40.84,-39.59,-39.16,-37.78,-36.97,-37.09,-37.59,-36.38,-37.09,-37.19:27.97,26.31,26.69,26.84,26.62,23.94,21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22,-44.16,-43.44,-42.09,-41.94,-42.22,-41.91,-42.12,-41.41,-40.84,-39.59,-39.16,-37.78,-36.97,-37.09,-37.59,-36.38,-37.09,-37.19,-34.78,-33.72,-32.22,-31.06,-29.81,-28.28:21.88,18.88,16.81,14.88,14.34,14.81,15.56,16.81,18.09,19.31,19.81,20.19,19.81,19.31,18.0,16.72,15.41,16.16,13.31,18.62,17.78,19.66,19.44,17.75,14.0,12.41,10.5,8.81,8.97,9.16,7.97,7.72,6.66,5.16,5.56,5.16,6.06,7.06,6.41,5.56,4.06,0.75,-0.97,-2.0,-1.47,-0.62,3.53,5.53,7.22,10.06,10.78,8.75,11.53,10.97,11.78,12.0,12.91,13.31,12.53,13.91,14.0,16.25,17.28,17.91,21.44,21.5,20.25,20.78,22.34,20.16,20.31,21.72,20.31,18.19,17.47,16.53,15.25,11.78,9.31,7.66,4.56,3.56,3.53,6.56,5.25,9.28,14.31,14.72,18.19,18.81,17.06,13.5,9.94,5.84,2.31,-2.16,-1.34,-0.97,-0.44,3.44,6.81,7.34,8.41,7.59,6.47,4.59,5.09,2.72,5.44,5.66,4.25,4.31,1.84,-1.84,-3.84,-3.81,-4.47,-2.78,-1.97,1.5,4.31,4.81,11.69,12.88,12.41,14.19,11.06,9.0,5.47,3.69,1.97,1.06,1.91,2.56,2.66,2.31,-0.19,2.03,-0.94,1.34,3.16,5.09,5.94,7.12,8.25,10.88,11.81,14.62,15.47,13.56,13.06,10.09,9.69,7.94,8.56,8.06,7.69,6.41,4.66,4.31,2.94,3.12,2.66,1.66,5.44,7.53,10.5,14.16,17.19,17.25,17.09,15.25,13.34,12.28,11.81,12.41,14.22,15.69,16.16,15.75,13.62,13.12,11.62,10.47,11.09,10.5,8.94,9.41,8.88,7.28,5.94,4.12,3.44,2.06,3.91,5.28,7.91,9.25,9.0,11.03,10.91,11.19,12.44,12.78,12.59,11.91,8.31,11.28,10.78,12.03,14.53,14.72,15.44,12.34,10.38,7.44,6.69,7.03,8.22,9.12,8.78,12.94,12.94,13.44,14.84,13.97,13.38,11.28,10.75,10.88,10.81,12.81,15.22,16.5,15.84,17.16,16.31,14.06,11.81,11.69,9.44,8.0,7.5,7.03,8.97,9.53,10.5,9.84,10.56,10.25,9.09,9.84,9.84,11.41,14.19,15.12,17.47,19.12,18.97,17.47,15.78,13.78,12.91,11.41,10.19,10.22,9.0,9.69,9.78,8.12,10.81,10.66,9.84,11.25,11.34,11.44,11.16,11.5,11.31,12.78,12.19,13.06,13.78,12.81,13.0,13.0,11.25,8.31,9.06,7.28,6.78,8.59,9.31,11.62,13.0,14.5,14.94,14.28,13.12,13.06,12.41,12.19,12.0,10.34,9.88,7.16,3.03,2.16,-0.97,-3.78,-5.12,-6.59,-7.44,-8.16,-5.91,-4.16,-2.0,0.62,4.28,6.72,10.25,9.75,14.41,13.59,14.31,12.94,11.62,8.66,4.72,3.31,1.31,-0.59,0.19,0.75,1.31,2.47,4.69,5.41,3.91,7.44,6.53,7.16,8.06,7.44,6.84,7.0,6.28,6.19,7.53,7.81,9.06,8.91,7.28,10.0,8.53,10.0,10.75,11.56,8.56,8.19,6.38,6.12,5.78,6.94,5.53,9.72,10.16,9.84,12.06,12.75,10.78,9.81,8.78,6.91,4.31,2.78,0.78,-1.53,-1.59,-3.47,-1.81,-0.75,0.56,0.38,0.5,-2.22,-5.62,-4.66,-5.91,-4.66,-0.12,2.19,5.84,8.31,11.16,11.78,11.94,11.0,10.25,8.91,8.41,8.78,8.31,6.78,4.41,4.03,0.31,-1.09,-2.19,-2.44,-4.03,-4.34,-3.41,-0.94,-2.56,3.25,6.06,8.56,12.06,15.34,15.0,13.72,11.59,10.41,8.09,7.16,7.16,5.59,7.75,7.12,6.84,9.03,10.5,11.12,11.81,12.69,11.88,12.28,13.12,10.56,14.97,15.25,16.5,17.78,16.94,14.94,11.62,7.16,3.78,-1.34,-3.25,-8.22,-9.06,-9.72,-10.38,-9.66,-7.38,-6.53,-7.31,-6.66,-6.88,-6.62,-5.91,-4.84,-2.56,0.03,2.88,6.12,9.06,11.94,13.22,13.31,11.66,9.75,7.28,5.34,4.84,4.78,4.19,4.94,3.09,1.12,-0.19,-2.44,-2.09,-1.94,-1.53,-1.94,-0.09,0.75,2.62,5.47,8.12,10.34,12.31,11.47,12.66,12.06,10.62,8.91,7.81,5.03,3.91,1.5,0.66,1.72,-1.16,0.66,0.03,-0.78,0.62,0.19,0.03,-0.69,-0.59,0.09,1.5,1.94,3.03,3.16,2.0,1.0,-2.22,-1.22,-2.59,-2.03,-1.81,-2.94,-3.06,-6.03,-6.19,-5.16,-4.47,-3.81,-4.69,-1.81,-4.34,-4.44,-4.03,-3.88,-4.84,-6.47,-5.91,-6.28,-8.97,-4.53,-4.34,-2.06,-0.28,3.06,3.16,5.12,5.62,5.03,3.03,1.81,-0.84,-3.22,-2.81,-4.03,-4.28,-3.41,-4.16,-3.06,-6.78,-1.84,-2.72,-0.66,2.0,4.97,7.31,8.44,9.62,11.81,11.38,11.16,7.0,7.22,4.38,2.62,2.31,1.53,1.81,1.0,0.88,1.97,2.66,2.19,3.69,1.69,2.38,3.91,4.44,7.31,10.16,12.0,13.28,13.03,11.69,10.28,8.34,6.31,6.44,4.97,3.34,3.41,2.34,0.19,1.19,0.91,0.41,0.5,0.59,1.47,1.91,1.31,1.72,-0.03,-1.75,-1.94,-4.69,-4.91,-0.72,-1.94,-0.66,5.72,8.25,11.03,13.03,13.41,11.28,9.28,5.44,3.62,1.78,0.0,-0.53,-3.22,-4.44,-4.34,-4.69,-3.09,-0.22,3.19,6.19,7.81,9.31,9.94,9.56,6.72,0.97,-0.97,-5.75,-8.72,-10.78,-9.75,-11.12,-11.09,-10.19,-10.22,-9.34,-8.34,-7.75,-7.09,-8.34,-6.03,-5.59,-4.16,-0.56,2.12,4.5,6.94,7.28,8.66,7.91,6.38,5.94,1.06,1.91,-0.16,-1.56,-1.16,-2.03,-1.47,-1.78,-3.19,-3.91,-4.16,-4.94,-3.69,-8.09,-3.09,-3.62,-3.31,0.09,3.34,5.31,8.0,9.34,10.16,10.12,6.53,6.91,4.41,2.62,0.84,0.25,-0.84,-2.84,-3.69,-3.41,-3.97,-7.22,-6.75,-7.06,-7.09,-6.03,-4.22,-3.78,-2.94,-2.22,-2.72,-1.69,-2.06,-2.41,-3.59,-4.09,-7.28,-4.09,-3.16,0.69,4.38,6.0,7.31,7.25,6.19,4.94,4.16,6.84,8.78,11.16,14.5,17.56,17.16,17.66,16.19,16.0,14.12,13.25,11.78,11.31,8.88,9.16,6.81,8.47,8.56,8.88,11.56,12.34,14.5,15.75,15.91,14.56,10.12,10.44,7.5,7.09,7.53,9.81,9.56,10.12,11.06,8.91,8.31,8.56,6.69,6.66,4.38,7.81,7.94,10.28,13.16,14.41,15.12,14.38,13.78,12.53,11.16,9.44,6.75,5.78,4.62,3.12,2.53,2.94,2.31,2.91,3.78,2.19,3.53,3.72,4.56,6.81,6.56,7.03,6.06,3.69,1.97,-2.44,-2.47,-4.03,-3.72,-0.97,1.97,4.88,5.81,8.41,8.41,8.5,7.47,6.5,2.34,2.78,-1.03,-1.16,-2.53,-3.34,-4.16,-5.91,-5.88,-5.5,-4.06,-1.59,0.75,1.56,3.03,6.94,6.62,9.47,12.0,13.31,12.16,12.94,10.78,9.47,8.78,7.66,6.75,6.41,6.06,3.81,7.41,8.12,11.75,13.53,15.75,15.28,13.66,13.19,10.62,9.56,4.44,5.91,3.0,0.97,0.22,-44.16,-43.44,-42.09,-41.94,-42.22,-41.91,-42.12,-41.41,-40.84,-39.59,-39.16,-37.78,-36.97,-37.09,-37.59,-36.38,-37.09,-37.19,-34.78,-33.72,-32.22,-31.06,-29.81,-28.28,-27.47,-28.09,-27.72,-28.22,-30.53,-34.41:positivity
36.16,37.06,38.62,38.28,40.25,41.25,43.31,44.0,43.09,43.66,42.25,40.72,39.47,37.66,34.44,32.66,31.56,31.0,31.72,33.38,33.19,34.0,32.94,32.12,31.81,30.56,29.88,29.06,26.69,25.84,26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16:43.31,44.0,43.09,43.66,42.25,40.72,39.47,37.66,34.44,32.66,31.56,31.0,31.72,33.38,33.19,34.0,32.94,32.12,31.81,30.56,29.88,29.06,26.69,25.84,26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16,-1.66,-0.22,1.84,3.28,4.88,5.34:39.47,37.66,34.44,32.66,31.56,31.0,31.72,33.38,33.19,34.0,32.94,32.12,31.81,30.56,29.88,29.06,26.69,25.84,26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16,-1.66,-0.22,1.84,3.28,4.88,5.34,6.0,5.47,4.81,3.69,2.06,-0.16:31.72,33.38,33.19,34.0,32.94,32.12,31.81,30.56,29.88,29.06,26.69,25.84,26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16,-1.66,-0.22,1.84,3.28,4.88,5.34,6.0,5.47,4.81,3.69,2.06,-0.16,-1.94,-4.69,-7.03,-8.25,-9.16,-8.59:31.81,30.56,29.88,29.06,26.69,25.84,26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16,-1.66,-0.22,1.84,3.28,4.88,5.34,6.0,5.47,4.81,3.69,2.06,-0.16,-1.94,-4.69,-7.03,-8.25,-9.16,-8.59,-7.5,-6.47,-6.28,-5.5,-6.56,-6.56:26.0,26.28,28.22,31.97,34.84,38.16,40.34,42.94,45.47,47.31,49.34,52.09,53.03,54.56,53.09,51.81,50.16,45.44,43.31,41.28,39.94,39.53,37.19,37.31,35.47,32.81,31.06,27.94,24.91,22.12,18.94,16.91,14.25,14.19,13.47,12.09,11.5,12.94,11.34,11.28,11.53,11.62,11.38,10.88,10.06,7.03,5.78,2.94,2.09,3.0,3.81,8.06,10.5,13.41,17.03,18.38,19.0,19.69,18.16,17.19,16.78,15.09,13.94,14.84,15.31,17.59,20.38,22.72,23.81,26.12,24.53,25.03,24.91,25.06,25.66,24.75,24.41,22.03,20.81,18.38,17.53,16.16,16.19,15.91,16.0,16.88,18.44,19.75,20.75,23.16,24.41,23.75,24.53,24.59,22.16,22.81,22.81,22.31,22.19,21.06,19.47,17.62,15.38,13.84,13.91,14.16,14.44,14.66,13.28,13.66,11.66,10.59,11.53,13.31,15.09,17.34,19.56,20.25,20.78,21.28,21.69,22.5,22.38,21.94,21.75,20.84,19.44,19.5,19.44,19.09,18.69,18.0,17.56,17.25,17.56,18.12,19.53,20.81,21.72,22.06,22.56,22.97,23.34,24.19,24.47,24.88,24.53,24.72,24.56,24.66,23.31,22.66,22.31,20.03,18.78,18.19,17.25,16.69,16.38,16.78,16.91,17.09,18.53,20.0,20.62,23.25,25.62,26.62,27.53,27.81,27.84,27.69,27.62,27.41,26.81,25.72,25.31,24.41,25.16,24.09,24.44,24.75,26.53,28.75,33.59,37.59,41.12,43.38,42.84,42.5,39.03,36.12,33.66,31.81,30.09,28.0,26.56,23.81,21.88,20.62,19.47,18.94,19.31,19.75,19.44,21.31,21.03,21.28,21.06,19.44,19.47,19.28,19.44,20.28,20.5,19.78,20.19,20.75,21.69,23.12,25.06,26.28,27.97,29.12,29.62,30.78,31.31,30.16,29.62,28.91,26.88,24.72,24.31,24.91,25.03,26.56,28.19,29.44,29.62,30.06,31.16,32.28,33.69,35.03,34.53,33.72,33.56,32.09,31.16,30.28,30.53,29.5,29.56,31.41,32.06,32.31,31.53,30.75,29.25,27.84,26.88,27.16,25.69,24.41,23.44,21.66,20.62,19.28,17.38,16.25,14.12,14.28,15.41,17.28,19.84,22.03,22.72,21.56,20.28,19.47,17.75,16.5,15.81,13.91,11.84,10.38,9.06,8.41,8.72,8.94,9.03,8.91,8.69,10.44,11.56,13.03,17.25,19.44,20.91,22.81,23.53,22.78,24.0,24.69,26.56,28.0,28.53,28.5,27.22,25.69,23.75,21.91,20.38,19.72,19.84,21.44,22.41,23.5,24.25,24.22,24.16,25.44,26.28,27.16,28.22,27.91,27.88,28.56,29.12,30.03,31.66,32.94,34.16,35.72,37.34,38.0,36.62,35.53,33.59,31.72,30.31,30.5,30.94,32.31,33.25,34.06,35.53,37.31,39.44,41.5,42.69,44.94,44.06,43.69,42.38,39.94,37.56,34.78,32.88,32.03,32.22,34.56,36.22,38.53,40.28,41.06,41.81,41.12,40.72,38.09,35.78,33.56,30.03,28.0,26.16,24.75,24.34,25.03,25.62,26.41,26.78,27.28,26.91,27.31,28.5,29.0,30.91,32.66,34.75,35.5,36.56,36.53,36.22,36.22,36.72,36.97,36.69,36.81,35.06,33.03,31.19,29.94,29.19,27.62,28.03,27.97,28.81,29.56,30.5,31.28,32.28,32.5,33.41,34.38,35.19,36.25,37.25,38.41,41.16,43.69,45.06,45.88,45.53,44.0,41.69,39.31,38.81,39.09,39.06,39.97,39.31,39.53,38.5,37.81,37.16,36.59,36.88,35.41,35.09,34.97,33.47,32.03,32.53,31.41,30.53,31.78,32.66,34.06,35.53,35.97,36.72,36.62,35.75,35.59,35.03,35.31,34.56,35.03,36.28,38.16,39.0,39.94,39.97,39.28,38.62,37.06,36.84,36.09,37.19,37.69,37.16,40.0,39.81,39.78,41.44,42.06,42.41,42.66,43.06,43.25,42.56,42.56,42.44,41.75,40.81,40.56,38.59,37.31,36.84,36.19,35.06,35.34,34.03,33.03,31.78,31.16,30.75,30.81,31.38,33.12,33.28,34.5,35.25,35.34,35.41,36.28,36.31,36.84,37.28,37.31,37.25,37.19,37.28,37.56,37.25,36.44,36.81,36.34,35.31,35.94,34.81,34.06,34.56,33.97,34.0,33.28,32.5,30.19,28.88,28.06,26.94,26.62,26.31,26.66,26.88,25.81,26.22,25.56,26.0,26.91,28.72,29.53,31.03,31.75,31.16,31.91,31.41,32.5,33.16,33.88,34.16,35.38,34.66,33.59,32.66,31.75,30.16,28.44,28.06,27.81,29.41,30.97,34.03,36.91,38.41,39.81,40.78,40.22,39.44,39.38,38.28,37.12,37.09,36.56,34.94,32.38,30.53,27.69,26.66,26.22,25.78,27.84,29.69,30.56,31.56,32.81,32.31,32.78,32.81,31.69,31.56,32.19,32.25,32.78,34.12,34.34,33.94,33.84,32.31,32.12,32.0,30.75,31.78,32.41,32.16,33.06,34.03,34.06,32.88,34.06,33.62,33.91,33.88,34.03,34.25,33.72,33.53,33.31,32.81,31.06,31.09,29.41,27.5,26.5,26.53,26.12,26.59,28.41,30.41,31.84,33.59,34.34,34.28,34.91,34.03,32.81,31.81,30.31,29.06,25.91,26.12,25.78,25.94,28.12,30.5,33.84,37.28,40.91,43.69,43.69,43.44,40.56,35.84,32.5,29.16,26.12,24.94,25.31,25.0,26.47,29.25,31.81,34.16,36.59,38.44,39.81,41.0,42.06,42.03,41.56,40.78,39.19,37.09,35.41,34.44,33.59,31.75,30.19,28.22,25.0,22.31,19.66,17.22,14.12,12.88,9.84,8.16,7.91,7.12,8.16,8.97,9.09,9.78,10.81,11.62,11.41,12.06,12.81,11.31,10.0,9.75,9.12,9.91,11.91,14.69,17.78,20.38,21.81,22.22,23.16,22.81,23.72,24.38,26.0,27.41,27.84,28.62,27.69,27.66,27.12,27.31,29.38,29.81,32.31,34.0,34.12,35.06,35.59,34.81,34.97,35.72,35.19,36.84,37.94,40.12,43.25,44.5,45.53,45.97,44.38,42.81,41.59,41.09,39.75,39.03,38.62,37.44,36.12,35.41,35.19,34.56,35.69,37.06,38.5,40.28,40.97,41.81,41.31,40.97,39.97,39.78,40.19,39.84,40.41,41.59,41.88,43.19,43.19,44.12,44.41,44.0,43.78,42.66,41.06,39.06,35.69,33.41,31.78,30.62,31.06,30.75,31.97,33.06,32.75,33.94,33.16,33.5,32.19,30.69,29.69,28.31,27.69,25.25,23.94,23.0,20.03,18.19,16.03,13.44,13.53,13.56,16.22,19.44,21.81,25.38,27.78,28.53,31.53,32.12,31.31,30.28,28.62,27.31,25.0,23.69,21.84,20.19,17.0,16.16,17.38,16.56,15.28,16.0,15.09,13.66,13.47,14.44,14.56,14.62,14.97,15.66,15.88,16.31,16.66,16.62,16.34,15.41,16.69,17.38,17.62,19.06,21.03,20.72,21.25,21.5,19.91,20.19,20.62,21.91,22.66,24.94,26.0,26.81,28.91,30.59,32.34,35.5,36.31,39.31,42.34,44.75,46.59,48.53,47.94,46.38,45.16,-1.66,-0.22,1.84,3.28,4.88,5.34,6.0,5.47,4.81,3.69,2.06,-0.16,-1.94,-4.69,-7.03,-8.25,-9.16,-8.59,-7.5,-6.47,-6.28,-5.5,-6.56,-6.56,-7.31,-8.62,-11.34,-12.16,-13.53,-15.09:positivity
69.59,72.12,73.62,74.34,73.38,71.44,67.0,62.28,58.88,56.88,56.91,58.91,61.91,65.66,69.12,71.06,72.09,69.0,64.53,60.16,54.69,50.31,48.56,48.06,49.25,49.88,53.53,55.25,57.66,59.69,61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97:67.0,62.28,58.88,56.88,56.91,58.91,61.91,65.66,69.12,71.06,72.09,69.0,64.53,60.16,54.69,50.31,48.56,48.06,49.25,49.88,53.53,55.25,57.66,59.69,61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97,37.69,40.78,43.16,44.22,44.41,42.84:61.91,65.66,69.12,71.06,72.09,69.0,64.53,60.16,54.69,50.31,48.56,48.06,49.25,49.88,53.53,55.25,57.66,59.69,61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97,37.69,40.78,43.16,44.22,44.41,42.84,40.66,37.06,33.94,31.25,28.06,24.5:64.53,60.16,54.69,50.31,48.56,48.06,49.25,49.88,53.53,55.25,57.66,59.69,61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97,37.69,40.78,43.16,44.22,44.41,42.84,40.66,37.06,33.94,31.25,28.06,24.5,20.41,17.19,14.09,12.47,11.84,11.81:49.25,49.88,53.53,55.25,57.66,59.69,61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97,37.69,40.78,43.16,44.22,44.41,42.84,40.66,37.06,33.94,31.25,28.06,24.5,20.41,17.19,14.09,12.47,11.84,11.81,11.44,9.97,9.06,8.16,8.03,9.91:61.91,62.38,62.91,63.31,62.34,62.06,60.44,58.75,56.84,54.25,51.31,50.31,49.03,49.62,51.16,54.69,56.72,59.53,61.66,62.53,61.44,60.22,57.25,53.91,50.25,47.0,43.66,39.75,35.69,30.94,25.84,21.94,18.75,17.0,15.66,16.09,16.5,17.16,16.62,17.66,16.5,14.38,12.69,12.38,12.0,11.88,12.75,15.34,16.28,17.75,20.12,22.22,23.59,24.5,24.66,24.47,24.81,24.81,23.88,25.0,24.41,24.72,26.06,27.34,28.94,29.97,30.5,30.38,29.19,26.97,24.91,22.72,19.75,18.91,17.88,18.16,19.94,19.56,20.91,20.94,20.12,19.06,17.31,16.91,13.66,13.12,11.19,10.31,11.91,12.19,14.12,17.34,17.72,17.97,18.12,17.44,17.44,16.91,17.38,17.03,16.84,15.66,13.88,11.5,8.38,5.53,2.69,0.69,-1.16,-1.84,-3.47,-5.59,-5.69,-5.72,-4.09,-1.72,1.91,4.31,5.44,6.16,6.12,4.06,2.66,0.03,-2.84,-5.06,-6.22,-8.56,-9.78,-11.03,-12.47,-12.56,-12.81,-13.78,-15.12,-14.78,-16.47,-17.22,-15.69,-14.69,-13.28,-10.72,-8.19,-7.25,-4.5,-3.16,-3.66,-0.78,-0.59,-0.19,0.62,0.59,1.03,2.84,2.28,2.69,3.06,2.5,1.84,1.81,3.38,4.56,6.03,6.34,6.53,6.16,4.59,4.5,3.19,2.5,3.47,2.31,3.75,4.69,6.88,8.31,9.91,9.78,10.19,10.0,9.25,8.09,7.62,7.75,6.41,6.38,6.28,5.84,7.16,7.81,9.47,12.31,11.53,12.38,11.16,9.25,6.06,4.62,1.47,-0.44,-1.0,-1.56,-1.34,-0.75,-0.53,-1.94,-2.44,-4.94,-4.44,-3.97,-1.38,3.06,8.16,13.03,15.81,17.53,16.88,13.5,9.62,5.47,2.28,-0.03,-1.31,-1.81,-1.5,0.06,-1.25,-1.19,-0.78,-1.19,-1.12,-1.88,-1.91,-2.19,-2.09,-3.12,-2.84,-1.09,-0.06,2.09,4.97,6.31,7.41,7.53,6.25,4.75,3.47,1.75,1.06,1.0,0.47,1.34,1.72,3.22,4.0,5.0,5.91,8.44,9.19,10.88,11.91,12.19,12.5,12.56,13.56,14.81,14.31,13.84,13.06,11.47,9.25,6.41,3.75,-1.34,-4.59,-7.47,-8.12,-8.28,-6.72,-5.53,-2.34,-0.72,1.44,3.53,4.06,3.72,4.72,5.31,4.88,4.94,4.84,2.56,1.81,0.88,-0.72,-0.41,0.22,0.69,1.69,4.12,5.84,7.53,9.72,11.5,13.09,13.06,15.53,16.03,17.06,18.25,19.16,18.91,19.12,19.19,20.0,21.75,24.81,26.62,27.25,27.5,26.41,25.0,22.69,21.09,21.16,19.66,20.0,21.19,22.44,24.22,26.84,27.28,27.97,26.12,23.66,20.22,16.78,15.16,12.69,12.84,13.72,13.5,15.12,15.53,17.06,16.62,17.12,17.22,15.72,14.94,12.12,9.97,9.75,9.91,10.56,12.94,14.56,16.41,17.0,17.44,18.19,17.19,16.56,16.78,16.5,16.56,17.41,17.94,18.53,17.94,18.81,18.06,17.94,18.06,19.28,19.78,20.91,21.75,22.09,22.28,22.66,23.41,23.62,22.69,23.62,23.56,24.16,24.78,25.22,26.06,26.0,26.81,25.97,26.31,26.31,25.09,25.03,24.19,23.72,23.72,22.88,22.0,22.81,23.5,24.5,27.16,28.47,28.94,28.81,27.88,25.09,22.19,19.69,18.53,17.81,19.16,20.81,22.31,25.25,24.78,25.84,26.03,26.25,26.91,26.69,26.94,27.0,25.69,24.25,22.06,19.94,17.69,14.81,12.62,11.16,11.91,14.91,19.06,23.75,29.28,32.56,35.0,34.94,34.16,31.94,28.84,25.19,22.47,19.56,17.84,16.34,16.03,16.72,16.84,17.16,17.28,17.78,17.66,17.25,18.16,19.0,19.69,20.66,21.66,22.78,23.41,23.16,23.97,24.22,23.91,24.25,24.66,23.72,23.81,24.06,24.06,23.66,23.75,22.81,22.09,20.62,19.41,18.62,19.12,20.66,22.16,23.88,25.69,27.16,29.0,31.34,32.28,33.47,33.16,31.44,30.31,29.44,27.47,27.69,27.44,27.81,27.69,28.81,29.53,29.97,30.66,30.75,30.62,29.47,27.53,25.5,22.59,21.28,19.31,18.25,18.25,18.56,18.47,18.84,19.97,20.19,19.91,20.38,19.41,18.41,18.03,17.03,16.16,15.72,15.06,15.06,15.06,15.91,16.5,16.97,18.16,19.38,20.81,21.81,23.31,23.62,23.56,22.91,20.72,19.34,19.34,17.31,15.94,16.53,16.06,15.66,16.81,18.78,19.62,21.41,21.81,23.06,24.38,24.88,25.44,25.75,25.94,26.34,25.53,25.5,25.0,24.53,24.53,24.09,23.94,24.62,24.25,25.78,26.5,26.94,26.19,27.62,27.34,27.94,27.91,27.88,27.31,26.53,24.31,23.84,22.56,21.19,21.22,19.53,20.88,21.16,22.19,23.94,24.97,26.59,26.69,26.25,26.06,25.72,25.06,26.69,25.94,26.28,26.84,26.22,27.19,27.91,28.09,28.06,26.94,27.44,26.94,26.91,27.53,27.34,26.16,26.62,25.31,25.69,25.62,26.03,25.53,26.31,25.22,24.84,25.12,25.25,25.72,25.62,25.38,25.06,24.5,23.56,23.53,22.53,22.22,21.56,20.44,20.53,20.38,20.5,20.28,20.16,20.38,20.12,21.59,22.5,23.03,22.91,22.25,20.28,19.06,17.97,17.75,18.91,20.5,22.75,27.09,31.03,34.34,36.88,36.44,35.44,32.88,30.09,28.44,27.66,26.44,27.19,25.62,24.94,24.0,22.81,21.72,20.38,19.16,18.41,16.19,16.31,16.5,17.34,18.94,21.34,22.62,22.69,22.78,22.03,22.47,22.84,23.81,25.78,25.84,26.94,25.81,25.16,25.78,25.94,26.38,27.72,28.56,28.53,29.62,29.28,29.69,29.28,29.91,28.88,27.94,27.53,26.06,26.28,27.47,28.84,31.25,32.97,35.09,36.25,37.53,37.97,37.06,36.34,35.56,34.41,33.84,33.5,32.03,32.0,31.69,31.84,31.44,31.62,31.53,30.5,29.34,29.44,29.03,28.0,27.66,26.84,25.94,25.44,24.97,23.81,23.03,22.44,20.84,20.22,19.41,19.25,19.53,19.31,20.53,20.66,20.19,20.16,20.62,20.53,21.69,23.0,23.47,24.09,25.38,25.31,25.97,25.91,25.44,26.25,25.84,26.56,27.81,29.31,29.12,29.81,29.31,29.81,30.22,31.91,33.31,33.81,34.5,34.19,32.44,32.34,31.72,31.38,31.22,31.31,30.16,28.78,28.31,27.78,27.0,26.31,26.72,26.03,25.31,25.59,25.34,24.62,24.72,24.56,24.38,23.62,22.94,22.19,21.44,20.44,20.88,21.25,22.0,22.56,22.91,24.69,24.84,26.44,26.75,28.16,29.19,29.78,30.16,30.78,31.28,31.69,31.5,30.69,29.19,28.72,28.25,29.38,29.81,31.44,32.84,33.5,33.91,34.0,35.56,34.91,35.34,36.38,37.25,37.78,38.31,39.34,39.62,38.75,37.19,35.41,33.31,33.25,32.38,32.12,32.53,32.53,31.75,31.66,32.5,31.94,32.94,33.84,35.0,36.25,37.62,39.81,42.25,43.72,43.97,37.69,40.78,43.16,44.22,44.41,42.84,40.66,37.06,33.94,31.25,28.06,24.5,20.41,17.19,14.09,12.47,11.84,11.81,11.44,9.97,9.06,8.16,8.03,9.91,12.53,16.03,20.81,24.31,27.62,30.28:positivity
63.72,65.34,65.75,63.88,60.78,57.78,55.81,54.44,53.53,54.78,56.19,57.69,58.78,60.59,61.88,63.06,64.16,64.91,66.34,65.41,66.12,64.81,64.75,63.94,65.38,65.31,65.94,67.81,67.59,65.66,66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66:55.81,54.44,53.53,54.78,56.19,57.69,58.78,60.59,61.88,63.06,64.16,64.91,66.34,65.41,66.12,64.81,64.75,63.94,65.38,65.31,65.94,67.81,67.59,65.66,66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66,8.56,8.16,5.91,4.0,-1.34,-5.19:58.78,60.59,61.88,63.06,64.16,64.91,66.34,65.41,66.12,64.81,64.75,63.94,65.38,65.31,65.94,67.81,67.59,65.66,66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66,8.56,8.16,5.91,4.0,-1.34,-5.19,-7.84,-9.72,-9.41,-7.47,-5.09,-2.34:66.34,65.41,66.12,64.81,64.75,63.94,65.38,65.31,65.94,67.81,67.59,65.66,66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66,8.56,8.16,5.91,4.0,-1.34,-5.19,-7.84,-9.72,-9.41,-7.47,-5.09,-2.34,0.69,3.62,6.62,9.59,12.16,13.5:65.38,65.31,65.94,67.81,67.59,65.66,66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66,8.56,8.16,5.91,4.0,-1.34,-5.19,-7.84,-9.72,-9.41,-7.47,-5.09,-2.34,0.69,3.62,6.62,9.59,12.16,13.5,13.66,13.0,11.03,9.34,7.31,5.75:66.75,66.56,66.06,66.94,65.88,64.34,63.31,59.97,57.06,54.59,54.34,52.53,53.66,56.97,59.44,62.66,66.44,68.78,70.31,69.66,69.22,68.0,67.38,64.31,63.16,61.97,58.75,57.56,56.31,54.0,52.91,52.19,52.53,52.03,52.47,53.53,53.25,55.25,56.09,59.56,60.41,60.72,59.0,54.66,49.06,45.19,41.59,39.97,40.88,42.5,45.62,48.06,50.47,52.56,54.31,54.91,55.72,57.53,58.44,59.0,60.75,62.0,63.03,63.19,64.19,64.31,64.31,63.53,63.47,63.06,61.59,61.34,60.28,58.94,58.06,56.53,53.53,51.69,50.38,50.03,49.47,51.06,52.28,54.88,56.97,59.06,60.19,59.84,59.56,58.69,57.28,58.06,58.53,59.62,61.06,63.12,64.12,65.09,64.25,64.09,62.78,59.53,58.53,56.69,54.41,53.78,54.19,52.97,53.41,53.34,51.94,50.06,48.69,47.12,45.44,44.84,44.66,43.94,43.28,42.62,40.97,39.44,39.12,37.59,37.88,37.31,37.53,38.12,38.41,39.53,41.16,43.38,46.19,48.5,49.56,52.16,51.44,51.16,50.75,49.69,50.09,50.56,50.94,51.34,53.0,53.06,54.53,55.16,55.5,55.81,55.56,56.56,56.0,57.44,58.34,60.03,61.19,61.69,63.66,63.91,63.56,62.66,60.31,58.06,56.41,53.47,51.88,49.62,48.16,45.81,44.38,42.0,39.25,38.25,35.25,33.34,32.84,33.31,34.84,37.75,41.84,46.25,48.44,52.0,52.5,53.59,53.81,53.47,51.69,50.12,48.38,46.53,44.78,44.78,44.25,43.44,41.12,40.91,39.12,36.56,37.25,38.88,39.16,40.84,41.91,41.94,41.78,40.56,40.03,38.31,37.16,36.75,36.31,37.12,38.75,40.34,40.09,39.84,37.84,35.47,33.62,32.62,32.66,33.59,35.75,38.28,42.06,44.75,47.5,49.56,49.66,49.34,47.66,47.06,47.16,47.47,48.31,49.62,50.12,49.53,49.25,48.28,46.88,45.84,45.88,45.59,47.81,49.47,51.19,52.66,53.78,54.31,54.53,53.47,53.25,51.94,51.5,49.75,49.69,48.66,47.69,45.81,44.81,44.47,43.75,43.69,44.28,45.34,44.59,46.06,46.69,46.94,48.12,48.03,47.31,46.22,44.72,42.19,41.12,39.66,39.5,39.06,40.62,42.25,44.25,46.81,46.91,47.47,44.78,42.16,38.12,35.81,34.72,35.16,37.38,40.5,43.59,46.12,47.25,47.66,46.91,45.38,42.94,41.88,38.84,38.41,36.44,35.66,36.97,37.66,39.31,40.25,41.91,42.62,43.41,45.0,45.56,46.16,46.94,48.41,48.38,48.56,48.12,46.81,44.91,43.22,42.88,42.16,42.94,42.91,42.5,41.34,41.06,38.94,39.44,39.69,40.25,41.94,42.97,44.41,45.53,45.19,46.22,45.81,47.91,47.5,49.16,50.53,50.12,50.62,51.06,50.53,49.19,49.12,46.91,44.91,42.78,40.81,40.06,38.91,39.28,38.38,37.03,34.84,32.84,31.03,30.69,30.75,31.47,34.06,34.91,37.16,38.41,39.88,40.03,41.12,42.5,41.91,42.5,41.62,40.44,38.94,37.03,36.94,35.62,36.34,37.81,38.97,42.44,45.94,47.69,50.69,52.31,51.72,50.31,47.84,44.28,42.72,40.56,39.75,40.19,41.56,42.31,43.31,43.53,44.5,45.28,44.88,46.12,47.97,48.69,50.19,51.47,51.09,50.56,49.16,45.97,43.12,41.78,41.03,40.91,42.5,44.09,44.31,45.12,44.53,45.06,44.25,44.16,43.41,42.28,41.59,40.72,40.19,40.69,40.84,42.12,42.59,43.38,43.31,43.12,42.22,42.56,41.88,42.44,43.38,43.53,44.0,44.38,44.44,43.62,44.12,45.06,46.78,48.84,50.5,51.72,52.94,52.5,52.75,52.53,53.25,54.25,55.12,55.38,56.56,57.31,57.0,57.19,56.56,56.03,54.66,55.53,55.0,56.5,57.28,57.25,57.59,56.69,55.19,54.62,54.41,55.12,55.16,55.94,56.69,56.06,55.31,54.28,52.88,52.12,50.44,50.12,49.53,47.62,46.75,44.62,42.81,41.34,39.69,39.16,37.97,37.56,37.19,38.0,39.88,40.69,42.75,43.69,44.56,45.28,46.06,46.69,48.22,48.78,49.88,50.56,51.25,51.47,52.06,51.91,52.25,53.88,55.44,58.5,61.78,64.25,66.03,66.03,64.12,61.41,58.16,55.19,52.56,50.5,49.0,47.81,47.16,46.06,46.16,45.06,44.5,42.97,42.94,42.5,42.75,43.59,44.0,45.44,45.19,45.38,46.19,46.44,47.06,48.53,49.56,50.56,51.0,51.78,51.19,50.0,48.81,47.59,45.44,44.31,43.53,43.62,44.75,46.03,47.47,50.06,51.06,53.34,54.56,54.69,55.34,55.31,53.41,52.25,51.47,50.31,49.22,49.25,50.0,51.44,53.56,55.72,58.41,59.03,59.0,57.91,57.12,57.19,56.72,56.28,57.31,57.22,57.94,58.72,59.91,60.72,61.03,60.28,60.12,60.34,60.78,61.94,62.62,62.5,62.31,61.81,60.62,60.28,59.56,58.97,57.41,56.53,56.56,56.56,57.06,57.94,58.47,57.94,57.84,58.16,57.16,56.97,56.53,56.53,55.56,55.66,54.78,54.12,54.03,53.78,53.12,54.59,54.0,55.94,57.31,59.31,61.94,63.38,63.69,62.41,60.34,57.56,55.81,54.19,53.62,54.31,55.28,56.53,57.31,57.06,56.72,55.0,53.41,52.31,51.47,50.81,49.81,50.66,50.44,51.69,53.47,54.53,56.31,56.69,57.06,54.66,55.06,54.47,54.28,55.31,56.31,57.81,58.84,59.38,60.75,61.19,62.41,62.94,62.88,63.09,62.41,61.03,59.81,58.53,56.31,54.94,52.22,51.94,50.69,50.19,50.41,49.97,50.75,50.09,51.44,50.28,50.66,52.03,52.41,53.34,54.88,55.59,55.94,54.91,53.81,52.81,50.56,50.53,50.97,51.66,53.12,54.53,55.53,56.31,55.81,55.38,56.0,54.22,54.53,53.66,54.5,54.84,56.75,58.0,59.44,60.56,59.34,57.84,55.59,53.69,51.44,50.44,50.03,50.03,50.53,50.84,53.12,54.22,56.28,57.81,57.78,58.09,56.22,56.0,55.38,56.81,55.41,56.16,56.09,54.44,52.28,51.25,51.16,51.0,54.0,58.62,63.69,68.62,71.53,72.06,71.5,66.5,62.91,58.5,55.91,53.06,52.5,52.69,52.22,51.59,51.97,51.56,52.12,52.34,52.09,53.06,51.91,51.47,52.38,52.22,53.03,54.12,54.72,55.28,56.31,56.25,57.06,57.44,58.59,59.94,61.22,62.16,63.56,64.41,63.44,62.81,62.19,60.5,57.97,58.34,58.47,58.56,60.78,62.09,61.47,60.81,59.19,57.09,55.25,52.91,52.28,50.06,50.06,50.34,51.66,54.19,57.34,59.62,62.66,64.38,65.31,65.69,64.81,63.88,62.19,60.19,58.0,57.25,54.31,52.81,51.66,49.72,48.19,48.41,48.12,48.47,48.94,49.94,51.28,52.5,52.88,54.06,55.19,55.72,54.38,54.53,54.41,53.22,53.53,54.31,54.41,56.69,57.75,58.75,59.88,58.28,55.25,54.03,50.59,48.59,47.66,8.56,8.16,5.91,4.0,-1.34,-5.19,-7.84,-9.72,-9.41,-7.47,-5.09,-2.34,0.69,3.62,6.62,9.59,12.16,13.5,13.66,13.0,11.03,9.34,7.31,5.75,5.38,4.41,3.78,4.06,4.03,3.16:positivity
29.97,30.53,32.19,33.47,34.78,37.81,38.69,39.72,39.0,39.5,37.28,35.19,32.72,29.97,27.97,25.94,25.38,25.22,26.03,28.25,28.88,30.78,32.41,33.53,34.81,35.41,36.38,37.56,37.84,38.34,38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91:38.69,39.72,39.0,39.5,37.28,35.19,32.72,29.97,27.97,25.94,25.38,25.22,26.03,28.25,28.88,30.78,32.41,33.53,34.81,35.41,36.38,37.56,37.84,38.34,38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91,-4.19,-2.91,-1.16,0.5,2.97,4.97:32.72,29.97,27.97,25.94,25.38,25.22,26.03,28.25,28.88,30.78,32.41,33.53,34.81,35.41,36.38,37.56,37.84,38.34,38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91,-4.19,-2.91,-1.16,0.5,2.97,4.97,5.91,6.28,7.28,6.25,4.56,1.16:26.03,28.25,28.88,30.78,32.41,33.53,34.81,35.41,36.38,37.56,37.84,38.34,38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91,-4.19,-2.91,-1.16,0.5,2.97,4.97,5.91,6.28,7.28,6.25,4.56,1.16,-2.78,-6.91,-10.81,-14.16,-15.53,-16.59:34.81,35.41,36.38,37.56,37.84,38.34,38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91,-4.19,-2.91,-1.16,0.5,2.97,4.97,5.91,6.28,7.28,6.25,4.56,1.16,-2.78,-6.91,-10.81,-14.16,-15.53,-16.59,-16.06,-14.53,-13.5,-9.91,-6.19,-2.94:38.09,37.81,35.84,34.16,31.59,28.03,26.0,24.44,24.06,24.19,25.06,27.03,28.62,29.44,30.5,31.69,32.81,32.31,32.19,33.28,33.41,34.31,36.84,39.19,42.0,43.62,45.5,45.06,43.06,42.38,40.09,37.72,36.25,33.34,30.81,27.88,24.62,21.91,17.41,15.06,12.72,9.34,7.88,6.53,5.97,5.72,6.28,8.16,10.81,11.81,12.28,12.66,11.78,10.81,11.41,12.0,12.94,13.66,14.31,13.03,12.16,11.78,11.41,11.62,11.62,12.66,13.31,14.88,16.53,19.38,22.31,24.91,27.5,28.41,28.66,27.97,26.5,25.69,25.5,26.81,27.88,30.0,30.25,30.28,30.84,29.06,29.19,27.62,27.78,26.5,25.31,25.09,24.62,25.97,27.25,28.81,31.03,32.75,34.0,34.66,36.81,37.28,38.69,39.56,39.75,38.69,38.44,35.81,33.38,33.31,32.12,31.66,33.34,33.22,35.28,35.97,35.53,36.09,36.5,36.41,35.69,34.88,34.25,33.53,32.25,32.09,32.59,33.59,33.16,33.91,31.31,31.09,30.25,30.03,30.66,31.03,31.97,32.31,32.16,32.19,32.81,33.16,33.56,33.03,32.69,32.19,30.44,29.12,29.84,30.0,30.19,31.84,32.31,32.94,33.16,33.34,33.09,31.66,32.12,30.5,31.47,31.25,33.03,35.44,36.09,36.12,36.03,34.16,34.03,33.34,34.47,34.19,35.53,35.38,36.53,36.09,37.81,38.38,39.41,39.84,40.56,40.38,39.41,38.59,35.34,32.78,30.09,27.56,25.31,23.19,22.03,22.25,20.84,21.66,23.44,23.97,25.28,27.38,26.53,28.0,29.12,28.22,29.41,30.44,29.91,30.62,31.06,30.38,29.03,27.81,25.81,24.0,23.53,22.44,20.31,19.94,18.41,16.5,15.47,14.78,14.78,15.16,16.25,18.81,21.59,24.84,27.16,30.09,29.84,28.25,26.25,23.59,20.44,17.19,16.59,15.66,16.06,17.69,19.91,22.44,23.31,26.25,27.22,28.84,31.62,33.75,35.72,37.34,37.19,36.69,34.22,31.03,28.03,23.12,20.91,19.38,19.38,20.75,24.91,29.0,32.62,35.75,36.5,36.62,36.66,34.06,32.0,30.06,28.16,25.47,23.0,20.59,19.12,18.59,17.81,19.88,22.06,24.22,27.03,28.44,29.03,28.38,27.03,25.62,24.03,22.78,22.81,23.78,23.66,24.78,25.62,25.81,24.78,25.19,26.31,26.03,27.59,29.06,27.69,26.34,24.31,21.81,20.06,18.59,17.44,17.38,18.47,18.38,20.53,21.5,21.56,23.59,23.94,25.47,26.22,28.09,30.47,32.72,35.22,38.41,40.41,42.0,41.66,41.06,39.59,37.75,36.69,36.12,36.69,38.19,39.31,41.0,42.41,41.78,42.16,42.16,42.06,42.06,42.25,42.66,40.88,41.72,42.0,41.5,42.34,43.44,43.09,42.78,43.69,42.72,41.69,41.47,40.88,39.62,39.12,38.19,37.47,36.22,35.66,35.38,35.41,36.62,37.44,38.75,39.31,39.81,39.94,38.78,39.03,38.53,38.19,38.91,38.28,39.09,38.16,38.34,38.94,38.44,39.53,39.78,40.72,39.97,41.25,41.06,41.19,41.44,42.38,42.12,43.34,43.59,42.78,43.88,42.78,43.91,44.06,43.56,43.25,42.88,42.69,42.0,41.31,41.41,41.88,42.22,44.25,47.84,50.25,53.16,55.41,55.69,55.22,53.84,52.12,48.88,46.22,45.25,43.81,44.31,44.94,44.81,43.94,42.53,40.84,39.81,38.62,37.59,37.34,37.75,38.28,39.94,40.53,42.78,45.03,45.47,48.34,48.62,49.53,50.56,50.94,50.75,50.56,49.53,48.06,45.69,44.38,43.88,44.16,45.66,45.62,46.16,45.53,44.53,43.72,42.91,42.16,41.59,40.25,39.19,37.72,38.16,37.38,38.38,39.53,38.72,39.19,38.97,38.81,39.41,39.62,39.56,40.0,39.28,38.56,37.25,37.19,35.28,35.44,33.78,33.12,33.81,34.09,35.59,38.0,39.91,42.19,45.16,49.06,52.81,55.31,57.06,57.81,56.19,54.41,52.56,50.88,50.0,49.66,48.66,47.19,45.56,43.56,43.12,40.81,42.31,42.81,43.44,44.78,45.47,45.97,45.66,44.66,44.16,42.66,43.25,44.31,45.19,48.12,49.78,52.16,52.56,52.78,51.44,50.09,48.03,45.41,43.38,42.78,42.16,43.44,45.03,46.03,47.97,48.06,49.38,48.66,48.47,47.69,47.62,47.09,47.41,48.06,49.34,50.75,52.12,52.78,53.69,54.56,56.47,59.66,62.16,65.59,69.16,71.41,71.19,71.06,69.56,67.0,65.09,62.41,61.44,60.0,57.47,57.06,55.22,53.97,52.25,51.91,51.44,51.16,50.81,50.41,49.94,49.53,48.03,47.0,46.22,45.75,46.12,46.53,47.59,48.5,48.56,50.0,51.09,52.25,53.38,53.66,54.5,54.06,52.31,51.44,50.88,48.5,47.38,46.19,45.19,45.78,45.97,46.62,46.19,45.84,44.66,43.5,42.75,42.0,42.22,43.16,44.5,45.81,46.97,47.97,48.84,49.34,49.22,49.91,50.81,51.56,51.91,52.16,51.06,49.72,47.72,45.78,44.81,44.03,43.56,44.69,44.84,45.06,44.19,43.53,42.91,42.25,42.12,43.34,44.12,46.03,47.53,48.25,49.62,50.0,50.5,49.5,49.06,48.81,49.41,49.62,51.75,53.5,55.19,55.91,57.25,57.81,57.97,57.06,56.91,56.44,55.5,54.81,53.91,53.41,53.72,53.28,54.31,55.81,56.16,57.66,58.75,58.94,59.31,59.38,59.5,58.94,56.94,56.53,55.81,54.72,54.66,55.31,54.28,53.22,53.19,51.88,50.94,50.28,49.62,49.09,48.44,47.03,46.62,45.97,45.38,46.38,46.97,47.56,49.31,50.19,50.81,52.06,52.53,52.66,51.72,50.81,49.12,46.84,46.56,44.94,43.47,44.16,44.16,44.0,45.94,49.0,52.31,55.72,60.0,64.78,68.31,70.81,73.06,72.94,71.94,68.06,63.5,58.75,55.56,54.34,54.38,55.97,57.25,58.09,58.38,58.25,57.81,58.0,58.09,57.78,56.25,54.94,53.91,52.53,53.31,53.97,54.75,55.25,54.56,54.03,52.75,50.94,50.72,49.41,49.09,47.69,48.47,47.97,49.44,50.25,51.66,52.19,53.47,55.06,55.56,56.03,56.91,57.38,57.78,55.47,55.69,54.88,54.66,54.66,55.06,57.06,58.19,59.06,60.5,61.62,62.94,62.94,63.03,63.53,62.91,62.75,63.88,63.44,64.69,65.84,65.78,66.0,65.59,64.81,62.91,62.31,60.66,59.19,57.25,55.31,54.91,53.69,53.94,54.31,53.38,52.69,51.0,48.12,47.19,46.5,45.69,47.38,48.25,50.06,52.09,52.41,53.38,53.53,52.94,52.41,51.69,52.75,52.25,53.69,54.78,55.03,55.44,54.91,55.5,54.62,54.44,54.31,54.06,54.69,54.97,55.12,55.78,55.62,55.75,54.88,55.0,55.06,54.34,53.91,54.38,52.72,52.84,51.56,50.0,49.41,49.69,49.97,50.53,52.12,52.0,52.03,51.78,50.81,49.84,49.75,50.31,49.56,50.91,51.19,52.38,51.81,50.91,49.56,46.91,-4.19,-2.91,-1.16,0.5,2.97,4.97,5.91,6.28,7.28,6.25,4.56,1.16,-2.78,-6.91,-10.81,-14.16,-15.53,-16.59,-16.06,-14.53,-13.5,-9.91,-6.19,-2.94,1.03,4.19,7.69,8.62,10.16,9.78:positivity
50.25,50.44,51.16,52.31,53.81,54.47,54.12,54.41,53.66,52.41,53.06,52.72,54.03,56.12,57.56,59.22,61.31,61.28,60.84,59.94,58.53,57.88,57.91,58.38,59.31,59.91,60.06,59.81,59.94,59.28,59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44:54.12,54.41,53.66,52.41,53.06,52.72,54.03,56.12,57.56,59.22,61.31,61.28,60.84,59.94,58.53,57.88,57.91,58.38,59.31,59.91,60.06,59.81,59.94,59.28,59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44,16.16,16.66,17.5,18.88,20.34,20.94:54.03,56.12,57.56,59.22,61.31,61.28,60.84,59.94,58.53,57.88,57.91,58.38,59.31,59.91,60.06,59.81,59.94,59.28,59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44,16.16,16.66,17.5,18.88,20.34,20.94,20.94,21.09,20.78,19.62,18.75,17.06:60.84,59.94,58.53,57.88,57.91,58.38,59.31,59.91,60.06,59.81,59.94,59.28,59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44,16.16,16.66,17.5,18.88,20.34,20.94,20.94,21.09,20.78,19.62,18.75,17.06,14.97,12.66,9.75,8.94,9.06,8.84:59.31,59.91,60.06,59.81,59.94,59.28,59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44,16.16,16.66,17.5,18.88,20.34,20.94,20.94,21.09,20.78,19.62,18.75,17.06,14.97,12.66,9.75,8.94,9.06,8.84,11.69,14.88,18.5,21.25,23.44,25.91:59.69,59.75,59.81,60.0,59.75,59.41,59.03,59.28,59.75,61.94,63.25,65.84,67.81,69.16,69.28,67.72,66.0,63.81,62.44,61.91,61.56,60.56,59.56,57.44,56.06,55.19,54.81,54.78,55.47,55.0,54.56,54.12,53.41,52.56,53.28,52.0,52.34,51.09,48.44,46.78,43.75,40.06,37.91,35.84,35.47,35.06,36.19,38.75,41.72,44.28,46.53,48.44,49.94,48.84,50.03,49.78,49.56,49.19,49.56,49.47,48.75,48.22,47.59,45.75,44.94,42.44,41.53,40.5,40.44,38.41,38.16,37.22,37.34,37.56,38.53,39.31,38.22,39.34,40.44,41.44,44.59,45.69,46.16,48.31,47.66,48.19,49.91,51.56,52.34,53.19,50.91,48.94,47.25,44.72,43.03,41.47,41.94,43.0,43.0,44.31,44.28,43.81,42.09,40.34,39.16,38.56,36.38,35.22,36.12,35.31,36.91,38.19,40.16,40.94,41.41,40.72,40.34,39.97,40.56,39.81,38.75,37.81,36.34,33.62,31.38,29.25,27.47,26.0,26.75,27.53,29.56,32.38,32.88,34.22,35.28,34.75,34.28,32.91,30.22,27.94,25.0,21.69,19.66,17.38,16.69,14.88,13.56,12.88,13.06,13.97,14.97,17.25,19.5,20.06,20.72,20.5,18.59,15.5,12.25,10.12,7.91,7.06,7.19,7.56,8.03,8.56,8.81,9.19,9.25,8.88,8.62,9.91,10.69,11.12,11.84,12.19,12.66,13.94,15.56,15.5,15.44,17.47,17.03,17.5,19.5,20.78,20.81,21.41,19.88,18.56,17.75,16.34,15.28,14.25,13.25,12.34,12.78,12.81,14.31,16.56,20.09,22.06,25.06,25.03,24.81,23.81,22.62,21.47,21.0,19.75,18.97,19.16,17.22,18.06,19.5,17.81,17.91,15.81,14.03,11.31,8.78,7.44,7.0,6.91,6.12,6.06,7.97,8.06,8.88,9.72,10.03,8.69,9.34,6.53,6.97,6.03,4.94,4.62,5.16,5.38,5.31,6.31,6.5,7.31,7.78,8.56,10.12,10.5,10.41,11.34,11.0,10.41,10.09,9.12,9.72,8.38,9.12,9.56,10.12,10.84,11.25,10.94,10.16,10.31,9.38,10.69,11.88,13.28,13.31,14.81,15.25,14.66,14.56,13.66,12.84,11.5,11.56,10.66,11.44,12.94,14.03,16.56,17.25,18.69,19.69,20.44,21.34,23.0,24.41,26.0,25.97,25.44,24.97,22.84,20.03,18.03,16.09,14.56,14.22,14.09,14.34,14.66,15.16,15.5,16.03,15.62,14.16,13.69,14.03,13.56,14.19,13.53,14.88,15.34,15.97,16.62,18.16,20.03,19.69,20.0,19.56,18.41,16.03,16.75,16.81,17.69,19.0,20.19,21.12,20.78,21.53,21.34,20.28,21.12,21.12,22.62,23.06,23.97,23.88,22.66,21.56,21.34,19.91,21.25,22.66,23.53,25.31,26.34,27.06,27.22,26.03,25.0,22.56,21.28,20.47,19.72,19.06,19.0,18.16,16.12,15.5,15.09,14.78,13.84,14.94,14.44,14.06,13.41,13.41,13.72,12.53,13.19,13.38,11.5,10.88,10.19,9.12,8.06,7.56,7.12,6.94,7.53,6.62,6.84,6.72,8.09,7.94,7.88,8.25,7.31,7.38,6.97,7.56,7.81,9.22,9.97,11.28,12.47,13.5,13.81,14.56,12.75,13.25,12.19,10.88,10.31,10.59,10.53,10.41,10.47,11.19,10.06,9.81,7.12,6.69,6.5,7.34,8.59,10.53,11.0,10.25,8.44,6.25,3.41,1.0,0.06,-0.19,0.81,2.41,4.66,7.22,8.56,10.94,12.78,13.56,13.91,13.31,11.44,8.16,6.06,4.09,2.94,3.25,2.62,3.94,6.28,8.72,13.38,19.03,23.69,27.41,31.09,31.19,30.66,28.53,25.97,25.16,22.53,22.47,22.09,21.41,23.0,23.16,24.09,24.38,23.12,21.38,19.91,18.59,16.0,14.53,13.38,12.5,12.25,13.0,15.06,16.12,16.66,16.81,16.5,15.47,14.84,14.16,15.03,16.59,19.06,20.91,23.81,24.97,25.38,27.22,27.06,28.66,29.03,29.41,30.06,30.12,29.81,29.66,29.66,29.56,30.69,31.56,32.09,32.16,31.97,29.91,29.75,29.41,28.34,29.66,30.69,30.38,29.94,28.06,25.66,22.91,19.47,18.38,16.41,16.44,17.31,17.47,17.59,18.31,17.78,17.12,17.78,17.66,17.97,18.38,19.59,20.16,21.94,22.91,23.91,24.31,24.06,23.91,23.5,23.78,24.0,25.84,26.84,27.72,29.09,30.12,29.16,29.59,29.84,29.22,29.66,29.97,29.91,29.47,28.78,26.53,25.56,24.19,23.31,22.66,23.94,24.22,24.22,25.41,25.81,26.38,26.44,26.97,27.25,26.25,26.16,24.34,22.41,20.38,19.94,18.5,17.88,17.91,16.66,15.97,15.19,13.69,13.06,12.44,12.16,11.12,10.44,10.72,9.66,9.97,10.03,10.31,13.47,15.66,19.72,21.94,25.25,27.44,28.38,30.19,30.56,31.25,30.91,28.78,27.75,24.69,22.88,20.19,18.06,15.72,14.16,13.59,13.38,14.34,14.38,14.94,16.34,17.03,16.59,16.38,14.69,14.06,13.91,13.31,15.69,18.19,19.69,20.56,20.66,21.31,20.5,20.06,19.19,18.84,18.31,17.91,18.28,18.16,18.25,18.16,18.25,18.72,18.66,20.69,21.66,22.97,25.66,27.34,30.06,31.44,32.12,31.91,30.41,28.94,27.41,27.06,26.06,25.31,24.41,24.06,22.78,23.0,21.97,21.31,21.09,19.56,17.66,17.34,17.09,18.31,20.62,23.41,26.09,28.75,31.19,34.25,36.78,39.16,38.81,37.72,32.94,27.38,21.0,14.56,11.41,8.53,6.75,6.22,7.03,7.75,8.88,11.41,13.88,16.03,18.75,20.03,21.16,22.19,23.28,23.47,24.34,23.81,21.97,21.03,18.88,18.34,17.44,17.09,17.25,17.81,17.91,18.53,19.25,19.16,19.47,18.78,17.25,16.41,16.12,16.03,15.81,17.19,19.47,19.41,21.78,23.53,25.19,26.38,27.66,29.16,29.94,29.19,28.5,28.09,27.78,26.28,26.94,28.0,26.62,28.03,27.06,26.88,26.5,25.84,25.62,25.38,24.28,23.47,22.81,21.69,20.69,20.75,21.66,22.28,22.19,21.72,21.06,21.06,20.22,18.66,18.41,16.16,14.44,13.16,12.69,12.12,11.03,10.28,9.66,9.75,9.66,11.59,13.44,16.12,18.06,17.69,18.66,19.0,18.38,18.81,20.81,19.94,21.59,21.28,21.06,21.84,22.34,22.41,22.75,23.5,22.16,20.88,19.41,18.28,16.62,14.41,13.53,13.31,12.75,14.0,14.88,16.06,16.38,16.69,17.12,16.34,16.78,16.09,16.53,16.31,15.62,15.62,15.09,14.12,14.19,14.16,14.62,14.97,16.09,17.56,18.56,18.66,18.53,17.88,18.16,17.12,16.91,15.84,13.72,14.06,12.75,13.56,13.81,14.59,14.12,13.41,12.62,11.31,10.91,11.0,12.69,13.66,14.62,15.56,16.34,15.56,15.22,14.38,14.62,14.28,15.53,15.81,16.81,18.56,19.62,20.34,21.5,21.62,21.41,22.12,22.72,23.44,22.59,21.72,18.44,16.16,16.66,17.5,18.88,20.34,20.94,20.94,21.09,20.78,19.62,18.75,17.06,14.97,12.66,9.75,8.94,9.06,8.84,11.69,14.88,18.5,21.25,23.44,25.91,26.62,26.5,26.31,25.44,25.06,24.09:positivity
55.22,55.53,56.28,56.69,58.69,58.94,59.38,59.47,59.34,59.31,58.12,56.66,55.41,53.81,50.25,47.25,44.66,43.41,43.53,44.34,46.59,50.5,53.28,56.38,59.19,59.94,59.34,56.5,52.75,47.47,43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31:59.38,59.47,59.34,59.31,58.12,56.66,55.41,53.81,50.25,47.25,44.66,43.41,43.53,44.34,46.59,50.5,53.28,56.38,59.19,59.94,59.34,56.5,52.75,47.47,43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31,-0.59,0.97,3.53,4.88,6.56,8.56:55.41,53.81,50.25,47.25,44.66,43.41,43.53,44.34,46.59,50.5,53.28,56.38,59.19,59.94,59.34,56.5,52.75,47.47,43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31,-0.59,0.97,3.53,4.88,6.56,8.56,9.0,10.03,10.91,10.94,9.28,7.09:43.53,44.34,46.59,50.5,53.28,56.38,59.19,59.94,59.34,56.5,52.75,47.47,43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31,-0.59,0.97,3.53,4.88,6.56,8.56,9.0,10.03,10.91,10.94,9.28,7.09,4.06,0.66,-3.88,-6.88,-10.41,-11.88:59.19,59.94,59.34,56.5,52.75,47.47,43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31,-0.59,0.97,3.53,4.88,6.56,8.56,9.0,10.03,10.91,10.94,9.28,7.09,4.06,0.66,-3.88,-6.88,-10.41,-11.88,-12.59,-11.22,-7.91,-3.31,2.84,8.41:43.53,41.78,38.97,39.78,41.0,41.53,43.16,43.81,45.06,45.94,46.38,45.62,45.94,46.22,45.88,45.66,46.09,46.69,46.12,46.59,46.06,45.03,45.56,45.19,44.66,45.75,47.16,49.69,51.06,51.19,51.97,50.44,49.28,48.5,48.0,48.16,48.44,47.41,45.84,44.38,41.88,38.41,36.0,33.34,32.59,32.69,33.66,36.0,37.12,37.09,37.69,36.72,37.0,35.38,34.69,34.5,33.72,34.22,35.69,36.34,37.69,38.91,40.38,41.81,41.81,41.47,42.47,42.56,43.44,45.66,46.69,48.81,50.41,50.75,52.03,53.06,52.44,53.47,53.56,54.5,56.06,56.81,57.59,57.69,57.56,58.09,57.84,60.56,61.03,61.41,62.66,61.69,60.59,59.38,58.69,56.91,56.19,54.5,53.59,52.88,52.19,51.84,52.28,53.56,52.78,53.34,54.06,54.94,55.44,54.72,54.28,52.31,50.56,48.38,46.31,45.0,44.91,45.62,46.44,47.28,48.38,48.16,48.25,49.81,49.34,50.25,51.41,52.19,52.5,53.03,53.31,53.44,53.66,53.69,54.03,53.69,53.28,54.38,53.91,55.69,56.84,58.31,59.91,62.0,62.0,62.72,63.75,63.06,63.03,60.91,59.5,57.12,56.31,55.0,54.84,55.19,55.5,54.72,54.88,54.28,52.16,52.03,51.28,50.78,51.56,52.12,53.03,54.28,54.38,53.91,52.62,51.41,49.0,49.06,48.56,48.75,49.59,50.0,49.72,50.56,50.94,52.16,54.09,56.16,57.44,58.94,60.38,60.44,61.56,62.84,64.31,64.94,64.62,64.09,61.72,60.09,58.41,57.22,57.16,57.78,58.19,59.12,60.81,61.56,63.06,64.06,63.16,63.06,61.94,60.75,60.41,60.41,60.03,59.56,58.69,57.38,55.94,53.22,51.78,49.0,48.19,45.69,43.56,42.19,40.69,39.31,38.0,37.88,38.22,40.22,41.84,42.91,44.69,45.44,45.06,44.28,44.5,43.56,43.28,43.78,43.28,41.44,42.09,40.75,40.94,43.19,44.5,46.44,48.41,49.31,50.75,50.16,51.06,51.0,50.56,50.56,50.88,51.38,52.62,54.66,57.19,60.09,62.22,63.0,62.25,60.5,57.47,55.38,53.12,50.31,49.16,47.81,47.0,47.03,47.81,49.03,49.44,50.56,50.03,48.28,47.66,46.12,44.56,44.72,44.34,45.12,45.88,45.03,45.62,45.44,45.66,45.97,47.84,48.78,50.03,52.03,52.94,54.09,55.44,54.62,53.81,53.69,52.34,51.56,50.56,49.19,48.0,46.44,45.59,45.5,44.75,45.97,46.5,47.22,48.62,50.78,52.31,53.84,55.12,55.41,55.97,56.09,56.31,56.12,56.19,56.31,56.69,57.06,58.22,58.0,58.44,58.62,57.62,56.94,56.59,56.31,55.03,54.44,52.88,51.47,51.25,49.56,50.53,50.41,50.69,50.66,50.44,48.75,48.03,48.06,46.69,46.78,47.03,47.41,46.28,45.38,44.34,42.41,42.34,40.72,40.53,39.31,38.88,37.53,36.25,34.56,32.53,30.12,28.25,27.12,26.16,24.81,24.84,24.75,23.88,24.31,23.94,23.66,22.75,22.12,21.53,21.16,21.62,22.62,23.09,24.47,24.66,24.91,25.22,26.0,27.16,28.28,29.84,33.12,35.47,38.06,41.06,42.06,43.81,43.97,44.84,45.06,45.69,46.56,48.16,48.41,48.53,48.34,46.75,45.62,43.81,42.03,41.47,40.53,41.56,41.09,40.84,40.19,40.06,39.5,39.12,40.06,40.53,41.56,42.66,43.06,43.88,43.03,41.94,41.25,37.12,36.16,35.44,34.75,35.44,35.84,35.84,35.5,35.19,34.94,36.12,36.28,37.19,38.06,39.5,39.34,38.56,37.69,35.62,35.19,34.66,34.62,37.22,39.31,40.56,42.62,43.53,43.09,43.66,43.66,41.91,40.28,38.16,36.06,34.09,33.56,33.53,34.78,35.97,36.75,37.94,36.62,36.62,36.31,36.0,36.38,37.56,38.62,39.72,39.88,40.66,41.03,40.84,39.56,39.28,37.94,37.12,35.81,34.53,34.31,34.31,33.28,33.16,33.62,33.0,33.19,31.94,31.41,30.31,29.34,29.09,29.56,29.12,28.91,26.59,23.03,17.34,10.72,2.5,-4.0,-7.28,-9.47,-8.28,-4.97,-1.34,2.88,7.31,10.44,12.31,12.84,12.22,11.34,10.22,10.84,12.5,15.12,19.06,22.31,25.56,28.12,30.09,31.62,32.59,33.03,32.81,33.25,32.69,32.34,31.47,30.91,29.91,28.72,27.94,27.25,27.62,28.59,30.34,32.69,35.34,37.56,40.47,42.72,43.94,43.81,43.81,43.16,42.53,43.56,43.94,45.12,45.0,46.28,47.12,47.72,48.41,49.47,51.06,51.62,53.66,54.03,54.94,54.41,54.41,55.31,55.44,55.16,54.06,52.81,50.88,49.41,49.38,49.34,50.03,51.81,51.75,53.78,55.56,56.09,57.5,57.91,58.94,58.5,57.84,58.25,57.44,56.44,56.19,55.75,54.88,52.62,50.97,49.03,46.25,43.22,41.44,39.56,37.75,36.31,35.25,35.0,35.72,36.44,37.78,39.72,41.12,42.44,43.94,45.78,48.03,50.19,51.0,51.84,51.44,51.19,50.97,50.78,51.38,51.94,52.53,53.94,53.09,52.88,52.97,51.31,51.41,50.31,51.06,50.16,50.16,51.62,52.72,54.94,56.81,58.41,60.03,58.91,56.97,54.12,52.19,50.16,50.31,51.38,53.31,55.66,56.5,57.28,56.78,55.78,55.16,52.94,52.69,51.72,51.19,51.5,51.62,52.53,53.41,54.12,53.94,53.38,51.25,48.16,47.31,45.5,45.12,46.03,46.88,48.19,48.34,47.59,47.0,45.44,43.31,41.5,41.16,40.5,40.84,41.94,43.16,44.06,45.94,46.25,47.84,48.78,49.09,50.16,50.0,49.31,49.25,47.69,45.75,44.34,42.34,41.06,40.06,40.12,41.66,43.47,45.66,47.34,50.47,52.84,54.91,57.53,58.94,58.69,57.31,54.59,52.25,50.03,47.5,46.84,46.78,47.38,46.5,46.84,46.22,45.62,43.66,43.0,42.41,42.16,41.41,41.44,42.0,41.97,43.41,45.12,46.72,48.47,49.19,49.69,50.5,50.41,51.16,52.56,52.53,51.69,50.06,48.28,45.88,43.78,41.97,41.81,40.44,41.03,40.12,39.91,40.41,40.84,42.28,43.59,45.91,46.97,48.78,49.0,49.16,50.28,50.5,51.16,51.22,52.62,53.5,52.62,52.84,51.84,51.03,50.59,49.94,49.69,50.41,50.59,50.78,51.16,51.81,52.47,54.31,55.88,57.66,58.91,59.34,59.75,59.62,60.06,59.91,59.47,58.78,58.06,57.69,55.03,54.88,53.28,52.0,51.5,50.53,50.66,51.84,53.94,56.31,58.25,59.69,60.03,59.03,57.94,56.03,53.62,51.94,49.22,45.94,43.94,42.56,41.09,40.03,39.91,40.16,39.16,38.81,39.81,41.34,42.88,45.75,47.91,50.31,52.03,52.78,52.03,51.25,49.28,47.09,46.31,45.5,46.44,46.88,48.97,50.75,52.12,54.56,55.62,55.75,55.97,55.5,54.56,54.88,53.38,53.03,51.81,50.88,50.69,50.88,51.91,52.19,53.19,53.25,53.44,52.56,53.31,-0.59,0.97,3.53,4.88,6.56,8.56,9.0,10.03,10.91,10.94,9.28,7.09,4.06,0.66,-3.88,-6.88,-10.41,-11.88,-12.59,-11.22,-7.91,-3.31,2.84,8.41,13.16,15.47,15.25,13.31,9.31,4.75:positivity
72.41,73.06,73.31,74.19,73.75,73.56,73.22,72.28,70.69,69.5,67.81,66.62,66.5,66.59,67.41,69.31,72.22,72.31,74.16,76.44,77.16,77.81,78.19,77.84,77.38,77.06,77.38,77.91,78.44,78.56,77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06:73.22,72.28,70.69,69.5,67.81,66.62,66.5,66.59,67.41,69.31,72.22,72.31,74.16,76.44,77.16,77.81,78.19,77.84,77.38,77.06,77.38,77.91,78.44,78.56,77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06,14.09,15.75,17.12,17.78,17.66,18.16:66.5,66.59,67.41,69.31,72.22,72.31,74.16,76.44,77.16,77.81,78.19,77.84,77.38,77.06,77.38,77.91,78.44,78.56,77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06,14.09,15.75,17.12,17.78,17.66,18.16,17.28,16.12,14.91,12.88,9.91,8.5:74.16,76.44,77.16,77.81,78.19,77.84,77.38,77.06,77.38,77.91,78.44,78.56,77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06,14.09,15.75,17.12,17.78,17.66,18.16,17.28,16.12,14.91,12.88,9.91,8.5,7.16,6.34,6.34,7.31,9.12,9.84:77.38,77.06,77.38,77.91,78.44,78.56,77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06,14.09,15.75,17.12,17.78,17.66,18.16,17.28,16.12,14.91,12.88,9.91,8.5,7.16,6.34,6.34,7.31,9.12,9.84,11.34,12.81,13.81,14.28,14.47,15.75:77.28,76.16,73.53,72.53,70.34,69.09,69.28,69.5,70.0,71.94,74.31,77.34,79.16,81.47,81.41,79.56,78.16,75.81,73.09,72.34,71.69,71.81,72.19,73.84,75.84,78.53,81.53,84.16,86.12,87.22,86.81,84.16,81.47,77.03,72.72,68.03,65.03,61.31,57.81,56.75,54.47,54.25,54.81,55.81,56.78,57.09,56.69,55.41,52.81,50.34,49.06,48.28,49.59,51.03,54.66,56.88,59.28,61.34,62.72,62.69,63.25,62.94,62.62,62.56,61.72,61.56,61.53,61.69,62.06,62.28,62.78,63.16,62.78,62.81,62.84,64.12,65.41,68.91,71.0,73.69,73.81,71.5,68.34,63.81,59.91,57.31,56.53,56.06,56.62,57.25,58.31,57.69,57.78,57.31,57.09,57.62,57.91,59.5,60.94,62.84,63.66,65.31,65.72,65.81,65.38,64.16,63.0,61.91,60.44,59.38,58.78,57.88,55.28,53.59,51.69,50.66,49.66,49.66,49.5,49.72,48.03,48.78,48.34,49.47,50.12,51.19,51.69,52.44,52.34,53.03,53.16,51.69,50.91,50.66,48.81,48.5,48.41,48.91,48.78,50.62,51.91,53.69,54.69,55.31,54.62,55.25,56.47,57.97,60.0,61.72,64.03,63.69,63.94,64.75,64.38,63.12,62.53,61.53,59.91,60.09,60.41,60.88,62.06,62.03,61.81,61.56,59.34,56.75,54.72,51.59,50.0,47.72,47.12,48.22,50.44,52.5,54.75,56.56,57.38,56.81,55.81,55.28,55.19,53.97,53.84,54.19,53.28,52.22,52.28,50.84,51.06,47.84,47.22,46.56,45.25,45.69,45.88,45.75,46.28,46.72,46.34,46.44,46.12,45.78,44.03,43.16,42.5,41.56,40.66,40.03,39.41,39.09,38.03,38.28,38.66,38.28,39.0,39.25,39.97,39.88,39.94,40.06,40.31,39.97,41.0,42.09,44.22,45.56,46.31,47.38,48.28,47.69,48.16,48.72,48.94,49.28,49.59,49.84,50.0,50.06,49.12,48.75,49.0,48.12,48.03,47.91,46.25,46.53,45.69,45.22,46.75,48.75,50.0,51.69,53.09,52.31,52.06,51.47,50.5,51.81,52.25,52.94,53.94,54.19,54.25,53.31,53.66,54.62,55.25,54.62,54.62,53.25,51.31,50.38,49.38,48.84,48.53,47.97,48.34,46.59,46.31,46.53,46.09,46.16,47.25,47.81,48.06,47.25,47.53,46.25,47.16,47.34,46.44,47.25,48.19,49.38,51.38,55.19,57.91,61.75,64.25,64.06,64.06,62.44,60.44,58.0,56.78,55.38,55.75,56.03,55.53,56.03,55.66,54.53,53.25,51.28,50.44,49.72,49.81,50.44,50.81,52.31,52.31,51.72,51.81,50.47,50.31,48.28,47.91,48.0,47.28,46.84,46.78,46.09,46.44,45.16,45.56,46.03,45.94,47.41,47.41,48.03,48.25,47.5,47.62,47.91,47.84,49.31,50.53,52.38,53.56,54.75,55.19,54.56,55.25,55.69,54.72,55.94,56.16,56.09,56.09,57.31,57.91,57.56,58.53,59.56,59.38,60.12,60.06,59.94,62.44,62.53,63.94,65.31,64.53,64.25,61.44,58.78,56.12,53.34,51.09,50.31,49.12,49.84,49.97,50.69,52.25,52.38,52.56,53.31,51.69,50.94,51.69,51.12,52.22,54.09,55.03,55.5,55.91,55.56,55.66,56.59,56.66,57.31,57.88,58.44,58.75,58.62,57.72,57.94,56.91,55.0,54.19,52.69,52.81,52.09,52.09,52.44,52.28,52.5,53.16,53.81,54.53,56.31,57.25,57.31,57.28,56.09,56.16,55.25,54.31,54.72,54.84,54.53,54.97,55.09,55.25,55.03,54.06,52.69,50.88,49.44,47.81,47.41,48.12,49.44,50.19,52.69,52.75,54.28,53.72,52.53,51.47,49.47,46.19,43.31,41.53,39.97,39.06,38.66,39.12,39.16,40.03,39.94,41.31,40.19,40.31,40.28,39.09,39.41,39.16,39.34,39.94,40.81,41.94,43.28,43.56,44.53,45.72,45.12,46.0,45.66,47.0,48.47,49.31,51.03,52.28,52.81,52.44,52.56,52.0,52.56,52.28,51.03,50.78,49.0,47.78,47.28,46.69,46.34,45.97,45.12,44.56,44.59,43.84,44.41,44.5,43.66,43.03,41.69,40.5,39.81,40.5,40.94,41.53,42.69,43.56,43.59,43.47,44.56,45.38,47.81,49.78,52.88,54.72,55.88,55.03,51.84,49.38,46.88,44.44,44.81,45.44,46.25,47.28,47.03,46.03,45.91,44.94,42.34,41.25,39.62,37.16,36.28,37.84,38.81,41.19,43.06,44.69,44.12,44.03,42.5,40.44,38.69,36.94,37.0,36.91,37.38,38.41,39.31,39.88,39.03,39.78,41.09,41.94,43.84,45.06,46.16,46.91,46.12,45.56,43.72,41.12,39.0,37.62,35.94,36.94,37.75,38.91,40.91,43.34,46.38,48.53,51.06,51.53,51.94,49.88,47.88,45.97,43.38,41.69,39.41,36.34,35.38,33.81,33.41,34.03,34.38,35.44,35.78,35.53,35.47,35.5,33.84,32.81,31.41,30.0,30.34,30.81,32.94,35.5,38.06,40.75,42.94,44.34,45.94,48.0,47.75,47.69,46.5,44.59,42.31,39.53,38.88,38.28,38.0,39.41,38.88,40.78,41.03,42.09,43.62,44.09,45.75,46.41,47.53,50.09,51.31,52.0,53.0,52.5,52.09,51.91,50.88,49.72,48.81,48.28,47.69,47.81,48.44,47.81,47.5,48.38,47.91,48.5,48.84,49.0,49.16,47.91,48.44,47.31,47.19,46.84,47.03,48.06,48.81,49.25,50.25,50.28,49.81,49.41,48.41,47.94,47.81,47.03,47.53,47.69,47.28,47.16,45.09,43.97,42.56,40.5,39.75,40.12,39.31,39.06,39.78,39.72,41.38,42.19,44.97,47.16,47.97,50.09,50.09,49.38,49.88,49.69,49.78,49.41,48.94,49.41,48.66,47.75,47.12,46.78,45.0,44.75,44.12,43.06,42.28,41.81,41.69,41.62,41.97,43.56,45.5,46.62,48.78,50.69,51.44,50.97,51.25,49.81,49.28,48.47,48.78,48.91,49.69,49.84,48.66,47.91,46.16,44.41,42.81,41.97,40.66,40.91,40.28,39.69,38.88,38.62,38.16,39.62,40.44,42.53,45.56,50.16,54.09,56.97,59.12,59.31,55.53,52.44,49.5,46.06,44.0,42.22,42.16,39.81,40.16,39.38,37.66,38.06,37.72,37.59,39.56,39.69,41.66,43.12,43.91,45.0,45.56,47.5,47.78,49.38,49.72,49.62,48.06,45.53,43.03,39.5,37.97,35.62,34.56,34.19,33.62,34.03,34.84,35.88,37.38,38.41,39.78,42.69,43.94,46.62,49.12,50.53,52.0,51.78,51.25,50.66,50.34,51.0,50.81,51.69,51.84,49.94,48.81,47.56,46.31,45.81,46.28,45.25,44.22,43.72,43.34,43.34,44.16,46.22,47.53,49.12,50.06,51.31,52.06,51.06,51.91,51.81,50.19,49.16,46.22,41.16,36.94,30.97,25.53,19.06,14.81,11.44,9.84,10.03,11.34,13.09,14.56,15.25,16.06,17.94,17.41,17.81,17.41,17.16,17.09,18.34,20.25,21.31,23.06,25.31,26.41,26.94,27.06,26.44,26.34,25.19,24.88,26.31,26.06,14.09,15.75,17.12,17.78,17.66,18.16,17.28,16.12,14.91,12.88,9.91,8.5,7.16,6.34,6.34,7.31,9.12,9.84,11.34,12.81,13.81,14.28,14.47,15.75,16.0,16.25,17.78,17.69,18.28,17.69:positivity
87.97,88.19,88.91,89.38,91.0,92.81,95.41,98.28,100.5,101.81,102.06,100.25,98.91,96.19,94.5,92.94,92.41,92.31,91.72,92.66,92.31,93.44,93.69,93.72,95.31,94.66,94.56,94.5,94.5,95.81,96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88:95.41,98.28,100.5,101.81,102.06,100.25,98.91,96.19,94.5,92.94,92.41,92.31,91.72,92.66,92.31,93.44,93.69,93.72,95.31,94.66,94.56,94.5,94.5,95.81,96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88,36.41,37.0,38.38,39.97,42.34,45.06:98.91,96.19,94.5,92.94,92.41,92.31,91.72,92.66,92.31,93.44,93.69,93.72,95.31,94.66,94.56,94.5,94.5,95.81,96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88,36.41,37.0,38.38,39.97,42.34,45.06,48.78,52.81,56.12,58.16,59.19,58.41:91.72,92.66,92.31,93.44,93.69,93.72,95.31,94.66,94.56,94.5,94.5,95.81,96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88,36.41,37.0,38.38,39.97,42.34,45.06,48.78,52.81,56.12,58.16,59.19,58.41,57.19,55.34,53.94,52.66,51.44,50.69:95.31,94.66,94.56,94.5,94.5,95.81,96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88,36.41,37.0,38.38,39.97,42.34,45.06,48.78,52.81,56.12,58.16,59.19,58.41,57.19,55.34,53.94,52.66,51.44,50.69,50.31,48.53,48.19,49.06,49.19,51.06:96.97,98.75,99.88,100.56,100.41,99.97,99.19,98.62,98.38,98.38,98.75,100.41,102.38,103.81,103.94,104.31,103.38,99.31,97.19,93.84,91.16,88.66,88.06,87.91,90.09,92.0,94.69,96.03,96.0,95.12,92.56,90.16,87.5,85.06,82.38,79.88,77.88,75.56,74.62,73.44,74.5,75.5,76.56,77.75,78.75,78.25,76.91,76.0,74.81,74.62,75.84,79.0,81.03,84.69,86.44,88.44,89.06,88.81,90.19,91.0,92.34,93.69,94.5,95.69,95.69,96.31,96.38,96.28,95.81,93.69,93.91,93.19,93.78,95.31,95.78,97.25,96.69,95.59,95.94,93.19,92.88,90.84,89.81,87.91,86.91,86.12,86.19,86.56,87.31,87.25,88.16,88.25,88.5,88.81,88.94,88.16,87.5,85.44,84.56,83.69,82.31,83.16,82.38,81.88,82.62,81.69,81.56,81.91,80.88,80.41,79.03,78.06,78.25,77.56,79.62,80.91,82.19,84.94,85.75,87.81,88.19,89.03,90.09,89.69,89.22,89.44,87.94,86.06,84.5,82.72,81.69,82.19,83.06,84.5,87.19,87.94,89.38,89.62,91.25,90.88,90.06,90.06,88.56,86.38,85.28,84.06,83.56,83.25,82.81,82.5,81.5,80.62,79.12,78.44,78.0,77.12,76.78,76.44,78.5,78.94,80.81,83.25,85.75,88.88,90.38,92.06,93.75,94.81,94.25,92.88,91.81,90.03,86.19,84.12,82.12,80.06,78.81,77.75,76.88,75.62,74.84,73.31,73.44,72.81,72.12,73.28,73.97,74.81,76.81,78.41,79.12,78.31,78.5,77.69,76.91,75.94,76.06,76.19,77.5,79.03,81.41,83.97,87.25,90.31,92.69,97.12,98.56,97.91,96.31,92.88,87.56,84.28,81.72,80.62,80.97,81.94,83.25,84.19,84.97,85.31,83.44,82.19,80.28,77.81,76.88,76.16,76.78,77.94,80.44,83.78,85.5,87.25,88.88,87.94,87.69,86.5,85.38,84.31,81.97,80.88,79.56,79.75,78.0,78.06,78.94,79.31,78.69,81.0,80.62,80.72,81.97,83.19,81.66,82.38,83.69,82.62,83.0,83.5,83.56,84.66,85.81,86.69,88.0,90.12,91.06,92.62,93.44,94.53,95.44,95.09,95.25,95.56,95.69,95.69,94.66,93.78,92.44,92.41,91.56,91.94,93.19,92.28,92.56,92.31,91.12,90.16,90.69,90.0,89.56,89.69,89.84,88.88,89.44,89.03,88.25,88.38,87.75,86.38,84.19,83.19,82.56,81.56,81.22,82.12,82.28,83.25,84.56,84.75,85.69,83.69,81.34,79.56,76.56,73.44,70.5,68.19,65.44,63.75,64.56,65.62,66.38,68.12,68.81,68.69,68.5,69.16,66.81,66.25,64.91,63.94,63.62,62.66,62.25,61.5,61.06,59.94,59.0,58.12,55.97,54.94,54.03,53.56,53.75,54.78,55.38,55.31,56.38,57.03,57.5,57.94,57.25,56.19,55.28,52.19,51.38,48.31,47.31,46.31,45.22,44.75,43.69,43.25,42.0,39.53,38.94,38.16,38.19,40.03,42.0,44.06,46.0,47.94,48.12,49.81,50.94,51.56,52.69,53.56,53.62,55.12,55.19,55.5,53.56,52.75,51.31,49.38,49.38,49.44,49.25,48.25,46.88,46.09,44.62,43.75,44.41,43.38,43.56,43.0,42.56,43.75,44.0,44.88,46.06,44.31,44.12,43.19,41.44,41.62,41.66,40.31,39.38,36.31,32.62,30.19,29.0,28.81,30.59,33.81,37.69,40.78,44.31,44.94,46.12,46.03,44.62,42.81,40.38,39.56,37.38,36.56,36.75,37.56,38.44,38.81,40.12,40.0,39.47,40.0,38.0,39.25,39.38,40.94,42.06,43.44,43.59,42.56,41.44,40.06,39.0,39.19,38.62,40.53,41.62,42.62,44.06,44.62,45.88,45.62,44.75,45.62,45.16,44.5,45.44,45.28,45.94,46.0,45.62,46.5,45.88,45.31,45.94,46.75,46.94,46.88,47.88,47.31,47.38,45.69,45.0,45.31,44.19,45.31,46.0,47.56,48.88,50.81,51.59,53.0,53.81,54.38,54.28,52.5,52.88,52.12,51.25,52.06,53.62,54.81,55.41,54.66,54.41,51.84,50.78,48.56,48.22,48.56,48.62,49.5,51.72,52.75,54.44,55.69,55.94,55.44,55.03,53.94,54.0,53.19,53.25,53.31,52.38,51.12,50.81,49.38,49.12,49.53,51.16,51.88,53.12,53.25,52.62,53.31,52.25,52.97,52.88,52.25,52.12,51.06,48.38,46.81,45.41,43.06,43.0,42.56,42.88,42.69,42.31,41.69,40.88,39.06,38.88,39.25,39.81,40.88,42.31,43.56,44.22,45.94,46.69,47.47,49.88,50.06,51.28,53.03,53.62,54.38,54.66,54.88,54.56,53.84,54.12,54.0,53.81,54.06,53.41,53.56,53.0,52.91,53.19,54.19,55.81,56.91,59.62,60.25,61.78,62.88,62.31,61.88,61.0,59.41,57.12,56.38,54.38,53.75,53.38,53.12,53.88,53.44,53.5,51.88,52.06,50.62,49.25,49.5,48.78,47.56,47.5,45.25,44.25,43.19,41.12,39.34,37.12,36.44,35.44,35.06,35.31,35.31,35.44,34.56,35.03,35.5,37.0,38.31,40.06,41.5,42.25,42.75,42.69,42.88,42.88,43.25,44.44,46.44,49.12,51.62,54.81,56.12,57.69,57.44,55.62,53.06,49.88,46.38,45.0,43.03,43.34,45.41,45.06,46.94,45.81,44.94,45.91,45.81,47.25,49.25,50.94,51.81,52.62,53.94,53.31,54.12,53.5,52.41,50.94,49.88,48.47,47.31,46.25,46.31,46.41,46.5,48.88,49.69,51.81,52.09,51.97,50.5,48.75,47.12,45.66,44.72,45.03,45.0,46.84,47.25,48.72,49.81,50.44,50.44,49.56,50.75,49.81,48.88,50.69,52.25,52.81,54.34,55.25,55.28,55.94,55.0,55.38,55.31,55.62,55.06,55.91,56.41,55.94,56.12,55.0,52.69,49.03,47.62,44.31,43.91,44.69,45.81,47.28,49.25,49.62,49.81,50.19,49.62,48.0,48.34,48.06,48.12,49.44,51.25,52.0,52.88,53.44,52.44,51.69,51.25,50.0,51.06,49.53,49.5,50.28,48.97,49.62,49.16,48.38,48.34,48.81,48.0,48.75,48.06,47.94,47.06,47.25,47.09,46.88,47.78,47.56,47.0,46.12,45.38,43.97,42.0,40.56,39.81,39.44,39.56,40.81,41.25,43.19,43.53,45.12,45.56,46.72,47.19,48.44,48.66,50.81,51.0,51.81,50.78,50.31,49.44,48.5,48.41,47.75,46.94,45.47,44.62,43.0,42.25,41.31,41.44,40.94,40.31,41.62,40.81,42.06,42.94,43.62,43.94,44.66,44.06,43.62,42.81,41.75,41.72,40.0,39.69,39.19,39.06,38.66,38.62,38.81,39.44,40.03,40.34,40.56,40.25,40.44,39.69,40.16,40.09,39.88,40.31,39.91,41.5,42.0,42.25,43.06,43.0,41.84,41.69,41.84,42.25,44.12,44.81,43.81,45.28,43.69,41.84,42.31,41.44,40.62,39.5,38.88,38.72,37.97,37.62,39.88,41.84,45.31,50.06,54.88,61.19,65.44,68.0,69.94,68.38,66.56,64.25,62.56,61.31,60.12,58.66,58.94,57.88,36.41,37.0,38.38,39.97,42.34,45.06,48.78,52.81,56.12,58.16,59.19,58.41,57.19,55.34,53.94,52.66,51.44,50.69,50.31,48.53,48.19,49.06,49.19,51.06,52.78,53.91,53.69,52.56,50.41,47.34:positivity
40.91,42.53,42.81,42.91,43.59,43.66,42.88,43.81,43.72,43.91,43.38,43.06,41.88,40.22,38.69,37.59,35.06,35.94,35.16,35.84,36.59,37.44,38.0,38.09,38.66,39.34,39.44,40.56,40.75,40.12,40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5:42.88,43.81,43.72,43.91,43.38,43.06,41.88,40.22,38.69,37.59,35.06,35.94,35.16,35.84,36.59,37.44,38.0,38.09,38.66,39.34,39.44,40.56,40.75,40.12,40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5,11.28,12.5,13.06,13.16,13.34,14.25:41.88,40.22,38.69,37.59,35.06,35.94,35.16,35.84,36.59,37.44,38.0,38.09,38.66,39.34,39.44,40.56,40.75,40.12,40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5,11.28,12.5,13.06,13.16,13.34,14.25,13.91,16.0,17.62,19.19,20.41,20.34:35.16,35.84,36.59,37.44,38.0,38.09,38.66,39.34,39.44,40.56,40.75,40.12,40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5,11.28,12.5,13.06,13.16,13.34,14.25,13.91,16.0,17.62,19.19,20.41,20.34,19.38,17.31,15.5,13.16,10.75,9.62:38.66,39.34,39.44,40.56,40.75,40.12,40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5,11.28,12.5,13.06,13.16,13.34,14.25,13.91,16.0,17.62,19.19,20.41,20.34,19.38,17.31,15.5,13.16,10.75,9.62,8.91,8.03,7.59,7.78,8.19,8.66:40.19,40.53,41.41,42.5,43.78,44.81,45.34,45.28,45.41,45.28,45.06,44.28,43.19,43.69,41.84,41.59,41.41,41.31,42.72,43.28,44.12,45.5,47.19,48.81,51.16,53.16,54.75,55.22,54.31,53.0,50.84,49.41,46.72,45.12,43.97,42.09,40.28,40.31,39.69,39.47,40.34,41.72,42.53,43.19,43.34,42.25,41.03,39.59,38.88,38.75,38.97,40.12,40.38,41.25,42.41,42.56,44.09,44.09,44.31,44.78,44.41,44.56,44.5,45.16,45.44,45.97,45.16,44.88,43.34,42.19,41.47,40.72,40.5,42.22,44.0,46.69,49.91,52.34,53.69,53.81,52.62,50.31,47.88,45.41,43.34,41.94,41.12,40.5,40.16,40.16,40.88,42.06,43.5,46.0,48.41,50.91,52.34,53.06,55.16,55.88,55.47,55.19,54.09,51.03,48.66,46.81,45.81,45.09,45.66,47.16,48.69,50.84,53.06,54.31,55.62,55.72,55.44,54.12,52.44,50.78,49.75,50.38,51.78,53.12,55.03,55.66,54.97,53.44,50.66,46.78,44.84,42.56,40.69,39.91,39.78,39.28,40.06,40.25,41.03,42.5,43.31,43.81,43.88,43.88,43.12,43.88,45.34,47.06,49.91,52.81,55.16,56.78,57.28,55.84,54.53,50.91,49.34,47.38,45.38,44.88,43.59,44.09,44.06,44.06,44.69,44.75,46.25,47.88,49.97,52.28,54.12,55.22,56.19,56.31,55.03,54.62,53.41,52.69,51.12,49.91,48.62,46.62,45.69,43.0,41.72,41.28,40.41,39.94,41.94,43.56,46.56,49.47,52.5,54.31,54.75,55.56,54.91,54.53,53.53,52.66,51.28,49.91,48.62,47.03,45.44,44.31,43.53,43.88,44.78,45.12,45.12,44.38,42.69,42.31,41.28,41.44,40.91,41.0,41.75,41.09,41.31,40.06,38.47,36.41,34.56,33.34,33.47,34.41,35.62,37.16,38.88,39.56,39.91,40.5,40.44,40.22,39.47,39.03,39.47,39.94,41.25,42.66,44.16,45.66,45.81,45.25,45.41,43.69,43.12,42.62,41.38,40.19,39.09,38.09,38.0,37.41,37.88,38.53,38.91,38.41,38.62,38.69,38.84,38.5,39.66,40.44,41.47,42.38,44.22,43.66,43.38,42.31,39.88,38.41,37.5,37.56,37.88,39.0,40.56,42.66,44.72,46.41,47.75,46.94,47.03,46.09,44.25,43.25,41.44,40.12,38.78,37.41,36.84,36.44,36.78,37.47,38.06,39.38,40.91,41.69,43.16,44.62,47.12,49.16,51.88,53.31,53.25,50.94,48.41,45.16,43.59,42.28,42.12,43.44,43.34,43.78,43.66,42.69,41.94,40.47,39.94,37.94,37.56,36.66,35.0,35.69,35.53,36.53,37.06,38.28,39.06,39.5,40.0,39.47,38.53,37.66,36.75,34.81,34.56,34.19,34.69,35.38,35.38,36.03,36.09,36.25,36.88,37.69,38.69,40.16,40.66,41.62,42.5,42.91,43.91,44.62,46.56,47.19,47.84,48.56,48.81,49.31,49.31,49.47,48.72,48.22,47.44,47.25,47.53,48.16,48.88,48.25,48.84,48.41,47.94,48.19,47.5,47.47,46.59,45.94,45.28,45.88,46.06,47.81,48.53,49.5,50.81,50.56,50.56,49.91,48.25,46.44,43.94,41.31,38.47,36.28,33.16,31.0,28.34,26.31,25.69,25.28,25.03,25.91,25.03,23.72,22.34,21.12,20.34,21.0,21.62,22.78,23.81,24.66,23.88,23.69,22.66,22.94,22.53,23.69,25.12,26.69,28.66,30.78,32.53,33.84,35.06,35.69,36.59,37.62,38.31,39.84,41.53,42.75,43.81,43.94,43.81,43.81,44.41,44.56,45.34,45.31,46.19,47.28,48.06,49.44,50.38,50.28,50.25,47.47,45.91,43.72,42.31,42.38,42.16,42.31,43.5,43.38,43.38,43.69,41.44,39.81,37.19,35.34,33.19,32.31,32.31,32.28,33.75,35.31,36.53,38.0,39.47,39.56,41.16,41.66,41.44,42.03,41.97,41.12,41.34,40.81,40.19,40.03,39.38,37.91,37.31,36.78,36.28,36.66,37.62,37.81,38.25,37.94,38.06,37.53,37.16,37.94,38.66,38.78,41.09,41.06,42.5,42.81,43.66,44.56,43.62,43.09,40.41,38.16,36.44,34.56,34.03,34.81,35.62,37.06,37.91,38.84,38.25,37.84,37.47,35.94,36.31,36.16,36.75,37.25,38.75,40.38,41.94,43.56,45.06,45.81,46.38,46.38,46.03,47.38,48.41,49.66,51.5,52.62,53.78,53.22,52.75,51.03,49.12,46.53,44.16,41.38,39.31,38.25,38.75,40.81,42.94,47.06,48.66,49.81,50.31,48.66,47.12,45.56,43.31,41.22,38.41,34.94,31.56,29.25,27.41,27.06,27.69,28.56,29.94,31.78,32.72,34.44,36.81,38.69,41.28,42.28,42.44,41.66,38.81,35.16,31.12,26.75,22.0,18.28,15.03,12.53,10.94,10.62,11.69,13.38,15.06,16.91,18.75,19.38,20.56,22.0,23.22,24.66,26.44,29.19,31.31,33.38,34.5,34.25,32.44,30.19,26.19,23.06,20.88,18.97,19.0,19.88,21.47,22.62,25.38,27.06,29.16,30.16,31.81,32.94,34.31,35.88,38.47,39.91,41.06,42.16,42.16,41.38,40.19,38.34,35.56,32.56,28.94,25.84,23.41,22.56,23.03,24.44,26.41,27.62,28.06,28.59,27.31,26.81,26.56,26.75,27.44,28.78,29.62,30.12,30.25,29.41,26.78,25.16,23.09,21.25,20.0,19.97,19.03,18.84,18.22,19.25,17.47,17.56,17.31,16.28,17.41,18.06,19.97,20.81,21.81,23.53,24.97,25.78,27.44,29.0,29.72,31.56,32.31,32.66,33.66,33.66,33.53,32.41,32.19,31.38,30.06,28.28,26.59,23.88,21.16,20.0,19.66,19.47,20.19,20.56,20.06,18.47,17.72,16.62,15.34,14.81,14.16,13.0,10.69,9.03,7.91,7.94,8.0,9.06,10.41,11.19,12.62,13.94,15.38,16.88,17.66,19.34,20.25,20.31,20.47,19.88,20.56,20.53,22.16,23.66,25.31,27.38,28.25,28.75,28.75,28.38,27.5,26.38,25.0,23.53,22.66,21.34,21.0,21.0,19.5,19.84,19.44,18.59,17.91,18.09,17.81,17.84,18.38,19.0,19.41,19.84,19.53,18.81,19.34,18.88,18.94,19.53,19.78,20.56,20.78,22.19,22.91,24.81,27.03,28.38,29.91,29.56,29.69,28.5,26.59,24.81,23.78,21.84,21.41,19.66,18.19,17.09,15.75,14.5,14.66,14.19,15.75,15.88,18.38,19.94,22.19,24.75,26.16,27.59,27.84,27.0,26.75,24.62,23.56,22.41,20.5,19.12,17.84,16.31,14.44,13.06,11.28,9.44,8.81,8.84,8.88,9.66,11.06,12.62,14.91,16.38,18.12,19.38,20.25,20.69,20.78,20.66,20.44,20.94,21.84,23.53,25.94,28.5,30.22,30.22,28.78,25.81,22.81,20.0,18.16,16.88,17.69,18.06,19.28,20.34,21.16,22.25,22.38,22.19,23.0,22.66,21.38,20.78,19.12,17.31,16.78,15.38,15.44,14.66,14.44,15.31,15.62,17.19,18.94,20.56,21.25,22.66,23.25,24.16,24.78,24.88,24.44,22.5,11.28,12.5,13.06,13.16,13.34,14.25,13.91,16.0,17.62,19.19,20.41,20.34,19.38,17.31,15.5,13.16,10.75,9.62,8.91,8.03,7.59,7.78,8.19,8.66,8.94,10.03,11.06,12.88,15.19,15.91:positivity
9.31,8.38,7.09,4.59,2.03,-1.16,-3.47,-5.12,-5.72,-5.47,-3.84,-2.53,0.62,2.88,5.38,6.31,7.41,6.91,7.19,6.75,5.38,3.97,3.62,1.88,0.47,-0.94,-0.56,-0.59,-0.28,1.78,2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09:-3.47,-5.12,-5.72,-5.47,-3.84,-2.53,0.62,2.88,5.38,6.31,7.41,6.91,7.19,6.75,5.38,3.97,3.62,1.88,0.47,-0.94,-0.56,-0.59,-0.28,1.78,2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09,-7.59,-7.47,-9.78,-11.19,-11.5,-15.38:0.62,2.88,5.38,6.31,7.41,6.91,7.19,6.75,5.38,3.97,3.62,1.88,0.47,-0.94,-0.56,-0.59,-0.28,1.78,2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09,-7.59,-7.47,-9.78,-11.19,-11.5,-15.38,-17.75,-18.97,-21.75,-22.94,-22.62,-21.09:7.19,6.75,5.38,3.97,3.62,1.88,0.47,-0.94,-0.56,-0.59,-0.28,1.78,2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09,-7.59,-7.47,-9.78,-11.19,-11.5,-15.38,-17.75,-18.97,-21.75,-22.94,-22.62,-21.09,-18.25,-15.97,-14.0,-12.16,-11.72,-11.97:0.47,-0.94,-0.56,-0.59,-0.28,1.78,2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09,-7.59,-7.47,-9.78,-11.19,-11.5,-15.38,-17.75,-18.97,-21.75,-22.94,-22.62,-21.09,-18.25,-15.97,-14.0,-12.16,-11.72,-11.97,-14.19,-14.12,-15.5,-16.72,-17.41,-17.66:2.22,2.69,3.72,3.41,4.16,4.41,6.19,6.56,8.12,11.0,13.28,15.5,19.88,22.34,22.41,22.44,21.75,19.44,18.41,19.03,17.81,16.38,14.75,13.06,10.56,8.53,7.78,7.25,5.53,6.0,5.03,5.28,3.69,2.34,0.78,-1.69,-5.09,-7.22,-10.56,-12.44,-13.28,-14.62,-13.47,-13.84,-13.44,-13.94,-14.69,-15.09,-16.72,-16.38,-14.97,-13.0,-10.59,-6.16,-3.09,-0.91,0.22,-0.31,-3.53,-5.22,-7.19,-8.41,-9.53,-8.47,-8.81,-7.97,-7.41,-5.47,-6.19,-4.72,-4.22,-4.75,-6.69,-7.62,-9.84,-10.53,-8.91,-6.16,-3.22,1.12,2.66,3.19,2.62,1.44,-1.09,-1.78,-3.53,-5.44,-6.12,-7.75,-8.75,-8.59,-8.59,-6.84,-3.81,-1.62,1.19,3.31,5.41,5.84,7.66,6.75,9.19,10.0,10.81,12.41,12.69,10.56,7.47,5.16,1.25,-0.97,-1.66,-3.19,-5.19,-5.97,-6.81,-6.66,-4.44,-3.0,0.34,2.5,4.19,5.38,7.0,6.72,7.88,7.84,8.38,8.22,7.81,6.69,5.56,2.72,2.75,2.19,2.75,4.59,5.31,6.09,6.31,5.0,7.69,8.66,10.0,13.06,15.62,15.25,15.66,13.38,9.44,5.34,2.84,0.0,-1.44,-1.62,-1.5,-1.34,0.09,0.53,0.09,3.34,3.88,4.0,4.41,4.28,2.97,1.16,1.62,2.16,2.53,2.34,1.41,-0.09,-3.69,-5.59,-9.06,-10.06,-11.16,-11.31,-11.31,-11.03,-10.97,-11.06,-9.84,-6.91,-5.53,-2.66,-0.12,1.53,0.97,2.19,3.16,4.94,6.12,6.22,7.16,7.06,7.91,10.31,13.72,17.69,18.34,18.06,15.09,11.34,6.25,3.62,1.19,-1.22,-2.84,-3.97,-5.28,-6.47,-5.22,-2.81,-1.88,-0.81,-0.72,-3.03,-3.72,-5.59,-6.5,-6.72,-7.88,-8.59,-8.97,-10.03,-11.12,-11.97,-11.78,-12.88,-12.03,-10.28,-9.19,-7.09,-4.66,-4.22,-0.75,0.25,0.28,1.44,0.22,-1.5,-3.59,-6.16,-9.5,-11.56,-14.09,-14.28,-13.28,-11.5,-8.19,-6.66,-5.19,-2.72,-1.78,-0.84,1.41,2.81,4.16,6.0,7.91,9.66,10.0,9.47,7.81,4.09,1.53,-1.06,-2.94,-2.91,-3.38,-2.31,-2.03,-1.66,-1.59,-2.88,-5.56,-6.78,-8.31,-10.28,-10.41,-10.41,-9.16,-7.72,-7.84,-5.78,-5.12,-5.53,-5.56,-7.94,-9.91,-11.56,-13.59,-15.66,-14.53,-14.44,-13.09,-11.88,-10.66,-9.72,-7.72,-5.84,-3.75,-2.03,0.78,2.09,2.56,3.12,3.91,3.34,3.38,4.5,4.56,4.44,4.22,4.72,5.12,5.34,6.62,9.38,9.38,10.75,11.44,11.38,10.31,10.34,10.53,8.41,6.84,6.88,4.41,2.84,1.72,0.66,-0.78,-0.22,0.34,2.0,4.44,6.06,8.75,9.38,10.06,10.19,8.53,8.09,5.97,5.19,4.53,4.31,5.19,5.03,4.62,4.34,1.91,1.44,-0.09,0.06,0.19,1.31,2.91,3.19,4.94,4.28,4.91,6.09,5.34,5.53,4.34,3.72,3.0,2.69,4.19,4.66,7.44,9.62,12.09,13.47,14.03,13.41,11.81,10.19,8.91,7.69,7.75,7.81,8.81,9.41,12.0,13.56,14.44,15.16,15.12,14.75,13.0,12.91,12.56,12.72,11.94,11.0,9.47,8.03,6.72,5.22,5.44,4.53,4.5,3.75,2.44,0.47,-0.62,-2.34,-2.41,-1.41,-0.91,-0.03,2.91,4.16,4.56,7.53,9.38,10.53,11.28,11.38,9.78,7.53,4.62,2.66,1.19,1.38,2.31,4.81,7.25,9.44,10.69,10.0,9.81,7.22,7.5,8.28,9.12,11.78,15.62,16.53,17.69,17.19,14.31,10.72,6.91,3.59,1.12,1.09,0.5,0.56,2.56,1.84,2.56,2.12,0.72,-0.59,-2.41,-4.78,-6.78,-6.97,-8.38,-7.22,-5.44,-4.88,-3.84,-3.28,-4.81,-6.28,-6.72,-7.69,-6.53,-4.72,-2.59,-0.41,1.81,3.91,5.41,6.16,6.91,6.75,7.62,6.94,8.44,9.22,10.44,10.81,10.25,10.0,8.03,6.03,3.72,2.78,1.12,0.91,1.25,2.94,4.91,6.19,8.0,8.06,8.06,5.72,4.28,2.47,0.66,-0.81,-0.09,0.41,1.56,3.5,4.06,3.53,3.38,0.59,-2.22,-3.84,-5.0,-6.31,-4.78,-4.34,-3.66,-2.03,-1.69,-1.47,-0.5,1.56,3.12,4.12,5.81,6.06,5.25,3.56,4.28,2.47,3.31,3.88,4.69,4.5,4.38,4.0,3.44,4.88,4.06,7.34,10.25,11.84,15.0,16.59,16.91,16.66,15.81,13.72,11.09,7.66,5.47,1.44,0.38,-0.75,-1.19,-0.41,-1.12,-0.81,-1.38,-2.69,-3.59,-5.84,-6.22,-7.25,-8.06,-8.97,-9.22,-9.44,-9.72,-9.47,-8.59,-8.0,-8.12,-6.75,-7.22,-6.59,-6.31,-3.81,-2.09,-0.69,0.44,0.88,0.69,0.16,-0.03,0.0,-0.34,-0.53,-0.56,-1.47,-1.28,-1.97,-2.44,-3.5,-5.16,-5.81,-6.19,-7.53,-5.47,-3.56,-2.53,-0.38,2.53,4.19,5.22,6.19,6.41,4.88,2.59,0.41,-1.31,-3.34,-2.97,-3.72,-3.97,-4.47,-5.09,-6.22,-6.31,-4.47,-1.97,0.75,4.56,7.53,9.78,9.44,9.28,8.34,6.5,5.72,4.69,3.0,2.62,2.88,1.38,2.22,3.31,4.34,5.12,5.59,5.47,3.53,2.22,0.16,-0.34,0.75,1.97,4.5,6.66,8.38,9.41,9.69,9.97,9.56,8.5,8.19,7.06,5.38,5.69,5.28,4.09,2.84,2.53,-0.91,-2.28,-2.59,-2.59,-1.06,0.88,3.81,6.31,8.19,9.69,9.94,8.84,7.66,5.66,4.19,3.59,3.25,3.66,5.25,6.81,8.03,9.44,10.31,8.56,7.25,5.62,4.56,4.81,7.81,11.31,16.62,21.41,23.91,26.41,25.0,21.81,18.16,13.31,9.12,6.69,4.84,4.97,6.16,5.0,5.44,4.56,2.41,0.5,0.75,0.5,1.38,2.88,5.62,7.69,9.12,11.81,11.81,12.69,11.84,10.25,8.94,7.0,5.25,5.44,4.69,4.12,5.88,6.84,7.69,8.5,9.56,9.69,9.12,10.75,12.62,13.06,15.94,17.5,18.06,19.19,18.03,16.94,15.03,13.25,11.19,10.19,10.03,9.31,11.03,12.44,14.19,16.53,18.12,19.38,20.44,20.5,21.0,21.47,23.19,23.31,24.88,24.81,23.88,22.38,20.19,17.75,16.5,15.12,14.16,12.41,11.31,7.97,4.38,3.28,0.41,-0.53,0.38,-0.34,-0.28,0.19,1.84,3.19,5.22,7.69,9.28,11.22,11.97,12.56,12.78,12.81,11.19,9.94,9.28,8.44,8.78,8.78,9.41,10.22,10.31,11.12,10.5,11.69,13.44,13.59,14.62,15.75,15.62,15.53,13.62,13.03,12.0,9.38,9.12,9.47,10.28,11.81,13.41,14.72,15.88,16.03,15.88,15.53,14.69,13.84,12.47,12.47,12.78,13.81,15.31,15.81,16.16,16.12,15.78,14.94,15.41,14.16,13.19,10.94,10.56,9.53,8.53,8.94,8.28,7.81,6.03,5.31,4.88,4.38,3.66,3.62,2.94,3.0,2.09,-7.59,-7.47,-9.78,-11.19,-11.5,-15.38,-17.75,-18.97,-21.75,-22.94,-22.62,-21.09,-18.25,-15.97,-14.0,-12.16,-11.72,-11.97,-14.19,-14.12,-15.5,-16.72,-17.41,-17.66,-19.78,-22.59,-22.06,-22.84,-22.88,-20.16:positivity
21.84,22.5,22.91,23.19,22.91,21.78,19.69,17.69,15.53,13.72,11.38,11.03,11.62,11.84,12.25,13.69,13.91,15.25,16.41,16.75,17.88,17.34,15.59,14.25,13.03,10.91,8.81,8.12,8.62,7.53,7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59:19.69,17.69,15.53,13.72,11.38,11.03,11.62,11.84,12.25,13.69,13.91,15.25,16.41,16.75,17.88,17.34,15.59,14.25,13.03,10.91,8.81,8.12,8.62,7.53,7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59,-4.72,-4.69,-4.34,-4.19,-5.03,-4.72:11.62,11.84,12.25,13.69,13.91,15.25,16.41,16.75,17.88,17.34,15.59,14.25,13.03,10.91,8.81,8.12,8.62,7.53,7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59,-4.72,-4.69,-4.34,-4.19,-5.03,-4.72,-6.41,-9.41,-11.53,-13.09,-14.38,-14.84:16.41,16.75,17.88,17.34,15.59,14.25,13.03,10.91,8.81,8.12,8.62,7.53,7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59,-4.72,-4.69,-4.34,-4.19,-5.03,-4.72,-6.41,-9.41,-11.53,-13.09,-14.38,-14.84,-14.25,-13.41,-11.81,-10.56,-8.84,-7.12:13.03,10.91,8.81,8.12,8.62,7.53,7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59,-4.72,-4.69,-4.34,-4.19,-5.03,-4.72,-6.41,-9.41,-11.53,-13.09,-14.38,-14.84,-14.25,-13.41,-11.81,-10.56,-8.84,-7.12,-6.0,-5.03,-5.47,-6.31,-8.44,-10.88:7.75,7.78,7.66,7.19,7.06,8.34,9.81,10.41,12.78,13.91,15.88,18.16,19.28,20.69,21.41,20.81,19.69,19.16,18.12,18.88,18.19,16.84,15.84,13.47,10.88,8.31,6.25,3.19,1.66,0.78,-0.78,-1.56,-1.53,-1.06,-1.44,-0.03,0.47,2.16,2.53,1.88,2.81,3.69,3.06,3.03,4.0,4.06,3.12,3.47,3.31,1.91,2.06,1.5,2.31,4.25,5.25,7.75,9.53,11.31,12.81,12.5,11.69,10.62,8.41,7.66,6.78,7.19,7.12,7.47,8.94,9.5,9.81,10.03,11.56,11.66,12.12,12.5,12.69,12.56,13.22,13.16,13.12,13.12,11.72,11.88,10.47,9.0,7.34,5.12,2.0,0.0,-1.09,-1.94,-3.34,-4.44,-6.59,-7.41,-7.47,-7.66,-5.81,-2.72,-0.34,2.25,4.84,7.12,8.28,8.69,6.91,5.38,1.44,-2.12,-4.78,-4.84,-5.84,-5.0,-4.16,-3.91,-3.44,-3.06,-2.66,-1.16,0.19,0.69,2.06,3.94,4.47,5.88,7.25,7.75,7.12,4.94,3.19,1.09,-1.84,-2.94,-3.69,-4.59,-3.38,-1.91,-0.22,1.41,1.88,2.44,2.16,1.16,0.66,-0.28,-0.06,-0.19,-0.03,2.41,3.59,4.06,5.91,5.88,6.0,6.44,5.94,5.5,5.12,3.47,1.91,-0.19,-1.47,-2.56,-2.84,-3.0,-3.72,-2.34,-1.97,-2.25,-1.06,-0.31,-0.53,-0.81,0.0,0.5,0.5,-1.03,-1.22,-1.84,-3.28,-4.53,-4.66,-5.03,-6.0,-6.09,-5.22,-4.47,-3.97,-3.31,-2.56,-3.38,-3.06,-1.84,-0.44,4.28,8.69,12.75,15.38,14.78,12.03,9.31,6.44,3.94,3.31,3.31,4.03,4.31,5.06,5.12,4.78,2.72,1.88,0.81,-1.41,-2.28,-0.81,-0.03,1.69,4.38,8.12,10.19,12.53,14.97,14.62,15.25,13.94,12.19,12.56,12.44,13.56,14.38,16.06,17.34,16.88,16.94,14.38,12.34,9.62,7.97,5.78,5.25,4.44,4.38,5.03,5.44,5.88,5.94,5.44,5.12,4.88,4.31,4.25,5.0,6.12,7.06,8.84,9.88,11.69,12.66,13.25,13.84,11.94,11.06,9.22,8.91,8.69,10.34,10.69,12.69,13.0,12.47,12.31,11.5,9.88,8.59,7.97,8.16,6.81,7.03,6.81,6.91,7.41,8.28,8.56,9.44,8.72,8.47,8.97,8.91,9.62,11.28,10.97,11.12,8.97,7.69,5.94,3.97,3.59,4.19,4.25,4.62,5.28,5.44,5.31,4.41,4.22,2.53,2.28,2.94,3.0,3.72,4.69,5.34,6.78,7.28,8.44,8.62,9.25,9.25,8.84,8.19,6.69,5.12,2.88,2.5,2.06,1.09,1.53,2.06,1.66,1.94,1.56,1.25,0.28,-0.34,-0.03,1.0,1.5,2.78,5.44,6.12,6.28,5.22,4.28,2.47,1.97,1.41,2.28,1.94,1.34,0.91,-0.56,-1.91,-3.5,-5.09,-4.47,-4.06,-2.59,0.06,1.47,3.12,6.75,9.25,11.84,14.41,16.06,17.19,16.88,17.81,16.75,15.59,13.91,10.62,8.25,5.56,3.78,2.66,1.69,1.34,1.28,1.31,1.44,1.53,2.16,0.94,0.94,-0.28,-1.34,-1.53,-2.66,-3.34,-3.66,-4.34,-4.97,-4.56,-3.97,-2.69,-1.97,-0.59,0.84,0.16,-0.72,-1.66,-4.19,-5.25,-5.59,-4.66,-4.16,-2.38,0.03,0.69,1.53,1.91,1.22,-0.09,-1.72,-2.19,-3.62,-4.47,-5.03,-5.97,-6.94,-8.19,-9.09,-9.97,-9.78,-9.09,-8.56,-7.62,-6.25,-4.66,-2.16,0.94,2.91,4.41,3.56,2.31,0.56,-4.34,-7.16,-9.59,-12.88,-13.59,-12.19,-11.16,-8.25,-4.56,-0.53,2.5,4.59,5.62,3.38,0.78,-1.44,-4.12,-6.03,-6.97,-8.34,-9.44,-10.53,-11.0,-11.47,-11.78,-11.41,-10.44,-11.34,-10.53,-10.28,-10.59,-10.66,-10.16,-10.78,-10.59,-10.44,-10.06,-8.97,-7.56,-5.78,-3.72,-1.84,0.56,2.12,3.06,3.19,1.84,0.22,-1.91,-5.03,-7.09,-9.06,-10.44,-11.0,-10.84,-10.78,-10.47,-9.06,-7.78,-5.44,-2.59,-0.78,0.94,2.41,2.69,3.09,3.28,2.66,1.91,0.97,-1.06,-1.81,-3.47,-5.19,-5.81,-6.53,-6.97,-6.75,-6.66,-5.69,-4.78,-3.59,-2.03,-1.88,-2.16,-3.06,-3.84,-5.59,-6.53,-6.53,-5.66,-4.34,-3.34,-2.12,-1.72,-2.53,-2.78,-3.56,-4.06,-4.84,-5.47,-6.22,-7.34,-8.59,-9.81,-11.62,-12.34,-13.38,-14.41,-14.94,-15.34,-15.28,-14.31,-14.09,-14.22,-14.56,-14.97,-15.34,-15.5,-15.22,-13.56,-12.16,-9.78,-8.34,-7.47,-8.31,-9.0,-10.44,-10.41,-10.19,-8.56,-7.34,-5.19,-2.34,-0.34,2.0,3.94,4.59,3.78,2.03,-0.44,-2.81,-5.59,-5.78,-6.31,-5.03,-3.5,-2.25,-1.47,-0.59,0.12,0.66,1.06,1.06,1.44,0.91,0.44,0.31,1.09,1.56,2.91,4.91,6.31,7.91,8.38,8.16,8.28,7.81,6.91,6.47,5.66,4.94,3.16,1.81,0.47,-0.72,-0.19,-0.41,0.41,0.72,0.12,0.94,1.75,2.03,2.81,2.94,2.12,1.19,1.0,0.81,0.09,0.19,0.12,0.12,-0.16,-0.47,-0.31,-0.5,0.16,0.94,1.09,2.44,2.69,3.03,4.56,4.88,5.44,6.22,5.31,5.62,4.5,3.19,2.16,0.69,0.06,0.66,0.41,0.59,-0.25,-0.59,-0.34,-0.31,0.41,1.47,1.22,1.03,-0.16,-0.84,-1.84,-2.66,-2.44,-4.59,-6.47,-8.56,-11.03,-12.59,-13.84,-13.59,-13.22,-11.5,-8.84,-6.66,-4.16,-1.88,-0.69,-0.16,0.5,1.5,1.81,1.81,1.81,0.38,-0.97,-0.94,-2.66,-2.38,-1.16,-1.19,-0.84,-1.12,-2.28,-3.19,-4.66,-4.75,-2.72,-1.78,0.88,3.03,4.81,6.41,7.28,8.97,9.97,11.16,12.0,13.91,14.69,14.06,13.31,12.12,10.06,10.06,9.31,9.66,9.25,9.88,10.16,9.47,9.56,9.12,7.44,6.41,4.78,4.53,4.0,4.09,4.84,6.09,4.72,4.84,3.84,1.5,0.5,-0.88,-1.91,-3.06,-2.56,-2.78,-2.19,-1.88,-1.59,-1.94,-0.97,-0.62,-0.78,-1.16,-1.41,-1.97,-1.91,-2.03,-1.59,-1.19,-1.5,-2.47,-3.34,-4.88,-5.72,-6.47,-7.53,-6.84,-6.34,-6.66,-6.78,-7.16,-8.22,-8.34,-9.34,-9.59,-10.03,-8.84,-8.28,-7.31,-6.03,-6.16,-6.06,-6.09,-7.19,-9.19,-11.06,-14.5,-16.69,-19.84,-20.5,-21.47,-21.09,-20.91,-20.19,-20.41,-20.34,-20.53,-19.91,-18.84,-17.22,-15.31,-13.72,-12.06,-10.97,-10.47,-10.41,-11.0,-11.19,-12.66,-13.97,-14.56,-15.09,-17.31,-17.53,-17.16,-16.34,-15.53,-12.34,-9.28,-6.59,-3.69,-1.78,0.22,2.06,3.06,4.81,6.47,6.62,5.91,4.16,2.78,1.12,0.34,-1.69,-2.66,-3.91,-5.34,-6.47,-8.91,-9.91,-11.22,-13.0,-14.03,-13.84,-14.19,-13.97,-13.59,-12.62,-12.75,-12.44,-11.81,-11.69,-11.78,-11.75,-12.44,-14.12,-16.59,-18.97,-21.09,-23.56,-24.59,-24.53,-24.28,-23.59,-4.72,-4.69,-4.34,-4.19,-5.03,-4.72,-6.41,-9.41,-11.53,-13.09,-14.38,-14.84,-14.25,-13.41,-11.81,-10.56,-8.84,-7.12,-6.0,-5.03,-5.47,-6.31,-8.44,-10.88,-13.97,-17.09,-19.84,-20.97,-21.19,-22.06:positivity
22.25,24.5,24.28,22.25,19.81,18.34,16.31,15.47,14.5,16.03,17.31,18.69,20.75,22.06,22.72,21.81,20.53,19.12,19.78,18.62,21.25,23.69,25.62,27.69,28.19,25.56,21.81,18.38,13.03,11.09,9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16:16.31,15.47,14.5,16.03,17.31,18.69,20.75,22.06,22.72,21.81,20.53,19.12,19.78,18.62,21.25,23.69,25.62,27.69,28.19,25.56,21.81,18.38,13.03,11.09,9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16,-4.06,-1.84,-1.19,-2.16,-4.59,-6.34:20.75,22.06,22.72,21.81,20.53,19.12,19.78,18.62,21.25,23.69,25.62,27.69,28.19,25.56,21.81,18.38,13.03,11.09,9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16,-4.06,-1.84,-1.19,-2.16,-4.59,-6.34,-7.47,-8.22,-8.41,-5.84,-4.5,-2.12:19.78,18.62,21.25,23.69,25.62,27.69,28.19,25.56,21.81,18.38,13.03,11.09,9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16,-4.06,-1.84,-1.19,-2.16,-4.59,-6.34,-7.47,-8.22,-8.41,-5.84,-4.5,-2.12,-0.75,0.47,1.16,-0.69,-2.44,-4.5:28.19,25.56,21.81,18.38,13.03,11.09,9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16,-4.06,-1.84,-1.19,-2.16,-4.59,-6.34,-7.47,-8.22,-8.41,-5.84,-4.5,-2.12,-0.75,0.47,1.16,-0.69,-2.44,-4.5,-7.31,-11.31,-13.53,-17.5,-20.09,-21.5:9.94,9.81,12.88,13.06,15.66,17.06,16.69,17.19,17.91,16.62,15.69,15.31,14.69,15.47,16.53,16.62,16.81,16.38,12.91,12.19,9.59,7.69,5.06,3.84,2.12,0.5,-1.78,-0.31,-1.03,1.06,3.88,6.0,7.72,9.16,8.31,7.44,5.47,3.03,0.0,-3.66,-5.94,-6.72,-7.72,-5.5,-4.59,-2.75,-3.09,-1.94,-1.88,-2.0,0.31,1.59,2.62,5.31,5.38,5.84,7.56,7.62,9.34,9.66,9.44,9.69,8.56,7.09,5.53,7.09,6.59,5.94,7.31,6.41,5.16,3.5,-0.12,-3.19,-7.47,-9.97,-10.22,-10.22,-9.78,-8.84,-8.53,-10.41,-12.16,-13.59,-14.69,-13.59,-12.31,-10.5,-8.16,-7.78,-8.16,-8.47,-10.59,-11.31,-11.94,-14.72,-14.91,-17.66,-18.31,-17.47,-16.97,-12.72,-10.0,-6.81,-5.09,-3.91,-3.88,-3.91,-4.19,-4.78,-4.91,-6.19,-6.22,-5.72,-5.16,-5.28,-4.97,-4.97,-5.53,-5.25,-4.12,-3.0,-2.94,-2.66,-3.06,-2.72,-1.97,-1.72,-0.53,-0.81,-1.62,-2.47,-3.84,-2.88,-2.09,0.31,0.91,3.28,2.03,1.0,0.31,-2.31,-4.75,-4.53,-4.75,-4.22,-4.25,-1.97,-3.16,-0.91,-1.59,-0.59,-1.28,-0.53,-2.28,-3.59,-6.16,-7.91,-10.09,-11.31,-11.84,-10.66,-8.84,-6.94,-4.03,-2.59,-1.47,-0.75,-0.47,-0.47,-0.56,-1.16,-2.56,-2.59,-3.03,-1.47,0.91,2.78,5.38,6.16,6.53,7.03,5.78,4.75,3.41,3.47,3.06,2.78,4.44,4.56,5.09,5.94,5.69,5.94,6.34,5.66,4.94,5.5,5.59,5.28,5.94,5.84,4.81,4.97,4.28,4.81,4.81,5.69,5.34,7.0,6.38,6.53,6.06,6.44,5.91,4.53,4.31,3.12,0.69,-1.19,-2.31,-3.16,-4.31,-5.09,-3.47,-3.16,-1.28,1.94,5.72,7.69,10.31,12.06,11.22,10.69,8.81,6.12,4.56,2.41,1.28,0.81,2.31,1.34,2.22,2.91,3.31,3.81,4.81,5.06,5.09,4.56,4.09,2.5,0.78,0.16,-0.59,-1.56,-1.0,0.81,0.69,1.06,1.16,0.78,-0.03,-0.47,-0.59,1.06,1.5,3.06,4.5,5.47,6.03,6.91,8.03,8.5,7.59,7.12,6.91,5.0,4.88,4.06,4.72,4.66,5.31,6.84,7.0,10.06,9.47,11.06,12.78,11.69,13.0,12.53,11.16,9.69,8.56,6.25,5.28,4.78,5.06,6.06,6.53,7.03,8.38,9.41,10.44,11.84,12.12,12.97,11.69,8.66,9.28,8.12,7.31,8.88,8.41,8.25,6.44,4.59,2.66,1.0,-1.34,-2.59,-2.56,-1.56,-0.22,2.66,5.53,8.03,8.03,9.12,7.84,5.88,6.0,4.41,4.12,5.38,5.66,6.44,6.22,7.06,5.91,5.06,5.81,6.22,9.53,11.31,14.31,17.78,20.19,22.28,23.5,24.69,24.56,23.78,23.41,21.81,21.0,19.25,19.25,18.0,17.12,17.19,17.53,16.56,15.72,14.88,13.19,11.56,10.53,8.66,8.41,7.47,7.09,6.34,8.09,7.94,7.34,8.56,8.12,7.91,7.31,7.47,7.28,7.31,7.38,7.91,9.03,8.25,8.56,7.34,8.44,8.91,9.69,11.56,13.69,15.34,15.41,16.25,17.31,16.62,16.22,15.84,14.38,13.12,12.03,9.03,9.03,9.44,9.41,8.34,8.28,7.12,4.19,3.03,1.19,-0.69,-2.0,-2.72,-4.47,-4.16,-4.03,-3.72,-2.97,-2.66,-2.34,-1.75,-2.09,-2.03,-1.91,-2.22,-3.09,-2.91,-3.66,-3.88,-3.09,-1.66,-0.53,-0.38,3.59,2.66,2.78,3.56,3.0,2.62,2.06,3.56,3.44,5.06,5.94,6.56,7.28,6.09,5.0,3.69,2.41,1.66,1.81,3.91,8.25,12.31,17.53,20.53,21.12,17.81,12.97,7.31,3.56,0.53,-1.41,-1.53,-1.5,-1.38,-1.91,-1.56,-0.62,-1.97,-3.28,-3.22,-4.41,-4.56,-4.66,-4.16,-5.22,-6.34,-9.0,-10.97,-12.09,-13.78,-14.31,-15.41,-16.59,-15.88,-16.84,-15.47,-14.66,-13.59,-11.16,-10.09,-9.94,-9.78,-9.88,-11.41,-12.34,-12.94,-12.62,-11.53,-10.75,-9.94,-9.5,-9.09,-9.41,-11.06,-9.16,-8.34,-8.41,-6.06,-6.09,-6.03,-5.59,-6.31,-5.56,-5.59,-5.66,-6.56,-7.09,-8.34,-7.47,-8.34,-6.69,-7.66,-6.69,-8.03,-8.84,-8.66,-10.22,-11.47,-12.78,-12.84,-14.19,-14.5,-13.78,-13.72,-13.25,-12.28,-10.25,-9.22,-7.0,-5.22,-3.56,-4.34,-3.16,-3.72,-3.44,-3.66,-5.25,-6.53,-8.19,-10.72,-13.12,-15.28,-16.41,-17.59,-18.34,-19.22,-19.03,-20.09,-20.28,-19.19,-18.66,-15.25,-12.56,-10.94,-8.5,-7.81,-7.81,-7.88,-7.56,-8.78,-9.72,-11.84,-11.72,-11.72,-11.09,-9.28,-7.66,-8.84,-10.34,-11.22,-12.69,-14.94,-14.28,-13.69,-12.22,-9.59,-8.16,-6.22,-5.19,-4.34,-4.97,-6.28,-6.97,-9.69,-14.06,-16.69,-19.47,-20.38,-22.19,-22.19,-21.44,-23.28,-22.91,-22.09,-20.78,-17.16,-14.19,-12.03,-9.12,-8.53,-7.88,-7.38,-9.22,-10.66,-12.38,-13.19,-13.72,-13.69,-12.62,-11.41,-10.53,-9.72,-8.34,-8.25,-6.66,-6.19,-4.22,-2.0,-1.06,-0.47,-1.72,-1.91,-3.41,-4.91,-5.28,-4.66,-4.34,-4.34,-3.0,-2.09,-1.72,0.03,-1.78,-0.16,-0.41,-1.22,-2.09,-2.84,-3.59,-4.31,-4.88,-5.31,-4.81,-3.94,-4.09,-3.69,-2.84,-3.06,-2.91,-3.03,-3.53,-2.41,-1.75,-2.28,-2.19,-2.59,-3.53,-3.16,-3.62,-4.47,-4.72,-6.28,-7.91,-8.03,-6.84,-4.12,0.69,5.69,8.38,10.12,8.38,4.0,-0.78,-5.16,-9.91,-12.81,-15.34,-16.97,-17.44,-19.41,-19.72,-20.56,-20.59,-22.09,-22.34,-22.34,-20.47,-19.47,-15.41,-12.16,-10.03,-7.84,-6.56,-5.28,-5.78,-6.06,-6.88,-9.97,-12.09,-15.88,-19.0,-19.53,-21.78,-22.59,-22.28,-21.94,-22.56,-21.84,-21.66,-20.75,-20.75,-19.19,-16.38,-14.38,-12.03,-9.97,-9.66,-10.84,-11.78,-12.97,-12.44,-12.03,-12.59,-12.06,-11.44,-11.28,-9.91,-8.0,-6.53,-4.59,-3.97,-4.28,-3.09,-2.62,-0.69,-0.78,0.38,-0.03,-1.16,-3.28,-5.97,-7.44,-9.97,-10.72,-10.53,-10.09,-9.19,-7.88,-7.22,-6.53,-5.69,-4.22,-4.09,-3.66,-3.47,-3.16,-2.41,-2.09,-0.97,-0.94,-0.53,-1.09,-0.09,-0.47,-0.78,-1.16,-2.41,-2.53,-4.84,-4.94,-4.56,-4.06,-3.72,-1.78,0.31,0.34,2.09,1.56,1.47,1.34,1.62,1.06,0.47,0.62,0.81,0.47,1.16,2.0,2.88,1.75,1.0,-0.62,-1.59,-2.22,-4.31,-4.0,-5.03,-5.12,-4.72,-3.84,-3.56,-2.75,-2.69,-3.34,-3.97,-4.97,-5.5,-6.34,-6.59,-6.16,-5.66,-5.06,-7.0,-6.0,-6.78,-7.78,-7.59,-7.97,-8.28,-10.28,-11.84,-12.97,-14.72,-15.41,-15.41,-14.78,-14.47,-13.59,-13.28,-13.22,-11.69,-10.91,-9.0,-7.31,-6.91,-5.66,-6.59,-7.34,-8.72,-9.59,-9.16,-8.5,-8.41,-7.53,-7.16,-8.25,-8.16,-7.16,-4.06,-1.84,-1.19,-2.16,-4.59,-6.34,-7.47,-8.22,-8.41,-5.84,-4.5,-2.12,-0.75,0.47,1.16,-0.69,-2.44,-4.5,-7.31,-11.31,-13.53,-17.5,-20.09,-21.5,-22.59,-22.19,-21.84,-21.16,-20.62,-20.16:positivity
21.66,20.78,21.62,23.28,26.34,30.22,34.88,38.56,42.94,47.12,47.84,49.41,48.0,45.16,41.28,37.06,32.47,28.16,25.97,24.25,23.5,24.25,26.41,29.19,31.47,33.41,34.31,33.88,34.06,33.56,32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56:34.88,38.56,42.94,47.12,47.84,49.41,48.0,45.16,41.28,37.06,32.47,28.16,25.97,24.25,23.5,24.25,26.41,29.19,31.47,33.41,34.31,33.88,34.06,33.56,32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56,-16.06,-16.66,-16.88,-16.62,-14.66,-12.31:48.0,45.16,41.28,37.06,32.47,28.16,25.97,24.25,23.5,24.25,26.41,29.19,31.47,33.41,34.31,33.88,34.06,33.56,32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56,-16.06,-16.66,-16.88,-16.62,-14.66,-12.31,-9.38,-5.78,-2.41,-0.84,-1.34,-1.22:25.97,24.25,23.5,24.25,26.41,29.19,31.47,33.41,34.31,33.88,34.06,33.56,32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56,-16.06,-16.66,-16.88,-16.62,-14.66,-12.31,-9.38,-5.78,-2.41,-0.84,-1.34,-1.22,-3.38,-6.56,-10.44,-15.47,-19.44,-22.94:31.47,33.41,34.31,33.88,34.06,33.56,32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56,-16.06,-16.66,-16.88,-16.62,-14.66,-12.31,-9.38,-5.78,-2.41,-0.84,-1.34,-1.22,-3.38,-6.56,-10.44,-15.47,-19.44,-22.94,-25.53,-25.22,-23.16,-21.09,-18.34,-16.31:32.84,32.31,32.41,32.78,33.56,35.12,36.78,37.88,38.41,39.28,38.66,38.84,38.56,37.56,36.03,34.47,31.78,29.28,26.56,24.56,22.25,20.59,20.5,20.38,21.66,24.59,27.78,31.91,35.16,38.44,40.28,39.66,38.25,36.31,33.34,32.06,30.06,27.31,26.44,25.31,22.31,20.72,18.81,16.88,15.72,15.72,16.72,18.38,20.31,21.81,24.06,25.69,27.88,28.34,28.78,29.16,27.16,25.44,23.53,20.94,18.69,17.66,16.72,17.53,19.12,19.34,19.06,18.84,16.38,14.53,13.75,14.34,14.84,17.78,20.53,24.84,30.41,35.66,38.38,42.72,44.97,43.84,40.78,38.53,33.88,29.56,27.84,25.5,23.97,22.78,20.53,17.91,14.56,12.38,10.34,9.12,10.78,12.03,16.31,20.0,24.12,26.47,29.25,27.84,25.56,22.41,18.91,15.0,12.0,9.41,7.31,6.56,5.56,6.16,7.0,8.69,9.72,11.69,11.88,12.84,13.34,14.38,15.62,17.88,19.38,21.91,23.28,23.16,22.97,21.31,17.28,14.5,12.0,8.69,7.25,6.16,7.38,8.22,10.56,12.25,14.31,15.78,16.78,18.44,18.84,18.09,17.91,16.78,16.81,18.0,19.16,19.53,20.16,20.81,19.06,16.91,16.16,14.19,12.06,10.41,7.53,5.62,3.75,2.84,1.88,4.5,4.38,7.81,10.41,12.56,13.34,14.88,15.5,14.16,15.0,16.5,16.34,17.75,17.62,18.56,17.5,17.84,17.44,17.06,16.66,15.56,14.12,12.44,9.19,7.75,4.94,2.81,0.62,-0.28,0.88,0.81,3.88,5.12,7.62,9.5,11.06,12.38,14.16,15.16,15.78,16.31,15.44,14.72,13.66,12.19,10.31,8.47,6.12,4.81,2.66,1.84,1.62,1.44,1.41,3.97,4.38,5.75,5.97,7.06,7.56,7.81,8.66,8.25,8.81,8.5,8.94,10.22,12.09,12.72,14.03,13.81,13.44,12.53,11.41,12.06,11.09,10.97,9.81,7.44,4.25,1.53,-0.44,-0.84,-0.53,0.62,2.06,3.34,2.28,3.62,2.56,2.81,3.56,4.44,5.03,6.44,7.31,6.69,5.31,4.38,2.75,2.0,0.78,1.16,0.16,-0.25,-0.66,0.0,1.03,2.38,4.84,5.31,8.19,7.88,7.56,6.72,6.16,4.69,4.31,4.78,5.56,4.72,4.25,3.25,1.78,0.81,-0.56,0.19,0.0,0.81,1.56,3.62,6.66,8.5,12.53,14.31,16.19,16.88,17.09,14.56,12.75,10.34,8.94,7.56,5.66,5.22,3.22,1.75,0.97,-0.59,-0.06,-1.16,-0.31,1.09,2.56,5.16,6.31,9.0,10.09,11.56,13.66,16.34,18.81,20.12,20.28,19.88,18.41,16.19,14.56,13.25,11.38,9.28,8.06,6.81,5.12,4.16,3.78,2.06,1.34,-0.03,-0.59,-0.44,-2.66,-1.84,-1.97,-4.03,-3.78,-3.84,-3.66,-2.5,-0.38,2.31,2.97,3.91,4.31,2.41,1.16,-0.84,-2.41,-2.84,-3.31,-1.06,0.09,5.31,9.75,14.22,17.81,19.91,20.62,19.06,15.12,12.69,9.0,8.06,6.41,7.41,8.38,8.66,9.0,10.5,9.41,8.72,7.5,5.84,3.41,2.78,0.59,-0.22,-0.47,-0.12,1.06,4.0,7.47,10.28,13.66,15.84,16.5,17.16,17.19,16.44,15.53,14.81,13.09,13.56,13.5,13.81,12.94,13.62,12.34,12.03,11.0,10.44,9.19,8.88,8.31,9.62,10.41,11.72,12.16,12.09,12.31,11.31,12.69,15.0,16.5,19.94,20.56,22.28,22.22,22.06,22.66,23.38,22.31,21.62,19.94,17.06,16.31,15.03,15.72,16.78,17.62,18.25,17.84,17.66,15.0,11.56,10.19,7.56,6.16,7.03,8.0,8.94,9.41,9.06,7.47,6.84,4.75,4.0,3.31,3.06,4.16,7.06,9.88,13.19,15.44,17.91,19.0,18.44,18.25,16.94,15.84,14.69,14.16,13.94,13.94,13.84,13.75,13.62,12.81,12.78,12.75,12.34,12.69,12.41,12.81,12.91,14.66,16.31,17.22,19.06,19.12,18.16,18.12,16.28,15.62,14.16,13.06,12.31,11.06,9.84,9.97,10.34,10.41,11.47,11.81,12.38,12.31,11.62,11.47,10.28,10.72,10.84,11.53,12.56,12.03,11.59,10.38,7.72,7.25,8.12,9.16,11.75,15.25,17.88,19.03,17.94,18.06,17.84,16.91,17.03,16.91,16.25,16.03,16.12,16.03,15.5,16.06,16.56,17.19,18.19,19.97,21.66,22.56,23.34,24.84,25.28,25.72,26.81,26.88,27.78,27.28,26.0,25.0,23.62,21.41,20.5,20.69,20.56,22.19,23.38,25.03,26.34,25.91,26.19,25.16,23.28,22.62,20.88,20.31,18.81,17.88,16.91,16.06,15.72,15.56,15.62,15.41,15.91,16.06,16.66,15.72,15.94,15.25,14.0,13.44,12.81,12.19,11.25,10.44,10.91,11.16,11.44,10.25,9.62,8.09,7.12,4.56,4.25,3.47,3.88,3.5,4.28,4.22,3.84,4.59,4.62,5.56,8.12,10.19,12.41,15.88,16.12,17.66,18.56,18.38,17.78,16.91,15.69,14.66,14.03,14.44,15.66,15.78,16.84,16.12,15.72,14.88,15.75,15.56,17.5,19.53,20.62,21.91,23.31,24.0,25.03,26.97,28.62,30.34,31.06,30.06,27.16,24.59,21.97,19.72,19.34,19.97,20.53,21.31,23.09,23.56,25.34,27.62,29.06,30.03,30.56,30.12,27.97,26.25,25.16,23.78,23.97,25.06,25.12,26.56,27.16,28.44,28.56,27.75,26.69,25.16,23.41,20.31,18.75,16.31,14.19,12.75,12.44,12.5,14.06,16.16,18.41,19.34,21.06,22.44,22.41,22.12,20.38,18.34,15.31,12.88,11.5,10.12,9.78,9.38,10.38,10.19,10.94,11.44,12.12,13.06,14.31,17.25,19.81,22.78,26.0,27.22,29.19,27.75,26.28,24.44,20.84,19.38,17.34,16.5,16.38,16.44,18.0,20.03,21.56,22.06,22.44,23.12,23.81,24.31,24.84,25.81,26.94,26.28,25.47,26.06,24.44,22.81,20.97,16.81,15.06,14.0,12.41,13.56,15.0,15.66,17.66,18.31,19.88,20.72,20.59,21.62,22.28,22.31,22.66,22.72,21.81,20.41,18.31,16.81,15.56,15.69,15.31,16.25,17.0,17.31,18.19,19.69,20.41,22.25,23.59,23.56,24.16,22.75,20.81,19.5,17.06,15.91,15.78,16.25,16.84,17.06,16.91,17.31,17.16,16.97,17.12,17.62,19.78,20.66,22.09,22.97,22.12,21.53,20.94,21.41,21.53,21.88,22.25,22.06,20.88,19.94,19.06,17.78,15.94,14.19,12.81,11.78,11.12,11.62,12.75,13.41,15.25,16.72,18.5,19.72,20.59,19.62,18.62,17.41,15.81,13.59,12.81,11.47,10.25,11.03,10.19,12.91,13.97,16.44,17.91,17.66,18.06,17.31,17.25,17.34,17.09,16.88,15.97,14.62,13.06,13.09,12.16,11.19,11.25,11.69,11.41,12.75,14.91,16.78,19.34,20.62,23.06,24.12,24.69,26.16,26.88,26.78,27.31,25.16,25.41,24.56,24.62,25.19,25.78,27.03,26.56,-16.06,-16.66,-16.88,-16.62,-14.66,-12.31,-9.38,-5.78,-2.41,-0.84,-1.34,-1.22,-3.38,-6.56,-10.44,-15.47,-19.44,-22.94,-25.53,-25.22,-23.16,-21.09,-18.34,-16.31,-13.78,-12.31,-11.88,-12.22,-12.53,-14.06:positivity
42.19,44.38,46.69,49.31,50.81,51.47,51.19,50.03,50.12,48.78,48.25,48.19,46.94,46.34,44.75,41.84,40.69,38.91,37.53,36.38,35.5,34.12,34.09,33.22,32.69,32.5,32.5,32.25,33.22,33.25,34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62:51.19,50.03,50.12,48.78,48.25,48.19,46.94,46.34,44.75,41.84,40.69,38.91,37.53,36.38,35.5,34.12,34.09,33.22,32.69,32.5,32.5,32.25,33.22,33.25,34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62,30.66,33.19,34.84,37.25,38.72,41.03:46.94,46.34,44.75,41.84,40.69,38.91,37.53,36.38,35.5,34.12,34.09,33.22,32.69,32.5,32.5,32.25,33.22,33.25,34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62,30.66,33.19,34.84,37.25,38.72,41.03,41.25,40.0,39.88,39.16,38.75,38.78:37.53,36.38,35.5,34.12,34.09,33.22,32.69,32.5,32.5,32.25,33.22,33.25,34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62,30.66,33.19,34.84,37.25,38.72,41.03,41.25,40.0,39.88,39.16,38.75,38.78,39.28,39.25,37.44,36.09,33.72,31.22:32.69,32.5,32.5,32.25,33.22,33.25,34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62,30.66,33.19,34.84,37.25,38.72,41.03,41.25,40.0,39.88,39.16,38.75,38.78,39.28,39.25,37.44,36.09,33.72,31.22,29.94,28.12,25.94,24.84,23.44,22.03:34.19,34.94,36.25,36.88,37.06,35.75,35.97,33.56,33.0,33.5,35.47,39.03,42.81,47.97,52.78,53.78,54.31,52.16,48.97,45.53,40.62,37.62,36.0,32.91,32.75,32.59,32.38,31.88,31.31,31.12,30.66,30.66,31.38,31.69,32.31,32.81,31.56,30.19,29.41,28.5,27.66,29.0,29.41,29.97,31.19,32.38,31.78,32.94,33.16,32.75,31.16,29.41,28.62,28.03,28.34,30.34,31.81,32.84,33.62,34.91,35.12,36.31,38.09,37.66,38.25,36.25,35.66,34.78,33.53,33.19,32.31,29.75,28.16,27.5,26.56,26.22,28.41,30.22,32.31,34.62,36.78,37.19,38.31,37.41,37.16,36.31,37.78,37.25,37.31,37.03,35.38,32.66,28.72,24.94,21.28,18.16,18.0,16.41,16.28,16.03,16.31,15.84,16.78,16.78,17.81,18.28,18.25,18.78,18.81,19.19,18.75,17.25,16.69,14.78,15.03,14.12,14.09,14.34,15.5,16.0,15.56,17.47,16.94,17.44,19.0,19.81,21.06,23.16,25.91,27.81,29.56,31.16,33.06,33.31,34.41,35.41,36.19,36.66,36.62,36.19,36.31,35.31,34.72,35.53,34.31,34.59,34.31,34.03,33.44,33.0,30.5,28.66,28.56,28.34,28.69,30.22,30.62,31.25,30.75,30.62,30.72,30.75,30.12,29.31,27.16,26.28,23.91,22.66,21.06,19.97,18.28,17.12,16.12,15.31,14.41,13.72,13.69,13.0,12.09,10.53,8.84,5.34,4.44,2.62,1.47,2.81,3.81,5.06,6.31,7.44,7.5,7.72,7.78,7.34,7.28,8.31,9.75,10.19,12.28,13.69,15.31,16.19,16.25,16.84,15.31,15.69,14.41,13.47,13.03,12.69,12.5,11.88,11.88,12.94,12.5,12.88,13.62,12.91,12.06,10.94,11.06,11.06,11.38,13.41,15.31,17.34,19.41,20.09,21.03,22.16,22.06,23.66,23.06,24.12,23.94,23.91,23.59,22.5,22.09,23.19,24.41,27.34,31.06,35.25,38.69,40.72,41.47,40.41,37.44,34.91,32.5,29.16,27.5,25.12,24.81,24.22,24.0,24.34,24.19,24.59,25.34,24.28,25.5,24.94,24.88,24.69,23.81,23.59,23.81,24.69,25.5,26.22,26.44,26.97,26.19,26.03,26.75,25.84,26.5,25.69,25.59,25.06,23.91,23.81,24.19,24.75,25.94,27.66,29.5,31.0,33.69,34.56,35.53,35.69,34.53,35.31,34.84,34.5,34.81,33.66,32.97,31.53,29.72,28.91,28.09,27.19,27.91,29.78,31.88,34.19,35.97,37.69,37.5,36.62,34.66,32.31,30.16,26.19,24.22,21.25,19.75,17.84,17.53,17.44,17.31,16.38,18.0,19.25,20.56,23.72,27.56,30.84,32.62,32.41,32.31,30.78,29.62,29.66,30.06,30.94,31.25,31.16,31.94,31.03,31.31,30.66,30.34,31.62,31.56,32.31,32.94,34.56,35.12,35.81,36.94,36.53,35.78,35.12,32.84,32.28,31.69,31.44,32.56,33.78,35.53,37.19,38.56,39.94,40.81,42.06,41.97,41.88,40.78,38.91,37.38,35.44,34.94,34.0,33.72,33.44,34.78,35.31,35.91,36.09,36.5,35.88,35.72,35.66,34.88,33.81,33.31,32.03,31.06,29.81,29.81,29.28,28.56,28.53,28.59,27.03,27.31,26.44,26.94,26.31,27.66,28.88,29.97,31.16,33.34,33.06,33.44,33.38,33.0,33.19,33.66,34.19,35.06,36.19,36.34,36.22,35.81,34.38,32.28,30.62,27.84,25.56,24.72,22.78,22.16,21.94,21.53,21.69,22.56,23.12,24.06,24.91,27.44,28.94,30.75,31.97,32.66,32.06,31.0,29.38,26.81,25.16,22.91,22.34,22.97,24.22,26.25,28.31,29.75,30.19,30.19,29.06,27.66,27.06,26.72,27.62,28.72,32.44,35.69,37.31,40.38,41.69,42.69,42.94,41.34,39.78,37.19,33.97,31.0,28.16,25.72,24.38,22.59,21.59,21.81,21.0,21.91,21.81,23.28,23.62,24.69,25.25,26.41,26.88,28.94,31.0,33.72,37.25,41.66,43.88,46.81,46.16,43.31,39.66,34.69,29.06,24.16,21.34,18.62,17.28,17.62,18.88,19.72,20.94,22.12,23.25,23.47,23.41,23.06,23.75,23.62,24.06,25.03,26.0,26.59,27.16,28.16,27.72,28.22,27.84,28.12,27.06,27.12,26.97,27.81,28.56,29.69,30.09,29.81,30.22,30.31,29.97,29.53,29.66,28.94,28.03,27.28,27.06,24.22,23.97,23.97,23.31,24.88,26.38,28.88,31.38,33.12,35.09,36.91,37.81,39.25,39.69,39.34,39.41,39.03,39.0,38.97,38.38,38.41,37.94,37.0,36.66,35.81,34.62,34.41,34.19,33.56,33.69,33.38,31.88,29.97,27.81,25.34,22.78,20.75,20.69,20.12,20.56,21.31,22.06,22.47,23.19,24.16,23.62,24.19,23.56,22.88,21.66,21.12,21.19,21.84,21.94,22.5,21.97,20.94,20.41,19.47,18.31,18.84,18.0,17.56,18.12,17.69,18.12,17.69,18.31,18.84,20.41,22.22,23.88,25.59,27.5,27.0,27.16,25.53,24.06,23.03,21.25,20.59,19.72,19.38,19.41,19.44,19.56,20.09,20.59,21.41,21.62,23.38,22.94,23.19,23.81,24.22,24.12,24.62,24.31,23.72,23.03,21.53,19.56,17.81,15.91,14.66,12.19,11.09,11.12,10.62,12.41,12.81,13.56,14.78,14.12,14.56,14.0,13.47,12.84,12.0,12.16,12.38,13.22,14.69,15.53,17.12,17.16,18.69,19.12,19.16,18.94,21.06,21.78,22.75,23.75,24.34,24.22,23.0,21.56,20.34,17.19,14.19,10.25,7.28,5.69,4.5,4.38,5.94,8.03,10.06,12.56,14.66,16.06,17.16,16.44,15.75,14.69,13.03,10.03,9.06,7.41,7.69,8.56,8.78,10.03,10.69,10.5,10.66,10.25,10.38,10.0,10.81,11.16,11.53,11.91,12.44,12.53,14.31,15.47,17.06,18.5,19.19,19.62,19.69,19.94,20.09,19.91,21.81,22.81,23.78,24.81,25.72,26.12,26.97,27.94,29.53,29.44,30.78,30.91,30.19,28.78,27.09,26.03,24.53,21.81,21.78,21.56,21.91,23.91,26.03,27.94,29.31,29.31,28.59,26.62,24.62,23.69,22.84,23.5,25.19,27.75,29.31,30.12,30.59,29.69,27.53,25.41,23.84,23.41,22.66,23.06,22.5,22.09,20.97,19.28,18.66,17.75,16.12,15.69,15.16,14.38,13.75,13.12,13.16,12.91,13.16,14.56,14.31,15.0,16.44,16.91,17.97,18.44,19.88,20.03,20.69,21.22,22.19,22.31,22.66,23.19,22.69,21.81,20.41,19.47,17.69,17.25,16.66,16.44,16.16,16.81,17.34,18.88,19.88,21.72,22.06,23.12,23.81,24.38,25.28,26.0,25.91,26.69,26.84,28.56,29.62,30.06,30.09,29.88,27.91,27.5,26.88,27.91,28.75,30.56,32.28,34.03,35.72,37.34,38.0,39.34,38.22,35.72,33.94,30.94,29.44,28.94,28.41,29.38,29.69,30.41,31.94,33.5,34.75,35.84,37.0,37.84,37.94,38.28,36.78,35.75,33.88,32.97,32.72,32.62,30.66,33.19,34.84,37.25,38.72,41.03,41.25,40.0,39.88,39.16,38.75,38.78,39.28,39.25,37.44,36.09,33.72,31.22,29.94,28.12,25.94,24.84,23.44,22.03,21.0,20.03,18.59,18.53,18.62,19.97:positivity
40.09,39.91,39.69,40.81,41.0,41.0,41.0,40.94,40.5,39.5,37.12,33.44,28.81,24.81,20.97,18.69,18.41,19.72,21.81,24.84,27.25,29.44,29.75,29.78,29.78,29.0,27.44,27.25,26.12,25.75,25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31:41.0,40.94,40.5,39.5,37.12,33.44,28.81,24.81,20.97,18.69,18.41,19.72,21.81,24.84,27.25,29.44,29.75,29.78,29.78,29.0,27.44,27.25,26.12,25.75,25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31,-0.72,-0.5,-0.56,0.31,2.25,3.34:28.81,24.81,20.97,18.69,18.41,19.72,21.81,24.84,27.25,29.44,29.75,29.78,29.78,29.0,27.44,27.25,26.12,25.75,25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31,-0.72,-0.5,-0.56,0.31,2.25,3.34,3.81,4.5,4.41,2.25,-0.75,-4.03:21.81,24.84,27.25,29.44,29.75,29.78,29.78,29.0,27.44,27.25,26.12,25.75,25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31,-0.72,-0.5,-0.56,0.31,2.25,3.34,3.81,4.5,4.41,2.25,-0.75,-4.03,-8.34,-12.97,-17.03,-19.5,-20.34,-19.09:29.78,29.0,27.44,27.25,26.12,25.75,25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31,-0.72,-0.5,-0.56,0.31,2.25,3.34,3.81,4.5,4.41,2.25,-0.75,-4.03,-8.34,-12.97,-17.03,-19.5,-20.34,-19.09,-16.09,-12.53,-9.34,-6.47,-4.78,-4.81:25.69,26.16,27.69,28.06,28.31,29.12,29.41,30.06,29.28,29.16,28.69,28.0,27.06,26.56,29.41,29.97,31.56,32.47,32.5,33.31,32.22,32.38,32.59,31.69,30.44,28.22,26.12,22.62,19.38,16.5,14.81,12.91,12.19,11.34,9.72,9.25,9.53,9.56,10.19,11.38,12.22,11.62,12.12,12.41,12.16,11.81,11.69,10.81,10.69,9.69,9.94,10.34,9.88,9.72,8.78,9.81,10.31,11.69,12.62,13.94,13.84,14.31,12.81,12.84,13.78,13.44,15.69,15.38,16.75,15.97,14.31,12.56,9.62,7.88,6.31,4.31,5.16,5.16,5.06,5.53,6.62,7.34,8.62,9.41,11.84,11.78,13.5,13.91,12.81,12.5,10.5,8.41,6.28,2.34,-0.84,-4.69,-8.22,-10.03,-11.47,-11.09,-9.84,-7.78,-4.69,-2.94,-0.22,1.84,3.81,5.84,6.53,8.06,9.06,8.88,9.03,8.28,7.97,6.84,4.66,3.91,2.31,-0.78,-1.75,-3.69,-4.91,-4.59,-3.47,-2.41,-1.22,0.56,1.41,0.75,0.75,2.25,3.16,5.28,7.94,9.94,12.22,12.75,14.31,14.56,14.28,13.81,12.22,10.81,9.06,6.47,4.69,3.5,2.53,2.5,3.94,3.03,3.66,5.25,5.38,6.81,8.5,10.06,9.62,9.69,9.03,7.94,7.66,6.41,6.31,6.06,5.09,6.44,7.44,11.09,13.25,16.75,20.16,21.19,21.44,20.62,18.5,15.94,13.41,11.69,10.91,12.19,12.44,14.59,16.38,17.91,17.47,17.94,18.81,17.97,18.09,18.28,18.5,18.41,19.34,20.09,19.16,18.16,16.09,14.12,12.41,11.19,11.34,10.56,11.19,10.59,11.19,12.41,12.78,15.28,15.94,16.06,17.5,16.72,14.94,13.53,11.03,8.78,6.88,5.19,3.75,1.91,-0.34,-3.41,-4.25,-5.38,-5.5,-4.28,-3.0,-0.78,0.78,3.09,4.62,5.81,6.09,7.28,5.94,6.16,6.59,6.81,8.97,10.81,12.81,15.5,16.09,14.88,12.78,10.12,7.12,4.09,3.16,2.91,2.53,2.66,3.53,2.69,2.97,3.09,3.0,4.91,6.91,9.12,10.41,11.91,11.41,10.31,9.53,9.31,8.44,7.81,8.38,7.88,6.62,5.72,3.97,2.56,1.09,-0.94,-2.38,-4.25,-4.72,-4.72,-4.22,-1.22,2.44,6.5,10.84,14.38,17.94,19.25,20.06,20.88,21.0,20.53,20.19,18.59,16.5,14.75,11.66,9.5,7.47,6.31,5.38,5.09,5.25,4.16,3.53,2.5,1.25,1.59,0.84,1.19,2.28,2.62,3.25,5.12,7.91,10.41,11.84,13.91,15.25,16.56,15.97,14.5,13.31,8.09,4.56,0.91,-1.94,-3.56,-5.16,-4.69,-2.09,-2.19,0.78,2.56,3.94,6.41,6.41,6.62,6.56,5.56,4.94,5.28,5.94,6.78,7.12,7.81,7.22,6.44,5.16,4.25,4.44,3.47,4.22,4.31,4.75,6.53,8.03,9.62,10.84,11.84,11.53,11.47,9.59,9.03,7.41,5.41,4.62,4.84,4.31,5.56,6.5,8.12,7.53,6.16,4.34,0.97,-0.44,-1.59,-2.03,-0.91,-0.66,0.91,2.44,3.88,6.44,7.97,8.19,8.0,7.56,6.12,5.44,5.31,5.19,5.16,5.25,3.81,3.41,2.31,1.78,1.12,1.5,2.53,3.47,3.62,6.09,6.53,7.0,7.97,8.0,6.81,6.84,5.03,4.22,3.19,2.41,1.72,1.78,1.94,1.97,2.19,3.69,4.53,5.44,8.09,9.5,10.34,12.72,13.62,14.16,16.5,16.34,18.44,20.34,20.72,21.97,21.78,20.94,20.59,18.91,16.97,15.44,13.75,11.16,11.16,10.06,10.81,11.72,14.5,16.75,19.34,20.81,22.03,23.06,23.22,23.56,25.31,24.69,24.56,24.28,21.69,18.91,15.53,12.31,9.78,7.88,8.0,9.03,10.41,13.22,15.19,16.56,17.44,17.72,17.19,15.91,14.88,14.44,13.88,14.62,16.25,18.31,20.66,22.25,24.12,24.59,24.75,25.5,24.78,23.81,22.25,20.56,17.69,15.06,13.22,9.91,7.0,6.25,4.25,3.06,4.12,3.66,3.31,3.41,3.5,3.41,2.81,2.56,2.78,2.16,2.84,4.03,5.12,7.38,9.44,12.56,14.84,16.34,17.03,14.56,11.78,8.5,5.12,3.19,2.0,2.66,4.69,5.53,8.72,11.56,13.06,15.81,16.16,16.22,15.12,13.91,12.34,9.59,7.03,5.41,1.66,-1.19,-2.84,-4.09,-4.38,-2.41,0.62,3.97,7.19,12.12,15.34,19.31,23.12,25.91,27.75,27.84,27.16,23.31,19.84,16.66,12.06,10.38,8.91,7.94,7.66,7.38,6.34,6.06,5.28,4.53,3.19,2.78,4.0,3.62,5.5,7.91,10.0,12.5,14.81,15.72,17.66,16.94,16.53,14.16,11.44,7.81,6.0,3.97,2.94,3.09,3.62,4.06,4.12,4.19,3.31,2.75,2.91,4.53,8.66,11.94,16.84,21.66,24.91,26.16,26.38,25.19,22.0,18.12,15.31,11.44,8.66,6.66,4.88,5.03,5.53,6.59,7.16,7.09,7.06,5.91,4.72,4.06,5.06,5.0,6.88,8.88,11.78,15.31,17.94,20.22,21.25,19.94,19.03,16.62,14.5,12.34,9.53,6.06,2.81,0.88,-2.09,-2.59,-1.09,0.34,2.72,6.28,9.12,10.34,12.0,12.31,11.66,10.56,9.44,7.56,6.19,5.31,4.88,4.59,5.25,6.66,6.5,7.0,6.62,5.84,4.78,4.44,3.88,2.62,1.59,1.25,-0.56,-1.19,-0.94,0.44,2.41,5.34,8.16,11.47,14.53,17.28,18.5,18.84,18.38,16.69,14.84,13.44,11.62,10.88,10.69,10.91,11.62,11.41,12.38,11.09,11.53,11.16,11.31,11.75,10.75,10.16,9.25,7.19,5.78,5.62,7.66,8.66,11.28,13.22,13.66,13.91,15.09,15.19,17.53,20.31,22.56,25.66,28.5,29.53,29.78,28.25,26.38,22.91,19.84,17.28,13.28,11.38,8.44,5.38,3.97,2.53,2.53,1.88,2.56,3.94,5.41,7.03,10.38,12.16,13.0,13.62,13.16,13.44,12.25,12.25,12.41,12.31,11.84,10.66,8.44,7.0,5.78,4.12,3.34,2.34,2.31,0.47,1.38,2.56,3.03,5.41,6.66,8.62,10.78,12.0,13.56,15.0,14.56,13.56,11.31,9.53,5.62,3.16,1.22,-0.69,-0.5,0.78,3.75,6.66,8.94,11.34,12.16,12.19,13.5,13.28,13.0,12.59,11.03,10.03,8.53,7.84,7.44,7.31,8.44,10.19,11.66,14.25,17.25,19.56,20.44,20.16,19.25,16.25,13.25,11.34,9.25,8.19,7.91,7.34,6.62,6.0,5.59,4.56,4.88,6.09,6.47,8.31,9.69,10.53,12.09,12.69,12.41,14.19,15.12,16.44,18.03,18.41,18.09,17.66,15.88,13.56,11.62,9.41,7.56,5.22,4.16,3.0,2.66,2.81,3.56,5.16,6.84,7.81,8.12,8.25,7.62,6.81,5.72,5.12,5.16,5.09,5.53,4.59,4.31,3.69,2.94,2.84,3.62,4.38,6.31,8.44,9.81,10.81,11.94,12.78,13.31,-0.72,-0.5,-0.56,0.31,2.25,3.34,3.81,4.5,4.41,2.25,-0.75,-4.03,-8.34,-12.97,-17.03,-19.5,-20.34,-19.09,-16.09,-12.53,-9.34,-6.47,-4.78,-4.81,-3.72,-4.81,-4.69,-4.84,-6.09,-6.5:positivity
34.78,35.41,36.44,35.53,35.38,34.78,32.56,30.19,28.28,25.47,23.62,22.59,22.28,22.88,22.84,25.16,25.91,27.16,27.75,28.75,28.72,28.75,29.16,29.53,30.56,31.12,32.28,33.66,33.91,35.06,34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31:32.56,30.19,28.28,25.47,23.62,22.59,22.28,22.88,22.84,25.16,25.91,27.16,27.75,28.75,28.72,28.75,29.16,29.53,30.56,31.12,32.28,33.66,33.91,35.06,34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31,-31.19,-31.72,-31.81,-33.22,-33.97,-34.19:22.28,22.88,22.84,25.16,25.91,27.16,27.75,28.75,28.72,28.75,29.16,29.53,30.56,31.12,32.28,33.66,33.91,35.06,34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31,-31.19,-31.72,-31.81,-33.22,-33.97,-34.19,-34.25,-34.28,-34.94,-35.34,-35.28,-34.97:27.75,28.75,28.72,28.75,29.16,29.53,30.56,31.12,32.28,33.66,33.91,35.06,34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31,-31.19,-31.72,-31.81,-33.22,-33.97,-34.19,-34.25,-34.28,-34.94,-35.34,-35.28,-34.97,-33.94,-32.34,-30.66,-28.84,-27.66,-26.5:30.56,31.12,32.28,33.66,33.91,35.06,34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31,-31.19,-31.72,-31.81,-33.22,-33.97,-34.19,-34.25,-34.28,-34.94,-35.34,-35.28,-34.97,-33.94,-32.34,-30.66,-28.84,-27.66,-26.5,-27.41,-28.38,-29.03,-30.31,-30.16,-30.09:34.47,34.06,33.06,31.84,30.81,30.44,29.81,29.84,29.94,29.56,30.72,31.25,31.16,31.34,31.19,30.81,30.78,30.41,31.19,31.06,30.69,31.0,31.25,31.53,31.94,31.66,29.5,27.53,25.47,22.91,21.66,20.88,21.22,22.59,22.88,25.34,26.31,26.56,26.38,25.53,24.16,22.94,20.78,18.88,16.16,14.06,11.69,11.03,11.62,13.06,15.62,18.25,21.38,24.19,26.59,27.28,28.12,27.12,26.38,26.12,25.31,24.66,24.03,23.25,22.03,20.16,20.66,19.94,20.22,20.69,22.34,23.09,24.06,25.25,24.97,24.56,23.56,22.19,21.06,19.69,18.72,18.06,17.31,18.09,19.28,20.5,22.53,23.19,22.72,22.69,20.25,19.34,18.44,18.16,18.09,19.66,21.12,22.47,23.25,24.44,23.78,23.56,21.59,19.91,19.12,18.16,16.88,16.94,16.06,16.53,16.81,17.81,19.28,21.0,22.19,21.81,20.75,18.69,15.28,13.56,12.53,11.56,12.31,12.97,12.59,13.91,13.25,13.78,14.19,14.06,13.94,14.66,14.66,14.44,15.53,15.97,15.78,15.78,16.31,15.78,16.94,17.62,18.41,19.19,20.25,20.97,21.44,22.38,22.25,21.47,21.66,21.44,21.66,21.53,21.09,21.69,19.47,16.84,15.09,12.69,11.66,11.69,12.22,13.81,16.69,17.16,19.09,19.84,19.91,20.84,21.06,21.12,21.19,21.91,22.34,23.31,26.47,29.78,33.56,36.84,36.81,37.88,35.94,32.72,30.25,26.47,24.25,20.84,19.38,19.03,20.44,22.19,23.44,25.12,25.47,24.16,23.19,21.41,18.31,14.66,12.66,9.16,8.03,8.91,9.62,12.0,16.41,19.28,21.56,23.06,22.91,20.91,19.91,18.69,17.06,17.0,15.78,14.94,13.81,11.62,9.94,9.31,7.97,8.44,9.0,8.84,8.78,9.09,7.56,6.31,5.28,4.25,3.44,4.0,5.34,6.78,9.78,12.62,15.38,17.69,20.78,22.88,23.66,24.31,24.09,22.38,20.84,18.94,18.56,17.62,16.56,16.12,15.5,15.16,14.0,13.91,13.16,12.59,12.19,11.47,13.22,12.97,13.97,16.19,16.31,17.28,17.31,18.0,19.25,19.25,19.12,18.56,17.34,16.25,14.81,13.91,12.69,12.41,10.47,10.56,10.16,9.19,9.88,10.38,11.12,11.72,13.81,14.56,16.0,17.91,17.78,17.94,16.41,14.53,13.47,11.41,10.19,9.09,8.12,7.53,7.5,8.72,9.53,10.22,11.88,13.38,14.69,15.28,16.16,15.53,14.62,12.53,12.44,11.81,11.34,13.66,14.09,14.84,15.53,15.28,14.75,13.56,12.84,12.38,11.81,11.88,11.84,12.62,12.41,15.66,17.06,17.88,18.94,20.12,19.81,20.34,22.31,23.94,25.62,27.31,28.16,27.16,26.12,23.81,20.62,17.47,15.69,15.62,15.5,18.5,21.0,23.25,24.84,23.94,23.0,21.53,19.44,17.44,14.72,13.25,12.12,11.09,12.38,13.56,15.94,16.28,18.91,18.41,18.44,19.0,19.22,19.06,18.41,18.56,16.41,14.59,12.91,11.28,9.66,9.06,8.81,9.38,11.41,12.5,15.06,15.88,17.12,16.44,15.84,14.31,12.0,11.44,9.31,8.16,8.09,8.41,8.72,9.59,8.81,8.78,7.62,6.28,5.0,4.12,3.81,3.47,3.84,6.31,9.0,12.22,17.31,20.22,22.28,22.94,22.69,20.69,19.66,17.78,17.34,16.16,14.84,15.53,16.47,16.94,17.59,17.69,17.12,15.25,14.53,13.03,12.97,11.91,12.34,12.28,11.41,12.06,11.25,10.94,10.75,11.12,11.31,12.78,13.91,15.47,15.56,16.56,17.81,19.44,21.28,22.03,23.81,23.06,21.69,20.59,18.72,16.59,14.31,10.69,9.19,6.09,5.0,3.84,3.88,4.78,5.09,5.59,6.22,5.94,5.59,5.56,6.34,8.62,10.0,12.19,14.78,15.41,14.78,15.19,14.12,12.72,12.06,11.03,10.78,9.38,8.53,6.72,4.56,2.12,0.94,-0.56,-1.12,-1.28,0.09,1.34,2.5,4.62,6.41,8.5,9.69,12.16,12.25,10.56,9.91,8.19,5.78,6.19,7.38,8.5,9.0,11.0,11.41,10.66,9.0,8.91,6.84,5.56,5.16,4.19,3.88,1.81,0.31,-1.06,-2.38,-3.59,-2.91,-2.16,-1.84,-1.81,0.03,1.31,4.19,6.22,8.62,10.84,11.75,11.97,12.47,11.81,10.81,9.97,7.69,6.16,3.66,0.75,-2.28,-3.06,-4.16,-4.34,-2.94,-0.59,1.41,2.88,5.62,7.38,8.31,9.38,8.44,7.0,5.81,3.41,0.94,-0.41,-1.97,-2.81,-3.69,-3.5,-2.75,-2.53,-2.59,-2.28,-2.59,-2.03,-2.62,-1.78,-1.09,-0.47,0.69,2.0,1.84,1.5,1.12,-0.53,-2.34,-2.31,-3.06,-3.34,-2.56,-1.94,-1.66,-1.66,-1.34,-1.16,-2.06,-1.53,-0.78,0.0,1.03,1.78,1.81,2.03,1.41,2.03,1.53,2.16,1.41,0.72,0.81,0.84,1.69,2.0,2.34,2.41,2.78,1.56,0.88,0.44,-0.19,-1.06,-2.47,-3.97,-6.22,-7.81,-9.72,-10.84,-11.25,-10.22,-8.59,-7.41,-6.72,-6.22,-6.47,-7.47,-8.03,-7.47,-8.69,-8.06,-7.44,-7.16,-6.03,-4.78,-3.41,-2.88,-0.81,-0.41,-0.25,0.0,-1.09,-1.44,-3.34,-4.72,-5.31,-7.16,-8.31,-9.69,-10.25,-11.84,-13.28,-13.53,-14.06,-14.72,-14.78,-14.28,-13.56,-13.41,-12.59,-11.97,-12.16,-11.75,-11.09,-10.34,-9.09,-7.41,-5.78,-5.31,-5.06,-5.47,-5.53,-6.66,-6.31,-5.41,-5.53,-4.84,-5.03,-4.59,-4.69,-3.97,-2.19,-0.16,3.53,6.78,9.78,11.97,12.5,12.0,11.38,10.22,8.84,8.88,7.47,7.0,5.66,3.41,2.28,1.53,0.97,1.28,1.5,1.31,1.25,0.88,-0.81,-1.22,-2.16,-1.81,-1.97,-1.28,0.19,0.94,1.72,1.97,1.53,-0.22,-1.53,-3.56,-4.97,-6.41,-7.28,-8.22,-7.84,-7.81,-6.06,-6.06,-5.56,-6.5,-7.19,-8.28,-9.84,-10.31,-10.53,-10.62,-9.66,-8.66,-7.69,-6.72,-6.59,-6.09,-6.97,-7.78,-7.22,-7.25,-6.16,-4.44,-2.34,-0.66,0.5,1.25,1.31,1.09,1.06,1.12,2.69,4.22,6.0,7.56,8.94,8.88,7.97,7.16,6.66,4.5,2.81,2.44,0.06,-0.59,-3.5,-3.38,-6.03,-7.09,-7.72,-8.34,-8.91,-8.19,-9.06,-7.81,-7.28,-5.59,-3.03,-1.56,0.31,1.41,1.19,0.69,-0.97,-3.44,-5.38,-6.03,-5.69,-5.22,-3.59,-0.66,-0.34,0.41,0.25,-0.47,-1.88,-2.47,-2.25,-2.03,-1.09,0.28,1.53,2.56,3.28,3.72,3.06,1.53,1.47,0.75,0.44,0.78,0.91,1.03,1.44,0.34,0.28,-0.5,-1.03,-1.84,-2.34,-1.97,-0.47,1.56,4.81,7.0,10.03,11.5,12.38,12.53,11.56,9.91,6.59,5.06,2.66,0.59,0.03,0.03,0.91,1.19,2.62,2.84,2.03,-0.22,-2.16,-4.53,-5.5,-6.19,-5.66,-3.81,-1.25,0.62,3.72,8.0,10.75,14.22,16.19,18.31,-31.19,-31.72,-31.81,-33.22,-33.97,-34.19,-34.25,-34.28,-34.94,-35.34,-35.28,-34.97,-33.94,-32.34,-30.66,-28.84,-27.66,-26.5,-27.41,-28.38,-29.03,-30.31,-30.16,-30.09,-29.28,-28.22,-27.28,-25.75,-24.0,-21.84:positivity
42.16,42.0,41.28,41.19,41.28,42.53,43.5,44.88,46.31,47.91,48.69,49.06,48.5,47.66,46.31,45.0,43.19,41.69,41.88,41.59,42.06,42.62,43.44,44.31,44.12,44.94,46.5,47.81,49.44,51.53,53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59:43.5,44.88,46.31,47.91,48.69,49.06,48.5,47.66,46.31,45.0,43.19,41.69,41.88,41.59,42.06,42.62,43.44,44.31,44.12,44.94,46.5,47.81,49.44,51.53,53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59,2.94,2.12,2.22,2.06,2.31,3.34:48.5,47.66,46.31,45.0,43.19,41.69,41.88,41.59,42.06,42.62,43.44,44.31,44.12,44.94,46.5,47.81,49.44,51.53,53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59,2.94,2.12,2.22,2.06,2.31,3.34,3.62,4.5,5.31,6.62,7.78,7.75:41.88,41.59,42.06,42.62,43.44,44.31,44.12,44.94,46.5,47.81,49.44,51.53,53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59,2.94,2.12,2.22,2.06,2.31,3.34,3.62,4.5,5.31,6.62,7.78,7.75,7.69,7.28,7.41,8.03,8.22,9.59:44.12,44.94,46.5,47.81,49.44,51.53,53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59,2.94,2.12,2.22,2.06,2.31,3.34,3.62,4.5,5.31,6.62,7.78,7.75,7.69,7.28,7.41,8.03,8.22,9.59,11.31,12.16,13.38,13.53,14.09,14.06:53.5,53.31,52.44,51.06,48.91,46.31,43.81,42.28,42.19,43.09,46.56,49.84,53.72,57.09,58.56,59.56,58.69,58.31,56.66,54.38,52.91,50.69,48.94,48.53,46.06,45.25,44.88,43.81,42.5,41.06,40.72,39.94,38.78,38.69,37.03,34.84,33.25,30.25,27.5,25.62,24.09,22.56,21.16,19.84,19.03,18.0,18.31,19.84,21.5,24.94,28.81,33.56,36.69,40.94,43.0,43.72,44.25,44.41,43.09,43.0,41.66,40.53,38.62,36.56,33.94,30.81,28.84,27.12,25.31,24.53,24.62,24.41,25.31,25.44,24.78,23.94,23.31,21.19,19.06,17.03,14.34,12.28,11.03,9.59,9.41,8.34,8.41,8.88,8.72,9.03,10.69,11.97,12.72,13.28,14.69,15.31,17.03,18.19,21.03,22.5,23.88,23.81,23.78,22.91,21.56,21.16,20.75,19.34,20.0,19.88,19.03,18.03,18.25,17.28,16.09,15.34,14.09,14.06,13.72,14.44,15.12,17.69,19.69,20.5,23.81,23.88,23.91,23.25,22.16,20.31,19.12,18.0,16.94,16.59,15.16,14.41,15.19,14.5,16.16,16.88,19.25,20.94,22.84,23.94,24.06,23.22,21.44,18.25,16.81,16.28,16.62,18.06,20.09,22.53,23.53,23.16,23.19,21.25,19.53,17.94,16.78,13.66,12.88,11.72,10.69,10.34,9.66,9.81,10.34,9.56,9.81,7.84,6.66,4.97,4.81,5.12,6.47,7.56,7.62,7.62,7.19,6.19,6.34,7.19,8.0,9.72,11.16,12.97,13.91,15.31,16.94,17.22,19.28,20.34,20.75,21.62,21.16,21.66,22.0,23.25,25.34,26.16,27.0,27.0,27.28,26.72,27.22,27.38,27.16,27.53,26.5,25.97,26.44,25.47,26.19,26.25,25.19,25.06,23.47,24.03,23.34,21.5,21.84,21.16,19.81,19.69,19.03,19.5,18.56,17.0,16.5,13.84,12.94,12.97,12.12,13.88,16.41,18.94,22.41,24.69,26.69,29.41,29.25,29.16,28.94,27.41,25.56,23.03,19.09,17.25,15.31,13.72,13.19,14.91,16.09,16.75,18.69,19.75,19.19,19.06,18.44,18.22,16.84,16.62,16.62,15.38,16.5,16.97,16.94,17.12,16.22,17.44,16.22,16.28,16.62,16.09,17.91,17.56,17.0,16.69,15.38,16.09,15.28,15.88,16.53,16.69,15.09,13.69,13.56,13.12,13.25,12.94,14.66,14.62,12.78,12.81,11.0,11.62,11.25,11.03,12.41,13.0,14.09,14.41,15.12,17.38,18.81,19.94,21.06,22.56,23.91,23.38,24.44,23.59,21.31,19.84,17.44,15.94,14.81,14.16,14.09,13.47,12.66,12.69,13.66,14.34,15.25,16.91,17.88,18.09,16.12,14.94,13.34,11.16,9.94,8.81,10.16,10.0,11.44,11.47,10.47,11.03,10.59,10.69,11.16,14.84,17.66,19.5,21.0,24.22,23.16,22.22,23.84,23.38,24.03,23.69,23.16,24.78,24.66,24.78,26.56,27.19,26.53,26.03,26.0,24.78,24.56,25.75,25.91,26.19,28.03,25.97,24.44,24.03,23.97,21.78,21.5,21.47,21.53,20.41,20.53,22.53,23.62,25.78,29.06,31.12,32.56,34.53,35.06,36.75,37.53,35.41,33.81,31.88,30.44,29.25,29.78,33.28,34.69,37.41,35.84,35.22,32.94,28.84,26.97,28.31,25.31,25.56,25.06,24.0,23.47,24.78,24.22,24.84,24.72,22.81,21.47,20.31,19.19,16.91,16.41,15.44,15.62,14.94,15.53,15.41,15.31,15.38,15.56,17.28,18.47,19.28,20.31,20.28,19.62,18.22,17.81,17.41,16.94,16.06,17.97,18.5,18.44,19.16,18.91,17.94,16.12,15.12,14.53,14.12,15.84,16.75,17.81,20.72,20.91,22.66,23.91,23.97,24.34,22.12,21.31,19.84,17.84,18.59,19.41,20.56,22.38,23.22,23.41,23.38,22.62,19.53,18.91,18.06,16.91,16.81,17.41,17.97,17.66,17.34,16.81,17.03,16.22,15.66,13.94,12.88,13.0,12.56,12.56,13.12,12.62,13.19,13.0,12.31,12.59,13.12,11.31,10.47,7.62,4.94,3.34,3.0,4.44,6.84,10.38,15.19,17.91,20.0,20.84,21.25,18.88,17.44,15.84,14.69,14.75,15.97,17.81,21.03,21.72,23.12,25.56,24.19,24.41,24.06,22.5,20.19,19.44,18.88,18.31,19.06,19.19,18.94,17.34,16.56,14.94,12.62,10.34,8.81,6.25,2.62,0.03,-2.34,-3.16,-2.53,-2.22,-1.09,-0.38,-1.12,-0.09,-1.03,-0.03,2.47,2.72,4.72,5.44,7.44,9.16,8.84,9.66,9.03,6.03,3.69,0.94,0.62,0.03,0.19,1.44,1.53,2.88,4.19,5.56,8.56,9.19,9.94,9.84,8.66,7.84,6.41,5.47,4.59,2.56,1.62,0.0,-0.59,0.06,-0.41,1.59,2.03,1.56,4.03,3.12,3.06,3.31,3.69,5.06,5.78,7.03,7.59,7.44,6.78,5.06,6.31,4.03,3.06,2.16,-0.84,-2.38,-4.91,-5.44,-4.66,-3.78,-3.19,-2.16,-2.16,-3.12,-4.97,-7.28,-9.91,-14.12,-16.66,-18.09,-19.56,-21.19,-19.97,-17.72,-16.56,-13.22,-10.16,-7.09,-5.38,-5.69,-6.88,-9.56,-9.91,-10.66,-12.34,-11.62,-13.19,-13.22,-13.06,-12.41,-10.47,-10.59,-9.84,-10.16,-10.16,-10.97,-9.72,-8.06,-6.66,-4.66,-1.47,1.09,3.94,4.97,5.06,6.34,4.91,4.78,5.72,9.0,12.66,14.56,16.06,16.28,13.44,10.25,5.88,2.06,-0.59,-2.81,-3.12,-4.69,-3.41,-3.97,-3.41,-1.59,-0.56,1.12,3.03,3.31,3.22,2.59,3.0,2.03,2.56,3.38,3.47,3.66,4.5,5.16,5.03,6.06,6.38,5.41,4.31,3.12,0.56,-1.84,-3.53,-3.97,-3.31,-0.97,0.5,2.81,3.69,4.47,2.5,1.16,1.88,0.56,1.19,2.81,3.31,3.47,4.03,3.22,2.81,1.62,0.78,0.69,0.0,0.0,0.72,1.41,2.44,2.72,4.5,5.28,4.53,5.41,3.88,2.81,1.69,0.5,-0.44,-0.34,-0.84,-1.66,-2.12,-1.97,-4.09,-4.41,-4.62,-5.09,-6.38,-7.19,-6.91,-7.5,-6.47,-4.72,-3.19,-0.06,3.22,6.16,6.44,6.44,7.06,5.81,4.94,4.81,4.81,4.25,2.38,1.88,0.16,-0.34,-0.97,-1.84,-1.78,-2.47,-2.78,-1.94,-1.69,-1.25,-0.03,-0.38,-1.66,0.69,0.97,0.84,2.44,3.03,3.06,2.06,2.06,2.75,1.28,2.31,2.31,0.78,0.09,-0.72,-1.03,0.56,0.81,2.41,4.31,5.78,8.03,9.28,11.44,13.44,13.53,13.22,13.66,12.69,10.03,7.78,4.84,1.66,0.59,-0.34,0.78,2.94,4.88,5.91,6.38,8.03,8.5,8.94,9.94,10.41,9.41,9.12,7.28,6.47,4.81,3.06,2.16,1.75,1.34,1.53,2.12,3.41,4.12,4.78,5.31,6.78,7.28,8.38,8.81,7.25,6.91,5.5,4.81,3.56,3.28,2.94,1.72,1.5,1.12,1.16,2.06,2.22,2.53,3.06,2.81,3.44,2.66,3.09,3.56,2.88,3.94,4.06,4.59,2.94,2.12,2.22,2.06,2.31,3.34,3.62,4.5,5.31,6.62,7.78,7.75,7.69,7.28,7.41,8.03,8.22,9.59,11.31,12.16,13.38,13.53,14.09,14.06,13.72,13.56,13.72,14.19,15.19,15.12:positivity
31.72,31.69,32.03,31.09,30.56,30.0,29.12,28.88,31.03,32.22,34.88,37.0,38.94,38.81,38.72,37.91,36.41,33.31,30.84,27.22,22.69,18.0,14.69,11.75,9.62,9.94,11.72,13.81,16.28,18.53,21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34:29.12,28.88,31.03,32.22,34.88,37.0,38.94,38.81,38.72,37.91,36.41,33.31,30.84,27.22,22.69,18.0,14.69,11.75,9.62,9.94,11.72,13.81,16.28,18.53,21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34,-10.81,-8.84,-8.19,-7.41,-7.94,-9.66:38.94,38.81,38.72,37.91,36.41,33.31,30.84,27.22,22.69,18.0,14.69,11.75,9.62,9.94,11.72,13.81,16.28,18.53,21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34,-10.81,-8.84,-8.19,-7.41,-7.94,-9.66,-12.88,-15.56,-17.66,-18.94,-17.62,-15.72:30.84,27.22,22.69,18.0,14.69,11.75,9.62,9.94,11.72,13.81,16.28,18.53,21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34,-10.81,-8.84,-8.19,-7.41,-7.94,-9.66,-12.88,-15.56,-17.66,-18.94,-17.62,-15.72,-11.69,-8.84,-6.97,-5.25,-5.72,-7.84:9.62,9.94,11.72,13.81,16.28,18.53,21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34,-10.81,-8.84,-8.19,-7.41,-7.94,-9.66,-12.88,-15.56,-17.66,-18.94,-17.62,-15.72,-11.69,-8.84,-6.97,-5.25,-5.72,-7.84,-10.31,-12.41,-14.75,-17.66,-20.81,-23.34:21.44,23.22,24.84,27.06,26.59,27.84,28.44,27.72,28.09,29.16,29.16,30.62,31.34,31.62,33.5,33.41,34.03,33.62,33.94,33.16,32.81,32.88,31.78,30.22,28.62,25.44,22.69,19.81,17.25,16.31,16.31,17.75,19.19,21.34,23.78,26.28,27.69,29.38,29.97,28.72,27.44,27.0,25.25,24.06,23.56,21.72,20.62,18.94,18.38,17.25,17.09,16.66,16.91,16.94,17.22,17.06,17.62,18.0,17.28,16.53,15.25,14.47,12.78,11.12,11.06,11.06,9.94,11.16,11.09,10.53,11.44,12.0,13.0,14.0,15.0,15.62,15.38,14.69,14.72,13.75,12.75,12.34,11.94,11.44,10.59,10.81,10.28,11.03,12.34,12.44,13.56,13.97,14.94,15.25,16.19,16.94,17.78,17.53,17.84,16.56,15.59,14.12,13.28,13.56,13.62,12.84,12.69,13.44,12.25,12.28,11.59,12.41,11.72,12.28,13.38,13.66,13.91,14.56,13.91,13.09,11.88,12.06,10.41,10.31,10.09,10.0,9.53,9.59,9.88,9.44,9.66,9.41,8.41,7.25,5.78,5.25,4.5,5.31,6.78,8.91,9.72,10.5,11.12,11.84,12.47,13.84,14.25,14.62,14.34,14.12,13.28,12.81,12.5,13.78,14.12,15.19,15.56,14.19,12.06,8.75,6.06,3.84,2.38,2.78,5.0,7.03,10.25,12.47,14.53,16.72,17.81,18.28,17.94,17.31,15.78,14.69,12.44,10.84,9.59,8.66,7.75,7.47,7.69,8.38,8.41,8.25,7.81,7.16,6.69,6.25,6.16,6.97,7.34,7.28,8.78,9.69,9.03,8.41,6.53,4.41,2.62,1.31,-0.19,1.81,2.94,4.09,6.16,7.59,8.22,8.5,8.28,8.69,9.0,9.16,9.25,10.38,10.16,10.69,10.47,9.69,9.44,9.19,8.06,6.47,7.38,5.81,5.94,6.38,6.62,6.41,5.69,5.28,5.03,4.38,4.03,5.41,6.94,8.12,10.34,13.28,15.06,18.0,18.03,18.34,17.34,16.41,13.41,11.97,10.12,8.16,7.59,8.53,9.16,12.25,15.31,17.31,20.28,21.69,21.47,20.53,17.91,15.88,13.31,10.81,10.12,9.66,9.31,10.06,9.72,9.34,10.25,9.31,8.69,9.56,9.66,8.81,9.44,10.12,10.0,10.28,11.31,13.03,13.69,13.75,13.72,13.94,14.09,14.53,15.16,15.97,16.53,17.19,17.62,18.28,19.59,19.94,20.0,20.59,20.88,20.34,20.06,18.78,18.06,16.22,14.41,12.41,11.28,11.34,9.88,9.94,10.34,10.06,11.81,13.44,14.47,16.44,16.94,16.94,17.75,18.5,18.75,18.59,18.41,18.19,17.16,15.81,15.44,15.38,14.41,13.53,14.22,13.94,12.81,12.38,11.44,10.56,10.44,10.09,10.75,10.91,10.88,10.69,9.22,8.59,8.72,7.72,8.06,8.19,8.47,9.12,8.59,8.09,6.94,6.44,6.38,5.22,6.44,6.81,7.16,9.0,10.25,11.97,12.47,13.44,12.5,9.62,6.72,4.12,2.34,1.12,1.38,2.66,3.25,3.41,3.62,4.75,5.66,6.19,6.91,7.88,7.78,7.97,7.38,7.75,7.69,7.22,6.81,7.66,7.75,8.16,8.78,8.34,7.69,6.81,6.12,6.31,6.09,7.44,7.5,7.78,8.09,7.22,6.34,4.31,3.06,1.81,0.69,1.34,2.69,4.69,6.34,6.81,6.12,4.75,2.88,1.38,0.06,-0.31,-0.22,-1.44,-1.59,-3.09,-4.03,-5.09,-6.03,-5.84,-5.53,-5.25,-5.44,-5.47,-6.41,-7.28,-8.41,-9.91,-10.41,-10.72,-11.59,-11.19,-8.84,-7.81,-5.22,-2.38,-0.66,1.41,2.44,3.12,3.56,3.69,3.31,2.53,1.25,0.81,-1.16,-2.75,-4.19,-4.97,-5.97,-6.91,-6.84,-6.53,-6.53,-4.25,-2.84,-0.97,0.16,0.09,-1.09,-1.78,-3.09,-4.06,-5.5,-5.47,-6.22,-7.34,-6.34,-5.53,-4.09,-2.03,-2.09,-0.66,-0.94,-0.5,0.03,0.44,0.84,0.88,0.44,0.03,-1.22,-1.38,-1.38,-0.16,0.31,1.5,1.94,2.12,1.66,1.16,1.41,1.12,1.53,2.66,3.75,4.16,4.31,3.81,2.91,2.88,3.19,4.5,5.56,5.25,5.53,3.91,2.06,1.56,1.16,0.56,0.09,-0.66,-1.41,-2.03,-2.69,-1.16,0.53,1.41,3.0,3.59,3.41,3.78,3.84,4.81,6.16,8.34,9.53,9.97,11.38,11.69,11.84,11.47,10.28,9.12,6.94,4.38,3.03,0.56,-0.97,-2.69,-3.59,-3.47,-2.81,-1.28,-0.12,1.81,4.03,5.84,7.19,8.59,7.97,7.62,4.94,3.41,1.56,-0.25,-0.94,-1.81,-1.47,-0.94,-0.34,1.31,2.03,1.56,1.75,2.41,2.88,3.62,5.22,7.69,9.25,11.16,11.81,12.09,12.25,12.19,12.25,13.06,13.53,13.97,13.31,13.59,13.03,12.06,10.56,9.78,8.53,6.31,4.66,3.31,1.53,-0.19,-0.09,0.44,2.66,4.72,7.62,9.69,10.06,10.69,9.56,9.59,9.75,10.19,9.66,8.25,7.69,5.28,3.28,1.12,-0.41,-1.34,-2.53,-3.31,-3.41,-2.84,-2.28,-0.84,0.62,1.81,2.84,3.16,2.56,1.31,1.0,-1.34,-2.03,-1.75,-2.22,-1.44,-0.53,0.16,1.56,2.84,2.97,4.31,6.16,6.78,8.62,10.44,11.84,12.66,12.5,12.25,10.91,8.34,5.53,2.75,1.56,0.41,0.72,2.5,3.91,4.38,5.69,5.62,5.53,5.34,5.56,5.31,5.91,5.53,5.19,5.66,5.06,5.56,5.28,5.84,7.34,7.44,7.69,8.62,8.59,8.53,8.75,9.25,9.91,10.09,10.31,9.38,7.56,6.88,5.25,4.81,5.28,5.66,6.19,5.31,4.66,4.44,3.84,4.12,5.25,8.41,11.69,14.91,17.06,17.81,16.84,13.97,10.19,7.91,5.34,4.41,4.5,5.62,7.31,8.28,9.25,9.44,9.75,8.75,8.22,7.84,8.16,7.81,6.44,5.88,4.75,3.75,2.22,0.91,0.0,-1.47,-1.75,-0.47,1.41,4.47,7.41,10.91,13.84,15.25,17.03,16.59,16.31,15.31,14.53,13.53,13.09,13.16,14.12,14.88,15.56,16.62,17.12,17.47,17.25,16.84,17.62,18.25,19.34,21.69,22.66,23.44,22.62,20.94,18.72,16.06,14.0,13.09,12.69,12.94,13.56,13.88,14.31,15.25,16.16,17.38,17.56,16.91,15.09,13.78,11.94,12.03,13.16,15.69,18.41,19.81,20.12,17.94,14.97,11.56,7.97,5.47,3.62,2.66,2.56,2.0,2.0,3.03,3.88,5.31,6.34,7.31,8.69,9.53,10.56,11.09,11.09,11.19,10.91,10.88,10.44,10.38,10.12,9.75,8.59,9.12,9.41,9.69,9.88,10.91,11.88,12.69,13.06,13.28,12.78,11.16,8.84,6.06,5.03,4.44,5.78,8.12,10.5,12.78,13.88,14.28,13.56,12.19,11.19,10.25,9.88,9.56,9.81,9.09,8.91,8.44,6.91,5.47,4.0,2.72,2.16,2.19,4.38,5.78,6.34,6.56,5.75,3.06,0.97,-1.38,-2.59,-3.5,-3.84,-3.16,-2.91,-2.34,-10.81,-8.84,-8.19,-7.41,-7.94,-9.66,-12.88,-15.56,-17.66,-18.94,-17.62,-15.72,-11.69,-8.84,-6.97,-5.25,-5.72,-7.84,-10.31,-12.41,-14.75,-17.66,-20.81,-23.34,-25.97,-27.72,-28.09,-27.0,-23.97,-20.78:positivity
75.72,75.12,75.44,75.62,75.25,75.44,76.19,75.47,75.69,76.81,78.03,79.03,80.72,80.66,81.41,81.12,80.62,79.78,79.06,77.94,77.66,76.38,75.81,74.38,74.0,73.25,72.12,70.69,69.62,68.94,68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12:76.19,75.47,75.69,76.81,78.03,79.03,80.72,80.66,81.41,81.12,80.62,79.78,79.06,77.94,77.66,76.38,75.81,74.38,74.0,73.25,72.12,70.69,69.62,68.94,68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12,21.53,20.22,20.38,20.84,20.38,21.53:80.72,80.66,81.41,81.12,80.62,79.78,79.06,77.94,77.66,76.38,75.81,74.38,74.0,73.25,72.12,70.69,69.62,68.94,68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12,21.53,20.22,20.38,20.84,20.38,21.53,21.59,21.94,22.31,22.12,22.0,22.94:79.06,77.94,77.66,76.38,75.81,74.38,74.0,73.25,72.12,70.69,69.62,68.94,68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12,21.53,20.22,20.38,20.84,20.38,21.53,21.59,21.94,22.31,22.12,22.0,22.94,22.91,23.12,24.0,23.66,22.88,21.66:74.0,73.25,72.12,70.69,69.62,68.94,68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12,21.53,20.22,20.38,20.84,20.38,21.53,21.59,21.94,22.31,22.12,22.0,22.94,22.91,23.12,24.0,23.66,22.88,21.66,20.16,18.5,17.34,16.03,15.72,15.56:68.0,67.34,66.81,67.03,66.44,66.25,66.44,67.28,67.5,69.19,70.62,72.53,74.84,77.31,78.09,78.5,77.19,75.03,73.09,71.84,70.19,68.84,67.12,64.66,63.38,60.44,59.72,59.66,59.44,59.75,59.69,59.16,59.03,58.34,58.31,57.69,56.91,56.31,54.0,52.0,49.06,46.69,45.75,44.66,44.84,45.06,45.78,47.16,46.81,48.03,48.69,48.5,50.5,52.62,55.56,59.78,63.34,66.91,68.03,69.09,68.75,68.31,68.22,66.44,65.69,63.72,63.53,61.06,59.91,59.28,57.91,57.22,56.06,55.53,55.81,54.31,54.84,54.06,54.81,55.91,56.34,57.0,57.44,57.69,58.0,58.0,58.09,57.16,57.34,57.03,56.56,56.16,54.62,53.53,52.41,50.94,50.03,51.25,52.69,55.81,57.25,59.78,61.88,62.5,63.16,64.78,65.22,65.53,66.16,64.09,62.72,58.94,56.06,54.44,52.91,52.28,51.44,50.53,50.56,49.56,49.88,51.34,53.09,55.28,57.81,60.31,62.06,63.56,64.56,65.56,64.69,63.44,62.75,60.41,57.38,54.66,52.66,50.0,49.12,49.44,49.62,50.78,52.38,53.69,56.41,58.0,59.97,61.69,62.41,61.84,61.59,60.97,60.06,57.5,56.0,55.78,55.59,58.84,63.12,69.56,74.81,78.84,81.5,82.16,79.78,77.94,75.62,72.72,71.28,69.28,69.34,67.5,66.12,64.53,64.28,64.22,63.47,63.38,63.22,62.28,61.56,60.91,60.84,62.34,64.06,66.41,69.16,71.25,72.94,74.62,75.66,76.22,76.0,74.25,73.5,71.34,69.06,67.19,66.5,65.88,65.66,65.78,66.31,67.19,66.62,65.34,62.88,59.84,57.53,55.59,54.09,54.31,55.66,58.16,60.44,64.06,67.94,70.5,74.06,75.62,76.19,77.31,77.16,76.91,76.31,75.53,76.34,77.91,78.69,78.66,79.03,78.19,75.81,75.44,73.75,73.16,72.94,71.81,70.91,69.5,67.62,65.03,62.41,60.41,56.75,54.44,53.16,52.62,52.25,53.62,56.0,57.41,61.31,63.44,65.31,67.56,68.56,68.53,67.75,66.69,65.84,64.0,63.56,63.0,62.97,63.44,65.19,65.59,66.84,67.62,68.62,68.84,68.91,70.06,70.38,71.44,70.94,71.94,70.88,69.84,69.03,67.94,65.94,64.16,63.31,61.97,61.88,61.78,62.12,62.12,62.59,62.34,61.47,61.91,62.03,62.78,62.88,62.31,60.91,59.97,58.34,57.81,59.59,61.62,65.03,67.31,70.66,72.31,74.88,77.31,78.44,80.22,79.56,78.53,75.72,73.06,69.47,67.84,66.31,65.12,66.31,66.19,67.31,69.34,69.88,70.25,69.19,67.59,66.5,65.66,65.78,66.94,66.97,68.53,68.81,69.19,68.12,68.56,68.16,66.66,65.69,64.81,64.66,63.41,62.69,61.97,61.91,61.44,61.81,63.62,63.81,65.75,68.16,70.0,71.5,72.81,74.19,75.47,75.56,76.16,75.56,74.31,70.94,66.69,64.0,60.28,58.75,58.75,58.84,58.59,57.88,56.41,54.88,53.56,53.06,53.16,53.53,55.16,54.91,55.69,55.62,54.94,55.31,54.47,53.62,54.06,53.81,53.12,52.94,51.56,51.44,52.59,55.16,59.88,65.06,70.41,75.28,77.84,79.19,78.06,76.06,72.78,69.56,66.69,63.28,61.84,59.56,58.81,58.94,58.66,60.16,60.81,62.31,62.62,62.34,61.69,61.06,58.66,56.91,55.28,53.69,53.38,53.06,53.28,52.38,53.38,53.94,54.31,56.81,59.34,60.06,61.09,61.12,59.84,58.91,58.03,57.25,56.5,55.78,55.41,54.12,55.06,55.03,56.0,56.72,59.78,61.84,63.69,65.53,67.03,67.69,67.38,65.84,64.56,61.94,59.53,57.34,56.53,55.5,55.5,55.38,55.56,56.03,56.19,57.84,59.06,60.22,61.56,61.75,61.69,61.88,62.62,63.22,63.72,65.44,66.56,67.38,68.0,67.66,68.25,67.88,67.62,66.78,66.22,66.0,65.09,65.25,65.53,65.72,67.31,68.97,69.62,70.78,71.41,72.69,72.03,72.5,72.41,70.94,69.38,68.09,65.59,62.41,60.5,58.19,56.47,55.28,54.56,54.09,52.75,51.5,50.41,50.19,50.66,53.0,54.94,57.44,58.91,59.56,59.88,59.69,59.03,57.12,56.78,55.53,54.75,54.0,52.78,53.59,52.56,53.0,53.16,53.25,54.34,55.94,56.75,57.0,57.03,56.88,57.12,55.81,55.38,55.91,56.41,57.28,58.0,59.28,58.88,58.31,57.06,55.44,52.94,50.66,49.16,47.41,46.53,47.19,48.78,51.31,54.03,55.5,57.06,57.69,58.72,59.88,60.09,59.91,58.16,54.66,51.06,46.94,42.91,40.66,39.66,39.84,40.78,43.09,45.66,48.06,50.94,52.66,54.06,55.03,55.53,56.38,55.84,55.31,54.84,53.69,52.56,51.66,51.44,51.69,53.0,53.66,55.94,56.69,57.56,57.56,57.78,58.12,56.59,57.16,57.25,57.59,58.53,58.62,58.22,56.78,55.03,53.25,51.06,50.22,50.06,51.31,51.69,52.44,52.0,51.91,49.56,48.47,47.09,46.12,45.81,46.34,47.41,49.06,52.16,55.66,60.28,63.06,65.09,65.72,63.06,60.19,55.56,50.97,46.88,44.94,44.44,45.19,46.5,47.38,48.09,48.41,48.06,48.06,47.78,47.31,47.88,48.97,49.75,50.34,50.69,51.0,50.72,50.19,48.97,48.81,47.66,47.78,47.41,47.62,48.06,49.19,50.03,51.28,51.47,52.41,53.62,54.44,55.12,55.91,56.59,56.84,56.62,56.12,55.72,54.72,53.94,53.38,53.12,53.69,54.12,53.94,54.62,53.12,51.25,48.94,46.41,42.28,38.5,35.22,30.53,27.03,25.31,24.69,24.06,25.41,27.34,28.88,29.31,29.44,29.03,27.94,26.91,26.34,25.66,26.44,26.97,27.38,28.59,28.88,29.53,29.88,30.31,30.66,30.0,30.53,31.31,32.94,33.75,35.78,36.38,36.69,36.78,36.38,35.91,34.91,33.56,33.06,31.97,32.38,33.47,35.88,39.81,43.19,46.28,48.94,50.28,50.84,51.66,52.41,52.31,51.56,50.66,49.16,48.44,48.22,48.25,48.38,49.31,49.41,50.03,50.06,50.81,50.28,49.69,49.06,47.72,46.28,45.41,44.28,43.69,43.16,43.44,43.88,44.66,46.06,46.66,46.66,47.62,48.03,48.81,48.62,47.97,47.66,47.03,46.0,46.44,45.94,46.41,46.53,46.69,47.41,48.5,49.12,49.41,49.5,49.44,48.78,47.56,46.91,45.72,46.34,47.31,46.88,47.59,47.72,46.66,45.44,44.84,43.56,44.91,46.22,47.41,48.78,49.94,49.69,50.12,50.0,49.09,48.5,48.38,48.09,48.56,49.31,50.5,52.16,54.03,54.97,54.59,53.91,51.03,49.06,47.75,46.31,45.62,46.19,46.66,46.91,46.88,48.5,48.81,49.25,50.59,51.25,51.97,53.06,52.84,54.06,53.59,53.16,51.94,51.09,50.5,49.12,48.84,48.06,47.72,47.09,45.91,45.19,44.56,45.44,47.56,49.84,51.88,53.25,53.59,53.56,52.91,51.72,51.97,52.44,52.12,21.53,20.22,20.38,20.84,20.38,21.53,21.59,21.94,22.31,22.12,22.0,22.94,22.91,23.12,24.0,23.66,22.88,21.66,20.16,18.5,17.34,16.03,15.72,15.56,16.22,16.06,16.19,16.44,16.06,15.75:positivity
31.44,30.78,30.72,30.69,30.59,32.0,32.66,32.81,32.75,33.12,32.19,31.34,30.62,29.72,29.41,29.94,29.66,29.25,28.84,28.22,28.06,26.38,24.69,24.44,23.34,22.12,22.0,21.75,22.34,22.66,23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38:32.66,32.81,32.75,33.12,32.19,31.34,30.62,29.72,29.41,29.94,29.66,29.25,28.84,28.22,28.06,26.38,24.69,24.44,23.34,22.12,22.0,21.75,22.34,22.66,23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38,-38.91,-39.41,-39.28,-37.66,-36.16,-34.34:30.62,29.72,29.41,29.94,29.66,29.25,28.84,28.22,28.06,26.38,24.69,24.44,23.34,22.12,22.0,21.75,22.34,22.66,23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38,-38.91,-39.41,-39.28,-37.66,-36.16,-34.34,-31.94,-31.03,-30.34,-29.0,-28.97,-28.31:28.84,28.22,28.06,26.38,24.69,24.44,23.34,22.12,22.0,21.75,22.34,22.66,23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38,-38.91,-39.41,-39.28,-37.66,-36.16,-34.34,-31.94,-31.03,-30.34,-29.0,-28.97,-28.31,-28.75,-29.75,-29.72,-29.91,-31.56,-32.53:23.34,22.12,22.0,21.75,22.34,22.66,23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38,-38.91,-39.41,-39.28,-37.66,-36.16,-34.34,-31.94,-31.03,-30.34,-29.0,-28.97,-28.31,-28.75,-29.75,-29.72,-29.91,-31.56,-32.53,-32.62,-34.22,-34.94,-36.78,-38.28,-39.19:23.66,23.12,23.59,23.84,23.06,24.19,24.53,25.88,26.91,28.44,30.5,31.81,33.75,34.66,35.38,34.41,33.72,33.06,32.75,32.75,33.69,34.91,35.09,35.91,35.41,34.31,33.44,31.94,30.06,27.47,26.16,25.0,23.97,23.12,23.38,23.38,23.31,22.5,21.69,20.66,18.88,17.56,15.88,15.56,15.19,15.97,16.78,17.47,17.0,17.34,17.97,18.81,21.62,25.03,28.91,31.97,34.69,36.44,38.53,40.06,41.53,43.69,44.94,44.72,44.53,43.28,41.31,39.84,37.66,36.47,34.84,35.53,35.78,36.44,37.19,37.19,36.03,34.25,31.25,28.62,26.38,25.34,24.94,25.0,25.41,25.72,26.97,28.09,28.91,28.81,27.84,26.38,25.09,22.47,21.78,21.75,20.41,22.0,21.94,22.16,23.06,23.69,24.53,25.84,25.44,27.34,27.91,28.41,30.25,31.34,34.31,36.69,38.84,40.78,41.91,41.06,40.28,37.66,35.81,33.88,31.53,30.0,28.59,27.75,27.22,27.28,27.78,28.69,30.5,31.19,32.69,33.53,33.88,34.41,34.16,35.62,36.41,35.28,35.59,35.28,34.62,33.78,33.19,32.47,32.06,31.25,30.62,30.12,29.91,30.56,30.19,30.16,29.62,29.88,28.72,29.0,28.94,27.84,28.12,27.09,26.28,24.78,23.19,22.84,22.38,22.25,23.84,25.72,27.72,30.03,31.06,31.0,29.25,27.53,25.28,23.0,21.31,20.66,20.16,20.84,22.12,24.03,26.06,27.16,28.22,28.25,28.38,29.12,28.25,28.84,28.12,25.84,25.06,24.06,23.38,23.12,23.06,22.97,23.03,23.19,24.5,25.69,27.44,29.69,31.25,32.19,33.16,34.06,33.06,33.31,31.91,31.44,30.72,30.03,31.12,30.78,31.38,32.62,32.31,32.75,34.19,34.25,34.41,34.62,33.97,34.0,32.84,32.97,32.16,32.06,32.84,34.34,35.22,37.66,39.94,42.25,45.16,46.38,47.72,47.38,46.69,46.19,43.91,43.22,42.03,39.72,37.38,35.34,33.31,31.12,29.47,28.0,27.34,27.53,28.0,29.97,31.94,34.03,33.94,34.0,32.06,31.31,29.94,30.06,31.03,30.78,32.03,32.56,31.78,31.84,30.16,27.81,24.78,22.12,19.28,17.53,16.78,17.03,17.81,19.12,19.97,20.78,21.94,21.19,21.66,21.41,20.88,21.84,21.28,21.06,20.91,20.91,20.44,21.31,21.62,22.88,24.59,26.59,27.19,28.88,29.44,29.16,30.66,31.69,32.16,33.78,33.88,34.25,34.62,33.19,33.16,31.59,30.19,29.0,26.72,26.12,24.56,25.5,25.81,27.69,29.78,32.81,36.06,38.62,40.34,42.09,41.62,40.81,40.19,38.94,38.41,38.16,36.81,37.19,35.0,33.06,32.03,29.81,28.31,27.25,26.12,25.62,24.75,24.91,25.66,26.94,27.53,28.31,29.16,29.56,30.22,31.12,30.66,31.38,30.53,29.97,28.97,27.38,26.0,25.12,24.25,23.47,22.38,22.56,22.0,20.56,19.66,18.66,17.84,18.06,18.94,20.19,22.56,24.53,25.56,26.81,27.75,27.88,27.75,28.41,27.88,26.88,25.94,25.84,25.66,25.31,25.84,25.81,25.97,26.34,27.0,27.88,29.19,30.28,31.19,32.06,31.34,30.59,29.31,27.5,26.59,25.41,25.88,27.0,28.34,29.78,30.91,30.91,30.91,29.91,28.59,27.66,25.34,23.41,22.0,20.56,19.84,19.25,20.62,21.12,22.59,23.03,24.34,24.97,25.25,25.5,27.09,25.91,25.72,24.72,22.41,20.28,18.44,17.91,16.78,16.72,17.41,17.75,18.5,19.19,19.22,19.41,20.47,21.34,22.84,26.56,28.62,30.06,29.81,27.59,24.44,21.72,18.06,15.12,13.19,12.5,12.41,13.53,14.5,14.75,14.69,13.97,12.44,11.81,11.12,11.19,11.12,11.81,12.34,13.62,13.28,14.25,14.75,14.09,14.69,15.94,17.81,18.12,18.56,18.31,17.66,16.66,17.0,17.59,19.0,19.47,20.31,21.47,21.91,22.91,24.81,26.19,28.16,30.0,30.59,29.34,28.44,27.09,25.25,24.47,24.06,23.97,23.72,23.81,24.28,24.59,24.69,26.06,25.34,25.12,24.78,23.56,23.56,22.44,22.53,22.53,21.25,21.56,19.62,17.28,16.66,15.31,15.66,15.41,15.84,15.53,14.41,13.66,14.0,13.34,12.94,11.72,11.59,9.34,7.84,7.03,6.03,5.75,5.81,6.0,7.84,7.59,8.44,8.12,8.84,8.38,8.72,9.19,10.66,10.84,11.44,11.56,11.53,11.56,11.97,11.91,12.66,13.75,14.38,15.09,15.75,16.03,16.28,17.41,17.44,17.22,17.25,16.44,16.03,15.47,15.62,16.5,17.16,16.91,18.06,18.34,18.69,19.03,19.12,19.53,20.12,18.75,18.0,16.69,15.22,13.88,13.03,12.31,12.81,12.78,14.28,15.19,16.09,18.38,19.59,20.22,19.84,19.25,17.19,16.03,13.94,13.41,12.94,12.91,12.12,11.28,10.28,8.84,6.81,6.34,5.38,5.28,5.81,7.41,9.0,11.06,13.19,13.88,15.69,15.59,17.03,18.0,18.44,19.5,19.31,19.25,18.31,16.56,14.09,12.69,11.81,10.62,10.69,11.38,13.12,14.28,14.25,15.25,15.84,15.69,16.5,16.0,16.78,16.84,16.56,16.97,17.03,16.78,16.81,16.41,15.12,14.69,13.69,13.69,13.28,14.38,14.88,14.88,14.78,14.0,12.69,12.28,11.09,10.16,9.31,8.56,7.12,6.19,5.69,5.91,5.72,7.97,10.16,13.16,16.91,18.5,20.16,20.59,19.97,19.25,18.0,17.72,16.84,16.5,15.25,14.53,13.72,12.12,11.56,10.69,9.94,9.31,9.16,8.41,8.5,8.09,8.34,10.44,11.81,13.41,15.44,16.62,16.91,16.38,14.88,12.78,10.19,7.44,5.03,2.03,0.91,0.31,1.06,3.44,5.44,8.53,11.31,12.78,13.31,12.53,11.66,10.03,9.41,8.47,8.84,9.41,11.31,12.75,13.22,13.56,13.91,13.81,14.25,14.41,15.38,17.03,17.28,18.69,19.16,18.97,18.31,17.31,16.31,15.19,14.06,14.5,14.88,15.97,17.31,18.0,17.31,17.47,16.59,15.0,14.66,13.62,12.53,11.34,10.03,8.41,7.69,7.75,8.19,10.28,11.88,13.22,15.16,15.78,15.28,14.84,13.75,13.06,12.16,12.75,14.25,14.66,15.91,16.69,16.59,16.25,16.38,16.09,15.75,15.59,16.47,15.94,17.72,19.25,20.78,22.88,23.38,24.0,23.56,22.62,21.28,20.84,20.75,20.12,20.34,20.44,19.88,20.22,20.06,20.16,21.75,22.41,23.88,24.06,24.25,24.56,24.72,24.53,24.22,23.41,23.38,22.81,21.47,21.0,20.12,18.5,18.03,16.91,15.81,14.53,14.34,13.66,11.78,11.47,12.28,13.66,15.44,16.62,18.97,20.06,19.12,18.88,18.31,17.88,17.75,18.5,18.09,17.84,15.72,14.06,12.66,12.41,12.41,13.47,15.31,16.47,17.94,19.16,20.19,20.31,20.81,20.16,18.84,18.56,17.25,15.56,15.19,14.66,13.09,12.97,11.16,10.38,-38.91,-39.41,-39.28,-37.66,-36.16,-34.34,-31.94,-31.03,-30.34,-29.0,-28.97,-28.31,-28.75,-29.75,-29.72,-29.91,-31.56,-32.53,-32.62,-34.22,-34.94,-36.78,-38.28,-39.19,-39.59,-39.78,-38.81,-37.66,-36.62,-35.09:positivity
23.72,23.78,24.0,22.22,20.72,19.06,17.34,16.75,16.34,16.66,18.44,19.94,21.69,24.53,27.12,29.5,30.81,30.19,28.31,25.72,21.78,19.03,17.81,16.81,16.44,16.78,15.41,14.59,12.75,10.91,9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03:17.34,16.75,16.34,16.66,18.44,19.94,21.69,24.53,27.12,29.5,30.81,30.19,28.31,25.72,21.78,19.03,17.81,16.81,16.44,16.78,15.41,14.59,12.75,10.91,9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03,-19.12,-21.12,-23.31,-26.62,-29.12,-32.78:21.69,24.53,27.12,29.5,30.81,30.19,28.31,25.72,21.78,19.03,17.81,16.81,16.44,16.78,15.41,14.59,12.75,10.91,9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03,-19.12,-21.12,-23.31,-26.62,-29.12,-32.78,-34.62,-35.47,-35.59,-34.75,-32.03,-29.38:28.31,25.72,21.78,19.03,17.81,16.81,16.44,16.78,15.41,14.59,12.75,10.91,9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03,-19.12,-21.12,-23.31,-26.62,-29.12,-32.78,-34.62,-35.47,-35.59,-34.75,-32.03,-29.38,-27.34,-26.44,-26.66,-29.28,-32.84,-34.84:16.44,16.78,15.41,14.59,12.75,10.91,9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03,-19.12,-21.12,-23.31,-26.62,-29.12,-32.78,-34.62,-35.47,-35.59,-34.75,-32.03,-29.38,-27.34,-26.44,-26.66,-29.28,-32.84,-34.84,-37.06,-37.91,-37.16,-35.31,-33.59,-31.75:9.84,9.44,9.19,10.31,12.84,14.31,15.78,17.66,19.72,19.81,21.0,21.88,21.41,20.31,18.88,15.84,13.66,11.66,10.22,9.81,10.28,11.06,11.97,13.09,14.22,15.19,15.5,15.25,14.81,14.06,13.03,13.16,13.31,13.16,13.91,14.34,14.53,14.69,14.5,14.25,14.34,13.12,12.94,12.31,12.28,12.34,12.47,12.69,14.16,14.81,15.31,16.06,16.72,16.53,16.59,15.44,14.41,14.16,13.38,12.94,13.31,14.06,14.66,14.19,14.5,13.75,13.41,13.06,12.78,13.84,13.78,13.0,12.31,10.69,9.09,8.03,7.41,6.09,5.72,4.69,3.41,1.97,0.31,-0.28,0.28,0.66,1.62,3.53,4.44,4.44,4.91,3.94,3.16,1.56,2.44,2.28,2.97,3.94,5.28,6.31,7.84,9.28,9.38,9.28,8.59,7.59,5.34,3.66,3.0,1.78,0.97,0.53,1.0,0.78,0.53,1.97,2.5,3.69,5.88,6.28,6.69,6.41,5.03,4.09,2.06,2.06,0.69,-0.47,-1.25,-1.44,-1.69,-1.06,-1.31,-1.84,-2.53,-4.81,-5.94,-7.34,-8.59,-9.34,-9.28,-9.09,-8.09,-8.28,-7.69,-6.47,-5.72,-5.16,-3.47,-1.91,-1.41,-0.84,-1.19,-1.22,-1.81,-3.09,-3.12,-4.59,-3.75,-3.91,-2.84,-1.5,-1.28,-1.31,-0.69,-0.97,-1.03,-0.84,-1.16,-2.03,-3.5,-4.84,-5.44,-6.91,-9.06,-10.16,-11.31,-11.81,-12.34,-11.38,-9.03,-6.09,-2.81,0.28,1.94,2.81,2.25,0.81,-1.41,-1.94,-3.97,-4.72,-5.59,-6.91,-8.78,-9.84,-10.28,-10.09,-9.84,-7.66,-6.09,-5.25,-3.53,-3.03,-2.84,-1.97,-2.47,-2.72,-2.5,-2.38,-2.94,-3.06,-3.66,-4.69,-6.59,-8.62,-9.69,-12.09,-12.47,-12.88,-13.56,-13.41,-12.47,-11.53,-10.81,-9.97,-9.94,-8.84,-8.47,-8.16,-7.16,-7.19,-6.19,-5.5,-5.34,-5.0,-4.88,-4.66,-4.41,-4.66,-5.03,-4.22,-4.12,-3.62,-3.16,-1.94,-0.97,1.19,2.25,3.78,4.94,3.78,3.03,1.78,0.03,-1.31,-1.81,-1.72,-1.72,-1.0,-0.06,-0.03,-0.19,-0.75,-0.44,-1.5,-1.25,-0.94,-0.88,-1.09,-0.69,-1.31,-2.28,-1.97,-1.53,-1.47,-0.75,0.38,1.84,3.25,6.41,8.81,11.62,13.0,12.72,10.25,6.62,2.75,-1.41,-4.38,-5.69,-7.78,-8.84,-10.09,-11.78,-12.81,-14.09,-14.09,-14.09,-13.19,-11.66,-10.66,-10.84,-10.47,-10.16,-10.38,-10.47,-10.38,-8.69,-8.28,-7.34,-7.09,-7.03,-7.44,-8.69,-10.06,-11.78,-13.66,-16.66,-18.41,-19.88,-20.84,-20.06,-19.56,-17.47,-14.78,-14.31,-12.34,-11.84,-11.16,-10.06,-7.84,-6.44,-4.47,-3.66,-3.88,-4.53,-5.06,-6.0,-7.03,-6.91,-7.66,-8.34,-7.66,-8.72,-8.59,-8.66,-8.66,-9.28,-9.09,-9.12,-9.44,-9.22,-9.03,-7.91,-6.72,-5.09,-5.91,-4.56,-5.25,-7.06,-8.62,-10.59,-13.09,-15.94,-16.31,-16.72,-16.88,-16.38,-16.72,-17.94,-18.91,-20.34,-20.44,-20.09,-18.69,-16.62,-15.34,-13.22,-12.22,-10.97,-10.59,-11.47,-12.22,-13.34,-15.81,-17.03,-17.91,-19.72,-21.56,-22.16,-22.44,-22.16,-21.28,-18.22,-16.81,-14.03,-12.22,-11.69,-9.91,-8.81,-8.22,-7.66,-6.56,-7.16,-8.72,-9.28,-10.84,-12.16,-12.91,-13.78,-14.72,-14.03,-14.88,-15.66,-15.41,-15.84,-15.97,-16.22,-15.31,-14.47,-13.44,-11.34,-10.16,-9.06,-7.34,-6.41,-5.78,-3.88,-3.91,-4.44,-5.16,-6.09,-5.97,-7.22,-6.66,-7.78,-9.06,-9.94,-11.75,-12.22,-13.09,-13.41,-13.91,-14.66,-15.31,-15.47,-15.0,-14.44,-13.12,-11.75,-10.16,-8.62,-6.62,-6.75,-6.56,-6.69,-8.03,-10.34,-11.28,-12.5,-14.16,-15.16,-14.69,-14.69,-14.28,-14.09,-14.09,-13.34,-13.69,-13.31,-11.84,-9.53,-6.88,-4.22,-2.31,-0.44,-0.09,-1.06,-0.88,-2.56,-3.84,-5.59,-6.75,-8.06,-9.38,-10.44,-12.28,-12.72,-13.38,-14.97,-15.56,-15.69,-15.31,-15.16,-14.72,-13.78,-12.84,-11.97,-11.56,-12.47,-13.0,-15.44,-18.53,-20.53,-23.47,-26.16,-27.16,-27.59,-28.19,-27.94,-25.91,-24.91,-24.53,-22.28,-20.97,-21.03,-19.72,-19.84,-18.59,-16.47,-14.19,-11.38,-7.19,-4.91,-2.66,-0.16,0.03,0.5,0.5,-0.34,-2.06,-4.03,-6.12,-8.34,-9.78,-9.91,-9.97,-8.09,-6.81,-5.38,-4.22,-3.66,-3.16,-2.03,-1.84,-1.69,-1.97,-2.81,-4.91,-4.53,-4.69,-3.88,-1.84,-0.44,0.31,-0.44,-0.59,-0.72,-0.94,1.25,5.34,9.47,11.91,14.5,13.69,11.94,8.38,6.19,3.72,3.44,3.56,3.88,4.5,5.41,5.69,6.41,5.44,5.88,5.81,5.03,4.09,3.19,0.84,-1.47,-2.75,-4.09,-4.91,-4.22,-4.56,-4.91,-3.19,-2.59,-1.16,0.16,2.41,4.12,5.34,7.06,8.34,8.16,7.81,7.56,5.53,4.19,2.34,-0.28,-2.62,-5.84,-9.22,-11.72,-13.72,-14.84,-15.72,-14.41,-14.16,-13.56,-10.94,-9.94,-8.91,-7.41,-5.97,-5.09,-3.84,-2.97,-2.38,-2.19,-1.66,-1.91,-1.72,-1.41,-1.03,-0.97,-0.97,-1.12,-1.72,-2.72,-2.66,-3.47,-3.78,-3.66,-2.97,-2.91,-2.75,-3.19,-5.06,-7.03,-9.16,-10.34,-10.38,-10.09,-8.31,-6.97,-5.28,-4.0,-3.78,-3.97,-4.19,-5.16,-6.41,-7.53,-8.62,-9.62,-10.16,-10.66,-10.62,-11.66,-10.72,-10.81,-11.66,-10.72,-9.19,-8.97,-7.53,-6.72,-6.44,-6.34,-7.03,-7.84,-8.59,-9.22,-10.22,-10.56,-10.78,-10.19,-10.62,-10.69,-11.34,-11.69,-11.38,-10.78,-9.53,-8.44,-6.78,-5.66,-4.56,-2.88,-1.59,0.59,1.94,2.28,2.69,0.88,-1.31,-4.28,-7.75,-11.22,-14.28,-15.38,-16.34,-16.56,-15.59,-15.06,-13.91,-12.31,-10.22,-8.94,-7.59,-6.03,-5.88,-5.03,-4.09,-4.09,-3.28,-2.22,-1.81,-1.41,-0.97,-1.5,-2.44,-4.34,-6.22,-7.97,-9.41,-10.72,-9.97,-9.0,-7.94,-6.09,-3.88,-1.97,-0.47,0.44,2.41,1.91,2.09,0.44,-0.59,-3.19,-4.91,-6.78,-8.72,-10.56,-11.34,-12.16,-11.84,-11.78,-9.59,-8.06,-6.88,-5.25,-4.28,-3.94,-4.03,-4.59,-4.22,-4.22,-4.72,-4.53,-5.09,-5.06,-5.56,-6.59,-6.59,-7.84,-7.75,-7.75,-7.03,-5.94,-3.88,-2.84,-1.09,-0.31,-0.09,0.22,-0.38,-0.53,-1.34,-1.09,-0.34,1.62,3.25,4.5,5.34,5.41,4.66,4.12,3.12,2.12,0.97,-0.88,-2.5,-3.97,-6.66,-9.0,-12.75,-15.75,-18.06,-19.12,-19.94,-19.41,-17.72,-18.16,-18.25,-17.81,-19.59,-20.59,-20.19,-20.59,-20.84,-19.97,-20.28,-21.25,-22.16,-23.22,-23.84,-23.72,-22.31,-20.22,-17.59,-13.84,-9.69,-6.91,-5.88,-4.97,-5.41,-6.25,-6.44,-7.56,-6.91,-7.03,-8.34,-9.5,-10.72,-12.41,-13.91,-15.72,-16.03,-16.66,-17.34,-18.09,-18.25,-18.47,-18.03,-17.22,-15.22,-11.34,-6.78,-2.09,3.19,8.12,11.06,12.81,13.97,12.75,11.03,-19.12,-21.12,-23.31,-26.62,-29.12,-32.78,-34.62,-35.47,-35.59,-34.75,-32.03,-29.38,-27.34,-26.44,-26.66,-29.28,-32.84,-34.84,-37.06,-37.91,-37.16,-35.31,-33.59,-31.75,-31.09,-30.91,-32.47,-34.03,-37.5,-39.91:positivity
27.12,24.81,24.28,24.53,26.09,27.97,30.06,31.06,32.34,32.31,32.47,33.0,32.94,32.66,31.78,30.28,29.62,27.53,26.16,24.31,23.38,21.84,21.97,22.06,23.47,25.84,29.06,32.97,37.91,41.69,44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78:30.06,31.06,32.34,32.31,32.47,33.0,32.94,32.66,31.78,30.28,29.62,27.53,26.16,24.31,23.38,21.84,21.97,22.06,23.47,25.84,29.06,32.97,37.91,41.69,44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78,-4.84,-5.84,-6.25,-6.16,-6.09,-4.69:32.94,32.66,31.78,30.28,29.62,27.53,26.16,24.31,23.38,21.84,21.97,22.06,23.47,25.84,29.06,32.97,37.91,41.69,44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78,-4.84,-5.84,-6.25,-6.16,-6.09,-4.69,-4.16,-4.28,-4.06,-4.03,-4.59,-3.81:26.16,24.31,23.38,21.84,21.97,22.06,23.47,25.84,29.06,32.97,37.91,41.69,44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78,-4.84,-5.84,-6.25,-6.16,-6.09,-4.69,-4.16,-4.28,-4.06,-4.03,-4.59,-3.81,-3.28,-3.25,-3.28,-3.31,-3.78,-5.47:23.47,25.84,29.06,32.97,37.91,41.69,44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78,-4.84,-5.84,-6.25,-6.16,-6.09,-4.69,-4.16,-4.28,-4.06,-4.03,-4.59,-3.81,-3.28,-3.25,-3.28,-3.31,-3.78,-5.47,-6.22,-8.16,-9.03,-9.75,-9.22,-7.84:44.72,46.44,45.97,44.28,42.62,38.94,35.62,31.47,27.31,23.94,20.97,19.44,19.31,20.59,24.12,28.56,35.06,40.16,45.03,47.97,47.5,45.78,42.34,37.56,34.69,30.59,27.88,25.81,24.34,22.97,22.97,23.84,24.72,27.06,28.38,28.66,29.59,28.53,27.19,26.06,23.84,21.06,17.66,15.41,14.09,13.06,13.81,16.44,18.81,21.81,23.44,25.28,25.34,25.16,25.62,25.44,25.69,25.94,25.28,25.16,24.25,23.28,23.09,23.88,24.69,26.81,28.78,31.16,32.41,32.88,33.34,31.72,30.66,28.56,26.06,24.94,23.25,23.59,25.5,27.38,31.12,34.75,37.66,40.34,41.47,41.94,41.72,41.03,40.0,40.41,40.28,40.91,41.12,40.72,40.62,39.94,39.03,37.66,37.06,35.31,34.53,33.66,33.12,32.84,31.94,31.16,29.69,27.62,25.72,23.78,21.31,21.53,21.31,20.94,22.56,23.03,25.25,26.66,28.62,31.28,32.28,32.97,33.19,33.03,31.66,31.31,30.94,30.19,29.22,27.94,26.44,25.78,25.06,24.56,24.75,25.06,25.34,26.31,26.94,27.81,29.5,28.91,30.88,30.19,29.41,29.38,27.62,26.09,25.06,23.44,23.19,21.28,21.44,20.53,19.69,19.81,19.28,20.94,21.59,23.06,24.94,26.94,29.41,31.66,33.81,36.81,36.81,37.84,36.94,35.41,33.34,32.31,31.94,32.78,34.44,36.47,36.91,37.56,37.0,34.97,33.75,31.69,30.5,29.16,28.53,28.0,28.69,28.91,30.19,31.03,33.34,34.44,36.69,38.69,39.53,38.62,36.91,33.88,30.62,26.94,25.19,23.62,22.53,22.66,23.59,23.88,24.22,25.41,25.44,25.06,24.38,23.38,21.81,21.75,21.28,22.06,23.03,24.47,25.19,25.56,24.31,24.94,24.28,24.38,24.88,23.69,23.09,20.69,19.38,17.62,16.78,15.38,14.84,13.75,14.75,15.75,16.84,18.44,19.75,21.81,21.94,22.38,24.41,24.66,25.0,25.25,25.56,25.03,24.56,23.97,23.12,22.56,22.0,20.94,21.16,20.66,21.44,22.06,22.75,24.25,25.41,26.34,28.16,29.66,31.28,32.66,32.75,33.0,30.91,30.06,29.47,29.31,30.56,31.44,31.56,31.75,30.59,29.19,28.41,28.66,29.53,31.25,33.47,36.12,37.0,39.19,38.44,37.81,37.5,35.34,35.25,33.81,33.06,31.03,29.75,28.12,27.16,25.12,24.69,24.19,24.56,24.19,25.06,25.16,24.06,23.0,22.41,20.41,20.16,20.5,20.53,21.25,22.56,21.97,21.84,21.84,21.78,21.28,22.53,23.88,25.66,27.53,28.94,29.78,30.41,29.88,29.44,28.25,27.41,26.06,26.59,26.59,28.03,29.84,32.28,34.0,36.31,37.34,37.62,36.81,34.34,32.62,30.75,29.06,29.03,28.5,29.72,30.16,30.28,30.38,30.78,31.16,31.41,31.53,30.94,29.81,28.19,26.59,24.78,24.31,24.25,25.19,26.59,26.97,29.78,30.84,31.69,32.81,32.62,32.0,30.31,28.44,27.5,27.66,27.12,28.41,30.34,32.78,33.91,36.0,36.34,35.69,34.84,33.16,31.53,29.47,27.28,26.69,25.06,24.12,23.72,23.12,23.62,24.62,25.38,27.19,29.31,30.5,30.84,30.31,28.62,26.09,24.06,21.78,21.69,21.22,22.19,24.03,26.75,28.25,29.97,30.91,30.53,29.22,28.19,26.62,26.03,25.88,27.03,28.19,29.44,30.59,29.69,29.44,28.41,26.81,25.84,24.75,24.09,23.56,22.16,23.31,24.69,26.22,29.16,31.0,32.91,34.12,34.81,35.66,35.0,34.69,33.84,33.5,32.78,32.84,33.19,33.47,33.56,34.16,32.88,32.0,30.41,28.06,27.03,27.41,27.94,29.5,31.41,32.84,34.44,34.78,35.16,34.41,34.78,33.59,33.12,33.47,33.78,34.16,34.22,32.81,31.16,28.44,25.22,23.28,20.91,19.56,19.06,20.16,21.53,23.91,25.19,26.06,25.88,25.12,24.09,23.53,22.81,22.44,22.59,22.5,22.91,22.91,22.62,23.06,22.28,21.12,21.25,21.34,21.34,22.78,24.06,25.66,27.19,28.06,28.78,29.03,28.81,28.72,28.38,28.41,27.81,27.31,25.56,24.28,22.34,20.75,19.34,18.88,18.0,18.88,18.81,19.19,21.03,22.16,24.59,26.88,27.91,29.06,28.62,28.06,26.34,25.53,23.66,22.44,20.94,19.06,18.38,19.09,20.44,23.12,26.88,29.66,31.25,32.59,31.62,31.03,30.94,31.16,31.38,33.69,35.28,35.91,36.03,36.0,34.72,33.81,31.78,30.16,28.69,27.94,28.12,27.38,28.12,28.0,29.44,30.09,32.44,34.31,37.03,39.16,40.41,40.62,39.59,37.81,35.5,33.75,31.72,30.09,28.72,25.88,24.56,21.84,20.78,21.25,21.28,20.97,22.91,23.19,23.56,23.75,23.47,23.44,23.44,23.66,23.38,23.88,24.03,24.28,23.97,25.31,26.94,28.34,30.22,31.25,31.75,31.5,31.5,29.91,28.75,26.31,25.47,23.81,22.19,21.16,21.31,21.34,22.66,24.19,26.5,29.22,31.62,33.97,35.75,36.56,35.88,34.75,32.44,29.72,26.59,23.28,20.12,18.34,16.25,15.72,16.44,16.28,17.66,17.91,18.53,20.38,20.53,22.06,23.47,22.97,22.94,21.72,20.56,19.16,17.25,16.19,14.72,14.41,13.97,13.03,13.06,12.44,10.69,10.56,9.25,8.0,8.03,7.84,7.5,8.12,9.12,9.97,11.06,11.62,11.66,12.19,11.0,9.88,9.94,10.09,10.81,11.69,13.38,15.31,15.81,17.41,18.12,18.47,18.25,17.06,15.12,12.97,10.81,10.16,9.75,10.56,11.88,13.66,15.53,17.03,17.66,18.47,18.53,18.31,17.44,17.56,17.09,16.06,15.34,16.31,14.66,13.5,12.06,9.75,7.88,5.41,2.72,0.44,-1.06,-1.53,-1.59,0.47,2.81,5.94,9.91,12.5,15.12,17.25,17.06,18.06,17.56,15.94,15.28,12.75,11.62,10.81,9.62,10.56,11.19,11.25,11.75,11.0,9.91,9.12,9.06,10.38,11.56,13.19,15.69,17.34,18.28,19.41,19.66,19.44,18.12,16.03,13.66,10.91,8.84,7.41,7.38,7.81,8.16,9.38,9.59,10.09,10.94,11.0,11.69,11.25,10.5,9.47,7.62,7.28,5.62,7.12,7.88,8.66,9.16,9.41,9.09,8.22,8.59,8.12,8.41,7.81,7.94,7.97,7.25,8.28,8.47,9.06,9.41,9.75,10.53,10.41,10.91,12.62,15.25,17.72,19.94,21.94,21.56,20.72,18.88,17.59,16.69,15.31,14.25,14.09,12.66,12.81,13.09,12.25,12.12,11.44,11.53,11.09,12.28,13.41,14.5,14.88,14.78,13.91,12.62,13.12,13.03,13.38,14.81,14.44,15.09,14.88,14.41,14.78,13.66,12.62,12.22,11.44,10.66,10.41,10.31,9.91,9.94,9.69,10.31,10.62,9.78,11.56,11.62,11.25,10.97,10.56,8.62,7.34,5.56,5.19,4.94,6.28,6.75,7.81,8.5,8.91,9.84,10.44,10.81,11.78,12.03,12.19,12.22,12.78,-4.84,-5.84,-6.25,-6.16,-6.09,-4.69,-4.16,-4.28,-4.06,-4.03,-4.59,-3.81,-3.28,-3.25,-3.28,-3.31,-3.78,-5.47,-6.22,-8.16,-9.03,-9.75,-9.22,-7.84,-6.22,-3.53,-0.25,2.81,6.66,10.0:positivity
12.34,13.44,16.06,18.69,21.09,22.59,23.84,25.03,25.88,25.31,26.53,25.44,25.44,26.38,25.0,26.44,26.41,23.31,21.53,19.47,16.53,14.78,15.28,11.88,14.28,15.03,16.75,20.44,24.72,25.16,25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66:23.84,25.03,25.88,25.31,26.53,25.44,25.44,26.38,25.0,26.44,26.41,23.31,21.53,19.47,16.53,14.78,15.28,11.88,14.28,15.03,16.75,20.44,24.72,25.16,25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66,-39.59,-40.06,-37.94,-39.66,-40.28,-37.12:25.44,26.38,25.0,26.44,26.41,23.31,21.53,19.47,16.53,14.78,15.28,11.88,14.28,15.03,16.75,20.44,24.72,25.16,25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66,-39.59,-40.06,-37.94,-39.66,-40.28,-37.12,-36.72,-35.97,-32.81,-35.91,-33.84,-34.81:21.53,19.47,16.53,14.78,15.28,11.88,14.28,15.03,16.75,20.44,24.72,25.16,25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66,-39.59,-40.06,-37.94,-39.66,-40.28,-37.12,-36.72,-35.97,-32.81,-35.91,-33.84,-34.81,-34.5,-34.06,-34.59,-35.72,-36.34,-38.75:14.28,15.03,16.75,20.44,24.72,25.16,25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66,-39.59,-40.06,-37.94,-39.66,-40.28,-37.12,-36.72,-35.97,-32.81,-35.91,-33.84,-34.81,-34.5,-34.06,-34.59,-35.72,-36.34,-38.75,-39.66,-42.28,-44.09,-44.31,-45.22,-43.81:25.03,22.38,19.12,16.06,13.81,14.16,15.53,16.5,20.0,21.25,21.22,21.84,23.56,24.16,25.59,25.72,26.59,25.69,24.12,22.5,20.69,18.72,17.31,16.56,16.22,15.88,14.69,14.78,10.5,12.03,9.78,9.62,10.41,7.62,8.75,5.44,3.81,2.62,0.34,0.0,-0.28,-0.56,0.84,1.19,0.97,2.5,1.84,3.09,3.38,4.41,5.5,5.25,5.41,4.5,4.44,-0.38,2.5,0.84,0.22,0.12,-0.09,-3.12,-5.47,-5.16,-5.47,-2.12,1.16,2.09,4.16,5.81,5.62,10.84,15.25,20.09,24.41,26.0,25.31,20.81,14.66,9.06,4.12,-0.09,-1.19,1.53,1.03,7.12,11.16,13.16,16.88,19.81,20.97,19.34,19.88,19.06,12.28,16.53,13.66,14.41,15.62,15.47,15.41,12.25,9.47,6.19,1.81,1.47,1.31,0.91,1.31,1.47,2.41,2.31,3.53,2.16,3.72,1.0,-0.03,-0.19,-1.66,0.0,1.91,1.69,5.12,5.66,6.09,6.12,5.81,3.66,2.91,2.31,1.94,-0.44,0.0,-1.56,-0.81,0.28,-2.34,2.25,-0.03,-0.84,-1.88,-1.44,-0.19,0.94,3.59,6.06,8.16,8.56,6.69,5.5,1.41,2.19,1.28,1.47,2.81,2.53,0.66,0.66,-0.44,-3.16,-4.25,-2.09,-1.84,-3.38,3.16,0.16,2.34,2.06,2.69,3.34,2.62,3.16,4.31,2.31,3.44,2.06,2.22,1.62,-0.97,-0.78,-0.09,-0.31,1.47,2.72,3.91,3.22,5.31,5.06,6.34,5.0,2.91,2.5,3.53,5.41,7.59,12.34,15.0,14.16,13.94,11.12,7.81,3.28,0.12,-0.78,-2.16,-2.16,0.31,-0.31,3.56,3.16,6.72,7.88,8.69,7.62,6.75,2.0,0.5,-2.5,-3.62,-5.06,-4.16,-4.34,-5.66,-2.72,-2.72,-0.16,1.09,5.03,3.53,4.25,3.62,0.0,-1.34,-3.38,-4.03,-6.97,-6.69,-5.5,-4.88,-2.5,-4.09,-4.09,-5.12,-7.34,-5.16,-3.09,-1.03,1.75,2.25,1.47,0.28,-0.41,-2.16,-4.0,-3.97,-5.72,-9.31,-6.16,-8.03,-7.78,-5.81,-5.09,-6.66,-6.91,-8.19,-10.16,-10.38,-10.53,-10.19,-9.75,-7.78,-7.03,-3.62,-1.66,0.59,1.12,-0.69,-2.19,-4.38,-7.03,-7.09,-7.97,-9.31,-8.66,-11.44,-11.25,-10.28,-11.91,-11.72,-10.62,-9.84,-9.72,-11.47,-11.84,-11.84,-11.44,-8.81,-4.84,-0.94,1.56,2.97,1.84,0.84,1.41,-0.34,0.31,-0.72,-0.5,-0.22,-1.19,-2.94,-1.09,-2.47,-2.16,-1.97,-2.19,-1.34,-3.69,-2.19,-2.22,0.34,2.94,6.41,8.31,9.5,9.66,7.38,5.81,3.16,0.53,1.31,1.38,1.81,0.53,1.19,-1.34,-2.31,-2.75,-5.06,-3.66,-2.38,-2.81,0.69,1.28,1.44,1.56,1.78,0.09,-1.56,-5.06,-4.34,-4.59,-4.03,-2.84,-0.78,-1.66,-1.81,-4.66,-1.84,-3.16,-1.09,1.56,3.25,4.91,4.34,4.28,1.91,-0.94,-0.94,-1.16,-1.97,-0.59,-0.16,-0.5,-0.62,-1.16,-0.53,-0.72,0.31,1.25,3.0,4.31,6.16,5.28,7.0,6.91,5.84,7.31,6.69,5.25,3.34,1.5,0.16,-0.06,-0.91,-1.34,0.25,3.34,4.47,8.69,13.34,15.16,17.0,16.81,16.28,13.69,11.75,9.91,7.38,4.44,1.66,-0.03,-2.62,-0.84,-3.03,0.28,1.56,2.41,4.41,4.03,3.94,3.0,2.72,2.56,2.91,2.25,2.5,1.94,2.31,1.12,2.12,1.69,-1.84,0.56,0.41,0.91,3.44,2.31,4.06,1.72,1.25,-1.28,-2.59,-4.34,-6.41,-7.66,-7.94,-8.12,-6.94,-6.97,-4.94,-5.5,-5.28,-6.34,-7.47,-8.06,-8.88,-8.16,-8.84,-7.47,-7.03,-6.78,-6.34,-6.5,-6.72,-11.44,-10.0,-11.97,-12.53,-11.59,-10.34,-8.03,-7.97,-6.72,-3.41,-2.97,-1.5,-1.66,-3.22,-0.22,-2.22,-1.69,0.12,-1.19,-1.72,-3.59,-4.59,-5.34,-6.59,-6.75,-5.81,-6.88,-6.66,-8.16,-11.78,-14.34,-15.16,-16.47,-15.03,-12.47,-9.88,-9.56,-8.91,-7.97,-8.59,-6.81,-6.78,-5.75,-5.72,-5.0,-6.19,-2.72,-2.72,-0.84,-0.19,-0.56,-2.47,-5.91,-6.91,-8.88,-9.0,-7.38,-8.31,-6.56,-6.97,-8.53,-6.66,-5.41,-4.44,-4.0,-3.97,-5.12,-7.03,-9.09,-10.22,-12.09,-14.41,-12.44,-11.97,-11.53,-9.22,-6.91,-7.0,-4.97,-3.47,-2.84,-1.44,-0.22,-2.81,-1.31,-0.66,-0.16,2.78,3.12,2.75,1.62,-1.38,-2.0,-2.81,-2.44,0.03,1.91,3.75,2.66,3.09,-0.78,-1.03,-2.34,-3.44,-3.47,-2.72,-2.75,-2.72,-2.09,-0.81,0.66,1.97,3.69,6.31,2.62,5.44,3.78,2.66,2.56,2.72,1.94,3.12,3.81,5.81,9.78,13.88,14.16,12.91,12.28,9.0,4.72,3.59,3.06,2.66,3.91,5.56,8.12,10.22,10.72,10.25,8.34,5.94,0.69,3.75,2.91,5.28,7.06,10.31,10.19,12.03,11.53,12.88,13.38,13.69,13.66,14.81,13.44,12.16,11.88,8.19,11.12,10.19,13.66,15.16,17.75,18.28,18.31,18.69,18.78,14.25,16.69,15.28,14.81,15.97,15.72,15.53,13.59,12.41,9.41,9.44,10.03,10.38,11.91,16.62,18.38,20.19,23.22,23.41,25.12,25.28,24.0,20.81,18.78,14.75,10.44,7.62,5.06,4.12,2.72,2.09,5.28,5.44,8.19,10.34,12.41,14.53,16.25,17.75,18.06,17.91,16.72,14.06,11.81,11.38,7.09,5.53,4.75,4.69,7.22,10.69,11.88,12.41,11.25,8.84,5.19,4.56,3.75,2.91,3.56,5.59,4.41,7.97,7.81,8.16,8.56,9.19,7.78,8.16,6.56,4.66,4.75,5.31,2.53,5.84,6.25,8.06,10.34,10.31,11.62,10.56,10.09,8.28,8.62,8.94,9.81,10.97,12.28,11.31,14.25,13.75,14.66,16.16,14.44,16.09,15.19,15.44,17.34,16.91,19.06,18.25,18.97,15.19,17.69,16.91,16.34,18.12,17.94,17.12,15.81,16.0,14.5,14.69,15.56,16.0,17.12,17.06,19.03,15.81,18.12,16.81,18.16,17.81,18.09,17.69,15.69,14.03,12.72,13.62,14.44,16.53,19.59,20.44,22.03,22.59,23.0,25.19,26.78,27.19,26.16,23.56,21.28,17.0,15.94,16.16,15.81,17.47,17.28,17.72,16.31,14.59,12.56,13.44,12.94,13.06,14.5,13.62,15.5,14.94,15.22,16.81,17.94,18.75,19.62,20.06,17.53,18.16,16.69,16.09,15.81,16.12,15.62,14.53,14.84,13.34,14.22,12.19,13.81,13.81,13.88,14.94,12.66,16.75,16.41,17.84,18.16,20.38,19.03,19.41,17.44,15.88,13.12,10.81,9.16,9.53,10.16,11.28,12.44,13.31,13.44,13.56,14.25,14.59,14.88,16.28,17.19,18.56,19.91,21.56,23.78,25.22,26.84,28.91,30.75,33.59,35.44,34.66,32.44,31.75,27.97,23.81,21.72,19.47,16.12,14.69,14.25,13.19,14.38,12.47,17.31,17.72,20.66,-39.59,-40.06,-37.94,-39.66,-40.28,-37.12,-36.72,-35.97,-32.81,-35.91,-33.84,-34.81,-34.5,-34.06,-34.59,-35.72,-36.34,-38.75,-39.66,-42.28,-44.09,-44.31,-45.22,-43.81,-44.84,-43.25,-41.25,-40.06,-39.41,-38.09:positivity
18.81,19.44,20.53,20.94,22.09,23.28,24.5,25.16,26.28,26.56,26.69,27.44,28.62,29.38,30.19,30.84,32.41,31.53,31.56,29.69,28.19,25.28,23.91,22.66,21.94,23.34,23.62,25.06,25.41,26.0,26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59:24.5,25.16,26.28,26.56,26.69,27.44,28.62,29.38,30.19,30.84,32.41,31.53,31.56,29.69,28.19,25.28,23.91,22.66,21.94,23.34,23.62,25.06,25.41,26.0,26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59,14.88,14.69,15.97,17.5,20.06,21.31:28.62,29.38,30.19,30.84,32.41,31.53,31.56,29.69,28.19,25.28,23.91,22.66,21.94,23.34,23.62,25.06,25.41,26.0,26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59,14.88,14.69,15.97,17.5,20.06,21.31,23.25,24.75,25.09,26.12,27.31,28.75:31.56,29.69,28.19,25.28,23.91,22.66,21.94,23.34,23.62,25.06,25.41,26.0,26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59,14.88,14.69,15.97,17.5,20.06,21.31,23.25,24.75,25.09,26.12,27.31,28.75,29.22,30.06,30.59,30.06,29.59,29.19:21.94,23.34,23.62,25.06,25.41,26.0,26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59,14.88,14.69,15.97,17.5,20.06,21.31,23.25,24.75,25.09,26.12,27.31,28.75,29.22,30.06,30.59,30.06,29.59,29.19,27.12,24.81,22.72,19.81,18.59,17.78:26.19,26.31,27.66,28.69,29.81,31.56,32.56,32.09,32.5,32.12,32.09,32.06,32.28,32.56,33.19,33.34,33.47,35.44,36.91,39.53,43.41,46.09,47.56,47.75,47.06,44.16,41.53,38.94,36.53,34.88,33.25,31.81,30.56,27.72,25.94,23.19,20.06,19.03,18.06,17.56,16.59,17.34,15.72,14.91,14.19,13.66,11.91,11.38,10.88,10.44,10.81,12.19,13.19,15.12,17.0,17.12,17.94,18.75,17.88,16.62,16.91,16.69,16.34,15.16,15.66,16.16,16.03,15.56,17.88,19.03,18.41,19.28,19.38,18.09,16.69,17.31,18.38,18.16,19.28,20.19,19.88,17.88,18.38,17.75,17.22,17.56,18.53,19.72,21.59,23.59,26.0,27.62,29.09,26.31,25.62,23.28,20.28,18.38,17.19,16.12,14.25,13.5,13.06,12.78,13.12,13.59,13.28,12.81,12.06,11.66,11.16,9.69,10.84,10.19,8.53,9.34,7.75,5.97,4.75,4.94,4.72,3.44,5.22,4.19,2.69,2.97,1.53,0.47,-0.81,-2.72,-3.59,-3.5,-1.78,1.19,4.75,9.31,12.41,15.38,16.53,17.31,17.78,16.22,15.06,14.56,13.28,11.66,10.34,8.12,4.81,3.0,-0.47,-1.22,-2.09,-1.72,-0.53,1.84,2.81,6.38,8.25,10.16,11.81,13.0,13.31,13.12,13.41,11.53,9.84,7.09,4.06,1.38,-0.53,-1.34,-1.44,-1.84,-1.59,-0.59,-0.44,1.97,3.34,7.16,10.69,16.12,20.31,23.53,25.88,25.28,22.94,19.94,16.31,12.56,9.72,6.47,5.88,3.53,3.16,1.62,-0.09,-1.84,-5.25,-8.09,-9.44,-10.38,-9.12,-4.69,1.0,7.94,13.25,16.72,17.88,17.62,13.19,12.0,9.94,9.0,9.28,10.12,9.38,9.31,7.62,6.28,5.25,3.62,2.75,2.16,1.47,2.06,4.16,5.94,7.78,9.81,12.69,13.84,14.06,16.41,15.53,14.88,14.91,14.0,13.16,11.84,11.78,10.59,9.59,8.38,7.53,6.19,5.25,3.78,3.12,3.34,4.41,6.81,9.25,12.81,16.06,18.41,19.44,19.5,18.25,16.16,12.69,11.38,10.03,9.81,9.84,10.28,10.12,11.25,10.0,10.56,10.81,13.16,14.56,17.53,20.28,24.78,25.97,27.22,26.53,23.44,19.94,15.94,12.81,9.0,10.22,8.44,9.06,11.12,11.28,13.16,13.97,12.78,12.56,11.78,10.72,9.84,10.5,11.34,13.41,16.22,17.91,18.31,20.25,18.78,17.72,17.19,15.44,14.34,14.53,13.56,14.06,15.06,15.88,15.31,15.62,15.44,14.06,14.75,15.5,17.16,19.69,22.91,25.5,25.94,25.66,26.56,24.22,22.62,20.69,18.78,17.56,16.31,16.94,17.69,18.84,19.16,19.34,21.81,23.47,25.25,27.81,29.78,29.88,29.66,29.38,30.56,31.12,32.94,35.34,36.69,37.0,36.84,34.34,32.22,29.06,25.91,24.28,24.62,23.81,25.5,26.53,25.44,25.12,23.03,21.12,19.28,18.12,16.62,15.78,16.34,16.84,18.22,19.47,19.31,17.16,14.5,9.91,6.25,2.91,3.0,3.44,6.06,9.03,11.31,13.69,14.06,13.41,13.56,13.19,12.03,12.44,12.62,12.97,14.88,15.78,17.5,18.69,18.84,17.56,17.69,15.91,13.69,12.69,11.19,12.44,12.88,14.0,16.88,18.78,20.09,21.78,22.34,22.81,21.94,21.22,21.09,19.31,18.5,18.72,18.75,19.28,20.03,21.56,22.94,23.28,22.88,23.91,24.78,25.22,25.09,24.88,23.88,20.5,17.88,14.38,11.44,8.66,7.31,6.56,6.38,6.88,7.78,8.81,10.03,12.19,13.25,15.12,14.78,14.53,12.69,11.19,9.19,7.94,6.47,6.41,6.25,5.94,5.78,5.06,4.25,2.69,1.12,0.16,-1.81,-1.34,-0.22,2.0,3.84,6.16,8.56,9.34,8.72,8.0,5.88,2.88,1.47,0.69,0.25,1.06,2.41,3.69,4.97,4.41,4.88,3.88,2.91,2.94,3.44,4.09,5.66,6.69,9.38,11.34,13.75,13.84,13.56,14.34,12.69,12.31,12.56,11.59,11.31,10.53,9.0,8.72,7.56,5.91,5.22,4.31,3.16,2.12,1.81,0.56,1.0,2.19,4.09,7.06,12.34,16.44,19.84,22.78,22.31,20.12,18.03,15.91,12.56,12.28,10.81,9.69,9.25,9.31,9.56,10.34,11.06,12.69,14.41,15.44,17.75,19.28,20.56,22.81,23.66,24.22,24.62,25.72,25.25,24.62,24.12,23.78,22.72,21.81,20.88,19.84,18.31,18.16,18.0,17.94,17.41,17.44,18.0,17.56,19.34,20.88,22.12,23.56,25.19,25.25,24.38,23.41,21.66,20.81,19.81,19.53,19.84,19.94,20.34,20.25,19.66,18.41,18.12,17.5,17.44,18.69,19.78,20.25,21.5,22.62,23.28,22.59,22.75,20.41,17.75,14.72,10.56,7.84,7.0,6.56,6.84,7.84,9.28,10.75,10.5,13.16,13.22,13.94,14.75,15.59,17.56,18.31,20.12,22.75,23.62,25.53,25.91,24.72,24.72,23.03,21.16,20.28,19.03,18.72,18.41,18.38,17.81,18.12,18.44,18.78,18.97,19.12,19.47,19.91,21.81,22.5,23.75,25.16,24.34,22.66,20.91,18.34,16.31,16.22,15.25,14.56,14.03,13.72,13.12,12.62,12.84,13.16,14.06,14.53,15.06,15.16,14.5,15.06,15.34,15.81,17.81,20.16,19.88,22.94,21.75,20.91,19.91,18.28,16.22,14.34,14.09,14.81,15.31,16.69,17.44,18.12,17.56,17.72,18.28,18.66,18.66,18.16,19.12,19.09,18.97,20.25,20.94,21.44,21.41,21.91,20.94,20.44,21.31,20.5,20.53,20.31,18.56,16.62,13.44,10.66,7.97,4.91,5.12,5.25,6.78,8.72,10.38,12.59,13.66,15.16,15.56,16.28,15.88,15.69,15.12,13.66,13.41,13.59,13.28,13.41,13.53,13.69,13.94,14.88,14.81,15.12,15.56,14.91,14.91,14.94,16.0,16.5,16.09,18.38,16.81,15.16,14.66,12.91,11.91,10.91,10.97,11.03,10.31,11.94,12.19,13.06,13.78,14.28,14.41,13.94,13.56,13.41,13.12,13.72,13.34,14.5,16.81,18.62,21.0,25.78,27.84,28.69,28.5,26.81,25.28,21.78,19.0,16.16,14.0,11.31,9.03,7.03,5.25,4.75,4.12,4.41,5.19,8.81,12.31,14.25,17.66,19.66,18.97,17.72,16.66,13.44,11.28,7.53,4.38,0.62,-0.94,-2.94,-3.22,-2.72,-1.91,-0.94,-0.09,2.59,5.69,8.38,12.34,14.12,15.31,15.94,15.12,13.0,13.06,11.12,9.72,10.03,9.5,9.19,8.69,6.91,4.97,1.25,-1.72,-3.28,-4.97,-5.34,-4.34,-1.31,0.56,4.28,7.16,10.62,13.53,16.31,18.78,19.16,19.88,18.19,16.03,12.91,9.31,5.91,2.16,-0.97,-4.72,-5.81,-8.19,-8.44,-9.94,-9.19,-8.84,-9.5,-8.47,-6.5,-4.91,-4.22,-1.75,0.78,2.09,3.88,4.28,4.16,3.25,2.72,1.69,0.16,-1.75,-2.97,-4.72,-7.25,-8.88,-10.91,-10.22,-10.03,-9.59,14.88,14.69,15.97,17.5,20.06,21.31,23.25,24.75,25.09,26.12,27.31,28.75,29.22,30.06,30.59,30.06,29.59,29.19,27.12,24.81,22.72,19.81,18.59,17.78,17.41,20.03,20.69,24.28,26.47,28.41:positivity
30.5,29.94,29.31,29.06,27.75,27.31,26.69,24.25,23.62,22.0,21.0,18.62,15.38,12.31,9.09,8.22,7.41,9.53,11.53,14.56,16.81,19.16,20.38,22.03,21.78,19.91,17.28,13.47,9.44,6.16,3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62:26.69,24.25,23.62,22.0,21.0,18.62,15.38,12.31,9.09,8.22,7.41,9.53,11.53,14.56,16.81,19.16,20.38,22.03,21.78,19.91,17.28,13.47,9.44,6.16,3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62,-8.41,-9.41,-9.59,-11.0,-11.34,-12.47:15.38,12.31,9.09,8.22,7.41,9.53,11.53,14.56,16.81,19.16,20.38,22.03,21.78,19.91,17.28,13.47,9.44,6.16,3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62,-8.41,-9.41,-9.59,-11.0,-11.34,-12.47,-13.59,-14.53,-15.44,-15.88,-17.75,-18.53:11.53,14.56,16.81,19.16,20.38,22.03,21.78,19.91,17.28,13.47,9.44,6.16,3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62,-8.41,-9.41,-9.59,-11.0,-11.34,-12.47,-13.59,-14.53,-15.44,-15.88,-17.75,-18.53,-21.12,-22.84,-25.28,-26.25,-26.66,-25.62:21.78,19.91,17.28,13.47,9.44,6.16,3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62,-8.41,-9.41,-9.59,-11.0,-11.34,-12.47,-13.59,-14.53,-15.44,-15.88,-17.75,-18.53,-21.12,-22.84,-25.28,-26.25,-26.66,-25.62,-23.16,-20.19,-16.88,-13.66,-11.91,-10.97:3.5,3.28,4.09,6.0,8.41,11.31,13.91,15.75,15.66,15.81,15.56,13.44,11.62,11.16,10.69,11.19,11.56,15.06,17.72,19.97,22.84,24.16,25.0,24.5,23.16,22.5,21.69,19.34,17.84,15.03,10.94,7.72,5.66,2.44,0.91,0.16,-1.0,-0.72,-0.59,0.34,0.97,1.12,2.09,1.28,1.62,1.72,0.84,0.78,0.25,-0.12,-0.59,-0.41,-0.41,-0.72,-1.0,-1.09,-0.41,-1.09,-1.16,-1.25,-1.66,-1.69,-0.34,0.81,3.44,6.06,8.16,9.31,11.91,12.19,11.72,11.59,11.34,9.91,7.44,4.69,2.75,0.81,0.19,0.81,1.62,2.41,3.69,3.56,5.25,6.47,8.19,8.81,9.38,9.25,11.09,10.47,11.03,10.31,9.56,8.0,7.31,6.88,7.12,8.16,8.66,7.66,7.81,6.03,4.66,3.59,0.81,-0.5,-3.44,-4.84,-7.81,-9.34,-11.19,-11.56,-10.88,-9.47,-8.66,-8.06,-6.94,-4.94,-4.44,-1.47,0.91,3.12,4.53,6.06,6.88,7.97,8.72,10.41,12.0,14.91,18.81,21.06,22.34,21.56,20.06,16.53,12.94,11.56,10.12,11.19,11.12,11.59,12.56,12.5,11.38,11.28,10.09,8.97,9.03,7.34,6.41,5.81,6.31,7.44,9.56,12.06,13.84,14.66,14.38,15.09,14.25,14.62,14.53,13.09,12.25,11.5,9.47,9.44,9.34,9.44,10.56,11.0,12.25,13.5,14.69,15.66,16.62,15.66,15.94,14.22,13.69,13.44,13.81,15.19,17.12,17.34,18.66,19.03,19.22,20.25,21.81,22.72,24.88,26.66,28.28,30.31,32.44,33.75,35.66,36.19,36.16,35.19,33.44,30.53,29.59,26.91,25.25,23.69,21.25,19.72,17.47,15.31,15.53,14.44,13.72,14.38,15.41,15.12,16.41,17.12,18.72,18.53,17.94,18.19,16.12,13.94,12.25,10.81,9.19,8.5,9.91,10.53,11.0,12.25,13.34,13.0,14.0,13.81,14.06,14.91,15.38,15.91,16.38,16.97,16.09,15.16,13.44,10.5,8.88,6.62,5.91,7.31,7.62,9.53,11.16,11.56,11.78,11.75,11.66,10.44,9.47,9.38,8.38,7.72,6.81,7.09,6.53,5.16,4.25,3.84,3.5,3.78,5.19,6.19,8.16,9.03,9.97,10.53,10.84,11.78,10.94,10.59,10.38,10.25,9.75,10.16,10.94,11.16,11.81,12.81,12.09,12.62,11.44,10.19,9.69,8.94,8.94,9.31,8.38,9.19,8.34,8.69,9.38,9.78,10.25,10.38,8.66,8.69,8.34,8.56,9.09,11.16,12.41,13.31,13.56,13.28,13.06,12.78,11.78,11.31,11.69,11.16,10.66,8.5,8.31,6.09,4.72,4.06,4.16,4.38,5.28,6.06,8.38,9.25,11.56,12.19,11.56,11.0,9.91,7.22,6.34,5.66,4.34,5.06,6.03,7.19,7.91,9.09,9.0,9.66,9.5,9.06,8.28,7.88,6.34,6.5,5.84,5.91,9.19,11.53,14.66,17.34,18.19,16.31,13.34,9.81,6.81,4.41,3.0,1.56,1.62,1.91,2.38,2.19,2.53,1.69,1.97,1.22,2.38,3.56,4.56,7.19,8.44,9.31,11.84,11.94,11.0,11.38,12.16,11.62,10.34,10.0,8.56,7.03,5.56,4.25,3.91,2.69,2.47,1.66,2.22,3.22,4.81,6.53,8.91,10.75,12.22,13.06,12.81,14.69,13.94,13.53,12.53,11.69,10.06,10.12,10.62,11.62,12.5,12.72,12.72,13.38,14.38,15.72,16.5,17.38,17.06,15.03,13.78,12.16,11.34,11.12,11.66,12.94,13.44,13.94,13.53,12.53,12.09,11.81,12.06,12.28,12.53,12.59,11.69,10.25,9.31,7.16,5.38,5.28,3.75,4.44,6.19,7.69,9.72,13.06,14.06,15.75,16.62,17.06,17.62,17.47,16.66,15.44,13.59,10.97,9.31,7.09,6.03,6.88,7.44,8.88,10.31,10.81,12.03,11.91,11.81,11.81,10.91,9.19,6.91,6.19,4.91,3.94,4.22,3.38,3.44,2.16,1.84,1.28,1.78,2.03,2.06,2.31,3.31,3.41,3.88,3.88,2.81,3.5,2.62,1.66,2.28,1.31,0.03,-0.09,-1.22,-2.03,-2.28,-2.16,-2.69,-2.62,-2.94,-3.88,-4.28,-5.09,-5.41,-5.19,-4.91,-4.22,-2.81,-1.06,0.5,1.81,3.16,3.84,3.16,2.88,1.69,0.66,-0.06,-1.59,-2.44,-3.16,-4.47,-5.47,-6.22,-6.09,-6.47,-6.09,-5.34,-4.84,-3.56,-2.53,-1.28,-2.09,-2.34,-4.66,-5.88,-7.5,-7.28,-6.97,-5.81,-4.34,-2.97,-1.59,0.47,1.47,2.12,3.53,4.28,4.97,5.66,6.03,5.28,4.25,0.69,-0.22,-1.66,-2.72,-3.66,-3.22,-3.72,-1.47,-0.25,2.66,5.72,8.03,8.69,7.81,6.75,4.41,1.84,0.19,-1.69,-2.72,-3.34,-3.59,-1.84,1.03,5.19,9.81,12.34,14.5,14.62,13.44,11.62,10.62,9.41,8.34,7.91,8.88,9.62,11.53,12.62,13.06,12.69,12.62,11.53,10.62,10.78,10.94,9.78,9.62,9.19,8.28,8.28,8.47,8.81,8.75,9.16,9.03,8.88,9.0,9.56,11.22,11.25,12.16,12.69,13.03,13.19,12.94,13.47,13.38,12.59,12.78,11.59,12.16,12.75,13.19,15.09,16.09,17.47,17.28,17.66,17.53,17.03,16.25,15.38,15.0,14.0,13.97,15.22,17.09,18.56,20.19,21.56,22.53,23.41,24.34,24.12,24.66,24.41,23.62,22.5,22.5,21.84,21.44,21.91,21.31,21.31,21.44,20.56,19.47,16.66,15.28,14.06,11.38,11.41,12.88,14.56,16.69,19.88,22.09,23.88,24.25,23.53,22.41,20.34,18.69,16.44,14.28,13.5,13.34,13.81,15.25,18.69,21.09,23.66,24.31,23.12,22.28,18.53,15.88,12.38,8.69,7.25,5.38,5.06,5.81,6.66,8.28,8.69,10.69,11.62,13.81,13.69,14.75,15.34,14.5,14.16,14.56,13.81,13.31,13.38,11.78,11.69,10.5,10.12,8.75,8.56,8.94,8.94,9.25,10.62,11.69,12.44,13.25,13.38,13.84,13.94,13.56,14.03,13.16,12.34,12.31,12.41,12.66,14.06,15.22,16.91,17.47,18.0,18.94,18.5,18.97,19.03,21.34,22.5,23.53,25.25,24.56,24.53,23.62,21.88,20.81,19.81,19.0,18.94,18.06,16.84,16.5,14.12,12.25,11.31,10.62,10.16,11.47,12.78,14.94,17.25,19.09,20.94,20.91,22.16,22.03,22.38,22.22,22.41,21.84,21.75,21.0,20.62,19.88,19.25,17.72,17.0,16.09,15.78,14.94,15.12,15.06,14.56,14.88,15.44,16.06,18.12,20.03,21.25,23.5,24.0,23.75,22.81,21.75,20.41,19.69,19.03,19.66,22.0,24.62,28.5,33.53,38.12,40.75,43.53,42.53,40.5,37.19,33.97,30.62,27.62,25.56,23.41,21.28,18.81,16.84,14.72,12.62,10.75,11.41,10.19,10.81,10.81,10.91,11.28,12.06,12.28,12.81,12.25,12.03,11.16,11.19,10.94,10.91,11.75,12.75,13.94,14.53,15.5,14.5,14.91,14.97,13.84,13.62,-8.41,-9.41,-9.59,-11.0,-11.34,-12.47,-13.59,-14.53,-15.44,-15.88,-17.75,-18.53,-21.12,-22.84,-25.28,-26.25,-26.66,-25.62,-23.16,-20.19,-16.88,-13.66,-11.91,-10.97,-11.31,-12.0,-13.88,-17.31,-19.91,-22.66:positivity
28.03,27.12,26.94,25.78,24.59,23.88,23.34,24.31,23.78,24.34,25.41,24.19,23.62,23.56,22.62,22.44,23.44,23.25,24.09,23.59,23.59,21.94,21.94,22.06,22.69,23.56,24.09,25.53,25.44,25.91,28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12:23.34,24.31,23.78,24.34,25.41,24.19,23.62,23.56,22.62,22.44,23.44,23.25,24.09,23.59,23.59,21.94,21.94,22.06,22.69,23.56,24.09,25.53,25.44,25.91,28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12,-26.22,-26.94,-27.69,-29.53,-31.72,-34.44:23.62,23.56,22.62,22.44,23.44,23.25,24.09,23.59,23.59,21.94,21.94,22.06,22.69,23.56,24.09,25.53,25.44,25.91,28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12,-26.22,-26.94,-27.69,-29.53,-31.72,-34.44,-37.84,-39.78,-40.31,-40.47,-40.41,-39.97:24.09,23.59,23.59,21.94,21.94,22.06,22.69,23.56,24.09,25.53,25.44,25.91,28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12,-26.22,-26.94,-27.69,-29.53,-31.72,-34.44,-37.84,-39.78,-40.31,-40.47,-40.41,-39.97,-38.66,-38.59,-38.22,-38.06,-38.09,-38.09:22.69,23.56,24.09,25.53,25.44,25.91,28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12,-26.22,-26.94,-27.69,-29.53,-31.72,-34.44,-37.84,-39.78,-40.31,-40.47,-40.41,-39.97,-38.66,-38.59,-38.22,-38.06,-38.09,-38.09,-38.12,-38.22,-37.31,-36.34,-34.34,-32.66:28.03,30.0,31.81,33.62,33.72,31.06,29.09,26.88,24.91,24.75,26.0,27.44,27.84,29.06,26.84,25.25,22.56,21.25,20.44,19.09,20.0,20.41,21.28,24.0,26.81,30.78,34.62,37.19,37.34,35.69,32.38,28.72,25.28,23.41,20.53,19.66,18.19,15.44,14.44,12.44,10.97,10.16,10.47,11.22,12.5,13.56,13.56,13.16,14.31,15.66,16.69,18.81,20.62,19.81,18.84,17.56,16.44,15.94,16.81,18.19,19.59,21.0,20.91,21.03,21.28,22.19,21.22,22.12,22.31,22.75,23.69,24.44,25.28,25.31,26.31,26.06,25.06,23.75,21.69,18.19,15.16,11.97,10.78,9.91,10.56,12.16,13.06,14.88,16.0,16.62,16.41,17.78,18.09,18.31,19.09,19.72,18.81,19.38,18.97,19.12,18.78,18.56,18.28,17.75,17.62,18.81,19.16,18.94,19.62,18.16,16.03,14.19,12.72,10.38,9.25,8.75,8.31,6.84,7.0,7.53,9.34,10.44,13.28,14.16,14.97,15.91,14.94,13.72,12.78,12.78,12.56,14.22,17.06,19.66,23.0,26.34,29.53,31.06,31.31,30.12,28.84,27.16,26.16,26.56,27.12,28.66,29.44,30.09,30.88,31.16,31.06,31.06,30.19,30.78,29.78,29.94,30.81,31.72,32.91,33.81,34.56,35.03,33.66,32.84,30.84,29.06,28.53,28.0,26.66,26.31,24.19,22.69,22.0,21.06,19.94,20.78,20.91,19.97,20.5,19.59,19.66,20.38,21.31,22.44,23.44,22.22,22.09,19.72,18.09,17.66,17.44,18.06,20.38,21.66,23.41,25.25,25.91,27.41,27.25,26.78,26.78,25.5,24.84,25.34,24.41,23.72,23.88,22.69,21.72,21.56,19.75,19.47,20.03,20.56,21.78,23.56,24.72,26.84,27.62,27.69,29.31,28.91,29.19,29.94,30.75,30.19,29.38,28.38,26.69,24.81,23.34,21.56,19.91,18.5,18.0,17.78,19.5,20.91,23.59,24.72,25.91,26.34,25.81,26.0,25.16,25.06,24.28,24.81,24.47,24.81,24.72,24.25,22.81,21.0,19.22,17.5,15.69,14.44,14.16,13.75,13.03,14.06,15.19,15.69,16.88,17.62,17.16,17.44,16.78,18.31,21.41,24.19,28.56,31.81,33.19,32.53,28.91,25.0,19.5,15.19,10.59,8.31,7.0,6.84,6.03,7.31,8.16,9.56,10.22,11.97,14.72,15.78,18.81,21.5,23.38,25.28,27.03,26.22,26.31,26.06,24.97,23.31,21.22,20.12,18.5,17.47,17.78,18.31,19.94,21.91,23.72,27.31,29.81,32.16,33.81,35.16,34.03,32.44,30.06,27.12,25.81,24.44,24.59,25.06,25.91,26.94,27.53,27.78,28.19,26.97,25.81,24.72,24.03,22.75,22.31,22.5,20.81,19.09,18.97,16.78,15.59,15.38,14.31,11.88,11.62,10.91,10.81,11.09,13.12,12.91,13.91,14.28,14.25,14.16,12.94,13.28,12.56,12.41,13.28,13.41,14.72,14.28,13.44,13.69,12.56,11.47,11.97,10.91,10.91,10.81,10.0,9.88,10.88,11.69,11.75,12.62,13.81,13.81,14.19,15.69,15.31,15.81,16.0,15.28,12.94,11.47,10.94,11.44,11.34,13.19,15.31,17.78,19.16,20.97,22.78,25.09,24.78,25.75,25.69,23.19,22.06,19.25,15.97,13.06,11.0,6.62,3.31,1.12,-1.94,-4.12,-4.03,-3.09,-1.44,1.53,4.62,8.06,11.12,12.56,14.31,13.5,11.22,8.69,6.41,5.12,4.44,5.22,6.91,8.69,9.44,7.91,7.41,4.91,3.09,2.62,3.84,5.06,7.59,9.59,12.0,13.66,15.0,16.56,16.22,15.91,15.19,14.41,13.59,13.69,14.41,15.09,15.25,15.72,15.31,15.66,15.34,15.41,16.16,16.66,18.38,19.91,19.88,21.0,20.28,19.62,19.59,18.84,19.72,19.66,20.0,20.12,20.62,20.75,20.81,21.31,21.0,21.28,20.06,18.53,17.38,15.69,14.62,13.06,12.31,12.81,12.16,11.97,11.66,10.25,8.88,8.25,6.25,6.62,6.19,6.22,6.25,7.38,8.62,9.56,11.25,12.34,12.12,11.5,9.94,9.38,8.28,8.19,8.69,8.88,10.78,9.88,11.31,10.94,9.44,8.88,7.12,5.44,4.91,3.91,3.41,3.56,5.53,6.78,8.97,10.03,10.12,10.06,7.5,6.59,6.41,7.41,9.53,11.94,14.94,18.56,21.56,24.0,25.34,24.81,22.62,18.69,15.69,12.59,10.69,11.03,11.94,13.75,16.0,17.12,18.25,18.16,18.34,18.12,18.94,17.31,17.62,17.16,17.25,16.16,16.19,15.06,12.66,11.06,7.69,6.69,4.78,4.88,4.25,2.97,4.59,5.28,7.0,10.12,12.41,14.66,15.09,15.62,14.56,13.16,12.34,10.81,9.22,7.94,6.59,6.16,5.88,5.94,6.12,6.66,6.25,5.22,4.91,4.25,3.88,3.91,4.81,6.28,9.16,11.97,14.97,17.06,19.78,21.81,24.34,25.78,26.94,27.66,27.16,27.03,25.12,23.75,21.22,18.31,16.41,15.03,14.19,13.56,12.03,11.0,10.19,9.19,8.84,8.19,8.91,8.66,8.44,8.56,9.31,11.16,12.16,12.94,13.0,12.69,12.06,12.62,11.34,12.0,12.38,11.56,10.03,8.16,8.03,5.66,4.97,5.62,5.5,6.19,7.03,7.28,8.78,10.66,12.69,15.09,17.69,17.47,16.97,15.81,13.12,10.84,9.41,7.84,7.72,6.91,7.91,7.44,9.72,10.78,12.34,13.91,15.69,16.88,16.91,16.72,17.25,16.66,15.75,15.75,15.12,13.06,12.72,11.25,11.44,10.66,11.12,10.28,9.84,9.16,8.62,8.66,9.06,10.34,10.56,10.91,10.5,10.75,10.78,11.69,13.91,16.66,19.59,22.78,25.22,25.16,23.81,21.88,20.12,17.38,16.69,15.62,15.66,14.19,12.94,10.81,9.31,8.38,7.81,7.56,6.91,5.62,3.66,2.16,1.56,1.5,1.69,2.66,3.66,3.31,3.81,4.31,5.5,6.25,7.22,6.56,6.03,4.31,2.09,1.31,1.22,-0.16,0.44,1.03,1.78,0.66,1.44,1.84,-0.16,0.53,1.44,1.66,3.69,5.0,5.06,5.41,4.31,4.06,4.16,3.06,4.03,3.25,3.28,2.41,2.56,3.09,3.0,3.91,4.34,4.34,4.28,3.19,2.59,1.03,0.75,0.84,1.94,2.91,4.5,5.12,5.47,5.06,4.25,3.56,3.56,4.88,6.19,7.94,10.56,10.56,11.0,10.94,9.41,7.59,5.66,4.97,2.34,1.12,0.72,0.34,0.66,0.34,-0.09,-0.38,-0.66,0.0,1.44,2.62,4.88,5.94,6.38,7.72,8.12,8.28,8.59,8.75,9.16,9.16,9.53,11.12,11.81,12.62,12.78,13.44,12.22,11.62,11.75,10.72,9.94,9.16,8.03,8.22,6.22,5.25,4.66,2.31,1.91,1.88,1.25,1.62,1.56,1.28,0.84,-0.38,-0.91,-1.59,-1.97,-1.59,-1.81,-1.19,-1.06,0.19,3.12,5.34,7.81,10.28,10.69,11.31,10.47,9.81,8.66,7.91,7.16,6.47,6.66,5.62,5.41,5.44,3.66,3.12,-26.22,-26.94,-27.69,-29.53,-31.72,-34.44,-37.84,-39.78,-40.31,-40.47,-40.41,-39.97,-38.66,-38.59,-38.22,-38.06,-38.09,-38.09,-38.12,-38.22,-37.31,-36.34,-34.34,-32.66,-31.44,-28.72,-28.41,-29.0,-30.62,-34.22:positivity
36.94,37.0,35.72,35.41,36.34,36.78,37.66,39.5,40.03,40.16,39.75,39.84,40.41,40.53,41.06,41.66,40.91,39.97,37.62,35.12,32.12,28.34,25.03,21.72,19.75,19.16,19.25,21.53,24.06,26.5,28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72:37.66,39.5,40.03,40.16,39.75,39.84,40.41,40.53,41.06,41.66,40.91,39.97,37.62,35.12,32.12,28.34,25.03,21.72,19.75,19.16,19.25,21.53,24.06,26.5,28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72,-16.97,-19.41,-20.03,-19.66,-19.28,-17.53:40.41,40.53,41.06,41.66,40.91,39.97,37.62,35.12,32.12,28.34,25.03,21.72,19.75,19.16,19.25,21.53,24.06,26.5,28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72,-16.97,-19.41,-20.03,-19.66,-19.28,-17.53,-15.94,-13.84,-12.34,-12.72,-14.0,-15.47:37.62,35.12,32.12,28.34,25.03,21.72,19.75,19.16,19.25,21.53,24.06,26.5,28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72,-16.97,-19.41,-20.03,-19.66,-19.28,-17.53,-15.94,-13.84,-12.34,-12.72,-14.0,-15.47,-15.84,-15.88,-16.19,-14.81,-12.72,-12.94:19.75,19.16,19.25,21.53,24.06,26.5,28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72,-16.97,-19.41,-20.03,-19.66,-19.28,-17.53,-15.94,-13.84,-12.34,-12.72,-14.0,-15.47,-15.84,-15.88,-16.19,-14.81,-12.72,-12.94,-13.81,-15.44,-18.12,-21.78,-24.28,-27.16:28.0,30.84,32.38,32.75,33.91,33.78,33.44,33.5,32.78,33.16,31.84,32.09,32.41,31.97,32.22,32.91,33.06,34.47,37.0,39.25,42.28,42.94,42.34,41.56,38.84,36.78,35.25,34.06,33.56,33.12,32.06,31.59,30.94,30.34,28.97,27.19,25.19,23.06,21.28,19.0,16.81,16.53,14.81,14.06,14.28,14.69,15.81,16.62,18.44,19.91,21.25,22.91,24.94,25.84,27.41,28.56,28.84,28.31,27.62,28.0,26.28,26.19,26.84,27.31,27.88,28.31,29.0,28.62,29.0,29.22,28.31,28.09,27.5,27.69,26.91,27.53,28.06,27.91,28.0,28.06,26.81,27.62,26.94,25.81,25.94,25.94,26.16,27.69,29.31,32.84,36.88,39.16,43.03,45.62,46.94,47.28,46.03,43.44,39.97,35.28,31.31,27.47,24.81,23.69,23.84,24.09,25.53,25.53,26.53,25.94,24.91,22.94,20.84,19.69,18.53,18.41,19.06,20.03,20.72,21.38,23.16,23.25,22.94,23.69,23.44,23.44,23.53,23.62,24.44,24.97,25.75,27.03,26.94,28.22,27.66,28.09,29.06,28.81,29.69,28.19,26.25,25.03,21.84,19.81,19.66,20.0,20.91,22.16,22.09,22.88,24.12,24.56,24.5,26.66,25.31,25.25,25.31,23.69,22.84,21.94,20.28,20.16,19.38,19.28,19.25,19.06,20.12,20.19,20.06,19.75,18.69,18.16,17.5,18.62,19.38,20.5,21.12,20.16,18.5,15.5,12.53,10.34,7.47,6.72,5.78,6.25,7.66,10.97,14.94,19.25,23.19,26.31,29.19,29.75,30.41,30.5,30.09,29.41,28.16,26.31,24.62,21.41,18.94,16.88,14.31,14.06,13.84,14.66,17.41,19.56,23.81,27.41,30.16,33.03,34.06,33.56,33.38,33.16,33.56,33.0,33.94,33.94,33.88,33.81,33.25,31.44,29.28,27.16,25.0,23.69,22.66,22.78,22.94,23.5,23.25,23.16,23.56,23.16,24.88,25.44,27.34,29.12,29.19,29.69,29.38,28.56,28.19,27.22,27.59,27.34,26.56,27.22,26.34,24.19,21.66,18.44,15.94,12.41,10.06,7.06,6.62,5.56,5.72,8.53,12.94,16.66,21.62,25.28,27.91,29.31,29.75,28.19,25.78,24.62,23.66,22.47,21.62,22.28,22.41,22.56,22.44,21.91,21.75,21.53,20.53,21.31,20.56,20.84,21.41,22.88,24.28,26.69,28.66,29.66,30.16,28.94,26.69,23.47,19.97,17.53,15.44,13.59,14.06,15.38,16.72,17.97,20.19,21.91,23.0,23.78,25.47,26.59,27.12,27.78,27.78,27.56,26.41,25.0,23.41,21.84,20.94,19.34,18.19,17.0,14.62,13.0,12.22,11.0,9.53,9.69,9.25,7.66,7.56,7.31,7.16,7.56,6.91,6.31,5.28,3.31,2.16,1.06,1.56,2.03,3.66,5.88,8.81,10.0,12.31,13.19,13.56,14.19,14.0,15.06,16.0,18.66,23.06,26.56,28.69,31.69,31.75,30.41,27.44,25.88,22.75,21.59,20.78,19.91,20.03,19.62,19.59,20.31,20.44,20.97,21.19,19.88,19.91,19.31,19.5,20.06,20.88,21.25,20.91,19.06,17.0,15.09,12.41,11.78,10.78,11.97,11.94,12.47,12.97,12.81,12.0,10.78,9.28,8.12,5.97,5.53,5.16,6.28,7.28,7.19,7.06,6.81,4.53,3.66,3.91,5.03,7.0,10.5,13.19,15.41,16.28,17.34,18.81,20.03,21.5,23.28,24.44,23.47,23.91,22.69,21.0,20.34,19.69,18.19,19.62,19.0,19.59,20.03,19.88,20.66,19.56,18.97,17.72,15.66,13.16,11.78,9.88,8.66,9.5,9.91,10.25,10.97,11.03,10.88,11.56,12.41,12.72,13.91,13.62,13.81,11.59,10.97,10.12,9.66,10.47,10.97,11.81,13.31,13.25,13.59,14.12,12.69,13.06,13.12,12.94,14.16,15.62,15.88,16.94,17.22,17.62,16.66,16.34,15.91,15.59,15.12,13.97,13.59,12.84,12.62,11.91,12.69,13.69,14.66,15.12,15.56,14.56,12.81,12.19,10.97,11.06,10.88,10.25,9.31,8.25,7.62,7.75,7.41,8.0,7.16,6.91,6.31,6.03,7.12,6.81,7.84,6.75,7.22,5.91,5.44,6.16,6.16,6.56,7.66,7.97,7.62,7.62,7.41,7.34,8.09,9.69,10.5,11.0,10.81,9.75,8.44,8.38,7.69,7.41,7.47,7.81,8.19,8.03,8.88,10.22,10.41,11.59,11.91,11.5,11.66,11.25,11.06,10.97,11.03,11.56,10.06,9.03,7.75,8.03,8.16,8.44,10.38,10.94,10.69,10.69,9.72,9.81,10.19,10.31,11.81,13.56,14.75,17.69,18.75,19.75,19.81,18.91,17.62,16.44,15.81,15.22,14.56,15.25,15.41,15.53,15.31,15.5,15.03,13.81,12.38,11.34,11.12,10.72,10.56,12.06,13.12,14.84,16.59,17.31,17.41,17.41,16.12,15.66,14.03,13.44,12.84,11.09,10.28,10.16,8.5,7.56,6.19,4.59,3.69,3.94,4.44,6.59,8.75,12.06,15.31,17.88,21.41,23.66,25.88,27.66,27.91,29.16,29.44,29.78,30.53,30.66,29.19,27.53,24.66,20.66,17.66,14.56,12.19,9.78,9.47,8.81,9.81,11.56,14.53,17.34,19.59,21.66,23.38,25.03,25.12,25.75,24.41,24.5,23.09,23.03,22.75,23.41,22.66,22.19,20.97,18.88,16.84,15.41,14.56,13.94,13.56,13.69,13.88,14.34,14.06,16.03,17.12,18.12,19.88,20.84,21.56,23.16,24.25,24.84,27.19,27.56,28.09,27.81,26.41,25.19,22.19,19.5,17.28,14.34,12.81,11.41,10.84,10.25,9.66,10.34,11.69,12.47,13.56,14.53,15.0,15.59,15.56,15.75,15.91,15.88,15.47,15.41,15.06,15.0,15.53,15.12,16.06,16.56,16.69,17.72,18.81,19.41,20.5,21.81,22.84,23.5,22.41,20.81,18.84,16.16,14.59,13.97,13.25,14.16,14.28,13.56,13.62,13.19,13.19,13.09,13.41,14.41,15.31,15.78,17.25,18.38,19.09,20.06,20.25,20.91,21.81,21.91,22.53,22.81,23.69,23.53,24.28,24.91,25.12,26.0,26.78,27.22,27.44,27.72,26.72,27.06,27.56,27.94,29.44,31.44,32.5,34.03,34.97,35.53,34.91,33.22,32.38,31.31,28.59,27.88,26.41,25.72,25.22,24.84,25.81,26.19,26.66,26.41,24.97,23.34,22.09,20.84,20.69,19.88,19.75,19.84,19.81,21.81,23.5,25.28,27.09,27.12,27.25,24.97,24.41,23.62,22.03,22.19,22.5,21.69,21.56,20.19,20.12,20.06,19.94,20.31,21.38,21.38,21.5,22.06,21.97,21.66,21.84,20.12,18.5,17.88,16.41,17.19,18.94,21.06,23.66,25.91,27.66,28.34,27.84,26.03,24.53,22.88,22.31,21.47,21.81,21.53,21.34,20.0,19.69,18.56,18.09,17.66,18.88,18.72,18.5,18.97,18.66,18.16,17.31,16.94,16.0,14.5,14.44,12.97,11.94,10.56,8.56,5.78,3.5,0.69,-2.97,-5.09,-7.53,-8.91,-9.69,-10.34,-9.28,-8.31,-7.31,-5.5,-3.72,-16.97,-19.41,-20.03,-19.66,-19.28,-17.53,-15.94,-13.84,-12.34,-12.72,-14.0,-15.47,-15.84,-15.88,-16.19,-14.81,-12.72,-12.94,-13.81,-15.44,-18.12,-21.78,-24.28,-27.16,-28.56,-28.84,-30.03,-29.47,-28.78,-29.0:positivity
42.41,40.0,39.31,37.34,36.91,36.78,37.94,37.44,37.91,38.53,38.66,38.78,39.25,40.09,39.97,39.44,39.47,38.62,36.28,36.06,35.59,34.94,35.31,36.25,36.56,35.88,36.44,36.59,36.22,36.97,37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84:37.94,37.44,37.91,38.53,38.66,38.78,39.25,40.09,39.97,39.44,39.47,38.62,36.28,36.06,35.59,34.94,35.31,36.25,36.56,35.88,36.44,36.59,36.22,36.97,37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84,2.06,-0.56,-1.91,-4.28,-5.0,-4.91:39.25,40.09,39.97,39.44,39.47,38.62,36.28,36.06,35.59,34.94,35.31,36.25,36.56,35.88,36.44,36.59,36.22,36.97,37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84,2.06,-0.56,-1.91,-4.28,-5.0,-4.91,-4.03,-2.53,0.31,0.56,1.44,1.69:36.28,36.06,35.59,34.94,35.31,36.25,36.56,35.88,36.44,36.59,36.22,36.97,37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84,2.06,-0.56,-1.91,-4.28,-5.0,-4.91,-4.03,-2.53,0.31,0.56,1.44,1.69,0.91,0.38,-1.03,-2.91,-5.19,-8.72:36.56,35.88,36.44,36.59,36.22,36.97,37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84,2.06,-0.56,-1.91,-4.28,-5.0,-4.91,-4.03,-2.53,0.31,0.56,1.44,1.69,0.91,0.38,-1.03,-2.91,-5.19,-8.72,-11.59,-13.34,-14.59,-14.41,-14.16,-14.97:37.59,38.59,39.56,40.19,42.25,43.38,45.56,47.31,47.41,47.94,47.12,45.31,44.31,42.62,41.22,40.12,39.25,39.28,40.16,38.5,37.72,37.69,36.06,35.0,35.12,36.06,37.56,39.94,41.09,42.19,41.34,37.81,35.56,32.44,29.66,29.16,29.16,29.44,29.62,29.84,28.38,25.81,22.28,18.81,15.31,12.84,11.5,11.75,11.09,12.25,13.38,15.41,17.56,20.94,22.91,24.19,24.88,26.0,28.19,29.69,32.25,36.5,39.84,41.56,42.31,43.69,43.72,41.72,41.09,40.38,39.81,39.94,37.94,36.94,36.0,34.62,33.38,34.94,37.56,38.69,41.16,43.5,44.5,46.84,47.84,48.28,47.59,47.69,46.72,47.38,48.0,48.28,49.12,48.75,49.16,47.62,46.06,44.09,42.94,40.06,36.59,35.25,31.94,29.56,27.22,24.94,22.41,20.72,18.84,17.44,18.09,17.06,16.56,17.16,17.84,17.56,20.38,23.66,26.44,29.53,31.94,33.75,34.72,34.56,35.84,35.53,33.5,34.16,33.12,32.22,32.81,32.88,32.81,34.44,34.0,34.69,34.94,34.75,35.25,36.25,35.66,36.81,38.31,40.03,40.34,41.88,42.03,41.38,37.81,36.38,35.44,32.22,29.97,28.09,25.44,23.66,21.5,20.0,18.62,15.94,14.16,12.31,11.31,11.81,13.44,15.88,17.91,20.81,22.66,24.09,26.19,26.5,26.94,27.41,26.62,25.12,24.31,22.69,20.38,19.22,18.44,18.16,17.28,18.47,18.5,19.25,19.72,20.12,20.84,20.0,20.94,21.06,21.34,21.5,22.09,23.78,23.66,22.69,21.62,20.12,17.62,15.97,14.78,13.5,12.88,10.34,10.38,10.31,10.25,11.75,11.31,10.97,10.69,9.44,8.41,8.31,8.84,10.41,11.25,12.03,12.66,13.31,13.28,12.28,12.53,11.53,10.0,9.59,7.84,7.06,6.88,6.53,7.78,8.12,9.62,11.69,12.94,15.03,16.19,17.59,18.0,18.62,18.28,17.0,16.59,14.47,13.0,12.78,12.56,12.34,13.31,12.16,11.56,10.91,9.03,7.16,5.84,5.78,5.84,6.72,8.78,10.31,11.81,13.19,14.12,14.56,14.44,13.91,14.78,14.91,15.06,16.84,17.88,17.78,18.22,17.41,17.16,15.62,15.47,14.66,14.84,16.06,17.56,19.5,20.91,21.84,21.62,21.44,21.19,21.34,21.97,21.91,22.19,22.34,22.94,24.25,25.78,26.94,28.94,29.12,29.53,30.03,29.75,29.53,30.16,32.31,33.28,34.44,34.88,33.66,29.62,25.53,20.19,16.0,12.69,9.72,7.09,5.44,5.06,4.12,3.69,5.31,5.53,6.56,8.25,10.06,11.78,13.41,13.5,14.41,13.0,11.97,10.97,10.34,10.03,9.38,8.22,7.81,7.84,7.09,7.38,7.88,7.56,7.62,7.59,5.97,4.53,2.5,0.94,-1.59,-2.0,-2.06,-2.25,-1.78,-1.09,0.78,1.22,2.81,4.34,4.75,6.16,6.06,6.16,7.03,7.0,8.66,10.25,11.91,14.03,15.41,17.34,17.41,18.25,18.97,19.06,20.22,19.41,19.28,18.25,16.69,15.28,14.19,13.59,13.09,13.0,13.03,12.31,11.53,10.97,10.59,10.56,10.28,11.0,11.06,10.28,10.38,9.84,8.66,6.84,6.22,6.19,6.06,8.03,9.75,11.41,11.5,11.47,11.0,9.84,8.81,8.12,7.28,7.53,7.28,8.06,9.59,10.34,11.47,11.62,10.5,8.56,7.22,4.91,4.19,4.84,5.19,7.09,8.12,8.16,9.31,9.44,9.47,9.25,7.53,7.5,7.19,5.88,7.81,8.12,9.03,9.91,9.72,10.0,10.03,9.59,9.25,10.88,10.97,11.75,12.38,12.53,11.81,11.56,11.56,10.81,10.66,9.56,9.34,8.06,6.59,4.84,3.94,3.0,2.25,1.12,0.28,-0.75,-2.09,-4.06,-5.25,-5.97,-6.0,-5.91,-5.56,-3.97,-3.03,-2.16,-1.03,-0.06,0.59,0.94,1.44,1.72,2.0,2.84,2.69,2.19,1.91,1.66,0.94,-0.38,-0.53,-1.88,-3.56,-4.28,-5.03,-5.09,-4.41,-2.81,-2.16,-0.41,0.16,0.88,1.62,1.91,1.84,1.78,0.62,0.09,-1.28,-3.16,-3.78,-4.09,-4.84,-5.47,-6.16,-6.16,-6.56,-6.69,-6.75,-6.22,-4.69,-4.47,-1.97,0.06,0.81,1.81,2.0,2.31,3.81,3.53,3.72,3.44,2.5,2.19,2.16,1.91,2.84,2.53,2.38,1.22,0.66,0.5,0.25,1.44,2.53,3.53,4.19,4.75,4.06,1.91,-0.03,-1.62,-3.06,-3.78,-3.41,-3.06,-1.81,-1.31,-0.38,0.06,0.5,0.97,-0.16,-0.16,-0.19,-0.59,-0.34,-0.81,-1.34,-1.59,-2.97,-3.5,-3.59,-3.41,-2.94,-2.94,-2.94,-3.09,-2.84,-1.69,-0.34,3.53,7.38,10.03,13.34,14.28,12.06,9.53,6.16,3.47,1.47,0.91,0.88,1.16,0.94,1.16,0.78,1.12,2.22,3.41,4.41,6.06,8.28,8.62,9.56,9.69,8.91,8.16,7.06,6.19,5.41,4.44,2.81,2.19,1.75,2.31,3.62,4.66,6.62,9.03,10.5,11.69,13.41,14.81,16.28,18.12,19.91,21.19,21.5,21.03,20.03,18.03,17.72,16.16,15.84,15.59,16.22,16.44,17.62,19.25,20.5,22.25,23.75,23.75,23.22,23.72,22.88,22.81,22.94,23.41,23.56,23.28,22.16,20.12,18.09,16.69,15.5,14.59,14.91,15.25,15.12,15.81,16.12,17.0,17.88,18.81,17.88,17.44,16.0,14.06,12.44,11.12,10.91,10.66,10.62,10.81,11.44,11.12,11.62,11.69,10.53,9.94,7.94,6.62,5.53,5.59,7.25,10.09,12.5,15.12,16.81,17.66,17.56,17.69,17.62,17.0,16.38,15.62,13.88,12.22,10.97,10.25,9.56,8.81,8.03,7.19,5.66,5.06,4.16,4.28,4.31,4.56,5.16,5.19,5.25,5.06,4.5,4.94,4.78,4.0,3.56,2.94,1.66,0.38,-1.34,-1.81,-3.16,-3.88,-4.12,-3.72,-3.44,-2.19,-0.81,-0.78,-0.81,-0.88,-1.78,-1.91,-0.97,-1.19,-0.78,-0.5,-1.22,-1.69,-1.81,-1.69,-1.38,-0.28,0.53,0.19,0.28,-1.22,-2.94,-3.72,-5.09,-5.06,-4.53,-3.31,-1.97,-0.59,0.72,1.91,2.94,5.16,6.44,8.31,10.06,11.06,12.47,12.41,11.94,11.81,10.25,8.72,8.38,7.81,7.53,8.59,9.31,9.47,10.22,10.78,10.0,11.25,11.03,9.72,10.25,9.91,9.0,10.0,9.25,9.97,10.5,10.28,11.0,10.94,9.28,8.19,7.0,6.09,6.12,6.03,6.44,6.62,6.75,6.22,6.12,6.44,6.5,7.31,7.19,7.97,8.41,7.78,7.44,5.94,4.78,3.5,1.81,1.41,1.25,1.41,1.47,1.34,0.91,1.19,0.75,-0.03,0.5,-0.12,-0.09,0.5,1.5,3.16,5.28,7.44,7.94,7.56,6.62,4.28,3.78,1.34,0.06,-1.09,-2.53,-2.41,-1.06,1.62,6.81,12.53,18.47,21.97,24.41,24.66,23.28,21.19,19.56,18.25,16.56,14.72,13.16,11.47,9.69,8.28,6.84,2.06,-0.56,-1.91,-4.28,-5.0,-4.91,-4.03,-2.53,0.31,0.56,1.44,1.69,0.91,0.38,-1.03,-2.91,-5.19,-8.72,-11.59,-13.34,-14.59,-14.41,-14.16,-14.97,-14.34,-13.5,-12.59,-10.59,-8.72,-5.47:positivity
79.81,79.12,79.38,79.06,80.41,81.94,83.44,86.06,87.03,88.88,89.25,90.53,92.25,93.88,96.5,97.53,99.0,99.44,98.38,97.66,95.78,92.91,90.19,87.0,84.56,82.47,80.69,78.0,78.0,77.41,78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38:83.44,86.06,87.03,88.88,89.25,90.53,92.25,93.88,96.5,97.53,99.0,99.44,98.38,97.66,95.78,92.91,90.19,87.0,84.56,82.47,80.69,78.0,78.0,77.41,78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38,26.16,26.22,26.53,26.62,27.97,29.47:92.25,93.88,96.5,97.53,99.0,99.44,98.38,97.66,95.78,92.91,90.19,87.0,84.56,82.47,80.69,78.0,78.0,77.41,78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38,26.16,26.22,26.53,26.62,27.97,29.47,30.75,32.38,33.16,33.69,34.78,34.72:98.38,97.66,95.78,92.91,90.19,87.0,84.56,82.47,80.69,78.0,78.0,77.41,78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38,26.16,26.22,26.53,26.62,27.97,29.47,30.75,32.38,33.16,33.69,34.78,34.72,35.56,37.06,39.5,41.25,43.12,43.69:84.56,82.47,80.69,78.0,78.0,77.41,78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38,26.16,26.22,26.53,26.62,27.97,29.47,30.75,32.38,33.16,33.69,34.78,34.72,35.56,37.06,39.5,41.25,43.12,43.69,43.88,42.69,40.81,37.5,34.94,31.31:78.34,79.69,81.62,83.88,85.94,87.31,90.12,92.5,94.0,94.19,95.5,93.88,92.91,92.12,91.31,91.53,92.12,93.0,93.78,94.62,95.0,94.59,93.56,91.84,90.19,87.28,85.31,82.56,81.22,80.06,78.69,78.19,77.0,76.69,75.53,75.44,75.03,74.56,75.22,75.56,76.62,76.69,77.66,76.44,76.03,75.72,75.12,75.81,76.12,77.12,77.91,79.97,81.53,83.5,84.59,85.91,86.88,85.72,86.44,87.19,87.44,87.5,88.94,89.69,90.16,90.88,91.88,92.12,92.38,91.44,90.53,89.12,87.62,86.69,85.19,84.75,84.59,82.78,81.06,81.31,80.81,80.97,82.41,83.88,84.75,85.12,85.22,85.12,85.19,85.28,85.38,86.69,87.34,86.28,86.66,85.97,84.56,83.25,82.0,81.19,80.72,81.94,81.66,83.66,83.56,83.25,83.5,82.19,81.97,82.56,82.44,83.38,84.19,85.44,86.88,87.5,87.94,87.66,87.94,87.84,87.06,86.81,86.19,84.81,84.19,83.31,82.5,83.53,82.34,81.44,81.69,80.56,79.25,77.84,79.16,77.78,77.81,78.62,79.25,77.72,76.22,74.56,71.75,69.22,66.5,64.5,60.81,58.56,56.25,54.25,53.75,52.56,48.59,48.38,45.94,45.25,45.97,47.56,50.72,52.06,52.88,53.16,50.88,51.0,50.62,52.25,55.44,59.16,64.69,66.44,67.66,66.31,63.56,60.66,55.28,51.5,50.62,45.62,45.56,44.16,45.62,46.31,47.41,49.5,51.06,53.31,54.72,56.22,57.12,57.12,55.88,53.31,51.56,49.06,48.88,48.56,49.44,50.19,51.56,51.53,51.88,51.38,51.34,49.19,48.0,46.44,44.47,44.88,44.19,44.56,44.56,43.28,43.38,42.5,41.38,41.31,42.44,43.12,43.78,45.72,46.44,45.88,45.78,45.44,44.5,43.25,43.25,43.88,45.69,47.97,50.19,52.28,53.53,52.62,53.44,52.44,51.44,50.97,49.44,49.19,48.31,48.47,48.22,48.66,48.81,49.94,50.56,50.19,50.66,49.75,49.25,48.0,47.97,46.41,46.69,46.91,46.75,48.78,47.62,48.66,49.47,50.03,51.69,53.41,54.34,53.44,53.41,52.66,52.31,52.69,54.5,55.75,56.25,57.06,57.56,57.53,56.5,56.34,55.0,52.94,50.41,48.44,46.16,45.34,44.0,43.81,45.12,45.72,46.28,47.31,49.59,49.69,51.41,53.31,56.31,58.28,60.0,61.31,60.81,59.69,56.72,53.5,50.44,46.25,42.31,39.69,37.38,36.69,37.0,38.0,40.0,41.69,43.28,43.97,44.22,44.16,43.44,44.0,43.34,42.81,41.19,38.91,37.03,35.25,34.22,35.31,36.41,38.28,40.5,41.19,42.66,43.38,43.84,44.56,44.97,45.5,46.78,48.56,49.56,51.06,52.38,53.09,54.41,55.69,56.5,57.69,58.16,59.16,59.88,60.16,61.34,62.0,61.91,61.12,60.66,59.47,57.56,56.62,54.81,53.56,52.41,51.12,49.5,50.38,50.5,51.53,52.69,53.56,54.56,55.16,54.78,56.31,56.69,57.25,57.97,57.38,57.69,56.09,55.31,53.69,50.62,48.31,47.0,45.56,45.94,46.69,47.94,48.44,49.41,50.0,50.0,50.88,52.72,54.25,54.81,55.56,55.06,53.44,54.0,53.91,54.81,56.16,58.19,60.62,63.12,67.78,71.75,74.78,77.78,78.81,77.62,75.44,72.5,68.88,66.38,63.44,61.38,59.53,58.91,56.56,55.31,54.16,53.69,53.56,53.25,55.0,55.0,55.16,56.03,56.31,56.12,55.41,55.12,53.12,50.12,47.34,45.81,44.19,44.19,44.88,46.0,47.06,47.84,48.59,48.16,48.31,47.38,46.16,45.94,46.91,48.22,49.91,51.91,54.16,54.94,57.0,57.25,58.12,58.09,57.44,55.06,53.12,51.34,50.0,50.56,52.19,55.47,57.09,58.69,59.56,60.25,59.5,58.88,58.22,58.16,57.69,57.06,58.19,58.81,58.56,58.56,58.31,57.94,56.66,54.56,54.19,52.44,50.38,49.25,48.31,46.28,45.78,44.56,43.69,43.94,44.31,44.5,44.06,43.97,42.84,40.88,39.62,38.53,38.03,38.41,39.06,39.81,41.84,43.0,44.75,46.66,47.88,48.56,48.19,47.69,47.69,46.22,46.16,45.44,43.66,42.12,39.81,38.38,37.88,37.25,38.0,39.91,41.91,45.06,48.19,51.38,54.06,55.16,55.31,54.62,53.28,50.28,48.31,47.28,44.31,43.0,42.75,42.88,43.78,45.66,48.44,50.25,52.59,54.28,55.0,55.41,54.72,54.12,53.12,51.69,50.5,49.0,48.22,46.84,46.16,47.44,47.12,47.94,48.69,50.19,51.22,53.94,56.38,58.62,60.19,59.62,57.78,55.31,51.5,48.03,44.31,41.16,39.22,38.78,38.31,40.31,41.81,43.91,46.53,48.0,50.44,51.5,52.69,54.47,54.5,55.31,54.06,53.25,51.56,51.06,49.75,48.5,47.28,45.91,44.97,45.5,47.06,48.81,51.81,53.25,55.5,57.62,58.69,60.81,61.31,62.31,61.94,61.81,59.81,59.34,57.44,56.97,57.31,59.56,61.5,63.69,65.03,64.94,64.88,63.78,63.62,62.03,61.31,59.88,58.38,57.03,56.75,56.44,56.62,57.06,58.38,60.53,62.81,67.34,71.12,72.0,72.94,71.66,68.34,64.84,62.56,60.41,59.22,57.75,57.88,57.06,56.69,57.62,56.88,57.75,58.53,58.88,59.5,61.31,62.03,63.5,65.0,64.53,65.31,64.88,64.94,65.81,66.31,67.81,69.5,69.09,70.47,70.94,69.47,69.19,67.56,65.53,62.84,60.75,58.38,55.88,54.56,54.03,54.44,55.56,58.06,62.03,65.78,67.91,70.72,72.06,73.06,72.19,71.88,72.22,71.5,71.62,71.94,73.12,72.38,72.94,73.19,72.19,71.31,71.47,70.0,70.94,71.53,72.53,73.53,73.94,73.62,72.44,71.5,70.75,69.5,68.38,67.41,65.62,64.94,63.25,62.34,62.25,60.91,59.91,59.69,59.19,58.56,58.41,57.94,58.16,57.94,57.19,56.25,55.31,54.16,53.34,52.88,53.84,54.53,55.84,57.38,59.19,59.94,60.09,60.31,59.41,58.94,57.62,55.66,55.22,54.12,54.19,54.94,56.72,58.06,60.28,61.62,61.66,62.69,63.5,63.41,64.22,65.06,65.84,66.25,67.28,67.94,68.84,69.0,69.25,68.91,67.16,67.25,66.0,65.12,65.0,64.84,65.25,65.69,65.22,65.94,65.91,65.53,65.44,65.12,64.31,63.44,64.06,63.94,64.78,66.25,66.91,67.06,65.75,63.03,60.81,58.03,55.62,54.97,54.06,54.19,54.44,54.53,55.69,56.75,58.0,58.88,59.62,59.81,59.69,60.59,59.94,60.44,60.41,59.19,58.84,59.31,59.16,59.59,60.44,60.75,60.5,60.53,59.97,60.62,60.56,61.56,62.66,64.12,64.81,66.03,67.19,67.25,66.69,65.88,64.81,63.22,61.75,61.56,60.31,59.66,59.84,60.06,61.75,62.69,63.81,64.41,63.91,62.56,60.34,58.91,56.81,55.88,53.97,54.38,54.81,55.38,56.34,57.0,56.94,57.78,56.56,56.41,55.0,54.38,26.16,26.22,26.53,26.62,27.97,29.47,30.75,32.38,33.16,33.69,34.78,34.72,35.56,37.06,39.5,41.25,43.12,43.69,43.88,42.69,40.81,37.5,34.94,31.31,27.94,24.62,21.72,19.03,17.66,16.97:positivity
69.12,66.81,65.47,63.66,64.94,66.12,67.09,69.84,71.59,73.75,74.91,75.81,76.34,76.84,75.59,76.66,75.91,76.06,76.28,76.38,76.12,75.66,75.44,74.53,74.38,74.44,75.62,75.72,76.69,76.31,77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28:67.09,69.84,71.59,73.75,74.91,75.81,76.34,76.84,75.59,76.66,75.91,76.06,76.28,76.38,76.12,75.66,75.44,74.53,74.38,74.44,75.62,75.72,76.69,76.31,77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28,11.81,10.31,9.31,8.66,10.03,10.91:76.34,76.84,75.59,76.66,75.91,76.06,76.28,76.38,76.12,75.66,75.44,74.53,74.38,74.44,75.62,75.72,76.69,76.31,77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28,11.81,10.31,9.31,8.66,10.03,10.91,12.47,14.06,16.19,17.25,18.41,18.31:76.28,76.38,76.12,75.66,75.44,74.53,74.38,74.44,75.62,75.72,76.69,76.31,77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28,11.81,10.31,9.31,8.66,10.03,10.91,12.47,14.06,16.19,17.25,18.41,18.31,19.62,19.0,18.5,19.78,18.91,19.66:74.38,74.44,75.62,75.72,76.69,76.31,77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28,11.81,10.31,9.31,8.66,10.03,10.91,12.47,14.06,16.19,17.25,18.41,18.31,19.62,19.0,18.5,19.78,18.91,19.66,20.09,20.09,20.31,20.0,19.47,19.62:77.75,78.84,79.12,80.66,81.69,81.66,81.81,81.81,83.5,84.81,85.28,86.06,85.12,83.62,81.94,81.06,80.75,80.41,81.47,82.19,81.91,83.03,82.12,82.03,82.16,81.72,81.44,80.25,79.75,79.06,77.53,78.75,79.44,81.69,81.94,82.25,81.0,78.72,75.62,73.41,71.25,70.19,69.0,67.94,66.25,64.31,61.81,61.38,61.59,63.62,66.62,70.16,72.56,73.94,74.81,75.44,75.81,75.12,75.53,75.69,74.69,74.72,76.34,77.16,80.44,81.56,84.28,86.06,85.69,85.69,82.44,79.72,77.0,73.81,70.88,70.0,69.0,66.31,64.81,62.41,59.34,57.69,55.75,55.47,55.91,57.56,58.03,60.28,63.59,64.28,66.44,67.81,68.0,67.34,65.88,65.22,63.25,61.19,59.38,58.31,57.56,57.19,57.84,59.31,58.81,59.94,58.78,57.72,57.16,56.69,55.97,55.38,55.44,55.78,53.66,53.38,51.66,50.81,50.31,50.53,51.38,53.47,55.34,56.44,57.16,57.56,57.5,55.69,55.41,54.59,53.94,52.0,52.69,51.72,50.28,50.91,50.62,49.25,49.97,50.19,50.25,51.53,52.34,53.44,54.31,53.38,52.66,50.69,47.56,44.66,42.09,39.88,38.09,38.0,38.38,39.16,41.38,41.97,42.31,43.5,43.0,42.47,40.78,39.66,37.47,37.0,35.69,35.78,36.0,35.69,35.28,34.56,31.03,30.56,29.34,28.41,28.59,31.22,32.91,35.28,36.78,39.56,41.56,42.53,43.38,44.84,44.81,46.53,48.03,50.94,54.25,57.06,58.88,59.62,57.69,55.41,52.28,49.94,48.19,46.56,46.38,44.28,42.03,40.0,37.38,36.38,36.47,37.12,39.69,42.41,44.78,47.88,50.28,49.81,50.69,48.06,45.75,43.91,42.09,40.25,38.97,37.31,36.0,33.47,33.44,33.31,34.31,35.34,38.0,40.59,42.59,42.88,45.16,45.5,44.84,44.31,45.03,43.84,44.31,44.06,44.31,45.31,44.94,46.78,47.66,49.41,51.75,53.69,55.16,56.12,55.94,56.72,56.09,55.97,56.62,56.84,56.38,56.41,56.66,56.03,55.88,56.66,57.41,57.75,57.84,57.53,57.41,56.88,56.62,56.38,56.09,55.06,54.69,53.28,52.06,50.75,49.75,49.97,49.28,50.16,51.81,53.25,55.0,56.91,57.41,57.12,56.0,54.41,52.72,50.91,50.41,49.72,49.41,50.62,50.34,51.16,51.25,51.38,51.16,51.16,50.0,49.69,49.03,49.28,49.16,49.81,49.62,50.06,49.62,49.03,48.5,48.81,49.31,49.28,50.31,51.12,51.03,51.22,52.0,51.69,51.31,51.19,50.56,50.06,50.03,50.56,51.62,52.62,52.69,52.94,53.88,54.47,55.25,55.72,57.03,56.38,56.5,57.47,57.25,57.66,59.31,59.28,59.34,59.59,59.5,58.72,58.12,57.72,57.03,56.25,54.28,54.28,53.44,52.44,53.06,53.91,55.91,57.0,58.19,60.19,60.34,59.12,58.22,56.03,54.19,52.66,52.19,51.88,53.66,54.03,54.88,55.78,56.0,55.69,54.56,53.66,51.44,50.31,49.41,47.56,47.47,45.78,44.81,45.44,46.0,46.62,47.78,48.22,47.25,47.44,46.88,45.72,44.94,44.31,43.75,41.84,40.94,40.41,39.56,39.97,40.41,40.69,41.41,41.44,41.19,41.75,41.78,42.16,41.88,40.56,41.31,40.75,41.22,41.59,42.0,41.53,41.34,40.38,41.56,41.47,41.62,42.34,42.56,41.81,41.31,39.56,39.38,37.94,37.0,37.44,38.34,38.78,38.31,38.28,37.5,36.03,35.81,35.22,35.22,35.69,36.28,36.91,37.28,37.84,37.16,35.75,35.12,33.31,33.88,34.81,37.12,40.94,45.59,50.69,55.12,57.62,59.28,57.62,54.25,48.78,43.34,37.69,35.03,33.34,33.62,35.31,37.12,39.53,39.94,41.44,42.25,42.44,42.0,41.91,41.41,40.38,39.62,38.28,37.97,38.16,39.0,40.44,41.88,43.69,45.38,46.84,47.88,49.09,49.88,50.16,49.28,47.75,46.78,45.59,45.0,46.84,47.53,49.53,50.91,52.56,53.44,55.03,55.31,55.16,54.97,53.72,50.91,48.44,45.78,43.22,40.19,41.25,42.28,44.0,46.81,48.84,49.84,49.72,47.31,46.81,45.12,44.53,43.75,44.69,44.91,44.78,44.81,45.62,46.09,46.81,47.19,49.81,51.41,53.72,55.12,56.06,55.66,54.75,53.38,52.78,50.97,49.94,47.53,46.03,43.59,42.56,41.12,41.31,42.19,41.97,42.12,43.5,43.31,45.81,45.88,46.38,47.19,48.28,48.16,49.09,50.34,50.41,50.22,49.81,49.19,49.06,48.91,47.81,47.06,47.75,47.16,48.66,49.69,50.78,51.53,51.34,51.72,53.41,54.0,56.12,57.56,59.19,58.91,58.59,57.78,56.59,55.94,55.5,54.25,54.19,53.75,53.19,52.97,53.97,54.78,55.31,56.28,57.0,57.38,58.16,58.47,59.41,59.31,59.88,59.06,58.69,58.84,59.53,60.16,60.84,62.19,63.28,62.88,62.91,62.75,60.91,60.62,59.28,59.0,58.5,58.44,57.97,57.16,57.19,56.91,56.81,57.53,57.31,57.44,56.5,54.88,52.28,50.81,49.31,48.5,49.75,51.0,52.62,54.97,55.44,56.22,56.53,56.38,56.78,56.0,55.66,55.56,54.5,54.5,54.06,54.0,54.12,53.69,53.25,53.44,52.44,52.12,51.56,51.44,51.16,51.09,51.75,51.75,52.91,53.31,54.97,55.81,56.5,56.94,57.56,57.19,56.94,56.44,56.59,55.59,53.94,53.62,52.78,51.06,48.75,48.06,46.47,45.03,45.25,45.44,46.91,47.41,48.62,48.91,50.31,51.19,51.03,51.16,51.25,49.75,48.91,48.53,48.94,48.16,49.69,50.22,50.0,51.31,51.41,51.88,53.03,52.81,54.0,53.53,54.38,55.44,56.25,59.12,61.38,64.81,69.0,70.62,71.66,70.72,68.09,63.5,59.69,56.44,53.62,51.88,51.94,51.03,50.88,51.34,51.38,51.34,51.56,51.19,51.78,49.94,49.44,47.72,45.62,45.41,45.84,46.62,49.03,50.75,52.56,54.5,55.91,56.22,56.81,55.31,55.0,53.12,52.72,51.53,51.09,50.5,49.28,48.53,48.47,47.75,48.97,49.97,51.84,54.06,56.06,57.56,59.06,60.34,61.06,62.31,62.78,62.91,63.09,62.84,62.53,61.69,60.75,59.94,58.19,57.03,55.06,53.19,52.53,51.69,51.28,51.03,51.25,50.0,48.44,47.75,47.19,47.06,47.62,47.28,47.25,46.56,46.53,46.5,46.94,49.03,51.06,52.59,54.28,55.03,54.5,54.47,52.97,50.66,50.72,49.56,49.56,50.44,51.19,52.5,54.16,55.66,58.59,60.47,62.09,63.81,63.0,62.69,61.44,59.94,58.34,55.91,54.5,51.62,49.06,48.34,47.53,47.72,46.94,47.06,46.56,46.19,45.44,45.94,45.91,47.09,48.72,50.16,52.75,54.38,53.88,54.19,52.19,51.41,48.19,46.16,43.34,40.28,35.91,32.62,28.25,23.84,19.03,14.28,10.69,7.25,5.25,4.53,5.03,6.56,8.16,10.25,10.28,11.81,10.31,9.31,8.66,10.03,10.91,12.47,14.06,16.19,17.25,18.41,18.31,19.62,19.0,18.5,19.78,18.91,19.66,20.09,20.09,20.31,20.0,19.47,19.62,19.5,20.5,20.5,21.41,21.16,20.44:positivity
69.97,69.66,70.62,70.03,69.94,70.25,70.56,71.06,71.81,72.72,74.28,74.72,75.78,77.16,77.34,77.38,76.69,75.84,75.41,75.03,73.88,75.25,74.81,74.0,74.16,74.12,73.78,74.81,74.75,75.19,75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66:70.56,71.06,71.81,72.72,74.28,74.72,75.78,77.16,77.34,77.38,76.69,75.84,75.41,75.03,73.88,75.25,74.81,74.0,74.16,74.12,73.78,74.81,74.75,75.19,75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66,-0.34,-0.44,0.22,0.47,0.78,0.66:75.78,77.16,77.34,77.38,76.69,75.84,75.41,75.03,73.88,75.25,74.81,74.0,74.16,74.12,73.78,74.81,74.75,75.19,75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66,-0.34,-0.44,0.22,0.47,0.78,0.66,1.25,1.91,2.69,3.34,4.38,5.03:75.41,75.03,73.88,75.25,74.81,74.0,74.16,74.12,73.78,74.81,74.75,75.19,75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66,-0.34,-0.44,0.22,0.47,0.78,0.66,1.25,1.91,2.69,3.34,4.38,5.03,5.16,4.91,4.59,4.06,3.41,2.41:74.16,74.12,73.78,74.81,74.75,75.19,75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66,-0.34,-0.44,0.22,0.47,0.78,0.66,1.25,1.91,2.69,3.34,4.38,5.03,5.16,4.91,4.59,4.06,3.41,2.41,1.22,1.31,1.56,2.0,2.91,3.0:75.53,75.91,74.5,75.34,75.06,74.16,73.16,71.28,70.16,68.25,66.62,67.25,68.12,69.84,73.03,76.16,78.72,81.09,81.66,81.91,80.78,79.06,75.19,72.78,69.31,66.34,65.44,64.56,65.09,66.0,67.91,69.53,71.84,72.59,74.38,74.38,72.91,71.88,68.91,66.38,63.75,60.31,58.16,56.19,54.28,53.38,54.41,55.31,55.59,57.69,58.12,58.38,59.25,59.69,61.25,63.69,65.44,69.41,73.22,77.91,80.91,83.03,83.19,81.94,78.5,76.69,74.16,74.25,72.72,72.88,72.81,72.25,71.81,71.16,69.81,68.62,67.34,66.72,64.97,64.5,63.16,62.62,62.12,62.69,63.06,63.66,63.81,63.44,62.72,61.78,59.12,57.59,55.06,53.66,52.41,52.25,52.62,52.19,52.28,53.06,53.66,55.12,57.41,60.78,63.19,66.06,68.19,69.94,71.0,72.19,72.34,73.25,74.12,74.0,75.28,76.72,78.66,81.12,84.66,87.62,90.69,93.44,93.91,95.28,95.31,95.31,95.19,94.5,93.81,92.38,90.81,88.91,87.09,85.41,83.84,81.81,80.62,79.0,77.16,75.94,74.72,73.44,71.91,71.22,69.56,69.25,68.78,67.97,66.25,65.28,63.25,62.06,61.06,60.25,59.84,58.88,58.0,56.72,55.34,54.47,55.69,56.0,57.88,59.78,62.03,63.56,64.81,65.19,66.22,66.25,66.94,66.31,66.62,65.28,64.84,64.34,63.62,63.12,63.53,64.28,63.94,64.28,64.47,64.12,63.88,63.28,63.19,62.06,61.91,61.81,60.88,60.75,62.19,62.72,62.91,64.75,66.16,66.91,68.66,71.19,72.31,75.16,76.22,76.41,77.25,75.88,75.19,74.34,72.91,72.12,70.56,70.06,69.25,69.31,69.78,70.59,70.59,71.12,71.97,72.06,71.44,72.41,72.16,72.12,73.19,73.91,73.06,73.09,71.94,70.34,70.06,69.62,68.75,67.84,66.78,65.09,63.72,63.34,63.06,62.56,62.31,62.59,63.16,64.41,64.41,65.22,66.5,66.31,67.94,68.16,68.5,68.0,68.25,68.03,68.75,69.97,70.75,71.06,69.97,67.34,64.0,62.06,57.97,54.56,52.66,49.56,48.03,46.0,45.12,43.84,43.16,42.0,42.88,42.94,46.56,47.5,49.69,51.78,52.56,52.31,53.5,53.91,55.03,57.28,58.81,60.12,61.06,60.53,59.38,59.28,59.41,60.31,62.59,65.88,70.28,74.53,78.25,81.34,82.78,81.53,78.59,75.0,72.62,69.09,66.94,65.28,64.44,64.0,64.5,64.56,66.62,66.5,65.81,65.31,63.44,61.34,59.84,56.91,54.72,52.91,51.94,51.0,50.97,51.69,52.31,52.94,53.72,54.0,53.53,52.81,51.88,49.81,49.09,47.16,45.94,45.12,43.41,42.72,42.66,43.12,43.84,45.88,47.56,49.91,53.56,55.56,58.31,60.34,61.22,60.91,60.94,59.91,59.31,58.66,58.16,57.78,58.28,58.94,59.66,61.72,62.28,63.56,64.31,65.03,64.81,65.59,65.53,64.28,62.66,63.19,62.06,61.84,62.31,61.81,61.25,61.12,59.81,60.25,60.12,60.06,59.28,59.72,58.94,60.19,61.41,63.19,64.41,65.53,66.25,65.94,64.12,62.34,58.28,55.06,51.19,48.84,46.16,44.75,45.38,44.97,45.34,46.19,47.38,47.5,48.31,49.34,49.56,50.03,49.5,48.91,48.06,47.16,47.12,47.5,47.66,48.72,48.62,49.69,49.97,48.94,49.16,48.88,48.97,49.94,52.03,54.19,56.06,57.34,57.5,56.41,55.28,54.5,53.03,52.44,51.0,51.38,51.12,51.72,53.06,54.69,55.19,56.16,57.0,56.88,55.25,54.88,54.62,53.41,54.56,55.06,56.41,57.97,59.28,60.38,60.47,60.16,58.94,56.56,54.78,54.31,53.25,54.47,55.66,57.31,59.16,61.28,63.38,65.53,67.28,69.0,70.03,70.19,70.53,69.19,67.94,67.06,64.59,62.5,60.69,57.81,54.66,54.38,53.75,54.31,56.78,59.09,60.19,60.62,60.34,58.44,57.41,56.31,56.16,55.69,55.62,56.03,55.47,55.88,56.53,58.31,58.84,60.41,61.34,62.19,61.56,61.62,60.62,59.09,58.66,57.19,56.44,56.69,55.91,57.56,58.31,59.06,60.03,60.66,60.84,61.66,62.91,64.16,65.28,68.69,69.06,71.28,71.56,71.5,71.34,71.19,70.12,71.19,70.0,70.78,70.91,71.78,72.62,74.25,76.5,79.16,81.81,84.31,83.94,83.03,78.75,72.69,66.75,61.81,59.41,58.22,58.66,60.38,62.12,63.78,64.62,64.81,64.69,62.78,61.62,60.66,59.38,58.06,57.88,56.44,55.0,54.56,53.84,52.81,52.78,53.16,53.56,55.69,57.5,58.78,60.88,61.31,62.31,62.53,63.62,63.66,63.44,63.88,63.31,63.56,64.47,65.06,65.88,66.69,66.53,66.44,66.09,65.41,64.12,62.81,63.12,63.16,63.75,65.03,66.0,66.72,66.75,66.12,65.12,64.44,63.41,63.16,63.09,64.69,65.12,65.94,67.31,68.19,68.69,70.19,71.78,73.16,73.22,73.81,73.09,72.0,70.69,69.38,68.47,67.5,66.69,66.41,66.06,65.53,64.38,63.56,62.72,61.31,60.88,58.97,59.16,58.31,58.56,57.88,58.03,58.0,57.28,57.75,57.62,56.66,56.84,56.34,56.06,55.78,54.44,52.78,51.72,50.38,49.38,49.0,49.16,49.75,49.69,50.16,51.69,52.03,53.06,54.31,55.75,57.34,59.56,61.5,61.81,62.94,63.0,62.31,61.97,62.16,61.81,62.44,63.09,63.47,63.94,64.62,64.56,63.78,64.94,65.19,66.84,67.97,69.25,70.38,69.91,70.09,68.88,68.62,67.28,65.59,65.31,63.81,63.56,62.97,62.31,62.53,62.62,62.94,62.94,62.44,61.94,61.28,59.06,57.78,55.69,54.0,51.69,51.12,50.84,51.66,53.34,55.31,56.5,58.53,59.62,60.25,60.78,60.75,60.59,60.0,59.03,58.34,56.25,53.81,52.0,50.94,50.31,50.16,51.38,52.03,52.72,53.16,53.69,53.72,53.56,53.12,52.62,52.44,51.44,52.78,53.28,54.44,56.34,57.62,59.12,60.5,61.0,60.88,61.03,60.88,59.41,59.91,58.66,59.03,58.62,58.88,59.56,58.81,58.19,57.12,55.41,54.12,53.06,52.12,52.34,51.28,51.16,50.44,49.91,49.38,49.81,50.41,50.5,51.34,51.66,52.03,50.81,50.66,49.91,49.88,51.12,51.41,53.56,55.19,55.31,54.47,55.31,54.59,54.31,54.62,55.5,57.19,58.88,62.28,65.03,66.59,66.66,65.34,62.44,58.28,54.31,51.69,48.94,47.66,49.0,49.69,50.81,52.78,55.12,56.22,57.62,58.28,58.25,57.09,55.16,53.72,51.41,49.88,49.25,49.88,50.25,52.47,54.34,55.47,56.19,57.44,57.53,56.81,56.84,56.16,55.44,54.84,54.06,53.44,51.81,52.0,51.84,52.28,54.19,55.66,57.78,59.28,60.5,62.09,63.59,64.06,64.38,64.94,65.66,65.75,66.12,66.16,66.44,66.41,66.53,65.91,66.5,66.69,66.16,66.38,66.44,66.41,66.69,65.66,-0.34,-0.44,0.22,0.47,0.78,0.66,1.25,1.91,2.69,3.34,4.38,5.03,5.16,4.91,4.59,4.06,3.41,2.41,1.22,1.31,1.56,2.0,2.91,3.0,3.16,3.59,3.91,4.06,5.25,5.19:positivity
38.94,39.31,37.31,34.06,30.0,24.91,20.53,17.28,14.81,12.78,13.72,16.38,17.81,20.94,23.19,24.88,25.06,27.5,28.06,26.53,28.16,25.97,25.03,25.56,24.72,26.0,26.31,26.97,26.94,26.41,25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41:20.53,17.28,14.81,12.78,13.72,16.38,17.81,20.94,23.19,24.88,25.06,27.5,28.06,26.53,28.16,25.97,25.03,25.56,24.72,26.0,26.31,26.97,26.94,26.41,25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41,-28.84,-28.09,-29.38,-32.28,-37.09,-41.44:17.81,20.94,23.19,24.88,25.06,27.5,28.06,26.53,28.16,25.97,25.03,25.56,24.72,26.0,26.31,26.97,26.94,26.41,25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41,-28.84,-28.09,-29.38,-32.28,-37.09,-41.44,-44.06,-46.44,-48.66,-48.44,-48.66,-48.09:28.06,26.53,28.16,25.97,25.03,25.56,24.72,26.0,26.31,26.97,26.94,26.41,25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41,-28.84,-28.09,-29.38,-32.28,-37.09,-41.44,-44.06,-46.44,-48.66,-48.44,-48.66,-48.09,-47.53,-44.66,-41.94,-38.41,-35.59,-34.53:24.72,26.0,26.31,26.97,26.94,26.41,25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41,-28.84,-28.09,-29.38,-32.28,-37.09,-41.44,-44.06,-46.44,-48.66,-48.44,-48.66,-48.09,-47.53,-44.66,-41.94,-38.41,-35.59,-34.53,-33.59,-35.25,-36.59,-36.47,-38.03,-38.72:25.16,23.06,22.28,20.31,19.25,17.19,16.16,16.28,14.44,15.28,15.94,14.94,15.22,14.31,12.88,11.88,9.28,7.12,6.09,3.78,0.31,2.03,0.53,2.41,2.25,4.41,4.66,5.25,4.53,4.75,2.94,2.12,-1.19,-1.28,-2.84,-3.44,-3.66,-1.69,-0.34,1.25,2.81,2.69,1.78,1.09,-0.09,2.0,1.34,2.16,4.06,3.69,3.22,2.41,1.31,1.19,-0.62,0.28,1.81,4.28,7.94,13.19,14.56,15.66,15.19,14.19,11.59,10.44,9.0,5.69,1.19,0.62,-2.81,-3.22,-2.38,-0.97,-2.69,-2.34,-2.16,-1.88,-2.75,-2.91,-2.44,-5.16,-4.19,-4.0,-2.47,-0.56,0.62,1.84,1.84,-0.34,-1.72,-4.34,-8.59,-12.59,-19.22,-22.84,-27.28,-30.97,-31.09,-29.69,-29.22,-27.56,-26.78,-25.66,-23.28,-22.16,-22.81,-23.97,-28.03,-28.0,-28.62,-26.59,-21.38,-15.44,-11.09,-7.34,-4.53,-5.09,-5.84,-9.09,-13.53,-14.97,-16.19,-16.53,-17.59,-15.09,-16.34,-16.66,-18.31,-18.75,-19.59,-21.94,-22.66,-25.19,-25.34,-24.78,-24.47,-24.53,-20.47,-20.19,-15.84,-13.72,-11.53,-11.0,-12.81,-16.06,-20.16,-24.09,-25.84,-27.38,-28.66,-28.56,-26.97,-25.59,-25.19,-22.09,-22.28,-21.28,-24.12,-22.97,-24.59,-24.59,-22.59,-22.09,-20.66,-20.75,-20.84,-21.72,-23.94,-24.75,-22.78,-22.88,-19.41,-15.81,-12.03,-10.72,-5.91,-3.03,-1.53,-0.72,-1.03,-4.41,-8.22,-13.28,-16.69,-21.38,-23.66,-26.09,-25.09,-25.41,-24.5,-23.22,-20.72,-21.28,-18.94,-19.44,-20.25,-21.47,-19.38,-22.22,-20.53,-19.59,-17.56,-17.09,-14.53,-13.22,-14.5,-13.34,-14.91,-17.06,-21.06,-25.28,-26.41,-28.97,-29.31,-27.34,-26.22,-24.44,-24.16,-21.69,-19.38,-16.84,-13.47,-9.78,-9.22,-10.09,-11.03,-12.28,-17.03,-16.84,-18.56,-21.09,-21.66,-21.34,-21.34,-21.62,-20.53,-20.22,-18.34,-18.72,-17.81,-14.75,-13.59,-14.59,-14.78,-17.62,-20.44,-21.28,-21.25,-19.38,-17.44,-17.72,-16.81,-17.97,-20.69,-18.41,-18.34,-17.94,-16.34,-15.44,-15.59,-16.06,-17.78,-16.59,-18.53,-22.03,-20.81,-23.97,-23.84,-22.41,-22.47,-21.16,-21.97,-20.91,-21.09,-21.38,-19.22,-18.59,-17.88,-16.81,-17.22,-16.09,-16.38,-14.69,-14.09,-15.44,-13.88,-15.22,-16.72,-16.44,-17.12,-18.03,-19.38,-18.84,-21.66,-18.75,-18.03,-16.06,-13.19,-13.38,-13.66,-15.34,-16.5,-19.59,-20.91,-19.03,-20.53,-21.28,-19.09,-18.44,-16.84,-17.53,-16.34,-16.16,-17.59,-18.03,-19.47,-19.0,-19.34,-17.5,-15.69,-13.66,-11.41,-10.09,-11.59,-9.72,-12.09,-11.41,-11.59,-13.06,-12.16,-10.72,-13.56,-10.97,-11.75,-12.0,-11.78,-12.34,-13.47,-14.22,-16.16,-19.03,-18.53,-19.5,-19.0,-18.94,-15.84,-15.69,-12.47,-11.97,-10.69,-10.16,-11.94,-13.91,-15.94,-17.47,-17.72,-17.69,-20.84,-16.31,-16.97,-16.72,-14.88,-14.56,-14.59,-16.59,-19.06,-20.09,-21.41,-22.22,-21.84,-21.31,-18.53,-17.84,-14.97,-11.31,-9.84,-6.0,-4.06,-1.09,4.22,7.34,10.69,12.16,11.81,9.78,6.31,4.5,1.91,-0.12,-2.28,-5.19,-7.28,-7.84,-11.16,-14.81,-12.34,-13.38,-11.72,-10.06,-8.47,-7.84,-9.03,-9.84,-10.78,-11.91,-12.69,-12.69,-12.72,-15.47,-14.97,-14.94,-14.28,-12.41,-11.59,-7.66,-5.66,-4.16,-3.16,-2.25,-0.5,-3.22,-2.0,-2.31,-5.41,-4.59,-6.47,-8.28,-9.81,-12.34,-14.38,-14.69,-14.97,-13.59,-11.91,-9.16,-7.34,-4.41,-2.75,-2.38,-2.28,-1.66,-0.72,2.31,4.66,7.66,9.31,9.06,8.34,4.69,-0.34,-0.31,-4.25,-5.0,-7.56,-8.16,-8.91,-11.5,-13.47,-13.97,-15.19,-16.75,-19.28,-15.16,-15.59,-13.12,-10.34,-10.06,-12.34,-14.94,-16.19,-18.03,-17.06,-15.53,-13.91,-10.97,-13.84,-10.88,-10.31,-9.53,-8.03,-7.44,-11.28,-11.53,-15.25,-17.34,-19.38,-20.53,-23.03,-22.22,-23.09,-21.41,-17.16,-12.47,-7.47,-3.09,-0.34,2.38,-0.53,-1.0,-3.81,-7.34,-10.22,-11.16,-12.06,-12.94,-11.53,-11.91,-12.34,-12.41,-13.53,-13.78,-11.84,-14.56,-9.22,-7.94,-5.44,-1.0,3.47,6.0,9.78,9.62,8.31,7.31,4.28,-0.72,-4.28,-8.84,-9.94,-12.09,-13.88,-13.28,-14.03,-17.09,-16.91,-17.88,-17.41,-16.72,-16.38,-15.34,-14.44,-13.53,-15.53,-12.72,-11.12,-10.0,-7.31,-3.66,-2.81,-3.91,-3.69,-5.66,-7.72,-11.59,-17.91,-18.72,-24.62,-25.41,-24.06,-22.59,-19.28,-15.5,-14.38,-11.03,-8.19,-5.84,-6.22,-0.97,-1.84,-2.12,-1.72,-1.47,-4.34,-5.72,-7.88,-11.44,-12.59,-13.59,-13.53,-12.59,-14.44,-11.41,-12.59,-11.03,-9.41,-5.94,-5.19,-5.09,-6.31,-6.16,-9.34,-7.66,-6.28,-5.38,-4.97,-1.72,-0.69,-0.44,1.03,1.72,2.66,2.84,3.06,2.69,1.28,-0.09,-2.88,-6.66,-6.16,-9.91,-8.06,-7.84,-6.44,-6.34,-6.03,-7.62,-7.94,-8.84,-8.22,-5.75,-4.69,-2.28,-2.41,-2.84,-1.84,-2.03,-0.97,0.12,-1.34,-2.53,-5.09,-8.09,-9.97,-10.69,-12.09,-12.19,-12.81,-13.28,-14.22,-15.78,-15.28,-12.91,-10.41,-6.56,0.94,6.69,11.97,15.88,19.12,17.94,14.62,9.75,5.34,2.81,-0.72,-1.31,-3.0,-5.59,-8.0,-9.84,-11.0,-11.06,-9.56,-10.25,-11.25,-8.97,-9.28,-8.91,-7.53,-6.69,-7.34,-8.0,-8.66,-9.28,-8.28,-5.38,-3.34,-1.69,-0.03,-1.75,-0.81,-2.84,-4.41,-5.91,-6.47,-10.03,-10.03,-11.06,-10.75,-8.88,-10.09,-11.19,-11.91,-15.53,-12.97,-12.53,-10.88,-7.06,-5.03,-2.94,-1.91,-1.53,-3.66,-4.16,-6.19,-9.5,-7.09,-6.88,-5.59,-1.09,-1.47,0.38,1.62,1.03,3.31,3.41,3.53,2.38,-0.59,-0.69,-1.78,-2.09,0.16,-0.41,0.12,-1.34,-3.5,-6.03,-8.03,-13.53,-11.47,-12.91,-13.06,-10.16,-8.59,-6.59,-5.38,-5.06,-3.19,-3.53,-3.47,-3.41,-3.19,-2.69,-4.22,-4.59,-4.53,-6.09,-3.88,-5.03,-5.84,-5.28,-7.84,-8.78,-7.44,-5.28,-3.34,-4.59,-2.22,-3.84,-4.81,-3.56,-5.59,-6.16,-5.81,-7.34,-6.09,-4.69,-3.09,1.06,0.44,5.19,5.94,6.53,9.94,9.59,8.5,9.16,6.81,7.34,5.44,4.25,0.03,-2.53,-6.47,-7.84,-7.09,-5.47,-2.72,0.0,2.31,5.41,8.81,10.41,12.91,13.03,11.5,10.69,8.31,8.56,9.72,10.56,11.81,11.0,10.75,7.62,2.81,2.91,-1.19,-1.25,-3.5,-3.5,-2.84,-1.47,0.66,5.03,8.25,9.69,9.53,8.0,7.47,5.38,6.12,5.84,5.66,5.94,5.69,3.56,2.66,3.19,0.5,1.0,3.19,0.47,4.38,4.72,4.09,3.91,0.62,-0.25,-0.97,-0.72,1.09,3.38,4.12,3.41,4.62,4.44,5.09,6.38,6.94,7.25,8.59,8.94,9.31,8.28,8.88,6.84,4.97,6.5,2.69,4.59,2.0,-0.62,-1.44,-3.41,-28.84,-28.09,-29.38,-32.28,-37.09,-41.44,-44.06,-46.44,-48.66,-48.44,-48.66,-48.09,-47.53,-44.66,-41.94,-38.41,-35.59,-34.53,-33.59,-35.25,-36.59,-36.47,-38.03,-38.72,-39.78,-41.5,-42.22,-42.41,-43.66,-42.53:positivity
35.34,35.0,33.38,32.34,30.16,27.56,24.56,20.81,17.41,13.66,10.84,10.38,11.03,11.78,13.19,16.03,18.31,21.34,25.0,27.38,28.91,30.56,29.53,29.28,26.59,23.78,20.41,15.69,11.47,7.06,2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03:24.56,20.81,17.41,13.66,10.84,10.38,11.03,11.78,13.19,16.03,18.31,21.34,25.0,27.38,28.91,30.56,29.53,29.28,26.59,23.78,20.41,15.69,11.47,7.06,2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03,-17.81,-18.62,-20.69,-22.66,-25.09,-28.62:11.03,11.78,13.19,16.03,18.31,21.34,25.0,27.38,28.91,30.56,29.53,29.28,26.59,23.78,20.41,15.69,11.47,7.06,2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03,-17.81,-18.62,-20.69,-22.66,-25.09,-28.62,-32.97,-36.47,-39.34,-42.28,-42.84,-43.16:25.0,27.38,28.91,30.56,29.53,29.28,26.59,23.78,20.41,15.69,11.47,7.06,2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03,-17.81,-18.62,-20.69,-22.66,-25.09,-28.62,-32.97,-36.47,-39.34,-42.28,-42.84,-43.16,-42.03,-40.94,-39.75,-36.66,-34.12,-30.34:26.59,23.78,20.41,15.69,11.47,7.06,2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03,-17.81,-18.62,-20.69,-22.66,-25.09,-28.62,-32.97,-36.47,-39.34,-42.28,-42.84,-43.16,-42.03,-40.94,-39.75,-36.66,-34.12,-30.34,-27.09,-25.16,-23.22,-23.09,-24.81,-27.41:2.88,1.78,2.41,5.12,9.0,15.06,20.91,26.25,31.84,37.69,41.81,43.28,43.72,41.38,37.09,30.09,25.06,19.69,14.09,10.59,8.53,6.38,5.41,7.34,10.22,12.91,17.19,20.0,23.34,25.5,27.03,26.06,25.38,23.88,20.5,19.0,18.25,17.62,16.62,17.16,16.25,16.09,15.56,16.38,17.12,18.25,18.5,18.53,17.78,16.72,15.53,14.41,13.38,11.56,10.88,11.28,11.44,11.94,13.5,14.75,14.03,13.69,13.78,13.31,12.16,12.88,11.66,11.25,10.91,11.94,13.53,14.78,15.62,17.0,15.97,15.19,13.94,12.69,10.81,10.06,10.22,10.34,9.81,10.84,10.91,11.09,10.28,10.97,10.56,9.66,10.09,9.91,8.75,9.66,10.22,10.25,12.31,14.69,16.44,18.28,19.09,19.25,18.19,14.97,12.16,8.81,6.22,3.78,3.0,2.34,3.69,4.16,4.25,4.75,4.53,3.28,1.31,-0.75,-2.88,-5.09,-6.47,-6.44,-5.84,-4.94,-3.22,-1.53,-0.56,0.12,2.06,2.34,3.75,5.66,7.5,8.5,9.91,9.56,9.66,8.75,7.47,6.38,4.28,2.88,0.59,-1.0,-1.16,-1.19,-0.19,2.44,4.09,4.81,5.88,6.16,5.5,4.81,4.75,4.81,4.5,5.03,5.84,5.88,6.16,7.38,7.44,7.31,7.44,5.88,4.94,4.12,3.06,1.78,2.19,2.16,2.84,3.81,5.06,6.91,7.0,8.25,8.53,9.22,10.03,11.44,11.44,11.94,11.41,9.97,7.62,6.03,4.41,4.03,4.97,5.06,6.59,7.44,7.31,7.5,6.88,7.19,8.81,8.75,10.31,9.62,9.62,9.66,7.75,6.62,5.25,4.03,2.81,1.19,0.03,-0.59,-1.66,-1.97,-2.53,-1.47,-1.91,-2.19,-1.09,-0.62,-0.72,-0.06,0.28,-0.03,-0.84,-0.28,-1.38,-1.94,-1.72,-1.12,-1.03,1.62,3.69,5.06,7.72,8.22,7.94,7.25,5.5,3.78,2.72,1.84,1.56,2.34,3.81,4.03,4.59,4.69,2.41,1.41,-1.41,-2.75,-2.81,-0.91,0.12,2.25,5.19,6.06,7.81,8.53,10.69,9.72,9.78,8.44,7.25,5.69,4.66,3.72,2.53,1.78,0.59,-1.84,-2.91,-4.28,-4.97,-3.66,-2.16,0.72,3.91,7.97,11.75,13.84,15.03,14.0,12.12,8.97,4.84,1.03,-1.66,-5.03,-6.75,-8.53,-9.66,-10.09,-9.28,-8.28,-6.34,-4.47,-3.34,-3.59,-2.25,-1.97,-1.75,0.53,1.94,4.0,6.47,6.84,7.78,7.59,6.28,5.94,4.56,2.84,0.66,-1.19,-2.97,-4.91,-4.41,-3.06,-1.78,-0.09,1.59,0.94,1.16,0.56,1.56,0.41,1.91,3.66,3.84,6.41,7.81,10.22,11.5,12.41,13.38,12.75,12.16,10.19,9.28,7.81,6.59,5.25,5.06,2.97,2.56,2.25,2.44,2.25,3.38,5.53,5.5,7.25,8.94,8.94,10.38,10.34,9.38,7.56,5.78,3.5,2.75,2.44,2.91,5.09,6.84,8.81,10.31,9.31,8.72,6.5,4.12,1.41,0.66,-0.75,-0.44,0.28,1.25,1.78,1.56,1.16,0.44,-0.94,-1.5,-2.97,-3.72,-4.69,-4.5,-4.09,-3.53,-1.75,-1.09,-0.81,-2.34,-2.72,-5.81,-8.59,-10.22,-12.28,-14.16,-14.09,-13.28,-11.44,-9.31,-8.59,-6.72,-6.75,-8.53,-10.66,-12.44,-15.09,-15.69,-16.16,-14.38,-12.59,-10.34,-6.03,-2.78,-0.16,3.03,4.78,5.75,7.0,7.97,8.0,8.38,6.31,7.09,5.59,5.22,5.44,5.44,4.72,4.31,3.56,2.53,1.94,1.81,2.16,1.78,2.66,2.28,2.16,1.44,0.22,-1.16,-2.84,-3.25,-3.75,-4.31,-4.03,-3.56,-3.91,-4.59,-4.31,-4.53,-5.28,-4.41,-3.91,-3.94,-3.59,-3.06,-2.84,-2.16,-1.66,-1.72,-0.47,-1.53,-2.47,-3.31,-4.44,-6.56,-5.56,-5.97,-5.91,-4.62,-3.5,-2.22,-1.38,1.75,3.25,3.22,2.19,1.78,-0.28,-2.41,-2.53,-2.22,-0.94,0.69,1.94,2.03,0.84,-1.0,-2.91,-4.19,-5.34,-6.22,-5.06,-4.03,-2.78,-1.5,-1.31,-1.34,-0.62,-2.31,-3.47,-2.5,-3.16,-3.25,-3.62,-4.16,-5.22,-7.06,-7.81,-7.81,-7.78,-7.0,-6.34,-4.66,-3.88,-3.75,-3.16,-4.06,-4.78,-5.75,-6.38,-6.44,-6.47,-5.56,-3.59,-3.44,-2.91,-2.03,-3.31,-3.59,-4.28,-4.75,-4.09,-3.91,-3.88,-4.06,-4.06,-5.28,-6.03,-7.88,-8.53,-9.84,-10.75,-11.44,-10.53,-10.38,-9.59,-8.81,-7.94,-8.03,-7.25,-7.5,-7.62,-7.81,-7.44,-6.94,-7.31,-6.91,-6.84,-7.03,-7.22,-6.09,-5.19,-3.62,-1.47,-1.47,-1.56,-1.28,-2.34,-3.78,-3.09,-3.44,-2.75,-2.59,-2.84,-3.5,-4.38,-5.16,-6.28,-6.22,-6.03,-4.0,-3.5,-2.78,-1.81,-1.28,-2.59,-2.62,-2.78,-3.06,-3.47,-3.53,-2.75,-2.0,-1.5,0.28,0.41,0.84,0.47,-1.38,-2.09,-4.09,-5.66,-7.56,-8.25,-9.22,-9.28,-9.56,-9.03,-8.84,-8.59,-8.16,-7.81,-6.22,-3.34,0.44,5.0,7.75,8.16,7.84,4.81,2.56,0.16,-0.41,-0.06,0.44,1.44,1.69,2.66,1.62,1.16,0.09,-1.09,-2.88,-4.53,-5.75,-5.75,-6.16,-6.16,-4.62,-3.94,-3.38,-2.59,-0.94,-0.59,-1.19,-2.69,-5.09,-6.69,-8.69,-10.12,-9.53,-7.41,-6.56,-5.59,-3.28,-0.91,0.72,2.78,5.38,6.62,9.0,10.0,10.53,9.69,9.69,7.47,5.62,2.75,1.25,1.28,0.19,0.59,2.34,3.16,4.97,4.31,7.19,8.5,9.16,10.34,10.91,10.91,10.94,10.5,9.72,9.84,10.09,11.03,11.62,11.44,11.91,12.5,12.81,14.31,16.12,17.28,18.25,16.41,15.75,14.25,12.12,11.44,10.69,10.28,9.53,9.66,9.16,9.19,6.5,5.88,3.38,1.78,1.16,0.38,0.84,1.59,2.19,4.19,6.81,9.03,11.84,13.53,13.94,13.5,12.19,11.16,10.41,8.72,7.47,5.44,3.16,1.66,-0.16,-0.72,0.03,0.91,2.81,5.31,6.91,10.06,10.91,11.62,11.41,10.75,8.78,7.44,6.16,4.66,4.53,3.28,2.84,1.91,0.56,-0.28,-1.72,-2.72,-2.25,-1.44,-1.0,-0.5,-0.03,-0.44,-1.12,-0.97,-0.28,-0.44,-0.03,1.38,2.53,3.69,5.44,6.5,7.09,7.31,6.53,4.5,2.38,0.12,-1.44,-1.47,-1.16,-1.06,-0.66,-0.09,-0.06,-0.03,1.0,1.91,1.47,0.97,-0.59,-1.66,-3.72,-4.16,-3.81,-4.0,-3.59,-3.97,-3.16,-2.91,-4.0,-3.38,-3.16,-4.53,-5.31,-5.72,-7.25,-8.72,-9.53,-9.78,-9.16,-8.78,-7.34,-6.44,-5.22,-3.28,-0.72,2.0,4.62,6.84,8.0,7.69,7.03,5.47,4.5,3.69,3.28,3.19,2.53,2.28,1.75,1.06,0.59,0.19,0.62,1.16,1.47,1.81,2.81,3.03,3.72,4.25,4.94,5.56,5.47,5.31,3.78,1.5,-0.09,-2.31,-2.03,-3.56,-3.09,-2.88,-3.03,-2.25,-1.12,0.03,-17.81,-18.62,-20.69,-22.66,-25.09,-28.62,-32.97,-36.47,-39.34,-42.28,-42.84,-43.16,-42.03,-40.94,-39.75,-36.66,-34.12,-30.34,-27.09,-25.16,-23.22,-23.09,-24.81,-27.41,-31.03,-35.09,-40.09,-43.03,-46.25,-49.0:positivity
34.66,33.84,33.78,33.53,33.66,33.97,33.97,33.78,34.59,35.28,34.53,34.5,34.69,33.31,31.78,32.19,30.84,29.09,28.03,27.59,25.78,24.91,24.41,22.84,21.78,21.25,19.97,20.44,20.59,22.28,23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59:33.97,33.78,34.59,35.28,34.53,34.5,34.69,33.31,31.78,32.19,30.84,29.09,28.03,27.59,25.78,24.91,24.41,22.84,21.78,21.25,19.97,20.44,20.59,22.28,23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59,-0.19,2.09,2.97,4.03,5.34,6.19:34.69,33.31,31.78,32.19,30.84,29.09,28.03,27.59,25.78,24.91,24.41,22.84,21.78,21.25,19.97,20.44,20.59,22.28,23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59,-0.19,2.09,2.97,4.03,5.34,6.19,7.19,7.66,7.84,6.88,5.44,2.88:28.03,27.59,25.78,24.91,24.41,22.84,21.78,21.25,19.97,20.44,20.59,22.28,23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59,-0.19,2.09,2.97,4.03,5.34,6.19,7.19,7.66,7.84,6.88,5.44,2.88,0.56,-2.47,-4.75,-5.31,-6.22,-5.34:21.78,21.25,19.97,20.44,20.59,22.28,23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59,-0.19,2.09,2.97,4.03,5.34,6.19,7.19,7.66,7.84,6.88,5.44,2.88,0.56,-2.47,-4.75,-5.31,-6.22,-5.34,-4.19,-4.19,-4.66,-4.66,-5.5,-6.56:23.31,25.31,27.84,29.09,30.31,32.66,33.69,35.12,36.59,36.62,36.91,36.12,35.5,35.47,35.12,35.75,34.5,34.53,34.25,34.44,35.03,36.44,37.31,39.0,39.19,38.44,37.81,35.31,34.16,31.91,31.41,30.91,29.16,28.38,27.25,24.81,25.03,24.06,22.69,22.12,21.91,19.41,18.19,17.78,16.06,14.34,13.53,12.25,11.19,11.09,12.12,14.47,17.62,20.16,22.69,24.34,26.81,26.31,26.81,26.69,25.97,24.03,23.12,21.72,19.47,18.0,15.66,13.5,12.91,12.69,13.16,15.81,16.25,18.5,19.91,22.94,24.12,25.38,26.19,26.97,26.31,24.69,24.53,22.06,20.34,19.03,18.5,18.5,18.56,18.91,19.31,18.78,19.25,20.34,21.19,22.34,23.53,25.09,24.97,24.62,23.69,22.81,20.81,17.81,15.31,13.0,10.81,10.53,10.31,12.03,13.28,15.44,16.41,17.38,18.41,19.06,20.44,21.75,23.22,23.84,24.88,24.06,24.78,24.19,23.0,22.69,20.97,20.66,19.56,18.31,16.84,17.31,17.72,20.12,22.38,24.81,25.16,24.81,23.47,21.53,19.94,17.53,15.5,12.72,9.22,6.5,5.31,4.56,5.41,7.03,8.31,10.34,12.28,13.38,14.94,16.0,15.84,15.97,16.59,16.38,14.94,14.28,12.34,11.06,9.69,10.28,11.34,14.53,16.0,17.94,19.53,19.25,18.09,18.34,18.75,18.0,19.09,18.09,18.44,17.28,16.12,15.5,14.31,12.84,11.03,10.56,10.66,11.47,13.78,16.09,18.75,20.31,22.56,23.47,23.31,22.44,19.97,17.75,14.16,12.78,10.47,9.12,8.03,7.66,8.28,8.84,9.88,10.72,11.34,11.44,10.06,10.38,9.19,8.66,9.31,9.66,9.56,11.09,11.91,13.06,14.72,15.16,15.75,14.25,13.31,11.66,9.34,8.31,7.78,7.47,8.56,8.84,10.72,12.47,13.72,15.69,16.25,15.91,15.16,14.53,14.81,14.19,13.75,14.5,13.41,11.47,9.78,7.66,5.66,2.44,2.25,2.28,2.81,4.19,5.78,7.31,9.06,10.53,12.78,14.44,15.91,16.5,16.19,15.56,13.88,12.0,10.53,9.16,8.53,8.06,8.84,8.66,9.78,9.94,11.0,11.72,13.06,14.31,14.75,14.53,14.75,13.81,12.91,12.59,12.25,10.81,9.44,7.06,4.31,3.75,2.19,2.38,3.12,3.66,2.88,4.59,4.66,4.34,5.38,4.56,2.53,1.5,1.06,0.16,0.56,0.88,0.19,0.09,-0.31,-1.72,-2.19,-1.59,-0.66,-0.72,0.62,2.5,4.06,6.5,7.44,7.91,8.53,7.38,5.69,3.69,3.0,1.16,-0.41,-0.88,-2.31,-2.09,-1.84,-0.81,1.38,4.5,8.47,10.22,12.56,12.75,12.44,10.81,9.62,8.28,7.28,5.25,4.66,3.09,1.44,0.84,-0.22,-1.47,-1.94,-1.66,-1.16,-0.97,-0.53,0.62,1.56,2.94,5.25,5.81,6.25,6.78,6.16,5.06,5.06,6.88,7.81,9.25,10.19,10.44,8.5,7.41,6.41,6.22,5.44,5.94,5.62,4.41,5.03,5.47,5.66,6.06,6.5,6.38,6.78,6.12,5.69,4.16,2.56,1.12,-1.12,-3.12,-3.19,-4.53,-3.16,-2.91,-3.28,-2.91,-4.88,-7.16,-8.47,-9.12,-10.41,-8.94,-7.16,-6.09,-2.56,1.84,5.0,7.31,9.34,8.81,7.62,6.44,7.44,7.69,8.91,11.69,11.19,11.22,9.91,7.38,4.5,2.5,1.25,1.81,2.16,5.0,7.81,12.09,16.16,19.56,20.19,21.06,19.19,16.62,14.0,10.22,7.34,4.69,3.09,1.72,1.41,1.59,-0.66,0.69,-0.66,-0.78,-1.44,-0.47,-0.84,-0.34,2.28,3.22,5.62,10.0,12.66,14.16,16.84,16.03,15.03,12.38,8.69,5.19,1.34,-1.97,-5.59,-7.22,-8.38,-9.75,-10.59,-8.97,-8.69,-6.66,-4.66,-2.34,0.03,2.16,5.03,8.69,12.16,17.0,19.69,21.62,21.72,19.16,15.41,10.69,6.09,3.28,1.41,1.28,0.5,-0.66,-1.38,-2.66,-3.62,-4.03,-3.72,-4.0,-4.28,-3.88,-2.72,-1.44,-0.19,2.5,4.06,4.34,4.97,6.03,4.31,2.62,1.53,-2.19,-4.94,-8.66,-11.09,-14.72,-15.38,-15.22,-15.34,-14.47,-13.28,-12.19,-11.41,-9.97,-8.78,-5.31,-3.03,0.94,5.09,8.91,12.56,14.94,15.81,15.41,13.34,12.66,9.28,7.16,5.25,4.06,3.25,1.78,2.91,2.72,1.56,2.12,1.91,1.44,1.03,1.78,2.44,3.19,3.91,4.62,5.53,5.16,5.78,5.53,4.44,3.62,2.66,1.62,0.75,1.16,1.47,2.38,2.84,3.22,4.72,4.94,7.25,8.25,10.5,10.31,10.84,10.5,9.88,9.53,9.0,8.0,6.31,6.16,4.06,2.91,1.88,0.03,-1.19,-2.38,-2.59,-2.25,-1.16,0.12,1.56,2.03,3.44,2.59,2.16,1.34,1.34,0.41,0.97,1.81,1.97,2.53,4.31,5.0,7.0,9.66,10.41,10.66,10.12,9.34,7.75,6.44,4.84,4.31,4.56,2.62,3.03,2.03,1.19,1.34,1.25,1.53,2.44,3.03,3.56,4.31,5.03,6.5,7.41,8.06,9.5,9.94,8.97,7.94,6.03,2.25,0.41,-1.53,-3.09,-3.97,-4.34,-4.91,-4.28,-3.62,-2.69,-0.66,0.5,0.25,1.03,1.84,1.19,1.97,2.66,2.84,4.34,5.09,6.5,7.19,7.09,7.53,6.72,7.22,7.09,7.31,8.81,10.53,12.12,13.44,14.22,14.06,13.34,12.81,12.84,12.03,11.34,10.28,10.03,8.94,9.19,8.94,8.75,8.44,7.69,6.59,5.75,5.84,4.84,4.19,5.34,6.16,5.94,7.66,7.78,8.16,9.28,9.81,12.41,14.44,15.88,17.06,16.5,15.09,13.78,11.22,9.22,6.38,4.69,2.22,0.84,-0.03,0.53,-0.44,0.75,0.84,1.56,2.22,3.53,5.19,5.53,6.09,6.81,5.03,3.81,3.0,1.56,0.75,0.97,0.91,0.78,0.53,-0.09,-0.81,-1.31,-1.94,-2.5,-2.53,-2.44,-2.84,-2.84,-3.09,-3.66,-4.12,-3.97,-3.88,-3.72,-3.03,-2.72,-1.16,1.88,4.34,5.56,7.38,7.03,6.78,6.34,6.56,7.22,9.28,11.69,14.5,17.91,20.25,22.81,23.44,24.69,22.88,21.31,20.09,18.0,17.16,16.81,17.0,17.56,17.31,18.06,17.19,17.09,17.19,16.16,16.0,15.56,15.97,16.62,18.53,20.66,22.53,23.78,24.28,23.12,22.06,19.94,18.34,16.41,14.81,14.0,13.59,14.22,14.84,16.41,18.34,19.06,20.09,19.06,19.69,18.22,17.59,16.62,16.62,16.31,15.31,14.47,13.56,11.5,11.53,10.53,11.69,10.94,11.62,14.28,15.25,18.38,20.69,21.69,22.34,22.03,22.22,20.56,20.69,19.59,18.94,19.03,19.25,20.75,20.75,21.56,22.66,21.94,22.69,22.81,21.97,22.44,22.0,21.12,21.06,19.41,19.03,17.5,15.56,14.25,12.78,12.66,13.5,13.94,15.38,16.59,18.22,19.44,21.34,22.81,24.41,25.0,24.59,-0.19,2.09,2.97,4.03,5.34,6.19,7.19,7.66,7.84,6.88,5.44,2.88,0.56,-2.47,-4.75,-5.31,-6.22,-5.34,-4.19,-4.19,-4.66,-4.66,-5.5,-6.56,-7.0,-8.31,-7.16,-7.31,-7.28,-6.47:positivity
40.06,38.16,36.38,35.28,33.81,32.41,32.47,32.69,33.38,34.0,33.59,32.91,32.16,31.38,29.97,30.25,31.81,32.53,34.12,33.38,32.94,31.28,29.0,27.06,25.38,24.03,22.09,22.06,22.03,22.53,22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84:32.47,32.69,33.38,34.0,33.59,32.91,32.16,31.38,29.97,30.25,31.81,32.53,34.12,33.38,32.94,31.28,29.0,27.06,25.38,24.03,22.09,22.06,22.03,22.53,22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84,-14.12,-18.09,-20.09,-21.72,-23.22,-23.72:32.16,31.38,29.97,30.25,31.81,32.53,34.12,33.38,32.94,31.28,29.0,27.06,25.38,24.03,22.09,22.06,22.03,22.53,22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84,-14.12,-18.09,-20.09,-21.72,-23.22,-23.72,-23.84,-23.75,-23.25,-24.09,-23.84,-24.47:34.12,33.38,32.94,31.28,29.0,27.06,25.38,24.03,22.09,22.06,22.03,22.53,22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84,-14.12,-18.09,-20.09,-21.72,-23.22,-23.72,-23.84,-23.75,-23.25,-24.09,-23.84,-24.47,-24.75,-24.03,-24.41,-23.47,-22.5,-20.53:25.38,24.03,22.09,22.06,22.03,22.53,22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84,-14.12,-18.09,-20.09,-21.72,-23.22,-23.72,-23.84,-23.75,-23.25,-24.09,-23.84,-24.47,-24.75,-24.03,-24.41,-23.47,-22.5,-20.53,-18.62,-18.09,-16.81,-16.72,-16.09,-16.22:22.25,23.62,24.5,25.38,26.78,27.06,28.09,27.25,26.69,26.25,25.25,25.44,25.5,26.44,27.16,28.19,29.5,31.25,33.44,36.38,37.56,37.56,36.66,33.69,32.62,29.19,26.69,24.56,20.66,18.84,17.03,17.31,17.78,19.75,22.94,25.19,27.03,28.59,29.81,29.97,28.16,27.44,25.25,20.88,17.81,15.22,13.47,14.59,15.81,18.62,21.62,23.69,26.38,28.06,29.62,30.59,31.91,31.72,31.38,31.44,31.69,31.53,30.91,31.53,31.81,32.0,32.56,31.66,30.81,28.78,26.84,24.41,22.53,21.31,21.19,20.69,19.31,19.44,18.59,18.5,20.09,22.34,24.84,27.78,31.0,33.47,34.59,35.28,35.0,32.78,31.53,30.09,28.62,28.66,28.69,27.41,26.78,27.25,25.91,26.25,27.16,29.12,30.75,33.16,33.5,35.16,36.25,36.53,38.0,38.34,36.66,35.5,33.06,29.81,28.25,27.06,26.25,24.66,24.5,22.44,21.59,20.5,19.78,19.31,20.16,20.38,21.53,22.03,23.0,23.91,24.44,26.0,26.0,27.44,27.16,26.91,25.19,22.94,20.06,17.22,15.22,14.88,14.56,14.19,13.53,13.19,12.81,13.16,14.34,14.31,14.16,13.81,13.78,12.06,12.0,13.06,13.88,14.12,16.41,18.03,18.94,19.69,20.06,20.22,19.44,19.22,17.94,17.75,18.0,17.47,20.0,21.81,23.41,25.03,23.41,20.53,16.94,11.47,9.38,6.5,5.0,5.16,5.81,6.22,7.62,8.03,7.0,6.97,5.94,5.19,4.81,4.84,5.38,6.31,7.81,7.62,8.94,8.12,7.56,5.75,4.19,3.06,2.34,1.81,2.41,3.62,4.44,4.59,5.34,4.06,4.0,4.16,3.41,3.62,4.28,4.91,5.62,5.5,5.53,6.34,5.38,5.06,3.91,1.0,-0.5,-3.09,-4.97,-6.22,-5.97,-2.41,1.0,4.44,9.0,11.66,13.34,13.84,12.81,12.25,10.41,8.19,6.69,4.66,3.78,4.56,4.91,5.81,5.0,5.56,4.62,4.31,3.44,2.78,2.94,2.38,1.09,-0.75,-1.84,-2.66,-5.12,-5.41,-6.09,-7.28,-7.16,-7.47,-6.69,-4.22,-2.59,0.41,3.62,5.72,7.41,6.94,7.16,6.12,4.62,3.16,0.62,-2.03,-3.78,-6.06,-7.34,-7.22,-6.31,-5.34,-2.72,-0.78,-0.41,-0.78,-2.34,-4.31,-6.94,-8.72,-11.22,-11.69,-11.47,-10.34,-9.81,-8.78,-7.84,-8.34,-7.72,-6.62,-6.09,-5.09,-4.72,-3.53,-2.53,-2.53,-1.78,-1.03,0.31,1.66,3.19,4.03,4.34,4.66,3.62,2.22,0.53,-1.0,-1.72,-3.84,-3.5,-3.56,-5.22,-5.47,-4.44,-4.22,-2.91,-0.91,0.16,0.38,0.41,-0.34,-1.09,-1.69,-3.19,-2.69,-1.34,-2.66,-3.06,-3.19,-6.16,-9.09,-9.22,-11.69,-13.12,-12.66,-12.88,-11.66,-9.34,-7.66,-5.84,-5.78,-6.66,-8.84,-11.56,-13.38,-15.84,-17.34,-17.41,-20.0,-20.19,-22.03,-22.47,-23.19,-23.09,-23.19,-23.56,-23.97,-23.5,-23.06,-22.56,-20.56,-18.62,-17.22,-14.53,-11.34,-8.84,-6.09,-3.91,-3.34,-2.44,-3.47,-4.66,-5.56,-6.91,-7.16,-7.41,-6.84,-6.66,-6.41,-6.53,-6.34,-7.59,-7.88,-7.97,-8.28,-6.84,-7.72,-6.53,-6.47,-5.31,-5.56,-5.47,-4.91,-6.0,-7.0,-6.41,-7.03,-6.72,-5.88,-6.97,-6.94,-6.78,-7.78,-7.41,-7.28,-7.19,-7.53,-8.5,-8.59,-10.31,-10.44,-10.16,-10.69,-11.72,-13.34,-15.47,-17.47,-19.41,-19.28,-17.72,-16.34,-13.66,-11.81,-11.59,-10.88,-10.78,-10.72,-10.97,-10.53,-12.09,-11.91,-11.94,-12.59,-13.0,-11.69,-9.22,-7.06,-3.34,-0.06,2.25,4.19,4.06,3.16,1.44,-0.84,-3.34,-5.22,-8.47,-8.59,-8.78,-9.47,-9.28,-9.25,-9.5,-12.09,-14.53,-16.16,-16.59,-16.44,-15.34,-12.38,-10.03,-8.03,-6.03,-3.72,-1.97,-2.22,-1.91,-3.75,-5.0,-7.41,-9.06,-11.22,-13.22,-14.72,-14.91,-14.44,-11.06,-9.34,-7.16,-3.0,0.12,2.22,6.59,7.59,8.69,9.09,8.34,6.31,5.88,4.91,4.25,3.28,2.12,1.94,0.31,-0.09,-1.28,-2.44,-3.16,-4.09,-4.34,-2.72,-1.28,-0.75,0.88,1.66,1.16,2.03,3.12,1.34,1.06,1.12,-0.09,-1.41,-0.47,-0.78,-1.38,-3.16,-3.09,-5.56,-7.94,-9.72,-12.25,-13.06,-13.94,-13.06,-12.66,-12.72,-11.88,-10.91,-8.78,-6.72,-2.97,-0.12,2.41,3.34,3.78,2.69,1.19,-0.22,-2.06,-4.97,-5.66,-6.41,-7.22,-8.91,-9.22,-10.03,-11.28,-12.53,-13.16,-13.94,-14.47,-14.19,-14.59,-14.47,-12.91,-11.22,-9.41,-7.22,-5.38,-5.38,-5.81,-7.34,-9.34,-10.59,-11.59,-13.16,-14.78,-16.34,-18.09,-19.5,-20.28,-19.72,-19.41,-17.69,-17.69,-16.94,-15.66,-15.09,-13.88,-11.16,-8.97,-5.97,-4.47,-4.06,-3.66,-6.12,-8.06,-8.56,-9.09,-9.5,-8.16,-7.38,-6.94,-5.19,-4.72,-4.53,-3.5,-4.97,-5.66,-7.47,-9.78,-10.59,-11.25,-11.16,-9.5,-7.44,-5.72,-3.41,-2.47,-1.28,-0.59,-1.41,-1.78,-2.91,-5.5,-5.97,-7.84,-9.59,-9.34,-11.16,-11.31,-11.75,-11.56,-12.16,-11.59,-11.38,-9.97,-8.31,-5.66,-1.41,0.12,2.41,4.12,5.06,4.19,4.22,3.78,3.28,2.34,1.56,0.81,0.5,-1.19,-1.53,-1.97,-3.31,-3.56,-4.84,-6.34,-7.56,-8.97,-10.03,-10.59,-10.06,-8.88,-7.28,-5.34,-3.34,-0.38,1.03,1.19,2.66,2.19,1.12,0.5,-0.16,0.16,0.03,0.12,0.44,-0.31,-1.66,-4.09,-6.47,-7.97,-9.59,-10.44,-9.97,-7.88,-6.44,-5.03,-4.19,-2.59,-1.97,-1.44,0.22,2.16,2.06,2.81,2.88,1.44,1.75,0.09,-2.09,-3.06,-6.16,-8.47,-9.12,-9.41,-8.53,-7.69,-6.72,-5.41,-4.16,-4.03,-3.91,-4.75,-5.44,-8.22,-9.78,-10.81,-11.84,-12.19,-11.59,-10.31,-6.84,-4.06,1.12,6.03,11.06,14.88,17.53,18.06,18.38,17.47,16.25,14.72,13.53,12.16,9.75,9.62,8.0,5.44,3.56,2.0,-0.44,-2.09,-2.03,-1.59,-1.78,-0.09,0.41,0.88,2.0,1.25,1.44,1.66,0.69,1.69,2.22,1.97,2.56,3.06,3.03,3.69,4.91,5.0,4.09,3.72,2.19,0.56,-0.22,-0.59,-1.03,-1.16,-1.53,-0.59,-0.47,0.44,0.31,0.09,0.03,-1.09,-1.47,-1.06,-0.41,1.72,3.44,5.06,6.44,6.31,6.22,5.0,4.31,4.41,4.41,5.12,6.06,7.41,8.72,10.06,12.06,12.22,12.03,11.03,10.69,10.0,10.81,11.5,11.94,13.47,14.16,14.12,14.06,12.75,11.66,9.81,8.06,6.16,5.59,4.28,3.66,4.41,5.12,5.78,6.53,7.47,7.75,7.47,7.59,6.97,5.97,5.53,4.06,3.91,4.41,4.81,6.28,6.84,7.41,7.97,8.25,9.12,9.59,10.59,10.97,11.19,10.22,10.69,10.75,10.19,10.22,9.75,9.53,7.34,6.56,5.12,4.66,4.69,4.84,-14.12,-18.09,-20.09,-21.72,-23.22,-23.72,-23.84,-23.75,-23.25,-24.09,-23.84,-24.47,-24.75,-24.03,-24.41,-23.47,-22.5,-20.53,-18.62,-18.09,-16.81,-16.72,-16.09,-16.22,-17.38,-18.41,-20.78,-22.03,-23.88,-23.53:positivity
25.84,26.28,26.94,28.66,30.53,31.16,30.78,29.41,27.12,25.34,24.06,23.41,22.81,22.81,22.22,21.31,21.56,21.5,22.06,21.97,23.06,22.97,23.91,25.44,25.0,25.31,25.62,24.5,24.28,24.41,24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56:30.78,29.41,27.12,25.34,24.06,23.41,22.81,22.81,22.22,21.31,21.56,21.5,22.06,21.97,23.06,22.97,23.91,25.44,25.0,25.31,25.62,24.5,24.28,24.41,24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56,-21.41,-20.84,-20.03,-19.84,-19.47,-18.84:22.81,22.81,22.22,21.31,21.56,21.5,22.06,21.97,23.06,22.97,23.91,25.44,25.0,25.31,25.62,24.5,24.28,24.41,24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56,-21.41,-20.84,-20.03,-19.84,-19.47,-18.84,-18.34,-19.22,-18.66,-19.19,-20.66,-21.88:22.06,21.97,23.06,22.97,23.91,25.44,25.0,25.31,25.62,24.5,24.28,24.41,24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56,-21.41,-20.84,-20.03,-19.84,-19.47,-18.84,-18.34,-19.22,-18.66,-19.19,-20.66,-21.88,-22.12,-23.09,-23.94,-22.94,-23.22,-22.97:25.0,25.31,25.62,24.5,24.28,24.41,24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56,-21.41,-20.84,-20.03,-19.84,-19.47,-18.84,-18.34,-19.22,-18.66,-19.19,-20.66,-21.88,-22.12,-23.09,-23.94,-22.94,-23.22,-22.97,-22.22,-21.56,-20.06,-19.81,-19.44,-19.88:24.94,25.28,25.78,26.25,25.69,24.06,23.06,22.91,20.94,21.81,22.03,22.88,23.56,25.66,25.28,25.56,23.97,22.12,19.78,17.28,14.66,12.91,10.47,9.66,7.88,7.16,6.09,6.09,6.84,6.66,7.0,7.75,7.12,6.28,6.56,6.41,6.19,5.91,6.75,5.81,5.81,5.53,4.62,4.56,4.44,1.81,1.0,0.53,0.41,2.12,3.94,6.41,8.0,9.91,9.38,9.31,8.81,8.47,7.12,6.22,6.09,4.5,5.91,6.41,7.06,9.81,11.56,13.19,13.75,13.84,12.19,9.62,6.34,3.03,1.0,0.59,0.47,0.69,1.5,2.28,1.84,1.03,1.09,-1.06,-2.06,-1.84,-3.94,-3.88,-4.19,-3.78,-3.72,-4.47,-3.25,-3.91,-4.41,-4.12,-4.41,-5.16,-4.84,-6.59,-6.28,-9.22,-10.91,-11.62,-12.31,-13.19,-11.94,-10.62,-9.91,-7.91,-5.28,-1.97,-0.41,1.19,1.06,0.41,-0.66,-1.84,-2.06,-1.75,-1.16,-0.16,0.97,1.41,0.88,1.41,1.53,2.06,1.69,2.03,1.28,0.03,-0.03,-1.47,-0.59,0.62,1.19,1.16,1.72,-0.06,-1.09,-2.47,-4.34,-5.94,-5.97,-7.31,-8.22,-8.66,-8.53,-7.69,-8.22,-6.88,-5.84,-6.47,-6.0,-4.97,-5.41,-5.25,-5.66,-6.19,-7.31,-8.28,-7.66,-8.09,-6.81,-5.47,-3.72,-1.34,0.0,1.81,3.41,2.81,4.19,4.62,4.56,4.44,3.44,2.44,1.19,0.03,-0.69,-0.72,-1.31,-1.56,-0.78,-1.34,1.06,3.31,3.84,5.06,6.28,5.19,4.97,4.81,3.69,3.69,2.16,1.44,1.03,-0.34,-0.56,-0.09,1.16,3.06,5.31,7.31,8.44,8.69,8.78,8.75,7.94,6.75,7.44,5.84,4.84,4.47,3.84,3.44,2.31,2.16,0.19,-0.34,0.41,0.0,0.81,1.91,1.53,2.0,2.88,2.66,2.91,2.94,3.47,3.97,4.53,4.62,4.88,3.66,2.12,0.34,-1.09,-2.0,-2.47,-2.62,-2.06,-0.94,-0.09,0.31,2.91,3.97,3.16,3.94,3.28,2.56,2.06,1.84,1.81,2.25,3.03,3.44,3.59,4.5,3.19,2.91,3.12,2.66,3.41,4.72,6.81,7.94,9.78,12.72,14.72,16.22,17.94,17.62,17.41,17.16,14.56,13.5,11.5,9.25,8.22,5.62,3.78,1.94,-0.25,-2.84,-4.59,-5.44,-5.34,-4.16,-3.75,-3.16,-1.44,-1.19,-1.0,0.19,0.5,0.75,0.72,0.53,1.41,0.53,1.91,2.56,2.59,3.88,4.19,4.19,4.41,3.53,0.75,0.19,-1.41,-2.06,-0.53,-0.41,-0.41,-0.53,-0.81,-2.69,-3.34,-5.66,-6.28,-7.12,-8.72,-8.12,-8.0,-7.97,-6.72,-5.72,-5.03,-3.78,-3.41,-3.06,-2.97,-3.5,-1.62,-1.09,0.69,2.5,2.09,2.03,1.31,0.06,-0.91,-2.0,-3.34,-4.47,-5.47,-6.47,-6.62,-5.66,-5.19,-4.72,-4.0,-2.84,-3.06,-3.59,-2.19,-1.91,-2.59,-2.38,-1.88,-2.97,-3.22,-4.22,-5.34,-6.78,-8.53,-8.56,-8.75,-8.19,-5.38,-4.66,-2.91,-2.19,-1.03,-0.34,-2.28,-2.78,-4.09,-5.78,-6.34,-5.91,-4.75,-3.38,-3.28,-3.19,-2.72,-2.59,-1.09,0.72,2.72,6.03,8.41,11.06,12.41,13.41,13.12,12.88,12.19,10.16,10.56,9.41,8.06,7.88,6.81,6.84,6.41,6.34,6.31,5.62,3.41,2.69,0.84,0.22,-0.34,-0.56,0.66,-0.31,0.59,0.69,0.91,0.03,-1.12,-1.84,-3.28,-5.75,-6.75,-7.59,-8.56,-6.88,-6.09,-4.12,-1.81,0.19,1.94,3.47,5.56,6.69,7.09,8.5,8.0,5.72,2.62,1.19,-0.88,-1.09,-1.16,-0.16,0.0,-0.53,-2.12,-3.41,-3.94,-6.16,-6.91,-7.81,-8.84,-9.03,-8.81,-7.41,-5.84,-4.19,-2.47,-0.69,-0.72,-0.16,-0.97,-1.41,-2.31,-1.28,0.09,0.88,2.75,3.47,3.72,3.38,2.53,-0.06,-1.59,-2.19,-2.97,-4.22,-3.88,-3.56,-4.31,-4.5,-4.03,-3.78,-4.09,-3.19,-3.72,-2.47,-2.5,-2.72,-3.59,-4.62,-5.16,-6.47,-5.59,-5.09,-3.59,-3.72,-5.38,-7.12,-8.22,-9.12,-7.84,-6.47,-4.94,-1.97,-0.62,-0.28,-0.09,0.09,0.0,-1.47,-1.25,-0.25,1.19,1.75,4.44,5.84,6.78,7.69,7.84,9.91,10.41,10.38,10.56,10.94,10.12,10.06,9.38,9.91,9.91,8.75,9.47,8.5,7.62,7.34,5.94,6.75,7.97,8.59,9.91,8.53,7.75,6.38,5.19,3.97,4.25,4.78,4.56,4.72,5.12,5.25,5.25,4.53,3.78,2.62,0.03,-1.44,-2.38,-4.09,-4.03,-3.28,-3.72,-1.97,-1.41,-0.72,0.31,0.97,1.84,3.38,2.22,4.38,4.03,5.34,6.44,8.25,9.12,8.28,8.16,9.34,7.97,8.16,8.78,8.91,9.31,8.81,7.31,7.41,5.91,5.16,3.16,2.69,1.91,0.28,0.19,-0.16,-0.06,0.75,2.5,4.12,4.72,4.81,5.72,3.97,1.94,0.78,-1.53,-2.75,-2.09,-1.59,0.09,2.34,3.28,3.34,4.78,5.31,5.44,6.16,5.34,5.31,3.03,1.59,1.03,0.34,0.78,1.41,0.19,0.47,-0.47,-0.78,-1.28,-0.88,-0.94,-2.19,-1.5,-0.84,0.16,3.06,4.19,6.06,6.97,6.97,7.28,7.34,6.16,5.94,4.0,1.66,-0.94,-3.03,-6.84,-9.16,-12.47,-14.09,-14.66,-14.09,-12.31,-10.16,-8.09,-5.88,-5.47,-4.72,-3.91,-4.34,-4.72,-4.44,-3.69,-3.72,-2.94,-0.72,0.34,2.5,3.28,3.34,3.12,1.88,2.12,1.06,-0.41,-1.56,-1.84,-3.84,-5.28,-5.31,-5.5,-5.59,-5.66,-4.97,-3.66,-3.75,-3.25,-2.03,-2.09,-1.97,-2.09,-0.97,-0.16,0.47,0.81,-0.09,-1.03,-1.91,-3.19,-4.78,-4.44,-5.03,-6.28,-6.28,-7.34,-7.78,-7.28,-6.59,-5.34,-3.72,-1.22,0.19,-0.03,1.66,1.91,2.28,1.22,1.16,-0.22,-2.72,-5.06,-7.28,-8.62,-9.28,-10.59,-10.59,-10.41,-10.72,-9.75,-10.44,-8.75,-8.12,-8.44,-7.22,-6.88,-6.97,-6.66,-7.25,-8.47,-9.72,-10.47,-10.38,-8.19,-5.72,-3.03,-3.72,-4.34,-7.62,-10.56,-13.09,-14.72,-14.41,-13.28,-12.16,-11.22,-11.09,-12.72,-14.34,-15.31,-16.22,-17.59,-17.0,-16.91,-18.25,-19.25,-18.97,-20.31,-20.0,-18.66,-19.06,-19.5,-19.53,-21.59,-24.12,-23.97,-24.31,-25.59,-24.47,-22.78,-21.84,-20.69,-18.28,-15.78,-13.78,-11.47,-9.47,-8.62,-8.44,-10.34,-11.72,-13.34,-14.91,-15.03,-14.72,-13.47,-12.53,-9.75,-9.66,-9.84,-10.53,-11.5,-11.97,-13.38,-13.47,-12.81,-12.47,-12.84,-13.34,-13.09,-12.41,-12.84,-12.22,-12.34,-12.09,-12.16,-12.94,-13.12,-13.97,-15.16,-15.94,-16.66,-18.09,-18.91,-19.91,-22.75,-23.06,-24.0,-25.19,-23.97,-23.0,-22.31,-21.59,-21.88,-22.06,-22.75,-23.25,-24.47,-26.09,-27.47,-28.53,-30.25,-30.09,-29.84,-29.5,-28.28,-26.69,-24.69,-23.59,-22.44,-22.09,-23.03,-23.72,-26.69,-29.56,-21.41,-20.84,-20.03,-19.84,-19.47,-18.84,-18.34,-19.22,-18.66,-19.19,-20.66,-21.88,-22.12,-23.09,-23.94,-22.94,-23.22,-22.97,-22.22,-21.56,-20.06,-19.81,-19.44,-19.88,-21.44,-22.28,-23.47,-23.06,-22.41,-22.19:positivity
63.84,63.84,62.56,59.78,56.94,53.56,49.53,47.59,46.88,46.66,47.91,50.31,52.41,55.09,56.0,56.5,54.12,50.12,45.0,39.25,34.25,30.31,27.69,27.44,27.88,29.44,32.06,34.41,37.41,41.19,43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88:49.53,47.59,46.88,46.66,47.91,50.31,52.41,55.09,56.0,56.5,54.12,50.12,45.0,39.25,34.25,30.31,27.69,27.44,27.88,29.44,32.06,34.41,37.41,41.19,43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88,7.97,11.25,13.34,14.41,13.97,11.91:52.41,55.09,56.0,56.5,54.12,50.12,45.0,39.25,34.25,30.31,27.69,27.44,27.88,29.44,32.06,34.41,37.41,41.19,43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88,7.97,11.25,13.34,14.41,13.97,11.91,10.56,8.53,8.81,8.81,10.62,12.84:45.0,39.25,34.25,30.31,27.69,27.44,27.88,29.44,32.06,34.41,37.41,41.19,43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88,7.97,11.25,13.34,14.41,13.97,11.91,10.56,8.53,8.81,8.81,10.62,12.84,14.84,16.75,18.22,17.5,14.41,10.25:27.88,29.44,32.06,34.41,37.41,41.19,43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88,7.97,11.25,13.34,14.41,13.97,11.91,10.56,8.53,8.81,8.81,10.62,12.84,14.84,16.75,18.22,17.5,14.41,10.25,4.56,-2.34,-7.84,-12.84,-15.19,-15.75:43.12,44.72,44.84,43.09,41.06,39.03,37.84,36.03,34.5,33.88,34.31,34.38,35.31,37.31,39.28,40.44,41.44,41.94,43.34,42.88,42.28,41.28,40.25,37.69,36.25,34.25,34.66,34.5,35.47,38.09,40.06,41.59,41.91,42.19,40.94,38.72,37.38,34.06,31.22,28.56,25.56,24.47,23.28,23.5,24.69,25.56,25.84,26.09,25.44,23.88,21.81,20.5,19.69,19.03,17.41,17.91,17.09,18.09,18.91,20.44,21.81,23.03,23.28,25.12,25.12,26.97,28.81,30.12,30.22,30.84,30.03,30.59,32.03,32.78,35.66,35.0,35.59,35.12,32.25,29.44,28.56,25.88,22.56,19.56,16.5,13.31,10.84,10.0,9.94,11.12,13.28,13.53,15.84,17.03,18.06,18.88,19.34,20.0,19.81,19.62,19.56,18.69,19.06,18.62,18.31,18.31,16.62,15.31,15.75,13.66,13.16,11.78,13.03,12.81,14.28,16.41,17.12,19.09,19.91,20.69,20.72,20.06,20.44,19.31,19.06,19.0,19.97,20.28,21.41,21.53,21.91,20.94,18.03,16.53,14.28,11.97,11.56,11.94,12.62,15.41,18.0,20.03,22.44,23.34,22.78,21.91,20.12,18.75,16.09,15.25,14.38,13.81,14.78,15.97,17.12,18.75,20.81,21.69,23.38,24.72,25.03,24.03,23.41,22.5,23.28,23.75,23.69,24.94,24.81,24.25,23.03,21.69,20.06,17.56,16.25,13.28,12.34,11.69,10.34,10.53,10.97,9.69,11.47,13.28,14.16,17.19,19.53,20.69,21.84,23.53,24.88,23.62,24.03,23.25,21.25,20.03,18.81,16.38,14.88,13.47,13.56,13.25,14.69,15.56,16.88,17.47,17.56,17.69,16.75,15.75,15.41,16.25,17.66,20.84,23.94,26.44,29.53,28.56,29.34,26.03,22.62,19.94,16.62,14.38,13.66,12.19,11.25,11.69,10.5,11.56,13.81,15.16,16.44,18.62,19.81,20.28,21.12,22.59,25.19,26.88,28.88,31.0,30.62,28.31,26.75,23.94,21.62,20.44,21.16,22.22,23.44,23.81,23.91,21.84,18.5,15.66,14.66,13.81,14.66,16.44,19.16,20.31,21.88,23.97,26.5,28.56,31.19,33.94,35.28,35.19,34.19,33.22,31.31,29.84,29.72,28.41,28.41,27.16,26.06,23.81,22.69,22.19,21.25,21.19,20.66,22.06,22.31,25.75,28.0,31.94,34.91,37.03,39.59,38.47,38.47,36.25,32.66,28.88,26.66,24.31,22.53,21.47,22.56,22.81,23.62,25.56,25.84,27.19,28.44,29.19,31.66,33.59,34.78,37.06,38.25,37.75,38.19,37.34,34.56,31.94,28.72,26.94,26.28,25.41,25.66,24.59,23.69,23.94,23.06,23.09,24.75,24.66,25.06,26.66,27.19,29.31,30.44,30.66,31.03,30.22,28.38,26.91,24.06,20.31,17.28,15.12,11.91,9.34,9.06,10.31,10.59,12.81,16.12,16.72,18.34,17.78,16.59,16.56,14.47,13.53,12.56,13.12,15.16,18.91,23.06,28.19,31.81,34.38,34.62,34.19,31.41,28.56,25.78,23.41,22.44,20.44,19.44,17.31,15.97,16.12,17.12,18.94,21.53,22.09,22.62,21.81,20.03,20.16,19.19,19.72,21.81,23.0,23.88,24.59,25.38,26.75,26.81,29.0,31.53,32.47,32.81,32.38,31.28,28.12,25.53,22.31,19.41,15.72,13.31,10.69,9.38,8.28,7.44,7.41,7.28,8.5,9.53,11.06,13.31,15.25,17.34,18.38,20.19,19.62,19.31,18.0,16.88,15.41,15.94,16.72,18.56,19.59,21.0,21.94,21.09,21.53,20.41,18.81,17.81,17.03,16.19,17.28,17.44,19.81,21.31,23.81,25.16,26.31,25.19,25.59,23.91,23.22,22.56,22.53,22.59,23.41,24.78,26.25,28.06,28.09,28.25,26.72,25.44,23.81,21.47,20.56,20.12,18.88,20.06,20.25,21.09,22.56,24.16,25.66,27.41,29.5,31.25,31.84,31.69,32.06,30.5,30.34,28.81,28.75,29.03,29.34,30.25,32.31,33.28,35.44,35.56,37.09,37.81,37.03,36.59,34.78,32.75,30.75,28.75,27.44,28.5,30.0,32.72,34.94,37.59,38.59,37.41,36.25,31.66,26.91,23.44,19.81,18.53,18.22,19.66,21.41,23.12,25.94,26.62,29.47,29.66,29.72,28.62,28.5,27.09,25.91,26.94,27.12,27.97,29.66,29.09,29.81,28.84,28.53,25.94,24.41,22.94,21.81,22.22,22.53,22.56,22.44,21.03,19.59,17.84,17.31,17.5,17.81,18.97,21.38,22.91,25.62,28.53,30.44,30.34,29.47,27.12,25.44,23.06,22.34,23.16,24.44,24.78,26.25,26.5,25.34,24.12,22.03,20.31,17.72,16.16,14.72,14.09,14.72,16.06,18.41,18.88,20.69,21.28,21.84,22.44,22.84,23.91,24.31,24.28,24.22,24.66,24.12,24.06,24.94,23.72,23.81,23.81,24.12,24.12,24.66,23.59,22.41,20.03,18.75,16.84,15.62,15.25,14.91,15.53,16.31,16.62,18.72,20.19,21.72,23.28,24.5,24.41,24.59,25.28,24.78,27.06,27.72,29.41,29.81,28.81,26.81,24.16,20.97,17.31,15.94,12.47,11.03,8.94,6.25,5.31,5.19,6.84,7.06,8.72,10.16,9.78,10.09,10.69,10.66,11.59,13.03,13.81,14.88,15.5,15.78,15.69,14.91,14.06,13.38,12.78,12.72,11.84,12.12,11.31,11.19,11.53,10.38,10.5,11.06,11.78,12.44,13.28,14.78,15.28,17.0,17.69,19.28,20.53,20.69,20.34,20.16,18.34,16.31,15.09,12.41,11.38,9.19,7.34,6.19,4.34,2.78,2.25,2.78,2.94,5.0,6.81,10.09,12.44,15.25,18.88,21.78,23.31,23.44,23.31,21.66,19.19,17.47,16.03,14.91,13.78,14.5,15.56,17.56,18.81,20.06,20.66,20.53,20.78,21.28,21.31,22.62,22.34,22.5,22.44,22.19,23.16,22.56,22.69,21.69,20.81,19.72,18.38,18.69,18.19,17.69,16.19,14.03,12.5,9.69,8.16,7.47,6.22,6.38,5.78,6.81,8.0,10.5,13.09,15.47,18.66,20.94,22.84,25.69,26.75,27.47,28.06,28.81,29.25,29.03,29.84,29.19,28.62,27.47,26.16,25.81,24.72,24.56,24.53,25.19,26.06,26.22,26.53,28.19,29.59,30.09,32.03,32.34,33.41,33.03,31.69,31.28,28.72,27.12,26.12,25.31,25.69,24.97,25.16,24.34,21.84,19.44,17.44,15.31,13.56,11.56,10.88,9.97,11.12,13.0,15.94,19.47,21.28,23.75,24.94,24.41,23.66,22.25,20.12,20.5,21.06,22.09,23.31,23.34,22.97,21.12,19.53,17.06,15.44,14.75,15.06,15.38,16.94,18.34,19.59,21.06,21.5,22.78,24.06,23.81,24.53,24.34,23.62,22.62,21.16,19.31,18.16,16.75,16.75,17.0,17.81,17.66,18.72,19.19,19.66,20.31,21.0,20.91,21.5,21.72,22.75,22.81,23.66,23.94,23.62,24.0,23.81,23.84,24.91,25.84,26.22,27.72,27.75,27.72,27.53,26.34,26.81,26.28,25.62,25.81,26.66,27.28,28.16,29.19,30.38,29.88,7.97,11.25,13.34,14.41,13.97,11.91,10.56,8.53,8.81,8.81,10.62,12.84,14.84,16.75,18.22,17.5,14.41,10.25,4.56,-2.34,-7.84,-12.84,-15.19,-15.75,-13.91,-11.59,-7.5,-2.12,1.5,3.56:positivity
35.0,35.88,35.41,34.0,32.5,30.5,29.28,28.38,28.53,29.09,29.88,31.62,32.12,33.5,32.91,32.03,32.09,31.16,31.25,32.53,33.44,34.03,34.81,34.19,32.97,33.19,30.25,28.56,27.41,25.84,25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38:29.28,28.38,28.53,29.09,29.88,31.62,32.12,33.5,32.91,32.03,32.09,31.16,31.25,32.53,33.44,34.03,34.81,34.19,32.97,33.19,30.25,28.56,27.41,25.84,25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38,17.41,17.72,17.0,15.62,13.25,10.84:32.12,33.5,32.91,32.03,32.09,31.16,31.25,32.53,33.44,34.03,34.81,34.19,32.97,33.19,30.25,28.56,27.41,25.84,25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38,17.41,17.72,17.0,15.62,13.25,10.84,9.28,8.19,8.56,8.22,10.53,11.97:31.25,32.53,33.44,34.03,34.81,34.19,32.97,33.19,30.25,28.56,27.41,25.84,25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38,17.41,17.72,17.0,15.62,13.25,10.84,9.28,8.19,8.56,8.22,10.53,11.97,12.44,13.12,13.72,12.56,12.56,12.62:32.97,33.19,30.25,28.56,27.41,25.84,25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38,17.41,17.72,17.0,15.62,13.25,10.84,9.28,8.19,8.56,8.22,10.53,11.97,12.44,13.12,13.72,12.56,12.56,12.62,12.62,13.12,14.5,15.19,15.78,16.09:25.66,26.59,28.0,29.47,29.94,30.66,30.28,29.12,29.19,28.5,27.47,28.72,29.56,31.94,35.69,39.81,44.25,46.53,48.25,47.78,45.94,43.25,40.12,37.09,32.97,30.47,27.75,25.81,24.75,24.62,24.59,24.59,24.06,24.59,22.31,21.12,19.59,18.03,17.03,17.69,19.16,20.81,22.09,22.31,20.28,17.94,15.03,12.0,9.66,9.12,8.81,10.34,12.34,14.09,17.53,20.75,24.25,27.12,29.66,32.09,32.81,32.94,33.06,32.81,31.19,30.41,28.28,26.59,24.28,21.94,20.16,18.84,19.94,21.0,24.0,25.16,25.66,25.31,23.75,21.75,19.88,18.47,18.25,18.66,19.88,23.59,27.28,29.97,33.91,35.59,35.69,36.81,36.62,36.81,37.31,38.5,39.62,41.28,43.69,45.31,46.53,45.78,42.03,38.31,32.59,28.31,24.91,22.94,22.72,21.62,23.62,23.81,25.16,26.56,27.16,27.41,27.66,26.5,25.56,24.69,23.47,21.5,19.69,18.19,16.53,14.81,14.03,13.44,12.81,12.34,12.59,12.5,14.09,15.31,17.94,21.06,24.94,26.25,29.75,30.78,30.81,29.62,27.72,25.91,24.16,23.25,23.25,23.69,25.84,26.75,28.94,30.06,30.19,31.19,31.62,32.06,34.78,38.44,40.69,43.34,44.44,45.47,43.22,42.56,42.56,40.34,39.47,38.16,35.31,33.59,32.03,30.84,29.31,27.56,25.69,23.66,21.53,19.91,19.31,19.66,19.75,20.47,21.91,23.88,25.91,28.56,30.12,30.16,29.44,26.59,24.06,22.31,21.69,21.66,22.44,23.88,24.56,26.06,27.0,26.88,26.88,26.34,25.91,25.91,26.84,28.16,28.94,30.03,30.72,30.38,30.06,29.44,27.19,24.69,22.0,19.47,17.0,15.94,16.0,15.41,15.38,14.5,14.12,13.34,13.72,14.34,15.31,16.78,18.19,19.53,20.09,20.06,18.56,16.69,14.91,12.94,13.22,13.78,16.34,19.31,24.19,28.06,31.59,35.0,36.69,37.03,36.59,36.22,34.69,33.69,33.78,33.34,33.12,32.03,30.38,28.06,23.72,21.16,18.0,16.09,15.03,14.34,13.12,12.69,12.5,12.38,13.31,12.66,13.25,12.84,12.16,12.5,12.19,13.28,13.16,12.25,11.91,9.59,9.25,7.72,6.91,6.81,6.84,6.53,8.0,8.12,8.53,9.59,10.28,10.19,10.34,10.31,10.06,8.75,9.91,10.91,11.78,13.75,15.59,15.25,15.62,14.41,12.53,10.69,8.75,7.84,6.31,5.88,5.62,5.5,5.53,7.38,8.44,10.81,12.19,13.25,14.16,13.84,12.69,12.06,12.19,12.5,13.69,16.19,17.12,19.41,20.19,19.5,19.0,17.47,15.62,13.62,12.03,9.12,7.75,6.38,6.16,6.03,7.69,9.12,9.62,11.41,11.31,11.12,12.0,12.19,11.69,12.06,12.56,13.0,14.72,16.94,20.0,22.97,23.19,21.56,18.19,13.47,8.38,3.09,0.81,-0.91,-1.72,-1.53,-0.66,-0.66,0.09,-0.28,-0.34,-0.09,-1.47,-2.69,-2.41,-3.84,-4.53,-4.69,-4.28,-5.91,-4.53,-4.53,-4.81,-4.81,-4.53,-6.09,-6.47,-6.41,-5.34,-3.19,-0.94,1.72,5.19,7.31,9.06,10.5,10.94,9.78,7.28,6.38,3.19,1.5,-0.44,-2.28,-3.09,-4.19,-3.84,-3.88,-3.09,-3.28,-3.34,-3.09,-3.22,-1.69,-0.66,2.12,4.12,7.38,9.28,11.56,12.5,13.09,12.16,10.72,8.94,7.53,6.41,6.25,6.62,7.06,6.84,6.25,5.19,4.88,2.78,2.81,2.78,2.31,4.22,5.06,6.91,8.53,10.0,10.56,10.59,9.81,9.03,8.78,8.09,6.78,6.53,3.94,4.03,2.69,2.22,2.44,3.62,3.56,4.75,5.59,6.44,5.72,6.62,5.44,4.69,5.38,5.78,6.0,6.22,7.44,7.22,6.75,6.0,5.81,4.59,2.97,2.59,2.25,2.0,2.31,2.72,3.16,4.06,4.12,3.72,3.72,3.81,2.69,2.0,1.88,0.53,-0.59,-2.44,-3.06,-3.97,-4.59,-4.38,-3.94,-3.44,-2.69,-2.97,-2.66,-3.41,-4.34,-4.59,-5.34,-4.62,-3.44,-2.22,-0.97,0.06,0.44,-1.19,-1.19,-2.72,-2.41,-2.72,-1.84,-1.78,-1.69,-2.09,-3.16,-4.88,-6.81,-8.44,-9.91,-10.22,-9.0,-8.16,-4.84,-1.66,0.81,3.47,4.66,5.31,3.16,2.31,-0.88,-2.88,-5.28,-6.91,-8.44,-9.22,-9.28,-7.66,-6.38,-3.66,-2.06,-1.31,0.16,0.16,0.28,0.34,0.72,0.88,1.72,1.28,2.56,3.0,2.62,3.41,3.31,3.31,3.56,3.16,4.0,4.44,5.12,6.28,6.44,6.38,6.56,5.84,5.03,4.31,3.94,4.31,4.84,6.31,7.12,7.75,8.03,5.38,3.09,0.44,-1.34,-2.47,-3.34,-2.31,-1.84,-1.69,-1.22,-1.59,-2.62,-3.22,-4.12,-4.41,-4.88,-3.12,-1.66,0.31,4.5,6.69,8.84,12.22,13.88,15.53,18.41,20.34,22.84,24.09,25.88,25.97,24.09,21.41,17.56,14.56,11.31,9.28,8.5,8.75,8.16,7.91,8.25,8.34,8.69,8.19,7.41,6.0,4.72,2.84,2.31,1.53,1.5,1.56,1.56,2.84,3.03,4.31,5.0,5.16,5.5,6.16,5.44,5.0,5.66,4.31,4.56,5.91,7.06,7.72,9.31,10.22,9.34,9.53,9.19,7.53,8.5,8.84,8.69,8.81,9.28,7.41,7.22,6.56,5.81,5.62,5.09,4.66,4.81,4.06,5.66,6.5,7.44,9.12,10.5,11.81,13.22,15.31,16.62,17.34,18.22,17.66,17.38,17.56,15.88,15.19,13.12,10.72,8.69,7.09,6.31,7.44,8.69,9.31,9.44,8.94,8.94,8.09,8.31,8.66,8.81,9.81,10.31,10.75,11.69,13.72,14.69,15.81,18.22,19.88,20.97,21.06,20.09,18.91,16.25,14.0,11.81,9.06,8.25,6.69,5.75,4.88,4.91,6.06,6.84,8.56,10.78,12.12,13.53,14.62,14.09,14.56,14.19,14.56,14.97,14.91,14.41,15.06,14.31,14.62,14.75,15.41,15.62,15.91,15.44,14.97,14.31,13.62,12.53,13.0,13.72,14.44,14.12,16.59,16.78,17.22,17.09,17.16,16.66,16.56,17.44,18.75,20.78,22.62,24.16,24.84,24.88,22.78,21.12,19.25,16.81,15.44,14.91,14.56,14.91,15.16,15.31,16.84,15.03,16.38,17.38,17.75,19.12,20.19,20.28,19.44,17.69,16.34,15.0,14.5,14.28,13.94,13.94,13.66,13.0,13.88,14.03,14.22,15.56,15.25,15.31,14.59,15.38,14.53,15.84,16.53,17.62,18.56,18.62,18.06,17.62,16.19,14.28,14.22,13.62,12.94,13.81,14.12,13.91,15.16,16.53,17.75,18.5,18.97,18.16,17.91,16.66,15.72,14.94,14.56,14.72,15.94,16.28,17.0,18.03,17.91,18.38,17.78,17.97,17.12,15.69,16.09,15.94,16.47,17.56,18.59,19.94,20.5,21.69,23.91,22.66,22.53,22.53,20.47,19.44,19.53,20.16,21.56,23.41,26.81,28.19,28.81,28.72,25.88,22.41,19.66,17.38,17.41,17.72,17.0,15.62,13.25,10.84,9.28,8.19,8.56,8.22,10.53,11.97,12.44,13.12,13.72,12.56,12.56,12.62,12.62,13.12,14.5,15.19,15.78,16.09,15.5,15.34,12.5,11.09,9.19,7.69:positivity
17.69,18.19,17.19,16.16,14.94,14.78,15.06,16.59,17.75,17.91,18.53,18.03,16.94,15.94,16.19,16.41,14.84,14.78,13.38,12.12,11.47,11.97,12.91,14.12,15.41,16.34,16.09,15.66,15.47,14.09,13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66:15.06,16.59,17.75,17.91,18.53,18.03,16.94,15.94,16.19,16.41,14.84,14.78,13.38,12.12,11.47,11.97,12.91,14.12,15.41,16.34,16.09,15.66,15.47,14.09,13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66,-35.59,-35.44,-35.41,-36.47,-36.25,-36.28:16.94,15.94,16.19,16.41,14.84,14.78,13.38,12.12,11.47,11.97,12.91,14.12,15.41,16.34,16.09,15.66,15.47,14.09,13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66,-35.59,-35.44,-35.41,-36.47,-36.25,-36.28,-35.97,-35.84,-37.06,-38.09,-39.84,-41.28:13.38,12.12,11.47,11.97,12.91,14.12,15.41,16.34,16.09,15.66,15.47,14.09,13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66,-35.59,-35.44,-35.41,-36.47,-36.25,-36.28,-35.97,-35.84,-37.06,-38.09,-39.84,-41.28,-42.66,-43.41,-44.53,-44.34,-45.62,-46.28:15.41,16.34,16.09,15.66,15.47,14.09,13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66,-35.59,-35.44,-35.41,-36.47,-36.25,-36.28,-35.97,-35.84,-37.06,-38.09,-39.84,-41.28,-42.66,-43.41,-44.53,-44.34,-45.62,-46.28,-46.28,-46.22,-44.75,-42.66,-40.06,-37.84:13.06,12.72,13.38,14.0,14.91,15.88,16.12,16.53,18.38,17.91,18.5,18.66,17.06,17.03,15.91,14.91,14.56,14.78,15.69,15.62,15.06,15.66,15.38,13.03,12.16,11.94,11.28,10.28,11.03,10.59,9.78,9.84,9.34,8.28,7.41,6.38,5.03,3.69,4.16,3.09,2.0,2.41,2.06,2.97,3.12,4.0,4.06,4.38,3.66,3.84,4.28,5.94,7.5,9.31,11.5,13.81,14.72,14.66,13.62,12.0,7.53,5.38,3.25,1.25,2.59,3.09,4.44,6.0,7.56,8.72,6.34,8.44,5.84,6.12,5.31,3.47,2.22,1.03,-2.12,-1.91,-1.81,0.59,3.03,5.44,7.0,7.38,4.56,2.0,0.12,-3.03,-3.34,-3.69,-3.28,-2.22,-0.62,1.38,1.97,3.66,4.25,1.91,6.25,5.41,7.03,9.12,9.03,9.88,9.56,9.19,9.47,9.16,9.34,9.16,8.44,7.38,6.12,4.75,3.53,2.78,1.19,-0.66,1.69,0.78,2.0,5.19,6.81,7.03,7.12,5.41,4.44,3.59,3.0,3.0,3.16,0.94,1.59,-0.69,-0.69,0.28,0.0,0.88,0.72,0.66,0.34,0.53,0.38,-0.34,-1.09,-1.56,-2.22,-1.06,1.44,4.66,7.41,10.47,10.88,13.12,12.12,12.25,11.56,10.31,8.81,7.47,5.91,4.06,5.53,7.06,8.38,9.66,8.91,10.12,8.5,8.25,7.5,7.66,6.69,4.88,5.41,6.0,2.97,5.62,2.91,3.38,3.31,3.44,4.09,4.25,4.34,4.53,5.81,6.12,8.62,13.59,16.47,19.53,19.03,21.19,18.59,16.88,14.94,14.03,13.12,12.16,11.81,10.88,10.69,10.12,8.91,7.62,7.88,7.28,7.25,4.88,6.78,5.78,4.56,4.81,3.78,3.22,3.91,5.12,6.03,6.72,9.88,10.09,10.31,12.38,13.41,14.0,11.97,11.25,6.72,-0.47,0.19,-1.84,-0.75,2.25,5.78,7.38,9.06,9.59,10.5,11.56,11.5,12.94,12.41,12.47,11.81,10.97,9.59,8.12,8.59,8.62,11.06,14.31,17.66,20.84,21.94,22.66,22.84,21.25,20.84,19.03,18.94,18.75,17.88,16.94,14.59,14.0,7.88,8.94,6.0,5.19,4.09,2.94,4.06,0.53,4.75,7.94,12.59,17.81,21.88,23.19,22.0,17.75,14.16,7.41,3.41,-0.16,-4.06,-3.72,-3.88,-3.16,-4.47,0.0,-0.12,1.31,4.25,5.78,5.75,7.22,7.06,6.16,7.12,7.66,9.12,9.28,8.12,9.78,7.44,7.53,8.53,8.94,9.78,11.25,11.25,11.66,11.69,12.25,13.34,14.47,15.25,15.12,11.09,14.62,12.81,14.09,15.66,15.19,13.53,11.19,8.31,6.62,4.38,3.31,0.84,0.97,0.16,-1.59,-0.31,-0.47,1.03,2.66,4.5,5.0,5.16,6.28,5.56,5.31,6.34,5.44,2.81,5.19,2.22,3.53,3.59,4.31,5.34,6.22,5.56,6.31,6.62,5.44,6.31,5.78,5.0,4.62,1.56,2.81,2.53,3.16,3.56,5.81,6.12,6.41,5.66,6.06,5.44,4.28,2.97,-0.19,1.25,-0.91,0.38,0.72,1.59,0.84,0.12,-1.34,-3.78,-4.81,-7.34,-6.84,-8.41,-5.66,-4.94,-2.84,-1.84,-1.53,-2.31,-2.94,-3.44,-2.72,-1.22,-1.22,-1.31,-1.09,-2.28,-2.72,-3.34,-6.06,-3.34,-5.47,-4.97,-3.19,0.25,2.84,5.5,8.59,9.44,9.78,10.44,10.34,11.69,12.91,13.28,13.22,15.28,13.56,13.69,14.03,12.53,10.38,9.91,8.81,9.0,9.5,10.12,10.88,11.25,10.53,11.34,10.03,9.25,12.03,11.44,14.34,18.03,20.03,22.06,24.44,24.31,25.03,25.41,23.59,23.12,22.12,21.25,18.06,18.97,18.0,16.31,15.97,15.28,13.44,9.88,7.62,6.22,3.78,4.59,6.19,8.09,9.66,10.09,13.66,14.12,14.06,12.91,11.81,10.78,9.47,8.31,7.19,5.5,3.72,2.19,0.78,-0.56,-0.34,0.5,0.41,2.19,4.09,4.09,4.78,4.56,5.81,7.47,8.56,10.56,11.97,11.31,10.28,8.78,6.5,3.28,1.56,0.25,-1.78,-0.38,1.5,1.84,3.16,3.34,3.31,3.09,2.66,3.62,3.5,5.09,6.44,8.44,9.75,11.75,11.31,15.34,14.69,16.12,17.34,17.62,17.16,17.31,14.84,15.0,13.69,12.16,12.16,9.12,9.38,8.25,6.88,8.19,8.56,10.03,10.81,12.31,13.62,14.91,17.31,18.41,18.88,20.0,19.22,16.75,15.03,13.03,9.78,8.41,6.81,5.5,4.5,4.41,3.69,3.81,5.12,3.91,4.41,5.31,6.56,8.38,9.12,9.0,12.62,13.62,15.41,17.31,18.06,19.62,16.69,15.84,14.19,12.41,11.69,9.56,9.94,9.28,9.34,9.44,8.94,8.97,8.44,7.66,7.91,6.66,8.94,9.62,11.19,14.25,15.75,18.0,18.72,19.31,20.19,19.75,19.94,19.81,17.75,15.41,10.97,10.38,7.06,6.78,6.69,7.25,6.34,6.75,6.31,8.12,9.41,10.88,10.12,11.78,13.56,15.28,18.25,21.47,24.06,24.94,25.34,24.25,22.44,19.88,17.16,15.25,14.06,13.88,14.81,15.22,16.25,17.56,16.38,18.19,14.5,16.16,16.69,16.81,19.12,20.81,21.44,21.38,20.84,20.41,19.69,18.66,18.06,17.81,17.59,18.0,18.78,20.0,21.12,22.62,23.56,26.44,28.34,28.91,29.0,26.5,25.31,22.56,20.31,18.16,17.72,16.19,16.59,17.0,17.91,16.44,17.56,16.53,16.94,16.66,16.81,17.31,17.44,17.78,17.38,17.88,16.0,14.69,13.06,11.0,9.56,7.72,7.56,8.5,8.97,10.84,12.5,13.0,15.88,16.09,18.06,18.34,18.84,18.62,17.41,14.91,14.62,12.69,10.12,8.06,5.12,3.41,1.44,0.81,0.0,1.16,2.81,4.44,5.66,8.19,9.72,11.69,10.94,13.06,13.88,13.69,15.41,16.19,16.69,17.12,16.22,14.94,13.78,13.0,11.31,10.38,9.25,7.91,6.66,5.94,6.19,7.38,10.03,14.44,18.06,21.25,22.69,22.53,21.44,20.94,19.25,20.16,19.25,19.59,18.84,17.59,15.84,14.69,10.81,9.0,6.72,5.16,4.91,4.44,4.5,3.03,0.44,0.69,-0.47,-1.34,0.38,0.47,4.12,4.5,7.81,10.97,12.91,14.84,14.5,14.97,13.81,12.84,11.56,8.12,9.97,9.66,8.94,9.56,10.53,10.41,10.03,10.34,10.56,10.38,10.97,11.06,11.06,13.53,15.53,17.09,19.97,20.44,20.38,16.75,17.78,15.56,15.12,15.91,16.72,16.22,16.25,15.56,15.44,14.56,13.78,14.31,15.34,16.5,18.69,21.75,23.72,25.41,28.19,29.62,29.81,31.16,30.53,28.41,25.75,23.56,22.31,20.53,19.72,19.94,19.12,18.62,19.31,18.69,17.69,18.94,19.44,20.19,20.19,24.06,23.84,24.5,25.53,24.94,24.5,24.31,24.12,23.56,23.12,22.31,22.16,22.03,23.53,24.34,24.78,24.31,23.97,24.41,24.12,26.12,28.66,-35.59,-35.44,-35.41,-36.47,-36.25,-36.28,-35.97,-35.84,-37.06,-38.09,-39.84,-41.28,-42.66,-43.41,-44.53,-44.34,-45.62,-46.28,-46.28,-46.22,-44.75,-42.66,-40.06,-37.84,-36.53,-35.78,-36.09,-36.91,-36.19,-37.03:positivity
23.31,26.03,29.0,29.62,29.34,27.81,25.12,22.59,21.22,19.31,18.62,17.47,17.31,17.44,17.97,18.97,18.75,18.47,18.28,18.06,18.09,18.75,19.06,18.94,18.38,17.66,16.34,15.81,15.41,15.19,15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62:25.12,22.59,21.22,19.31,18.62,17.47,17.31,17.44,17.97,18.97,18.75,18.47,18.28,18.06,18.09,18.75,19.06,18.94,18.38,17.66,16.34,15.81,15.41,15.19,15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62,-33.5,-32.34,-30.81,-29.31,-31.16,-32.97:17.31,17.44,17.97,18.97,18.75,18.47,18.28,18.06,18.09,18.75,19.06,18.94,18.38,17.66,16.34,15.81,15.41,15.19,15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62,-33.5,-32.34,-30.81,-29.31,-31.16,-32.97,-35.88,-39.41,-41.56,-43.41,-44.34,-44.47:18.28,18.06,18.09,18.75,19.06,18.94,18.38,17.66,16.34,15.81,15.41,15.19,15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62,-33.5,-32.34,-30.81,-29.31,-31.16,-32.97,-35.88,-39.41,-41.56,-43.41,-44.34,-44.47,-44.09,-42.28,-41.84,-39.72,-39.16,-38.69:18.38,17.66,16.34,15.81,15.41,15.19,15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62,-33.5,-32.34,-30.81,-29.31,-31.16,-32.97,-35.88,-39.41,-41.56,-43.41,-44.34,-44.47,-44.09,-42.28,-41.84,-39.72,-39.16,-38.69,-38.97,-39.41,-39.41,-39.72,-39.66,-40.22:15.44,14.19,12.34,11.19,8.53,6.88,4.81,3.75,2.69,2.03,2.53,4.12,6.28,8.53,12.5,14.84,17.06,18.69,19.0,19.91,18.19,16.88,15.5,12.69,9.97,8.34,7.06,6.91,7.81,9.75,10.09,11.59,10.94,10.09,7.84,4.94,3.31,1.22,-0.94,-1.91,-3.91,-4.03,-2.97,-3.66,-1.84,-1.16,-0.16,1.41,2.25,3.19,3.97,5.66,7.0,8.28,8.94,9.41,11.03,11.28,11.84,12.41,11.12,10.28,9.28,8.25,8.44,9.06,10.0,11.75,12.47,12.41,13.03,12.44,12.19,11.66,9.94,8.0,6.53,4.97,2.06,-0.16,-0.97,-2.69,-3.12,-2.41,-2.22,-1.97,-1.44,-1.16,0.78,2.19,4.69,6.16,7.12,7.38,5.16,4.56,2.22,1.31,1.03,0.56,0.09,0.81,0.84,0.88,1.16,1.12,0.66,0.44,0.84,0.34,0.16,1.41,1.94,4.41,4.91,6.88,8.44,9.06,10.38,11.5,12.41,12.06,12.0,11.41,10.03,8.19,6.62,6.31,6.44,9.25,10.97,15.25,18.38,19.56,19.28,17.28,13.72,10.62,8.66,6.81,5.25,4.5,3.84,3.12,3.09,1.84,1.34,-0.47,-1.72,-2.38,-3.19,-3.16,-2.75,-2.72,-2.62,-1.47,-2.0,-1.22,-0.47,0.31,2.91,3.53,4.44,6.16,6.31,5.56,5.5,5.28,4.84,4.78,5.44,5.03,4.78,3.56,3.06,2.25,-0.22,-1.47,-1.91,-3.22,-3.22,-3.16,-2.25,-1.34,-0.56,1.91,3.56,5.06,9.06,10.62,13.09,15.34,16.31,18.44,17.81,18.12,17.84,17.0,15.62,13.44,12.94,10.81,8.56,7.81,6.28,6.66,7.03,7.56,8.12,7.88,8.19,8.06,6.53,7.75,8.28,7.69,8.12,8.59,8.75,8.06,8.75,9.25,9.81,10.53,10.94,11.75,12.47,13.44,13.34,13.41,12.62,10.53,9.66,8.75,9.03,9.66,12.31,12.88,13.38,12.62,11.53,9.69,8.44,6.44,4.88,3.16,1.16,1.09,2.94,2.75,5.06,7.34,7.72,6.56,5.47,3.25,0.16,-1.56,-2.69,-2.72,-2.78,-2.03,-1.41,-1.0,-1.0,-0.09,1.06,1.56,2.5,2.97,3.19,3.12,4.91,6.19,8.56,9.59,10.03,9.31,7.62,6.62,5.78,4.88,4.59,5.69,6.28,7.62,8.34,9.81,9.97,10.06,10.44,9.53,10.72,9.91,10.28,10.81,10.44,10.69,11.38,10.97,10.25,9.09,7.34,5.34,4.34,2.91,2.53,2.03,2.0,1.56,0.94,1.16,0.97,0.72,1.06,1.38,1.88,0.88,2.84,3.31,4.16,5.38,5.81,5.66,6.38,5.69,6.03,5.25,5.09,4.22,3.66,2.66,3.0,2.69,1.31,1.94,2.22,2.66,5.03,6.19,7.94,8.91,9.53,8.91,9.09,8.88,8.66,9.0,9.0,10.66,12.25,13.62,15.31,15.16,15.03,14.44,13.47,12.84,12.31,11.5,10.47,9.81,9.31,9.44,10.28,11.81,14.41,16.12,17.66,19.88,20.94,21.78,22.84,21.44,20.31,17.81,13.69,9.69,5.78,2.94,1.53,-0.09,-0.09,0.22,0.31,1.44,2.72,3.41,4.25,3.59,3.41,1.91,-0.66,-2.84,-4.06,-5.5,-7.03,-6.72,-5.97,-5.88,-5.84,-5.16,-4.03,-2.47,0.31,5.09,8.91,13.62,18.31,21.81,23.69,24.94,23.56,22.28,19.91,17.62,15.5,12.16,10.5,8.19,6.34,5.16,5.03,4.66,4.91,5.06,5.19,4.53,3.78,1.66,-0.28,-1.03,-3.03,-3.84,-2.81,-2.53,-0.38,0.31,2.28,4.34,6.06,6.0,6.28,6.56,6.5,4.59,4.81,3.78,3.69,4.47,4.16,5.41,6.56,6.53,7.19,6.66,6.31,4.75,3.56,3.5,2.81,2.22,4.56,5.44,7.97,10.78,12.94,13.56,13.56,13.59,12.16,10.78,10.34,9.22,7.91,6.66,6.56,6.28,7.03,7.94,7.53,7.0,5.72,2.72,0.53,-2.16,-4.69,-5.78,-6.72,-4.72,-3.47,-1.28,0.78,0.91,0.91,-0.09,-1.22,-0.94,-0.66,-0.09,0.44,-0.38,-1.47,-2.44,-3.59,-4.72,-4.91,-4.59,-4.28,-4.03,-2.16,-2.16,-1.16,-0.09,1.69,0.81,0.75,-0.03,-1.97,-3.47,-3.16,-5.22,-4.38,-3.09,-2.34,-1.75,-0.16,0.53,0.31,0.44,0.03,0.5,1.47,3.44,5.62,7.69,9.84,10.81,12.97,12.84,12.0,10.41,7.81,6.5,4.09,3.66,4.03,3.75,4.5,6.16,6.09,4.91,4.41,2.62,2.22,0.66,0.28,0.53,0.19,0.09,0.19,0.38,0.84,0.72,1.88,1.69,1.0,0.06,0.97,1.19,1.78,3.31,3.69,2.97,3.25,2.91,2.31,2.06,2.66,3.16,2.94,3.62,5.38,4.59,6.16,6.91,7.31,7.56,7.62,6.56,7.0,6.12,5.12,4.5,3.16,1.44,-0.03,-1.59,-2.47,-3.22,-2.88,-2.75,-2.81,-2.97,-3.0,-2.59,-2.19,-2.59,-2.31,-2.03,-1.5,-0.47,1.0,2.91,2.88,3.72,3.41,1.94,2.72,1.06,-0.09,-1.16,-1.81,-1.84,-1.94,0.06,1.03,2.28,3.53,3.62,4.41,5.53,5.44,6.19,6.84,7.41,8.62,8.69,9.12,9.0,8.5,8.03,6.66,5.56,4.12,1.34,0.97,1.25,2.28,3.53,5.0,6.66,8.31,10.84,13.56,15.69,17.69,17.84,16.88,16.28,13.25,11.62,9.72,6.84,5.59,4.59,3.62,2.91,3.31,3.12,1.03,0.03,-0.66,-0.34,1.0,3.56,6.94,9.16,9.69,8.72,7.03,4.56,2.28,0.66,1.06,2.19,3.59,6.03,7.59,7.81,8.53,7.97,8.56,8.56,8.06,9.09,7.75,6.53,5.94,4.59,5.19,4.56,4.16,3.94,3.66,4.12,4.41,4.78,5.5,5.69,4.88,4.28,4.16,3.31,2.44,2.5,1.69,0.88,0.91,0.22,0.56,1.41,1.91,3.19,3.81,3.69,3.38,2.06,0.75,-1.38,-2.03,-2.44,-2.72,-1.66,-0.31,0.22,1.5,3.88,4.66,6.0,7.47,8.22,8.41,9.03,9.56,10.75,11.16,10.69,10.22,9.31,7.75,6.44,5.75,4.31,3.72,4.0,4.03,3.09,2.84,1.5,0.16,-0.97,-0.56,-0.81,0.94,1.5,2.53,2.78,2.62,2.62,2.66,2.91,4.03,5.06,6.88,7.84,8.91,9.41,9.31,8.78,8.53,6.53,5.97,5.91,5.75,6.03,6.94,6.38,5.62,6.81,6.84,7.41,8.66,8.69,8.31,7.47,7.03,6.72,6.62,7.44,8.5,9.41,9.81,10.44,10.81,11.47,11.31,11.06,10.91,10.25,9.03,8.31,7.62,6.62,6.88,7.59,7.78,7.69,8.44,7.31,6.22,5.12,4.62,5.0,5.69,6.44,8.06,8.31,9.22,8.16,7.78,5.84,4.62,4.06,3.38,4.25,4.38,4.94,5.25,5.19,5.06,5.03,4.81,3.97,3.81,3.97,4.03,3.34,3.44,4.19,4.0,4.28,3.91,3.75,2.66,2.25,2.16,0.94,1.72,2.56,3.97,5.66,6.56,7.25,6.59,5.62,-33.5,-32.34,-30.81,-29.31,-31.16,-32.97,-35.88,-39.41,-41.56,-43.41,-44.34,-44.47,-44.09,-42.28,-41.84,-39.72,-39.16,-38.69,-38.97,-39.41,-39.41,-39.72,-39.66,-40.22,-41.22,-42.19,-43.59,-44.97,-46.16,-47.09:positivity
29.16,30.0,28.88,29.62,28.53,27.03,27.72,26.16,26.75,26.41,25.69,27.56,27.59,28.0,30.91,31.66,33.97,34.94,36.0,36.59,36.34,35.81,35.25,34.91,32.38,30.12,27.81,26.03,24.22,24.06,23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78:27.72,26.16,26.75,26.41,25.69,27.56,27.59,28.0,30.91,31.66,33.97,34.94,36.0,36.59,36.34,35.81,35.25,34.91,32.38,30.12,27.81,26.03,24.22,24.06,23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78,-34.0,-33.09,-33.34,-33.91,-34.47,-35.72:27.59,28.0,30.91,31.66,33.97,34.94,36.0,36.59,36.34,35.81,35.25,34.91,32.38,30.12,27.81,26.03,24.22,24.06,23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78,-34.0,-33.09,-33.34,-33.91,-34.47,-35.72,-35.41,-35.28,-34.88,-33.34,-32.84,-33.06:36.0,36.59,36.34,35.81,35.25,34.91,32.38,30.12,27.81,26.03,24.22,24.06,23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78,-34.0,-33.09,-33.34,-33.91,-34.47,-35.72,-35.41,-35.28,-34.88,-33.34,-32.84,-33.06,-32.84,-32.0,-31.72,-29.09,-27.28,-26.38:32.38,30.12,27.81,26.03,24.22,24.06,23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78,-34.0,-33.09,-33.34,-33.91,-34.47,-35.72,-35.41,-35.28,-34.88,-33.34,-32.84,-33.06,-32.84,-32.0,-31.72,-29.09,-27.28,-26.38,-24.84,-23.59,-24.22,-23.53,-24.19,-25.28:23.88,24.09,23.84,23.47,22.12,20.59,20.44,19.94,19.25,18.84,19.59,19.5,19.84,20.94,20.91,21.19,20.34,19.34,17.62,15.81,15.25,15.25,16.03,15.91,18.31,18.62,20.59,22.59,23.25,26.03,27.56,29.19,31.12,31.56,31.41,29.81,26.16,23.12,17.34,13.94,11.28,9.34,7.88,8.31,8.06,7.28,5.91,5.0,4.5,2.44,2.28,3.5,4.44,6.31,8.12,9.53,10.41,10.62,10.69,9.81,9.47,8.34,6.84,6.84,6.75,7.03,9.53,12.78,16.5,19.0,21.56,23.41,22.56,22.47,20.47,19.31,17.69,16.0,15.25,16.41,15.81,14.78,15.19,14.88,13.56,13.59,14.44,14.5,14.84,14.44,13.34,13.94,12.78,11.84,12.88,12.59,12.28,12.25,14.19,14.81,15.78,17.94,18.0,18.62,18.84,19.44,18.56,18.5,19.44,18.31,16.88,15.25,14.03,11.78,11.16,10.81,9.84,11.25,11.25,10.75,10.34,10.0,9.09,6.53,6.25,6.06,4.91,4.16,4.03,4.34,3.12,2.34,2.31,1.44,1.72,2.31,3.44,4.66,6.28,5.69,5.16,6.06,5.72,5.81,6.0,5.56,4.41,3.16,2.09,1.16,1.94,1.16,3.06,2.62,3.34,4.12,4.66,6.03,6.28,6.16,7.56,7.41,7.44,8.38,9.06,10.81,11.16,11.06,11.12,8.62,7.72,6.03,4.66,5.59,5.69,7.47,8.81,10.31,10.12,9.44,8.69,7.0,6.44,7.59,8.41,9.09,9.0,7.78,7.34,5.62,5.84,5.62,4.66,4.41,3.0,2.41,3.0,2.34,3.34,3.47,3.0,3.75,4.44,5.0,4.88,4.5,4.28,2.84,3.03,2.03,3.28,3.25,3.69,3.53,3.03,1.19,1.0,0.19,-1.66,0.0,0.72,2.03,3.41,4.34,3.38,2.97,1.94,1.5,1.69,3.06,4.19,6.09,5.88,4.94,4.03,1.81,0.72,-1.19,0.31,1.66,3.25,5.31,7.34,8.53,9.56,8.47,6.19,5.59,1.62,-0.34,-2.31,-3.38,-3.59,-3.72,-3.16,-3.84,-3.81,-3.47,-2.72,-0.34,2.22,5.16,6.12,7.0,5.62,4.44,2.28,0.91,-1.12,-1.97,-2.03,-1.22,0.91,3.47,5.12,7.06,7.31,7.53,7.09,5.31,4.91,3.19,3.28,3.16,4.19,5.53,5.41,5.09,5.06,3.81,1.97,1.72,0.06,-0.72,-1.12,-1.12,-1.53,-0.66,0.19,0.88,2.66,4.84,7.66,10.5,13.75,14.72,16.28,15.84,14.06,11.97,8.81,5.94,4.09,2.19,0.25,-0.53,-1.78,-1.44,-1.59,-0.41,0.0,0.31,-0.84,-2.53,-3.34,-4.09,-4.28,-3.22,-1.97,0.66,1.75,3.34,5.06,5.34,5.06,6.25,5.5,5.31,5.19,4.72,3.06,1.53,0.78,-0.41,1.16,2.03,3.16,3.94,2.34,1.69,-0.72,-1.22,-1.47,-1.34,0.25,2.16,2.91,5.25,6.81,9.41,9.38,11.25,10.38,9.53,9.09,8.03,7.25,6.19,4.62,3.44,2.44,0.28,0.0,-0.75,-1.84,-1.75,-2.38,-1.34,0.28,2.69,4.5,6.5,6.84,6.28,4.94,2.88,2.28,1.12,0.97,-0.09,-1.31,-2.44,-2.97,-4.91,-6.81,-6.0,-5.69,-5.5,-2.22,0.53,2.16,3.88,4.19,3.66,2.97,2.12,1.72,-0.16,-0.28,-1.44,-0.84,-1.84,-2.34,-2.5,-2.44,-1.34,1.94,3.19,4.59,4.66,4.56,4.69,4.06,4.06,3.56,2.31,1.66,0.09,-0.22,-0.94,-1.53,-2.97,-5.12,-6.22,-7.19,-7.62,-7.75,-6.91,-6.44,-5.09,-2.78,0.34,3.94,6.88,8.84,9.72,8.56,9.25,8.12,7.25,7.19,5.69,3.62,1.88,-0.22,-1.84,-1.72,-1.38,-0.53,-0.44,0.94,1.78,2.91,6.53,8.44,10.19,12.06,12.38,12.09,11.12,9.53,8.34,5.56,4.28,3.03,2.56,3.09,3.53,4.91,3.94,4.28,2.75,3.25,4.72,4.97,7.41,7.47,6.88,6.31,5.06,4.31,4.91,5.25,5.19,5.03,5.44,4.12,4.75,6.69,6.94,7.97,9.88,10.81,13.06,14.5,17.19,19.56,21.16,22.84,23.22,22.66,21.47,18.91,16.69,15.12,14.06,12.66,12.03,10.62,9.75,8.19,6.97,6.03,6.75,7.47,8.94,10.62,11.62,12.81,13.28,13.88,12.97,11.91,12.31,10.62,9.0,8.69,8.19,8.41,9.0,9.44,10.78,9.78,7.84,8.91,7.56,8.59,11.59,12.72,15.16,16.69,16.72,16.22,15.22,13.22,9.88,6.88,3.41,1.34,1.12,1.69,2.94,6.19,9.47,12.0,13.59,14.75,14.59,11.03,7.62,4.41,1.88,0.84,0.97,1.09,0.69,-0.59,-2.53,-4.91,-5.19,-5.34,-5.16,-4.34,-4.66,-4.5,-4.62,-4.91,-5.78,-5.59,-6.53,-7.12,-7.0,-7.22,-5.53,-3.91,-2.81,-0.66,0.31,0.12,0.62,0.28,-0.56,-0.38,-0.97,-0.41,-0.03,2.31,3.84,4.06,6.0,6.28,6.22,5.94,5.09,4.31,3.84,2.88,2.28,1.19,0.03,-1.97,-2.88,-3.41,-4.84,-4.75,-4.56,-3.19,-2.72,-0.44,1.97,4.56,7.31,9.94,12.88,14.84,14.16,15.38,14.44,13.56,13.62,13.66,13.69,13.16,11.31,10.0,7.66,4.81,3.44,1.28,-0.44,-0.84,-0.97,-1.0,-0.88,0.81,0.41,0.34,0.72,1.66,1.84,1.94,1.78,0.56,-2.03,-4.09,-5.53,-7.09,-7.53,-8.41,-9.88,-11.84,-14.47,-17.06,-18.97,-20.75,-21.19,-19.84,-17.72,-15.56,-13.88,-11.69,-10.19,-9.44,-8.22,-6.0,-3.91,-1.97,0.03,2.38,3.62,3.97,4.66,5.06,3.16,0.94,-1.84,-3.41,-6.53,-8.72,-9.44,-10.75,-11.19,-11.09,-10.38,-9.97,-7.34,-5.81,-3.22,0.84,4.69,7.88,10.5,12.34,12.5,11.72,10.41,7.47,5.09,2.22,-0.34,-1.91,-2.16,-2.34,-2.03,-0.06,-0.06,0.91,2.72,2.94,3.81,4.34,2.75,2.16,2.03,1.0,1.56,2.41,3.66,4.44,5.75,6.31,5.81,5.03,4.41,2.66,1.34,-0.72,-2.44,-2.75,-4.47,-4.97,-3.72,-3.97,-3.34,-2.78,-2.12,-3.22,-1.41,0.0,2.06,4.0,5.66,7.69,8.25,8.56,8.91,9.19,8.34,7.03,6.66,4.88,4.88,4.81,4.16,5.25,6.12,5.53,6.0,6.12,5.62,4.84,3.31,1.69,-0.59,-2.78,-3.47,-4.16,-4.09,-2.28,-1.34,-0.16,0.28,1.31,2.62,2.72,3.75,4.25,4.31,4.91,5.66,7.03,8.69,10.22,10.5,11.12,11.09,11.19,10.75,10.44,10.12,9.91,8.62,8.09,9.44,10.38,13.56,17.03,20.12,21.16,21.88,20.16,18.31,14.84,12.88,11.0,9.59,8.97,8.88,8.56,8.56,8.66,9.53,10.81,13.03,14.28,16.62,19.03,19.81,22.12,23.84,24.62,25.84,24.97,24.31,23.91,22.62,21.06,20.31,18.28,16.41,14.44,14.88,14.44,14.91,15.44,15.28,16.16,15.62,15.72,15.94,15.44,15.34,16.34,15.91,16.0,15.78,-34.0,-33.09,-33.34,-33.91,-34.47,-35.72,-35.41,-35.28,-34.88,-33.34,-32.84,-33.06,-32.84,-32.0,-31.72,-29.09,-27.28,-26.38,-24.84,-23.59,-24.22,-23.53,-24.19,-25.28,-27.03,-29.34,-30.59,-32.94,-34.84,-34.38:positivity
27.16,27.06,27.12,27.62,28.25,28.06,28.44,26.38,24.5,23.19,21.66,21.56,22.56,23.0,24.09,24.91,26.12,27.06,29.62,31.25,31.16,31.41,31.78,30.53,30.25,30.56,31.62,31.84,32.0,30.78,29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44:28.44,26.38,24.5,23.19,21.66,21.56,22.56,23.0,24.09,24.91,26.12,27.06,29.62,31.25,31.16,31.41,31.78,30.53,30.25,30.56,31.62,31.84,32.0,30.78,29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44,-0.09,0.09,-0.56,-0.44,0.09,1.91:22.56,23.0,24.09,24.91,26.12,27.06,29.62,31.25,31.16,31.41,31.78,30.53,30.25,30.56,31.62,31.84,32.0,30.78,29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44,-0.09,0.09,-0.56,-0.44,0.09,1.91,2.06,3.06,1.94,1.41,0.84,0.22:29.62,31.25,31.16,31.41,31.78,30.53,30.25,30.56,31.62,31.84,32.0,30.78,29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44,-0.09,0.09,-0.56,-0.44,0.09,1.91,2.06,3.06,1.94,1.41,0.84,0.22,-0.25,-1.06,-1.69,-1.94,-2.41,-2.03:30.25,30.56,31.62,31.84,32.0,30.78,29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44,-0.09,0.09,-0.56,-0.44,0.09,1.91,2.06,3.06,1.94,1.41,0.84,0.22,-0.25,-1.06,-1.69,-1.94,-2.41,-2.03,-1.78,-0.84,-1.16,-1.78,-1.97,-2.97:29.97,27.81,26.78,24.81,23.03,20.91,19.03,17.47,16.06,14.53,13.88,13.75,14.44,14.06,14.06,15.69,15.69,16.31,17.56,17.56,17.25,16.38,15.59,15.03,12.22,11.19,10.28,7.97,9.03,7.94,7.69,7.0,6.03,4.88,3.06,0.97,0.53,-0.72,-0.84,-1.62,-1.03,-1.09,-0.28,0.22,0.97,1.78,3.16,3.97,4.06,5.25,6.47,7.31,8.91,9.75,11.62,13.0,13.56,14.19,15.12,13.5,11.28,11.06,10.19,9.16,9.0,10.59,11.94,12.88,14.75,17.03,17.72,18.03,19.19,17.5,17.38,16.41,14.06,12.28,10.09,8.81,6.88,7.91,8.5,10.38,11.88,12.31,13.47,13.53,14.69,13.78,14.28,14.97,12.12,10.03,7.59,5.88,4.56,4.62,5.16,5.38,6.69,7.09,7.97,8.12,8.56,8.59,7.81,7.56,7.19,6.72,6.94,7.19,8.12,6.97,5.28,4.84,3.34,3.06,4.16,5.41,6.69,8.84,9.47,9.84,9.59,10.28,10.47,12.75,13.12,15.91,18.25,20.28,21.53,22.44,22.31,19.91,18.25,15.69,12.34,10.28,8.84,7.31,7.12,6.69,6.81,7.12,7.16,5.84,5.47,5.88,5.62,7.44,9.16,10.41,11.06,12.19,12.28,12.62,12.06,10.94,10.22,9.0,8.19,6.81,7.31,9.06,10.75,15.44,19.59,24.0,26.97,28.06,27.31,23.69,20.16,16.84,13.44,11.03,9.16,8.44,7.72,7.22,7.81,8.56,9.5,9.97,10.22,8.38,6.91,6.91,5.97,6.38,6.94,7.25,6.88,7.03,7.41,7.69,9.16,10.72,11.16,11.56,10.97,9.12,8.97,7.25,6.62,6.59,6.41,4.53,3.75,1.53,0.53,-0.41,0.06,1.06,2.88,3.91,6.12,8.03,10.06,12.66,13.22,15.16,15.34,14.75,14.25,13.47,12.84,12.78,13.25,13.19,13.28,13.0,13.44,13.88,12.81,13.47,12.56,13.0,13.69,14.12,15.25,15.59,15.78,15.88,15.25,14.56,13.84,13.69,14.72,15.69,16.91,17.19,19.12,18.19,16.88,16.5,13.88,13.19,10.91,9.91,9.62,8.34,7.59,7.78,8.06,8.78,8.5,8.19,8.09,5.91,5.16,4.5,4.66,4.59,5.31,5.34,5.03,4.94,4.16,3.62,3.0,2.53,2.91,1.84,0.91,-0.03,-1.59,-2.97,-2.41,-3.22,-3.0,-2.94,-2.66,-2.66,-1.84,-1.34,0.12,2.47,4.84,6.69,9.69,11.25,12.75,14.03,14.56,15.47,15.16,15.56,16.03,16.31,16.34,16.5,16.44,16.34,15.34,14.34,12.62,10.88,8.41,6.66,5.28,4.81,4.81,5.41,5.56,6.0,5.5,4.09,4.0,2.34,1.78,0.81,-0.03,0.53,0.62,0.91,2.09,3.31,4.53,5.66,5.28,5.59,4.16,3.09,0.69,0.78,-0.03,0.47,2.09,3.66,4.97,5.25,6.22,6.5,7.09,7.22,6.59,7.97,8.78,8.91,8.84,9.12,9.34,9.22,9.31,9.0,8.91,8.44,9.81,10.12,11.94,14.25,16.0,16.81,15.75,15.34,12.88,10.66,9.16,7.06,6.75,5.31,5.81,5.56,5.66,5.59,6.22,6.38,6.34,5.0,5.12,2.44,-0.34,-2.16,-4.31,-6.94,-8.0,-8.03,-8.19,-7.66,-6.94,-6.09,-5.38,-4.28,-2.91,-0.47,3.69,6.94,12.28,17.56,20.41,21.94,22.5,19.16,14.75,10.81,6.91,4.28,2.75,1.69,1.66,0.53,-0.75,-0.69,-1.59,-2.66,-2.59,-2.34,-2.59,-2.16,-2.41,-0.34,1.0,3.03,4.59,5.34,4.62,3.81,3.38,2.19,0.72,1.56,0.78,0.16,-1.0,-1.12,-1.38,-1.94,-1.78,-1.5,-3.03,-2.22,-3.44,-2.38,-1.28,-0.22,1.25,3.72,4.28,3.81,3.75,1.94,1.56,-0.34,-0.97,-1.16,-1.88,-1.03,-1.19,-0.97,-0.62,-1.06,-0.75,0.41,1.31,3.28,4.91,6.25,7.66,7.81,8.41,9.06,9.09,8.47,7.84,7.47,6.0,5.34,4.06,3.06,1.22,0.09,-0.81,-2.19,-2.97,-3.03,-3.22,-2.19,-1.09,-0.03,0.94,2.44,3.88,3.78,4.69,4.44,4.41,4.0,3.06,1.22,0.41,-0.91,-0.09,0.44,0.59,1.09,0.5,-0.97,-1.56,-2.16,-2.31,-1.59,-0.56,0.81,2.0,2.69,2.66,3.41,2.97,2.12,2.62,2.34,2.16,2.81,2.38,2.78,3.94,4.88,6.38,6.03,6.72,7.06,5.75,6.78,7.88,9.44,11.66,13.44,14.66,14.31,13.09,11.56,8.94,6.0,5.19,3.12,2.25,2.88,3.53,4.12,4.25,4.62,3.84,3.0,1.94,0.03,0.62,0.47,1.78,3.66,5.22,7.31,8.72,8.25,7.72,6.44,5.22,4.03,1.62,1.66,0.03,0.22,0.28,-0.19,1.09,1.62,1.97,2.38,2.41,1.94,1.81,2.66,4.34,5.62,7.31,7.62,6.94,5.06,1.91,-0.56,-3.03,-5.09,-6.81,-6.09,-5.97,-4.53,-1.78,0.72,3.12,4.06,5.88,6.44,7.34,7.0,7.19,6.88,6.44,6.69,6.5,6.81,7.34,7.16,6.91,5.84,4.91,3.31,2.44,1.34,0.31,-0.38,-0.84,-1.0,-1.44,-1.94,-3.22,-2.59,-3.09,-3.09,-1.84,-1.47,0.03,1.38,2.88,4.72,5.94,6.5,8.31,8.22,7.5,7.16,5.75,5.31,6.25,9.28,12.16,14.84,16.19,16.28,14.81,13.0,11.28,9.78,9.34,8.72,8.62,8.28,8.56,8.5,9.44,9.28,9.25,9.38,8.22,5.94,4.97,3.09,2.91,2.31,1.75,1.72,1.12,2.5,4.16,5.41,6.91,8.66,9.44,10.12,10.69,10.5,11.06,11.06,12.5,13.19,14.06,14.69,14.19,13.59,12.38,11.19,9.81,8.94,8.66,8.78,8.97,10.53,10.75,11.34,10.78,10.09,9.31,10.28,10.53,11.72,13.41,15.81,17.44,20.66,21.62,21.94,20.62,18.59,15.69,13.59,12.03,11.31,10.97,10.72,9.94,7.94,6.25,3.44,0.66,-1.16,-2.88,-4.38,-4.41,-3.31,-2.16,-0.69,1.28,2.41,3.69,4.12,3.22,2.56,2.12,1.06,0.09,-0.16,-0.62,-0.81,-0.56,-0.31,0.41,1.28,0.97,2.12,1.84,1.31,0.91,1.06,1.91,2.44,4.0,4.81,5.31,5.66,4.84,4.78,3.31,2.38,0.72,-0.69,-2.22,-4.34,-5.59,-7.59,-8.81,-9.59,-10.41,-10.31,-9.91,-8.78,-9.31,-8.59,-8.44,-6.75,-5.56,-4.44,-4.06,-4.38,-5.94,-7.72,-10.09,-12.66,-12.91,-13.22,-13.06,-11.31,-10.56,-8.66,-7.09,-6.69,-6.69,-7.06,-7.66,-8.25,-7.28,-6.19,-4.31,-1.41,0.59,1.56,0.12,-0.41,-4.12,-7.28,-9.59,-11.81,-13.38,-13.59,-13.06,-10.47,-9.91,-7.44,-6.22,-5.78,-5.19,-4.88,-4.94,-4.19,-3.97,-3.94,-3.22,-2.97,-2.97,-1.94,-2.31,-2.81,-3.72,-4.81,-5.16,-6.94,-8.03,-9.78,-10.84,-11.59,-12.12,-11.41,-10.28,-8.59,-6.91,-4.84,-2.91,-1.19,-0.41,1.25,1.94,2.06,1.47,0.5,0.66,-1.44,-0.09,0.09,-0.56,-0.44,0.09,1.91,2.06,3.06,1.94,1.41,0.84,0.22,-0.25,-1.06,-1.69,-1.94,-2.41,-2.03,-1.78,-0.84,-1.16,-1.78,-1.97,-2.97,-2.47,-1.69,-0.84,-0.47,0.12,-0.09:positivity
16.19,14.88,14.31,14.38,13.81,14.75,16.09,16.25,17.91,19.56,20.19,20.69,20.56,19.47,17.66,15.25,14.66,13.06,12.88,13.69,14.75,16.78,19.06,21.56,23.66,25.19,25.47,25.22,23.88,22.69,21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25:16.09,16.25,17.91,19.56,20.19,20.69,20.56,19.47,17.66,15.25,14.66,13.06,12.88,13.69,14.75,16.78,19.06,21.56,23.66,25.19,25.47,25.22,23.88,22.69,21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25,-27.78,-28.81,-29.97,-30.03,-30.22,-30.31:20.56,19.47,17.66,15.25,14.66,13.06,12.88,13.69,14.75,16.78,19.06,21.56,23.66,25.19,25.47,25.22,23.88,22.69,21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25,-27.78,-28.81,-29.97,-30.03,-30.22,-30.31,-30.16,-30.84,-30.75,-31.09,-30.94,-30.81:12.88,13.69,14.75,16.78,19.06,21.56,23.66,25.19,25.47,25.22,23.88,22.69,21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25,-27.78,-28.81,-29.97,-30.03,-30.22,-30.31,-30.16,-30.84,-30.75,-31.09,-30.94,-30.81,-31.25,-32.22,-33.09,-34.91,-35.34,-35.66:23.66,25.19,25.47,25.22,23.88,22.69,21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25,-27.78,-28.81,-29.97,-30.03,-30.22,-30.31,-30.16,-30.84,-30.75,-31.09,-30.94,-30.81,-31.25,-32.22,-33.09,-34.91,-35.34,-35.66,-36.56,-35.97,-35.31,-34.66,-32.75,-30.66:21.44,19.53,18.28,16.5,14.44,13.34,13.53,12.88,14.16,14.78,15.38,17.03,18.25,19.19,19.81,20.53,20.19,20.06,20.06,19.78,20.41,21.62,22.06,21.59,20.38,18.56,17.06,15.28,13.78,12.41,10.19,7.5,5.75,2.53,0.16,-1.59,-4.41,-6.12,-6.72,-8.28,-8.53,-7.97,-7.47,-4.44,-3.28,-1.19,2.12,5.06,8.0,10.84,13.06,14.66,14.03,14.0,12.22,10.78,9.75,9.03,8.47,8.34,9.25,9.0,10.78,12.91,13.66,14.78,15.06,13.72,12.12,11.66,9.91,8.06,7.62,6.44,6.41,6.5,5.94,5.03,5.06,4.0,3.81,4.75,4.44,5.19,6.66,6.62,8.66,10.94,12.56,13.81,15.25,16.09,15.56,15.91,14.69,13.34,12.84,10.56,9.56,8.66,6.91,5.91,5.56,3.81,3.44,2.75,1.81,1.94,1.5,0.66,-1.22,-0.97,-2.28,-1.41,1.41,3.03,5.44,6.34,6.84,7.03,6.78,7.41,7.91,8.16,8.44,8.91,8.22,8.12,8.0,7.34,7.88,7.84,7.44,6.5,5.66,4.34,3.34,2.56,3.94,5.12,5.47,6.69,6.53,5.75,4.91,3.81,3.22,2.66,3.41,3.62,4.38,4.03,3.78,3.0,3.12,2.5,1.69,-0.34,-1.94,-3.78,-3.91,-2.84,-1.94,-0.47,0.38,2.31,2.56,2.44,3.19,2.5,1.16,0.69,-2.56,-5.41,-7.91,-10.72,-13.31,-13.97,-14.41,-14.75,-14.19,-13.28,-13.5,-12.47,-11.62,-10.75,-9.03,-7.06,-7.22,-8.09,-10.03,-13.0,-14.84,-16.38,-16.66,-16.72,-15.84,-15.66,-16.06,-16.47,-17.16,-19.47,-21.97,-22.94,-24.75,-26.28,-25.56,-23.56,-22.62,-19.66,-15.66,-12.66,-9.16,-7.09,-5.78,-4.84,-4.84,-5.09,-5.03,-5.53,-5.53,-5.81,-5.81,-7.69,-8.97,-9.84,-10.66,-12.34,-13.12,-13.78,-13.62,-14.59,-14.41,-14.22,-14.09,-14.81,-14.0,-12.47,-11.97,-10.56,-9.34,-8.34,-8.59,-10.16,-11.31,-11.34,-12.84,-11.0,-9.47,-7.97,-5.59,-4.78,-4.28,-3.97,-5.59,-6.78,-7.72,-8.28,-8.53,-7.53,-7.75,-7.84,-9.34,-10.22,-10.94,-10.09,-7.66,-5.38,-1.19,0.03,1.06,1.97,1.34,-0.47,-2.38,-3.62,-6.0,-8.03,-9.56,-10.97,-11.34,-11.91,-11.56,-9.72,-8.47,-6.84,-5.72,-6.03,-6.09,-6.91,-9.09,-10.03,-10.62,-10.78,-9.84,-9.25,-8.16,-8.19,-7.88,-7.56,-7.97,-7.84,-7.56,-7.47,-7.66,-7.84,-8.22,-8.97,-8.28,-7.44,-7.5,-7.44,-7.19,-7.97,-8.66,-9.03,-9.84,-9.59,-9.91,-9.81,-8.53,-8.06,-7.69,-6.28,-5.94,-6.19,-5.41,-5.56,-5.09,-3.47,-1.56,0.44,2.62,4.81,5.81,6.16,4.53,2.78,-1.22,-5.72,-7.97,-12.09,-14.34,-15.66,-15.94,-16.03,-16.41,-16.84,-18.53,-18.34,-17.53,-17.69,-15.34,-13.62,-11.34,-7.22,-3.78,0.44,3.56,4.88,5.47,3.12,0.75,-2.69,-5.69,-8.28,-9.97,-11.97,-12.84,-13.44,-13.56,-14.91,-15.38,-16.84,-18.41,-19.94,-20.44,-20.28,-18.81,-17.03,-14.66,-12.0,-9.91,-7.59,-6.06,-4.41,-4.72,-3.41,-4.09,-5.38,-6.28,-7.16,-9.16,-10.03,-10.84,-12.56,-13.66,-14.53,-15.72,-15.34,-15.5,-14.84,-12.84,-12.47,-10.56,-8.97,-7.72,-7.38,-6.78,-7.28,-9.03,-11.94,-14.59,-16.31,-18.34,-19.66,-18.94,-19.0,-19.44,-20.22,-20.78,-21.41,-21.44,-21.09,-20.16,-19.16,-18.0,-17.28,-17.0,-17.03,-16.34,-14.47,-13.78,-13.0,-12.41,-12.28,-12.97,-13.75,-15.09,-15.34,-15.62,-15.78,-15.72,-15.66,-16.72,-15.88,-16.47,-17.47,-17.72,-17.47,-17.62,-17.5,-15.78,-14.12,-12.44,-10.59,-8.47,-6.28,-6.22,-6.34,-7.81,-10.5,-13.31,-16.03,-18.88,-20.91,-22.41,-23.44,-23.09,-24.34,-24.0,-23.56,-22.09,-20.47,-18.66,-16.34,-15.09,-13.69,-11.28,-10.72,-8.91,-7.75,-7.47,-8.28,-9.28,-10.75,-11.94,-12.22,-12.72,-11.47,-11.22,-9.91,-9.12,-7.03,-5.56,-5.22,-3.16,-2.09,0.16,1.56,3.91,6.88,8.78,9.56,10.94,9.88,7.56,4.91,1.84,-0.78,-3.34,-3.94,-3.44,-1.09,0.31,1.69,2.91,3.25,3.59,4.12,4.53,4.12,4.62,3.69,4.31,3.97,3.88,3.94,2.72,1.16,-0.31,-2.31,-4.94,-5.16,-5.47,-5.06,-3.34,-0.69,2.72,6.03,7.81,8.5,6.78,5.28,2.91,1.25,0.75,1.34,3.28,5.44,8.16,11.0,13.16,15.59,16.81,17.44,17.84,17.19,15.91,14.31,12.94,11.62,10.75,9.12,8.34,8.06,7.09,7.0,7.72,7.47,7.38,7.34,7.0,7.44,7.31,9.12,9.31,10.91,10.16,10.06,9.81,8.47,6.84,6.06,4.28,2.81,1.53,0.09,-1.31,-2.47,-3.66,-4.34,-4.78,-5.97,-6.47,-6.75,-6.09,-5.25,-4.88,-1.81,0.16,3.53,5.66,6.44,7.28,5.78,5.06,3.59,3.41,3.22,3.94,3.94,3.47,3.72,2.91,2.56,3.69,5.28,7.19,8.81,9.62,9.47,8.34,7.38,6.62,5.44,5.5,4.81,3.88,3.06,2.56,2.59,2.81,3.38,2.97,3.22,2.69,1.66,0.53,0.62,0.09,-0.28,-0.16,-1.03,-1.78,-2.53,-3.59,-3.44,-2.81,-0.53,1.97,4.0,5.06,6.03,5.75,4.41,3.53,2.81,2.09,0.91,0.41,-1.31,-1.78,-2.88,-3.62,-4.09,-4.66,-4.47,-4.28,-4.66,-3.03,-1.38,0.16,2.72,4.25,5.84,6.81,7.62,6.94,6.06,5.16,3.31,2.94,2.53,1.75,1.12,-0.28,-1.94,-1.72,-1.78,-1.84,-0.75,-0.03,-0.56,0.22,0.84,1.53,3.84,5.34,7.31,7.81,8.75,7.97,6.91,6.16,5.34,6.06,5.62,5.69,6.16,5.47,6.09,6.09,7.41,8.94,9.47,10.72,11.75,12.5,12.66,13.91,14.25,14.91,15.88,15.56,14.16,13.41,10.81,9.44,8.94,6.91,6.5,5.25,3.88,3.31,2.31,0.69,0.19,-1.16,-1.56,-2.56,-1.5,-0.94,0.41,3.09,5.19,6.59,7.47,7.81,8.06,7.94,7.09,6.38,5.81,4.06,3.25,0.69,-1.91,-4.41,-8.44,-10.97,-13.59,-15.38,-16.34,-16.28,-15.16,-13.06,-10.78,-7.94,-4.84,-2.12,-0.97,0.69,1.94,2.16,3.62,5.47,7.44,8.56,10.19,10.44,10.28,9.41,7.94,5.59,4.84,3.09,1.53,1.84,1.19,1.41,1.97,2.81,3.84,4.75,5.44,5.59,4.88,3.25,1.75,-0.06,-0.66,-1.66,-1.22,-0.16,1.62,2.47,3.16,3.78,3.44,2.75,2.78,1.59,0.88,0.47,0.72,1.62,2.25,4.84,7.19,9.03,10.84,13.16,13.69,13.5,13.94,16.06,16.56,18.25,19.38,18.97,18.16,15.69,12.81,10.12,6.69,5.94,5.47,5.69,7.19,8.19,9.06,10.06,10.94,10.78,10.16,10.94,9.25,8.84,6.91,4.88,3.72,2.69,2.28,2.88,3.06,4.56,5.19,5.56,7.06,7.41,8.0,7.22,6.5,5.62,4.25,-27.78,-28.81,-29.97,-30.03,-30.22,-30.31,-30.16,-30.84,-30.75,-31.09,-30.94,-30.81,-31.25,-32.22,-33.09,-34.91,-35.34,-35.66,-36.56,-35.97,-35.31,-34.66,-32.75,-30.66,-28.88,-26.91,-25.47,-24.72,-24.53,-24.28:positivity
34.19,33.81,33.78,32.94,33.06,31.16,30.28,31.19,32.12,33.38,36.59,40.16,42.12,44.12,45.12,44.53,42.56,39.84,37.56,35.66,33.53,32.78,32.84,33.06,34.75,36.94,38.5,41.16,42.28,43.06,44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84:30.28,31.19,32.12,33.38,36.59,40.16,42.12,44.12,45.12,44.53,42.56,39.84,37.56,35.66,33.53,32.78,32.84,33.06,34.75,36.94,38.5,41.16,42.28,43.06,44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84,-5.06,-5.59,-4.91,-6.91,-8.19,-8.97:42.12,44.12,45.12,44.53,42.56,39.84,37.56,35.66,33.53,32.78,32.84,33.06,34.75,36.94,38.5,41.16,42.28,43.06,44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84,-5.06,-5.59,-4.91,-6.91,-8.19,-8.97,-9.66,-9.19,-7.69,-6.09,-4.59,-3.09:37.56,35.66,33.53,32.78,32.84,33.06,34.75,36.94,38.5,41.16,42.28,43.06,44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84,-5.06,-5.59,-4.91,-6.91,-8.19,-8.97,-9.66,-9.19,-7.69,-6.09,-4.59,-3.09,-1.12,0.75,2.5,3.94,3.62,3.53:34.75,36.94,38.5,41.16,42.28,43.06,44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84,-5.06,-5.59,-4.91,-6.91,-8.19,-8.97,-9.66,-9.19,-7.69,-6.09,-4.59,-3.09,-1.12,0.75,2.5,3.94,3.62,3.53,1.59,-0.34,-0.84,-1.66,-2.38,-1.91:44.5,44.19,44.91,45.06,45.19,45.81,46.19,46.0,45.81,44.94,44.31,43.19,42.94,42.78,42.78,43.81,44.12,44.66,44.53,44.03,44.16,43.5,42.62,41.62,40.5,38.06,37.91,37.06,37.34,37.28,38.12,37.47,37.12,36.94,36.75,35.91,36.5,36.84,38.19,39.78,40.66,41.88,41.5,39.47,38.62,37.06,36.31,36.56,36.59,37.06,37.81,38.66,39.69,39.66,40.38,39.56,38.88,37.28,36.69,35.62,34.69,33.97,33.38,32.94,32.56,32.09,31.66,32.44,32.62,34.31,34.56,35.94,36.97,36.69,36.34,35.91,35.41,34.34,33.56,32.69,32.0,30.75,30.06,28.19,25.72,23.91,21.59,20.91,20.31,21.06,23.34,24.69,24.81,26.66,26.44,26.31,25.84,25.91,25.47,24.53,23.53,23.06,22.44,22.91,24.38,26.0,27.44,29.19,29.03,28.88,27.16,26.66,25.91,25.03,26.03,25.34,25.59,25.16,24.59,23.69,21.81,21.03,19.31,18.91,19.34,19.56,19.47,18.22,17.06,16.56,15.88,16.25,17.81,19.38,20.72,22.38,25.16,27.44,31.78,35.16,37.38,39.94,39.41,38.38,36.56,33.91,32.16,31.06,31.06,31.31,29.56,30.94,29.44,28.81,26.44,25.41,24.16,22.16,21.47,21.31,19.81,19.53,19.97,18.88,19.38,21.0,23.03,24.16,26.59,29.97,30.41,31.44,31.91,31.91,32.56,31.97,31.88,31.75,30.5,29.62,28.12,26.78,26.19,24.94,25.03,24.44,23.59,22.91,22.16,21.38,22.16,22.0,24.5,26.25,27.53,28.75,29.0,29.38,28.56,26.84,25.94,25.56,24.72,24.81,25.91,26.47,26.66,26.56,24.78,23.16,22.75,21.69,21.66,22.16,23.66,25.19,26.62,27.97,29.47,29.22,30.56,29.19,28.34,27.88,26.0,26.94,24.44,23.16,23.16,22.03,22.47,23.81,24.41,25.53,26.5,27.31,26.62,25.97,25.56,23.97,23.16,22.59,21.75,23.81,23.22,24.84,27.06,28.62,29.62,31.06,31.69,32.12,32.5,33.78,33.5,34.31,33.66,33.78,32.53,30.22,28.5,27.69,26.22,27.28,27.47,28.06,29.25,29.56,29.34,29.16,29.44,27.72,26.88,26.0,24.84,24.03,23.88,21.47,20.81,19.41,18.16,17.72,17.66,18.31,17.16,17.59,17.97,18.34,17.81,20.28,21.44,22.0,23.78,25.25,26.44,28.06,29.22,30.25,30.44,28.31,27.28,25.16,25.19,26.81,27.22,29.06,30.5,31.47,31.31,30.84,30.56,29.47,28.12,26.53,23.62,21.75,18.69,15.81,13.41,11.41,9.03,7.34,7.97,9.12,10.41,13.75,17.38,18.5,20.0,20.28,21.0,19.97,17.91,17.91,16.06,15.25,16.19,17.56,19.62,21.41,20.66,20.22,18.0,15.59,14.44,13.84,13.56,14.41,16.38,16.31,18.03,17.94,18.91,18.16,17.62,17.47,16.12,14.91,16.31,16.94,17.59,21.59,25.03,27.56,30.72,31.44,31.41,30.16,28.62,28.28,26.66,25.09,24.69,23.41,22.19,22.06,22.19,21.38,20.91,18.66,17.47,15.94,14.03,13.25,13.44,14.5,16.12,17.34,19.19,20.94,22.0,21.81,22.16,21.97,21.16,19.41,16.94,16.34,13.38,10.03,9.25,6.59,5.19,5.12,5.69,6.75,5.97,6.5,6.56,6.69,8.16,10.75,13.34,16.75,19.06,22.72,23.53,23.34,21.22,17.84,14.62,9.91,6.28,3.69,1.97,0.69,-0.31,0.69,-0.38,-1.06,0.59,1.09,1.47,2.72,4.44,5.38,6.56,8.56,12.09,15.0,18.44,19.22,19.25,18.09,16.03,13.69,10.12,8.03,6.12,4.38,2.72,2.56,3.5,4.03,4.94,6.97,7.59,7.03,7.41,6.16,6.12,6.09,6.38,5.62,5.34,4.03,1.81,-0.78,-1.88,-3.38,-4.97,-3.19,-3.34,-2.34,-0.66,0.31,0.47,1.59,2.25,2.25,1.94,2.84,2.0,1.0,0.31,0.69,3.25,4.09,6.69,8.5,7.94,8.28,9.66,9.59,10.09,12.66,13.12,12.75,12.47,11.56,8.97,6.41,5.44,2.09,1.59,1.94,2.31,4.78,6.25,9.38,10.66,12.41,14.75,15.69,17.47,18.22,17.06,14.44,10.94,7.69,4.28,2.09,1.69,0.0,-1.53,-2.22,-4.22,-5.84,-4.66,-5.97,-7.59,-7.47,-8.66,-8.56,-8.34,-7.59,-6.53,-4.34,-3.41,-1.84,0.5,1.69,2.69,3.66,3.16,2.09,2.78,0.53,0.44,0.09,0.25,0.91,0.88,2.03,1.38,0.44,0.34,0.09,0.94,0.66,1.91,3.78,4.69,6.69,8.19,8.94,8.53,7.94,6.91,6.09,5.09,3.75,1.81,-0.03,-1.62,-3.41,-5.44,-5.88,-6.59,-6.84,-6.84,-4.94,-4.88,-3.34,-0.72,1.12,4.19,6.28,9.03,10.12,9.69,7.97,5.78,3.12,-0.72,-3.5,-5.0,-7.91,-9.5,-9.41,-9.66,-8.53,-8.56,-9.34,-10.22,-12.16,-12.28,-12.66,-11.53,-8.78,-7.31,-4.53,-2.91,-0.31,-0.12,1.19,1.41,0.44,-0.41,-1.22,-1.31,-1.59,-2.97,-2.59,-2.34,-3.34,-4.16,-4.72,-5.88,-8.91,-10.22,-12.06,-12.38,-12.16,-10.31,-8.28,-6.03,-5.03,-3.25,-1.38,-0.88,-0.69,0.41,0.12,-0.97,-0.19,-0.31,-0.22,1.44,1.56,1.28,3.31,2.5,2.72,2.19,1.75,0.5,-2.09,-2.09,-2.97,-1.81,0.78,1.84,2.78,3.06,2.19,1.62,0.94,1.22,2.09,3.28,3.28,3.31,2.53,0.94,-1.19,-3.19,-4.69,-6.0,-7.0,-7.66,-7.28,-7.78,-7.03,-6.19,-4.03,-1.06,2.81,5.78,7.56,6.72,5.69,1.12,-2.47,-5.28,-7.25,-7.28,-6.84,-6.03,-5.81,-7.16,-9.59,-11.84,-14.03,-16.25,-17.34,-16.31,-14.94,-13.03,-10.03,-6.66,-3.78,-0.56,1.84,4.03,5.41,6.53,6.69,6.5,5.0,2.94,-0.59,-2.59,-6.06,-8.62,-9.81,-9.84,-9.06,-7.16,-4.75,-1.69,1.53,5.31,8.06,10.41,12.66,12.56,12.0,11.06,8.41,7.16,5.41,3.38,2.84,3.34,4.53,6.59,10.28,13.94,17.16,19.41,21.19,21.31,21.41,20.34,19.66,18.31,16.44,15.31,12.5,9.62,8.31,6.41,6.22,6.62,7.03,7.56,7.78,8.41,8.84,10.56,11.94,13.09,14.19,13.94,13.97,12.22,10.28,9.34,7.06,4.94,4.56,3.53,3.91,4.5,5.59,6.19,6.53,7.12,7.97,8.16,9.28,10.19,11.56,12.69,13.66,15.0,15.12,15.62,16.16,15.12,13.91,13.44,12.12,10.66,9.0,8.0,6.81,6.66,6.44,7.84,8.19,8.81,9.62,9.78,10.25,9.84,9.09,7.44,5.88,4.28,2.84,2.53,3.25,5.25,7.31,9.69,12.44,14.06,15.34,15.66,14.88,13.75,12.16,10.12,9.03,7.69,7.53,5.97,5.06,4.47,3.06,1.78,1.44,2.25,3.59,4.94,7.19,10.12,12.84,16.22,17.47,18.78,18.53,17.19,15.06,11.94,9.03,5.44,2.28,-0.28,-2.28,-2.69,-3.16,-2.81,-0.84,-5.06,-5.59,-4.91,-6.91,-8.19,-8.97,-9.66,-9.19,-7.69,-6.09,-4.59,-3.09,-1.12,0.75,2.5,3.94,3.62,3.53,1.59,-0.34,-0.84,-1.66,-2.38,-1.91,-2.09,-1.84,-1.75,-1.59,-1.09,-0.22:positivity
21.41,22.31,23.41,24.66,25.38,26.56,27.84,27.91,28.91,30.0,30.62,30.28,30.94,31.88,32.81,33.34,33.72,33.19,30.34,28.19,26.81,26.22,26.66,27.53,29.38,29.5,30.56,31.34,29.56,28.5,26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94:27.84,27.91,28.91,30.0,30.62,30.28,30.94,31.88,32.81,33.34,33.72,33.19,30.34,28.19,26.81,26.22,26.66,27.53,29.38,29.5,30.56,31.34,29.56,28.5,26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94,-22.53,-21.78,-20.34,-19.12,-18.66,-16.91:30.94,31.88,32.81,33.34,33.72,33.19,30.34,28.19,26.81,26.22,26.66,27.53,29.38,29.5,30.56,31.34,29.56,28.5,26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94,-22.53,-21.78,-20.34,-19.12,-18.66,-16.91,-15.59,-13.25,-10.66,-8.81,-8.84,-11.09:30.34,28.19,26.81,26.22,26.66,27.53,29.38,29.5,30.56,31.34,29.56,28.5,26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94,-22.53,-21.78,-20.34,-19.12,-18.66,-16.91,-15.59,-13.25,-10.66,-8.81,-8.84,-11.09,-15.78,-19.56,-25.22,-29.31,-30.06,-31.09:29.38,29.5,30.56,31.34,29.56,28.5,26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94,-22.53,-21.78,-20.34,-19.12,-18.66,-16.91,-15.59,-13.25,-10.66,-8.81,-8.84,-11.09,-15.78,-19.56,-25.22,-29.31,-30.06,-31.09,-29.97,-26.44,-23.03,-19.66,-16.44,-14.59:26.94,25.94,24.56,23.5,23.47,22.88,24.03,25.06,26.03,29.03,31.56,34.31,37.59,40.09,42.44,43.69,44.09,43.78,43.88,42.72,43.06,42.38,42.03,41.19,40.75,39.62,36.75,35.44,33.34,31.81,31.56,30.34,31.06,29.69,29.88,30.09,29.94,30.56,31.06,30.25,28.19,26.75,24.03,22.03,19.28,19.03,18.16,19.12,21.56,23.62,26.19,28.03,30.19,31.28,32.25,32.56,33.16,34.47,34.62,35.94,35.25,34.44,32.12,30.31,28.38,26.91,25.62,23.28,21.75,19.31,17.41,16.66,16.78,18.44,18.78,21.03,22.56,24.81,27.94,30.56,33.78,35.75,37.12,37.94,38.41,38.22,37.97,37.59,36.09,35.47,32.66,31.75,29.75,29.03,29.12,29.56,30.91,32.03,34.38,37.84,39.94,43.0,45.06,45.06,45.16,43.53,40.62,37.88,36.56,36.09,35.34,35.81,36.56,36.12,34.53,33.31,31.16,29.53,28.88,28.78,29.44,30.19,32.41,32.84,33.09,33.91,33.0,31.97,31.06,30.06,28.81,28.19,27.19,27.19,26.78,27.47,27.72,28.16,28.62,28.12,28.22,27.38,27.38,27.25,27.25,26.91,26.44,25.41,24.5,22.59,22.03,22.47,23.53,24.5,24.38,26.41,25.22,24.81,25.44,26.31,28.5,29.56,30.56,30.69,31.38,30.84,31.16,31.03,31.19,31.0,30.53,30.75,28.62,26.81,24.53,22.31,20.5,19.41,19.56,20.81,22.16,24.75,26.22,27.31,28.81,28.91,29.59,29.12,29.41,28.62,28.53,28.12,28.19,28.88,28.97,29.38,30.56,29.91,29.88,29.34,27.75,26.94,26.69,26.75,27.75,28.81,29.53,29.09,29.06,28.12,27.31,26.78,26.03,24.81,24.34,23.47,23.09,22.91,23.44,24.88,26.06,28.06,31.12,32.19,31.81,32.91,31.81,30.66,29.56,28.19,27.31,26.0,26.5,26.69,27.19,27.91,28.34,28.5,27.88,27.12,27.25,27.56,27.84,30.44,33.34,33.91,35.0,34.25,32.09,29.16,27.03,26.19,26.12,26.31,26.31,27.16,26.19,26.25,25.88,23.97,23.5,21.44,21.12,21.97,23.56,26.94,29.12,32.56,35.0,36.56,36.88,36.84,36.28,35.34,33.31,31.94,31.28,29.91,29.16,29.69,29.44,29.12,28.41,29.22,28.09,28.0,27.91,25.75,24.84,22.81,20.59,20.41,19.97,20.81,23.09,24.78,27.78,28.78,29.94,28.88,27.44,24.12,22.53,20.44,20.12,21.38,23.12,24.16,26.59,26.88,25.75,24.44,23.31,21.94,21.53,20.25,19.84,18.75,18.22,17.16,18.44,19.09,19.12,19.84,19.81,18.16,17.53,16.78,15.69,14.41,14.25,13.78,13.16,13.19,14.28,15.34,16.34,17.72,18.44,19.56,19.53,20.72,21.34,22.84,23.84,25.72,27.44,28.78,29.66,30.22,30.84,30.12,29.84,28.16,28.03,27.66,27.28,27.81,28.81,29.91,31.28,31.53,32.22,32.19,31.84,31.0,30.53,27.31,26.25,24.69,24.5,25.41,27.03,29.56,31.25,33.0,34.5,35.5,36.53,36.5,35.59,34.78,31.41,30.69,28.25,27.16,27.44,27.94,28.34,29.06,29.09,29.31,28.78,27.62,28.09,26.72,26.34,25.5,25.03,23.66,22.66,23.84,22.97,23.59,23.69,23.59,22.5,21.81,20.0,18.97,17.12,16.28,14.44,13.66,12.91,11.94,12.34,13.44,14.22,15.59,18.19,20.19,22.75,25.16,27.03,27.47,27.56,28.16,27.12,26.84,27.25,26.44,26.06,25.84,25.84,25.19,25.25,24.78,24.25,24.16,24.28,24.31,24.81,24.84,25.47,24.66,24.31,24.88,24.59,25.97,26.78,27.78,29.06,29.66,28.69,28.5,26.84,26.06,25.19,23.88,22.75,21.5,20.38,19.09,17.69,17.94,18.16,18.88,19.41,20.16,21.12,22.59,24.41,26.41,28.0,29.0,27.78,26.31,25.16,23.72,22.69,22.5,21.97,22.03,21.81,20.81,19.88,17.84,16.06,14.78,13.53,12.25,11.62,11.34,11.06,11.94,13.06,14.25,15.75,16.69,17.56,18.0,18.06,20.66,22.91,27.06,31.5,36.22,37.66,40.28,39.06,37.09,34.53,31.94,29.69,27.53,25.38,24.44,23.75,23.56,22.25,22.59,22.94,22.59,24.5,25.56,26.59,28.38,29.16,29.03,29.56,30.53,30.91,31.09,32.44,32.22,32.31,31.34,31.38,29.38,27.38,24.47,22.69,20.56,18.59,17.81,17.06,16.53,15.94,16.34,17.16,18.28,19.31,21.19,21.69,23.16,23.62,22.66,23.06,22.03,22.41,23.56,24.38,25.47,26.66,26.84,26.41,26.94,26.16,26.28,26.66,26.44,25.19,25.28,21.44,23.62,22.41,23.06,25.84,28.41,29.59,30.81,31.88,31.81,31.34,31.06,30.12,28.88,27.72,27.44,27.38,27.41,27.25,28.03,28.03,28.41,29.41,28.25,28.66,28.0,25.97,26.41,25.31,25.0,24.66,25.41,25.25,24.31,26.88,26.78,27.94,29.38,28.69,29.19,29.06,28.78,30.19,31.44,32.66,33.03,33.88,34.44,34.06,33.12,31.59,28.66,25.72,21.97,18.19,15.12,12.91,12.16,12.5,14.91,17.72,22.34,26.5,31.25,34.5,36.84,37.19,36.0,34.88,32.53,30.31,28.44,26.78,25.06,23.41,21.94,21.03,19.66,19.53,17.91,18.78,19.09,20.06,22.78,25.59,28.34,30.44,32.06,32.97,32.56,31.31,27.75,21.69,20.16,14.25,12.16,11.03,10.09,9.75,9.12,9.47,9.94,9.59,10.66,11.31,12.47,13.0,14.41,16.09,18.38,18.88,20.06,21.56,22.22,24.19,25.53,26.41,25.91,24.69,21.69,18.94,16.31,13.66,13.19,12.78,12.81,12.56,12.16,13.12,13.97,16.22,19.16,21.84,22.16,22.53,21.72,20.62,18.97,19.88,19.94,22.34,24.41,27.16,28.28,28.78,28.88,26.97,26.44,26.06,25.16,23.53,24.41,22.28,22.03,22.97,23.31,23.44,24.56,23.66,22.5,22.56,22.09,22.44,22.94,24.53,24.84,27.56,27.44,27.91,27.94,26.94,24.62,23.09,21.66,20.09,20.88,22.0,22.59,24.81,24.25,27.41,26.59,28.41,28.94,28.22,27.31,26.38,25.06,24.81,24.41,27.0,30.25,32.94,37.56,41.12,44.09,44.47,44.0,41.81,38.03,35.41,32.59,30.16,28.97,25.69,26.41,24.81,23.97,24.19,24.41,22.94,22.47,21.06,21.38,20.53,21.38,23.12,23.88,25.0,26.81,27.06,26.66,23.16,23.28,20.28,19.38,18.97,19.25,19.19,19.09,19.06,19.81,20.06,21.53,22.66,23.25,24.81,25.75,26.59,27.47,27.69,27.38,28.81,29.28,29.56,30.12,32.0,33.25,34.06,34.94,35.69,36.12,34.75,32.47,31.41,26.06,25.78,22.81,20.53,20.88,19.69,18.91,21.81,22.41,24.56,26.91,27.72,28.06,27.38,26.41,27.31,28.03,29.56,29.06,32.31,31.66,32.59,32.75,32.44,30.19,28.03,25.12,22.78,20.88,18.78,18.44,17.41,18.34,20.12,22.16,25.25,26.94,-22.53,-21.78,-20.34,-19.12,-18.66,-16.91,-15.59,-13.25,-10.66,-8.81,-8.84,-11.09,-15.78,-19.56,-25.22,-29.31,-30.06,-31.09,-29.97,-26.44,-23.03,-19.66,-16.44,-14.59,-13.72,-13.66,-13.97,-14.22,-14.94,-15.81:positivity
22.19,23.78,25.84,27.75,30.44,31.06,31.94,31.25,28.84,26.69,26.25,24.56,25.19,26.53,28.56,28.22,29.91,29.31,28.09,27.03,25.34,22.88,20.56,17.84,15.03,12.5,12.41,13.66,16.66,22.5,28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91:31.94,31.25,28.84,26.69,26.25,24.56,25.19,26.53,28.56,28.22,29.91,29.31,28.09,27.03,25.34,22.88,20.56,17.84,15.03,12.5,12.41,13.66,16.66,22.5,28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91,-29.28,-29.09,-26.94,-25.59,-24.25,-23.5:25.19,26.53,28.56,28.22,29.91,29.31,28.09,27.03,25.34,22.88,20.56,17.84,15.03,12.5,12.41,13.66,16.66,22.5,28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91,-29.28,-29.09,-26.94,-25.59,-24.25,-23.5,-24.03,-23.75,-24.0,-24.59,-23.72,-22.94:28.09,27.03,25.34,22.88,20.56,17.84,15.03,12.5,12.41,13.66,16.66,22.5,28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91,-29.28,-29.09,-26.94,-25.59,-24.25,-23.5,-24.03,-23.75,-24.0,-24.59,-23.72,-22.94,-21.53,-20.72,-18.53,-17.59,-16.03,-14.31:15.03,12.5,12.41,13.66,16.66,22.5,28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91,-29.28,-29.09,-26.94,-25.59,-24.25,-23.5,-24.03,-23.75,-24.0,-24.59,-23.72,-22.94,-21.53,-20.72,-18.53,-17.59,-16.03,-14.31,-12.5,-13.03,-14.03,-15.88,-20.03,-24.59:28.41,35.84,40.91,45.31,47.81,46.56,44.12,39.19,34.19,30.97,28.31,28.31,29.62,31.34,32.97,32.5,32.16,30.5,28.84,26.59,24.72,21.56,18.16,15.56,12.31,10.06,9.78,9.75,10.56,12.28,13.44,15.56,15.81,17.81,19.0,18.28,19.19,18.19,16.5,15.12,13.84,11.38,9.53,8.0,4.94,2.56,0.56,-0.66,-2.34,-2.59,-2.72,-4.28,-3.72,-3.72,-3.22,-2.66,-2.31,-2.44,-2.03,-2.03,-2.12,-1.97,0.66,2.88,5.44,9.62,13.16,15.84,17.38,19.41,20.41,20.38,19.25,17.94,16.81,15.0,14.09,14.31,13.28,14.5,13.97,15.0,14.91,15.06,16.25,14.84,15.28,14.03,12.38,10.28,9.03,7.12,5.38,5.31,3.88,4.12,3.69,4.34,4.53,4.12,3.53,2.5,0.81,-1.12,-2.44,-3.94,-4.59,-4.59,-3.84,-4.16,-2.25,0.28,1.44,3.41,4.31,4.81,3.19,2.53,1.91,-0.53,-0.81,-1.47,-2.84,-2.31,-2.09,-1.16,0.53,2.5,3.84,5.81,8.53,11.22,14.19,16.28,17.81,17.94,16.78,14.94,13.34,11.56,10.0,9.38,9.91,8.53,9.72,10.62,11.72,11.41,11.34,10.22,8.06,6.25,4.44,2.31,1.09,-1.03,-3.28,-4.72,-5.59,-8.59,-8.84,-9.94,-9.5,-10.22,-8.53,-7.06,-7.78,-7.5,-7.31,-9.62,-11.56,-13.38,-16.22,-17.56,-18.38,-17.53,-15.47,-12.28,-8.25,-4.94,-1.28,2.31,4.12,5.41,6.62,7.44,8.06,8.19,8.62,9.66,8.88,9.0,10.28,10.03,10.16,10.72,11.19,10.84,11.69,11.12,9.69,9.41,9.12,9.81,12.19,15.12,18.06,19.44,20.66,19.38,17.84,16.19,13.25,11.47,8.75,7.44,5.84,5.59,6.34,5.06,5.69,5.69,6.25,7.97,10.44,11.25,14.0,15.59,16.69,17.38,17.91,17.69,17.12,16.62,17.0,17.31,18.75,19.66,19.44,19.34,18.94,17.81,16.03,15.0,13.53,11.94,10.62,10.09,11.12,11.31,12.38,13.12,15.16,16.66,17.75,19.06,17.94,17.03,14.59,12.53,10.38,8.34,6.47,5.66,5.28,5.44,4.44,3.53,2.41,1.0,-0.41,-0.56,-0.59,0.91,1.88,3.97,7.31,9.53,11.62,13.78,12.56,11.28,8.69,6.62,5.19,3.75,3.06,3.31,2.5,1.66,2.62,2.56,1.03,0.31,-0.53,-2.59,-4.41,-3.84,-4.22,-2.47,-1.16,0.94,4.03,5.78,6.84,7.97,7.38,6.16,5.53,4.31,4.94,5.41,5.72,6.97,7.41,7.81,8.53,7.16,6.75,5.53,3.19,1.25,-0.72,-4.31,-5.78,-8.16,-9.03,-9.09,-8.75,-9.09,-7.59,-6.19,-5.22,-2.94,-0.44,0.75,2.94,4.75,4.78,5.16,5.38,2.44,-0.06,-3.31,-5.72,-7.91,-8.41,-8.09,-6.72,-4.97,-2.03,1.16,5.78,8.03,10.72,12.06,11.66,10.09,7.31,3.69,-0.59,-4.72,-6.34,-7.91,-7.59,-6.97,-5.66,-4.22,-3.06,-1.72,1.16,3.53,6.06,7.72,9.59,9.62,9.91,10.38,9.06,8.97,9.31,7.66,8.25,7.06,7.16,5.38,4.72,4.19,2.88,2.06,2.62,2.03,2.19,2.59,2.75,3.03,3.56,4.78,5.56,6.5,5.41,3.66,2.62,-0.19,-1.03,-0.75,0.94,2.19,3.25,2.75,1.06,-0.59,-3.28,-4.47,-5.44,-3.97,-2.84,-0.53,2.88,5.38,8.03,10.5,12.97,14.78,15.09,16.56,15.44,14.69,13.31,11.5,9.78,7.44,6.25,5.0,2.06,2.28,1.62,0.09,1.91,0.94,0.81,0.41,-0.09,1.34,2.03,4.06,5.88,8.56,8.06,8.31,7.41,5.38,2.81,2.25,0.97,-0.03,-0.56,-1.16,-1.59,-1.22,-1.59,-1.31,-1.84,-3.19,-4.25,-5.72,-7.78,-9.44,-9.16,-7.81,-8.47,-7.22,-6.12,-5.91,-6.19,-5.34,-4.53,-2.69,-1.03,2.06,5.41,7.56,10.91,12.88,13.25,13.75,12.5,10.56,7.47,4.69,2.94,1.72,0.66,1.97,3.69,6.31,8.38,10.69,12.5,12.88,13.0,11.16,9.56,7.16,4.56,1.34,-1.16,-4.66,-6.09,-7.72,-5.97,-6.06,-5.12,-3.34,-2.91,-1.69,-2.0,-0.47,0.34,1.28,3.94,5.81,8.66,11.91,12.91,14.53,15.16,15.19,14.94,14.0,12.81,10.62,9.66,7.22,6.19,5.88,5.66,6.88,8.72,11.56,16.0,21.31,26.16,26.5,27.28,24.66,21.41,16.91,15.34,12.94,12.38,12.41,11.72,13.19,12.91,12.56,12.41,12.91,11.59,11.62,10.88,9.75,6.31,4.03,1.53,-1.59,-2.06,-3.59,-3.09,-3.31,-2.16,-1.91,0.78,2.31,5.06,8.16,9.06,10.94,11.12,10.53,9.12,8.69,6.91,5.19,2.94,-0.03,-2.44,-4.22,-6.59,-7.44,-6.84,-5.97,-5.91,-4.78,-3.81,-2.53,-0.69,2.16,4.44,6.28,9.38,10.53,12.69,14.62,15.44,16.38,14.97,11.47,9.28,5.5,2.22,-0.34,-1.72,-3.0,-2.41,-2.25,-1.31,0.16,1.06,0.94,1.62,1.44,1.22,1.44,0.06,0.06,-0.06,0.56,0.94,2.16,3.53,4.75,5.59,7.78,8.22,8.97,10.56,10.47,11.25,10.94,10.38,9.62,8.28,7.53,7.53,7.91,8.41,8.16,8.28,7.56,6.22,5.94,5.69,6.5,7.16,9.41,11.47,12.91,14.0,13.25,12.41,11.38,10.56,10.97,12.25,11.81,13.53,13.31,14.16,13.25,14.16,13.62,13.5,12.97,12.44,11.78,10.62,10.09,10.09,11.41,11.81,12.91,15.0,17.03,18.62,19.06,19.44,19.34,17.97,17.28,16.09,14.5,15.31,13.97,14.31,14.56,14.12,13.44,13.25,13.22,14.0,14.66,15.94,15.72,15.44,16.81,15.53,15.16,14.97,14.56,13.94,14.03,15.5,16.34,17.97,20.72,21.81,22.22,22.38,22.53,23.03,22.06,21.94,20.84,19.31,16.72,14.16,11.38,8.22,5.53,3.62,3.12,4.53,6.44,8.59,11.56,13.25,14.81,16.28,16.47,17.56,16.78,16.59,17.94,16.84,17.66,18.81,18.19,18.78,18.69,19.03,18.25,17.78,17.72,17.03,18.41,19.34,20.94,22.12,23.69,24.78,25.88,26.53,26.22,26.62,25.72,24.41,23.16,21.69,20.47,19.56,18.28,17.94,18.19,19.06,18.28,18.16,17.25,15.78,14.66,13.25,14.44,13.12,12.28,13.25,13.41,15.38,17.31,18.72,20.88,21.41,22.06,23.16,25.75,27.19,29.03,30.09,29.34,27.12,25.28,22.41,22.34,22.88,23.97,26.75,28.0,31.06,30.56,30.72,29.81,27.19,24.69,23.34,20.81,20.22,19.69,18.88,18.12,18.94,19.62,19.44,20.41,20.62,19.12,18.53,18.0,17.81,19.16,19.0,21.25,21.34,20.72,19.56,17.97,15.28,12.81,10.28,8.5,6.66,6.94,7.59,10.66,12.25,16.41,18.97,21.28,23.22,23.28,23.78,23.53,22.84,22.41,22.0,21.53,20.06,19.0,18.47,16.62,15.81,14.06,12.75,11.47,9.44,6.81,4.56,1.91,-29.28,-29.09,-26.94,-25.59,-24.25,-23.5,-24.03,-23.75,-24.0,-24.59,-23.72,-22.94,-21.53,-20.72,-18.53,-17.59,-16.03,-14.31,-12.5,-13.03,-14.03,-15.88,-20.03,-24.59,-28.84,-33.28,-35.09,-34.88,-33.38,-30.53:positivity
9.62,9.41,9.84,10.81,10.94,12.41,12.53,12.62,12.31,10.75,8.94,8.03,4.78,8.5,8.12,11.31,14.94,17.62,18.22,18.84,19.16,17.84,17.84,17.0,15.88,14.0,11.66,8.94,5.59,5.25,4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5:12.53,12.62,12.31,10.75,8.94,8.03,4.78,8.5,8.12,11.31,14.94,17.62,18.22,18.84,19.16,17.84,17.84,17.0,15.88,14.0,11.66,8.94,5.59,5.25,4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5,-55.81,-54.31,-53.09,-50.22,-48.75,-47.88:4.78,8.5,8.12,11.31,14.94,17.62,18.22,18.84,19.16,17.84,17.84,17.0,15.88,14.0,11.66,8.94,5.59,5.25,4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5,-55.81,-54.31,-53.09,-50.22,-48.75,-47.88,-46.59,-46.84,-46.66,-49.16,-49.12,-48.97:18.22,18.84,19.16,17.84,17.84,17.0,15.88,14.0,11.66,8.94,5.59,5.25,4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5,-55.81,-54.31,-53.09,-50.22,-48.75,-47.88,-46.59,-46.84,-46.66,-49.16,-49.12,-48.97,-48.28,-44.84,-42.19,-38.75,-36.97,-35.22:15.88,14.0,11.66,8.94,5.59,5.25,4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5,-55.81,-54.31,-53.09,-50.22,-48.75,-47.88,-46.59,-46.84,-46.66,-49.16,-49.12,-48.97,-48.28,-44.84,-42.19,-38.75,-36.97,-35.22,-35.97,-35.59,-36.72,-38.34,-38.69,-41.38:4.38,3.47,4.69,5.78,5.44,8.0,10.06,12.66,17.41,18.97,21.78,24.59,24.41,25.12,23.09,20.59,18.81,15.12,14.5,11.72,10.78,8.12,4.81,1.44,-4.69,-3.69,-6.34,-6.22,-2.91,0.34,3.56,6.81,8.94,9.44,9.47,8.94,6.94,6.59,4.22,2.03,-0.34,-3.47,-5.66,-6.72,-9.53,-7.06,-6.16,-4.12,0.19,3.66,7.34,10.59,13.5,15.38,16.59,15.25,12.84,9.84,7.09,2.94,4.62,3.81,4.12,6.91,8.44,9.62,11.25,12.28,13.31,14.44,14.03,13.62,12.19,11.22,8.44,7.12,1.97,3.34,1.06,0.66,3.19,3.62,3.47,3.84,4.12,3.94,3.12,4.47,4.56,4.25,3.41,3.59,2.88,1.56,0.28,1.81,0.19,1.22,1.94,5.12,5.94,8.31,11.31,13.5,11.41,15.12,12.62,12.59,11.5,11.28,10.28,9.75,10.31,11.03,11.94,14.38,13.28,15.59,16.19,16.03,18.0,19.09,19.44,20.28,20.06,18.31,18.88,17.22,16.31,14.94,11.5,12.28,8.19,6.75,5.44,4.31,6.72,8.41,12.19,15.94,19.47,22.78,24.44,25.0,25.03,23.38,19.5,18.94,15.25,11.62,12.91,12.38,11.44,12.41,11.66,8.0,8.81,5.97,5.03,6.94,7.69,9.5,10.62,12.44,11.69,10.75,10.72,6.38,6.5,5.22,3.62,5.16,4.41,5.06,5.19,3.84,3.78,4.66,5.34,4.38,7.0,9.16,11.44,13.75,14.12,18.69,19.06,21.53,23.69,24.84,26.19,25.38,24.78,24.28,24.03,23.38,22.88,21.88,19.66,17.38,12.09,11.97,9.31,8.09,8.56,10.25,8.72,7.06,6.09,3.81,2.41,3.41,5.59,6.5,8.88,8.41,7.25,7.25,6.66,6.5,7.25,6.5,6.09,4.59,3.41,3.09,4.06,4.12,3.25,5.53,5.06,5.66,7.12,8.53,9.84,9.84,11.47,10.84,12.69,12.06,12.5,10.94,11.34,11.31,10.88,11.5,9.44,11.78,10.19,9.41,10.84,10.88,10.5,11.66,11.0,12.06,12.69,12.72,13.22,12.66,11.94,8.28,8.44,5.91,6.72,6.12,5.44,3.47,2.84,1.44,0.62,-0.28,-1.09,0.38,0.16,0.22,0.53,1.16,-0.91,-3.16,-4.72,-5.44,-7.28,-7.34,-6.97,-6.03,-3.88,-2.53,0.34,1.97,0.06,2.0,2.06,1.25,4.47,7.5,8.91,9.97,11.0,11.28,11.19,10.0,10.59,9.28,7.84,6.16,4.69,2.88,-0.06,-0.16,-1.16,-2.41,-2.72,-2.59,-2.66,-2.53,0.03,3.41,4.88,7.62,10.69,9.94,10.16,8.69,6.12,1.53,-3.28,-6.59,-9.78,-11.59,-11.72,-12.84,-11.62,-9.91,-9.09,-4.66,-2.59,-1.66,-1.97,-2.81,-4.03,-3.59,-1.97,-1.72,-1.47,1.06,0.22,1.69,5.78,6.78,10.62,12.34,12.94,12.25,11.66,8.5,4.06,3.53,1.88,0.91,3.09,4.38,4.66,4.5,4.41,3.5,2.44,1.38,2.69,2.03,1.03,4.91,4.38,4.84,6.06,5.66,5.47,3.47,2.53,2.56,0.94,0.94,2.78,4.41,6.97,10.19,10.88,15.69,16.91,17.56,18.5,19.28,16.31,13.38,11.91,6.34,4.19,1.06,-2.56,-5.03,-7.44,-10.88,-8.59,-9.59,-7.72,-4.66,-3.97,-2.34,-1.06,-0.84,0.47,1.25,1.94,0.59,2.31,1.75,2.56,3.78,5.75,5.0,4.41,3.94,3.0,1.75,1.5,-2.5,-0.97,-2.47,-2.97,-2.38,-1.59,-2.72,-1.59,-1.28,-1.38,-0.56,-0.22,0.06,0.75,0.91,2.28,-0.97,0.12,0.56,-1.19,0.25,1.88,2.0,2.5,2.34,0.78,2.0,0.12,1.97,2.28,0.78,3.0,2.66,1.88,1.53,1.19,0.94,1.62,1.94,3.97,5.28,6.53,7.31,7.91,7.34,7.44,4.72,4.94,4.66,4.81,6.56,8.91,9.91,11.47,11.94,11.31,10.03,9.31,5.16,7.72,6.81,7.34,8.44,9.22,9.66,7.66,6.62,5.06,4.34,2.88,2.16,-0.91,1.44,0.0,1.38,3.16,6.81,7.62,8.81,10.28,10.41,10.16,10.94,8.31,11.19,11.69,10.0,13.31,14.0,14.19,13.97,14.22,11.69,10.62,8.94,7.19,5.44,4.88,3.72,4.03,5.41,4.5,8.91,9.91,12.38,14.88,15.91,17.81,17.19,16.16,15.44,13.69,12.41,11.72,10.41,11.0,8.06,10.16,8.81,8.81,9.59,9.88,10.34,10.19,10.25,11.22,12.0,11.84,13.5,13.5,11.06,12.06,9.62,8.91,7.5,8.84,7.38,8.34,8.12,8.44,9.94,11.41,9.81,12.66,13.47,13.69,14.53,14.66,12.66,9.56,6.62,4.03,2.69,1.62,2.5,2.69,2.56,2.0,2.75,4.72,6.03,9.31,11.97,13.38,14.16,14.78,15.56,17.16,19.53,20.69,23.38,23.84,22.91,20.19,20.34,15.38,13.78,12.53,8.09,5.75,3.0,0.12,-1.16,-2.09,-1.31,-0.41,0.25,3.97,4.94,6.53,9.75,8.78,9.69,9.69,8.25,7.56,7.47,6.69,6.44,5.0,0.59,1.59,-0.62,-1.41,-0.19,1.41,1.62,2.03,2.19,2.56,2.69,3.19,4.91,6.03,8.62,11.44,14.41,16.72,18.41,17.91,14.66,14.72,11.25,9.94,8.03,6.72,4.75,1.44,-0.66,-1.72,-2.09,-1.59,-3.22,1.03,-0.34,0.38,1.97,3.28,4.34,5.34,6.5,6.31,7.19,7.12,7.25,6.38,5.97,5.72,2.72,4.81,3.44,4.31,4.22,4.38,3.47,2.78,0.66,1.66,0.0,-0.66,-2.78,-2.25,-3.91,-1.97,1.44,3.59,5.84,7.12,7.5,5.69,0.62,1.78,-1.94,-2.47,-1.34,-1.28,-0.78,0.28,-1.03,-0.66,-1.0,-2.41,-1.94,-5.06,-3.69,-5.12,-4.28,-3.03,-1.03,1.06,3.91,7.31,9.28,9.16,11.69,9.91,8.75,8.31,7.69,7.0,6.0,3.56,1.66,0.16,-0.62,0.69,2.31,3.56,5.81,8.0,7.81,5.84,7.62,5.25,5.59,6.91,6.66,5.97,5.0,4.88,1.41,4.41,2.69,2.16,2.41,1.16,0.12,-0.03,-0.16,-0.62,-0.12,0.34,-2.31,-3.72,-5.16,-6.22,-6.78,-5.72,-3.34,-1.78,-1.44,-0.97,-0.66,-1.47,-2.56,-3.72,-5.91,-5.28,-6.84,-6.16,-5.97,-6.06,-6.09,-6.28,-7.16,-6.44,-6.22,-8.53,-6.28,-7.78,-6.06,-3.09,-1.19,2.38,4.91,5.38,4.53,2.66,-1.09,-4.81,-7.69,-10.72,-16.81,-16.06,-18.66,-19.5,-18.38,-16.91,-16.59,-13.09,-14.12,-9.47,-7.09,-7.22,-6.0,-5.28,-6.0,-6.06,-4.81,-4.19,-1.09,0.69,1.72,2.88,2.12,0.81,-0.34,1.06,0.88,3.31,6.5,8.5,9.0,10.31,9.31,8.84,9.31,10.69,12.03,13.41,15.19,14.75,14.41,12.78,12.19,11.0,8.84,5.19,5.22,2.28,1.16,1.16,1.34,2.94,2.06,2.34,2.22,3.0,3.5,3.22,2.91,1.41,1.94,0.06,-0.53,1.06,0.0,0.16,0.72,1.66,2.5,-55.81,-54.31,-53.09,-50.22,-48.75,-47.88,-46.59,-46.84,-46.66,-49.16,-49.12,-48.97,-48.28,-44.84,-42.19,-38.75,-36.97,-35.22,-35.97,-35.59,-36.72,-38.34,-38.69,-41.38,-40.53,-42.34,-43.66,-44.75,-46.28,-48.34:positivity
28.81,29.09,28.16,27.03,24.59,21.34,18.53,15.22,12.16,10.19,7.91,7.41,6.59,6.09,7.12,8.09,9.12,11.53,14.22,15.12,16.22,17.66,17.94,17.88,18.88,20.31,21.91,23.78,24.66,24.66,23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06:18.53,15.22,12.16,10.19,7.91,7.41,6.59,6.09,7.12,8.09,9.12,11.53,14.22,15.12,16.22,17.66,17.94,17.88,18.88,20.31,21.91,23.78,24.66,24.66,23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06,-16.72,-16.56,-17.97,-20.5,-22.88,-26.22:6.59,6.09,7.12,8.09,9.12,11.53,14.22,15.12,16.22,17.66,17.94,17.88,18.88,20.31,21.91,23.78,24.66,24.66,23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06,-16.72,-16.56,-17.97,-20.5,-22.88,-26.22,-28.06,-31.47,-35.03,-36.47,-38.69,-39.0:14.22,15.12,16.22,17.66,17.94,17.88,18.88,20.31,21.91,23.78,24.66,24.66,23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06,-16.72,-16.56,-17.97,-20.5,-22.88,-26.22,-28.06,-31.47,-35.03,-36.47,-38.69,-39.0,-37.72,-36.56,-34.22,-32.47,-30.19,-28.53:18.88,20.31,21.91,23.78,24.66,24.66,23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06,-16.72,-16.56,-17.97,-20.5,-22.88,-26.22,-28.06,-31.47,-35.03,-36.47,-38.69,-39.0,-37.72,-36.56,-34.22,-32.47,-30.19,-28.53,-28.69,-28.03,-27.44,-28.06,-27.69,-27.44:23.53,21.31,19.41,17.0,16.66,16.81,16.78,18.59,19.19,20.19,20.56,20.62,22.0,22.81,23.44,23.97,24.69,26.25,28.03,28.91,31.19,32.12,32.56,32.12,32.31,32.16,29.19,28.72,27.06,24.81,22.5,19.38,16.81,13.19,9.56,5.84,4.12,1.47,-0.59,-0.94,-1.72,-1.25,0.28,3.06,6.03,8.62,10.44,11.19,11.06,10.06,9.28,8.12,8.16,9.19,9.88,11.5,12.81,13.75,14.53,14.53,13.66,14.22,11.53,10.06,7.31,6.06,5.28,4.56,5.19,6.81,5.78,7.03,8.0,7.34,8.38,8.19,7.16,5.5,3.78,1.97,0.91,0.06,0.28,0.94,2.69,3.75,5.59,7.06,7.31,8.0,9.09,9.5,10.19,10.72,10.66,11.09,10.28,10.06,9.97,9.72,9.91,9.75,10.16,10.91,11.34,12.62,13.06,13.12,13.47,13.78,12.69,12.53,11.38,10.62,10.75,11.31,12.41,13.72,15.22,16.28,17.38,16.66,16.97,16.06,13.81,11.97,10.88,8.31,6.94,6.12,6.16,6.66,7.81,9.16,10.66,13.5,13.72,14.81,15.06,14.0,12.0,10.19,9.44,8.88,8.94,10.09,10.22,9.53,8.06,4.31,0.72,-2.47,-6.09,-8.72,-10.94,-12.78,-14.44,-15.47,-16.88,-15.97,-14.31,-11.59,-9.41,-6.38,-2.91,0.34,2.56,5.09,7.28,8.69,9.44,10.66,11.44,11.03,11.34,11.12,10.5,9.5,8.91,8.12,7.06,6.41,5.47,4.78,5.16,5.12,5.5,6.62,7.19,8.0,8.28,9.56,11.62,13.16,13.84,14.88,15.34,14.09,13.34,12.06,10.66,9.0,7.34,6.66,5.62,5.62,5.12,4.88,4.19,4.22,1.94,2.25,1.16,0.44,1.06,1.72,3.56,6.28,10.91,16.28,18.84,21.12,22.41,20.31,17.34,12.84,8.28,4.47,-0.34,-4.22,-6.72,-8.41,-9.81,-9.56,-7.47,-4.56,-1.25,3.62,7.91,11.06,12.78,15.5,16.44,17.44,17.28,17.41,16.16,14.19,11.81,9.06,7.25,5.38,5.81,6.31,7.31,9.22,10.06,10.06,10.25,9.59,9.12,9.28,10.34,10.41,10.97,10.62,9.44,7.62,6.06,4.84,3.16,2.34,1.25,0.5,0.88,-0.09,-0.22,-0.19,0.0,1.16,2.0,3.06,4.31,4.78,4.53,4.19,4.38,3.19,2.16,1.66,-0.06,-1.53,-2.28,-3.03,-3.47,-3.06,-1.69,-0.34,0.94,3.12,4.66,5.81,6.41,6.19,5.84,3.94,1.94,-0.53,-2.94,-5.0,-8.03,-9.81,-11.78,-13.34,-14.41,-14.25,-12.75,-9.78,-6.22,-1.56,3.06,5.84,7.78,8.25,7.47,4.69,1.91,-1.09,-5.09,-8.03,-8.94,-10.84,-11.19,-10.53,-8.47,-8.38,-6.22,-3.53,-0.72,2.16,5.78,9.0,11.06,11.41,11.34,11.34,8.44,6.03,2.22,-2.88,-7.31,-11.03,-12.97,-13.22,-11.75,-9.31,-7.44,-6.56,-6.03,-5.72,-5.56,-5.94,-5.81,-5.66,-6.44,-7.62,-9.41,-11.47,-14.34,-15.84,-16.09,-14.72,-13.84,-11.19,-9.34,-8.34,-6.91,-5.84,-3.88,-2.28,-0.03,1.5,1.53,0.91,-0.38,-2.59,-3.09,-3.12,-2.75,-1.59,-0.62,0.66,1.31,2.72,3.38,3.09,4.5,5.06,4.41,3.97,2.56,0.94,-0.34,-2.16,-3.19,-2.97,-3.22,-3.97,-5.03,-6.31,-8.0,-8.28,-7.5,-7.72,-7.47,-6.66,-6.78,-6.47,-5.44,-3.22,-0.44,1.28,2.56,2.19,0.5,-1.88,-3.09,-5.0,-5.5,-5.78,-5.19,-4.69,-3.53,-2.03,-1.22,-1.16,-2.34,-3.88,-5.16,-5.97,-6.31,-5.84,-4.12,-3.78,-1.47,-0.19,0.38,0.69,0.94,-0.22,-1.78,-2.03,-2.91,-3.53,-4.59,-4.53,-4.44,-5.47,-5.34,-6.34,-7.22,-8.19,-9.56,-10.25,-10.44,-9.72,-8.72,-7.03,-4.84,-3.94,-3.5,-3.16,-3.47,-3.94,-4.78,-6.94,-7.69,-9.47,-10.81,-11.34,-11.66,-11.03,-9.66,-7.94,-6.03,-4.66,-4.34,-4.59,-5.53,-6.78,-7.72,-8.28,-8.41,-7.56,-5.72,-4.56,-3.91,-2.72,-3.16,-3.78,-4.69,-5.22,-4.88,-4.41,-3.72,-3.0,-3.69,-4.81,-6.84,-7.28,-8.09,-7.66,-6.41,-4.53,-1.88,0.16,2.06,2.78,2.91,2.44,0.78,-0.53,-1.38,-1.94,-2.06,-1.59,-1.28,-1.69,-1.72,-3.16,-3.91,-6.06,-6.69,-7.91,-8.38,-7.19,-6.53,-4.03,-1.62,1.94,5.31,8.22,10.69,12.53,13.94,14.94,14.88,15.03,14.34,13.62,12.31,10.28,9.09,7.56,5.47,4.66,3.97,2.78,4.03,4.5,5.25,6.16,7.25,7.09,6.56,6.84,6.09,5.41,5.19,4.28,4.84,5.09,5.62,5.38,5.28,3.97,1.38,-0.66,-2.62,-4.31,-3.94,-3.22,-0.34,3.66,7.62,13.0,18.34,21.59,21.56,21.56,18.66,15.53,13.56,12.06,12.0,12.78,13.66,14.0,15.09,14.84,14.69,15.0,14.91,15.53,16.47,16.94,17.59,17.59,17.44,16.0,15.16,14.5,13.0,12.72,12.22,12.44,13.22,14.03,14.19,15.5,14.91,13.31,11.97,9.09,6.31,3.56,2.16,1.66,1.22,2.5,4.94,7.03,10.5,13.44,15.5,16.81,16.84,16.16,15.12,14.06,13.34,12.78,12.41,12.31,13.16,13.41,13.94,15.0,15.81,16.44,17.28,17.62,18.94,19.31,19.41,19.34,19.44,18.84,18.16,16.66,16.16,14.38,13.53,13.84,13.19,13.31,13.28,12.66,11.12,8.5,6.22,3.97,1.69,0.16,0.0,-0.03,0.91,1.97,3.41,4.69,6.06,7.66,8.44,8.78,9.19,8.31,6.59,4.5,3.44,1.44,0.44,-0.06,-1.59,-1.88,-2.41,-3.0,-3.19,-1.78,-0.22,0.41,1.09,1.91,0.94,0.56,-0.84,-1.66,-1.84,-2.03,-1.41,-0.72,-1.09,-1.78,-2.66,-3.41,-3.34,-3.72,-3.72,-4.06,-4.59,-5.12,-6.12,-5.84,-6.47,-6.75,-6.34,-6.97,-6.91,-6.53,-6.09,-5.03,-3.47,-2.88,-1.56,-1.5,-1.31,-1.94,-2.41,-2.5,-3.09,-2.66,-2.03,-1.34,-0.66,0.41,1.0,1.59,0.78,0.72,-0.84,-0.88,-1.0,-0.16,1.0,1.94,3.62,3.84,3.44,3.0,1.97,0.81,0.5,-0.66,-0.59,-0.09,0.12,-0.09,-0.16,-0.41,-1.19,-1.12,-0.84,-1.41,-1.22,-1.31,-1.78,-1.84,-1.56,-1.16,-0.84,-1.22,-1.09,-0.94,-1.09,-1.56,-1.94,-2.0,-2.44,-3.19,-2.34,-1.34,0.25,2.34,3.69,4.22,3.66,2.72,1.06,-0.91,-2.38,-3.69,-4.28,-3.41,-3.5,-1.84,0.03,1.69,3.09,4.12,4.75,5.09,4.88,5.56,6.06,5.84,5.44,4.09,2.84,0.91,-1.34,-2.0,-3.47,-4.03,-3.59,-3.72,-3.03,-2.72,-1.91,-0.84,-0.69,-0.34,0.69,1.69,2.62,3.81,5.16,4.88,5.81,6.53,7.56,9.38,11.78,14.28,15.94,17.0,16.47,14.66,11.94,7.91,4.0,1.28,-1.69,-3.09,-3.97,-5.09,-6.25,-6.88,-6.91,-7.66,-8.97,-11.66,-14.66,-18.53,-22.66,-26.28,-28.28,-30.06,-16.72,-16.56,-17.97,-20.5,-22.88,-26.22,-28.06,-31.47,-35.03,-36.47,-38.69,-39.0,-37.72,-36.56,-34.22,-32.47,-30.19,-28.53,-28.69,-28.03,-27.44,-28.06,-27.69,-27.44,-27.66,-27.47,-27.38,-27.28,-27.09,-26.69:positivity
24.38,24.75,25.03,27.94,30.25,33.03,34.5,36.47,36.44,36.22,35.47,33.5,32.53,31.47,30.06,29.84,28.06,27.47,27.06,26.62,27.69,28.31,29.75,31.5,31.09,32.31,31.19,32.25,31.69,32.41,32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66:34.5,36.47,36.44,36.22,35.47,33.5,32.53,31.47,30.06,29.84,28.06,27.47,27.06,26.62,27.69,28.31,29.75,31.5,31.09,32.31,31.19,32.25,31.69,32.41,32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66,-7.56,-7.19,-5.84,-3.41,-0.22,3.06:32.53,31.47,30.06,29.84,28.06,27.47,27.06,26.62,27.69,28.31,29.75,31.5,31.09,32.31,31.19,32.25,31.69,32.41,32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66,-7.56,-7.19,-5.84,-3.41,-0.22,3.06,5.41,6.72,6.5,4.81,2.78,-0.16:27.06,26.62,27.69,28.31,29.75,31.5,31.09,32.31,31.19,32.25,31.69,32.41,32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66,-7.56,-7.19,-5.84,-3.41,-0.22,3.06,5.41,6.72,6.5,4.81,2.78,-0.16,-2.78,-4.44,-5.97,-7.25,-7.59,-7.59:31.09,32.31,31.19,32.25,31.69,32.41,32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66,-7.56,-7.19,-5.84,-3.41,-0.22,3.06,5.41,6.72,6.5,4.81,2.78,-0.16,-2.78,-4.44,-5.97,-7.25,-7.59,-7.59,-7.16,-6.41,-5.28,-3.84,-2.16,-0.97:32.16,32.56,31.69,31.28,30.91,31.12,32.16,33.28,35.25,35.81,36.06,35.16,33.66,32.62,32.19,32.5,34.91,37.62,40.28,42.03,42.44,42.91,41.69,40.94,40.81,40.62,41.78,42.03,43.0,42.75,42.5,41.16,38.81,36.56,32.94,29.38,26.62,24.06,23.19,24.28,25.12,26.62,28.41,29.69,30.66,30.25,29.47,27.62,25.59,23.09,22.19,21.09,21.12,22.19,22.25,22.5,22.41,21.06,20.38,19.25,18.06,17.75,17.97,18.44,19.72,23.16,25.56,28.22,29.91,30.34,29.78,26.97,24.5,21.62,17.97,15.44,12.56,9.5,7.34,6.28,5.62,5.53,5.69,7.38,8.16,8.69,9.75,11.44,12.41,14.81,16.31,17.81,20.0,20.06,20.5,20.81,21.5,21.66,21.97,22.69,22.16,21.28,20.91,19.06,17.34,18.12,19.09,20.47,22.59,24.72,27.31,28.25,29.44,30.66,31.22,30.97,30.84,29.62,29.06,28.19,28.28,29.28,29.88,30.62,31.44,32.38,31.59,31.88,31.78,31.41,32.38,33.0,35.19,38.0,40.28,42.09,43.03,41.69,38.66,34.12,30.12,26.5,22.56,20.59,19.56,19.5,19.22,20.56,21.38,22.19,22.84,24.62,25.72,26.06,27.44,28.12,28.5,29.34,30.59,32.12,33.88,35.25,36.91,37.22,37.25,37.59,37.53,37.06,37.19,36.19,36.12,35.09,33.81,32.25,29.69,27.72,27.69,28.34,29.69,32.75,34.69,35.97,38.38,39.94,39.25,41.16,40.97,39.75,38.16,36.94,34.59,32.62,30.16,28.38,27.16,26.03,26.12,27.56,29.28,30.03,31.22,32.38,33.41,33.88,35.0,35.94,35.47,35.81,35.28,34.66,35.41,34.94,33.72,32.38,29.5,27.09,25.0,23.25,24.09,25.28,27.56,29.38,31.34,33.12,33.75,33.91,33.56,32.38,30.56,29.06,27.0,25.84,24.94,24.59,24.41,24.88,24.81,25.19,26.66,28.16,29.59,31.06,33.34,36.31,37.34,39.59,40.06,38.25,36.25,32.91,28.06,25.25,22.44,20.81,20.25,21.44,23.0,25.25,27.78,30.44,31.91,33.16,34.53,35.56,36.66,38.25,39.56,39.09,38.94,37.0,33.81,31.34,27.75,26.47,25.69,26.69,28.78,31.59,35.62,39.75,43.72,47.69,49.25,49.38,47.72,44.44,40.5,37.75,35.91,34.81,34.44,33.97,32.28,29.81,27.03,24.41,21.5,19.19,17.66,17.91,18.94,20.66,23.72,27.66,32.25,35.94,39.72,41.91,42.88,42.69,41.09,38.72,35.41,32.19,29.53,27.94,26.41,25.78,25.53,26.03,26.78,28.09,30.72,31.81,33.62,34.28,35.56,37.31,37.78,39.28,40.62,41.62,41.44,41.44,41.03,40.34,39.91,39.06,38.03,36.19,34.75,32.19,30.03,27.62,26.19,24.62,24.41,24.59,25.56,25.53,27.34,27.16,27.16,27.69,27.38,27.19,28.28,29.19,30.31,31.78,33.88,34.78,36.44,36.09,35.75,33.78,31.59,29.28,27.34,24.19,22.22,21.69,20.34,20.5,21.56,22.06,22.84,23.0,22.16,21.38,21.25,20.53,20.69,20.38,20.44,20.62,21.56,24.31,25.84,28.25,30.34,29.53,29.41,29.28,28.31,27.62,28.09,28.19,28.56,28.66,28.75,28.5,28.44,28.12,28.0,27.94,28.31,28.62,29.28,29.94,30.84,31.75,32.78,32.84,34.09,34.06,33.62,33.75,32.28,30.56,29.19,27.31,27.03,27.16,27.09,29.0,30.38,32.5,33.94,35.78,37.12,37.81,38.81,39.38,40.25,40.78,39.44,39.03,37.66,36.12,35.12,34.38,33.25,33.28,32.47,32.5,33.16,33.28,34.69,36.38,37.84,40.19,41.31,41.91,41.94,40.94,39.47,38.53,37.91,37.59,36.88,36.31,35.12,34.56,32.78,30.12,28.0,24.75,22.19,20.03,18.53,18.81,19.69,20.94,23.5,24.5,25.16,25.75,26.16,25.97,25.91,27.59,28.16,28.91,30.56,31.97,33.56,34.16,34.31,35.16,34.41,34.84,33.62,34.0,33.44,33.22,33.31,33.62,33.59,34.12,33.12,31.03,29.72,28.47,27.81,27.91,27.75,27.44,26.09,24.5,23.56,22.03,21.34,21.0,21.16,21.41,21.75,23.06,23.44,24.94,26.28,27.16,27.91,28.62,28.5,28.5,28.41,29.34,30.03,31.06,32.78,33.75,34.12,34.62,34.03,33.81,33.22,31.19,31.19,30.28,29.91,30.94,32.66,33.94,36.31,37.28,38.69,39.31,39.53,39.34,38.94,38.56,37.28,37.12,36.59,36.56,36.53,35.81,35.19,34.81,34.19,34.03,33.81,33.53,34.12,34.25,34.31,36.81,37.59,38.81,39.56,40.19,38.91,38.06,37.53,35.66,35.22,34.12,33.41,32.81,31.94,31.47,31.34,32.56,33.34,33.5,34.75,35.12,34.66,33.94,32.25,31.88,30.81,29.28,28.59,28.44,28.06,27.72,27.88,26.81,25.81,23.94,22.38,20.69,19.84,19.53,19.44,20.25,21.12,21.62,23.22,23.94,25.28,25.03,24.97,24.78,23.66,23.81,23.84,24.28,25.12,25.31,26.0,25.69,25.44,24.25,24.12,23.81,24.41,24.69,26.25,26.25,26.78,26.72,25.56,25.19,24.97,25.59,27.38,29.28,31.91,35.25,38.06,40.28,42.66,43.91,44.69,44.84,44.0,41.53,38.84,36.03,32.81,30.38,28.31,27.06,25.16,23.81,24.56,25.03,26.06,27.88,29.22,29.84,30.16,30.03,29.16,28.09,27.34,26.28,24.06,22.78,21.41,20.81,20.34,20.44,20.31,21.5,22.53,23.88,25.34,26.28,26.88,27.12,27.88,27.47,27.66,28.56,27.41,27.94,27.56,27.91,27.81,27.88,28.88,29.44,29.47,30.31,30.94,31.06,30.56,30.25,29.09,27.72,26.12,24.75,24.0,24.06,23.97,25.28,26.03,26.12,27.56,27.56,27.84,27.91,28.5,27.69,27.56,27.19,26.81,26.19,26.69,25.97,26.47,25.5,24.12,22.34,20.84,18.12,17.75,16.62,15.19,14.75,14.19,13.91,14.12,13.91,14.72,14.69,15.69,16.22,16.44,18.25,18.56,20.5,21.59,23.03,23.75,23.56,23.12,21.31,20.19,17.47,16.19,15.12,14.66,14.66,14.94,14.44,14.56,14.41,12.66,12.38,10.88,9.84,10.12,9.62,10.62,11.97,13.69,15.84,17.06,18.12,17.94,16.91,15.69,14.94,13.81,13.88,13.69,13.81,14.78,16.12,18.34,19.34,22.31,22.5,22.38,23.44,22.62,23.06,23.28,25.09,25.59,25.84,26.19,25.44,24.94,22.62,22.94,22.59,23.31,24.25,25.78,27.16,28.19,29.38,29.62,29.91,29.84,30.06,30.06,30.03,30.75,31.84,32.16,33.91,34.44,34.75,35.12,34.0,33.31,31.72,29.78,28.72,26.28,25.81,24.06,22.78,21.91,21.97,22.5,24.28,26.0,27.19,27.97,28.31,28.56,27.66,26.53,26.5,24.69,25.06,24.12,24.12,24.59,24.41,23.34,23.06,21.94,21.62,21.94,22.62,23.31,23.94,24.5,25.59,26.84,27.91,29.81,29.16,28.78,26.31,23.28,19.66,-7.56,-7.19,-5.84,-3.41,-0.22,3.06,5.41,6.72,6.5,4.81,2.78,-0.16,-2.78,-4.44,-5.97,-7.25,-7.59,-7.59,-7.16,-6.41,-5.28,-3.84,-2.16,-0.97,-1.28,0.28,0.28,1.44,3.03,4.03:positivity
-8.09,-10.34,-11.47,-10.34,-10.12,-10.56,-9.22,-8.38,-6.84,-4.59,-2.12,1.16,3.78,5.94,7.31,6.94,6.53,5.19,3.16,1.06,-0.22,-3.19,-6.22,-7.66,-9.41,-10.88,-10.53,-9.62,-8.22,-6.34,-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19:-9.22,-8.38,-6.84,-4.59,-2.12,1.16,3.78,5.94,7.31,6.94,6.53,5.19,3.16,1.06,-0.22,-3.19,-6.22,-7.66,-9.41,-10.88,-10.53,-9.62,-8.22,-6.34,-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19,-63.81,-66.09,-66.47,-67.84,-68.62,-68.91:3.78,5.94,7.31,6.94,6.53,5.19,3.16,1.06,-0.22,-3.19,-6.22,-7.66,-9.41,-10.88,-10.53,-9.62,-8.22,-6.34,-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19,-63.81,-66.09,-66.47,-67.84,-68.62,-68.91,-69.31,-68.81,-67.91,-65.94,-63.0,-60.22:3.16,1.06,-0.22,-3.19,-6.22,-7.66,-9.41,-10.88,-10.53,-9.62,-8.22,-6.34,-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19,-63.81,-66.09,-66.47,-67.84,-68.62,-68.91,-69.31,-68.81,-67.91,-65.94,-63.0,-60.22,-57.47,-55.91,-54.28,-53.53,-54.06,-53.16:-9.41,-10.88,-10.53,-9.62,-8.22,-6.34,-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19,-63.81,-66.09,-66.47,-67.84,-68.62,-68.91,-69.31,-68.81,-67.91,-65.94,-63.0,-60.22,-57.47,-55.91,-54.28,-53.53,-54.06,-53.16,-52.31,-52.12,-52.06,-53.81,-54.84,-57.12:-4.78,-4.88,-4.62,-5.59,-7.38,-9.41,-9.94,-10.94,-11.22,-11.0,-10.78,-7.66,-6.22,-3.75,-0.66,0.03,1.44,1.28,1.38,0.53,0.69,0.56,-0.22,-0.28,-0.84,-2.91,-4.94,-7.66,-9.09,-11.94,-13.38,-14.47,-16.31,-17.44,-17.31,-17.72,-17.69,-18.22,-19.31,-21.16,-22.59,-24.59,-24.22,-24.91,-24.72,-22.69,-22.59,-21.19,-20.16,-19.06,-19.03,-18.78,-16.91,-16.47,-15.16,-12.84,-11.03,-10.09,-9.94,-9.22,-9.78,-11.66,-13.09,-14.72,-18.91,-20.81,-21.84,-23.19,-22.56,-20.94,-19.41,-18.59,-17.44,-16.62,-15.59,-15.84,-17.84,-18.34,-20.31,-20.34,-20.53,-19.81,-17.75,-17.09,-18.06,-16.06,-17.44,-18.06,-17.22,-17.66,-15.84,-14.03,-13.5,-12.81,-12.22,-12.78,-12.47,-11.78,-11.12,-11.09,-10.72,-10.72,-12.09,-13.84,-15.56,-16.97,-19.09,-20.59,-19.94,-20.03,-19.78,-20.06,-20.72,-20.56,-20.66,-19.88,-18.09,-17.22,-15.22,-12.06,-9.5,-6.97,-5.03,-2.91,-3.56,-3.09,-3.06,-2.72,-2.66,-2.97,-3.16,-3.72,-3.59,-3.81,-4.47,-6.19,-7.28,-9.56,-12.16,-13.5,-15.09,-14.78,-15.84,-17.19,-18.53,-20.72,-23.53,-24.84,-26.19,-26.78,-26.56,-25.03,-22.88,-21.16,-20.31,-18.38,-17.47,-17.78,-17.59,-17.41,-18.84,-18.78,-18.72,-17.78,-17.44,-16.78,-16.53,-16.19,-16.03,-15.91,-15.22,-16.84,-17.22,-19.03,-20.0,-19.69,-20.53,-18.94,-17.44,-16.97,-15.47,-14.56,-13.91,-13.62,-13.72,-14.16,-14.5,-15.66,-16.59,-15.94,-17.12,-16.69,-17.16,-20.09,-21.66,-24.97,-27.56,-29.28,-29.06,-29.69,-28.97,-27.41,-24.72,-22.03,-21.88,-18.47,-19.16,-20.03,-19.59,-19.34,-20.53,-20.66,-20.59,-20.75,-21.56,-21.59,-22.78,-23.06,-23.16,-22.97,-22.72,-21.78,-23.41,-24.22,-26.94,-29.47,-31.75,-33.28,-34.09,-32.72,-32.72,-31.25,-29.22,-27.03,-26.59,-26.0,-24.44,-23.56,-25.25,-26.16,-27.03,-29.22,-31.56,-32.66,-32.34,-32.09,-31.56,-31.38,-30.28,-29.53,-28.31,-27.0,-25.84,-24.0,-24.47,-25.03,-25.72,-25.34,-24.84,-22.69,-22.97,-20.16,-18.72,-18.97,-17.28,-16.56,-15.78,-16.03,-16.16,-15.72,-16.44,-15.03,-16.09,-14.72,-14.06,-14.69,-15.19,-16.44,-19.09,-21.84,-24.22,-27.5,-30.44,-32.59,-34.41,-34.72,-34.16,-32.81,-29.84,-28.44,-27.28,-26.88,-27.97,-30.28,-30.53,-31.5,-32.66,-33.0,-33.28,-33.38,-33.62,-34.53,-33.53,-32.69,-32.84,-30.31,-29.09,-29.19,-29.0,-29.69,-30.41,-30.34,-31.59,-32.34,-33.03,-33.47,-34.0,-34.28,-34.38,-34.12,-34.0,-33.34,-33.56,-33.88,-32.47,-34.0,-32.88,-32.47,-31.53,-31.72,-30.25,-30.94,-30.44,-30.34,-31.34,-31.66,-32.38,-34.28,-34.38,-35.31,-36.19,-36.53,-37.12,-37.78,-38.25,-38.16,-37.34,-36.53,-36.5,-35.84,-35.12,-35.09,-33.75,-32.06,-30.91,-27.69,-27.03,-27.34,-26.5,-28.03,-30.25,-31.09,-32.16,-34.06,-32.66,-33.75,-33.56,-32.09,-32.06,-30.78,-30.31,-29.06,-28.69,-28.16,-26.78,-25.62,-24.53,-23.91,-25.16,-24.78,-26.56,-28.53,-28.91,-30.47,-33.09,-34.31,-34.84,-36.03,-36.44,-34.78,-33.31,-32.94,-29.47,-26.91,-24.34,-21.69,-19.84,-17.94,-17.5,-17.69,-18.56,-20.22,-22.81,-25.22,-28.09,-30.19,-31.09,-31.28,-30.28,-30.0,-29.28,-29.06,-29.28,-29.47,-29.09,-28.97,-27.5,-27.62,-25.59,-24.53,-25.94,-24.94,-27.81,-28.09,-29.53,-29.34,-29.28,-28.34,-26.16,-24.59,-23.41,-22.94,-21.66,-21.59,-24.22,-24.97,-25.28,-26.88,-27.41,-26.16,-26.09,-24.72,-23.84,-23.69,-22.91,-23.28,-24.41,-25.56,-26.06,-26.38,-26.44,-25.0,-24.56,-23.81,-24.22,-25.91,-28.59,-30.09,-33.5,-34.72,-36.22,-36.84,-35.72,-34.72,-32.41,-30.56,-28.59,-27.5,-27.19,-26.16,-26.94,-27.56,-27.47,-27.66,-27.41,-25.97,-22.72,-18.72,-14.59,-10.72,-7.88,-8.22,-10.16,-13.25,-17.22,-21.41,-24.25,-27.12,-28.06,-29.28,-30.28,-31.03,-33.16,-34.03,-35.84,-36.22,-37.34,-37.81,-38.47,-39.34,-40.53,-42.34,-41.72,-43.72,-43.97,-43.47,-43.47,-42.06,-39.34,-37.28,-35.5,-33.66,-34.03,-35.12,-35.44,-36.28,-37.44,-38.59,-40.09,-41.72,-42.28,-42.38,-40.91,-38.59,-37.09,-34.31,-32.22,-31.28,-31.62,-30.84,-31.22,-31.91,-32.75,-32.59,-33.66,-34.16,-35.16,-35.5,-34.38,-32.84,-31.47,-29.0,-26.59,-25.34,-22.78,-20.66,-19.16,-17.09,-16.53,-15.09,-14.59,-15.41,-15.59,-18.03,-20.34,-23.88,-25.38,-26.41,-26.84,-26.22,-25.88,-25.0,-25.34,-24.81,-25.06,-25.16,-25.84,-24.22,-23.69,-23.31,-20.66,-19.34,-18.41,-16.59,-15.47,-14.41,-13.5,-12.97,-14.16,-15.47,-16.91,-19.72,-20.66,-21.22,-23.06,-21.84,-21.47,-21.84,-20.97,-21.03,-21.12,-21.72,-22.81,-23.03,-24.0,-24.56,-25.53,-25.34,-25.56,-24.78,-25.78,-26.59,-26.41,-26.34,-27.19,-27.06,-25.06,-23.62,-22.97,-19.84,-18.84,-16.84,-15.44,-14.41,-14.66,-15.94,-17.62,-19.34,-20.16,-21.47,-21.59,-21.53,-22.47,-22.06,-24.19,-22.84,-22.44,-21.91,-23.03,-22.41,-25.03,-27.19,-27.72,-28.03,-27.09,-26.31,-25.44,-23.97,-23.22,-22.19,-21.03,-20.19,-19.97,-19.66,-20.56,-20.59,-21.81,-23.0,-23.59,-25.22,-27.72,-28.47,-29.03,-28.59,-28.09,-26.31,-24.84,-23.91,-21.78,-19.94,-18.47,-17.72,-17.47,-18.84,-19.91,-20.72,-21.34,-21.06,-20.28,-20.41,-21.47,-22.38,-22.72,-23.62,-23.84,-23.31,-23.5,-23.66,-23.5,-23.34,-22.72,-22.12,-21.66,-20.56,-18.94,-17.75,-16.22,-15.16,-15.81,-16.59,-17.28,-19.0,-20.41,-21.66,-21.78,-22.25,-22.28,-22.59,-22.06,-22.19,-22.31,-21.75,-20.06,-19.41,-18.38,-16.56,-16.16,-15.41,-16.22,-15.19,-14.91,-15.03,-14.22,-14.19,-14.53,-13.28,-13.91,-14.59,-14.12,-14.97,-14.81,-15.59,-16.69,-16.94,-17.47,-17.91,-18.41,-19.69,-20.09,-20.03,-20.97,-20.16,-18.06,-16.34,-13.78,-12.66,-11.66,-13.06,-13.59,-15.91,-17.19,-16.28,-15.59,-12.97,-9.66,-5.81,-3.41,-2.09,-1.69,-3.09,-6.81,-10.06,-12.06,-13.47,-14.12,-12.97,-10.97,-10.03,-7.69,-6.84,-5.12,-3.59,-3.16,-3.31,-3.94,-4.81,-6.66,-8.53,-9.84,-9.84,-9.28,-7.72,-6.69,-5.09,-4.84,-4.56,-4.44,-3.56,-3.94,-2.97,-2.44,-1.59,-0.59,0.5,1.5,1.69,1.5,0.38,-1.59,-2.41,-4.47,-5.44,-7.66,-7.72,-8.66,-8.72,-7.31,-5.38,-5.94,-5.44,-5.75,-7.03,-8.0,-8.09,-7.62,-7.28,-6.16,-3.66,-3.22,-0.91,0.16,0.84,1.62,2.28,2.69,2.66,2.66,3.16,2.72,3.62,5.44,5.84,8.28,8.62,9.41,8.78,7.25,6.56,4.69,1.94,-1.06,-3.19,-5.69,-7.94,-9.06,-9.31,-9.88,-9.41,-8.56,-7.66,-6.84,-6.03,-6.09,-5.84,-7.44,-7.53,-8.34,-8.56,-9.19,-9.16,-9.22,-9.78,-11.31,-11.72,-12.12,-13.22,-13.06,-13.59,-12.09,-12.34,-11.59,-10.69,-10.16,-7.84,-7.22,-6.19,-63.81,-66.09,-66.47,-67.84,-68.62,-68.91,-69.31,-68.81,-67.91,-65.94,-63.0,-60.22,-57.47,-55.91,-54.28,-53.53,-54.06,-53.16,-52.31,-52.12,-52.06,-53.81,-54.84,-57.12,-58.5,-59.47,-59.5,-58.97,-57.75,-57.34:positivity
42.88,41.28,40.19,38.06,36.5,36.84,36.69,36.56,36.47,37.91,38.56,39.19,39.94,41.28,42.66,44.0,44.91,46.97,48.09,48.28,49.41,48.56,48.03,47.75,45.81,43.84,44.59,44.31,45.03,46.41,47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81:36.69,36.56,36.47,37.91,38.56,39.19,39.94,41.28,42.66,44.0,44.91,46.97,48.09,48.28,49.41,48.56,48.03,47.75,45.81,43.84,44.59,44.31,45.03,46.41,47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81,7.69,4.38,1.28,-1.47,-3.91,-5.84:39.94,41.28,42.66,44.0,44.91,46.97,48.09,48.28,49.41,48.56,48.03,47.75,45.81,43.84,44.59,44.31,45.03,46.41,47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81,7.69,4.38,1.28,-1.47,-3.91,-5.84,-7.62,-7.97,-7.72,-7.16,-5.84,-4.34:48.09,48.28,49.41,48.56,48.03,47.75,45.81,43.84,44.59,44.31,45.03,46.41,47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81,7.69,4.38,1.28,-1.47,-3.91,-5.84,-7.62,-7.97,-7.72,-7.16,-5.84,-4.34,-2.94,-0.88,1.19,3.31,6.31,8.56:45.81,43.84,44.59,44.31,45.03,46.41,47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81,7.69,4.38,1.28,-1.47,-3.91,-5.84,-7.62,-7.97,-7.72,-7.16,-5.84,-4.34,-2.94,-0.88,1.19,3.31,6.31,8.56,11.31,11.84,13.28,11.94,9.69,7.31:47.91,49.56,49.03,50.03,50.59,52.0,53.31,54.53,54.75,55.38,55.12,55.5,55.0,56.12,55.66,55.44,54.56,53.31,52.19,50.72,49.0,46.5,44.22,41.62,40.81,38.66,37.38,36.59,34.88,33.75,33.81,33.88,34.44,35.62,37.22,39.66,42.91,47.19,50.03,51.5,52.22,50.44,47.12,44.0,39.56,35.88,34.44,32.22,31.75,30.69,31.03,30.81,31.34,32.44,34.84,35.88,38.0,38.56,39.62,39.94,41.5,42.75,44.81,45.69,46.69,47.16,46.62,46.16,45.53,44.69,43.28,42.75,41.16,39.06,38.34,36.06,34.88,34.31,33.91,33.94,33.34,34.5,35.5,36.53,37.81,39.56,40.53,42.25,41.06,41.0,40.5,38.31,37.53,36.31,35.44,35.62,34.56,34.94,35.44,35.78,34.25,33.81,33.72,33.56,34.44,35.81,38.03,39.03,39.44,39.0,38.62,38.44,38.28,38.12,36.25,35.69,33.03,30.25,29.34,28.03,27.78,26.28,25.44,23.88,22.25,19.75,18.59,17.69,18.34,18.88,20.91,22.66,24.56,26.38,26.28,26.19,25.84,24.5,23.19,21.81,21.09,19.81,19.31,20.94,22.19,23.03,23.91,24.5,23.59,22.94,22.25,21.84,22.59,24.56,26.81,29.69,33.0,34.47,35.75,34.78,32.91,32.59,30.41,28.5,28.38,26.78,25.06,23.69,21.56,20.09,17.53,15.91,14.06,12.5,12.19,10.78,10.66,10.62,11.41,12.84,15.03,18.53,21.16,22.72,25.25,25.28,23.34,20.31,16.0,12.06,7.81,3.59,2.88,0.5,-0.19,0.09,0.59,2.16,3.25,4.22,7.25,8.25,11.0,13.06,14.53,16.31,14.81,12.84,9.12,4.53,0.78,-4.34,-8.09,-9.84,-10.78,-11.09,-10.03,-9.41,-7.91,-6.69,-5.81,-4.44,-2.75,-2.47,-1.53,-0.44,1.38,3.91,8.0,10.19,11.81,11.97,8.81,6.28,2.34,-0.22,-0.91,-1.19,-0.25,1.34,3.09,3.94,4.19,3.19,3.06,1.22,-0.41,-1.91,-2.91,-2.69,-2.56,-0.47,1.84,4.03,5.75,9.28,11.03,13.47,15.84,15.88,15.91,16.19,13.94,11.78,10.31,8.09,6.5,3.84,1.91,-0.03,-3.12,-5.03,-6.59,-7.97,-7.94,-6.81,-4.44,-1.16,1.81,5.56,8.34,10.91,13.56,15.16,16.84,18.31,19.12,18.91,18.5,16.06,13.44,11.44,9.44,6.62,5.78,4.12,2.12,0.91,-1.38,-2.16,-2.97,-3.12,-3.34,-3.03,-2.34,-2.53,-2.41,-1.16,-0.53,-0.72,-0.28,-0.84,-0.22,1.34,4.66,6.56,7.59,9.38,8.25,5.25,4.12,2.62,1.75,0.94,0.53,0.81,0.06,0.28,-0.19,-1.81,-2.12,-3.59,-4.19,-3.56,-2.88,-1.97,-0.22,-0.03,0.47,0.0,-0.91,-1.62,-4.47,-4.28,-5.47,-4.22,-2.28,-0.16,3.41,5.38,6.53,6.72,5.97,4.97,2.59,0.62,-0.94,-2.5,-3.28,-3.72,-3.41,-2.84,-2.34,-0.97,-0.72,-0.81,-0.09,-0.22,1.19,2.53,4.34,6.94,8.31,8.19,7.84,6.25,5.0,3.12,2.5,2.78,3.69,4.5,5.75,6.62,7.81,7.94,7.44,6.44,5.59,4.25,2.81,1.97,1.84,1.31,2.0,2.12,1.69,1.62,0.5,0.12,-0.34,-2.12,-2.31,-2.19,-1.66,-0.41,-0.19,0.0,-1.84,-4.75,-7.56,-9.44,-12.16,-11.94,-11.94,-10.97,-9.5,-7.84,-5.97,-4.16,-2.84,-1.53,-0.94,0.0,-0.69,-0.25,-0.66,-0.28,-1.03,-0.97,-0.81,-0.47,0.94,1.69,2.31,4.44,4.91,5.5,6.16,5.03,4.69,4.84,3.0,2.72,2.12,0.53,-1.34,-3.34,-4.84,-5.22,-5.72,-5.09,-6.0,-6.88,-8.88,-10.97,-11.72,-12.28,-11.69,-10.84,-9.66,-7.47,-6.88,-6.0,-4.34,-3.47,-1.56,-0.69,0.41,1.38,1.5,1.34,1.72,0.69,1.16,-0.12,-1.47,-2.47,-4.59,-5.31,-7.09,-7.5,-7.69,-7.5,-6.34,-4.72,-2.25,0.41,2.0,3.84,4.16,4.44,4.41,3.84,3.34,2.94,2.94,3.0,2.31,2.0,1.94,2.03,3.19,3.88,5.91,7.34,8.78,9.31,8.41,8.12,8.06,7.5,7.12,7.91,8.19,8.19,8.38,7.91,7.66,7.22,6.59,6.38,6.16,6.47,5.0,2.78,0.31,-1.78,-3.56,-4.19,-4.84,-4.19,-3.59,-3.09,-2.16,-1.06,-0.34,-0.72,-1.09,-2.91,-4.28,-5.0,-5.09,-4.0,-2.31,-1.03,0.69,1.53,1.59,1.78,1.97,2.06,0.97,1.53,1.47,0.94,0.91,0.72,1.19,1.09,1.81,1.84,2.97,4.78,5.69,6.78,8.5,8.28,8.91,7.94,5.78,2.66,-0.28,-2.72,-5.34,-6.84,-7.06,-7.72,-7.38,-6.47,-5.28,-2.53,1.78,5.44,10.75,15.31,17.62,18.88,17.91,16.03,13.19,9.94,7.66,6.47,5.28,4.16,4.53,5.53,6.94,8.47,10.19,12.34,12.94,13.62,14.12,13.66,13.44,13.0,12.06,11.75,11.53,12.69,14.81,16.72,19.31,20.03,19.47,17.25,13.72,10.22,7.84,6.66,6.22,6.62,8.31,9.03,9.81,9.16,9.0,8.5,8.12,7.66,7.16,6.59,6.12,6.56,6.31,7.78,9.03,10.66,13.31,14.03,15.16,14.75,14.19,12.56,10.28,9.28,8.5,8.69,10.25,11.78,12.69,13.53,13.72,12.97,12.41,11.84,10.84,10.03,8.72,8.31,7.97,7.56,8.41,9.22,9.88,11.38,12.0,12.44,12.91,12.38,12.31,11.91,11.44,11.69,11.34,11.22,10.69,10.03,9.22,8.81,8.28,8.28,8.22,9.19,10.75,12.28,13.75,14.78,14.81,14.88,14.28,13.97,14.31,15.22,16.06,16.56,16.75,16.38,14.94,13.41,11.66,9.97,8.66,8.5,9.12,10.03,13.03,15.06,17.28,19.66,21.81,23.41,25.19,26.16,26.91,27.38,26.5,25.06,23.66,21.22,19.5,18.16,15.78,14.25,13.09,11.31,9.94,9.72,8.91,8.47,8.56,8.62,9.12,9.78,9.72,9.56,8.72,7.66,5.47,4.38,3.19,1.81,0.91,-0.53,-2.5,-3.41,-4.84,-5.5,-5.31,-5.34,-3.94,-2.28,-1.22,0.03,2.88,4.34,6.59,7.41,8.5,8.81,9.03,9.78,8.81,8.56,8.06,6.56,6.44,6.0,6.28,6.56,6.72,7.81,9.16,10.5,11.72,13.09,14.34,15.12,16.56,17.62,18.81,19.97,20.66,21.16,20.56,20.75,20.53,19.12,18.06,16.19,13.75,11.94,10.84,9.94,10.19,10.41,11.0,11.69,11.66,12.5,13.56,14.09,15.31,16.03,16.38,17.69,17.88,19.28,20.16,20.28,20.78,20.41,20.34,18.94,17.72,16.91,16.5,16.16,15.88,15.47,14.0,12.84,11.16,9.88,10.03,11.5,12.59,15.78,18.28,20.72,23.34,24.91,26.06,26.56,26.28,25.72,23.84,22.72,21.53,21.19,21.0,21.53,20.84,20.09,17.75,14.34,10.66,7.81,6.19,5.06,4.94,5.44,7.06,9.25,11.62,14.56,17.47,19.66,20.34,20.25,19.34,17.47,16.09,14.81,7.69,4.38,1.28,-1.47,-3.91,-5.84,-7.62,-7.97,-7.72,-7.16,-5.84,-4.34,-2.94,-0.88,1.19,3.31,6.31,8.56,11.31,11.84,13.28,11.94,9.69,7.31,4.19,1.94,-0.59,-0.72,-0.59,-0.78:positivity
71.28,74.19,77.41,79.81,79.06,78.25,76.34,74.31,71.03,69.28,67.56,66.72,67.88,67.41,69.06,70.84,71.78,72.41,71.12,69.12,64.62,60.88,56.56,55.0,53.91,56.12,59.75,62.31,67.34,68.88,70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97:76.34,74.31,71.03,69.28,67.56,66.72,67.88,67.41,69.06,70.84,71.78,72.41,71.12,69.12,64.62,60.88,56.56,55.0,53.91,56.12,59.75,62.31,67.34,68.88,70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97,7.28,9.09,10.5,12.84,14.31,13.75:67.88,67.41,69.06,70.84,71.78,72.41,71.12,69.12,64.62,60.88,56.56,55.0,53.91,56.12,59.75,62.31,67.34,68.88,70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97,7.28,9.09,10.5,12.84,14.31,13.75,14.19,13.69,11.84,9.75,7.62,6.53:71.12,69.12,64.62,60.88,56.56,55.0,53.91,56.12,59.75,62.31,67.34,68.88,70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97,7.28,9.09,10.5,12.84,14.31,13.75,14.19,13.69,11.84,9.75,7.62,6.53,6.22,6.53,8.53,10.94,13.69,15.34:53.91,56.12,59.75,62.31,67.34,68.88,70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97,7.28,9.09,10.5,12.84,14.31,13.75,14.19,13.69,11.84,9.75,7.62,6.53,6.22,6.53,8.53,10.94,13.69,15.34,15.31,14.38,11.53,7.78,3.41,1.31:70.66,72.06,71.09,70.0,68.62,66.16,64.97,62.09,62.22,62.19,63.0,64.25,65.53,67.28,68.44,69.31,69.12,69.41,68.53,67.62,65.84,64.06,63.66,61.0,59.69,59.41,58.19,59.06,59.62,60.38,62.28,63.34,64.09,64.84,63.47,62.88,62.19,59.66,58.19,57.81,57.03,56.06,55.41,55.0,54.06,54.25,53.03,52.09,51.69,50.62,49.44,48.5,47.69,46.12,45.69,42.75,42.34,40.84,40.91,39.47,40.53,40.38,40.0,39.75,40.22,40.69,41.75,41.94,41.88,40.75,38.31,35.53,32.53,31.25,29.5,28.62,27.84,27.69,25.25,23.19,21.5,19.5,19.22,19.25,20.03,22.38,25.22,26.19,26.81,27.12,25.91,23.44,22.94,22.41,21.34,22.94,23.69,25.22,27.28,30.25,31.94,33.31,34.56,35.47,36.81,37.66,39.06,40.53,41.12,41.69,43.41,44.69,46.47,50.47,52.28,53.88,55.19,54.66,52.34,50.94,48.19,45.88,44.31,42.94,42.41,42.16,42.62,42.91,43.53,43.19,43.28,43.41,44.22,44.75,44.56,45.56,45.75,45.06,45.22,45.5,44.78,46.0,44.78,45.41,43.69,43.34,43.25,42.09,43.0,43.53,44.25,44.78,45.0,45.62,45.38,44.91,44.75,45.16,44.81,45.19,46.22,46.97,47.38,48.34,49.03,48.91,49.06,49.62,49.94,49.88,49.94,51.12,51.09,51.44,51.91,52.38,51.91,52.31,52.28,52.38,52.78,51.69,50.41,49.84,47.19,44.75,43.5,42.09,42.06,42.66,42.62,43.25,42.31,42.31,42.66,43.31,44.12,45.16,45.5,45.56,44.19,43.62,43.31,42.41,43.0,43.25,44.16,44.25,43.81,44.78,43.75,43.84,43.06,40.72,41.47,40.88,41.19,41.94,44.25,45.41,47.28,47.84,49.75,50.22,49.78,50.75,49.66,49.94,49.47,49.44,50.5,51.06,52.69,53.66,54.5,54.88,54.06,53.78,53.38,53.0,52.72,53.28,53.69,53.75,52.34,50.41,50.22,49.0,49.03,48.41,48.22,47.41,44.44,41.59,38.5,33.78,31.69,28.56,26.78,27.56,28.03,29.31,29.56,30.88,28.94,29.06,27.94,29.25,31.19,34.06,36.91,42.38,43.66,45.34,46.59,47.5,48.06,47.38,46.97,47.47,47.5,47.19,48.06,47.56,46.94,45.28,43.5,43.62,42.31,42.12,40.47,39.31,37.75,35.53,35.59,35.81,35.06,34.91,34.94,34.0,33.47,32.91,31.97,30.0,30.44,30.62,32.22,34.28,36.28,38.75,39.88,39.62,40.69,40.62,42.25,43.78,45.12,47.19,48.59,50.12,51.62,53.19,55.75,56.16,56.59,54.5,50.53,47.25,42.66,40.72,38.81,39.56,41.91,43.16,44.56,44.81,44.5,43.5,42.66,42.16,42.47,43.06,42.56,44.75,45.81,46.56,47.56,48.03,48.56,48.19,47.94,48.91,50.06,53.0,55.62,57.69,60.69,61.84,62.06,61.91,61.5,60.03,59.0,58.91,58.88,59.0,59.31,58.88,58.97,58.66,58.31,58.38,58.56,58.69,58.5,58.75,57.97,58.91,58.5,59.62,61.0,62.59,64.5,65.28,66.56,67.56,66.72,66.5,67.12,65.75,65.84,67.16,67.56,68.62,68.5,67.06,65.16,63.06,61.94,61.62,62.75,64.0,65.59,65.03,65.0,64.12,63.53,62.19,63.53,64.56,65.16,65.62,66.34,65.38,64.31,61.16,59.91,57.72,55.41,54.09,53.69,53.16,51.56,51.19,51.12,50.5,49.69,48.91,47.56,45.81,44.81,44.31,46.25,48.03,51.0,53.44,55.38,56.19,57.03,56.31,55.34,54.53,52.72,50.09,48.84,46.91,45.62,45.19,45.12,45.91,46.94,48.0,50.44,51.25,53.06,53.81,54.5,53.81,53.28,51.53,50.44,48.41,47.72,47.0,46.59,47.56,47.94,49.09,49.56,50.44,51.31,51.78,53.31,54.62,54.78,55.75,54.72,54.12,53.28,52.12,52.44,51.81,51.84,51.19,50.78,49.25,47.81,46.91,45.66,44.66,44.78,44.34,45.62,45.66,46.19,46.81,47.91,48.28,49.06,50.22,50.5,50.88,51.94,51.88,53.25,55.19,55.78,56.12,55.34,53.28,51.0,48.41,46.81,46.03,46.0,45.25,45.53,44.94,44.19,44.16,44.62,45.25,45.31,45.66,46.31,47.03,46.97,47.62,47.88,48.44,47.91,47.0,45.94,44.12,43.19,43.75,44.81,48.47,52.16,56.78,60.0,62.94,63.59,62.25,60.0,56.94,54.97,53.69,52.81,53.06,52.94,52.34,51.12,51.78,50.62,50.75,49.91,49.66,49.69,48.69,49.44,48.97,49.16,49.19,48.53,49.22,49.78,50.38,51.66,51.66,51.78,52.03,51.16,51.25,51.69,52.94,54.66,56.28,58.78,61.0,61.94,63.47,64.03,63.38,62.5,62.38,61.12,60.25,59.88,60.09,59.72,60.5,60.62,62.16,64.25,66.22,69.38,70.53,72.25,70.06,67.59,64.38,60.84,58.09,57.06,55.34,56.03,56.41,58.22,59.5,60.78,62.41,63.25,63.31,65.03,65.19,64.56,64.66,63.94,63.44,60.94,60.28,58.62,57.25,56.41,55.81,55.78,56.81,55.78,57.81,57.06,56.56,56.5,56.12,54.41,53.81,53.41,51.44,50.28,48.06,45.03,40.59,36.62,31.09,25.94,21.47,16.31,12.28,7.56,4.72,2.66,0.22,0.0,0.59,2.25,4.5,8.16,11.94,14.78,17.31,20.19,21.66,23.25,24.91,25.81,27.16,26.56,27.22,28.34,28.84,30.44,30.28,31.59,31.25,30.75,30.72,30.66,31.47,31.69,33.31,33.75,35.25,35.41,34.62,34.94,34.28,35.81,37.75,40.12,42.94,45.34,46.41,47.44,47.78,47.81,47.31,47.47,47.72,47.47,46.88,45.47,44.94,43.94,43.06,44.41,45.53,47.69,49.66,52.0,54.69,56.0,56.38,56.31,55.91,53.38,52.75,51.75,51.56,50.81,51.09,50.41,49.78,49.06,48.19,47.47,46.34,45.69,45.31,44.19,42.72,43.78,43.25,45.03,46.5,48.28,49.41,50.5,51.09,50.16,50.59,50.25,49.22,49.59,48.69,47.97,46.62,46.0,45.38,45.12,45.16,44.94,45.53,46.0,48.44,51.81,55.44,58.41,61.44,62.5,62.47,62.28,61.56,61.31,61.31,62.06,61.03,61.0,60.06,58.62,56.0,55.12,54.12,53.03,53.56,53.06,53.19,52.56,53.12,54.03,54.72,55.0,53.34,52.16,50.31,48.66,48.62,48.88,49.94,51.31,52.09,52.91,53.44,53.56,53.34,53.59,53.44,51.91,50.66,48.5,48.0,46.66,46.06,46.22,45.19,44.28,42.97,43.06,44.09,46.62,50.0,52.72,56.25,59.5,61.66,62.16,62.94,61.97,60.31,59.19,57.69,57.0,56.91,56.62,56.62,58.0,58.53,58.59,58.97,57.75,57.69,55.94,55.28,55.16,54.56,55.69,57.03,57.44,59.06,59.19,58.06,56.0,54.28,52.06,50.66,50.0,49.78,50.66,52.16,53.12,54.31,55.28,53.94,54.06,53.44,53.0,54.03,53.56,52.94,52.19,51.88,50.56,49.66,50.06,49.12,49.0,48.97,7.28,9.09,10.5,12.84,14.31,13.75,14.19,13.69,11.84,9.75,7.62,6.53,6.22,6.53,8.53,10.94,13.69,15.34,15.31,14.38,11.53,7.78,3.41,1.31,0.0,0.59,3.31,6.5,9.16,12.31:positivity
10.72,10.12,10.81,13.12,16.5,20.16,24.59,27.62,32.84,35.78,36.88,38.75,38.38,38.16,37.0,35.31,34.0,32.16,29.69,28.31,26.5,25.31,22.81,20.34,18.16,15.84,12.75,11.31,11.56,11.44,12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34:24.59,27.62,32.84,35.78,36.88,38.75,38.38,38.16,37.0,35.31,34.0,32.16,29.69,28.31,26.5,25.31,22.81,20.34,18.16,15.84,12.75,11.31,11.56,11.44,12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34,-46.03,-49.09,-49.22,-48.25,-46.03,-43.31:38.38,38.16,37.0,35.31,34.0,32.16,29.69,28.31,26.5,25.31,22.81,20.34,18.16,15.84,12.75,11.31,11.56,11.44,12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34,-46.03,-49.09,-49.22,-48.25,-46.03,-43.31,-38.75,-34.59,-31.25,-28.72,-26.44,-24.66:29.69,28.31,26.5,25.31,22.81,20.34,18.16,15.84,12.75,11.31,11.56,11.44,12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34,-46.03,-49.09,-49.22,-48.25,-46.03,-43.31,-38.75,-34.59,-31.25,-28.72,-26.44,-24.66,-23.34,-22.62,-21.22,-20.97,-21.69,-22.78:18.16,15.84,12.75,11.31,11.56,11.44,12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34,-46.03,-49.09,-49.22,-48.25,-46.03,-43.31,-38.75,-34.59,-31.25,-28.72,-26.44,-24.66,-23.34,-22.62,-21.22,-20.97,-21.69,-22.78,-23.91,-25.16,-27.25,-28.72,-29.44,-32.34:12.53,14.38,15.66,17.16,18.75,19.41,18.94,19.12,17.88,15.94,16.44,16.16,16.91,18.06,18.16,18.81,18.91,19.94,21.34,22.91,25.03,25.34,25.88,25.5,23.62,22.56,22.22,20.94,21.06,21.06,22.88,22.41,21.62,22.81,21.19,20.25,18.03,17.06,14.94,13.72,11.94,10.53,9.91,8.62,9.06,10.56,12.62,14.5,15.88,15.69,15.03,14.47,13.59,14.31,15.69,17.62,19.62,21.44,23.97,25.66,28.16,29.91,31.22,31.78,31.34,30.56,30.19,28.53,26.88,26.0,25.81,25.69,25.16,24.66,23.72,22.19,21.69,20.69,20.41,20.16,19.19,18.69,18.0,18.12,18.88,18.53,20.41,21.12,20.75,22.78,23.09,23.19,23.88,24.16,21.88,21.19,20.41,18.0,16.62,16.34,14.16,14.16,14.5,14.81,17.06,18.81,21.03,23.25,25.44,28.22,30.38,32.47,34.5,33.94,33.19,31.34,29.72,28.44,26.94,26.28,26.03,25.44,26.12,25.34,26.72,26.31,26.66,27.19,26.81,27.09,28.03,28.66,28.47,28.5,29.56,29.56,29.72,29.66,29.75,28.69,26.06,24.16,22.03,21.03,20.69,20.12,19.91,20.31,20.44,21.69,23.31,25.88,28.25,30.78,31.41,32.28,31.53,31.31,31.31,30.94,31.03,31.25,32.38,31.44,31.59,32.84,32.56,32.75,34.06,33.94,34.31,33.91,32.34,33.12,32.25,30.44,31.25,30.69,28.78,28.03,28.56,27.53,27.94,29.44,30.22,31.56,32.53,32.69,34.69,36.0,37.0,39.25,40.09,39.81,40.0,38.91,37.03,35.53,33.97,32.19,29.09,26.41,23.66,22.22,21.44,21.72,23.19,24.06,24.97,27.53,28.41,30.28,32.34,32.06,32.03,29.44,27.69,24.94,22.0,21.81,21.62,20.97,21.97,22.88,24.38,26.0,27.34,28.5,29.66,28.91,28.03,26.5,26.31,26.0,25.41,25.31,25.62,26.5,25.91,26.53,26.59,26.44,25.69,24.5,24.5,23.41,23.88,25.59,26.94,28.44,29.97,30.47,28.75,25.81,24.06,21.38,20.19,19.47,19.88,20.53,21.41,22.28,23.44,24.91,24.56,25.41,25.0,23.44,21.31,20.16,18.59,17.69,18.31,18.53,19.84,20.5,22.0,21.59,21.34,22.22,21.44,21.56,23.25,22.56,22.72,22.41,21.12,19.66,17.5,15.0,13.81,12.31,12.19,13.53,15.47,19.31,20.69,22.38,22.72,23.03,22.06,21.81,21.56,22.72,23.06,22.75,23.94,24.28,23.25,23.28,21.94,20.38,19.16,17.16,15.44,14.16,13.62,13.72,14.12,15.75,16.09,16.78,17.22,17.84,18.31,18.19,18.97,19.66,19.06,18.91,19.41,18.94,17.88,17.25,16.44,16.09,16.0,16.09,16.56,15.69,15.28,15.91,16.78,17.81,18.53,19.25,19.62,19.12,20.25,20.56,21.38,22.56,23.84,25.78,28.09,29.16,28.84,28.25,26.91,23.72,22.66,22.41,21.62,23.22,23.62,24.75,25.91,24.94,24.12,22.25,20.34,19.44,19.94,22.06,24.34,26.5,27.62,28.66,28.31,27.97,27.69,26.78,24.38,23.31,20.06,17.28,15.5,16.25,17.0,19.81,23.69,28.09,32.22,34.88,37.75,37.53,35.56,33.66,29.31,24.84,21.66,19.78,17.03,16.75,17.34,17.47,18.31,17.78,18.78,18.41,19.66,19.28,19.31,19.62,17.69,16.31,14.38,13.28,12.09,12.56,12.88,13.81,14.53,14.84,16.22,15.59,15.12,17.12,15.88,16.5,17.75,19.56,21.75,23.69,26.16,28.09,27.78,26.81,25.78,24.41,22.19,20.34,18.53,16.34,15.88,15.56,16.09,18.06,19.41,20.69,22.09,23.06,24.25,25.25,26.16,25.97,25.62,23.25,22.59,20.56,20.19,19.84,19.97,20.12,20.53,20.72,22.16,22.91,23.28,23.41,23.31,22.19,19.62,18.31,16.06,14.28,13.69,12.28,10.97,10.19,8.81,7.59,6.78,6.53,5.78,4.38,4.19,3.31,3.53,2.69,4.03,5.19,5.5,6.06,6.56,5.31,4.56,3.09,0.19,-0.28,-2.66,-1.97,-3.44,-3.47,-2.56,-2.19,0.06,2.12,4.56,7.31,8.44,9.94,9.41,9.44,8.38,6.56,5.12,4.78,2.28,1.19,-0.16,-1.31,-1.03,0.25,2.81,7.56,11.19,14.91,18.91,21.81,23.03,23.78,23.38,21.72,20.5,18.81,17.12,17.56,17.0,16.25,16.03,15.88,15.69,14.78,13.81,14.41,13.25,12.72,12.5,11.31,11.41,10.06,9.16,7.75,5.25,1.94,-0.44,-3.66,-3.81,-4.94,-6.03,-5.75,-5.22,-4.41,-4.19,-3.97,-3.38,-4.72,-4.78,-4.59,-4.59,-3.59,-3.25,-3.62,-6.97,-9.66,-13.34,-18.34,-21.06,-23.16,-23.19,-24.78,-23.69,-22.03,-20.16,-19.34,-17.19,-16.72,-16.56,-15.09,-15.69,-14.69,-13.91,-14.34,-15.81,-16.34,-17.22,-18.03,-19.72,-21.12,-22.22,-23.12,-24.5,-24.22,-23.34,-22.53,-20.03,-17.38,-14.59,-10.72,-8.0,-6.44,-5.47,-5.25,-4.47,-5.47,-5.47,-4.0,-3.84,-2.59,-0.78,-1.28,-2.69,-5.16,-8.16,-11.5,-14.97,-18.16,-20.44,-20.31,-22.59,-20.59,-17.66,-15.09,-10.84,-7.28,-5.91,-4.59,-6.56,-9.84,-13.06,-16.41,-20.0,-22.34,-24.31,-25.41,-25.84,-26.16,-26.16,-24.72,-24.38,-24.97,-25.09,-26.41,-29.69,-30.34,-32.25,-31.62,-31.59,-29.44,-26.69,-26.34,-25.66,-24.75,-25.53,-24.47,-22.97,-19.78,-14.28,-8.16,-2.12,1.03,2.25,0.62,-3.53,-8.84,-13.56,-18.41,-20.59,-23.72,-23.97,-22.06,-21.72,-19.59,-17.5,-18.41,-17.72,-17.91,-18.38,-16.91,-15.5,-13.94,-11.66,-10.56,-10.03,-8.97,-8.94,-9.38,-12.03,-14.03,-16.06,-18.69,-20.22,-20.81,-20.72,-20.03,-19.0,-17.34,-15.91,-14.47,-14.84,-15.28,-15.97,-17.59,-17.09,-17.47,-17.34,-16.59,-17.53,-16.56,-18.0,-16.97,-17.06,-17.09,-16.47,-17.47,-17.84,-17.53,-17.22,-17.78,-16.38,-16.19,-15.94,-17.34,-18.94,-19.28,-19.12,-18.38,-15.44,-13.34,-10.53,-9.41,-8.47,-10.28,-11.62,-14.69,-17.09,-18.72,-21.12,-20.66,-20.69,-20.16,-18.69,-17.12,-18.06,-17.31,-18.94,-19.94,-19.66,-20.16,-20.88,-20.69,-21.34,-21.72,-20.91,-20.09,-18.78,-18.59,-17.59,-17.66,-18.59,-16.44,-16.81,-14.25,-13.72,-12.72,-12.78,-12.78,-13.34,-13.47,-12.88,-13.09,-13.16,-11.91,-12.5,-11.75,-11.84,-12.84,-12.91,-13.69,-15.06,-15.03,-14.91,-15.75,-16.97,-16.66,-17.44,-16.97,-15.53,-15.94,-16.12,-16.91,-19.41,-21.34,-22.03,-23.28,-23.84,-23.59,-23.72,-23.38,-21.44,-21.59,-20.59,-20.56,-19.41,-20.06,-18.66,-17.78,-16.59,-15.19,-14.97,-14.59,-14.03,-13.53,-12.03,-11.03,-10.69,-9.72,-10.31,-12.66,-14.66,-15.69,-17.78,-17.94,-17.44,-17.41,-16.94,-16.16,-15.91,-15.28,-13.5,-12.53,-11.28,-11.53,-10.34,-11.5,-10.56,-9.84,-8.75,-6.84,-5.94,-6.19,-6.03,-6.59,-6.5,-6.16,-5.16,-5.44,-4.41,-4.16,-3.81,-2.41,-1.25,-0.47,-0.91,-1.34,-46.03,-49.09,-49.22,-48.25,-46.03,-43.31,-38.75,-34.59,-31.25,-28.72,-26.44,-24.66,-23.34,-22.62,-21.22,-20.97,-21.69,-22.78,-23.91,-25.16,-27.25,-28.72,-29.44,-32.34,-34.44,-37.16,-40.09,-43.59,-45.78,-47.34:positivity
40.03,41.22,41.19,42.56,43.66,42.91,44.94,45.84,46.69,48.28,48.62,48.44,47.56,45.03,43.19,40.66,39.03,37.78,37.12,37.28,38.06,39.59,42.38,45.12,48.0,50.88,52.31,51.78,51.06,47.62,46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12:44.94,45.84,46.69,48.28,48.62,48.44,47.56,45.03,43.19,40.66,39.03,37.78,37.12,37.28,38.06,39.59,42.38,45.12,48.0,50.88,52.31,51.78,51.06,47.62,46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12,-5.81,-6.59,-5.66,-5.22,-4.94,-3.47:47.56,45.03,43.19,40.66,39.03,37.78,37.12,37.28,38.06,39.59,42.38,45.12,48.0,50.88,52.31,51.78,51.06,47.62,46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12,-5.81,-6.59,-5.66,-5.22,-4.94,-3.47,-1.84,0.12,2.06,4.0,4.75,5.28:37.12,37.28,38.06,39.59,42.38,45.12,48.0,50.88,52.31,51.78,51.06,47.62,46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12,-5.81,-6.59,-5.66,-5.22,-4.94,-3.47,-1.84,0.12,2.06,4.0,4.75,5.28,4.19,2.25,-0.22,-3.5,-6.72,-10.03:48.0,50.88,52.31,51.78,51.06,47.62,46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12,-5.81,-6.59,-5.66,-5.22,-4.94,-3.47,-1.84,0.12,2.06,4.0,4.75,5.28,4.19,2.25,-0.22,-3.5,-6.72,-10.03,-12.78,-14.66,-14.84,-13.62,-10.53,-6.69:46.12,43.94,44.0,44.78,45.88,47.06,47.5,47.59,47.31,46.94,47.12,47.53,47.81,49.28,49.16,49.06,49.19,47.84,47.66,47.0,47.41,46.69,46.94,45.56,44.56,43.78,42.94,43.34,44.31,45.09,46.41,47.28,46.53,46.81,45.5,43.81,42.78,41.62,40.25,38.91,38.62,37.0,36.59,37.0,36.41,36.97,35.5,36.19,34.75,34.0,32.53,32.25,32.69,32.47,34.47,36.03,36.81,37.25,37.31,36.88,37.16,37.19,37.31,39.78,40.91,42.38,43.81,44.62,43.97,42.78,41.69,40.31,38.25,37.66,36.62,36.34,36.97,38.09,40.72,44.06,46.53,48.66,50.53,50.0,49.12,47.28,44.44,42.56,39.62,37.88,37.0,35.31,35.66,36.25,37.44,39.22,42.38,46.0,49.16,52.44,54.38,54.5,53.94,52.62,51.94,52.47,52.41,52.25,52.28,51.38,50.0,48.16,45.31,43.28,40.59,37.34,35.72,34.78,32.75,30.84,29.81,28.66,25.66,24.28,23.53,23.16,23.12,24.62,25.47,27.12,29.69,31.56,33.41,34.81,32.97,35.47,35.12,35.31,36.91,38.31,38.28,38.53,39.19,38.66,38.97,38.06,36.44,35.0,35.22,35.25,35.78,37.88,39.41,40.84,42.69,44.69,46.56,48.09,47.12,43.41,43.72,39.94,37.91,39.12,40.81,42.75,44.5,45.56,45.97,45.53,45.56,45.28,45.31,46.06,46.34,46.38,46.53,47.44,46.44,47.56,47.78,47.53,47.69,47.34,44.0,45.62,45.34,45.69,46.62,48.66,47.31,45.94,43.91,40.78,37.84,35.62,33.91,32.97,32.38,32.53,33.34,33.25,34.62,34.06,33.53,29.91,32.31,31.03,31.16,33.03,34.91,34.91,35.38,35.94,36.34,36.44,36.81,36.12,34.0,33.72,31.28,30.06,30.12,30.0,29.22,27.5,29.19,28.81,29.56,31.06,32.56,32.59,33.53,33.69,33.28,33.88,33.66,34.28,34.44,34.53,35.78,36.22,36.66,37.91,37.72,35.88,37.47,37.62,37.88,39.66,39.81,40.69,39.5,39.44,38.91,39.06,38.81,39.69,39.47,39.75,40.25,39.28,38.5,37.19,35.12,33.38,32.44,28.69,29.25,28.03,27.62,28.0,28.31,29.72,30.19,30.91,32.06,32.06,31.88,31.03,29.5,28.41,27.31,26.62,26.16,26.72,26.69,28.25,29.62,31.03,31.12,31.53,32.31,31.41,33.06,31.97,33.75,33.97,34.84,34.94,35.09,31.31,32.78,29.88,30.38,28.78,29.41,28.06,25.94,24.38,22.81,20.91,20.34,20.88,22.19,23.47,25.94,26.12,26.38,25.56,24.53,23.16,20.81,23.91,24.28,26.5,29.19,30.34,30.72,30.81,30.5,30.12,29.66,29.81,29.66,29.72,30.72,32.31,33.16,34.44,37.28,38.84,40.28,42.56,44.59,45.72,45.72,45.81,44.84,42.66,40.25,36.5,32.03,27.56,20.72,20.0,16.69,17.53,19.5,21.41,25.0,27.75,30.5,34.09,37.69,41.34,46.91,49.84,50.88,52.06,51.12,48.09,46.38,45.53,43.31,41.25,39.69,36.75,32.62,29.47,26.31,23.03,18.06,19.81,18.06,18.47,20.44,22.88,25.44,27.75,30.78,32.06,34.59,35.53,36.41,35.88,35.84,34.84,30.69,32.53,30.09,30.06,30.81,30.66,29.47,29.25,29.56,29.38,29.81,28.66,30.19,29.75,29.31,29.31,30.41,30.19,30.88,33.06,35.0,38.22,41.41,43.94,43.53,48.0,47.59,48.25,49.09,49.25,48.19,46.5,45.53,43.5,42.19,41.06,40.25,40.19,39.66,41.47,41.25,41.25,41.0,40.47,41.0,41.69,43.38,46.5,47.16,49.91,50.78,49.97,49.81,49.16,47.56,46.31,44.06,43.34,42.31,41.97,42.22,42.72,42.78,39.59,41.25,39.19,39.44,40.31,42.53,43.34,45.72,48.06,49.19,49.97,51.06,51.0,50.03,48.0,46.5,44.94,43.84,40.69,42.25,42.03,41.66,42.78,43.91,44.38,43.28,41.41,40.5,38.06,36.0,34.16,33.22,31.91,31.84,32.53,32.88,33.44,34.88,34.72,34.31,33.72,34.34,33.97,33.56,34.16,36.16,35.5,35.5,34.38,31.81,28.78,25.19,22.38,19.62,18.53,16.81,14.5,16.91,17.53,19.78,23.38,26.31,27.81,29.69,31.0,31.59,33.44,34.25,34.88,35.31,35.72,36.53,36.72,37.03,36.16,33.91,33.47,31.34,31.94,34.41,37.44,39.81,41.81,42.41,41.53,40.5,38.84,37.5,36.78,36.25,35.44,31.69,33.75,31.56,30.91,29.47,28.31,27.12,24.53,23.94,23.56,24.25,24.41,25.62,28.44,30.56,33.5,36.56,37.69,37.59,39.03,38.72,38.94,39.66,41.56,41.72,41.94,42.12,41.34,39.75,38.62,37.5,37.06,38.09,39.41,39.47,38.34,40.78,40.16,42.5,45.38,47.0,47.81,47.38,46.59,45.16,43.31,42.59,42.0,42.19,42.94,45.94,47.34,49.19,49.59,49.41,48.47,46.44,45.03,44.5,44.31,46.47,48.22,50.47,51.19,51.34,49.12,46.84,44.0,41.19,41.28,41.91,44.31,47.78,51.66,53.94,56.38,55.69,52.31,53.41,50.59,48.31,47.31,45.34,43.12,40.66,39.69,38.81,38.91,39.56,40.19,39.31,39.09,40.06,38.5,39.03,39.75,39.09,38.94,38.0,37.0,37.38,37.81,37.31,38.31,38.94,39.72,41.41,42.0,43.25,44.19,42.09,45.56,44.5,45.47,46.91,46.38,45.5,43.78,41.25,39.34,37.31,36.06,35.56,35.0,35.28,35.38,36.31,36.91,37.69,36.72,40.62,41.75,43.91,46.78,49.81,50.53,51.12,50.69,50.62,48.31,46.81,44.81,43.19,41.84,41.56,39.91,39.41,37.78,35.62,34.03,32.31,32.12,29.66,31.41,31.31,33.41,36.25,39.53,43.12,45.31,48.38,49.47,49.53,48.38,45.44,42.41,40.28,39.16,38.44,39.5,40.34,40.56,41.41,38.19,40.12,39.31,39.0,40.44,41.41,41.56,41.94,42.28,45.0,47.06,48.78,50.41,50.78,50.16,47.97,45.91,43.84,39.94,36.12,36.91,35.25,36.25,37.84,39.62,39.56,39.44,38.62,37.38,36.91,36.53,37.16,37.97,39.94,41.88,44.81,47.09,48.66,50.75,49.84,50.72,48.97,47.31,45.75,44.03,42.75,41.28,40.62,39.56,38.66,38.19,37.03,36.88,36.91,35.69,37.09,37.22,38.0,39.09,40.84,42.62,44.5,45.75,45.56,44.88,44.19,41.75,40.16,39.75,39.06,39.31,40.25,40.91,41.19,41.06,40.34,38.69,37.31,35.88,33.91,33.62,33.53,34.31,36.66,38.34,38.25,42.81,43.28,44.78,46.44,47.0,47.0,45.91,43.94,41.88,39.72,37.56,35.06,32.38,31.38,29.81,29.47,29.81,30.16,30.25,30.91,28.5,32.16,32.12,35.09,38.84,41.69,43.53,44.34,44.62,44.19,43.84,43.44,42.34,42.12,39.34,37.31,34.53,31.81,29.38,28.06,27.66,25.47,28.88,29.31,31.81,33.81,36.56,38.81,39.62,40.44,41.09,42.5,42.34,42.09,42.12,-5.81,-6.59,-5.66,-5.22,-4.94,-3.47,-1.84,0.12,2.06,4.0,4.75,5.28,4.19,2.25,-0.22,-3.5,-6.72,-10.03,-12.78,-14.66,-14.84,-13.62,-10.53,-6.69,-2.81,0.41,3.56,4.59,4.75,3.56:positivity
